Lockergnome Tips File

Version 0204 - September 1996 to April 2002

Contains Over 1,000 Free Hints,Tips and Tricks

Lockergnome is the best and most popular PC-related newsletter on the Internet. Each day, the newsletter is written and distributed by our good friend Chris Pirillo. This download places a wealth of PC tips into one handy package. It covers almost everything you need to know and then some, from ISPs to Spam to security. All of the archived information is accessible from a user-friendly Windows help file, which can be searched and printed. Plus, the tips are sorted into the year and month they were written.

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


2002

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


January 2002

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


HTML mail viewing

1st January 2002

We knew we were inviting disaster when we decided to distribute our newsletters in HTML format. There's always some kind of tradeoff, though. Workarounds have been applied for just about every problem we've encountered. Flipping the sidebar to the right allowed non-compliant clients to view the content in an easier fashion. Issues are immediately uploaded to the Web and a full (direct) URL is included at the bottom of every mailed newsletter. Then we started to receive complaints along these lines, not long after people had upgraded to IE 6.0: "Lockergnome newsletters are arriving truncated. Each paragraph completes prematurely, there is no sidebar, and there's nothing beyond the first or second feature after the Report." Is this happening to you or to someone you love? You need to replace Internet Explorer 6.0's MLANG.DLL file with the one that came with IE5.5. If you no longer have the older version of IE installed on your system, find a friend who does and get it from him / her. Once the file is replaced, HTML mail viewing should return to normal.


Spice up Microsoft Office files

2nd January 2002

Let me give you a little background. No, really. Let's spice up some of those Microsoft Office files. There's (virtually) nothing wrong with the way Excel handles numbers; a formula here, a little multiplication there. When you go to show this quarter's revenues to the boss, why not give 'em a little panache? Especially if you had a lousy year. Click Format | Sheet | Background. Now, browse for an appropriate picture. Suggestion? Try a photo of your office building or the company's logo. In either case, make sure that the image has been brightened (so that it doesn't wash out the foreground data). But don't let your brownnosing stop there! Let's spruce up your accompanying PowerPoint presentation. You've seen Artsy, Checkers, and Network Blitz - they're default templates. Create something fresh with a unique color dither. Click Format | Background. Open the drop-down color field and select Fill Effects. By default, you'll land on the Gradient tab. From here, you can choose One Color, Two Colors, or a Preset gradient. Then, you can select a different type of shading style below. Why create a killer graphic by hand when PowerPoint will do it for ya?


Editing digital photos

3rd January 2002

Working on someone else's computer is like putting your shoes on the wrong feet. Things might be uncomfortable at first, but you'll quickly adjust. Editing digital photos is fun and easy when you're using a familiar tool set. But let's say you're at a friend's house. She needs to touch-up an image but doesn't have the "right" software installed. It's one of those "one time" deals. Fine. Click your way to PHOTOS.MSN.COM. Here, you can create an account to upload, share, and edit (!) digital pictures. After the image in question has been uploaded, click the Edit Pictures link. From here, you'll be able to correct brightness, contrast, tint, and more. Either use the Autocorrect button or tweak each setting individually. Fix a red eye or two before you're through, rotate the graphic if need be, and crop the photo to fit a specific print size; digital dimensions (measured in pixels) aren't always congruous to printed dimensions (often measured in inches). For quick and dirty processing, MSN Photos is amazing. And, for the moment, it's free for anybody to use.


Low Disk Space Notification

4th January 2002

Faster. That's what everybody's system needs to be. I don't care what the benchmarks say: if it feels faster, then it must be faster. I don't need "useless" rogue background processes telling me that I only have 200, 80, or 50 megabytes free on my hard drive(s). So, I've turned off the Low Disk Space Notification in Windows XP. Navigate to HKCU \ Software \ Microsoft \ Windows \ CurrentVersion \ Policies \ Explorer in your Registry. Add a new DWORD Value to the right-hand pane and label it "NoLowDiskSpaceChecks" (sans quotes). Set this entry to "1" (again, sans quotes). Now, let's say you're running either Windows XP or 2000. These OSes will track and attempt to automatically fix broken shortcut links. For most users, this feature is handy; for others, it's not. Stop the procedure by flailing to the aforementioned Registry location. This time, create a "NoResolveTrack" DWORD value and set it to "1" (sans quotes in each instance). To reverse either setting, change the "1" to a "0" - or delete the value(s) altogether.


Google search engine

7th January 2002

It took me a while, but I've finally come around to believing that Google is a million times better than any other search engine today. Sure, its raw speed is something to admire, but its functionality is most admirable (and untapped). David Weinberger from HYPERORG.COM pointed out that most search terms are automatically hyperlinked in the top navigation bar. Click on one of them for a dictionary definition! Search for 'lord of the rings' and you'll see each word underlined, waiting to be clicked. Need a quick map? Enter a street address, city, and state (sans commas). Voila! Quite possibly the best "hidden" feature of Google is its ability to index and query against non-HTML pages: Adobe Portable Document Format (PDF), Adobe PostScript (PS), Microsoft Office (XLS, PPT, DOC), etc. To narrow the search to a specific type, enter: [terms] -filetype:EXT (with EXT being the appropriate file extension). When it finds a non-HTML file, Google still gives you the option to view it as an HTML document!


Show me a summary

8th January 2002

The last time I had time was... a long time ago. When someone sends me a Word document over 2 pages long, I often ask for a synopsis. But I don't ask the document's author, I ask Word. "Word," I say, "show me a summary." It might need a little nudging at this point. Click Tools | AutoSummarize. Then, select how you want it to parse your document: Highlight key points, Insert an executive summary, Hide everything BUT the summary, or Create a new document with only the summary. Tweak the percentage before running it through the wringer (I wouldn't recommend anything more than 25 percent). Granted, Word won't rewrite the document for you, but it'll at least provide (what it believes to be) the key points from the original structure. Use this feature to reverse engineer just about anything you've ever written. Forget to read that book chapter for today's Classic American Literature quiz? If it's available in an electronic format somewhere, all hope may not be lost.


Perfect for insomniacs

9th January 2002

There's a feature on most newer television sets called a sleep timer. With it, you can schedule automatic power termination without further intervention - perfect for temporary insomniacs. Windows XP comes with a tool that'll essentially do the same thing. SHUTDOWN.EXE should be launched from a "CMD" prompt or used in conjunction with the proper switches: -l logs off the current user. -s shuts down the local computer. -r reboots after shutdown. -a aborts a scheduled shutdown. -f forces running applications to close (dangerous). -m [\\ComputerName] specifies the computer that you want to shut down. -t [xx] sets the timer for shutdown in [xx] seconds (20 by default). There's no easier way of making sure your spouse comes to bed on time. "The strangest thing keeps happening, honey... my computer keeps shutting down every day at the exact same time." "That's nice, dear. Quit hogging the covers." I'm onto your little plan, Gretchen.


Manuals are just manual

10th January 2002

Manuals are just that: manual. In an age where information is just a click away, paper documentation is discouraged. Most of us have already installed the Adobe Acrobat Reader (available for free from ADOBE.COM), but are we using it to its fullest potential? More and more companies have started to put their hardware and software guides online - in a Portable Document Format (PDF). The other day, I was trying to figure out what the non-blinking green light on the back of my digital camera signified. I didn't know whether the device had finished charging or needed to be plugged in for a couple more hours. Instead of digging for the peripheral's guide, I went over to the manufacturer's Web site and downloaded the entire manual in PDF format. I opened the file and did a text search for the word "green." Sure enough, within seconds, I had my answer. You'd be wise to download PDFs for your installed system components. BONUS: Adobe also makes software for the Palm and Pocket PC platforms. Think about that for a second. Never be without those instructions!


Switch for older devices

11th January 2002

Given the near infinite amount of peripherals in the field today, it's a wonder Windows works at all. More choice can lend itself to more problems. Trying to run Windows 98 on a 386 isn't going to happen, though using a dot matrix printer in Windows XP is (in theory) feasible. As long as the drivers are rock solid and compatible, you'll be okay. There's an XP switch you might wanna flip for older devices (such as a parallel port Zip drive daisychained to your printer). Tap WIN+Pause, flip to the Hardware tab, and press the Device Manager button. Cascade the Ports (COM & LPT) option and double-click your Printer Port (which is most likely LPT1). Under the Port Settings tab, you'll find an option to "Enable legacy Plug and Play detection." Place a checkmark in the field and you'll be golden. Lockergnomie Al Strachan had to pay Microsoft a handful of cash to discover this. He passed this wisdom along to the rest of us for free.


Online streaming

14th January 2002

The Chris Pirillo Show (soon to be titled GnomeRADIO) is streamed online using a special new technology that doesn't require any buffering - even for regular dial-up users. Guillermo Castañeda has been enjoying it. "I'm in South America, so I can't catch your show when it comes on the air, but I'm listening to the recording and it is great! This is the first time I've heard it and it is very entertaining and informative. I just heard a question from a guy who couldn't record MP3s into a CD. I don't write music CD's often, but there is an option in Winamp that will allow you to convert / record an MP3 file into WAV format (which can then be burned into a CD as an audio track). The shortcut in Winamp is CTRL-P for Preferences, then select the 'Nullsoft Disk Writer plug-in' under Plug-ins. Click on Configure to set the output directory, then close the Preferences dialog. Now all MP3s played in Winamp will be converted into WAV format. In order to listen to MP3s [regularly] again, reverse the configuration procedure and select the Nullsoft waveOutput plug-in." We love helping people!


File associations

15th January 2002

File associations, much like average American birds, sometimes fly south for the winter. Getting them back may be no easy task, as evidenced in a recent GnomeTIP Registry hack. Keith Edgette, a curious Gnomie, voiced his concern: "If you're not able to run EXE files, then your Registry editor won't work either, will it? If the Registry editor can provide the solution, is there a trick to getting into it? I've had this problem before, and the only way I was able to correct it was to use one of the Registry 'backups' that Windows made." Good question, Keith. Here's how you'd get around it: drop to a command / DOS prompt, navigate to wherever REGEDIT.EXE is located (usually in the System directory), and enter: "REN REGEDIT.EXE REGEDIT.COM" (sans quotes). Or, simply rename REGEDIT.EXE to REGEDIT.COM within Windows. To do this, you'll need to turn off the hiding of registered file extensions: open Windows Explorer | Tools | Folder Options | View | Hide extensions for known file types. You could also download a third- party registry editor. In any case, you'll be able to fix the default "application" association.


Turn an attachment red

16th January 2002

Gretchen hates it when I watch her working on her computer. "Oh, you can do the same thing quicker this way." What I have to realize is that sometimes people are content NOT to mess with what's working well enough. To me, an untapped tweak is sacrilege. For instance, I had no idea that Outlook Express's rules were so vibrant until Randy Stevens told me. "I am stuck with OE (I don't feel like looking at ads in Eudora). So, I set up a message rule that turns any message with an attachment red. It sticks out like a sore thumb, and of course I don't have the preview pane [turned] on. This way, when I see crimson, I know to proceed with caution." Sweet! Click Tools | Message Rules | Mail. Now, select your conditions, then select the "Highlight it with a color" action. Color me impressed. Regular Outlook users have the same option, although it's easier to apply through the Organize feature (also found in the Tools menu). Once this panel is open, you can press the "Automatic Formatting" button in the top right corner. Add, remove, and edit existing color display rules from there.


Interesting hyperlinks

17th January 2002

If there's one thing I can't stand doing, it's RTFM. FYI, that's an acronym for "Reading The Fantastic Manual." Not! Out of curiosity the other day, I tapped F1 in Windows XP. As expected, the Help and Support Center popped up within seconds. Now, you know me - I love to tweak. I pressed what looked like the "configuration" icon (although its tooltip lead me to believe that it was only for getting help online with Remote Assistance or contacting a support professional). In the lower left-hand corner, I found a few interesting hyperlinks which led me to pages offering alternative ways to view system information. This is like an updated version of the Computer Management console - only it's hella easier to read. Click Advanced System Information | View Group Policy settings applied | scroll to the bottom and click the "Save this report to an .htm file" link. Do this when you need help from a not-so-nearby friend, or when you want to make sure the same settings are migrated to another computer or fresh Windows installation. You'll find links to other data-gathering tools here, too. Explore!


Sound as a pound?

18th January 2002

Sound as a pound? Not always. When you install software on your system, your risk for resource contention increases. Program A configures your computer to work one way, and Program B comes in and clobbers those settings. Oy! It's enough to make you scream. Lockergnomie Jon Cverna was having problems with his sound card. It wasn't working! After many long hours of troubleshooting the situation, he finally figured out what went wrong. "In the Control Panel, there is an icon of a speaker for audio and multimedia settings. Under its Audio tab, there's a setting for a "preferred device," which gave me the choice of either "Modem #0 Line Playback" or "ESS Maestro." My sound card is the ESS Maestro. I noticed this setting had the first choice selected (my modem). I selected "ESS Maestro" and now the audio is back to normal. I must have accidentally changed that earlier." Again, not necessarily. For whatever reason, certain programs change system settings without letting you know first. If all is well after the installation, nobody complains. However, if a piece of software dorks up your environment, you might consider uninstalling it and finding an alternative.


Using an unsecure system?

21st January 2002

When I wanted to stay over at Jimmy's house, I had to ask for permission. When I wanted to have ice cream after supper, I had to ask for permission. When I wanted to open and edit my wife's documents, I didn't have to ask for permission. She was using an unsecure system! Thank goodness for FAT32, eh? We receive countless e-mails from people asking how they can password-protect their files and folders. The quickest way to do it is to ZIP up the objects in question, and then place a password on that archive. That's not the most convenient route, however. If there are multiple people using one machine, Windows 2000 and XP make protecting your data infinitely easier. With either on an NTFS hard drive, you can set user-level permissions. Depress ALT while you double-click a file or folder, flip to the Security tab, then set how you want to allow your users to interact with the data. Give 'em full control, the ability to modify, read & execute, read, write, etc. If you're worried about a young one (or novice) deleting your documents, this will help keep your bases covered. In Windows 9x, you'd need to find a third-party utility to do the same thing.


Excel is excellent

22nd January 2002

Word is wonderful. PowerPoint is powerful. Outlook is outlandish. Yes, there are a few free "office" productivity applications out there, but everyone seems to compare them to Microsoft's suite. Excel is excellent, too. To launch it, you can enter "EXCEL" in the Start Menu's Run field (tap WinKey+R for quicker access). The last time you created a chart from some range of numbers, did you step through the wizard (by pressing the appropriate icon)? Next time, highlight the section and tap F11. No muss, no fuss. You can always go back and tweak the graphic's format if it's not to your liking (right-click on the newly-created chart and select the "Chart Type" option). Now, let's say you want to create a range of numbers without putting forth much effort. Start by entering something into a cell - let's go with "27" right now. Select the cell, depress the CTRL key, hover over the lower-right corner of the cell until you see the cursor change into a big plus sign with a little plus sign. Now, click and drag vertically or horizontally. Down or right will increase your initial number; up or left will decrease it. You'll have effectively created a range of scaled numbers. Run through the same task without the CTRL key to merely copy the initial cell's contents.


Wham! You just saved space

23rd January 2002

They keep saying that Windows XP will run "indefinitely" without requiring a restart, but you can only fix disk errors when you're not inside Windows. To correct discrepancies, you'll need to check for them and then reboot. Either run "CHKDSK /F" from a CMD line or open My Computer, right-click on a drive (AKA volume), select Properties, flip to the Tools tab, and press the "Check Now..." button. Place a checkmark in the "Automatically fix file system errors." It will prompt you to schedule a scan before the next Windows session. Do it, folks. Do it often. If you haven't upgraded your FAT32 volume to the NTFS file system (I know, that's redundant), you can run the command line "CONVERT" utility. Remember, with NTFS in Windows 2000 or XP, you can compress files and folders to save on disk space. Right-click a file or folder, select Properties, flip to the General tab, click Advanced, put a checkmark next to the "Compress contents to save disk space" option, then click OK. Click OK again (to close the Properties dialog). To Confirm Attribute Changes, select the option you desire. Wham! You just saved some space.


Can you prove it?

24th January 2002

No, I'm telling you - it doesn't look like you've edited my term paper. "Yes, I did." Can you prove it? "Well, I forgot to turn on the Track Changes feature. That's found in the Tools menu." I know where it's located, but it doesn't help me at all now that you've completed the changes. Now, I have to manually compare the two documents side-by-side, and that's going to take hours. Or will it? Not on your life, buddy. Word has a "comparison" feature hidden away within the deep recesses of its structure. Right-click on a toolbar, select Customize, flip to the Commands tab, select the Tools category, then scroll through the right-most pane until you see the "Compare Documents..." option. Drag and drop that bad boy somewhere (either in an existing toolbar or a menu). Now, open your original document, press the newly-created icon, browse for the newer document, and guess what Word will do? Automatically highlight the changes in red. Perfect for when you need to know what once was sitting inside those paragraphs. If your teacher was looking for a rough draft, now you can show him or her in style.


Superior security

25th January 2002

We're all used to the way Windows 9x works, but if you're searching for superior security on the same platform, then Windows 2000 or XP are your only choices. For the Home (regular) user, XP is perfect. Does it have a Safe Mode, though? Kinda. Tap F8 immediately before you see the Windows splash screen pop up. What if you can't get into Windows that way? Time to run the Recovery Console. Insert the original operating system CD, boot from it, then step through the "blue screen" wizard until you can tap "R" to shell into the Recovery Console. Here, you must first enter your Administrator password (if you have one). Now what? Type "HELP" for a list of possible commands. FIXBOOT writes a new boot sector on the system partition; FIXMBR repairs the boot partition's master boot code. DISKPART manages partitions on hard disk volumes (kinda like FDISK); BOOTCFG is used to manipulate the BOOT.INI for boot configuration and recovery. This may just save you from having to do a complete reinstall of the OS. Be careful what you do here, though. For more information, please refer to MSKB Q307654.


A good Macro, rocks

28th January 2002

A good Macro, much like Cleveland, rocks. It will perform a programmed series of tasks with a single click. ActiveWords, CE Software's QuicKeys, and AutoMate from Unisyn will each help you macromanage Windows operations. But what about your favorite document editor, specifically? Oh, it comes with gobs of 'em. For example, there's a Macro that'll list all the available keyboard shortcuts for you. In Microsoft Word, press ALT+F8. Now, set the "Macros in" field to the "Word commands" option. Find the "ListCommands" entry, or type it in manually. Press the "Run" button and choose what kind of list you want to view ("All Word commands" is suggested). After you click "OK," Word will craft the document for you automatically. Print or save it for later perusal. Sweet! For the six people still using WordPerfect, there's a similar feature. Click Tools | Settings | Customize icon. Flip to the "Keyboards" tab. Click the "Edit" button and then the "Print Report" one after that. Why waste your time clicking when a keyboard shortcut (or macro) will do it for you in a quarter of the time?


SpeedStep processor

29th January 2002

Purchased a laptop in the past year or two? If it's running with "Intel inside," then you've probably got a SpeedStep processor. And yes, that's a good thing - for the most part. It was designed to maximize battery life by slowing down the processor when it's not needed. Support for this technology is not built into any Windows OS, save XP; you'll need the utility from Intel.com to have full control over how fast (or slow) your processor runs. Unless, again, you're running Windows XP (which supports it OOTB). So, the maximum megahertz for your notebook is (for the sake of argument) 800. How do you know your processor is running at that speed? Tap WinKey + Pause to pull up the "My Computer" Properties sheet. There, you'll find the "true" speed of the processor. Beneath it, you'll see the speed at which it's currently running. Let's say you don't care about prolonging battery life, though. How can you be sure you're always running full-bore? Change your current Power Scheme to "Always On." You can do this quickly by left single-clicking the battery icon in your System Tray. If that icon isn't there, enable it through the Power Options applet in your Control Panel.


Buggy drivers

30th January 2002

When the courier drops off a package, someone must sign for it to verify the transaction. The same holds true for drivers in Windows 2000 and XP. Despite the whining of legacy-loving lusers (local users), this is a fantastic feature. Nine times out of ten, Windows doesn't crash Windows. Buggy drivers, on the other hand, have been known to cause countless contentions. Microsoft instituted "driver signing" to stop problems before they started. If an installed driver is NOT signed, caveat clickor (let the user beware). Use VERIFIER.EXE - the Driver Verifier Manager - to gather information about and troubleshoot your system's drivers. Admittedly, this tool was specifically designed with ubergeeks (and driver developers) in mind. For details and usage guidelines, refer to article Q244617 in the Microsoft Knowledge Base. Check with hardware manufacturers to see if there are WHQL (Windows Hardware Quality Labs) certified drivers available for your device(s). They may not be optimized for speed, but stability is sometimes more important.


Wireless connectivity

31st January 2002

It's no secret that 802.11b networks are not very secure; we've discussed this point at length in the past. When you enable wireless connectivity through your access point, you should filter out non-registered MAC (Media Access Control) addresses if your WAP supports this feature. A MAC address is unique to every network card on the market. Any Wi-Fi device may see your wireless access point, but it won't be able to use the WAP unless its MAC address matches the (manually entered) filter. Nice, huh? Okay, so how do you determine a network card's MAC address? Either use WINIPCFG or IPCONFIG. You're looking for a hexadecimal string - twelve digits long (six sections of two hex characters each). This is easy to find when you're on your own machine, but what about those connected to your network? As your home network expands, this information will become increasingly important. You could use your router's DHCP table to view the addresses, or you could use Windows XP's GETMAC command line utility (also available as a free Windows 2000 Resource Kit download).


February 2002

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Don't want to copy

1st February 2002

Your data is just sitting there - waiting to be copied and (subsequently) pasted into other applications. Sometimes, this rudimentary operation isn't an obvious option. Try tapping the classic CTRL+C command the next time you don't want to copy stuff from the screen manually. The other day, I needed to document items sitting in a certain Outlook folder. I didn't need to save the actual messages, so I was looking for another way to do it. I did a CTRL+A (Select All) and surprisingly enough, every visible field was copied to the clipboard! I opened Excel and pasted without a problem. In Word, however, I needed to do a "Paste Special" before the text would insert itself properly. Here's where the fun begins: what if you want to copy the contents of each message? It's easy to do, as long as you've added the "Message" field to the Outlook folder in question. Right-click on any field (From, Subject, Received, etc.) then select the "Field Chooser" option. Under the "Frequently-used fields" category, drag & drop the "Message" field somewhere in between two existing fields. Now the content will be copied, too!


Abusive or menacing e-mail

4th February 2002

People with thicker skins don't mind an electronic criticism now and then. However, an abusive or menacing e-mail should never be tolerated (by anyone). The other day, Gretchen received a rather nasty note from one of her site's visitors. Before she could blast back an equally-spiteful response, I stopped her. Why? Because it would get her nowhere. I learned long ago that there were thousands of hapless, heartless morons online - and I "meet" at least one of them every day. Contradictory opinions, we should welcome; violent threats, we should not. Instead of responding to these mentally deranged individuals, I send a simple message to their ISP: "I received this rather disturbing e-mail from someone on your network a few minutes ago. What are your policies for managing such abuse? Thank you." I check the message's header for all mail servers involved. A good rule of thumb is to send this call for action to "abuse at wherever dot com." These are most likely the folks who will take care of the situation. In some cases, the perpetrator's account will be yanked with due speed. Indeed, most satisfying. Remember this option the next time it happens to you - but don't abuse it.


Non-breaking space

5th February 2002

Don't go breaking my heart. Don't go breaking my words, either. You're working in your favorite word processor, typing up your dissertation. Suddenly, the line wraps in an inappropriate spot. You need to put a space between two words, but you need them to be on the same line. It's time to use a non-breaking space. In Microsoft Word, this can be done by holding down CTRL + SHIFT when you tap the space bar. No matter what formatting is applied in the future, these words will never be split apart (lest you replace the non-breaking spaces with regular ones). Now, let's say someone sent you a list of items in need of alphabetizing. Word can do that, too! I'd suggest pasting them into a new document before invoking the command, however. Click Table | Sort | Paragraphs | Text | Ascending (or Descending, depending on the desired result). If there are secondary conditions to be met, then you'll need to select "Field 1" in the first Sort by option. See, there are features in this thing that you need every so often (though you may not realize they're already there).


A prank to remember

6th February 2002

Here's a prank to remember in a few months (when April Fool's Day rolls around). Your friend will need to be running an NT-based operating system in order for this to work. Create a new desktop shortcut to CMD.EXE (which is COMMAND.COM's bigger brother). Now, right-click the shortcut and pull up its Properties sheet (or press ALT and left double-click it). Flip to the Colors tab. Set the Screen background to dark blue (0 0 128), and the Screen text to white (255 255 255). Flip to the Options tab and set it to open in a Full screen. NOTE: you can also use the ALT+Enter keyboard combo to toggle screen modes. Launch the shortcut. Ah, it looks like a new-fangled blue screen of death! And that's exactly what you're going to create. Kinda. Create a new document in Notepad and save it to the desktop as a BAT file (name it prank.bat). In it, you'll enter the following (with each line separated by a slash): echo off / cls / prompt Press any key to reformat hard drive. / echo You have been sacked by the moose virus. The most important lines are the first three; you can add as many "echo" statements as you'd like (to personalize the bug). Launch "prank.bat" from within the CMD.EXE shortcut you previously made.


Stop guessing. Start going!

7th February 2002

Like many of you, I'm what they call a "visual" learner. Show me something and I'll remember it for years to come. My other senses are no less important, but I tend to "see" faces instead of "hear" names. Why, then, should Internet Explorer's Favorites be so unappealing to the eye? Each one is a shortcut to a URL. Combine this structure with the Thumbnail feature of the Windows Explorer and you've got magic on your hands. "I remember the site had a green theme, and... I'd know it if I saw it." Well, see it! Simply double-click one of your Favorites folders (in IE's Favorites menu, if you're so inclined). Now, select "Thumbnail" as the folder's View style. If this is not an option, you may need to enable it for that particular folder (found in its Properties sheet). This is a quick way to scout for 404s, too. Obviously, those with faster Internet connections will have their thumbnails displayed quicker. However, each of them should be cached (just like any other image would be) for future viewing. Stop guessing. Start going!


The Universal Serial Bus

8th February 2002

The Universal Serial Bus. Friend or foe? It depends on who you are and how much you've invested in the technology. USB 2.0 devices have started to hit shelves (and they boast a speed rivaling that of the competing data transfer standard, FireWire). USB 2.0 ports are also backwards compatible with older USB devices. Though, for the moment, most digital video devices are shipping with IEEE 1394, so it's good to have a FireWire port on your system, too. Still, there are "interface" decisions you may need to make in the coming months. Some printers even give you a choice between Parallel or USB. In many cases, you're just as well off with the older (Parallel) connection. What else are you really going to use that port for? You may also have seen a "Legacy USB support" option floating around your system. It's for people who are using USB-based input devices (like the keyboard or the mouse) in non- USB environments. DOS, for instance, won't recognize USB devices on its own. This is only an issue if you're running a Windows OS other than XP. Disable the feature in your BIOS if you're smacking into problems (as documented in MSKB Q282195).


It had the same file name

11th February 2002

When I sit down to sort through content for upcoming issues, I often use my desktop as a temporary staging area. Before too long, I have 50+ icons arranged in an area (having a resolution of 1600x1200 helps). Outlook messages, Internet shortcuts, text files - all mixed together. Yesterday, I hit a problem. I wanted to drag and drop an Outlook message from the mail client onto the desktop, but it had the same file name as something already sitting there. Oops. I canceled the copy. Instead of manually sorting through all of those desktop objects to rename just one, I used my desktop toolbar (add it to your taskbar by right-clicking an open area, selecting Toolbars | Desktop. Now, push it to one side of your taskbar. Click the double-arrows, right-click on a listed object, select the "Sort by Name" option, locate the file in question, right-click it, then select "Rename." Likewise, I could have placed all of those items into a separate folder and sorted them by a different parameter. But I didn't want to do that; the desktop toolbar was already there.


Delete non-contiguous files

12th February 2002

Now that I'm capturing stills every other second from my television (via the Intel Pro PC Camera with the video-in jack), I needed an easier way to discard the useless images. After a full hour of Call for Help (my current TV show), I'm left with hundreds of JPGs. Using the CTRL key while selecting objects (with my left mouse button) enables me to delete non-contiguous files en masse. Sometimes, though, I'll misdrag and the cursor will show the "Copy" icon. "But I don't want to copy anything - especially if I have a few hundred files selected." Not a problem. Simply continue to drag the selected objects into an area which they cannot be dropped. The "no" cursor will let you know when something can't be done. Let go when you see it and you should be fine. Another alternative is to use the ESC key, although this may (inadvertently) cause you to lose your selection in the Explorer window. Now, if objects WERE copied, you can simply press CTRL+Z to undo the operation immediately. You'll have to start the selection process over again, anyway.


Virtual trash receptacle

13th February 2002

This tip, while relatively remedial, serves as a good reminder for everyone. You don't dare throw away recyclable materials in my house. Gretchen will give you a death stare to end all death stares. Microsoft wasn't necessarily being politically correct when they decided to name the virtual trash receptacle the Recycle Bin. It's no secret that the data sitting in there isn't deleted. Heck, even when you "empty" it, the data may still be sitting on your drive (pick up the free "Eraser" from TOLVANEN.COM to fix this oversight). Turning off the delete confirmation dialog is one of the first things I do when I reinstall Windows. When I know I'll never need to restore the file, I'll hold down the SHIFT key as I delete it. This will enable me to bypass the Recycle Bin entirely. In Windows XP, I have the Recycle Bin view set to Arrange Icons By | Date Deleted with the "Show in Groups" option turned on. This sorts the files by Today, Yesterday, Last week, Two weeks ago, Earlier this month, Last month, etc. This is probably the single-largest unused (and overlooked) feature of the Windows XP Explorer.


PowerPoint's power

14th February 2002

Undoubtedly, the least used "Office" application is the presentation tool. Unless you're someone who does a lot of traveling for business, PowerPoint's power is relatively moot. There are, however, some features that you might appreciate - should the need arise. When you need to print a set of slides on a "black ink" printer, why have the software parse colors? Click View | Black and White to toggle the grayscale option. It's also important to note that sometimes less is more; don't go crazy with the animations or sound effects. Unless they serve a purpose, keep the eye candy to a minimum and your audience will be just as impressed. If you're going to use transitions, stick to the same one on every slide. Need a quick way to access the main (or any other) page? Click Slide Show | Action Buttons. With these, you can insert customizable buttons that will launch a Web page, open a document, provide more information, skip to the end of the show, return to the beginning, etc. Need to add a "quick and dirty" sound? Click Insert | Movies and Sounds | Record Sound. The audio quality isn't perfect, but it's easy to use.


Default Start Menu

15th February 2002

We all know that WIN+R will launch the Run dialog. And if you didn't know that before, you do now. It's an easy way to launch programs in your path or Web pages (provided they start with either "http" or "www"). You can make a shortcut to this command easily in Windows XP, but first you need to have the default Start Menu view enabled. Once that's done, simply drag & drop the Run icon from the menu to your desktop (which is akin to a "cradle to the grave" operation). Rename it at will. While we're on the subject of XP Professional's Start Menu, if you wanna get rid of the Help and Logoff icons, TweakUI may not do the trick. Launch gpedit.msc (from the Run command line). Be careful what you toggle in here; you could very well deny access to essential Windows features. Select User Configuration | Administrative Templates | Start Menu and Taskbar | Remove [This] menu from Start Menu. Of course, [This] could be "Help," "Logoff," or any other menu component. Note that the "F1" key will still respond to your call. When you uncover any other nifty tweaks in this applet, we'd love to hear about 'em.


Making Word stupider

18th February 2002

"Why were there little boxes scattered throughout that e-mail message?" No, it wasn't hacked by FedEx. The sender was inadvertently "stupid." And now, I'm here to tell you how to stop the insanity before it happens again. Oops! Did you see that? It's what Microsoft calls a "smart quote." However, certain applications can't map these characters properly. It all has to do with the way a document (or e-mail message) is encoded. If you do your editing in Microsoft Word, and then paste that text into another document (in another program), you may see weird blocks where you originally had apostrophes, quotation marks, ellipses, or emdashes. They've shown up in Lockergnome newsletters before, too. The "text/html" encoding can't interpret the characters, so all you see are cute little boxes. Let's turn those "smart" features off, shall we? In Microsoft Word, click Tools | AutoCorrect | AutoFormat (and AutoFormat As You Type). Take the checkmarks out of the appropriate "Replace" fields. For the ultimate in cross-compatibility, this entire (Replace) section should be cleared of all checkmarks. Get smart by making Word stupider.


Playing with your sensitive data

19th February 2002

I can't tell you how many times I've caught Sprocket at my keyboard. He likes hanging out in those "Under 112" chat rooms (which translates as "Under 16" in human years). He also enjoys editing my documents. I don't appreciate this. I have a grocery list that I keep in the "My Documents" folder. For some strange reason, "Puppy Treats" keeps finding its way into the document. "Did you do this?" I ask him, knowing full well that he won't answer. "Nevermind." I simply right-click on the file, select Properties, and right there on the General tab, I discover when it was last Accessed and / or Modified. "You were the only one home at two o'clock this afternoon, buddy." Then he gives me those puppy dog eyes and I can't help but forget about the whole situation. He gets his treats, but that's beside the point. The point is: you can quickly ascertain (and logically deduce) when someone has been playing with your sensitive data. A quick way of discovering which files have been modified in the last X days is to open up the Find applet and limiting the search by Date. If you don't trust your computer-illiterate roomie, this could be a godsend.


Intricacies of the ampersand

20th February 2002

Characters do what they need to do, despite what you want them to do. For example, when you put the at sign in an e-mail address, the message gets sent to the user account at the domain. You really can't use the symbol anywhere else in the string. Internet Explorer, Excel, and a few other programs may interpret the ampersand (SHIFT+7) in the Header / Footer differently. If you really want to see the single symbol, you'll need to double it. "Chris & Gretchen" will be translated as "Chris Gretchen" in IE's printed page. "Chris && Gretchen" would give me the desired result. Now that you've mastered the intricacies of the ampersand, let's flip back to Excel for a brief moment. When you tap ENTER, by default, the focus will drop down one row. Not finished with that cell? Press ALT when you tap ENTER next time. It'll force a line break in the same cell. ALT+ENTER in Word (and PowerPoint) will repeat the last few keystrokes. In Outlook, Outlook Express, Windows Explorer, or your desktop, it will pull up the selected item's properties. Try it elsewhere, see what happens!


CompactFlash card

21st February 2002

Digital Media (the non-Lockergnome kind) is wonderful when it works. Most people use it in their digital camera or PDA (as do I). Transferring data from a portable device to the PC is relatively painless. Lockergnomie Glen Fabian pointed out something recently posted to COMPACTFLASH.ORG (the CompactFlash Association): "By default, Windows XP will format any CompactFlash card of 64MB or more with FAT32 format. Digital cameras and other devices use the FAT (FAT16) format and can not operate with a FAT32 formatted card. Either format your CompactFlash card in your camera or select FAT format to format your CompactFlash card in a Windows XP PC." Even if you don't use CF media or Windows XP, this is something to keep in mind. And do you need another reason to own a laptop? My Pocket PC is a Walkman of sorts; I put new MP3s on it every day. However, transferring them via any USB (1.1) connection is slow as molasses. I picked up a PCMCIA CF adapter for under five bucks a few weeks ago (they're inexpensive to begin with). Trust me, that will speed up the process. Visit PCMCIA.ORG for more information.


Handwritten letter era

22nd February 2002

Quite honestly, there's no excuse for spelling errors anymore. Typos were frequent in the days of the typewriter; misspellings were common in the handwritten letter era. Though, there's virtually no quick way to spell check a word when you're in anything other than a "Microsoft Office Spell Checker" supported application. Lockergnomie Tom Maenner had issues with the feature in Outlook Express after he upgraded to Windows XP. "I had to locate 'csapi3t1.dl_' on the Windows XP CD and expand it as 'csapi3t1.dll' in this directory: C:\ Program Files \ Common Files \ Microsoft Shared \ Proof. Worked like a charm." I'm not certain if this will work on every machine, but it's worth trying if the tool isn't operational for you. If you dork up words every other minute, consider turning on the "Spell Check before Sending" feature in your default e-mail client. It's and its, than and then, their and they're, or any other homophone may slip through the cracks. Butt at least you won't look like a total fool - just a parshal one. Even online, credibility counts.


Unintuitive piece of garbage

25th February 2002

I've lamented the fact that Lotus Notes is the most unintuitive piece of garbage on the market - and I'm definitely not alone in this belief. For one, it can't handle HTML mail very well. Of course, some would say that this is a "feature, not a bug" - but I say it's an "annoyance, not a benefit." I have several safe HTML newsletters that I receive on a daily basis (ours included), but I can't see embedded images at all when I'm at TechTV. Perhaps you use an e-mail program that doesn't render HTML mails properly? Or, perhaps you're thinking of switching away from Outlook or Outlook Express? Best check to see if that "upgrade" will be to your liking. Our good friends at WOPR.COM (the ultimate Microsoft Office resource) have set up an e-mail alias which was designed to test your client's HTML capabilities. Blast a blank message to HTML @ WOPR.COM and wait a few minutes for it to come back with a diagnostic layout. Thanks again, Woody! By the way, Microsoft Knowledge Base article Q307594 may provide further insight for Outlook 2002 (XP) users who wish to render non-secure e-mail as plain text.


Internet-aware applications

26th February 2002

Like it or not, the integration of Internet-aware applications on your Windows desktop is inevitable. It'll be pervasive for some, and invasive for others. Take today's Microsoft menace: the Messenger. Yes, in this instance, you're in your right mind to shoot it (especially if you don't use it). .Net is becoming a reality, folks - and I'm certain that nothing will drive people away faster from the Windows platform. It may even happen to yours truly. Anyway, until that time, let's try to live with what we've got. Or, what we don't want to "got." Lockergnomie Owen Holm offers a simple workaround for keeping that sucker from loading: "Just move the EXE to another folder - or delete it entirely. It doesn't stop outlook Express from working." There ya go! Most of us will find the application (msmsgs) tucked away inside C:\ Program Files \ Messenger. Another solution is to wipe it off the face of your system. On the Run command line, enter: "RunDll32 advpack.dll, LaunchINFSection %windir%\INF\msmsgs.inf, BLC.Remove" (sans quotes with no spaces immediately following each comma). After confirming this action, it should be gone. As always, a backup is recommended before messing with any system component.


Modify printers settings

27th February 2002

LJConfig v1.1 [229k] W9x/2k/XP FREE

http://www.victechsoftware.com/download/LJConfig.exe
http://www.victechsoftware.com/ljconfig.htm

This allows you to easily modify the settings of supported HP LaserJet printers from your desktop across any sort of printer connection. Version 1.1 allows you to change the Density, Tray Locking, Fuser Temperature, EconoMode, REt, and Resolution settings. LJConfig supports the following LaserJet printers: some LaserJet 4s (4 Plus, 4Si, and some others); LaserJet 5P, 5MP, 5L- FS, 5L Xtra; LaserJet 6P, 6MP, 6L, 6L Xtra; LaserJet 1100; LaserJet 1200 / 1220; LaserJet 2100 / 2200; LaserJet 3200; LaserJet 4000 / 4050 / 4100; LaserJet 5000; LaserJet 8000 / 8100 / 8150." If you are concerned about the installer needing access to the Internet, please refer to the company's privacy policy.


Eat your heart out, Enya

28th February 2002

What's the quickest way (in Windows XP) to get a list of the currently loaded drivers (including module names and descriptions)? Get out of the GUI; you're better off at the command line for this tip. Browse to your desktop folder for simplicity's sake (usually found at C:\ Documents and Settings \ [Username] \ Desktop). Now, at the command line, enter: "driverquery /V > drivers.txt" (sans quotes). That /V provides a more "verbose" output. Other notable switches include /FO (which formats the output as a table, list, or comma separated values) and /SI (which provides details about any signed driver). Open that freshly-created drivers.txt file and you'll be in business. On a more entertaining note, do you remember the music that played when you first started Windows XP? Ya know, the one that sounded like an Enigma tune? If you wanna hear it again, you can find it at C:\ WINDOWS \ system32 \ oobe \ images \ title.wma. Of course, if you want to free up 3 MB worth of space, you can delete it and the intro.wmv file sitting next to it. Eat your heart out, Enya.


March 2002

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Right-click warnings

1st March 2002

I always laugh aloud when I see Web pages with right-click warnings on them. "Oh no! I can't copy your stupid image!" Now, I'm not saying that all images are stupid, nor am I saying that users don't have the right to hold all rights over their properties. However, if you put it on the Internet, it's pretty much fair game. If you don't want people to steal it, don't put it there. Simple, and very effective. The other day, someone sent me a link to a shareware utility that would allegedly put the kybosh on all Web content stealing activities. Bah. Whatever. We've discussed how you can use SHIFT+F10 or the "context menu" button on your keyboard to bypass blocking before. Here's another possible route (at least, for images): left click to select and hold it, tap Windows+D to bring up your desktop, then drop the object anywhere. Failing that, you could also try viewing the source for the Web page to find the direct URL for the image. Where there's a will, there's a way. Don't be lulled into a false sense of security when you try to "block that kick."


Delete IE's data cache

4th March 2002

In Windows 98, it is relatively simple to delete Internet Explorer's data cache from the command prompt (outside of Windows). Since moving to the NT platform, however, I've found it "impossible" to do. Until now, that is. Apparently, there's some kind of bug in IE6 where the browser will slow down and start eating up 100% of the CPU cycles. This could be caused by a corrupt cache - and cannot be cleared through the Internet Options dialog. Thanks to WARP2SEARCH.NET for providing a pointer to the solution! Even if you're not having problems with IE, stepping through this routine every other month is advisable. Launch a command prompt (CMD.EXE) and navigate to C:\ Documents and Settings \ [Username] \ Local Settings \ Temporary Internet Files \ Content.IE5. Close all OTHER running applications. Pull up the Task Manager (CTRL + SHIFT + ESC), right-click the EXPLORER.EXE process and select the "End Process" option. All you should have on the screen at this point is your Command window. Go ahead and enter: "del index.dat" (sans quotes). If need be, use extra switches to get rid of it (and any strangely-spelled subdirectories in the Content.IE5 directory). If you don't understand what I mean, you shouldn't be doing this tip. Click your desktop and restart the Windows Explorer. Pull up the Task Manager again, flip to the "Applications" tab, and press the "New Task" button. Enter: "explorer" (sans quotes). YMMV!


Home network a hassle?

5th March 2002

Home networks can be a hassle at times. It took me a few days to figure out how to get Gretchen's computer to recognize my shared (network) printer. Is there an easier way for those of you with two computers - and no router? Lockergnomie Mark Snedecor made the connection. "Some printers give you a choice between Parallel or USB. At work, I have an Epson 777 printer with both inputs. I have my desktop plugged into the parallel port (as has always been the tradition). Now, for the cool bit: I can plug my laptop into the USB port (both PCs on and connected to the printer) and everyone is happy. Though I have not tried a simultaneous print from both PCs, there seems to be no conflict and it saves me from having to crawl under my desk to unplug stuff when using the laptop (and having the urge to produce a hard copy without switching machines). I don't know if this works with all printers with dual ports, but my Epson 777 is certainly handling things nicely." Another discovery I made while playing with my HP OmniBook 6100 on a Wi-Fi connection and Windows XP's Remote Desktop Connection application: click to expand the Options, flip to the Local Resources tab, and place a checkmark in the "Printers" field. Blammo!


Scrolling for no reason?

6th March 2002

Every once in a while, my infrared mouse will "scroll" the foreground window. Initially, I thought this was due to having dropped the unit a few months back. Turns out that might not be the case. I'll let Lockergnomie John Smith shed some light on the subject. "I had trouble with my Logitech cordless optical mouse scrolling. When I first got the device, it worked fine. I would be on a Web site or working in a Word document or Excel spreadsheet and the page would just start scrolling for no reason. I tried moving the transmitter / receiver to different places and would intermittently have the same problem. Then, one day, the document I was working on started to scroll and (by luck) I moved my hand over the top of the mouse and the scrolling stopped, I took my hand away and it started scrolling again. I put my hand back - and it stopped. I had purchased a new desk light a month or so after I bought my mouse and it was much brighter than my previous one. Light was getting through the mouse housing and causing interference, I moved my light over about 6 inches and have not had a problem since. I hope this helps." Well, it's worth trying!


Linksys losing sync

7th March 2002

Last week, right before the broadcast of GnomeRADIO started, my Wi-Fi connection dropped. I couldn't see the access point at all. At first, I blamed it on Windows XP, but while troubleshooting the issue, I ran into the same problem with my Pocket PC's CompactFlash adapter. To "find" the WAP again, I had to change any random setting on the router. The Gnomie known only as "George" offered this bit of information: "A possible solution for your Linksys losing sync: someone may have been using a 2.4GHz device (cordless telephone, wireless toy, etc.) anywhere between you and the unit. It seems that this causes you to lose the connection for some reason (unknown to me at this time). At least, it has on many occasions around here until I figured what was causing it. I went back to my trusty old 900MHz phone and have not had a problem since." Well, that is certainly interesting to note. Interference with wireless devices is going to get worse before it gets better, for certain. Living in a building where there are quite a few other geeks doesn't help.


I live in Outlook

8th March 2002

I live in Outlook. Seriously. Only when I'm doing serious CPU crunching is that PIM ever closed. I used to rely on the Outlook bar until my local folders grew to the point where I needed to enable the Folder view. What I didn't realize is that Outlook (at least 2000) has an Integrated File Management option - provided you have the Outlook Bar turned on (find that in the View menu). Right-click anywhere in the blank space and select "Outlook Bar Shortcut." In the "Look in" field, select "File System," and then browse to the folder of your choosing (possibly one you visit very often). Nice, huh? Now, click View | Current View, and select different file structure options. "Document timeline" is a fantastic tool, and "By file type" is just as useful. Remember, you can also put shortcuts to your favorite Web pages in here, too. Ready for the ultimate bonus? Yeah, I'm not finished yet. While using Outlook to view a local folder, in the File menu, select Print and choose Table Style. Guess what that does? Yeah, it does exactly what you've wanted Windows to do for years - it prints the directory! Throw away those third-party apps once and for all!


Swap file problems

11th March 2002

A few of you have run into problems with the swap file / virtual memory on Windows 2000 and XP. Thank goodness Lockergnomaniac Michael Goddard decided to share a solution. "Recently, I 'locked down' my machine for security purposes. This included disabling the 'Guest' account, removing the 'Everyone' account from my C drive, and disabling file and printer sharing. Once this was done, I started to have 'PAGEFILE.SYS is not found' errors. Every time I set the page file size and rebooted, the setting would not take. The Everyone account MUST be added to the "PAGEFILE.SYS drive" and it MUST have Full Control in order for you to be able to change the settings." Allow me to put on my "mother" hat and remind you (once more) not to toy with settings you don't understand. Taken at face value, turning an option on or off could seriously impact your Windows experience. Furthermore, there are a few other things to keep in mind when you're "optimizing" virtual memory in NT- based operating systems: moving the pagefile to a second (IDE) drive can help system performance, but only if the drive is on a separate channel. You should also have no more than one pagefile per physical drive. Meaning, if you've partitioned C into D, E, F, and G, don't set a separate pagefile for each drive.


Favorite song lyrics

12th March 2002

"Silence fell on the cooling night. I thought I better fake it just to be polite." Lyrics from one of my all-time favorite songs. Do you have problems remembering the words to your most treasured tunes? The latest Windows Media Player, oddly enough, can help. Yeah, that means you have to be running Windows XP (but don't tune out prematurely). Right-click on a song in your Playlist (or in the Media Library), open its Properties, flip to the Lyrics tab, then enter (or paste) the words. Searching Google with the song title and keyword "lyrics" works wonders. Now, to see the fruits of your labor, start playing the song, then select View | Now Playing Tools | Lyrics. I know what you're thinking: "I think that [operating system] and [program name] is a piece of [derogatory remark]." Fine. Winamp will work just as nicely (and in some ways, better). The best plug-in available at this time can be found at PURELYRICS.COM. It will query against a database of over 60,000 song titles and import the lyrics directly into your player. Told ya not to tune out. Tune in!


Any 16-bit code running?

13th March 2002

We've all been told how 16-bit programs don't work as well in full 32-bit operating systems. For the most part, it's true. But how can you tell, specifically in Windows NT-based OSes, when 16-bit code is running? Pull up the Task Manager whenever you suspect something is wrong. If you see a "WOWEXEC.EXE" process running, you've got some 16-bit code to get rid of. Make note of any programs that you were recently running to track down the culprit. If the utility depends on a VxD, it will not work properly (in Windows 2000 or XP). If you can't live without the 16-bit application, consider running it in a "protected" memory space. Create a shortcut to the EXE, pull up its Properties sheet, flip to the Shortcut tab, press the Advanced button, then place a checkmark in the "Run in separate memory space" option. This should keep it from mingling with any other processes. By now, most of your installed programs should be 32-bit. If not, I'd suggest holding onto Windows 9x and running the older apps in there (instead of Windows 2k/XP). The OS will thank you for it.


Safe Mode

14th March 2002

Whenever someone utters the phrase "Safe Mode," my stomach turns. That's usually the last step in troubleshooting problems with Windows. To get to this menu in any Windows OS, tap F8 in between the last post code (beep) and the Windows splash screen. It's been around since Windows 95, although the first time you use it in Windows XP, you may be faced with a bevy of new options. "Safe Mode" is akin to the classic routine (using just the bare essentials to get back into Windows); "Safe Mode with Networking" allows you to connect to any given network, including (hopefully) the Internet; "Safe Mode with Command Prompt" may not be what you've been used to (CMD.EXE is used instead of COMMAND.COM); "Enable VGA Mode" is wonderful when you're having video card problems or troubleshooting a "new" monitor; "Last Known Good Configuration" is perfect when you JUST messed something up and want to turn back the clock; "Debugging Mode" is a troubleshooter's dream come true (you can redirect the output to another computer via serial cable); "Enable Boot Logging" does what it says; "Starts Windows Normally" does what it says, too; "Return to OS Choices Menu" brings you to the boot menu if you have more than one OS installed.


Internet hiccups

15th March 2002

Hiccups in Internet connectivity happen to all of us - that's the nature of the beast. AnalogX's NetStat Live may provide useful statistics, but these tips (from MSKB Q314095) may help, too. "If the transfer (Tx) light flashes when you ping a server on the Internet, TCP/IP information is being routed through your modem to your ISP. If the transfer (Tx) light does not flash when you ping a server on the Internet, packets are not being routed through your modem. Make sure that the IP address that your ISP assigned to you for your connection is not the same as the IP address for your network adapter or loopback driver (if one is installed). Also, the IP address of your network adapter or loopback driver should not be on the same network as the IP address that your ISP assigned for your connection. If the receive (Rx) light does not flash when you ping a server on the Internet, packets are not being received from your ISP. Contact your ISP for assistance. If the receive (Rx) light flashes when you ping a server on the Internet, but you still cannot connect to the server by using its fully qualified domain name (FQDN), there may be a name resolution issue."


Secret work menu in Word

18th March 2002

Word to your processor, yo. Upon uncovering the "secret" Work menu in Microsoft Word, there was much rejoicing. Right-click on a Toolbar or Menu item | Customize | Commands | Built-in Menus | then drag and drop "Work" anywhere you wish. Adding an entry isn't the trick - removing it, however, may prove to be. Mark Farrar (and a few other Gnomies) figured out how to do it. The easiest way is to use the CTRL + ALT + minus sign keyboard shortcut. Upon doing this, your cursor will become a thick horizontal line. Open a menu, then select the item you wish to remove. To add this feature to a menu, open up the toolbar customization dialog again, open the All Commands category, then scroll to "Tools Customize Add Menu Shortcut" and (four fields down) to "Tools Customize Remove Menu Shortcut." Place this in your Work menu and it'll always be a single click away. You can rename the shortcut (recommended) and assign it a key character for easier ALT key access. If you're so inclined, assign an image to it. I recommend this if you're someone who relies on visual cues. An eight ball would be very appropriate.


Remove Registry keys

19th March 2002

Forever have I been plagued with not knowing how to remove Registry keys via REG files; merging them is not a problem. Recently, folks have been trying to clear Microsoft's Windows Media Player History with ease. A quick download of the free "Windows Media Bonus Pack" from WINDOWSMEDIA.COM will give you a tool to clear the MRU list quickly, but here's a way to do it without any additional software. Navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ MediaPlayer \ Player \ RecentFileList - and export this "Selected branch" to a REG file. Now, edit that REG file in your favorite text editor, insert a minus sign between the opening bracket and the "H" in "HKEY." This should effectively remove the branch (and all subkeys) whenever the REG file is "merged." Create a shortcut to it, add the "/S" switch to the Target field to "silence" the task, then place it in your Startup folder to clear "the list" every time you boot into Windows. Another key which may hold an MRU: HKEY_USERS \ .Default \ Software \ Microsoft \ MediaPlayer \ Player \ RecentFileList. NOTE: be very careful when employing this tactic. Messing with the Registry is NOT for the faint of heart. You could hose your system in one quick click, slick.


Unnecessary update headaches

20th March 2002

Windows Update hasn't been faring too well lately; it's caused a few users some unnecessary headaches. It'll say something along the lines of: "Here, I think you need this patch." When, in fact, you don't. Mike Vigneau passed along an interesting tip for those of us who want to know what's happening when we're using this particular Microsoft tool. This tweak has been confirmed with Windows XP and 2000 systems, although it may work in earlier versions of Windows as well. What we're going to do is set the transfer dialog to "debug" mode. This way, we can keep an eye on what's happening - at each stage in the process. Fire up the Registry editor and fly to HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Active Setup. Enter a new String Value and label it: "SteppingMode" (sans quotes). Edit the String and give it a value of Y. The next time you use Windows Update, its actions should be a little more descriptive. If you ever wish to disable the verbosity, simply switch this value to N. If you want another way to grab these downloads, consider using the Corporate version of Windows Update (a quick search on Google will provide the appropriate URL).


Blogging buzzword

21st March 2002

Blogging is more than a buzzword - it's an easy way to upload your thoughts to the Web for the whole wide world to see. Most "blog" tools allow you to edit your entries within the browser. Problem is, if another link steals the focus from the current window, you could have wiped out what you were editing. Same holds true for every other Web-based form. For this reason, I've started to edit in a blank Outlook message. Why? It autosaves every three minutes, and nothing can wipe it out (short of me closing the window without saving it first or the machine crashing). More importantly, I have an extended clipboard at my disposal. No, I'm not talking about Office's annoying add-on. When you enable the BCC field in your message window, suddenly you have four lines available. In these, I put strings of text I need most (like the code for linking to a page with extra attributes, code for my embedded comments, et al). There's no need to install any third- party clipboard extenders; we might as well use what's already there. When you're finished, copy the body back into the Web form, close the message window, and nobody will be the wiser.


Keep children entertained

22nd March 2002

What's that they say? All work and no play makes Homer go something something? Well, at least Don Torelli has his eye on the ball. I'm always looking for ways to keep children entertained when they come over here. Since Sprocket is our only "child," we only have puppy toys - and you just don't wanna give rawhide to a toddler. Don writes: "I was in a [Paint Shop Pro] newsgroup and somebody posted this idea. I think the kids (and grandkids) will have a lot of fun with this one. Heck, even us older kids will like it." He went on to relay Greg's idea: "I remembered an exercise we used to do in grade school. Lay down a bunch of colors on a page, covering the whole page - [overlaying] the colors with a black crayon. When done, [we drew] with a pencil or any sharp object to get unique effects. In PSP, [you can] do the same thing - adding a layer on top of colors, filling with black, and using [the] eraser to draw." Well, that's a spectacular idea - especially for those of you with tablets. It should work fine with any layer-supporting application. Think of "layers" as separate sheets - you can edit each one independent of the other.


Jealous of my wallpaper

25th March 2002

People are jealous of my desktop wallpaper. I try to change it every day, so boredom always stays at bay. A Gnomie known as "Josh" was frustrated with where Windows was looking for his Background images. By default, it may look in your Windows folder or your Web folder. Got 'em elsewhere? Let Windows know. Open your Registry Editor and navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Windows \ CurrentVersion. There, you should find the WallPaperDir entry. Feel free to change it! One helpful string is %USERPROFILE% - which opens up the current user's "Documents and Settings" folder in Windows 2000 or XP. In other versions of Windows, the My Documents \ My Pictures folder will be found elsewhere. Wherever you have your favorite Wallpaper images stored is where you should set this value. If you're looking for new and exciting (suitable) Wallpaper images, look no further than our (current) daily Digital Media newsletter. Sorry for the shameless self-promotion, but it's truly a feature that I've come to look forward to every weekday. Might as well let us do the work for you!


Zip annoyance

26th March 2002

I put my hand upon your hip. When I zip, you zip, we zip. Except for Lockergnomie Mark Harmon. He's been pretty annoyed with Windows XP's built-in ZIP file management. Why? As he so eloquently puts it: "I've been having problems with Windows XP's Search feature from day one. When I search, it starts the process, seems to pause for a while, then resumes. Searches seem to take forever; while it's 'paused,' all of my CPU cycles seem to go to the search. Windows seems to be (temporarily) locked up. Well, after thinking about it, I decided to disable Windows XP's ZIP file integration and - lo and behold - Windows once again searches the way other versions did. On the Run command line in the Start Menu, enter: 'regsvr32 %windir%\ system32\ zipfldr.dll /u' (sans quotes or spaces between the backslashes). To reinstall the functionality, repeat the process without the '/u' switch. I was pulling my hair out over this." Me too! Perhaps in a future OS revision, they'll allow us to deselect the automatic compressed archive Search feature. Until then, I might suggest storing all non-essential ZIP files on a separate drive (or system).


Corrupted Protected Storage?

27th March 2002

Many people use Outlook Express because it's already there. And even if you don't use the client, I'm sure you know someone who does. For the most part, it does its job admirably. Mail gets sent, mail gets received, mail gets read. Has the program ever become sluggish on a regular basis in Windows 98? Could be a corrupted Protected Storage component. Heck, this may also be the reason why Internet Explorer pauses when you select an AutoComplete entry in a Web form. Before going any further, make sure you have a complete backup of your system. First, find "pstore.log" and rename it. Then, fire up the Registry Editor and fly to HKEY_LOCAL_MACHINE \ SYSTEM \ CurrentControlSet \ Services \ ProtectedStorage. Export that key for safe keeping, then delete it. Now, drop to a command prompt, CD to the Windows \ System directory, and enter: "pstores.exe -install" (sans quotes). Restart the computer to see if this fixed the problem. If it didn't do the trick, the next step is to reinstall Internet Explorer. Hopefully, it won't come to that. There is no known fix for this problem in Windows 2000 or XP.


Running out of cache

28th March 2002

Even if you don't frequent casinos, you can still run out of cache in a matter of minutes. Before a Web page can fully load, your browser must first resolve the domain name [lockergnome.com] to its corresponding IP address(es). Since Internet Explorer 4.0, the DNS cache has been resetting itself every thirty minutes. If this time-out setting is way too short for your tastes, then you'll need to fire up the Registry editor and navigate to the HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Internet Settings key. In the right-hand pane, right-click and add a new DWORD value. Rename the new entry: "DnsCacheTimeout" (sans quotes). Double-click to edit it's properties, changing the type to Decimal before proceeding. What should 'Value data' be set to? Well, whatever you pick, this is the number of seconds between cache flushings. The higher - the greater the chance of not having the freshest DNS entry. The lower - the more time it will take your system to resolve DNS entries. If you want to return to "normal," you can always remove this user-created key. WARNING: messing with the Registry is not child's play.


Security-conscious folks

29th March 2002

Fly into the danger zone if you will, but don't leave your system wide open. Internet Explorer's security settings are not to be taken lightly. If you're not disabling unsigned ActiveX controls, you could be (inadvertently) inviting disaster. By default, there are four zones which you may customize: Internet, Local intranet, Trusted sites, and Restricted sites. Where's the My Computer zone? Hidden. Uncovered from NEOWIN.NET, this particular tweak is primarily for security-conscious folks who use Internet Explorer 6.0. Locate 'HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ InternetSettings \ Zones \ 0' in the system registry. "Flags" will be set to (33) by default. Double-click it to change that value to 1. Log off (or reboot) to see a new zone appear: My Computer. Turn this on only if you want to protect yourself from yourself - or possibly from other people in your household. Tampering with this particular zone may cause Windows functionality quirks, so I'd tread with caution. Again, a complete backup is always recommended before you change a system setting.


April 2002

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


SHIFTy characters

1st April 2002

Sadly, this world is full of SHIFTy characters. If only there was an ALT way to CTRL them. In Microsoft Excel, there is! Your toolbars could stand to lose some weight. I'm not trying to be rude or anything, but you've got way too many icons in there. "But I can't live without my Print button!" Oh, yes you can. "No, I can't." Look, don't argue with me. Hold onto the SHIFT key when you press the Print Preview button. Almost like magic, the icon assumes the identity of its alter ego. Cool, huh? Yeah, and if you SHIFT click the regular Print button, it'll invoke the Print Preview feature. What does this mean to you? Well, that means you can get rid of one or the other and still have the same functionality sitting in front of you (as long as you remember to use that darn SHIFT key). What else does this work on? Sort Ascending and Descending, Open and Save, Align Left versus Right, Underline and Double Underline, Center or Merge and Center, Increase Decimal or Decrease, Decrease or increase the Indentation. You can always put the icons back if you miss them that much. Frankly, I think you'll be much happier with a trimmer toolbar.


Mysteries of the URL

2nd April 2002

You gotta get up pretty early in the morning to unravel the mysteries of the URL. They don't just point to Web pages, ya know. Gopher resources, Telnet locations, Mailto links - all rely on the proper formatting of the pointer. And what about newsgroup messages? Yeah, those virtual bulletin boards can be accessed quickly as long as you have some kind of NNTP client (like Outlook Express) installed and registered. The easiest way to check is to open up your Internet Options Control Panel applet, flip to the Programs tab, and see which application is registered for Newsgroups. Now, Web pages are referenced with HTTP, FTP servers are referenced with FTP (of all things), and News servers are referenced with NEWS. Well, what if you want to point someone to a particular message that's sitting on a particular server? Simple dimple: "news colon forward-slash forward-slash [news server] forward-slash [Message-ID]" (sans quotes). How do you know what the Message-ID is? In Outlook Express, you can right-click on the message, select Properties, flip to the Details tab, and find it in there. It's in the message header. Remember not to include the greater-than / less-than symbols.


Windows XP loophole

3rd April 2002

Whether you're in the military or not, you should salute CptSiskoX for describing a (current) Windows XP loophole. "Normally, Windows XP Home Edition cannot join network domains, simply peer-to-peer workgroups. However, there is a fix which can solve the problem and allow WinXP Home Edition to join a domain. Microsoft wanted to cripple 'Home' so that it could not be used on domains, which would force many to upgrade to the more expensive Windows XP Professional simply to join a network domain. However, it is possible to get on a domain using the Home Edition. This can be accomplished with the free and widely-available Xteq X-Setup 6.1 by navigating to the 'Network \ Auto Login \ Windows NT/2K/XP \ Settings' option. Simply enter the appropriate information and click the 'Apply Changes' button. On next reboot, you can then join domains with Windows XP Home Edition. Problem solved." It was noted that the latest version of TweakUI could also do the trick, but seeing as Microsoft has temporarily suspended the download (to "fix" the oversight), X-Setup is a more viable, short and long- term option.


Customize ugly icons

4th April 2002

Who here doesn't use a Microsoft Office application on a regular basis? Wow. I didn't realize there were so many of you. Look at those icons. I mean, each one is a miniature work of art. Except that one. Right there. You know, the ugly one on the end? Right- click on a Toolbar and select the Customize option. Now, right- click on any given "ugly" icon you'd like to change. Yes, that Change Button Image menu is nice for other pre-formatted icons, but what if you don't see what you want in there? Easy. Select the Edit Button Image option. Look at that - a pseudo icon editor. If you're so inclined, you can also edit menu items. As long as that Customize dialog is still open, you can left-click to open a menu, then right-click on any given option and change or add its icon. If you mess up, then simply select the Reset Button Image option. This thing is foolproof. Sure, you don't have many colors to choose from, but how fancy do you really need these things to be? I made a strawberry for Word's Insert Field menu option. It'll stay there forever.


Message disappeared?

5th April 2002

When is a message not a message? When you're looking for the wrong field. No, this isn't another Iowa joke. Lockergnomie R G. Brooks explains: "My wife, by mistake, deleted an Outlook Express message in her Sent Items folder. It was in the Deleted Items folder, so she dragged it back into Sent Items - and it disappeared! She dragged another in there and it did the same vanishing act. Help! where did it go? After a little detective work, I found that it was actually there, but the Sent Items and the Deleted Items folders use different column headers. In the Sent Items folder, you see only the 'To' and 'Sent' fields. In Deleted Items, you see the 'From' and 'Received' fields. When you scan through the other folder to find your file, you're staring at the wrong information. It will not be there." Until you flip on those fields. Right-click on any given sorting field and select the Columns option. Add and remove them at will. I'd also suggest turning on Outlook Express's Views bar, too. When you Right-click a Column, the option to turn it on will be there.


Sharing a printer

8th April 2002

I don't mind sharing a printer with other computers at home (or at work, for that matter). What bothers me is when I'm printing off a series of Web pages while someone else is busy printing their entire collection of Monty Python scripts. It takes a while to sort out the two sets of documents, but with the printer connected to a Windows 2000 / XP machine, the separator sheet is useful. Open your Printers folder, right-click on the networked printer, then select its properties. Flip to the 'Advanced' tab and click the 'Separator Page' button. It will then ask you to Browse for a page to be "used at the beginning of each document to make it easy to find [it] among others at the printer." Pre-built SEP files can be found in your System32 folder; I've found "PCL" to work fine for most jobs. Don't have permission to do this on your network? Suggest it to your sysadmin. On a similar (yet kinda unrelated) note, have you noticed that printing in Outlook has slowed down over time? You could have too many temp files. Open your Application Data \ Microsoft \ Outlook folder (which can either be found in your Windows or %USERPROFILE% folder). If you see a ton of "Outlprnt#" files, consider getting rid of them (with the pound sign being a number between 0 and 99). Be sure to hold onto the original (the one without a number suffix).


Formulas in Excel

9th April 2002

If you're not using formulas in Excel, then why bother with the spreadsheet app in the first place? Though, I suppose there are times when you'd like a formula's result to become a static number (no longer dependent on another cell's value). Fix that calculated cell by selecting it, flipping up to the Formula bar, and tapping F9. Formula gone, number converted. Cool. Now only if we could get rid of those grid lines. Sometimes they can get in the way, so here's a way to quickly toggle them on and off. Right-click on a toolbar and select Customize | Commands tab | Categories section | Forms, then drag & drop the "Toggle Grid" button somewhere into a menu or an existing toolbar. Press it at will! Oh, now if only I easily could figure out how old my dad is. I'll enter his birth date into A1: 07/19/1943 (with the slashes). Now, in A2, I'll enter: =datedif(a1,today(),"y") (with no spaces). How many months has he been alive? Replace that "y" with an "m" to find out. As for days? Yeah, you guessed it. Use a "d" in its place. Wow. I had no idea he was that young.


Out of Office messages

10th April 2002

"Gretchen Pirillo is currently visiting Boston." Unless she's bringing home a souvenir, I don't need to see that autoresponder. In Outlook, it's simple enough to automatically delete these "Out of Office" messages. Fire up the Tools Wizard (found in the Tools menu), click New | Check messages when they arrive [Next] | which is an Out of Office message [Next] | delete it [Next] | Finish. You may also select the "permanently delete" option or add any exceptions to the rule before finishing. Name it, enable it, and you're done. What about in Outlook Express? Well, there's a few more steps. Click Tools | Message Rules | Mail. Place a checkmark in the "Where the Subject line contains specific words" field. Click the resulting blue hyperlink and add "Out of Office" and "Out of the Office" to the Words field. Select the "Delete it" Action, name the rule, and you'll never be bothered with those autoresponders again. Of course, instead of deleting it, you could always move it to a temporary folder. That way, you're not left wondering why Gretchen didn't come home all weekend. Not that this has ever happened to me...


Fonts folder in a flash

11th April 2002

Open sesame! If you know the right words, you'll open the right doors. Or so says Lockergnomie Eric Bowman (from LEDHEAVY.COM). "If you want super quick access to your fonts folder, remember this tip. Simply click on the Start button and select Run. In the 'Open' field, enter the word: FONTS (and tap ENTER). Bam! There are all of your fonts in what appears to look like a Windows Explorer window, but there are a couple more features you might overlook without further inspection. Click on 'File' and select 'Install font.' This lets you properly add those hundreds of free fonts you just downloaded; I've had some bad luck when I employed the drag & drop method. Kudos to Microsoft for making something really simple and extremely useful." You could use this trick for any folder that's sitting in your path (Windows, System, or System32). Give it a go with: TEMP, CURSORS, WEB, or MEDIA. This might also work with SENDTO, DESKTOP, and FAVORITES. Wow, it's almost like the GUI didn't exist. Ask yourself which is quicker: spelling the location or finding it with your mouse. You decide.


Keeping your Inbox organized

12th April 2002

Keeping your Inbox organized is a healthy habit. If you're a popular person, this folder can quickly become flooded. If you have more than a hundred messages in there for an extended period of time, either take a typing class or stop sharing your e-mail address with the world. In the business world, it's courteous to reply with the entire thread below your response. This way, if an earlier point is brought up in an e-mail conversation, either party can easily reference it. Let's say you needed to view a recent message sent to or from the other person. In Outlook, right-click on the message, select Find All | Related Messages. The Advanced Find dialog will automatically look in your Inbox, Drafts, and Sent Items folders. As your information database grows larger, this will become an increasingly important feature. To tune the search, limit it to items with or without attachments (on the 'More Choices' tab), to certain object types (in the 'Look for' field), or to any other field (on the 'Advanced' tab). If you do not have this option in your mail client, you may have to make due with sorting by either the To or From field in the appropriate folder.


Power management is important

15th April 2002

Power management is important, especially if you're not in front of your machine 24/7. I always recommend turning off the CRT monitor when you won't be sitting in front of it for an hour or longer. Or, consider upgrading to an LCD at some point in the future (especially if you feel fatigued at the end of the day). Okay, so what about your hard disk? For laptop owners, hibernation saves time. The current OS environment is saved to a disk image for faster wake-up time. But do you need this? Not necessarily. Clearing HYBERFIL.SYS could free up hundreds of megabytes on any system. The safest way to do this, assuming your OS supports the feature, is to open up the Control Panel's Power Options applet. Flip to the Hibernate tab and clear the checkmark from the "Enable Hybernation" field. If problems crop up at any point in the future, you can always re-enable this feature by returning the checkmark. If your system chokes when ot "returns" from a suspension, consider foregoing power management altogether. To save the most amount of energy, just turn the whole thing off.


Schedule frequent breaks

16th April 2002

Experts say you should schedule frequent breaks when you plan on computing for an extended period of time. No argument here! But what if you don't wanna take a break? You could adjust your page margins. What? Oh yeah, I was talking about avoiding table breaks in your Word documents. If that doesn't work, try forcing Word to keep the table rows together. Insert your cursor into a field, then in Word's menu bar, select Table | Select | Table. Once the table is highlighted, go back to the menu and select Format | Paragraph. Flip to the Line and Page Breaks tab, and put a checkmark in the "Keep with next" field. Don't you hate it when the table is split across two pages? Yeah, me too. Again, select the table, then pull up the Table Properties (which can be found at the bottom of the Table menu). Flip to the Row tab and deselect the "Allow row to break across pages" option. You could also try the "Shrink to Fit" feature in your Print Preview window. This is best left for documents where the table (or paragraph) spills over by a few lines. Word will automatically reformat the page(s) for you.


My data is invalid

17th April 2002

I hate when my data is invalid. Worse yet, I hate when my computer says my data is invalid. Lockergnomie Brian Rossbach is in the same boat. "The problem stems from installing a PCI card on a Windows XP machine. When you try to load the drivers for the device, you get an error that states that your data is invalid. If you install the card and then install Windows XP, you don't get this problem. Adding the card later produces trouble." It could be due to a "protection problem" within the Registry. The most frequent offenders have been sound and SCSI cards. Fire up REGEDIT.EXE and navigate to HKLM \ SYSTEM \ CurrentControlSet \ ENUM \ PCI. There, you'll find a handful of "VEN" keys. These are your installed PCI devices. Within each one of these entries will be a separate (and just as cryptic) subkey. You're looking for a "DeviceDesc" for the piece of hardware which is causing the contention. Once you've found it, right-click the "VEN" key and select the "Permissions" option. Set this to "Full Control" and close Regedit. The installation should continue without a hitch. As always, it is wise (and recommended) to backup your data before playing with the Registry.


Real-time interaction

18th April 2002

When I first got online, instant messaging tools were rudimentary. We used "TALK" to interact with remote users, and "PHONE" to chat with local users (at least, in VMS). These utilities enabled us to interact with other people in real-time. We could add other parties to the conversation with a simple invitation. It was easier than connecting to a chat server somewhere (which, at that time, really didn't exist). Most IM clients have a "group chat" feature; when you're trying to communicate ideas between than one person, consider coming together in a couple of (quick) clicks. In the Windows / MSN Messenger, start a Conversation, click Actions | Invite Someone to this Conversation, then select another online buddy to launch an impromptu roundtable. In ICQ, simply set your status to "Chat" and your friends can join you at any time. In AIM, simply click the "Chat" button, then select the Buddies to invite. Don't have ICQ or AIM installed on your system? No problem. Search for "AIM Express" or "ICQGo" on Google and you'll be whisked away to Web-based equivalents.


Cached connections

19th April 2002

As I fall asleep every night, I can't help but wonder if I'm six IP addresses away from Kevin Bacon? That's the way my mind (and the Internet) works. When you send an instant message to a friend, pull up a Web page, or download your e-mail, you're establishing a network connection with a remote computer. These connections are cached; the next time you reach out to touch someone, the communication will be quicker. Sometimes, as Lockergnomie Brian Kowald points out, it's proper to flush this cache. Windows 2000 / XP users are well aware of IPCONFIG, the command line network tool. It's time to switch on the switches! Use "/flushdns" (sans quotes) to clear the stored connection data. Use this when your Internet connection is working, but one or two locations aren't resolving. You also might consider doing this before you walk away from the computer (to cover your tracks). So, how can someone see where you've been recently? IPCONFIG, in conjunction with the "/displaydns" switch, will tell all. Now, do you miss the GUI- driven WINIPCFG? You'll want to get WNTIPCFG, which can easily be found through Google.


Little nubby thing

22nd April 2002

Some message board troll once called me a "bipolar egomaniac." How right they were. I'm often thinking of myself at opposite ends of the globe. Anyway, I shouldn't be splitting hairs; I should, however, be splitting windows! In Word, for example, I'll often want to be staring at two parts of a document at the same time. It's easy to do if you drag & drop that little nubby thing sitting directly on top of the vertical scrollbar's up arrow. And yes, I believe that "little nubby thing" is the technical term. Left- click, hold, and pull it down. There ya go, dude. You're set. Don't need the dual-view anymore? Drag it back up where from you got it. Wow. I really gotta stop watching those Jerry Springer reruns. Here's another nifty built-in feature that isn't turned on by default: the Word tip of the day. First, you'll have to open the Office Assistant (which you may have to enable in the Help menu). Right-click that critter, select Options, then place a checkmark in the "Show the Tip of the Day at startup" field. Missed a tip? Click the "Reset my tips" button. Or, ya know, just read Lockergnome.


Networks can be nutty

23rd April 2002

Networks can be nutty. I remember the headaches I faced when I first brought a hub into my home. What happens when you need a "network environment" and you don't have access to a network? Never fear, my Windows 2000 / XP friends. The Microsoft Loopback adapter is here to help. Actually, it's there - on your system. It may even be necessary to use when you're running into contentions with your NIC or its driver. Everything you ever needed in a network is contained in this virtual environment. Fire up the Control Panel's "Add/Remove Hardware" applet. Click Add / Troubleshoot a device \ Add a new device \ "No, I want to select the hardware from a list" \ Network adapters. In the Manufacturer's field, select Microsoft. Look for the "Microsoft Loopback Adapter" option in the subsequent Network Adapter section. Finish the process. You're done. You now have a network without having a network. Of course, don't expect to do anything exciting with it. This isn't like free Internet access, folks. It's another troubleshooting tool for your digital tool belt. Hitch up those pants, partner.


URLs without 'www' prefix

24th April 2002

I very much dislike Web site URLs that don't have a 'www' prefix. They're just as functional, but as far as my Start Menu's Run command field is concerned, they're not Web sites. Entering Web addresses here is just about the only way I open sites - even if I already have a browser open. I seldom use 'http' either way. Even with Autocomplete enabled, if I'm not keying in something that my system recognizes, it won't let me do what I need to do through "Run." So, let's say you always visit URLs which begin with 'members' instead of the traditional triple-dub. In Regedit, blast your way into HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows \ CurrentVersion \ URL \ Prefixes. Create a new String Value, rename it to the desired "new" prefix, open it, and type in the associated URL protocol - "http://" (sans quotes) oughta suffice. Perhaps some enterprising freeware developer has created an easier way to do this, but for the time being, this isn't too difficult a registry "hack." If you run into problems, as always, you can remove the value.


Fonts in Windows

25th April 2002

Something always bothered me about the fonts in Windows. I mean, I had every option set to "Tahoma" under the Display Properties' Appearance tab, yet I kept seeing "MS Sans Serif" and "Microsoft Sans Serif" fonts in random dialogs. It didn't annoy me to the point where I couldn't live with it, but still - when I want one font all over my system, I mean it. I'd always seen the Font Substitutes section in Windows 9x's WIN.INI file, but I didn't pay too much attention to it. I wish I had; the "fix" was there all along. You can easily use this tip in your version of Windows, but for those of us with XP, we'll need to dive into the Registry. Find your way to HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows NT \ CurrentVersion \ FontSubstitutes. Now, before you go any further, make note of what you see here (or Export the branch for later merging). Double-click the "MS Shell Dlg" entry. Change it to whatever you want your font to see "everywhere." In my case, I chose Tahoma. By default, the System will go with either "Microsoft Sans Serif" or "MS Sans Serif." Reboot and you're set.


Hide behind everything

26th April 2002

I was trying to make the bed this morning, but Sprocket decided it was time to play in the sheets. If only I could ask him (politely) to roll around on the floor, I could complete the task at hand. Well, dogs don't speak human - and neither do computers. You use the SHIFT key to open multiple items in your Start Menu without losing your position. Now, let's say you don't want to lose your foreground app's focus. While double-clicking on a desktop shortcut icon to launch the associated target, hold down the CTRL key. It'll load it behind all other open windows. Be it a document or be it a program, it should hide behind everything else on the screen. Why would you want to do this? Well, if what you're currently working on is super important, or if opening the second application is necessary (and it doesn't need your full attention), this will help. If you want to keep programs from stealing foreground focus, consider using X-Setup (available from XTEQ.COM). The plug-in is currently located in: Appearance \ Desktop \ Options \ Taskbar options. This may not work in your OS. You might also use the latest version of Microsoft's TweakUI (if they ever release it again).


Can't live with 'em ?

29th April 2002

Computers. Can't live with 'em, can't throw 'em across the room. Another Gnomie reminds me of how unconventional thinking can often yield positive results. "While surfing the Web, I came across a small selection of nicely displayed information that I wanted to keep for future reference and share with others. I puzzled over which application would best retain all of the page's formatting (without spending much time on editing). A thought passed: flip over to my e-mail program - which was already open. Create a new (HTML) message, select the text on the Web page, copy it, then paste the data into this new message. Fill the Subject field with a title then save it to a folder (or close it, sending a copy to the Drafts folder). Outlook Express users might go as far as to mail the message back to themselves so that the hyperlinks would work." If you've heard of this tip before, it bears repeating. There's so much information out there - it's easy to lose what you once found. Take the extra time to put it into an application which you (undoubtedly) use every single day. It's quick and easy to do!


Excel keyboard shortcuts

30th April 2002

If there's one thing Malcolm Hegge knows, it's how to work inside of Microsoft Excel. If his shortcuts were any shorter, they wouldn't exist. "When entering or editing a formula, you can change a relative cell reference (A7) into an absolute cell reference ($A$7) by hitting F4 when the cursor is on (or immediately next to) the cell reference. Tapping it once more will lock only the row (A$7). Tap it again to lock only the column ($A7). Hit it a fourth time to revert to a relative reference again." How much time did this little trick save you? Make a spreadsheet for it! And let's say you want to take a screen shot of a certain range of cells. No, take your finger off of that PrtScrn key. Now, select the area you'd like to copy, hold down SHIFT, then click Edit | Copy Picture. Select how you would prefer the data to be copied (you can always do this again if it doesn't do what you expected it to do). How'd that option get in there!? Amazing things start happening when you hold down that SHIFT key before you click. That range is now sitting on the Windows clipboard. Paste it anywhere!


2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


January 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Email Tactics

1st January 2001

Sit there and tell me you've never replied to an e-mail message. I'm sure it happens just about every time you get online, but how exactly do you respond? With shorter messages, convention dictates that you can simply add to the thread by entering your thoughts above the replied text. In lengthier messages, however, you may wish to carve the indented paragraphs. Insert your cursor on the line directly below the sentences you wish to respond to, hit ENTER a couple of times, then type your fingers off. This'll make your thoughts easier for the recipient(s) to read and interpret. In business communications, this particular tactic is frowned upon. Split the difference, I say! In the 'Reply' message window, before responding, select all the text, copy it to the clipboard, then paste it into the message twice. This will allow you to break apart the topmost replied (indented) text and leave the original message intact below. Specific responses can be conveyed quickly and the thread still remains intact. You know, just in case someone needs it at some point in the future.


Speech Synthesis

2nd January 2001

Lori thinks I'm nuts, operating in a 1600x1200 pixel environment. My prescription is far from perfect, but at least I can see screen stuff without squinting. My grandmother suffers from macular degeneration; she wears glasses that put Coke bottles to shame. Knowing this, I would recommend that she and Grandpa use Windows 2000 Professional. Why? Out-of-the-box stability aside, Microsoft Narrator is a part of W2k's Accessibility tool suite. Quoting its splash screen, this utility "is intended to help people with low vision to setup their own computers, or use other people's computers." Dialog boxes, keystrokes, e-mail messages, and just about any string of on-screen text can be read aloud on-the-fly. When you're in a pickle, the Narrator is perfect -- although it's not something that one would want to use on a continual basis. Speech synthesis is still years away from being an essential part of the daily computing experience. You can say that again.


Create a Spreadsheet

3rd January 2001

Right now, my Microsoft Office 2000 installation CDs are elsewhere on this planet, I don't have an Internet connection, and I need to create a spreadsheet. Well, as long as Notepad is present, I'll be good to go. What!? Yeah, you can enter basic alphanumerical data in a plain text program. As long as you separate each field by a comma, your favorite spreadsheet application should be able to import it. Tabs may also be used as delimiters, but I've always found commas to be easier to keep straight (visually). First, you need to understand the difference between columns and rows in a spreadsheet document. Rows are horizontal, much like bleachers at the women's basketball games which interrupt the Chris Pirillo Show. Columns are vertical, much like those used in ancient architecture. If you can't remember that, you're a Doric. Consider each line in a comma separated text file your row, and each comma within that line as the start of a new column. Need ten columns? You'll use nine commas with flanking data. Need to insert an empty column? Put nothing between the two commas. Isn't that Ionic? Dontcha think?


A not-so-gooey utility

4th January 2001

Coming from the "I Command Thee" Department, Lockergnomie Brian Bartlett lets us in on a not-so-gooey utility for Windows NT/2k. When you need something done, you needed it done yesterday. That's just the way it is in a world dependent on instant gratification. The Task Scheduler is pretty fancy -- especially when compared to a command prompt. But there's beauty in that blandness! Do you know where it's AT? No, you see... that's the program (AT.EXE). "The AT command schedules commands and programs to run on a computer at a specified time and date." And for networked Gnomies, there's a switch for working with remote computers. Granted, there's no "GUI," but since when has that been a necessity for powerful tools? For those of you new to this operating system, understand that there are two ways to drop to a CLI; CMD.EXE is much more efficient (and faster) than the familiar COMMAND.COM. It's kinda like two turntables and a microphone (where it's AT).


Still sending paper FAXes?

5th January 2001

Are you still sending paper FAXes? Slap yourself. This is the electronic age, dude. There's virtually nothing a FAX machine can do that a scanner and printer cannot. In fact, the latter option saves paper and allows transmitted document(s) to be duplicated easily. Sans scanner? Pick up your digital camera. Don't have one of those, either? Sell your silly FAX machine and get either one. Prices are plummeting for these increasingly-important office peripherals. There are online services which will help you coordinate the electronic delivery of FAXes to those still in the stone age. I'm using a program called "IPFax" via my Webley account, which is seen as a separate printer to Oogie Boogie (my big beige beast). NOTE: don't try to FAX complicated graphics unless you've dithered them down to two colors first. Er, all colors (white) and the absence of all colors (black). ADDENDUM: why are you FAXing graphics? CORROLARY: only FAX stuff that can't be sent any other way. Save paper, resources, and cost (for the possible long distance call). For black and white documents, I've found the TIFF format to work best; not only is the compression algorithm strong, but you can store multiple "pages" within the same image. If you don't use Paint Shop Pro, the Kodak Imaging application that comes with Windows is just as useful.


Stopping your settings changing

8th January 2001

Don't touch my computer. In Pirilloland, that's a big no-no. I flipped out years ago when I found a Desktop icon was off by two or three pixels. Stopping users from changing your settings isn't always easy. Forget about posting a "Don't touch" sign; the Background tab (in your Display Properties dialog) can be hidden with a little bit of Registry hacking. Navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Policies \ System and create (or edit) the DWORD value: "NoDispBackgroundPage" (sans quotes). Set its value to 1 and it'll take effect instantly; to reverse this tweak, simply change the value to 0. This won't stop a determined user from changing the Desktop graphic entirely, but it'll sure slow him down. ANCILLARY: you can conserve video memory by not having a background image. For those with older, slower video cards looking to squeeze as much performance as possible from their systems, this should be kept in mind.


Timely e-mail responses

9th January 2001

Just about everybody understands the frustration that comes from not receiving timely e-mail responses. Did you enter the correct address? Are they even checking their Inbox? When you first exchange contact information with someone, be sure to ask for their preferred method of interaction. For some, the phone works best for remote communications. And what about e-mail? Well, its not unusual for someone to have more than one account (work, home, travel, etc.). Which one is used most often? That's for them to know and for you to find out. Hey, while you're at it, ask to see if their cell phone has an e-mail address, too. No joke! Text messaging is a feature that is underused with certain wireless service plans. Granted, these notes are restricted to ~100 characters or less, but if you have something important to relate, there may be no quicker way to get to an unconnected person. Have your own text messaging e-mail address? Get weather reports, road conditions, stock prices, your server's status... all sent to your cell phone automatically. If the option is available, you might as well use it.


Word formatting

10th January 2001

Type, type, type. What's this? I didn't want the text to be red and underlined. Why did my word processor do that? Well, I hate to tell ya, but it did NOT do that. You did. Albeit, inadvertently. Rich text is prettier than straight ASCII, no doubt. But when you start messing with font sizes and colors and spacing and whatever, you're creating a potential headache (as witnessed at the beginning of this tip). How can you avoid these problems? Fight the urge to "fluff" as you move forward -- wait until you're completely finished with the document before doing anything to it. This way, you'll be able to target the exact text string(s) you wish to tweak and no other areas should be impacted. To save even more time, use the Format Painting tool. Right next to the Paste icon, you should see another icon with a little paintbrush and i-beam cursor inside. Highlight the formatting you want to copy, click the 'paint' icon, then highlight the text to which you wish to apply that formatting.


Nice file name

11th January 2001

29NOV35x4Radio would make a nice file name. I'm surprised you haven't used it before. Isn't it incredibly easy to interpret? Sure, if you happen to be Dagnar from the planet Zorbatt. Unless your intentions are to keep a file from prying eyes, I offer the following suggestion. When it comes to naming a document, use the first three or four keywords that come off the top of your head. Why? Because as your collection grows, so will your confusion. Even obsessive-compulsives like myself can stray from congruous conventions. If your eyes can't spot an object within ten seconds, start thinking of launching Explorer's Search (or Find) applet. Here's where those keywords can come in handy. You know you're looking for something that has to do with "Radio" and "November" but you can't remember the exact project name. Well, if your document largely dealt with Radio, you'd be silly not to have that word somewhere in its file name. Again, this will become increasingly useful as your index grows. Your productivity is paramount; don't waste time looking when Windows will do it for you.


Lousy default folders

12th January 2001

Why do some programs stick to lousy default folders? Ya know, when you go to open or save a file, the dialog sometimes starts somewhere (seemingly) illogical. For some, the Windows folder is a starting point. For others, My Documents may be home. If an application doesn't allow you to designate a default folder, you can take an alternative route. Shortcuts can do much more than launch programs, eh. First, find a app that's been frustrating you (in this context of this tip). Right-click its icon, select Properties, then flip to the Shortcut tab. In the "Start in" field, enter your desired "Open / Save As" folder path. With any luck, the next time you use this shortcut, that dialog will start exactly where you desire. PIGGYBACK: Windows 2000 users will find a "Run in separate memory space" option in the Shortcut's property dialog, too. When a 16-bit (Windows 3.1) program is launched, system stability will be strengthened if you place a checkmark in this box first. Or, upgrade to a 32-bit alternative!


Outlook contact searches

15th January 2001

Coming from the "Brighter Outlook" Department, Lockergnomie Mitchell Sharp sharpens his contact searches. We all know how a PST file can become unwieldy in a heartbeat, storing everything from e-mails to tasks to scheduled meetings to anniversaries to journal entries to... infinity and beyond. I find it rather comforting to know that the data is all in one place (instead of scattered about my hard drive). Not convinced to move to Outlook 2000 yet (even though you probably already have Microsoft Office 2000 installed)? Let me ask this: if you needed to find all electronic documents (e-mails, appointments, notes, etc.) pertaining to a certain contact, how would you go about doing it? Cleanly, quickly, and without much effort? Aha. Outlook is smarter than you think! Open up a Contact's property sheet and flip to the Activities tab. That's all you need to do; this powerful PIM will automatically start flipping through your Outlook folders -- looking for and providing links to related data. I'm sure you'd much rather waste your time doing it manually, though.


Get rid of Real

16th January 2001

Coming from the "Getting Rid of Real" Department, Lockergnomie Bruce Feirstein removes a resource-draining icon. RealAudio used to be the bee's knees. Now, it's more like a hornet's nest. With privacy issues and fluffy features bogging down the binary, it looks as though the player will work better on-demand. In the menu, select View, then Preferences. Toss your cookies in the Support tab if you're so inclined, but don't leave the dialog until you've disabled the StartCenter permanently. "Ignore dire warnings about the coming apocalypse." Turn it off; save precious memory for other (more important) applications. Another piggy? Microsoft's latest Windows Media Player. In Windows 2000, WiMP v7.0 (WMPLAYER.EXE) sucks up 10MB of system memory before it plays a file. Compare this to WiMP v6.4 (MPLAYER2.EXE) which initially takes up only 3MB. Don't come whining to me when you say your computer is too slow -- and I see that your System Tray has more icons than the average folder. Get real. Er, get rid of Real. Kinda.


Hidden help

17th January 2001

Time to discover a little bit of hidden help. Default Windows apps aren't known for being robust -- but they work when you need them to work. When was the last time you saw Notepad crash? Jeez, I hope never. What's two plus two? Unless your an accountant, the answer is simple; launch CALC.EXE and double-check your answer. Wow -- the Scientific View has a ton of buttons. What do they all do? Right-click on one to find out. A "What's This" feature may also be employed when you're sitting inside a dialog box. In the upper right-hand corner of a property sheet, you may find two buttons (? and X). Tap the question mark, then click anywhere on the sheet for (possible) further guidance. Or, you may be able to right-click anywhere on the sheet to see if a "What's This?" option automatically pops up. Right now, I'm sure you power users are going: "Psssh! I already know everything." Yeah, but did you know that you could right-click on the "What's This?" bubble help and copy / print the text? Uh huh... sure ya did.


Online security

18th January 2001

"I want my computer to be secure when I get online." Do you realize that's an oxymoron? Even with the tightest system, I can safely say that there will always be at least one vulnerability present. Linux is more robust for networked environments, but like any operating system, you can be stewed if you don't set it up properly. Microsoft's consumer Windows series is quaint; the job will get done, but cutting corners could cause chaos. Security? Firewall. Security? Stealth mode. "But Windows 2000 isn't..." Don't look at it for what it is NOT, but rather at what it is: an operating system better suited for a constantly-connected computer. I'm discovering new command line network tools every day! Lockergnomie Bruce Stanko told me about PATHPING -- an extended utility that provides more network routing details than the popular PING command. Lockergnomie Robert Gauthier clued me into the ROUTE command -- which manipulates network routing tables. With it, I can see a little bit more about my local network. How does this all tie in together? Everybody has PC problems, but with the right tools in hand, they can be solved more easily. Not to say that ME doesn't work -- it just didn't. At least, for me.


AutoSummarize documents

19th January 2001

I ain't got time to figure out what you're trying to say; just give me the short version. While waxing poetic may work well on the radio, electronic transmissions should be kept short and sweet whenever possible. This goes for e-mail messages, word processing documents, and everything in between. Too much text overwhelms the eyeballs. In grade school, we were taught to skim for important ideas. Microsoft Word may be able to help! In the Tools menu, select AutoSummarize. Guess what that does? Uh huh. Go ahead and click OK when you're ready to rock and a new daughter window will appear over your document. It's like someone took a highlighter to your screen! You can change the summary percentage on-the-fly; switch to a more simplified view by pressing the left-most button. Of course, this is no substitute for any comprehensive review. But when you need to pick out parts of a paper, I can't think of an easier (or quicker) way. Where was this thing when I was in British literature class?


Telecommunications stuff

22nd January 2001

Telephony. That's when you pass information along to someone who isn't real. Nah, it's telecommunications stuff -- voice over IP (VOIP). I still remember the first time I used a PC to communicate (vocally) with another person. Since then, broadband has been introduced into our homes. If you're lucky enough to have a cable or DSL connection, then there's a Windows program I suggest you call upon for long-distance tech support issues with friends and family members: Netmeeting. It's more than just a simple communications client. Yeah, even when you turn off the audio and video streaming, you can still share a remote Desktop. That is, assuming the user on the other end is running Windows and can use it (Netmeeting). Instead of talking someone through a simple task, you can do it for them. "Well, how are they supposed to learn anything if they don't do it themselves?" Let me ask you this: is your time precious? Helping loved ones troubleshoot computer problems is fine, but it's also more frustrating than being stuck in the slow lane during rush hour traffic. Hey, if nothing -- then at least you may have discovered a rather cheap way to interact with other connected members of your "inner circle." With the right conditions, it's no worse than a cell phone call (although, we still have miles to go before it replaces the handset).


Context- Sensitive Help tool

23rd January 2001

Jack Skellington is going nuts. "What's this? What's this?" Well, it appears to be text. "Yeah, but how was it formatted?" Looks like... I can't tell. Well, why don't you use the Context- Sensitive Help tool? This is especially useful for a Microsoft Word document which suffers from formatting faux paux. It's like asking your father: "What's that fo', Pa?" In the Menu Bar, click on Help and select the "What's This" option. Alternatively, you could use the SHIFT+F1 keyboard shortcut. You should now see a question mark appear next to your pointer (unless you've applied a non-traditional cursor scheme). Hover over any character in the current document window; when you wish to see more about its attributes, simply left-click. Care to see more? Click elsewhere and you'll find just as much information at your fingertips. When you're finished, just tap the ESC key. I hope you follow my earlier advice and not apply any formatting to a document until it's complete; when you're caught in a jam, this feature may cut down on your frustration.


Outlook 2000 SP2 fix

24th January 2001

Coming from the "Fixing The Fix" Department, Lockergnomie Edward Kreis may have discovered a workaround for the Outlook 2000 SP2 attachment security update. "I remember you where disappointed to discover that the latest Outlook 2000 patches disabled the ability to directly open 'EXE' attachments (as well as others). To enable such functionality again, you may try the following hack." In the Registry editor, navigate to HKEY_CURRENT_USER \ Software \ Policies \ Microsoft \ Security. If this subkey is not present, then you may not be affected. Assuming it is there, create a new DWORD Value and name it: "CheckAdminSettings" (sans quotes). Double-left-click on the newly-created option and enter the number one (1). Now, I cannot verify that this setting will change anything -- only because I did not install any one of Microsoft's Office 2000 service packs. Edward claims that it will return attachment functionality. As always, I recommend that you perform a full backup of all your vital system data before doing any serious system tweaking.


Save attachments in Outlook

25th January 2001

Coming from the "I'd Rather Be Somewhere Else" Department, Lockergnomaster Steve Janssen tells Outlook where to save attachments. "Whenever you want to add an attachment to Outlook mail, it always takes you to the Personal folder in your profile. Well, I don't keep anything there (for attachment). In Microsoft Knowledge Base document number Q253135, instructions are provided to tweak this behavior." Fire up REGEDIT.EXE and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Explorer \ User Shell Folders. Double-left-click the Personal key to open it. Now, enter the default attachment path you'd rather use. My suggestion: either the %USERPROFILE%\Desktop or %USERPROFILE%\My Documents folders. They'll work well for computers supporting more than user. When you're finished, exit the Registry editor and restart Outlook. Would you rather attach without going through the hassle? Drag & drop any file into an e-mail message window. Gee, that was difficult.


Prevent buffer overruns

26th January 2001

Coming from the "Go With The Flow" Department, Lockergnomaniac Steven Groginsky removes another middle man. "After reading part of an article describing COM port flow control as functioning mainly to prevent buffer overruns, I have selected 'No flow control' for my COM ports in the Windows Device Manager. To get here, simply right-click on My Computer, select Properties, then flip to the appropriate tab. I believe I'm getting better speed from my modem now. I'd like to have this confirmed by someone with a 56k connection as I have never seen this tweak before [NOTE: discussion should take place in either the Reboot My PC discussion list or Lockergnome newsgroups]. The principle is that buffer overruns occur when the CPU takes bits out of the buffer slower than the modem is putting them in. I figured that with an AMD K6- III 400, I wouldn't have to worry about that. So, this is for anyone with a system that never reaches 100% usage minus what it takes to service the Internet connection; you can safely turn off flow control for a [possible] boost in speed."


Printing more than once

29th January 2001

Plan on printing the same document more than once? Quit going though the motions; let Windows 2000 keep 'em queued for ya. Open your Control Panel and double-click the "Printers" icon. Now, right-click your default printer's icon and select the "Properties" option. Flip to the "Advanced" tab and put a checkmark in the "Keep printed documents" box. Now, when you spool data to this printer, it won't be removed unless you manually delete it. Again, you'd want to turn on this feature if you have a propensity for printing the same stuff over and over... and over again. Windows 9x users feeling left out? So, here's a tip that you can use! When you print graphics, they may not appear the same on screen as they do on paper. Perhaps your dithering is off (or on, as the case may be). Pull up the properties for your printer the same way your W2k brethren do -- then flip to the Graphics tab. From there, you may be able to change the DPI (dots per inch) and dithering options. Trying to conserve ink? It's par for the "course." Looking for perfection? There is "None." Need something in between? That's just "Fine."


Finding stuff online

30th January 2001

While doing a radio interview the other day, the subject of "finding stuff online" came up. The host was frustrated with IE's default search engine. "But you can change it!" You can? You bet. Go ahead and open your Search pane (click the Globe icon in Internet Explorer's "Button" bar). Now, click the "Customize" button in the upper right-hand corner. Up pops a white-ridden dialog box. Now you can add, move, remove, or resort the list. Ready for more? Click the "Autosearch settings" button in the lower left-hand corner. If you use the Address Bar search approach like I do, you can select the most desirable engine from the drop- down list. How do you search from the Address Bar, you ask? Easy. Either preface the query with a question mark, or enter your keyword(s) and tap the ENTER key. Wow. Painless. Er, paneless. BONUS: upon installing the official Internet Explorer 5.0 Power Toys, you can set up your browser to query Google directly from the Address Bar. You'll find the "Quick Search" option in your "Links" menu. From there, follow the directions and create a customized shortcut for... whatever.


Find out what font

31st January 2001

Working with tech novices can be frustrating at times, but you can learn a lot from a "dummy." I use that term VERY loosely; at one time, I was one. In many ways, I never outgrew the label. Anyway, there's a crucial member of the Lockergnome team who isn't terribly into technology. No worries; I've learned to listen to the frustrations and watch the workarounds. That's a tip in and of itself; take note, geeks! I was away from the office and someone needed to find out what font I used for Lockergnome's Web site. Comic Sans MS, for what it's worth -- but they didn't know that. Using logic, one of them copied some text directly from LOCKERGNOME.COM then pasted it into Microsoft Word. That braniac KNEW the rich text formatting would be preserved when it was pasted into the document. From there, the team observed the "Comic Sans MS" font face listed in the toolbar. I would have NEVER thought of doing that in a million years. Intelligence comes from those who know far less. That's ponderous, man. Ponderous.


February 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Spreadsheet columns

1st February 2001

Coming from the "Accelerating Excel" Department, Lockergnomie Stephen Blythe curtails a couple of cutting questions. Columns come in all shapes and sizes; I left "Corinthian" off my last list only because I couldn't fit it into natural discourse. Without electronic pilars, spreadsheets would be weak. As it is within the Windows Explorer, you can (left) double-click on a dividing line to auto-resize a column's width in Excel (to accommodate the longest string). Great! Now we have fourteen columns of varying lengths. Wouldn't you rather have them uniform? Select a range of columns, right-click on one of them, then choose the "Column Width" option. Enter a reasonable number and click the "OK" button. You can do the same thing with rows, too. While we're working with horizontal and vertical data, have you ever wanted to flip flop 'em? That is, take up-and-down data and turn it into left-to-right data? Copy a range, select its destination, then call the "Paste Special" function; be sure the "Transpose" option is checked.


Tweaking mail trash

2nd February 2001

Coming from the "Filth Filters" Department, Lockergnomie Mick Gurling tweaks his mail trash. Outlook 2000 rules our lives (at least, those of us who turned to the "dark side" of the Inbox). Rules? Who needs rules? Anybody who receives spam. Microsoft's mail client comes with the ability to automatically tag junk mail before it sees the light of day. In the "Tools" menu, click the "Organize" icon (a segmented yellow cube), then select the "Junk E- Mail" tab. Turn it on or off. Care to see what gets auto-flagged for flogging? Search your hard drive for the "FILTERS.TXT" file. You can edit that thing by hand, if you wish; remove entries which you believe wouldn't violate your eyeballs. As with any automated system, perfection should not be expected. I'm sure a few nasty- wasties will slip by undetected every so often. I've found my DELETE key works just as well.


W2k Indexing Service

5th February 2001

Coming from the "Quicker Than Lassie" Department, Lockergnomie Denis Franco found a fabulous finding feature for W2k fans. So, the search engine didn't save your sanity? Something tells me that "chocolate covered moth balls" are not a popular treat (even for clothes). You've written countless papers on the subject, but they're scattered about your hard drive. The "Indexing Service" provides Windows 2000 users with far more functionality than the operating system's default Search feature. Right-click on "My Computer" and select the "Manage" option. In the left pane, double- click "Services and Applications." Right-click on the "Indexing Service" option to start the process. According to the documentation: "[it] extracts the information from a set of documents and organizes it in a way that makes it quick and easy to access that information through the Windows 2000 Search function, the Indexing Service query form, or a Web browser. Once the index is created you can query the index for documents that contain key words, phrases, or properties." Key feature? Being able to use the all-too-familiar Web browser interface to uncover relevant results.


Recycle Bin options

6th February 2001

Coming from the "Registry Recycling" Department, Lockergnomie Tom Edwards broke the code for a Windows 98 shortcoming. Right-click on "My Computer" and select the Rename option. Wow! That was fun. Now, right-click on "Network Neighborhood" icon and do the same thing. I'm cuckoo for customization! Okay, right-click on your "Recycle Bin" and... wait a second. Where's the option to rename? It ain't there! Fire up REGEDIT.EXE and navigate your way to HKEY_LOCAL_MACHINE \ Software \ Classes \ CLSID \ {645FF040 - 5081 - 101B - 9F08 - 00AA002F954E} \ ShellFolder. Double-click the "Attributes" value and change its number... AFTER you backup the key, of course. Enter "50010020" (sans quotes) for the "Rename" option only, "60010020" for "Delete" only, and "70010020" for adding both the "Delete" and "Rename" menu functions. My suggestion? Stick with 50010020. And don't even try to use 90010020... because it won't work.


Potential security threat

7th February 2001

Coming from the "Doc Oc" Department, another Lockergnomaniac warns of a potential security threat. In past issues, I've pointed out that an external Cable / DSL router can block unwarranted incoming Internet traffic better than software. This is very much true; however, your (default) IP address is a number which "script kiddies" find all too familiar. Changing 192.168.1.1 to any non- enabled IP octet (such as 10.0.0.1 or 192.1.1.25) on the 255.255.255.0 subnet should provide enough protection. You see, any IP that starts with 192, 10, or 127 is not in the master routing tables and is an unfowardable address. Some of those goofballs assume you're not going to change your default IP address, so reassign the switch to something like 192.168.0.99. (keeping "192.168" in place). Telnet attempts will be thwarted, and your connection should remain out of harm's way. Again, this information came to me from a network-knowledgeable Gnomie.


Select words in Word

8th February 2001

Coming from the "Block that Text" Department, Lockergnomie Alparslan Arslan has stumbled upon a novel way to select words in Word. When you need to copy data to the Windows clipboard, you have to highlight (select) it first. "Confess, Chris; I know that you like keyboard shortcuts -- especially when there's no menu alternative. We used to work with word processors like WordStar and Pro-Write; they had a "block selection" feature. With it, you could highlight a rectangular area (block) instead of a sequential series of words." Back to the present day; in Microsoft Word, hold down CTRL+ALT+SHIFT while you select an area with your left mouse button. Suddenly, you're thinking outside the box! So to speak. How will this help? When you want to copy column characters not sitting inside a table. See, sometimes it's truly hip to be square.


Outlook 2000 folders

9th February 2001

Outlook 2000 excels at one thing: upsetting certain users. It's far from flawless, but you may consider using it as a secondary tool (rather than your primary e-mail client). For example, the other day I needed to copy "subject line" data from a string of mail messages. I selected the range, went to the "Edit" menu, and selected the "Copy" option. Well, all of the visible fields wound up on my clipboard in text format (as desired). I didn't want EVERYTHING, so I wound up removing the other sort fields (temporarily) by dragging and dropping them away from the window... then reissuing the "Copy" command. So, what about Outlook Express users? Can't do it -- unless you import the message range into Microsoft Outlook 2000 first! See how that works? When I feature mutually exclusive "Outlook" trick, import your data and try the tip in the other client. BONUS: you can create Desktop shortcuts to your Outlook 2000 folders; right-click then drag & drop one to the Desktop (from the Folder List). When prompted, select the "Copy Here" option. While OE supports this feature, it only allows you to create Active Desktop Items. Can't win 'em all!


MSN Instant Messenger

12th February 2001

The MSN Instant Messenger, while functional, is far from full- featured. The banners are... wait a second. Hey, if you move this IM past the bottom border of your screen, you can make the advertisements completely disappear! Don't want it talking to the ad server if it doesn't have to? Well, first find its default folder (search for Messenger). Open LINKS.TXT and clear its contents. When finished, save the file and pull up its properties from the Windows Explorer. Place a checkmark in the "Read-only" field (Lockergnomie Chris Johnson told me about this tweak). Get the picture? Not anymore. And speaking of images, we're not done with customizing this client. In the same folder, you'll find the LVBACK.GIF file. Open it in your favorite graphics editor and... edit. I'd suggest keeping the white background behind a light gray company logo. Hrm... this IM isn't so bad after all.


Cleaning up is easy

13th February 2001

Cleaning up is easy -- if you let your operating system do it for you. Running the Windows disk defragmenter once a week is wise; keep those clusters tidy. Is Defrag locking up on you? Restarting after 10 percent completion? Perhaps you should run SCANDISK from the command prompt. Millennium Edition real mode woes? Grab an old Windows 98 boot floppy and run SCANDISK from there. Here's something you might keep in mind; check your "Windows \ Command" folder for a SCANDISK.INI file. Inside, you'll find dozens of environmental settings. If you suspect hard drive errors have been getting in your way, be sure NumPasses is set to "5" before you run SCANDISK. You should also be sure that ScanTimeOut is "On" if you plan on launching a thorough scan. Think of it as building a super meticulous broom.


Troubleshooting W2k problems

14th February 2001

Coming from the "You Can't Hide" Department, Lockergnomie Jack Sanderson sheds some light on troubleshooting Windows 2000 problems. Seems as though Jack's computer wasn't shutting down by itself (with an ATX power supply). He was fiddling with the Device Manager in the Computer Management Console and found a 'Show Hidden Devices' option in the View menu. He enabled 'NT APM / Legacy Interface Node' and that fixed his contention. While you may not be having a power problem, this "secret" feature could get you out of other jams. Care to have your Windows 2000 PC automatically reboot when it smacks into a blue screen? Lockergnomie Marc Lane found something for ya. Right-click on My Computer, pull up its properties and flip to the Advanced tab. Click the "Startup and Recovery" button. On the subsequent sheet, place a checkmark in the "Automatically reboot" field.


Freeze GIF animations

15th February 2001

Coming from the "I'm Moving Out" Department, Lockergnomie Siegfried Hirsch plays Anthony's Song for his Web browser. GIF animations were nifty back in 1995. When the wrong person gets ahold of the right graphic, rest assured it'll be abused. A moving image can quickly get in your way when you're reading Web content. Stop it! Don't scream at your screen -- just hit the ESC key to freeze all GIF animations (once a page is fully loaded in Internet Explorer). Don't care to see them move at all? In IE's Tools menu, select "Internet Options" and flip to the Advanced tab. Scroll down to the Multimedia section and take the checkmark out of the "Play animations" field. While you're there, you can also kill browser sounds by... duh. Take a guess. If this was rocket science, all of us would have flunked out years ago.


W2k safeguard

16th February 2001

Those who pay attention to the GnomeREPORT know that I've replaced Notepad with Metapad as my default text editor (which came from welcome.to/metapad). In Windows 98, I simply renamed the binary and threw it into my Windows folder. When I tried to do the same in Windows 2000, the operating system wouldn't let me. Within seconds, it would reverse my replacement. What!? That's a nice safeguard, but I really wanted to use the Metapad binary. In a matter of minutes, I discovered that files in the "WINNT \ system32 \ dllcache" folder were my problem. Upon replacing its copy of Notepad with the Metapad binary, I was saved. Of course, not before being warned about the issues which may have come up (which haven't yet). Now, if you care to stop this auto-recovery from ever happening again, you'll need to launch your registry editor. Navigate to "HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows NT \ CurrentVersion \ Winlogon" and look for the "SFCDisable" DWORD value. Set it to "1" and you'll be good to go.


Envelopes and Labels

19th February 2001

Signed, sealed, delivered. Stop addressing your snail mail the old fashioned way; the pen is so twentieth century. You probably have a printer and a copy of Microsoft Word; put 'em together and you've got mail. Er, kinda. In the Tools menu you'll find the "Envelopes and Labels" option. Go ahead and enter your data, but don't press Print! Instead, click the "Add to Document" button. Why? Well, now you'll have the ability to add an image to the final product. Be sure your document view is set to "Print Layout" or this won't be easy. Double-left click anywhere on the envelope page and add an image like you normally would; in the Insert menu, select Picture then... whatever. Still care to draw your graphics with a pencil? Well, I can't stop ya.


Log Off User option

20th February 2001

Gretchen's using Mr. Bigglesworth now that Oogie Boogie has taken over my life. Having two PCs in this house makes for a peaceful household. I use one, she uses another, and Sprocket simply gnaws his rawhide. So why do we need a "Log Off User" option in the Start Menu? We don't. You might not either. Open your Registry Editor and navigate your way to "HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Policies \ Explorer" -- in the right-hand pane, create a new DWORD value and name it: "NoLogOff" (sans quotes). Double-left click the new attribute to give it a value of 1. Exit the editor, reboot, and you won't be bothered by that feature any longer. If you care to bring it back at some point in the future, just change that value to 0. But please lay off the rawhide in the meantime.


Eliminate DLL caching

21st February 2001

When you close a door, the door is closed. Makes sense. But when you close a program in Windows 9x, some of its DLLs love to stick around. Some components just never know when to leave, eh? Kick 'em out of memory immediately if you have better things to do with the space. This tweak should benefit those of you who run different programs on a daily basis. Fire up REGEDIT.EXE and navigate to "HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows \ CurrentVersion \ Explorer" -- create a new String Value in the right pane and name it: "AlwaysUnloadDll" (sans quotes). Give this new string a value of 1, close the Registry Editor, and reboot Windows. This will eliminate DLL caching; programs won't re-launch as quickly as before, but it'll bring closure to every close. Perfect for low memory systems or programming environments.


Selective selection

22nd February 2001

Oh, we all know that the universal shortcut for selecting all the text and graphics in a document is CTRL+A. What?! You didn't know that? Well, yeah. That's the story. You know you could be more selective in your selection? Sure. At least, in Microsoft Word. Tap your F8 key the first time to turn on this feature; move your cursor right or left to select a single character. Now, press F8 a second time to select the entire word. Third time's the charm; F8 tap number three will select the sentence. Four F8 punches knocks out the paragraph. And if you want the whole enchilada... er, document... hit F8 five times. Reverse the process by keeping the SHIFT key depressed (just tell it the story of how you used to get beat up in grade school).


Default Reply Address

23rd February 2001

Knock, knock! Who's there? Not the same person who sent that e-mail message to you. Er, at least... it's not from the same account. You may use your ISP's mail server for most of your SMTP (outgoing e-mail) transmissions, but you can have your friends reply to any number of addresses -- even one that isn't yours. Check your mail account settings for a "Reply to" or "Reply Address" option. Whatever you set this as will be the default address to which your recipients will respond. You can change this on a per-need basis in Outlook 2000. Before "Sending" a composed message to your Outbox, click the "Options" icon in the View menu. In the "Have replies sent to" field, go ahead and add as many addresses as your heart desires. This could come in handy when you need someone to respond to someone else (or to another account). Your particular mail client may not have this option, unfortunately.


April Fool's Day prank

26th February 2001

April Fool's Day is right around the corner. Oh, don't worry... this year I'm not going to do anything with the mail merge feature. You gotta admit -- I tricked ya good! Anyway, here's how you can zing your friend (or enemy). First, you need to close all the open windows. Tap the "Print Screen" key and fly over to your default image editor (Microsoft Paint is sufficient). Now, paste in the image of the captured desktop. Save it as a "BMP" (bitmap) somewhere inconspicuous. Now, right-click on the desktop and change the wallpaper to the newly-saved image. Then, flip to the "Web" tab of the Display properties dialog and turn on Active Desktop. Be sure that the option for "Hide icons when desktop is viewed as Web page" is turned on. This setting can be toggled in the Folder properties dialog (press the "Folder Options" button at the bottom of the "Web" tab and flip to the "View" tab once there). Windows 2000 users can simply right-click on their desktop to "Show Web Content" (and subsequently, "Show Desktop Icons"). Get the picture? So will your friend. But what they'll be clicking on won't be icons... just a picture of icons. Evil!


April Fool's Day followup prank

27th February 2001

Mischevious is my middle name. Actually, that was the name of my eighth grade science teacher... Miss Chevious. She was a wily woman. Always playing practical jokes on her students. It's all fun and games until someone mixes a base with an acid. Building upon the previous tip, here's something that'll get the goat of any guy or gal. Drop to the command prompt and CD your way into the C:\ Windows \ Desktop directory (or wherever the user's desktop resides). Type: "MD ERROR 97" (sans quotes). NOTE: tap the space bar between MD and ERROR, but between ERROR and 97, hold down your ALT key and enter the number 255 on your numeric keypad. This will create a space character that cannot be removed from the Windows shell. Therein lies the trick! Imagine being forced to stare at an ERROR_97 folder... wondering what it is. Of course, you could name it "whatever" (I was trying to keep it clean for the kiddies). To remove the folder, simply repeat the steps but use the RMDIR (Remove Directory) command instead of MD (Make Directory). This will not work in Windows 2000, but since most novices are stuck with other flavors... your deviousness will not be undermined.


Outlook folder options

28th February 2001

Oh, you just love to hate Microsoft, don't you? After all, they're the fine folks who brought us Freecell and Solitaire. Oh, you mean you use your machine for more than playing cards? I'd turn to SILVERCRK.COM for better looking games, anyway. What else has Microsoft done lately? Oh yeah, they threw in a PIM (personal information manager) with their Office suite. But Outlook is much more than an e-mail client -- it's a Web browser, too. What?! All my favorite URLs are a click away. Sure, I could get to them through the Favorites menu, but what if I didn't want certain URLs in my global list? Each Outlook folder can have a default home page. Right-click on one of them in your Folder Bar and pull up its properties. Flip to the "Home Page" tab and either enter a complete URL (Web address) or browse for a local HTML file. Place a checkmark in the "Show home page by default for this folder" box if you wish to... do that. Why not go a step further and add a Web Address Bar to your toolbar? Right-click on your main toolbar and select the "Customize" option. Select the "Web" category and (in the right-hand pane) drag & drop the Address field somewhere into your toolbar.


March 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Fill a document quickly

1st March 2001

Coming from the "This Space Left Blank" Department, Lockergnomaniac Alparslan Arslan discovers a way to fill a document quickly. "My report needs to be 100,000 words long. Jeez... how could anyone write that much about a pelican? I'd prefer to be brief." While this trick won't get you out of an assignment, it'll... do something else. On a fresh line, type: "=rand(200,99)" (sans quotes) and tap the ENTER key. Suddenly, your screen will fill with 200 sets of 99 instances of "The quick brown fox jumps over the lazy dog." Why? I don't know. It's a function that carries virtually no functionality. Change the numbers and the output will be impacted accordingly. Like I said, useless... but something that ought to impress your parents. Hungry for a little more Word trivia? Take a look at the Print Preview option (found in the "File" menu). You're human, you're bund to make a mistake now and again. "Ah... looks like I typed that incorrectly." Don't exit out of the preview screen! Just click the Magnifier icon in the toolbar and your cursor should change into an i beam. At this point, you can do a little editing (on-the-fly) before printing.


Clear the History and Cache

2nd March 2001

"La dee da... I'm surfing the Web. Nobody's looking... so I think I'll enter a forbidden URL and see what's there. N A K E D G E R B I L S dot com. Wow... that's furry!" Little Brian is having fun, but what if his hamster (Harvey) finds out about this adventure? It won't be pretty -- but the damage has been done! The Web address is stuck in the Address bar drop-down menu. Uh oh. If Brian clears the History and Cache, his hamster will become suspicious. Is there another way to save Brian's relationship? Yep, but it requires diving into the system registry. Open REGEDIT.EXE and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Internet Explorer \ TypedURLs (Windows 2000 users will go to HKEY_USERS \ S-1-5-21... \ Software \ Microsoft\ Internet Explorer \ TypedURLs). In the right-hand pane, you'll be able to select and delete any incriminating URLs. NOTE: the site and its contents may be removed by opening the History panel in Internet Explorer, right-clicking on the site's domain, and selecting the "Delete" option. I'll be your guinea pig. Er, let me be your hog. Baby, baby, baby, baby...


Infected PC

5th March 2001

Since when has getting sick been fun? Imagine what an infected PC feels like. If you're not already running a virus scanner, what are you waiting for? It just takes one digital disease to topple a system. Consider this a reminder to update your definition files; if you're still searching for the right suite, I've always appreciated the free InnoculateIT (found at CAI.COM). You never know when a "nasty" is going to attack. Are you still paranoid? You might consider changing the attributes to your EXE and DLL files to READ-ONLY. Novices note: doing this may hinder upgrades. However, you can easily remove the READ-ONLY attribute if you run into problems with a certain program. Launch the Windows Find / Search applet and look for *.EXE and *.DLL files. Select the results, right-click on one of them, and pull up its Properties. Now, put a black checkmark in the READ-ONLY field. Open programs cannot be changed, though. Don't let this lull you into feeling safe. It's just an extra layer of protection which may save you from a binary-altering bug.


QWERTY layout?

6th March 2001

Coming from the "Fingers on Home Row" Department, Lockergnomie Benjamin Lee points out a problem that shouldn't exist any longer. Have you ever been using your computer keyboard only to find that two (or more) keys get stuck together when you hit them simultaneously? Yeah, it hasn't happened since we were using typewriters, right? So why are we still using the QWERTY layout? According to MIT, "Contrary to popular opinion, the QWERTY design was not actually invented to slow typists down. Rather, the layout was intended to place common two-letter combinations on opposite sides of the keyboard." If only there were another way. Well, there is! It's called Dvorak, and Windows supports it. Open the "Keyboard" applet sitting in your Control Panel. Flip to the "Language" or "Input Locales" tab and edit the properties for your layout. In the drop-down list, select Dvorak and you'll be ready to rock and roll. If you need help getting started with this alternative skill, I strongly suggest visiting THISISTRUE.COM and reading Randy Cassingham's Dvorak Primer.


Mouse wheel freezing

7th March 2001

Coming from the "All Choked Up" Department, a Chatgnomie, FuzzyWolf, found a freeze freeing function. Seems as though most programs accept the mouse wheel without intervention. However, there are still a few apps which refuse to use the most wonderful invention since the... wheel. If you don't have a wheel on your mouse, I guarantee your productivity isn't as high as it could be. This Gnomie smacked into one of those non-compliant binaries; it kept locking up during normal Wheel use. If the program stops responding, it's time to take further action. Fire up your Control Panel and double-click the "Mouse" icon. If you have the Intellimouse software installed, you'll find the "Troubleshooter" button just a click away under the "Wheel" tab. Continue to press the "Next" button until a dialog pops up, asking you to select the stalled program. At this point, it attempts to remedy the current situation and stop it from happening in the future. Consider the trouble -- shot.


Sticky web pages

8th March 2001

Sitting behind someone else's proxy is not always fun. Sure, certain pages get cached, but some... get caught in that cache. Before I lose you in terminology, this tip is intended to help those of you who seem to be having problems connecting to certain Web sites and not others. Lockergnomie Paul Reeder was running into a virtual wall when it came to WWW.LOCKERGNOME.COM. I couldn't figure out why at first; I'm not a network genius like Furo. Taking a stab in the dark, I suggested that he try loading LOCKERGNOME.COM (sans the WWW prefix). Well, that worked. "Why would that be!?" From my understanding, if your connection service has stored (cached) data from a certain site, that data may be old or corrupt. Most people are trained to go to WWW dot anything dot COM. Most likely, you never visit a site without appending those doppelgangers. Since LOCKERGNOME.COM (sans WWW) was not previously cached by Paul's ISP, he was immediately transferred to it (LOCKERGNOME.COM). Still with me, folks? Give it a shot for those sites that seem to stick.


Only print a part

9th March 2001

Coming from the "Choosy Moms Choose GIF" Department, fellow Iowan Tasha Crouse indexes an ink-saving idea. "While working at the library, I get a lot of people who are frustrated when they go to print a Web page because they think they have to print all 5 or so pages of the Web site, when they only needed one paragraph. Someone showed me you could highlight just what you need, then when you go to 'File' and 'Print,' put a dot in the circle next to 'Selection' and it will only print the part you highlighted. As long as I've used a computer, I never realized that little option was there." Most people didn't know that, so it's good you brought it up. We might also take note for Internet Explorer's printing options for pages which are in frames. Flip to the Print dialog's "Options" tab; there you'll see "is laid out on the screen," "only the selected frame," and "all frames individually." Heck, you can even "print all linked documents" or just a "table of links." I just hope your printer is up for it!


What's in an icon file?

12th March 2001

What's in an icon file? A bunch of colored pixels. Actually, an ICO file may contain several formats within it; 16x16, 32x32, and 48x48 are the three most popular dimensions. Swing by IMPACTSOFT.COM to pick up Microangelo if you want to do more with these little beauties. Care to just look at 'em? Fine. I used to get frustrated when I'd open the Windows Explorer and find icons scattered all over the place. I'm sure I'm not the only one who is annoyed by horizontal scrollbars. While you're browsing a system disk (like the "C" drive), right-click in an empty area, select the "Arrange Icons" cascade menu, and be sure there's a checkmark next to the "Auto Arrange" option. If not, click it to toggle the feature. To save this view as Explorer's default, you'll need to open the "Tools" menu and pull up the "Folder Options" dialog. Under the "View" tab, press the "Like Current Folder" button. Now, no matter how large or small your Explorer windows are, their icons should line up nicely (automatically). There's no good reason you should have this option turned off.


Empty email messages

13th March 2001

Every once in a while, I'll receive an empty message from a Gnomie. Now, I'm certain they didn't mean to send it without contents. So, I reply to the message and ask them to resend it. So, they respond and... their response is blank, too. Hrm. The only time this seems to happen is when HTML mail is being used. To break the cycle, one of us must switch the message to text (or start an entirely new thread in the text format). And Netscape's client is just as likely to have trouble interpreting the code, so don't think you're in the clear just because you don't use Outlook. The root of these problems is often found in the message encoding process; this is exacerbated when HTML enters the picture. No pun intended. The next time you receive a weird looking or empty mail message, check out the View menu (in either client). In Netscape, you'll find the "View Source" option very helpful. In Outlook clients, use the "Encoding" option to switch to another structure; US-ASCII and Western European (Windows) should get you through most of your snags. Outlook users may also right-click on an HTML message to pull up its source. Whatever it takes to get the point across...


Command line toys

14th March 2001

Windows 2000 is filled with more command line toys than you realize. I just hope some of them survive when we're forced to move to XP; there's something about that protection scheme that gives me the willies. Yes? No? Cancel? Ah, another message box asking me what I want to do. You know you could roll your own in W2k? Sure! Drop to the command prompt and run the "MSGBOX" utility. If you need assistance with interpreting the switch structure, trail the file name with a "/?" (sans quotes). Now you'll be creating message boxes left and right; use the ALT + PRINT SCREEN keyboard combo to copy the graphic to the clipboard; paste it into your favorite image editor and save it for later. Hey, remember back in the days when Windows wasn't so gooey? There's another tool that's still alive in W2k. TREE! That's right, you can run "TREE" from the command line and it'll show you the current path's hierarchical structure. Just as a reminder, any Windows user can redirect the output of any command line program to a text file. The syntax would appear something like this: "PROGRAM > TEXTFILE.TXT" (sans quotes). Useful, eh?


Quick Launch menu

15th March 2001

Coming from the "Send in the Clones" Department, a Lockergnomie adds another shortcut to his SendTo menu. We have the Start Menu. It's always there, just a keypress or click away. We also have the taskbar, where most of our open programs sit. Then there's the system tray, which holds our clock and 16x16 pixel icons. What about the Quick Launch menu? By default, it sits next to the Start Button. You can add and remove contents at will via drag & drop operations, but what about going through the Windows Explorer? First, you'll need to find where your Quick Launch folder resides. For W9x users, it's most likely sitting in C:\ Windows \ Application Data \ Microsoft \ Internet Explorer. Once you've found it, create a shortcut for the "Quick Launch" folder. "Cut" this newly-created shortcut to the clipboard (select it and press CTRL+X). Now, open your default SendTo folder; it may be found directly within the Windows directory. Press CTRL+V to paste the "Quick Launch" shortcut. The next time you need to add a file or program directly to your Quick Launch menu, just right-click its icon and send it through the SendTo menu!


Arithmophobia

16th March 2001

When I was in the second grade, I remember sitting at my desk and staring at a particular math problem for twenty minutes. It was eleven minus seven; for the life of me, I couldn't figure it out. "Do I have to include an additional digit when I subtract? Is the answer five or four?" Thus began my intense fear of numbers. I'm not kidding, folks; I suffer from acute arithmophobia. When calculators and spreadsheets leaped into my life, I was saved (somewhat). To help celebrate my shortcomings, I thought I'd tell you about this relatively unknown Excel trick. When you have a set of numbers, you can quantify the data without running it through formulas. Select a range (in a column or row), then take a look at the status bar below. You'll see that the 'Sum' has been auto- calculated. Right click on the status bar and take a look at your options: Average, Count, Count Nums, Max, Min, and (of course) Sum. Gee whiz, that was easy. As long as you know a little bit about these mathematical functions, this "hidden" process should save you some time.


Receipt Requested

19th March 2001

Unlike some companies out there, I don't care WHEN, WHERE, or HOW you read a Lockergnome newsletter -- just as long as you read it. Your friend, on the other hand, may never look at the messages you send her. Or does she? There's one way to find out: use a Read Receipt. In Outlook Express, this feature can be turned on in the Options dialog (under the Receipts tab). In Outlook 2000, choose "Options" in the "Tools" menu, press the "E-mail Options" button under the "Preferences" tab, then enter into the "Tracking Options" property sheet. You can also add a "Receipt Requested" field to your Outlook 2000 message pane to see if anybody is trying to track YOUR usage. Right-click on any visible field (To, From, Date, Subject, etc.), select "Field Chooser" from the context menu. Then, in the new dialog's drop-down field, select "All Mail fields." Drag & drop the "Receipt Requested" bar in between fields in your column header. Resize it accordingly, and see if anybody's had their eye on you. As long as you're not trying to dodge anyone, there's nothing to worry about.

Click Here to get our tips syndicated on your site.


Pop up windows

20th March 2001

Pop up windows are a pain. Er, pane? I don't mind them when I expect them, but when they throw themselves onto my screen just to show me another silly ad banner, well... I get downright peeved. I'm a program minimalist, believe it or not. If I can do it without using a third-party application, believe me -- I will. There's a keyboard shortcut to kill those annoying browser intrusions in Internet Explorer. CTRL+W is what you'll want to use instead of the normal ALT+F4. Why? Well, imagine if your screen is flooded with too many browser instances. You run the risk of getting trigger happy with a shortcut that will kill everything in sight. Er, site? CTRL+W seems to work with IE... making it safe to tap repeatedly without inadvertently shutting down another program. For those who browse full screen, understand that sometimes your Back button won't retain its history if a completely new instance of IE is laid atop your "original" session. If you suddenly notice that your Back button has lost its memory, perhaps there's another IE window open. Check your taskbar before getting too upset.


Beat the bad browser

21st March 2001

Coming from the "Symbiotic Savior" Department, a Lockergnomie comes up with another way to beat the bad browser blues. "It may not be the ISP that has cached an out-of-date URL. Many surfers have downloaded various 'Web enhancers' that seem to rely upon caching URLs in the HOSTS file in Windows. If these are not refreshed periodically (and some of us forget that we've even installed these programs), you'll run into the very problem Paul Reeder had if a Web site ever changes its name or address -- which happens all the time. If you're unable to connect to a site that you KNOW is there, take a look at your HOSTS file in the Windows folder. If you're not on a LAN, you probably don't need the HOSTS file at all; to be safe, you could rename it before deleting it (to make sure that everything runs okay without it). If you are on a LAN, your system administrator will have to identify the files that are supposed to be there." So, again, if you run into problems getting certain sites to load, you should check your HOSTS file for outdated data. PING a domain (like LOCKERGNOME.COM). If the IP number does not match that which may be laid out in the HOSTS file, the line will need to be updated or removed entirely.


Unreadable Web Page

22nd March 2001

Oh, I'm totally addicted to BOOKMARKLETS.COM. What I can't figure out is why browsers don't come with them by default? They're free JavaScriptlets that will maximize anybody's surfing experience. I wanted to launch a new Internet Explorer session with a black background; I can get that by entering the following into the Start Menu's Run command field: *** javascript: void ( document.bgColor = '#000000' ) *** (copy and paste everything in between the sets of asterisks, NOT including the asterisks themselves). Amazing! Have you've ever smacked into a Web page that was impossible to read because its designer couldn't coordinate colors correctly? Well, paste the same string of text into the current browser's Address field and watch what happens. Of course, the code may need to be edited ever-so-slightly. #000000 is hexadecimal HTML for black; #FFFFFF is hexadecimal for white. How can you uncover your favorite color's hexadecimal equivalent? The easiest way is to grab the bookmarklet for displaying the 216 Standard browser colors. Many image editing programs come with automatic hex translations, too.


Electronic paper trail

23rd March 2001

You're the only one who has access to your computer. Right? Well, in theory. Anyone can inadvertently leave an electronic paper trail, ya know. Pages aren't always bound in books; they can also be found on hard drive(s). These paging files (also known as swap files) may contain sensitive information. Running Windows 2000 on NTFS is one way to make sure your data is secure, but don't forget to clear that page file periodically. With this W2k registry tweak, you can wipe it with zeros before every reboot. Navigate to HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ Control \ Session Manager \ Memory Management. Now, in the right-hand pane, add a new REG_DWORD value named: "ClearPageFileAtShutdown" (sans quotes). You may already have this value; its default property is 0. Switch that number to 1 and inactive pages (in pagefile.sys) will be overwritten. will be filled with zeros. Unfortunately, this won't kill everything in there. Some sections of the file may still be in use when Windows is shutting down. To edit your paging file options, right-click on the "My Computer" icon, flip to the "Advanced" tab, press the "Performance "Options and subsequent "Change" buttons, then tweak away.


April 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Tips for Solitaire

2nd April 2001

The Pocket PC is a wonderful device. With it, I carry my contacts, appointments, notes, tasks, e-mails, Web pages, MP3s... and Solitaire! That's all I played on my way back from San Francisco the other day. Even once I returned home, I found it difficult not to run the ever-popular SOL.EXE. And that's kinda what you are when you're stuck in "Draw Three" mode. Cheaters never win, but... who's looking? Care to temporarily bypass the three-card deal? Hold down the SHIFT, CTRL, and ALT keys before flipping over the next card. Ooooh... saved you from restarting the game, eh? Wish there was something similar for Minesweeper? Ya know, WINMINE.EXE? Well, time to break out the wheel. As you know, you can left-click to uncover a space to uncover its value. If a "1" is already surrounded by one (correct) flag, you can wheel-click the number to free up any surrounding (uncovered) blocks. Be careful not to misclick or... BLAM! Someone will be sweeping you up off the floor.


HTML Newsletters

3rd April 2001

Sending e-mail newsletters in HTML is fun to do. I can call images from the Web, tweak a message's layout, change its colors, and use URLs of any length without fear of wrapping. Has that ever happened to you? When you type a lengthy URL into a text message, it may break before it reaches your recipient. According to RFC2396 (details at RFC.NET), you can append the address with angle-brackets to alleviate problems. Ya know, the less-than and greater-than symbols? Surround a Web address with them before you send it; if your mail client is compliant, it won't wrap that URL. I tried it in Outlook, and it didn't seem to work. However, I've received messages from other people who have successfully employed this trick. The secret may lie within the MIME encoding of the message; Quoted Printable and Base64 seem to ignore automatic word wrapping (at least, in Outlook 2000). Getting back to the breaking news, certain Web addresses (and FTP directories) contain spaces within them; flank 'em with angle-brackets and you'll be set. When you can't use the space bar (or an angle-bracket) to represent a space in a URL, use the following string instead: "%20" (sans quotes). Thanks to TIDBIT.COM's Adam Engst for the insight!


Default background color

4th April 2001

Here comes Windows... there goes my sanity. I thought I had changed my default background color to black?! Ah, there we go; after it logs in, everything returns to normal. How can I change the default stuff to match my preferences? Fire up your Registry Editor and navigate to HKEY_USERS \ .DEFAULT \ Control Panel \ Colors. Look for the "Background" value and change it to whatever RGB (red green blue) code you desire. Mine would be 0 0 0 (which is RGB for black). How did I know that? Easy. Right-click on your desktop and pull up its properties; flip to the Appearance tab, select the "Desktop" item, and change its color. Click the "Other" button. In the lower-right-hand corner of that dialog, you'll see Red, Green, and Blue fields. That's the sequence of numbers you'll want to use for your default background color in the Registry. Looking around, you may find other small settings to tweak (though none quite as obvious as the background color). For instance, in the Desktop sub-key at the same level, you'll be able to change the default wallpaper, screen saver, etc. Be careful about which numbers you change; one wrong digit and your operating system may self-destruct in five seconds.


Dialog's tabs

5th April 2001

Coming from the "Put it on my tab" Department, Lockergnomie Gary Dietz is clicking me softly. I love commercials of yesteryear. Remember this tagline: "This looks like a good place for a shortcut!" They were talking about your desktop, folks -- and you didn't even have it yet. A while ago, I mentioned that you could launch into the Control Panel by running the program CONTROL.EXE from the Start Menu's Run applet. Let's go a step further. Those icons inside your Control Panel are actually representative of *.CPL files sitting somewhere in your system folder. Let's pick on everybody's favorite: DESK.CPL. Right-click on your desktop, select New, then Shortcut. In the Location field, enter: "CONTROL DESK.CPL,,1" (sans quotes). Now, when it prompts you for a name, call it "Screen Saver" or something along those lines. Soon, you'll see a freshly-squeezed shortcut sitting there. Double-click it to see what... WOW! It opens up your Display properties and automatically flips to the Screen Saver tab! At least, this is the case for most Windows configurations. The number sitting after those two commas is representative of a dialog's tabs (sometimes starting at 0). Do a search in your Windows \ System folder for other CPLs. You can create other dialog shortcuts by following similar steps... should you be so inclined.


Tip of the Day

6th April 2001

"To select more than one file or folder, hold down CTRL while you click each item." Yeah, I already knew that. "To minimize wrist strain when you type, keep your wrists elevated or use a wristpad." Thanks for caring! "To draw a selection box around a group of files, click at a corner of the group, and then drag the rectangle to form the box." Yeah, that's... nice. Though novices may find them useful, I don't need a tip of the day. Windows 95 and 2000 users can change 'em at will after firing up REGEDIT.EXE and navigating to: HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows \ CurrentVersion \ Explorer \ Tips. Did you know you had a Tip of the Day in Internet Explorer? Sure! Turn it on in the "Help" menu. To tweak those tips, you'll want to edit TIP.HTM (which can be found in the Web subfolder of your Windows directory). Hey, this can be practical. How many times have you reminded your folks that you have to click on a link in order to view it. Yeah, well... write 'em a tip and they won't forget. They'll just call you up and ask how to get those tips to come back. "They've moved on to greener pastures, Ma."


Java utilities

9th April 2001

Were you a diligent student, or did you like to skip class? Call me crazy, but I rather enjoy my intelligence (or lack thereof). I'm all about doing anything I can do to improve it. Algebra bored me to tears, and I wasn't all that fond of History. Still, I struggled with classes in the hopes that I'd be smarter in the end. And some would argue that I am, indeed, smarter in the end. Anyway, classes would have been more interesting if they came with coffee. Er, Java... which takes classes every day. There are two utilities in your path that you'll need for successful Java code execution: JVIEW (CLI) and WJVIEW (GUI). How do you know they need to be run? Well, your first clue is seeing a file (or set of files) which end in .CLASS. For the most part, these classes are called remotely (from a Web page); running Java apps typically requires little-to-no user interaction. Should the need arise, create a new shortcut for "WJVIEW" (sans quotes). Simply drag & drop a .CLASS file onto it to see what sits inside. NOTE: Java runs faster with heavy whipping cream.


Spaces in 'Run' arguments

10th April 2001

Coming from the "One Line Pony" Department, Lockergnomie Dave Lindquist provides further insight into launching a fresh Web page from the Start Menu's Run dialog. First, I found out that Windows 2000 will accept spaces in 'Run' arguments, whereas Windows 98 will not (at least, not without surrounding quotation marks). We have to place extra spaces in command strings (due to formatting constraints); unless otherwise indicated, you may remove them when you try the trick(s). Now, I also discovered that you can create a simple Web page through invoking the classic Web browser "about" command. For instance, in the Address field of your browser (or the Run command line), enter: about:blank (with no space). Easy enough. Now, you can also use HTML! Try this: about:<body bgcolor="teal"> (with spaces). That color looks familiar, eh? View the page's source and you'll see that you've got the beginnings of a Web document. You see, anything you place after "about:" will be interpreted as HTML.


Right-click on a file

11th April 2001

Good things come to those who crash. I was fussing with yesterday's tip when Internet Explorer performed an illegal operation; I believe improper HTML code threw it off track. Anyway, as it started to wonk out, I moved the window -- only to find a familiar context menu pop up. Ya know, the one you normally get when you right-click on a file? Hrm... this warranted an investigation. I opened up my local bookmarks file again and toyed with IE's title bar. I right-clicked on the window's upper-left- hand corner icon and... VIOLA! Too cool! I've noticed that this only happens with local and standalone documents. Give it a shot; drag & drop a GIF, JPG, or PNG onto IE's window. Or, open up an image directly from the Web. Now, do the right-clicky icon thing I just told you about. Now, when I'm viewing a non-embedded image in IE, I can open it in an alternative program or convert it on-the-fly without having to copy and save it first.


Desktop themes

12th April 2001

When Microsoft released the Plus! pack for Windows 95, the world was introduced to Desktop themes; an entirely new community was born. Plus 95 was so cool that they decided to do a Plus 98; it was more of a minus. Except for one particular feature: an updated THEMES.EXE. Windows 98 SE still carries the old version; Windows 2000 doesn't have Theme support at all. Or does it? Hey, look inside your system32 folder; you'll find the latest version of THEMES.EXE in there! Okay, so what's new in this version? I've only noticed a few changes: the ability for one to rotate themes monthly, use title bars with crossfaded colors, and change the My Documents icon. I can only imagine that other minor tweaks were included as well. And remember the old Microsoft DVD player that nobody knew about? It's just as hidden in W2k, too. Run DVDPLAY.EXE and see what pops up. Oh, and Windows 2000 also comes with the OLD Media Player (ya know, the original). MPLAY32.EXE will take you down memory lane. So, after hearing all this, should you run out and upgrade? If you're a Theme maniac, Plus may be worth the price. If not, hang on for XP. Of course, I've been encouraging people to check into Windows 2000 Professional for some time now...


User Profiles

13th April 2001

Greetings, programs! I'm a user, and in the digital world -- that's normal. I've got Oogie Boogie set up for one person (and one person only). I don't need no stinkin' username / password dialog box badgering me every time I boot into Windows. There are a few ways to get around this; first, you'll need to open the Passwords icon sitting inside your Control Panel. You'll see the "User Profiles" tab; flip to it and select the "All users of this computer use the same preferences and desktop settings" option. Did that do the trick? Okay, if you still have an active account, change its password. On the "Change Passwords" tab, click the "Change Windows Password" button. Enter your old password and leave the fields for your new password completely blank. If that STILL didn't do the trick (and you'll find out when you reboot), consider taking it up a notch by removing the "PWL" file in your default Windows folder to start fresh; make a backup copy for permanently erasing it. The PWL stores more than the Login account; if you can't remember your screen saver password, this is the culprit. There's yet another way to rid yourself of that Login dialog. Right-click on the Network Neighborhood icon and pull up its properties. For "Primary Network Logon," select "Windows Logon." Reboot... and hope you don't see that sucker again.


Thumbnail Feature

16th April 2001

When I sit down to compile issues every couple of weeks, I usually face a folder filled with Internet shortcuts. Often, I'll drag & drop 'em in there as the week progresses. In the end (or at the beginning), I'm faced with cryptic titles like "Home Page" and "Download Area." Even though I'm a visual guy, I often forget that the thumbnail feature works for Internet shortcuts as well as images (at least, in Windows 2000 and ME). When you're faced with a handful of URLs, copy their shortcuts into a folder and turn on the "Thumbnails" view. Suddenly, you'll see a set of screen shots splattered inside that window. If you have a photographic memory, this is perfect. Or, let's say you just ran a search -- and tons of links pop up. Drag & drop the more promising destinations into... either the same folder or a new one. Turn on those thumbnails again and you'll be set. NOTE: this also works with local HTML files, although loading up a remote Web page is more fun.


Recall cursor positions

17th April 2001

I always seem to forget which one you're supposed to do first: point or click? Let's see... clicking gets me nowhere unless I point to where I want to click. Okay. Problem solved. But wait, where was I? My cursor was somewhere else about two seconds ago. Have I lost my place in Microsoft Word again? Will this madness ever end?! And just how many licks does it take to get to the center of a Tootsie Roll Tootsie Pop? Well, only a real sucker would forget this keyboard shortcut; when SHIFT+F5 is used, you can quickly recall the last five cursor positions in the current document. Perfect for when you're editing your already-overdue term paper -- or when you need to get back... get back... get back to where you once belonged. Of course, tapping F5 without the SHIFT key will pop up the "Go To" dialog. Again, if you already know where you're going, you'll be golden. And wherever you are, there you'll be.


Reboot quickly

18th April 2001

Coming from the "We Need Stinkin' Batches" Department, Lockergnomie Wesley Mangum learns how to make Windows 98 and Millennium Edition reboot clickly. Er, quickly. First off, what's a batch file? It's just a plain text file with a series of commands entered on separate lines. Open up Notepad and enter: "REM This is a batch file." (sans quotes). Now, save the file as SOMETHING.BAT. Zots! You've just created a batch file with one command... that does absolutely nothing. It's a REM-arked statement. Let's continue to edit that file to make it a tad more functional, eh? You can either start over or enter this on the following line: "rundll32.exe shell32.dll,SHExitWindowsEx N" (sans quotes). Now, the letter "N" needs to be a number: 0 for LOGOFF, 1 for SHUTDOWN, 2 for REBOOT, 4 for FORCE, and 8 for POWEROFF. Each one will... do what you want it to do. Why even bother doing this? Because you can always be one click away from restarting your system; set up separate batch files for each type of shut down. If you're totally confused at this point, then this tip was NOT for you.


Shut W2K down fast

19th April 2001

Coming from Serdar Yegulalp's very awesome Windows 2000 e-mail newsletter (found at THEGLINE.COM), here's an awesome tip for instant shutdown gratification in (duh) Windows 2000. "To shut W2K down fast, hit CTRL-ALT-DEL, and then hold down the CTRL key while clicking the Shut Down button. You'll get a warning dialog: 'If you continue your machine will reboot and any unsaved data will be lost. Use this only as a last resort.' (They're not kidding) If you click OK, the system will reboot IMMEDIATELY -- no shutdown screen, no 'It is now safe to turn off your computer' splash. Upon rebooting, I found all was well, and the 'dirty' bit on my NTFS drives was not set, meaning that any pending writes to those volumes had been flushed." This technique is not recommended unless you're caught between a rock and a hard place. Still, for sticky situations, this click trick is quite slick.


KVM switch

20th April 2001

At the radio station, I found myself sitting in front of three monitors... with three keyboards... and three (blind) mice. See how they run? See how they run? See how they run? Yeah, three times as slowly. Both space and time are wasted (sounds like the beginning of a good Star Trek episode, eh). Instead of flipping back and forth between peripherals, consider picking up what they call a KVM switch. KVM (if you haven't already figured it out) stands for Keyboard - Video - Mouse. It's almost mandatory for those of us with two or more desktop systems in our work area. With the flip of a switch, you could be operating on a secondary (tertiary, etc.) system. "Ah, I wonder how that audio compression is going on my Windows 2000 machine? CLICK! Beautiful. Now, what about the video processing in Windows 98? CLICK! Ah, almost finished. Back to hosting my network game on Linux. CLICK!" No getting out of your chair, no turning your head away from the screen. No lifting your hand to another mouse pad. No kidding.


Embed graphic or audio

23rd April 2001

SMACK! Sorry, someone's non-stationary HTML stationery got a little out of hand. Overkill happens when bells and whistles are abused. Embedded images are often seen, but never heard (par for the course). Don't wave the WAV good-bye -- slap it on! In a new Outlook Express HTML message, click on Format, Background, then Sound in the menu bar. Next, browse for the WAV file you wish to attach. Chances are, your recipient(s) won't be expecting to hear anything; I suggest selecting a short sound and allowing it to play back only once. Remember: don't annoy your friends or co- workers with this feature. They instantaneously delete messages sent from the boy who cried WOLF.WAV. Perhaps you've already completed your message before realizing you have a sound byte which would match its meaning. No big deal; you can embed a graphic and/or audio clip any time before sending the e-mail.


Latest Windows updates?

24th April 2001

"Where can I find the latest Windows updates?" Oh, if I had a nickel for every time someone asked me that question, I'd probably have twenty-seven cents by now. Why? Well, because everybody already knows about WINDOWSUPDATE.COM. It's a must-visit resource for every Windows user. With the launching of Windows XP, the site is supposed to play a stronger (and smarter) role in your day-to- day computing experience. "Tell me something I don't know." Okay, smarty-pants... what happens when Windows Update doesn't work right anymore? Aha! Smack your monitor a few times and all will return to normal. NOT! Click on the Start button, select the Run option, and in the field, enter: "regsvr32 wupdinfo.dll" (sans quotes). This will hopefully fix the flub. If not, you may be forced to manually apply timely updates to your operating system. Either way, at the end of the day, you'll want to say: those problems stay at bay. Okay?


HTML Tags

25th April 2001

"Tag -- you're it!" No, this isn't a game; it's the Web. When it works, it's fun -- but when it doesn't work, we coders have to work harder to make it work. See, HTML documents are comprised of tags. Really simple, actually. Entering a "B" within the less-than and greater-than symbols will begin the bolding of text. Is that the tip? Not quite. Troubleshooting Web page problems takes a trained eye. Color coding can help, which is why I've started to recommend COLORMYHTML.COM for your tool belt. Aha! Suddenly, you'll see that you forgot to close that italic (or exactly where your table took a turn for the worse). From experience, I'll tell you that Internet Explorer is far more forgiving with coding mistakes than is Netscape. Is that a good thing? I've heard it argued both ways. However, since I'm human (and I know that you are, too), I'd rather deal with someone who could look past my typing imperfections. If you're just starting to get into Web page creation, I'd suggest working with a WYSIWYG editor. That being said, understanding the underlying code is imperative.


Offline PDF Viewing

26th April 2001

Coming from the "Truly Portable" Department, Lockergnomie Bruce Kunkle comes up with a way to grab pesky PDFs. We've talked about the Portable Document Format before -- it's awesome for both writers and readers. More and more Web teams have turned to this format for the quick and clean distribution of information. But, as this Gnomie illustrates, sometimes it ain't so easy. "You're reading a PDF file and you want to save it on your hard drive for offline viewing, but the 'save' command is grayed out in the file menu. Here's a slick work around. Click File, Send, and e-mail the page to yourself. The e-mail will arrive in your Inbox with the PDF file as an attachment -- which you can then save wherever you wish." That's one trick you shouldn't soon forget. It may also be possible to take a step back and right-click on the link to the PDF document. That "Save Target As..." option is a godsend for people who love to download stuff; it's what I use for every ZIP or EXE file on the Web. I know the option isn't available in HTML e-mail messages, which is EXACTLY why we upload each mailed issue to the Web and place a direct link at the bottom of each mailed newsletter. See, we're not so dumb after all.


Instant hyperlinks

27th April 2001

My old buddy Robert Scoble (who you'll meet at Gnomedex) loves sending links. The other day, he wanted me to use a series of them on one of my pages. Since his messages are typically sent in text format, and since Outlook automatically creates live hyperlinks out of properly formatted URLs, I copied the typed-out links to the clipboard and pasted them into a new (HTML) message. Instant hyperlinks (just add water)! Now what? Well, I could have dragged & dropped those things onto my desktop individually, but I chose (instead) to right-click in the message's body and select "View Source." Up popped the code in full HTML glory; another quick copy to the clipboard and I was set to paste elsewhere. I suppose an HTML e-mail message makes for a poor man's WYSIWYG HTML editor. When you're in a pinch, or you wanna get something formatted and uploaded quickly -- I can think of no easier way.


Wassily Kandinsky

30th April 2001

Software is designed to help you complete rudimentary tasks. Though, programmers are known for their wit as well as their wisdom. They often design (and hide) easter eggs inside their programs. Getting to them is half the fun! I've featured a few popular secrets in the past -- as oxymoronic as that may sound. Recently, I picked up my virtual basket and went hunting for a few new ones. Say, what do you know about Wassily Kandinsky? Yeah, sounds like a total geek -- and he's sitting inside Windows 9x right now! Search your hard drive for the DOSSETUP.BIN file (tap F3 to bring up the dialog quickly). It may be in the Windows \ Options \ Cabs folder; if you don't have it, this trick won't work. Be sure to open DOSSETUP.BIN in some kind of text editor -- like Wordpad. Okay, so now that it's loaded, click the binoculars icon to bring up the Find dialog. Do a search for the word "Wassily" and... enjoy. I'm not gonna tell you what it says; that'd ruin the surprise, eh.


May 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Systems will crash

1st May 2001

Coming from the "One Blue Over the Cuckoo's Nest" Department, Shannon McGrath crashes his way into your heart. Windows instability nightmares are about to disappear -- we hope. XP should be an improvement for the mainstream consumer and professional. Assuming, of course, we can get over that silly protection scheme they're imposing on us. Knowing what I know about the beta, Microsoft built XP on top of a very robust Windows 2000 (NT) kernel. That's good! Forget about 3.1, 95, 98, and ME already. True operating systems will crash -- on your command. Not really, but I needed a segue. Here's one surefire way to get the dreaded blue screen of death in Windows 2000. Fire up the Registry editor and flail to HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ Services \ i8042prt \ Parameters. Create a new DWORD data type and rename it "CrashOnCtrlScroll" (sans quotes). Give this a value of 1 and reboot your system. Now, whenever you hold down the rightmost CTRL key and tap the Scroll Lock key twice, you'll instantaneously generate a genuine BSOD. Now that's power! Uh...


Another IE easter egg

2nd May 2001

The next time you need to find something online via Internet Explorer, just tap the F3 key. Up should pop a painless side pane (which can be dynamically resized according to your tastes). From there, you can find a Web page, get a person's address, locate a business, uncover your most recent searches, look up a word, or find a map. Aha, you already knew that?! Don't tune out so quickly, folks. Every time you search for something using the "search" Explorer bar, you're inadvertently giving props to HippieTim, The Bermanator, and The Vortex of Slack. Huh?! Did I just pick those names out of the air? Hardly. I picked 'em out of the source code for that Web page. Yes, that pane is not a local HTML document. In a way, it's another IE easter egg. Unless, of course, you knew about it already. But do you know about the other developers and testers that have been given credit? Uh huh... better look for yourself to get the complete picture.


Downtime sucks!

3rd May 2001

In recent trips to the coast, I've found myself without an Internet connection. Oh, the humanity! How could I fill that gap? Elvis would have synched his Pocket PC before leaving the building -- and so did I. Why? Not to have the latest Lockergnome schedule on hand, but to have a copy of all my favorite content channels. Thanks goes to AVANTGO.COM for their invaluable (and currently free) service. Since they have clients for most PDA operating systems, and since personal digital assistants are relatively affordable, you have no excuse. How many times have you been caught somewhere with nothing better to do but count the cracks in the ceiling. Downtime sucks! Don't count on them having interesting newspapers or magazines lying around while you're waiting for your car to be fixed for the third time this month. Open an account, search for your favorite kinds of content, and never be bored again. ADDENDUM: Lockergnome has created its own AvantGo channel. Suggestions are welcome!


Wireless technologies

4th May 2001

Hardware comes in every shape, size, and (thanks to the innovative folks at Apple) color. Although, I can't remember the last time I really wanted to look at a lime green peripheral. I'm more interested in having it work correctly rather than matching it to the drapes. Wireless technologies are creeping into the marketplace. Most of these will come in two flavors: 900MHz and 2.4GHz. Which is better? Logic would dictate that the more expensive unit is a wiser choice. Besides, cheap hardware is typically prone to problems. 2.4GHz devices will have a wider range when compared to their 900MHz counterparts; most walls don't exist for 2.4GHz devices. You can move farther away from the base without signal degradation. There's another reason to go for "more" with two point four: less interference. There are a ton of 900MHz machines operating on the same frequency (cordless phones). When your home network is set up for wireless Internet connectivity, this is a very important consideration. You want a clean signal for maximum bandwidth. On that subject, if you're not already operating sans network cables, be sure that you go with a 802.11b compliant system. No, that's not a new droid from the upcoming Star Wars flick. It's the IEEE standard (operating around 2.4GHz).


Hidden software treasures

7th May 2001

What?! You guys and gals actually enjoyed hearing about those hidden software treasures? Well, here's another tasty treat. Kinda sorta. You'll need to enable cookies for this one (or allow them to work for one particular site). Remember, nobody's "forcing" you to do this. Kinda sorta. A long time ago, in a galaxy far, far away, someone named George decided to unleash upon the universe a very powerful story. Rumors are just starting to spread about Episode II; I understand its working title is "Jar-Jar Must Die." Anyway, back to the easter egg. Open your browser and go to LUCASARTS.COM. Next, open the folder wherein your cookies are stored (or use a cookie viewing utility). Locate the newly baked "lucasarts" cookie and open it in Notepad; you can ignore any warnings that may pop up. Check out the first line, folks. To get rid of this identifier, you might want to clear your browser's Kashyykk. I need to get out more.


Paint Shop Pro egg

8th May 2001

Finger painting can get messy when you do it on the PC. For this reason, I recommend keeping acrylics far away from your system. Paint Shop Pro is a relatively decent alternative. Tucked away inside the program is, yes, another easter egg. Click on "Help" and select "About Paint Shop Pro." Press the SHIFT and CTRL keys and keep them depressed while you double-click the logo (or face). If you have v7.0, type: "jascsoftware" (sans quotes). If you have an earlier version, type: "paintshoppro" (sans quotes). Methinks they're dogging a competitor. But Adobe's Photoshop has a few treats, too! While pressing the CTRL and ALT keys, go to Help \ About Photoshop. In v5.0, when the dialog pops up, crank up the volume and type: "burp" (sans quotes). If you have v6.0, you'll only be able to see something that... will help you understand the Paint Shop Pro egg. In fact, in registered versions of PSP v7.0, there's another hidden gem. First, you'll need to create a new file with a width of 1022 and a height of 817 (transparent background). Open the "Image" menu, select "Picture Frame," choose "Antique Marble," then click the "Next" button. Be sure to place the "Frame Inside of Image" before finishing. Select the eraser tool, press your right mouse button and... start erasing.


Palm egg

9th May 2001

"Excuse me, but what's that in your hand?" It's my Palm. "There's no reason to be sarcastic." No, it's my Palm. "Uh huh... and what did you have for breakfast this morning?" Nut 'N' Honey. "Thanks, sweetie." Bah?! I should have told her that I had eggs. Easter eggs, as a matter of fact. Pick up your Palm device and prepare to be dazzled. Go to Applications, tap Info, and hold your stylus on the word "Info" at the top of the screen. Now, press down on the down button. "Oh, so that's who I can blame?" Hey, even if you don't have your own Palm PDA, I'm sure you know of someone who does. Like a co-worker or close friend? Show them that you know something about their toy that they probably don't. Handspring Visor users, while waiting for more springboards to develop, found their own egg. While viewing the main menu, press down on the up button and tap the time tab. It's always nice to give credit where credit is due.


Impossible to win?

10th May 2001

When you're alone and life is making you lonely, you can always go -- ACK! Doon toon! Either that, or play a rousing game of Freecell. For me, it was easier to master Hearts and Spades. You've already got it, whether or not you get it; FREECELL.EXE comes with newer installations of Windows. Even though I've never truly played it, I know I could win on my first game. That is, with the help of a simple keyboard shortcut. In the middle of gameplay, CTRL+SHIFT+F10 will bring up a small dialog. Through it, you can Abort, Retry, or Ignore. Archaic commands with immediate results. The self-titled "User-Friendly User Interface" will allow you to automatically win or lose on the next move. Well, I hate losing, so I might as well Abort. Hee hee! Care to deal a hand that's impossible to win? Tap F3 to select a game number. Enter "- 1" (sans quotes) in the field. Okay, worm your way out of that shuffle without cheating. If that's not challenging enough, try entering "-2" (sans quotes). But whatever you do, DO NOT ENTER "- 27" when prompted. It won't work.


Winamp egg

11th May 2001

Try as they might, nobody can get the world to stop using Winamp. It whips something that no other audio player can whip (and I can't really mention it here since this is a family-friendly tip). Those of us who have been using it for a while should know. Go ahead and launch a Winamp player from the 2.x series. Now, type the word "nullsoft" (sans quotes), hitting ESC after every "L" character. Take a look at your new title bar! For this to work properly, you'll want to have the default skin loaded. HOWEVER, it has been noted that third-party skins may also contain this egg. You never know what you're going to see. Much like the Media Player "mistakes" from Microsoft. I've heard, though, that the trusty WiMP v6.4 comes with Windows XP. Thank goodness! You do realize it's still there in Windows 2000, Millennium Edition, and on any system with WiMP v7.0 installed? I believe it can be launched under the alias "MPLAYER2" from the Run command in the Start Menu (in most cases). You've read that here before. Re- associate your video and audio files immediately if you care to keep your system speedy with your favorite meady. Er, media. Don't use v7.0 if you don't have to. Check out the Options dialog in WiMP v6.4 for further assistance.


Destroyed media

14th May 2001

Hauling media around with you is a bit inconvenient, but it turns to utter frustration when you discover that it's been destroyed once you've arrived at your final destination. Whether you're traveling across the room or around the world, a little TLC will ensure you're bits are aligned in the appropriate order. Just like me, removable storage media (Floppies, CDs, Zip disks, Compact Flash, etc.) don't enjoy large fluctuations in temperature. Keep things on an even keel and they won't freeze, melt or suffer the consequences of condensation, which inevitably leads to any number of problems. Keep that in mind when you're packing a bag that will ride in the belly of a plane or duct-taped to the roof of your Jeep - exposure to the elements = bad news. Let's address a common myth right now... airport x-ray machines are nearly always safe for both media and electronic devices unless otherwise specified at the terminal. I wouldn't send a running notebook through one of these contraptions, but turned off, there's little danger.


Headed to the airport?

15th May 2001

Headed to the airport? Keep a few things in mind when preparing for security checkpoints. First, make sure your laptop's battery is fully charged. Airport staff will often ask you to start the system. As if Windows weren't threatening enough, this to prove that you haven't turned the innards of you notebook into an explosive or otherwise harmful device. To speed things along, put your laptop in suspend (or sleep) mode before you leave, which allows the computer to start almost instantly. Battery consumption is minimal, and you'll be off and running if you want to use the notebook during your flight. If you use a PC, you might set the computer to boot to DOS from a floppy (booting to DOS lets you avoid waiting for Windows to load). Format a new disk (just make sure to copy system files to the disk when formatting so the computer can boot from the disk). When you finish formatting, pop the disk into the floppy drive, and you're set for a quick, no- frills boot. Your time spent waiting for it too boot up for a quick check should be shortened -- and Windows won't have to load.


Excess garbage

16th May 2001

I stare at the Windows Explorer all day long, so why not force it to show me exactly what's important without the excess garbage for which I have no use. Explorer has several different ways to present files and folders to you including large/small icons, list, thumbnails and a detailed view. It's the detailed view that is the most flexible, allowing you to pick and choose the columns of data you want to see, and even the exact column width in pixels. Open a folder, then switch to the detailed view by clicking View - Details. Next, click View - Choose Columns, which will result in a handy checklist of file and folder attributes that can be added or removed at your behest. Notice that you can reorder the list using the Move Up/Down button, and set the column width to whatever pleases your desktop.


Upgrading your RAM

17th May 2001

Upgrading the RAM in your PC doesn't take a nuclear physicist, nor does it require the services of your neighborhood geek. For a relatively paltry amount of money and a little homework on your part up front, accomplishing this upgrade is within easy grasp. So, how cheap is cheap, you ask? Consider that 256MB of PC133 SDRAM can be found for as low as $70... I can hear your PC begging you from here. Now is the time before prices rebound, but ponder these tips before taking the plunge. Taking a cue from Microsoft: contact your hardware manufacturer before you install new hardware to ensure that the warranty is not revoked if you remove the cover from your computer (yes, there are some companies that will hold you to this); check your PC owner's manual or motherboard manual to determine if your RAM is parity or non- parity; determine the speed of RAM (measured in nanoseconds); check to see whether the computer uses single in-line memory modules (SIMMs) or dual in-line memory modules (DIMMs); verify the type of RAM used in your computer: Fast Page-mode DRAM (FPM DRAM), Extended Data Out DRAM (EDO DRAM), Burst EDO DRAM (BEDO DRAM), Synchronous DRAM (SDRAM), or RAMBus DRAM (RDRAM); determine the number of pins that make up each memory slots: 30, 72 or 168; identify the number of open RAM slots that are available on your motherboard. That's all there is to it, folks!


W2k computer on your network

18th May 2001

If you've recently introduced a Windows 2000 computer to your network, you might find that browsing the network doesn't reveal the new addition, thus you can't readily connect to its resources from another computer. There are several things involved with making this work properly. First, the obvious, the workstations should all be members of the same workgroup for this to work best. Second, you must ensure that you're using a common set of protocols on the network. By default, Windows 2000 does not install IPX/SPX or NetBEUI, leaving you only with TCP/IP. This is great for performance, but bad for browsing. IPX/SPX and NetBEUI both broadcast the existence of a PC so they will show up in the browse list maintained by the master browser on the network. TCP/IP does not have the same ability, however.

Once you have the protocol situation figured out, that leaves security. In order to even view the list of available resources on a Windows 2000 workstation, you must be authenticated since Windows 2000 relies on much tighter security than does Windows 9x/ME. When you attempt to connect to a Windows 2000 computer, the username/password you used to logon to the Windows 9x PC will be used to authenticate you to the Windows 2000 security system. This will only succeed if you have created an identical username with the same password used during logon with the Windows 9x PC, or you can enable the Guest account (not recommended for Internet-connected networks).

Once you're authenticated at a basic level, you will see the list of available shared resources to which you may be able to connect. Every shared resource can have it's own set of permissions, which also must pass the security test in order to connect. Once all of these ducks are in a nice, neat little row, things should work smoothly from then on... until you add machines or change the configuration, of course.


Script Viruses

21st May 2001

You know all that hoopla about viruses being spread via Microsoft e-mail clients? Well, you may be wondering what all of the fuss is about. It has to do with the fact that these e-mail clients directly support the execution of scripting files, thereby making them vulnerable to the wrath of any virus-laden scripts that someone kindly sends your way. Microsoft has attempted to address this with some patches here and there, but they're not entirely effective due to the wide number of product versions in use. Howver, there is another way to ensure that these scripts never see the light of your inbox. (You may want to start taking notes!) You can change the default action for dangerous file types to Edit versus Open. To do this, open Windows Explorer and click Tools - Folder Options (or View - Folder Options for older versions of Explorer), then select the File Types tab. Next, select the file type from the list, then click the Advanced tab to display the list of actions currently associated with the respective file type. Simply select Edit from the list, then click the Set Default button. You can also change the Edit action to set a default application to be used for editing the file, such as your favorite text editor. Some of the file types you'll want to pay particular attention to are .VBS, .VBE, .JS, .JSE, .WSH and .WSF. Simple...? Compared to repairing the damage from a virus... absolutely!


Blocking Web Sites

22nd May 2001

Who needs a site blocking application, when you can take a poor man's approach using a feature of Windows that many don't know about. Let's say you want to block the ability to go to www.playboy.com from your computer. First, you must locate the Hosts file on your computer. By default, Windows 9x machines have a file called C:\WINDOWS\HOSTS.SAM which is a sample file that you can work with. Rename this file to HOSTS (no extension). On Windows NT/2000 PCs, the file resides at WINNT \ SYSTEM32 \ DRIVERS \ ETC \ HOSTS. This is not a sample file, thus it needs no renaming. Open the file in your preferred text editor and notice the examples that are given. Each entry consists of an IP address and a host/domain name. Since 127.0.0.1 always refers to your own PC, you can enter sites that you'd like blocked using this IP address, which will dutifully prevent your PC from connecting to the domain using the host name. For most domains, be sure to make entries for both www.playboy.com and playboy.com, as each of these may be usable host names in your browser. Note that it is still possible to navigate to the sites using the IP address, so it's not perfect.


Domain names

23rd May 2001

We all like to have our own little patch of grass we call home, but as they say, the grass is always greener on the other side. As far as the Internet is concerned, there are no sides, so your grass is just as green as the next guy's. When you create your patch of land, otherwise known as a domain name, you should be sure that people can easily find your place without directions. Getting lost on the Internet is a real problem, particularly for pizza deliver guys. Anyway, try to pick a name that is clearly understood at first glance, easy to spell if possible, and avoid dashes (and other special characters), numbers, and double letters when squishing two words together. All of these can be cornfusing. Also take into account potential sound-alike terms. For instance, some think that Gnome is spelled as Nome or Knome, not being familiar with the English term. This has been a problem for me in the past and I still have to spell L-o-c-k-e-r-g-n-o-m-e every radio show just to make sure that new listeners go to the right site. Your domain name is very important, so take a spot of time to consider how you will construct your new property.


Just say no to HTML!

24th May 2001

Previously, we changed the procedure followed when receiving suspicious emailed files from users by altering the default action from Open to Edit. This doesn't address the potential problem of you inadvertently sending an embedded virus yourself, however. Any email client capable of sending HTML email is also capable of embedding a virus within a message, which we know is an obvious problem. One surefire way of preventing this is to set your email client to send plain old text email as the default. Sure, you won't get to use all of the cool stationary or creative use of colors and fonts, but you can override those on an individual message basis. If you're in a high-risk environment, do yourself and your address book members a favor and abstain... just say no to HTML! This won't affect your ability to receive HTML email (such as Lockergnome), so no worries.


Hyper Text Markup Language

25th May 2001

Hyper Text Markup Language (HTML) is the foundation of the Internet. It's what makes your web browser tick by providing a structured set of rules used to format content so it looks good and acts right when links are clicked. These formatting rules are expressed as "tags" in HTML. One such tag is anchor tag <a> - used for links within a page. There are a number of attributes that can be included within the <a> tag in order to force certain behavior when the link is clicked. 'href' defines the URL that you'll be shuffled off to when the link is clicked. Every link has to have one of these babies. However, 'title' embeds an extended comment when the cursor hovers over the link. Use this when you're short on space, but need to provide additional information about the link. It's underused, though extremely valuable. 'target' is used to specify how a link should launch. The 'target' attributes are as follows: "_top" will remove all existing framesets; "_blank" will create a new browser window, which has no name; "_parent" only removes the frameset that directly contains this frame; and "_self" indicates the frame that the document is in. It is the default value for links that do not have a TARGET attribute. Even if YOU aren't an HTML coder, I bet you know of a site which could make good use of these attributes.


Microsoft Word characters

28th May 2001

Microsoft Word to your mother. Errant clicking can yield odd behavior in your applications, such as strange characters appearing where they shouldn't. Or at least you think they shouldn't. So, you have a funny little backwards P at the end of every paragraph you say? And the spacebar results in something other than a space? That's because you have Formatting marks turned on. If you look in your toolbar for a bigger version of that backwards P, it's likely depressed. Click it and watch all of those confusing characters vanish. The individual formatting features you'd like to display can be configured by clicking Tools - Options - View tab and selecting the items you'd like to see when you turn formatting marks on from the toolbar. The keyboard shortcut is Ctrl + * (or Ctrl + Shift + 8).


Network browsing

29th May 2001

Back to the network browsing subject, if you're still having problems seeing workstations on your network, and you'd prefer to use only TCP/IP, there are a few things you can do to help things along. First, be sure that you have File and Print Sharing enabled in the network properties window, as this actually allows your PC to partake in the browsing environment. If you're using Windows NT/2K, check the Computer Browser service to ensure it's listed as Started. As long as those two things are in place, and you have addressed the security aspect we covered in a previous tip, then machines on your local network should be visible. As a last resort, you can use the LMHosts file to specify NetBIOS names and their respective TCP/IP addresses. On Win9x PCs, the file named c:\windows\lmhosts.sam. This is a sample file which should be copied to c:\windows\lmhosts (no extension). Under NT/2K, the file resides at winnt \ system32 \ drivers \ etc \ lmhosts.sam, and is also a sample file that must be copied to a file with no extention in the same directory. When you edit the file, the instructions for adding entries will appear, along with a couple of examples at the bottom. Follow the example and make entries for PCs that you'd like to have addressable by their proper names.


QuickTime movies

30th May 2001

Ever run into QuickTime movies in your net adventures? Sure you have! QuickTime is Apple's standard multimedia player, generally associated with .MOV files -- though it's multi-talented these days. For you keyboard buffs, there are a few shortcuts you might wish to take note of if you frequent QuickTime. For starters, the spacebar or ENTER key will play/pause a clip, though there's always CTRL + . (period) to pause the show as well. Making use of the arrow keys, right and left will step forward or backward respectively, and CTRL + right/left causes the clip to play forward or backward. Up and down arrows affect the volume and finally, CTRL + 0/1/2/3 will proceed to resize the display window from half size (CTRL + 0) all the way up to full screen (CTRL + 3). That'll make QuickTime even quicker!


June 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Ditch annoying pop- up ads

1st June 2001

Want a quick and dirty way to ditch those massively annoying pop- up ads that sites think actually work? While this isn't likely a permanent solution, these pop-ups are generated using JavaScript, so a quick disabling of the scripting features can leave you to surf in peace. In Netscape, click Edit - Preferences - Advanced and uncheck the Enable JavaScript box. Internet Explorer is a bit different, in that you have to dive into the zone security settings. Click Tools - Internet Options - Security - Internet zone, then click the Custom Level button at the bottom of the window. Scroll all the way down to the Scripting section and change the Active Scripting item to either Disable, or Prompt. This will likely affect how some sites display in a browser, however, as some elements of page layout and navigation can be done using JavaScript. By the way, since JavaScript is a Netscape invention, you can thank them for the ability of websites to bombard you with pop-up ads.


Track Changes feature

4th June 2001

Passing a Word document around an office in paper form allows you to easily see who made which changes to the text, but electronic format is a different story - unless you're familiar with the Track Changes feature. To see how this works, enable Track Changes by clicking Tools - Track Changes - Highlight Changes - Track changes while editing. In a blank document, the only difference you'll notice right off is the TRK that lights up in the status bar at the bottom of the window. When you begin to fill the screen with text, however, you'll see that everything is colorized and underlined. This notes a change made to the original document since Track Changes was enabled. That said, be sure you have your first draft completed before you enable the feature and pass it along to the next stop. Once the modified version returns to your desk, each person's changes will appear in a different color. If you mouse-over the text, up will pop the author of the changes and the date/time the modifications were made. Now, right click the hacked text and you'll have the option to accept or reject the changes. No more transcribing scribbled notes from a withered paper copy that's been through 30 sets of hands.


Refining your search

5th June 2001

Refining your search results to a set of results smaller than 326,784 hits is essential in finding what you're really going after. With the help of a few tricks, you can alter how results are filtered. For instance, specifying "url:lockergnome" (without the quotes, of course) at AltaVista will result in all links with lockergnome in the URL. Similarly, using "link:lockergnome.com" shows you the sites that link to the domain of choice. If you care to specify a particular top-level domain to refine your query, then use "domain:uk lockergnome.com" which displays all of the .uk sites that have links back to lockergnome.com. Try it on other search engines and directories for different results, natch.


Knowledgebase search page

6th June 2001

Help with numerous problems caused by Microsoft's operating systems and applications comes in the form of Microsoft Knowledgebase (MS KB) articles. Once you have an article number in hand, you have to surf to the Knowledgebase search page, then enter the article number. If you're using Internet Explorer 5.x, shave a few steps off of the process by typing "MSKB Q286043" sans quotes. You'll instantly be whisked away to the exact missive you're after, and nary a click has been rendered to get there.


Sneakernet

7th June 2001

Sneakernet is still in common use around many offices, which is a bit of a shame with all of the things technology can do these days. Even if you aren't one to sneakerize your data between two PCs sitting next to each other, there still comes the need for a floppy diskette once in a while. Using Floppies will ultimately lead to bad data once in a while, but with the help of the Verify command, you can add one more step to the floppy write process to help ensure the readability before the diskette leaves the source machine. Simply launch a DOS box and type "verify" sans quotes to see the current status of the verify flag, normally off. Type "verify on" to force data to be read back from the diskette after writing, ensuring the integrity of the information. Note that this also affects hard disk writes, which can cause a bit of a performance drag. Windows 9x will leave verify on even if you exit the DOS window so be sure to type "verify off" when you're finished, though a reboot will reset the status to off as well. Windows NT/2K will both forget this setting once you close the DOS window.


Logon to a site

8th June 2001

Sometimes when you try to logon to a site, or even register using their neat little sign up form in order to obtain a user Id and password, things just don't go right. Your browser may hang, or you may receive cryptic errors back that don't really lead to a proper solution. This can often be caused by a difference in the HTTP protocol being used to communicate between your browser and the web server. Having a proxy server in the mix somewhere along the line spells trouble once in a while as well. Microsoft Internet Explorer permits you to define settings that affect how the browser uses the HTTP1.1 standard. Click Tools - Internet Options - Advanced tab and locate the HTTP 1.1 settings area. Altering how these are set can allow a problematic website to work properly. If you're running without a proxy server, then be sure that the "Use HTTP 1.1 through proxy connections" is not checked for starters. Also try disabling HTTP 1.1 entirely by clearing the "Use HTTP 1.1" checkbox. Conversely, if they are both disabled, try enabling one or the other to see if it has an affect on the issue. Confusing, to be sure, but there aren't any hard and fast rules about this one.


Ask a Question in XP

11th June 2001

As I get to know Office XP, one thing is really pestering me -- the 'Ask a Question' box that camps in the upper right hand corner of every Office XP application. I don't care to ask questions of Office -- so it's time to wave good-bye. You're outta here! In the menu bar, click Tools, select Customize, then flip to the Options tab. Next, right-click the actual 'Ask a Question' box (in the Microsoft Office XP application you're running); this will result in a "Show Ask a Question Box" checkbox. Clear the checkbox, then click Close in the Customize dialog box and away it goes... permanently. Incidentally, you can right-click any blank space in the toolbar area to zip right to the Customize dialog box. This will save you a few clicks when you repeat this procedure in every single Office application to rid yourself of the pest. If you have solutions for other Office XP annoyances, I'm sure the rest of us would love to hear about them! For the moment, it's only running on Gretchen's machine. I'll be fine with Office 2000 for now.


Slow loading pages

12th June 2001

Netscape isn't my favorite browser on the 'Net, but it does have one rather nice feature that can be invoked with slow loading pages to find out what's gumming up the works. Navigator has a habit of preventing the display of a page if JUST ONE image is broken, sometimes hanging up for up to 2 (or more) minutes. By hitting Control + Alt + T, Netscape will show you a list of pending items left to download and their full URL, giving you a good idea of what the problem may be. Banner servers are notorious for breaking completely or failing to respond in a timely manner, thus you may see ad links / images listed quite often. You'll also see your connection status, which tells you precisely how many connections are required to finish the page as well as the concurrent connection limit that your browser is currently configured to handle. If you're looking for a viable browsing alternative (without dropping any more money or putting up with internal ad rotations), check out the Mozilla project at MOZILLA.ORG. Now that Netscape is no longer in the browser business (which they publicly stated last week), you may be wise to grow attached to another product.


Ergonomic notebook

13th June 2001

Companies put themselves through great expense to provide ergonomic office furniture and computing equipment -- sometimes. Still, there's little hope of finding an ergonomic notebook computer. These things are deathtraps when it comes to comfortable, healthy computing. Because of the flat keyboard design and attached display, you sorta find yourself cramped "into" the laptop at times -- crooking your neck or hunching over in order to see the on-screen data or to align your hands in a workable typing arrangement. If you can manage, the most comfortable position I've found is to lean back a bit to keep your back straight, then lower your head so you chin is down toward your chest. This helps to keep your neck straighter and prevents you from hunching over. Also, refrain from crossing your legs or other bodily contortions, as this can put your arms at a disadvantage having to contend with odd typing angles. Another trick I sometimes use is a large three-ring binder that is fairly full. This provides a bit of a sloped angle and raises the notebook up a bit, helping to align your hands for more relaxed typing. I discovered this when I went in search of something to keep the heat off my legs, and discovered the bonus of better ergonomics. Note that the large flow of blood in your legs will pick up the heat from a notebook sitting on your lap and raise your body temperature. A doctor friend told me this once, and I've since proven it using a digital thermometer... interesting, eh?


Immediate context-sensitive help

14th June 2001

Windows ME has changed the face of several things, including the operating system's help engine. No longer does Help result in the familiar .CHM interface you've come to know and love. HELPCTR.EXE is the party responsible for answering your questions these days, but it's not immune from difficulties of its own -- sometimes failing to respond entirely because of an application registration problem. This can be fixed by clicking Start / Run and typing "helpctr -regserver" without quotes. This will re-register the application in the Registry and allow smooth operation once again. Using the "helpctr -url <url>" option takes you directly to a specific page if you know what you're looking for. For you system administrators, you can pass an Intranet help page to your users via this option, but the HelpCtr is only available in Windows ME, thus its use is rather limited. A complete list of the options can be had by running "helpctr -?" (sans quotes). Cases off to Lockergnomie Steve Hammond for bringing this tip to light! Now, since there's nothing terribly complicated about the Windows 98 help system, remember that F1 will always do the trick. Go ahead - - try tapping the key right now and see what happens. Do it in just about any program for immediate context-sensitive help.


PowerPoint timing

15th June 2001

Have you ever tried to read the credits at the end of your favorite sitcom on TV? They go whizzing by so quickly that you can barely make out the text. In much the same way, standing in front of an audience for a presentation is different than practicing the timing all alone, with nobody else around. Your audience may not be able to keep up with how fast your presentation is moving, thereby reducing its effectiveness. From the practice-makes- perfect school of thought, you can use PowerPoint's timing rehearsal function to be sure you're giving ample time between slides. It's always a good idea to practice with a handful of your office mates before the big day. With the help of the internal rehearsal timer, you can approximate the perfect time for a slide's on-screen duration. Click Slide Show / Rehearse Timings. This will instantly start the presentation with a timer. As the clock ticks away, advance to each subsequent slide at the appropriate time intervals. When you're finished, the final presentation time will be displayed -- along with a prompt to save the new timings permanently. Now you'll be at your best and not get ahead of the group to which you're speaking. Unless it's Hyperactives Anonymous.


Executing batch files

18th June 2001

Once in a while, using a "DOS" window is faster than moving around in Explorer; if you plan on executing batch files, you'll want to use a command prompt. This way, you'll be certain to see the ultimate results without having the window automatically close upon completion. With the advent of long file names, moving around the file system "manually" can leave you with wads of ripped-out hair in your hands. Windows 2000 introduced some changes to the CMD.EXE binary; it's responsible for initiating a command prompt interface within Windows. If you modify its shortcut and append "/f:on" to the end of the command line, you'll have hotkeys available when you launch it again. These will enable you to cycle through the names of files or directories. Hit CTRL + F to whiz through the list of files in alphabetical order. SHIFT + CTRL + F will reverse the process. CTRL + D will act similarly for Directory (Folder) names. You can narrow down the list by prefacing the first character or two of the file or directory name.

For example, typing "CD Pr" then CTRL + D from the root directory of the system drive should display the "Program Files" directory assuming there are no other directory names that would be listed ahead of it in alphabetical order. Another "prompt" trick is to use a wildcard to complete the file or directory name. Issuing "CD Pro*" at a prompt will likely drop you right into the Program Files directory. You can even use this trick when passing filenames to the classic edit utility. Using a file called lockergnome.txt for an example, you would enter "edit lock*" and instantly be editing that file. This doesn't usually work with non-DOS-mode applications, however. As far as Windows 9x users are concerned, there's always DOSKEY (or JP Software's 4DOS).


Application errors

19th June 2001

Doctor, Doctor, give me the news... raise your hand if you've seen those application errors that spew forth some tripe about creating a log file. Aha! Looks like everyone in the room. I must have a thousand of those mysterious log files sitting on my hard drive right now, but I have yet to use them for their intended purpose: troubleshooting problems. Before you tune out (or change the channel), I'd encourage you to find all the .LOG files on your hard drive. If they haven't been updated in a while, perhaps it MAY be safe to remove them -- or move them to another (safe) folder. In the end, you could free up several megabytes of space. Now, back to the tip. Dr. Watson is responsible for trapping application errors and logging the appropriate information to a file named USER.DMP. The doc stores these files in any number of locations (depending on your version of Windows). Unless you're particularly skilled with true propeller-head troubleshooting procedures, this information will be pretty useless to you other than to inform you that an application bombed, which you already knew. That said, these files can be safely deleted. Again, use the Windows Find / Search feature to locate the log lard.

For you NT/2k users, when a STOP error occurs, even LARGER dump files can be created; they, too, are not worth much to anyone not certified to wear a beanie. Windows NT does not have the ability to customize the size of the log file, dumping everything in the C:\ WINNT \ System32 \ Memory.dmp file by default. Windows 2000 also uses the same location and file name for large memory dumps, but by default, workstations are configured to create mini dump files that are located in the C:\ WINNT \ Minidump folder . Each of these is only 64KB in size -- versus the larger versions which can reach hundreds of megabytes apiece (depending on the amount of RAM installed). Still looking for ways to regain space on your hard drive? When was the last time you checked your TEMP directory? Uh huh. I thought so.


When Windows goes bad

20th June 2001

When Windows goes bad, it really smells. Unlike the month-old pizza at the bottom of your fridge, it can sometimes be salvaged. Windows 98 includes a batch file on the CD that can help you put Humpty Dumpty back together again. Insert your system CD and you should find PCRESTOR.BAT sitting in the \ Tools \ Sysrec folder. Once you've located it, launch it. This will kick off the Setup process in a special mode that reinstalls Windows over the top of your existing installation. After the process is completed, a recovery wizard is executed to help you restore from a full system backup -- assuming you've made one, of course. If you find that you need this tool often, all three files in the Sysrec directory should be copied to a Windows 98 startup disk. Ya know, to further ensure that you have them during a compu-crisis. The Recover.txt file contains instructions for using the tool, and the MSBatch.inf file specifies which components should be initially installed before the recovery process is initiated. You can modify the .INF file accordingly (as long as you know what you're doing). Of course, Millennium Edition has the built-in, ever-controversial, resource-sucking recovery utility. I guess if you dork up things often, it could be a time-saver.


Catching typos

21st June 2001

Some people take typos entirely too seriously, so you're left with having to catch them all (or suffer the wrath of your boss). Microsoft Word can't catch everything that may be considered a spelling problem. For instance, perhaps your taking sum surveys on howl many customers enjoy products form you're Boston warehouse. Every word is properly spelled, but contextually incorrect. Word offers help with this situation in the form of an Exclude dictionary. This allows you to tag specific words which cause you particular difficulty. Create a new document in Word, or better yet, use a standard text editor since the file must be plain text when we're finished. Enter the list of words (each one on a separate line) that you want the spell checker to flag every time it runs across it. In Microsoft Windows 95 or 98, save your exclude dictionary in either the C:\ Windows_folder \ Application Data \ Microsoft \ Proof folder or the C:\ Windows_folder \ Profiles \ User_name \ Application Data \ Microsoft \ Proof folder. In NT 4.0, save your exclude dictionary in the C:\ Windows_folder \ Profiles \ User_name folder. The name of the file should coincide with the primary language dictionary in use, but will have a file extension of .EXC. For US English, the filename is Mssp3en.lex, so the filename should be Mssp3en.exc. Now whenever you perform a spell check on a document, the words in your exclude dictionary will float to the surface for a double- check. Cases off to Lockergnomie Mike Long for uncovering this life (and job) saver!


That's the power supply

22nd June 2001

PCs can live without CD-ROM drives, they can live without a floppy, and they can even live without the latest (90GHz) CPU -- but they can't possibly hope to survive on shoddy power. Crack open that case and find the square metal box with big warning stickers on it -- that's the power supply. This is absolutely the most important component in your system; it must perform reliably and correctly for your computer to function properly over a period of years. Early warning signs can accompany a failing unit, so being cognizant of how your PC normally functions is key to picking up fluctuations. Spontaneous reboots are one of the most common red flags, assuming the lights aren't flickering around you at the same time, of course... that could spell larger problems (especially if you live in California). Excess heat from your computer isn't healthy either; check those fans to ensure they're still spinning. Nothing will cook a power supply faster than a seized-up fan.

System lockups are on the list of suspicious activities, too, though there are other reasons for lockups (to which any long-time Windows user will attest). If no system changes have taken place and things suddenly stop on a dime, raise an eyebrow toward electricity flow issues. Hard drives draw power as they spin up during a cold boot, so if you should hear odd noises emanating from within the case, such as the hard drive not spinning up as it normally would, the power supply could be at fault due to the inability to provide adequate power levels. This can result in other oddball behavior as various system components have to claw for enough juice to keep themselves running. Multiple hardware device failures are yet another way that power problems manifest themselves; too much or inconsistent power is quite unhealthy, often killing RAM, hard disks, CD-ROM drives or other pieces and parts. Give her all she needs, captain!


Viewing the properties

25th June 2001

Viewing the properties of a file will reveal three interesting date/time stamps to you that might seem a bit confusing when you really take notice of the values. The three attributes are Created, Modified and Accessed. This doesn't necessarily mean that it's when the file was first born, but rather when it was created on the media. When a file is copied from one disk to another, a new file is created, thus the newly crafted version will carry a Created date that corresponds to when the file was copied to the disk. Follow? Ok, next there's the Modified date/time. When making a copy of a file, the modified time is carried over from the original in most cases. This identifies the last time the file was altered in some way. Sometimes developers use the Modified date to identify a version of the file by forcing a specific date/time stamp to be written to the file. The modified value is also the one represented when viewing a file's information from DOS.

Last and probably least is Accessed. This represents the file was opened in some way for read or write. Notice that when viewing the Accessed date from explorer's Details view (and adding the Accessed column), the dates are all different for the various files, but if you right-click and check out the properties for the file, it magically changes to the current date. This indicates that Explorer has opened the file for read. Also note that the time may be 12:00AM for all files. This is due to a limitation in the FAT/FAT32 file systems from 12:00AM because the file system does not support the time value; only the date, so it's left at 12:00AM.


Battery power

26th June 2001

Battery power routinely lasts ten minutes less than required. Always. They're designed that way, ya know. It's so you'll buy more batteries! They've spent millions on research to determine the exact amount of time required, then shave off just enough to frustrate you. To combat this, we have to find ways to lengthen that precious life. Start by turning off sound events temporarily. You don't have to re-assign all of the events, just mute the sound entirely. Next, eject any PC Cards that aren't in active use. Just inserting them draws at least some power, and depending on the card, possibly a lot of juice. Reducing the brightness of the display is also something many forget about, and you can further drop the load on the video subsystem by lowering the display resolution a notch or two. You've probably configured your power settings, but if your hard drive is spinning up every few minutes to auto-save documents, it's not doing you much good. Extending application auto-save times or disabling them completely can keep the hard drive spin-ups to a minimum, though you have to weigh the risk of losing unsaved data in case of... well, a power loss.


MSN Investor

27th June 2001

Even if you're not into the whole investing thing just yet, you can still pretend you've got a multi-million dollar portfolio at any one of the various investing sites, such as MSN Investor. Setup your own portfolio with stock in companies that you favor or think will virtually make you loads of cabbage. Using these online portfolios is also a great way to learn about investing and picking stocks without actually risking your hard-earned lunch money. Just for grins, you could even hold office competitions to see who can make the most money. Some investment clubs use this sort of thing for studying stocks and market trends before they put forth the dough or make changes in their holdings. I'm richer than Bill Gates on paper... or so says my MSN Investor portfolio anyway.


Keyboard shortcuts

28th June 2001

Have you seen the movie You've Got Mail? There's one scene in that movie where Tom Hanks types out a long diatribe in an email, then decides to delete it. Instead of using the mouse like normal people to highlight the text and delete it with a single keystroke, he taps the backspace key approximately a thousand times, which really grates on my nerves whenever I see it... how annoying for a geek to be forced to watch such a thing. Keyboard shortcuts are an absolute necessity. Instead of wearing out your backspace key, hold down the CTRL key, and then hit it a few times. You'll take out one whole word at a time versus a single character. Text selection is another area that doesn't necessarily require the mouse to accomplish quickly. You probably know that holding down the shift key and using the arrows allows you to select text, but the CTRL key once again changes this from a single character to an entire word at a time. Most word processors, text editors and many other applications support these mechanisms. Go forth and CTRL your text!


Instant Messaging provider

29th June 2001

Everyone has their own favorite Instant Messaging provider; ICQ, MSN, Yahoo, AIM, etc., and I'm tired of running 47 different clients just to keep in touch with everyone, not to mention the horrendous RAM hit that you take with so many individual apps doing virtually the same thing. Invention being the mother of necessity (err... something like that, anyway), several companies address this wasteful behavior with applications that connect to several services. My personal favorite is Trillian. Easy to configure, works reliably and offers support for the big 4 providers. There are configuration options out the wazoo, and the Interface allows you to work with everything in one window, or you can detach the various windows and have little pop-ups all over your desktop, if you prefer it that way. I don't care for that, but Furo seems to enjoy the chaotic environment. Other mutli- provider IM clients available include Odigo, Bantu, Jabber and Imici. Microsoft recently changed their login process to thwart some of these multi-service apps, so be sure to test that out thoroughly to be sure the developers have adjusted to this tactic. For the record, Trillian has released a fix that easily gets around this problem.


July 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Outlook Calendar

2nd July 2001

Outlook has two Calendar view options that appear to be the same at first glance, though there is one difference. Click View - Current View - Day/Week/Month, and you'll be shown each of your appointments with their title in the appropriate time slot. When you select the Day/Week/Month View with AutoPreview option, you'll then see additional text that appears in the view that is called from the free-text event description area. Mousing over the event expands the view even further to show you even more text. I tend to take some notes about upcoming events and drop them into the description area, and using the Autopreview saves clicks by showing me the thoughts and comments without having to open the event item. Another one of my favorite modifications is to move the tool bar icons around to places more comfortable to me, or to totally confuse Gretchen when I'm in the mood for a prank or two. This actually works with all Office 2000/XP applications. Hold down the ALT key and haul those buttons around the toolbar, then drop them where they make more sense to you, and it's easier than messing with the toolbar customization dialogs.


Online auction sites

3rd July 2001

An extra penny or two won't break your bank account, but it could mean the difference between winning an online auction for that rare beanie baby you've had your eye on and losing it to someone else's kid who will probably just end up spilling grape juice on it, or take it in the bathtub. Not all online auction sites allow you to bid in oddball increments, making you hold to dollars or maybe even quarters, but if they do permit you to choose your own increment, adding a few cents to your bid can win you the item when the auction closes if someone has their max bid set to the same as yours, except for the additional couple of pennies. A penny spent is a beanie earned.


Natural language support

4th July 2001

I look for every shortcut I can find because every second or two saved is another I can spend playing with Sprocket. One trick that not only saves time, but frustration as well, is the natural language support built into Outlook. No more digging for a calendar trying to figure out what the date is next Tuesday or the date that Thanksgiving falls on this year. For dates, you can simply type in "next thursday" and watch Outlook fill in the appropriate date. This works great for holidays like "halloween" or "veterans day", too. Even "Boxing Day" works! Times work in a similar fashion with terms like "noon" and "midnight", or by specifying time in word format, such as "two fifteen pm".


Do you miss QuickRes

5th July 2001

Do you miss QuickRes in the Win9x system tray? No worries, it's easy to get back. Right-click on an sparse piece of desktop real estate, choose Properties from the context menu, then click the Settings Tab. Next, click the Advanced button, followed by the General tab. There, you should see a "Show settings icon on task bar" checkbox. Check it and check out your system tray. While you're checking out cool stuff, you Windows 2000 users can play around with an on-screen keyboard by clicking Start - Run and typing OSK.EXE. This is part of the Accessibility features and can come in handy if you happen to be without the use of a hand temporarily, or just feeling too lazy to type. Another nifty utility with Windows 2000 is IRFTP.EXE. For you infrared users, you can connect to other IR-capable devices (like a PDA, digital camera or notebook computer) and easily transfer files between them.


Icons for each page

6th July 2001

Having your site stand out in a crowded bookmark list helps visitors easily identify links associated with your brilliant work of web art. You may be left wondering how some sites made that fancy icon appear next to those bookmarks. First, this only works with IE 5.0 or higher and the Linux Konqueror web browser. All that's required is an icon that measures 16 by 16 pixels and usually 16 colors. These can be made with various icon producing utilities, such as IconForge, or by using the Java applet at Favicon.com. Next, drop the file in the root directory of your website named as favicon.ico, then test it by bookmarking a page on your site. Voila! Using some HTML, you can specify custom icons for each page, and even have Windows use your custom icon in other places, such as when a shortcut to the link is placed on your dekstop. Favicon.com discusses much of this, so if you're interested in the topic, that's the place to go.


E-mails unanswered?

9th July 2001

Ever stepped out of the office for the week, leaving your e-mails unanswered? Set up a quick autoresponder in Outlook Express to let everyone know that you've gone walkabout. Start by clicking Tools | Message Rules | Mail, then the "New" button to create a new message rule. In the first field, select "For all messages" (which is the last option). In the second field, choose "Reply with message." This is, of course, assuming that you've already created and saved a "reply" message of sorts; you can do that by simply a new e-mail message and saving it to a local folder. Name the rule and you should be good to go. Now, every message which enters your Inbox will be responded to with your template. Keep OE running while you're out and about and people will know you're not ignoring them. Take note that newsletters (like Lockergnome) will also be replied to. Depending on how these resources are configured to respond, you could be unsubscribed, or in the case of mailing lists, you could be banned from future participation because it's not looked upon kindly by some. Tailor the rules to your liking, of course. Outlook (proper) allows for exceptions, so you can spare newsletters and mailing lists. Rules are very powerful critters... so get to know them intimately.


Ink cartridge running dry?

10th July 2001

Lockergnomie Jeff Stanford is outraged at the premature rejection of his ink cartridges. When your printer squawks about being out of ink and refuses to print any further, it may not be entirely accurate. You see, when some printers detect that the ink cartridge is running dry, they head things off at the pass before printing gets sketchy or sloppy. While the concern is appreciated, leaving a spot of useful ink in the well adds up over time. And we all know how outrageously expensive those things are. Sometimes you can cheat the system by removing and shaking the cartridge ever-so-lightly before putting it back. Many printers will consider it a new cartridge, possibly resulting in dozens of additional pages being printed. Not all printers have an automatic ink level detection feature, so this will vary in practice among printer models. While we're on the subject, it's always a good idea to give your printer a spot of work to do once a week (or so) because the ink tends to dry out and gum up the print heads during long periods of inactivity. You don't have to print a book, of course; a page or two from your favorite tech newsletter (with some color) should do the trick.


Dual boot, you say?

11th July 2001

So, you want to "dual boot," you say? The concept goes beyond having a matching pair of foot garments, so pull yourself up by the bootstraps and take notes. Windows 2000 has a nifty boot loader that can handle multiple installations of operating systems. This is great if you care to run a copy of Windows 98 and Windows 2000 on the same PC. The best way to accomplish this is to start with a working installation of Windows 98, which will likely be housed in the C:\Windows folder. When you pop in the Windows 2000 CD and begin the installation, you will be prompted to upgrade your existing version of Windows or to install a fresh copy of Windows. In this case, you want a fresh copy, leaving Windows 98 intact. Since Windows 2000 installs itself to the C:\WINNT directory by default, you shouldn't have a problem with it stomping all over 98. When you're finished, a brand new boot menu will appear with your choices in operating systems. Note that using this setup allows you to install several copies of Windows NT / 2000, but only one copy of Windows 9x. Also, keep in mind that the various versions of Windows often use the same directories for Windows components, so be prepared for some version issues if you don't specify alternate directories for applications you install or upgrade in various operating systems. If you were considering 2000 as a replacement for 98, but weren't sure if it'd work properly, you now know it's safe to have your cake and eat it, too.


Set the registry values

12th July 2001

Application errors are nothing new in Windows; you can be certain that you'll see them again sometime (hopefully, later than sooner). When trouble does present itself, you can often cure the ills by uninstalling and reinstalling the application. This should re-copy the appropriate files and set the appropriate registry values, oftentimes putting things back in order. The same tactic can be used in reverse when you want to uninstall an application and it's not cooperating. Reinstalling an application can often line the ducks back up in correct order, after which you may proceed through a clean removal. Be sure to install the same version of the application (if at all possible) or you may be facing a disaster. Particularly, if you install an older version than what was kicking you in the head to begin with. This tip was borrowed from the Windows 2000 Power Users Newsletter (found at WIN2KPOWERUSERS.COM).


Microsoft Word tips

13th July 2001

You (no doubt) know that the ENTER key creates a new paragraph in word processors. Sometimes you just want to type on a new line without starting a new paragraph, though. Simply hold down the SHIFT key while pressing ENTER... Shazam! A line break. This is important for formatting purposes (particularly in WYSIWYG Web editors). Now that your paragraphs in Microsoft Word are squeaky clean, your legal department has insisted that every instance of "Super Widget" must be identified with a trademark. No sweat. You can quickly locate every instance with the Find command. Click Edit | Find to start with, then enter the words you're after. Only one problem. You've also used 'super widget' to describe the item. Click the "More" button in the Find dialog and what appears is a bunch of options that can be used to qualify your search. By checking "Match Case," you can easily pick out the items requiring trademark identification (while leaving others alone). Taking another step forward, "Find" can even help you sniff out text that is formatted using a particular font, style, or highlight. Check out the "Format" or "Special" drop-down fields. Notice the Replace tab, too. Not only can you find specific text that matches the traits you're after, but you can replace them with the appropriate characters. Getting back to our example, you could search for "Super Widgets" (matching the case) and replace it with Super Widgets(tm), which adds the trademark symbol. Problem solved!


AutoCorrect feature

16th July 2001

In a previous tip, we used the Find command to locate text that needed to be modified (in order to add a trademark symbol). Today, we'll take it up a notch. Word automatically recognizes text you type and can change it to symbols and special characters. For instance, typing (tm) automagically inserts a trademark symbol; be sure to surround the "tm" with parenthesis. The same is true with (c) for copyright and (r) for registered trademark. The same can be done for inserting arrows into documents. Entering: --> <-- ==> <== <=> will result in instant arrows. You can use them to identify list items or simply to break up a document. This is all done through the AutoCorrect feature. When you select Insert | AutoText from the toolbar, the AutoCorrect dialog is launched. Flip to the AutoCorrect tab. If you peruse the list under the "Replace text as you type" checkbox, you'll see the dozens of different words that are defaulted to be replaced, including several emoticons for those of us who like to use them. You might notice that the list is chock full of common typing and spelling errors; they'll be instantly zapped when a mistake is made. Add your favorite keyboard snafus to the list to save a bit of wear and tear on the backspace key (arguably the most used key apart from the spacebar).


Streaming live show

17th July 2001

Listening to a streaming live show over the Internet is great and all, but if you don't have access to archives, then you could miss something important -- like the latest in driveway repair techniques. You can record these audio missives using any application that permits you to tap into your System Mixer (or Wave Out). MusicMatch Jukebox (a free MP3 player and more) is one such application; with it, you can record any audio that comes streaming through your sound card. This includes any system sounds, such as error sounds, confirmation dialog dings, and even the microphone (if you leave it turned on by mistake). The first step involves the Volume / Recording Control, which is easily accessed by double-clicking on the yellow speaker sitting in the system tray. Once that's open, click Options | Properties, then choose "Recording" from the "Adjust volume for" dialog and be sure that the Mixer (if you have it) has a checkmark sitting beside it. Click "OK" to continue and you'll then see the various volume controls. Put a checkmark in the select box for the Mixer and adjust the volume to an appropriate level for the recording. In Jukebox, click Options | Recorder | Source | System Mixer. Next, start the stream or any other sound you wish to capture before hitting the record button. Also, be mindful of the file format you're saving to in the Jukebox by clicking Options | Recorder | Quality and selecting the appropriate type of file for the situation. Experiment a little to be sure that you find the right volume settings, and off you go! This may not work for everybody; if your sound card doesn't support full duplex mode, you may have to sit this one out. Know, too, that just about any audio software can do the same thing. We just found Jukebox to be the easiest.


Files direct from FTP

18th July 2001

Webmasters use this tip often because it makes documents much easier to get to in a pinch. Microsoft Office 2000 / XP applications have a slick option for opening files directly from an FTP site. You can get to it by clicking File | Open, and then the "Look in" dropdown box. Scroll down if necessary... until you find the "FTP Locations" item. From there, you can open previous servers or add new ones. All that's required is a site name or TCP/IP address, a username, and the associated password. You can also choose to use the anonymous login if allowed on the target site. Other applications (such as UltraEdit) have similar features to interact directly with FTP sites, but for applications that do not, you can use the My Network Places functionality included with Windows 2000 and ME. Double-Click the Add Network Place icon within My Network Places, specify the location specifics, then the username (or anonymous) and click Finish. Explorer will immediately attempt to open the new location, prompting for a password if necessary, which can then be saved. Now when you use the "Look in" drop-down box in applications that don't natively support the FTP features, you can get to the new FTP site via My Network Places. Cool, huh? No more manual FTP transfers to get to a single file when you need it.


Printing from your browser?

19th July 2001

Has your printer ever stared back at you with a blank look on its face when you printed from your browser? Me too. The reason is rooted in how the Web page is interpreted by Internet Explorer 5.5 or Outlook Express 5.5 (as well as pretty much everything in Windows ME). The solution is a simple one -- simply requiring that you disable the encoding Auto-Select feature. Click View | Encoding | Auto-Select. This should clear the checkmark next to it and allow you to print cleanly. Oh, wait. Now I only get text at the top of the page! This is an easy fix, too. If "Style Sheets" was somehow disabled in the Registry, your browser will not properly print the page. You'll need to tiptoe around in the Registry to repair it. Click Start | Run and type: "RegEdit" (sans quotes). Up will pop the Registry Editor, ready for perusal. Navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Internet \ Explorer \ Main. Look for a value called "Use StyleSheets". Odds are, at this point, it's set to "No." Delete that value, exit the editor, and try printing the page again.


Dial-in ISP problems?

20th July 2001

Dial-in ISP got you down? Literally? Maybe it's not their fault. Yeah, right! They are notorious for changing things without telling anyone beforehand -- particularly their paying customers. Nevertheless, sometimes it is indeed on your end, and you're left to troubleshoot the problem on your own (as ISPs often offer little assistance in these situations). Well, Windows can create a log file containing diagnostic information, which can then be used to determine if there are initialization errors or other problems with the communications hardware. The trick is finding the file! Depending on which version of Windows you have, it will have a differently formatted name: it might be 'ModemLog_LT Win Modem.txt' in Windows 2000 or 'Lucent Win Modem.txt' in Windows ME. Or, you could take the easy way and open the Modems Control Panel applet and select the modem with which you want to work. This will vary slightly, again, depending on which version of Windows you're using, but you should be able to find a "View Log" button associated with your modem's properties. There is also an "Append to Log" checkbox that will continue to log information without clearing the log at each initialization or system restart. Be sure to disable this checkbox when you've determined the problem, since the log file will continue to grow over time. At least you won't be in the dark!

With the logging enabled, you will be able to see all of the AT commands that are sent to your provider (and the responses that are received). These commands may seem cryptic, but they each mean something to the modem -- such as enabling specific communication options, changing the speaker volume, or perhaps loading the default settings from the modem's memory. Every modem is slightly different in the command sets that they support, but the basics of the AT command set are supported by nearly every modem available today. For instance, sending AT (attention) to the modem should result in "OK" being received in return; it ensures that the modem is still alive. This is akin to a PING command in TCP/IP. Consult the documentation for your specific modem to check for all of the available AT commands that you can send to your modem. Some ISPs will even recommend a general modem initialization strings to be used with their system, so check with them before you dig too deep. And ALWAYS backup!


Scrap-aware

23rd July 2001

It's okay to feed your doc scraps; he'd love 'em. Really! You can pull those smilies and flower symbols from things like MSN Messenger and other apps, and copy them right into a scrap-aware application. Wordpad and Microsoft Word support this, as do other programs which understand Object Linking and Embedding (OLE). Not all OLE-aware apps are scrap-aware, however. You can test this by dragging an emoticon from MSN Messenger to the desktop, where it will be identified as a Shell Scrap Object (and thusly carry a .SHS extension at the file system level). Ah, do you not know how to create a graphical emoticon in MSN Messenger? Type a colon followed immediately by a close parenthesis symbol and the result will make you smile. Explorer may hide the .SHS extension from you, however -- which is big reason virus-writers like to use it. What may seem like a file with a .JPG extension might actually be vicious code taking advantage of the free stealth features Microsoft included with Windows. Back to business here! Test other applications for scrap awareness by dragging this newly created scrap from your desktop into the application and see what happens. With any luck, you'll see that emoticon smiling right back at you. In some instances, you can bypass the scrap creation by dragging and dropping to and from the OLE apps.


HTML e-mails

24th July 2001

HTML e-mail is all about cool formatting and graphics, but you could be missing a lot without the images. When you send an HTML message to someone else, you can be sure that the images are included by enabling the "Send Pictures..." option within Outlook and Outlook Express. What happens? The file paths in the underlying HTML code are changed to use the bundled image(s) that are sent along with the e-mail. If you happen to send a web page, the image links will no longer point to the Internet. This way, the e-mail can be read offline in all its graphical glory, as it was meant to be. Outlook and Outlook Express each have this option, but they reside in different places and are named differently. For Outlook Express, click Tools | Options | Send tab | HTML Settings button, then enable "Send pictures with messages" -- in Outlook, click Tools | Options | Mail Format. Next, be sure that "Send in this message format" is set to HTML, press the Settings button, then check the "Send pictures from the Internet" box. Now, that's if you choose to use HTML as your default mail format. If you're a text guy (like me), you can embed images on a case-by-case basis. In each HTML message, under the Format menu, select the "Send Pictures from the Internet" / "Send Pictures With Message" option. Now HTML messages will leave your Outbox with their images as attachments. This will make small e-mail messages turn into gargantuan downloads, so be kind to dial-in users that may be on the other end.


Hotmail in Outlook Express

25th July 2001

Lockergnomaniac Steven Neil Groginsky has been using the Hotmail functionality within recent versions of Outlook Express; he's come up with a rather ingenious tip. The HTTP e-mail account technology seems to be working much more reliably with Hotmail these days, so it's worth a look. Here's some helpful advice for using the feature, directly from Steven: "You get 2 MB of space for your e- mail. After that, incoming mail gets bounced, so Hotmail suggests you copy your mail to a local folder that you create in Outlook Express." This is great because when I actually do receive LEGITIMATE e-mail to my Hotmail account, it's nice to have it offline and separate from the Hotmail system. Aside from that, just being able to use a regular e-mail client with Hotmail is refreshing, regardless of how much they've improved upon the web system. It's just faster this way, and for those that have several web-based e-mail accounts that work with Outlook Express, the time savings are even greater. Remember: save those messages on your hard drive before they disappear forever!

As an addendum, I thought it would be germane (or Tito) to bring up an old tip. Hotmail was recently redesigned. The "fixed" font sizes don't bug me, but they might be driving you nuts. Another Gnomie will put you back in control: "Pat Pluto figured out a workaround for the fixed-width font 'problems' that some of you have been having. Actually, I should say, those of you with Microsoft e-mail clients (or Web browsers); Netscape users shouldn't have the problem. This fix is universal -- applying to every HTML newsletter and Web site you encounter. Open up Internet Explorer, select Tools from the menu, then Internet Options, then press the Accessibility button. At that point, you can choose to ignore the font sizes specified on Web pages. This also applies to your e-mail if you use a Microsoft e-mail client. This should keep EVERYONE happy; you're in control again."


Outlook Express protection

26th July 2001

Outlook Express is a clearing-house for e-mail, newsgroups, and contact information, but there's little in the way of protection. By moving the "Store" folder to an alternate location, you can provide some measure of safety in case of a hard disk failure -- or simply to have it in a more convenient location. Click Tools | Options, then flip to the Maintenance tab, followed by the "Store Folder..." button. Enter or browse to the path you'd like to use for the new location, and you're all set! Suggestions? Store the data on a network server that is backed up frequently. For mobile users: using the "Offline Files" functionality will ensure that you can still get to your e-mail folders when you're away from the office. Once you're reconnected, the synchronization process will bring the network copies up to date. Slick, huh? The last thing you want to do is lose that data. It's important to know that when you back up, be sure you're backing up the CORRECT folders. I had a Gnomie e-mail me the other day in a panic because he couldn't find his PST file (for Outlook). He thought that copying the "Microsoft Office" folder was all he needed to do. Oops. Keep tabs on where stuff is kept -- and if you don't already know, try to find out before the end of the day.


Clean desktop

27th July 2001

I thoroughly enjoy a clean desktop. No clutter, no dust bunnies in the corners, and no annoying AOL icons glaring at me. In fact, I like to rid myself of ALL icons I don't actually use on a regular basis. Before leaving work the other day, I stopped to say good- bye to Mark Miremont (the guy who books guests for our show). I noticed his VERY clean desktop. He had done something to it that I had never seen before! Try this on for size: drag your desktop icons to the very top of the display so that each picture is above the viewable area... leaving only the TEXT part visible. Grab the icon by the text when you do this so you can completely hide the image. For things like My Computer and folders, you may have to give it a couple of tries because if you normally drag an icon to an edge of the screen, you'll end up with a toolbar for that item. I suppose that's a bonus if you like that look, so consider that two tips for the price of one! Now I have only text blurbs along the top edge of my display -- and no hint of wallpaper-concealing icons.


Viewing the source

30th July 2001

Gnomie Eric Fickes writes: "As a web developer, I find myself collecting miscellaneous tidbits of code here and there. A lot of the nicer sites that contain complex JS/DHTML code try to keep people from viewing the source by canceling the right-click menu (aka: Context Menu), or by displaying their pages in a popup window without toolbars, thus hiding the URL." I have also faced this situation, and really wanted to see how someone coded something -- or I wanted to find out what the actual URL was for a page instead of having to drill down through a complicated system of frames. As you're likely aware, if you hit CTRL + N, you'll get a new browser window containing the contents of the active window. The bonus is that you also get the address bar and the menus, which now permits you to View | Source and take a gander at the code (or clip the URL from the address bar). If you're still stuck in a frames environment, click File | Properties to view the URL." In some cases, you may be able to use your Context Menu key (which may already be sitting next to your oft-used WinKey).


Fraction or a date?

31st July 2001

Is 1/4 a fraction or a date? It can be either, right? So, how is Excel to know which one you mean when you simply type "1/4" into a cell? It'll make a good faith effort at guessing, but if it can go either way, then you'll be faced with a date interpretation rather than a fraction... most likely because dates are used more often in spreadsheets than are fractions. By adding a zero to the front of the fraction, Excel will know for certain that "0 1/4" should be a fraction instead of January 4th. Another annoying fraction fact lies in how Excel formats a number when you change the format of something like 4.235 to display as a fraction, "4 1/4" is displayed. If you're going to use a precision of 3 decimal places, you likely want better accuracy than that. Click Format | Cells | Number tab and then choose Fraction from the list of number formats. Up will pop a list of fraction display choices, allowing you to change from the default of one fraction digit to two or three, turning 4.235 into "4 4/17" or "4 47/200," respectively. If your purpose is for inch-based measurements, then you might want to specify that all fractions should be in eighths or sixteenths. This tip isn't 1/2 bad.


August 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Are you moving or copying?

1st August 2001

Are you moving or copying that file? Are you certain? Better check! Depending on the source and destination of your drag & drop operation, it might be the reverse of what you thought you were doing. Another one of those Windows Explorer quirks lives in how a determination is made with copying versus moving a file. If you drag & drop a file on the same drive, it will be moved. If you drag and drop a file to another drive, it will be copied. Now here's where it gets confusing. If you want to copy a file to a different location on the same drive, mash the CTRL key while you drag and drop the file. To move a file to another drive, you must hold down the SHIFT key. Confused? Me too, but you can make it easier on yourself by right-clicking and dragging the file or folder... then, when you let go of the mouse button, a handy context menu will pop up, asking whether you want to copy, move, or create a shortcut to the object (or selected series). Simple enough, eh? Don't go moving my heart. "I couldn't if I tried."


Map a drive letter

2nd August 2001

For those of you like Lockergnomie Patrick Gallagher, who is familiar with how Windows handles networking functions, you know that you can map a drive letter to a shared location on another Windows PC or server on your local network. But, did you know that you can do the same thing for computers connected to the Internet? Of course, you can't browse resources like this over the Internet with any sort of efficiency due to the lack of a NetBIOS structure, but you can use the IP address of the remote system when manually mapping a drive. Right-click Network Neighborhood and choose Map Network Drive from the context menu. Select the drive letter you want to use for the mapping, then enter the network location in the following format: "\\[IP Address]\[ShareName]" (sans quotes)

This capability depends on several factors, such as the Microsoft client being enabled for the Internet connection on the remote computer. There are also security implications. You must enter an appropriate username and password for secured shares, and there are more strict implications for Windows NT/2k servers, as you may have to authenticate to a domain as well. If you can get over the security hurdles, it serves as an excellent way to quickly attach to remote machines. Definitely be careful with this one, and be sure you understand the security of this because there do exist tools that sniff out these shares, which leaves any data on them wide open if you don't have things locked up tight. Note, too, that this only works when you're connecting to another Windows machine (though SAMBA may be used for *nix systems). It can be done quickly and easily, but I need to once again remind you that there are security risks involved.


Maintaining multiple passwords

3rd August 2001

Maintaining multiple passwords has to be the single largest pain- in-the-fingers, even though it's the most important element of a data transaction. Not all Web sites are secure in their structure, which means that passwords are often sent as plain text -- leaving them primed for capture and exploitation. How many accounts have you created that use the same username? How about the same password? If you're a frequent surfer, it doesn't take a lot of imagination for someone to trap this information, then take it to any number of similar sites on the Internet to see if an account can be compromised. Knowing how easy this truly is, you should be taking some precautions in order to protect yourself and your passwords. The most obvious step is to not use the same password more than once, though the list doesn't have to be very long to forget one or two (or twelve) along the way. You might record your passwords in a secure application, many of which are available for free on the Internet (beware of spyware though). This ensures that you only really need to remember one password, which gets you to the rest of them. If you can find an application that supports encryption, so much the better.

Also recommended is to use long passwords with mixed character cases and special characters if the system allows, as this decreases the likelihood of random guessing or brute-force discovery of the password. For important sites, such as banks, online brokerage accounts, or systems that you maintain, be sure to change the passwords often. Oh, and don't scribble your password on a sticky note and slap it on your monitor. Some people do indeed still do this in a corporate setting. Unbelievable! My suggestion? Start with a system and stick with it for a long period of time. You'll find that smarter sites will have a "Forgot Password?" feature ready and waiting for your click -- in case your memory isn't as... isn't as... good as... that thing I was gonna say. Darnit.


A couple of eggs

6th August 2001

Even though it's not Easter, I've got a couple of eggs for you to hunt down anyway. MSN Messenger is a favorite among emoticon lovers (since it has built-in graphics for many of them). While the Help system lists the various images, there is an undocumented one waiting to be set free; Jake gets the credit for unearthing it. When you enter (%) -- you'll see a little set of handcuffs. I'm curious as to what Microsoft is trying to tell us with this one. Not to be outdone, my favorite Notepad clone, Metapad, contains an interesting text conversion Easter Egg that will appeal to the 31337 H4ck3r (Elite Hacker) in you. Okay, so it's an extremely annoying way to communicate, but what better way to irk your friends than to send them an entire email written in cyberscript? Sometimes you just have to be different. Open Metapad, click Help | About, then double-click the icon. Gross! Okay, now select some text, go to Edit | Convert Selected, then click on the new (fir57 1i573d) option. Don't have Metapad? Search for it on GOOGLE.COM.


DirectX local network chat

7th August 2001

Lockergnomaniac Rey Coll submitted an interesting tidbit regarding a built-in DirectX local network chat app. Assuming you have a relatively recent version of DirectX installed, click Start | Run, then enter: "DXDIAG" (sans quotes). Once the tool launches, flip over to the Network tab, then click the "Test DirectPlay" button. Set up a new session by typing in a unique user and session name on one computer, then join that session from another computer by "joining an existing session" and providing the IP address of the remote machine... voila! Chat your heart out. We don't need no stinkin' ICQ! If you've never used this tool before, it was designed to troubleshoot any DirectX snags you may have been running into. If you don't even have this tool, then I'd encourage you to update your DirectX version. As always, make a backup first.


Extremely functional Word

8th August 2001

Microsoft Word is an extremely functional Word processor, as we all know, and it might not surprise you to find that there are options available that extend the functionality. Passing command line switches via the shortcut or command prompt allow you to control how Word starts up. Some of these are of great value in troubleshooting launch problems because you can effectively disable features that might be the culprit. Check 'em out (sans quotes): "/a" Prevents add-ins and global templates from being loaded automatically; "/m" Disables AutoExec macros during startup; "/n" Starts Word without creating a new document, as it normally would; "/w" Starts a new instance of Word that runs in a separate process from existing Word sessions; "/c" Launches Word, then invokes NetMeeting; and "/q" Starts Word without displaying the splash screen. Again, just add these switches (one or more) to the end of your Word shortcut(s) without the quotes. I suppose you could even make several different shortcuts to Word, depending on how you wanted it to launch at the time.


License Management

9th August 2001

Windows Media Player v7.0 introduced License Management features to the mix. Dandy when you want to rip songs from audio CDs that you've purchased, but not-so-dandy when you intend to listen to them on other computers. A little foresight on the part of Microsoft and some creative use of the backup and restore features will allow you to transfer the license information (for the CDs you've ripped) to another machine. In WiMP, click Tools | License Management, then Browse to a shared location where backups can be created. Click the "Backup Now" button to save the information. >From the other PC, navigate to the same location; click the "Restore Now" button to import the previously-saved license data. The player will then allow you to listen to all of the music files you created on the original PC.


Take advantage of Scroll Lock

10th August 2001

I can't think of a lesser used key on a keyboard than Scroll Lock. Many computer users have gone DECADES without touching it... save for whacking it by mistake. I believe we can change that sentiment, however. You Excel jockeys know that when you move around using the arrow keys, the cursor moves from field to field. Handy, but when you want to move down the worksheet to check on a bit of data, you'll end up losing your place because the cursor moves down the page with you. Toggle the Scroll Lock key ON and THEN move around. Now the page moves around -- but the active field never changes (even if you scroll it completely out of view). Other applications also take advantage of the Scroll Lock key in different ways. This varies widely from program to program, but functionality usually has to do with how the cursor behaves (or toggles active / inactive status for a program). Experiment! And if when get tired of troubleshooting, take a Pause Break.


Order and organization

13th August 2001

Neatness counts, as does order and organization. At least to me, anyway. I live in Microsoft Outlook 2000 (SP1) and have picked up a few tricks along the way which have aided in maintaining my sanity (as well as helping me locate items quicker). You probably already know that you can click on a field title to order that folder's items (ascending or descending), but perhaps there are 864 emails from bgates @ microsoft.com (it could happen) and you want to order them by those which came with an attachment. Mash the SHIFT key and click additional field titles to help you do just that. So, you can sort stuff by date and then by subject, or by size and then by date. Get the picture? In case you weren't aware, clicking a field title a SECOND time orders the contents in the reverse order. This tip was submitted to me by a Gnomie, although his name eludes me for the moment. Forgive me; I had a long weekend. At least now I'll have time to "sort" it all out. Sorta.


I love keyboard shortcuts

14th August 2001

The Windows Explorer has been around for some six years now, and many users have no idea what it's capable of in terms of customization and shortcuts. I've worn out a few keyboards in my day because I love keyboard shortcuts. I don't reach for the mouse unless I absolutely have to. When browsing files and folders, you can create a new folder quickly using a few keystrokes. Hit ALT+F to invoke the File menu, then ENTER twice to navigate through New | Folder. Enter the name desired and hit ENTER again to save it. Practice this process a few times and you'll be set. Leaps faster than using the rat, dontcha think? Folder shortcuts are a must, but I despise desktop clutter. I usually put them on the Start menu under a special folder that I've created. Start by creating a folder on your desktop; in it, place shortcuts to your most frequently accessed folders. When you've got everything rounded up, left-click and drag it to the Start button (then let go). Think ahead a bit about this folder's name, because if it has a unique initial character, you can use the keyboard to get there quickly by pressing the Windows key (or CTRL + ESC) and tapping the first character of that folder name to zip right to it; likewise, you could just use your Down Arrow key. Of course, you could have also put that folder of folder shortcuts onto your Taskbar for quick click access, too.


I'm all about toys, PowerToys

15th August 2001

Like a sugared-up kid in FAO Schwarz, I'm all about toys. PowerToys, that is. The "Send To X" powertoy provides you with several additional options for handling files. Don't have it? Search for "Send To Powertoy" on MICROSOFT.COM. Sending information to the clipboard can be enhanced by using a hidden feature within this Send To menu add-on. Right-click a file and hold down the CTRL key when you select the "Clipboard as Contents" option. Up will pop a list of file types which will affect how the data is handled in the clipboard (and ultimately the apps into which the information is pasted). The same technique can be used for the "Send To Clipboard as Name" option. Holding down the CTRL key in this instance causes the filename to be copied to the clipboard as its short (DOS 8.3) formatted name. With all of the options on that SendTo menu now, it might be getting a bit crowded. Make your way to the SendTo folder, then create a new folder (or two) into which you can move existing options! In Windows 9x, the SendTo menu is usually located in C:\ Windows \ SendTo -- and can be quickly accessed by tapping WIN+R and entering "SENDTO" (sans quotes). Windows 2k houses the folder within the individual user's profile directory.


Mail service types

16th August 2001

As opposed to Outlook Express, Microsoft Outlook supports the use of several mail service types (which are typically used in corporate environments). During initial configuration, if you chose to use Corporate / Workgroup features, then you've got more functionality than you'll actually need or use (such as Exchange Server and/or Microsoft Mail support). You may also be lacking features that you'll want (such as IMAP functionality). A switch to "Internet Only" mode is probably best unless you require multiple profiles... in which case, the Corporate / Workgroup mode is your only option. You can check the current mode you're using by clicking Help | About Microsoft Outlook. If you find you are indeed using the Corporate / Workgroup mode, click Tools | Options | Mail Services tab | Reconfigure Mail Support button, then choose the "Internet Only" option. Have your Office / Outlook CD handy, as you'll likely need it to complete the conversion. I'd recommend "Internet Only" for 99% of y'all.


Hard copy is required

17th August 2001

Once in a while, a hard copy of a folder's contents is required. Maybe you want to keep a list of files handy for future reference? Or, perhaps you care to keep a detailed list of what's stashed away on that Zip disk. No need for special tools, since a simple batch file will do the trick. Create a new text file in your favorite text editor and enter / paste the following: "@dir /a %1 > lpt1" (sans quotes). Save the file as DIRPRINT.BAT in your SendTo folder. Now, when you right-click on a folder, you can send it right to this batch file. On to the printer its list of contents will march. You can also add the "/s" switch to the command to include subfolders, but keep in mind that this may tax your inkwell. You could end up burning through an entire ream of paper (or three) if you're not careful!


Sweet e-mail tip

20th August 2001

Coming from the "Other Alter Ego" Department, Lockergnomaniac Steven Neil Groginsky bounces back with yet another sweet e-mail tip. The address book in Outlook (and Outlook Express) has several fields for each contact. You can fill in a first, middle, and last name for each one, but what happens when you have three friends with the name Ruben Kincaid? Time to put on your thinking cap. Let's say one Ruben likes Caesar salads, the other likes Greek, and the third enjoys Watercress. Believe me, I'm going somewhere with this. There's another infrequently-used field you can take advantage of in your address book: the Nickname! On either the Name or Details tab, you'll be able to add an appropriate alternative for your friend. Just think of how many times you've sent greetings to the wrong Ruben; it happens to me all the time. Instead of using a real name for the recipient of your message(s), you could use "Watercress," "Greek," or "Caesar." Your Outlookish mail client will be smart enough to fill in the right Slim Shady. Hey, this also comes in handy if you're a lousy speller, too. I remember faces more than I do names. And I eat salads more than I care to admit.


Number pad thingy

21st August 2001

It's been a while since we've covered that number pad thingy. Look on the right side of your keyboard. Go ahead, I'll wait. Okay, did you notice anything special in the top row? Probably not. Take a look again (but be quicker this time -- I've got a steak on the grill). There's an asterisk! Sure, you could hold onto SHIFT and press the 8 key to produce the same character, but... one key is always easier to tap than two. But wait -- there's more! Open up your Windows Explorer and put the cursor's focus into the Folders pane. Don't have a Folders pane on the left side? Turn it on by clicking View | Explorer Bar | Folders. Or, ya know... click the Folders icon in Explorer's toolbar. Now, let's say you wanna see all the subfolders of your Windows folder. Select it in the left (Folders) pane first, then tap that asterisk. Just like pulling a rabbit out of a hat (albeit, with much less fur). And even though we covered it a few months ago, you can use another key-combo to resize field widths when your Explorer view is set to Details. Hold onto CTRL and tap the plus sign on your numeric keypad. Ah, each column is optimized for the longest data string within it.


Monitor your monitor

22nd August 2001

Monitor your monitor. When you can see something on the screen, that may mean it's turned on. Of course, it could also mean that your little brother just wanted to share his peanut butter and jelly sandwich. When you can't see anything on your screen, that may mean it's turned on. No, I didn't make a typo. Sometimes your computer's most essential output device is in a state of suspension. Most newer (SVGA) monitors are smart enough to know when you're not using them after a set period of time. So how can you set that period? Open up the Power applet in your Control Panel. From there, you can choose if and when your screen can be turned off (without having to manually flip a switch). I've been asked if it's okay to leave a monitor in this state. Sure it is, but to save even more power, I'd suggest turning it off overnight (or if you don't plan on using your system a few hours). So, what about the rest of your computer? "Suspend," "Standby," and "Sleep" are terms you may have heard on various occasions. They're all related to power management (and each is associated with a different degree of energy savings). Sometimes, though, you'll discover that your PC doesn't like to take naps. Your system may not work properly after it's awakened or... it may simply refuse to wake up at all. If this is the case, consider turning off system-wide energy saving features (or adjusting the level at which your computer hibernates). This stuff is usually managed through the Power icon in your Control Panel, by the way.


Instant messaging clients

23rd August 2001

Instant messaging clients are a dime a dozen nowadays. While Steve Case would prefer you use AIM or ICQ, Steve "Monkey Boy" Ballmer thinks you'd be happier with MSN's program. I'm not here to convince you to download one or the other; as I've said before, a unified interface (ala Jabber or Trillian) is your best bet. For this trick to work, you'll need something that can handle AIM's services. Meet your new friend: smarterchild. Add him (or her) to your list and say "hello" to functionality. Through this ActiveBuddy, you can get all sorts of information in an instant (message): news, weather, stock quotes, movie times, horoscopes, mathematical calculations, dictionary terms, ZIP and area codes, and more! This will be the smartest buddy you'll ever have. I entered my ZIP code to see what would happen, and it instantly updated my preferences. Now, whenever I ask for information, it automatically spits back "localized" data. A personalized forecast now pop up with a simple keyword: forecast. Go figure. And don't bother asking it out on a date; I already tried and got dissed.


Drive your friends crazy

24th August 2001

Ever notice how Lotus Notes sucks? Yeah, me too -- every weekday. That's why I recommend using Microsoft Outlook for your PIM (personal information manager); it keeps your Outbox whiter and your Inbox minty fresh. Ah, so you can't stand it? Well, here's something that'll drive the Outlookers absolutely nuts. Create a new message, enter a few sentences, and be sure to include the word "begin" at some point (followed immediately after two spaces). I'd do it for you right now, but then you might not understand what was going on. Why? Well, when Outlook sees "begin" (sans quotes) followed immediately by two hard spaces, it interprets the rest of the message as an attachment. So, what can you do with this besides drive your friends crazy? Not much. It's just a weird thing you might pull on one of those know-it-alls at the office. And I think you already know who I'm talking about.


E-mail message header

27th August 2001

Every e-mail message has a header. Contemporary mail managers keep those details tucked away by default; refer to your client's Help file to find out how to view them (if you don't already know). 'Return-Path' is typically the sender's e-mail address; 'Received' outlines the transmission from start to finish; 'Content-Type' tells your e-mail client how to interpret the message; 'X- Priority' flags the message as urgent or not-so-much; 'X-Mailer' passes along the sender's e-mail program name and version; and 'X- Originating-IP' will often give you the primary IP address of the sender. This last one is handy if you believe that someone's spoofing an identity (using a Web mail service like Hotmail). I've surprised many a person because they didn't realize just how much information is being transmitted when they send a simple e-mail message. Oh, and here's one that only Outlook users can take advantage of: X-message-flag. The data it carries shows up when the message window is opened; if you can customize your mail headers, consider adding a "one liner" for the Outlookies. I suggest something along the lines of: "Click here to reformat your boss's hard drive."


PS to PDF

28th August 2001

The PDF (Portable Document Format) has been around for years. No doubt you have a few of them scattered about your hard drive. The problem: creating a PDF could cost you hundreds of dollars. The answer: find a cheaper way of doing it. Remember that 'Add Printer' wizard you have sitting inside your Printers folder? Yeah, well... run it. We need to create a virtual output device that's capable of handling PostScript documents. You may need to install the printer manually, making sure to set "FILE" as the port. When prompted for the printer manufacturer and model, you can choose anything with the "PS" appendage. For the sake of argument, let's say we use the "HP Color LaserJet 5/5M PS" device. Again, this is just a VIRTUAL printer; don't run out and buy it. Once the drivers have been installed, go ahead and open up a Word document. Press CTRL+P to bring up the Print dialog, and select your newly created VIRTUAL printer. Be sure to put a checkmark in the "Print to file" box. Go ahead and save it to your Desktop. Now, flail on over to PS2PDF.COM and convert that sucker for free.


Stop those worms dead

29th August 2001

Coming from the "Germ Warfare" Department, Lockergnomie Kok Wee passes along a tip that might stop those worms dead in their slimy tracks. You remember the Love bug, right? When launched, it sent itself to everybody in your address book automatically. At least, for those people who had the "Send messages immediately" option turned on. It has been suggested that you create a dummy entry in your address book to foil those cursed script demons. Adding "!0000" without an e-mail address will do nicely; this new entry will sit at the top of your address book. When the digital millipede attempts to send itself to your contacts, the system will display an error akin to: "This message could not be sent. Please check your Address Book and make sure all of the recipients have valid e-mail addresses." The offending originator may then be stored in your 'Drafts' or 'Outbox' folder. This sounds plausible (in theory). I'd consider it a protective measure that, at worst, may stop a future intruder. Assuming the worm is "dumber" than SirCam, its replication process won't proceed without further user intervention. But don't be lulled into a false sense of security. Your best bet is to never open anything without scanning it for viruses, scripts, or trojans first. Even then, be leery. Know, too, that images are relatively benign at this point.


Subject line?

30th August 2001

You've mastered the "To" field in your e-mail program. "From" is automatically filled in for you when you let that puppy fly. So, what about that "Subject" line? Yeah, you usually enter whatever comes to your head at the moment. But what if whatever springs to mind is... all that you need? Well, be courteous to your recipient(s). If you can sum up your message in one sentence, do it! But be sure you let them know that you're doing it. Append {EOM} to the end of your succinct title. What does this trailing acronym mean? End of Message. Example: "Are you upgrading Windows tonight? {EOM}" Now, instead of opening a message to see some simple question or statement, your recipient(s) will be "in the know" as soon as that hits their Inbox. Another example: "I'm going home in five minutes {EOM}" Obviously, you could use symbols other than brackets (if you even used symbols at all). I would, however, encourage you to capitalize the "EOM" to make it stand out from the rest of the subject line.


Maximize IE windows

31st August 2001

Coming from the "Six of One" Department, Lockergnomie Ryan Hupp knows of an alternative way to get Internet Explorer to open in its biggest state. "You recently linked to something that would run in the background and automatically maximize IE windows when they were launched. There's a quick fix in the registry to make [Internet Explorer] always be maximized without having some program running." Open REGEDIT and navigate to HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Internet Explorer \ Main. In the right- hand pane, you'll find the "fullscreen" value. Double-click it to change the "no" to a "yes" (or vice versa). From what I can tell, everything else in this key can be changed within the regular Internet Options dialog. As is the case for every other system tweak, I wouldn't suggest "optimizing" settings you don't understand. Have you ever used a Web browser? Okay, then you're clear for take-off... this time.


September 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Outlook Identities

3rd September 2001

Roseanne's favorite e-mail client is Outlook Express. How do I know? Because it has multiple personalities, too. Technically speaking, they're known as identities. You can create a new one for every person who accesses your system. This way, everybody's Inbox (and mail account) will remain separate. Click File | Identities | Add New Identity to get the ball rolling. The thing to remember when using this feature is to "Exit and Log Off Identity" after every session. Otherwise, the Identity Manager won't prompt you the next time you launch Outlook Express. Unfortunately, this isn't done when you close the program by clicking the "X" button in the upper right-hand corner of the window. In the "Manage Identities" dialog, you'd be smart to set the default user as the person who accesses his / her account most often on that computer. Hopefully, that person isn't Tom Arnold.


Explorer's home icon

4th September 2001

Just when I think I know it all, Gretchen busts in and proves me wrong. Prefection is elusive; she wears the pants in this family. Have you ever clicked the home icon in Internet Explorer's toolbar? It takes you... home. Pretend (for a moment) that you've lost your ability to use the mouse's buttons. How on Earth are you gonna get home now?! First, tap F6 to shift focus to the Address bar, then enter: ".." (sans quotes) and press ENTER. Success! You're always two periods away from being home... much like Chemistry class in high school. What's sauce for the goose is sauce for the gander; trip through the same trick in Windows Explorer and you'll find yourself in the folder for your Desktop. And what about two dots in the Run command line? Ah, then you'll be launching an Explorer window showing your root folder. Who knew that such a small character could do so much? Yeah, my parents were thinking the exact same thing. Although, I wish I could have done better in Chemistry. Gretchen, of course, aced it. Here's another tip: never try to outsmart your wife. Especially when she's wearing your pants.


Winamp tweaks

5th September 2001

Lockergnomaniac Steven Neil Groginsky has submitted more tips to Lockergnome than any other person on the planet. Or universe, for that matter. This time around, he's playing with WinAmp. By default, the media player loads every plugin in the Plugin folder (even though all of them are not needed). Each (obviously) consumes system resources. "I created a sub-folder named 'Not in Use' and moved the plugins that I'm not currently using into it. WARNING: you have to make sure you know which filenames go with which plugins. Luckily, most of them install a text file with the same name. WinAmp may still load slowly, but at least I know I've done the most I can do -- and saved some memory and resources in the process." Along those WinAmp tweaking lines, how many skins do you have? Instead of keeping each in a separate sub-folder, ZIP them up to save disk space. Don't worry; WinAmp will unzip them automatically when you want to use them. But that's not all! Change the extension from ZIP to WSZ and you'll be able to apply the skin automatically by double-clicking it!


IEXPLORE the opportunities!

6th September 2001

When was the last time you flipped a switch? Probably right before you sat down at your home computer. Did you know that some programs have switches, too? That's right! You can toggle built-in features just by adding a slash (or a dash) immediately followed by another character. By now, you're used to double-clicking icons to launch programs and documents. But when you know the name of an executable, you can "Run" it from the Start Menu (as long as it's in the system path). Internet Explorer is IEXPLORE.EXE. Tap WIN+R to launch the Run applet (or click on "Run" in the Start Menu). Now, enter: "IEXPLORE" (sans quotes). Aha! Now, go back to the Run applet and enter: "IEXPLORE -e" (sans quotes). You'll get the best of both worlds in the same window: the Windows Explorer on the left and Internet Explorer on the right. Nifty, eh? Okay, now try this: "IEXPLORE -slf" (sans quotes). This will load your home page from IE's cache (if it's still stored there). "IEXPLORE - channelband" (sans quotes) will launch your Favorites as a Desktop item. Not incredibly useful, but head-tilting, nonetheless. Go ahead... IEXPLORE the opportunities!


Batten down the hatches

7th September 2001

Security is something we all think about when we leave the house for an extended period of time. "Did I remember to lock the doors?" Your Internet experience, in many respects, is no different than real life. If you don't batten down the hatches, you could run into problems at some point in the future. Wanna make sure your parents (or children) aren't downloading anything you didn't want them to download? Double-click the Internet Options icon in the Control Panel, flip to the Security tab, press the Custom Level button, scroll down to the Downloads section, and select the "Disable" radio option. Bet you didn't know that was there, eh? And here's another annoyance you can turn off. Some Web sites enjoy automatically refreshing the current page (so they'll get another banner impression out of you). A little further down the list, you'll find the "Allow META REFRESH" option. Disable that puppy (if you wish). And if you still don't feel like you've done enough, why not disable the dragging & dropping and copying & pasting of data, too? Yep, the option is sitting right there. WARNING: don't go changing to try to please me. You never let me down before. Don't imagine you're too familiar... with tweaking stuff. You can always change things back to the way they were before. Though, you know... I'll take you just the way you are.


Most Recently Used

10th September 2001

The MRU is not a Star Trek battle tactic -- it's a "Most Recently Used" list. Usually, it's good to have one. That way, you can open the "X" most recently used files from within the program. Like Word, for example. See how the File menu lists the last four edited documents? Isn't that convenient? Yeah, well... what happens when you've got something in there that you don't want anybody else to know about. Or, what if you don't want anybody to know what you've been working on lately? In Word, select Tools | Options | General. Then, take the checkmark out of the "Recently used file list" field. Follow the same procedure for Excel and PowerPoint. Your Office tracks will now be covered. Now, let's say your wife doesn't want you to use Netmeeting -- but you're strangely addicted to it. The app has an MRU list of IP addresses, so you'd better empty it when she's not looking. Flail to the Registry and navigate to this key: HKEY_USERS \ [Long Number String] \ Software \ Microsoft \ Conferencing \ UI \ CallMRU. Delete each "AddrX" value. Then, double-click on "Count" change it to "00 00 00 00" (sans quotes).


Clipboard options

11th September 2001

You've probably used the clipboard without even realizing it; your entire day is spent cutting and pasting data. Let's say you wanna copy a string of text, and your mouse is out of range. Sure, you could reach over and grab it, but it'd be quicker to... wait a second. It seems your 'C' key is busted, too. Oh no! What are you going to do now? Well, try using CTRL+Insert to copy the stuff instead. Now, ALT+Tab to another open application and paste the... you're not going to believe this. Your 'V' key is acting wonky, too. Never fear! There is a yin to this virtual yang. SHIFT+Insert (in most instances) acts like CTRL+V. So, what if that copied clip happens to be carrying formatted features? Like, various font sizes and colors? Don't do a regular paste operation; look for a "paste special" function somewhere in the Edit menu. For it to be enabled, you must be editing a "rich text" document or e-mail message. Using this alternative pasting operation, the clipboard's contents can be inserted with or without their original formatting.


Keep spam from your Inbox

12th September 2001

Whenever I need to know something about Outlook Express, I turn to Tom Koch (the guy who runs TOMSTERDAM.COM). Someone was asking me about what they could do to keep spam from entering their Inbox. Sure enough, our favorite OE MVP has published a tip which involves setting up a rule in Outlook Express. Click Tools | Message Rules | Mail. In the Conditions field, place checkmarks next to "Where the From line contains people" and "Where the To line contains people" (both of them). In the Actions field, place a checkmark in the "Delete it from server" option. Then, in the Rule Description field, click on the "contains people" option. In the resulting dialog, enter the "@" symbol (sans quotes), click the Add button, then before clicking OK, click the Options button and select the "Message does not contain the people below" option. Do the same for the second "contains people" Rule Description hyperlink. Now, click on the "and" and select the "Messages match any one of the criteria" option. Finally, name the new rule whatever you wish. WARNING: this tip may throw babies out with the bathwater. Apply with caution. For bonus points, do you know what the Outlook Express executable (MSIMN.EXE) stands for? Microsoft Internet Mail and News.


Backup your contacts

13th September 2001

Most of us have reinstalled Windows a few times. In doing such, we've had to reinstall programs, too. The binaries are relatively simple to set up, but what about any information you may have customized or created in previous installations? Better make sure you grab that stuff before it's too late. MSN stores all your Messenger contacts online (and now allows you to back up / restore them locally). What about ICQ? Open up its folder and look for the files with your UIN. For me, that'd be 144832.* (with the asterisk being the wildcard, translating as any extension). Put these in the same location on any other computer (or Windows installation). Of course, we know that Outlook stores its stuff in a PST file, and Outlook Express uses the DBX format. So, what else should be copied on a regular basis? Any accompanying INI / CFG file. For the most part, these can be found in the program's folder, though some are kept in your Windows folder. Each may contain important software registration information or customizations. When in doubt, don't throw it out.

Lockergnomie Gary Ce submitted: "Outlook Express quite nicely imports WAB files which is the native file format for all your Outlook Express addresses and mailing groups. However, depending on your version of Outlook Express, there is no WAB export function. It is nice to be able to do that when exchanging address lists between computers. This leaves most people using CSV text files. The problem with CSV is that you lose any groups you created, besides having to repeatedly answer questions about which fields to transfer. The tip is search your C drive for the WAB files on the source computer and copy it / them. In the destination system's Outlook Express, select "Import Address Book," and merge in the file. You'll get of all your contact info from the originating computer -- including any groups you had. I e-mail my WAB files back and forth between my various computers to keep them in sync."


We all make mistakes

14th September 2001

We all make mistakes. Thankfully, Windows doesn't expect us to be perfect. Now, before you make some snide comment, remember that no operating system (in and of itself) is flawless. For the longest time, we've been taught to use the CTRL+Z keyboard shortcut whenever we wanna undo the most recent operation. Go ahead -- type something and then CTRL+Z it. Amazing, huh? Well, did you know that ALT+Backspace might also work? Try it in IE's Address bar; the key combo doesn't work in every application, though. What does? ALT+Space. Go ahead, tap it right now. Ah, you're one shortcut away from minimizing or maximizing the current window without touching the mouse. Depending on the mapping of the app, SHIFT+Delete will act like the Backspace key. And if one-character deletion isn't quick enough for you, there's always CTRL+Delete -- which devours whole words at a time. Oh, we're just full of alternatives today, aren't we? The next time you tap a key, try pressing ALT, CTRL, or SHIFT while you do it. Be careful though; you never know how that combo will be mapped.


Protect Outlook data

24th September 2001

I once caught Sprocket perusing my Outlook data, which led him to discover what we were buying him for his birthday. Naughty puppy! Since that revealing incident, I've password protected my Personal Folders within Outlook, which is the non-technical term that Outlook gives to the data storage file where all of your info sits. To set a password on your PST, switch to the Outlook Today folder, then click File | Folder | Properties for Personal Folders (NOTE: In Outlook 2002, it says Properties for Outlook Today). Next, click the Advanced button followed by Change Password. Enter your current password, which will presumably be blank, then your new password twice, and you should be safe and sound.

While you're in that same neck of the woods, see that Compact Now button? It's a good idea to hit that once in a while because as you work within Outlook over time, the Personal Folder file tends to grow in size, but has a lot of wasted space mixed in (due to deleted items being removed). It's always a good idea to make a copy of the file, which is usually named OUTLOOK.PST and located in your profile directory. The full path to the file is also listed in that same Personal Folder properties area, and can be selected with the mouse cursor and copied to the clipboard for easier reference.


Outlook extras

25th September 2001

Outlook may be frowned upon as strictly an e-mail client due to the nature of its ability to spread viruses, but there is so much more to the application than just e-mail. Outlook stores contact information, your calendar, a task list, notes and last, but far from least, the Journal. To the casual Outlook user, the Journal may seem like more of an annoyance than anything, but when you dig into its capabilities, you'll quickly see how it can be a great source of organization for you, particularly as you use other Microsoft Office applications. The Journal has two basic modes - Manual and Automatic. Making Journal entries manually is helpful in keeping track of telephone conversations, notes about a particular event, or heck - even pizza deliveries if you're interested in tracking your Domino's intake.

Enabling automatic journal entries is a great way to keep track of how your time is spent without having to track it by hand. Consultants can easily keep track of time spent on proposals, writers are able to log time spent cranking out chapters or while editing. This is all able to be done automatically by the Journal. As soon as you open a Word document, the clock starts. When you close the document, the timer stops. When you check your journal, there will sit a tidy notation of the time elapsed. Another leap forward is the ability for Outlook to serve as a pseudo contact management application, associating specific contacts you want to track with the Journal, logging phone calls, meeting requests, e- mails, tasks, and any documents you've worked on for the contact.

Opening up this world of automatic info assimilation is easy. Click Tools | Options | Journal Options. Now, simply check the boxes for each item, application and contact you want recorded. >From that moment on, the Journal will be diligently jotting down all applicable movements. Outlook doesn't even need to be running when working on documents in other Office applications. It all happens behind the scenes.


DVD stutter

26th September 2001

Does your DVD playback have you hopping mad from frequent skips and stutters? DVD video can really stress a PC out if you don't have plenty of hardware horsepower. The most obvious thing to check is the overall condition of the disc (cleanliness). If that checks out, then move on to the hardware and software side. Background tasks that munch on your CPU and eat up RAM are often the culprit, so close down everything that absolutely doesn't need to be running. Sometimes it's a matter of finding the one task hampering performance, but it could be a culmination of several as well. High display resolutions also tend to slow down video performance, so a drop in resolution to as low as 640x480 with 16- bit colors might be all that's required to clear the road. As a last resort, you can try increasing the task priority under Windows 2k or XP, which will give the DVD software preferential treatment when competing for CPU cycles. In the Task Manager, right-click on a process and change the priority to High. Never set a process priority to RealTime, however. Doing so to a busy application could chew up so much CPU time that you likely wouldn't have any control over the system.


Wireless networks

27th September 2001

Most wireless networks in use today are of the 802.11b variety. The cryptic number refers to the Institute of Electrical and Electronics Engineers (IEEE) specification that governs it and all other networking communication protocols. Networks based on 802.11b run at up to 11Mbps (22Mbps is in the works) and operate at 2.4GHz, using a spread spectrum modulation. The basics of the communication are very similar to regular Ethernet in format, which makes it very compatible with existing networked environments (and ideal for even home users). When looking for 802.11b equipment, keep an eye out for the Wireless Fidelity (Wi- Fi) logo, which ensures that it works with most other 802.11b stuff on the market.

Another standard in the family is slowly starting to come into use, carrying with it several improvements. To start with, the data rates possible with 802.11a are cranked up to 54Mbps using portions of the five to six gigahertz range of the radio spectrum. The communication format at the network level differs from that of 802.11b in that it's more similar to Asynchronous Transfer Mode (ATM) than to that of standard Ethernet. 802.11a also uses a different type of modulation than 802.11b, employing Orthogonal Frequency-Division Multiplexing (OFDM). This allows for higher bandwidth capabilities, and is better suited to dense office or home use because of how the signal interacts with objects such as walls and furniture.


Tired of worms and viruses

28th September 2001

We're tired of dealing with e-mail worms and viruses - and for good reason. They're annoying and destructive. For some, the solution is to simply use something other than Outlook (or Outlook Express). But that doesn't necessarily solve the problem. Education, my brothers and sisters, will lead to our ultimate salvation. We learned our lesson with Melissa and ILOVEYOU: attachments should not be opened willy nilly. Nimda was concept code, although it would not have wreaked such havoc had people been a little more diligent in keeping their software up to date. Windows XP, with its built-in background software patching, should keep the innocent out of digital danger. Have you ever received an HTML message (Web page) from someone, wondering what its originating URL happened to be? Don't bother asking; you can right-click in the message window, view its source, and at the very beginning of the code, you will see the original Web address. >From there, you can copy and paste it into a browser window to view the full URL on the Web. Cool, eh?

Now, what happens when you click on a link? You're usually transported to another Web page. However, I've noticed that some e-mail newsletters have now started tracking those clicks - and associating them directly with your e-mail address. This is fine if you asked for the service, but not so good if they're invading your personal bubble. Hover over a link and check the status bar before clicking on it. Spammers may be using this tactic to see if your address is valid. And clicking isn't the only way they could find out; the same holds true for any images that may load in the process. Of course, loading ANY image from the Web may very well yield the same result. Blame the marketers, folks.


October 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Explorer is my friend

1st October 2001

Repeat after me: Explorer is my friend. There exist dozens of little shortcuts and tricks buried in the Windows shell to aid you in making your way around. Every window has an icon in the upper left corner, and it, too, has a purpose. If you double-click it, the window or application closes. A single-click produces a menu that lets you manipulate the window. Saving the best for last: in Explorer windows, you can use the icon to copy or move folders around. Using a right-click and drag on the folder icon, transport the folder and its contents to an alternate location of your choosing. Again, the trick is to use the right mouse button to invoke the "Move Here / Copy Here / Create Shortcut Here" menu. Before I found out about this, I used to have to go back a folder so I could drag & drop the folder's icon elsewhere. Not anymore.


I'm hunting web wabbits!

2nd October 2001

Shhh... be vewy, vewy quiet. I'm hunting web wabbits! My favorite search engine harbors a sense of humor about things, as evidenced by some of the language choices available to you. Head out to Google.com and click on the Preferences link to the right of the search bar. Next, yank on the language pull-down box and notice the Elmer Fudd entry. Go on. You know you wanna see it! Vewy intewesting. For you Muppets fanatics, scroll up the language list a bit further and turn Google into the Swedish Chef by selecting Bork, Bork, Bork! I suppose you could drive your friends nuts by changing this setting for them, so the next time they went to look for something online, they'd get some weally scwewy wesults. Ig- pay Atin-lay is also an iable-vay option.


Losing track of an icon

3rd October 2001

Losing track of an icon is like losing your keys. They're always in the last place you look. Once in a while, icons manage to crawl off of your desktop view - making it difficult to put the environment to good use. A slick trick for finding them is to use the Search function from your desktop. Click an empty area then tap the F3 key to launch the search window. Be sure that the "Look In" field is set to the desktop, then enter the name of the "escaped" shortcut. Now delete it. Yep, you heard me correctly. Delete the shortcut, then in that same Find window, click Edit | Undo Delete, and presto! The shortcut will reappear on the left side of your screen and you can move it back to wherever you wanted it to be.


Print your address book

4th October 2001

I live from my Compaq iPaq Pocket PC, which has my address book, calendar, e-mail... and plenty of other life organizing traits. But for those that like the analog version of an address book, Outlook can accommodate. Using the booklet printing format, you can have a neatly formatted paper copy of your address book that can then be chopped up and stapled together in a make-shift black book. Perfect for the glove compartment of your car! The formatting works easiest on printers capable of duplexing, or double-sided printing, but with a little manipulation of the paper, you should be able to accomplish the task easily enough with a single-sided printer. To print a booklet, your Contacts view must be set to Address Cards or Detailed Address Cards. Hit File | Print, then select either the Small or Medium Booklet Print Style, then let it fly. You likely won't need your mother-in-law's email address when stranded on the side of the road with a flat tire, so feel free to customize the view, leaving only the fields you need in your address book.


Anti-Outlookers

5th October 2001

Anti-Outlookers find that it can be a chore to register the desired email client to handle mailto: links within Internet Explorer. Should you find yourself in that particular predicament, a smidge of registry work can help you out. Start by navigating to: HKEY_LOCAL_MACHINE \ Software \ Clients \ Mail. Create a key for the e-mail application you're using. Next, you'll need to create three more subkeys cascaded underneath of each other as follows: Mail_Application_Name \ shell; Mail_Application_Name \ shell \ open; Mail_Application_Name \ shell \ open \ command. Under the 'command' subkey, create a new String (REG_SZ) value and name it (Default) - with the parentheses. The Data portion of the value should be set to the full path of the executable file for your e-mail application. In Internet Explorer click Tools | Internet Options | Programs tab and check the list of Email applications for your newly added entry. Select it as the default and give it a whirl! Note that some e-mail applications won't interpret the data sent over from IE; be aware that the process may behave rather strangely with your client.


Switch it on-the-fly

8th October 2001

How many times have you been in the middle of typing a message in Outlook Express, only to have a change of heart? "If only I had chosen a different piece of stationery when I started writing this e-mail." Hey, that's okay - you can switch it on-the-fly in just a few seconds. Click Format | Apply Stationery | and then choose whichever one you want. Remember: this can only be done to HTML messages. You can change a message type through the same Format menu. Flip between text and HTML at will, understanding that you'll lose the formatting each time. Here's something else I bet you didn't know about Outlook Express messages: you can drag & drop them from your Inbox onto the desktop. Big deal? Yeah, well... open one of those newly-created EML files in Notepad and you'll find yourself face to face with a plain old text file. That's right! No conversion is necessary. You can even change the FILENAME.EML to FILENAME.TXT and any text-viewing application will be none the wiser. Unfortunately, I haven't found a way to do either of these tricks in Outlook (although they'd come in handy).


Windows XP's APA

9th October 2001

By now, you've either accepted or rejected the FUD surrounding Windows XP's Windows Product Activation. The truth: you can to change up to six pieces of hardware every 120 days before WPA will wake up; the counter will reset itself every four months, allowing you to make up to six MORE swaps. The code sent to Microsoft is ambiguous; "0x37" could be a Maxtor DiamondMax Plus D740X or an IBM Deskstar 75GXP. I think your Mom cares more about what kind of hardware you have in your system. If there are deviations from this routine in the final code, we'll let you know immediately. So, assuming you're going to be upgrading, should you go for XP Home or Professional edition? That largely depends on what you want to do with that system. Home can't handle multiple processors, but it also can't host a Remote Desktop. However, it (and any other version of Windows) can control a computer that runs Windows XP Professional with the Remote Desktop feature enabled. This client will be available on the XPP disc. The Remote Desktop is quite possibly the niftiest new tool built into Windows XP. With it, you can share a clipboard, work on remote documents, use remote devices (like printers), run audio programs on one computer and hear them on the other, and more.


Messages in your Inbox?

10th October 2001

How many messages are sitting in your Inbox? You're kidding! What are you doing reading this tip when you should be following up with some of the more important ones? Oh, you don't know which ones are important. Well, I bet you gauged an e-mail's importance when it first arrived. In Microsoft Outlook, right-click on a message and select the 'Flag for Follow Up' option. Now, select one of the following: Call, Do not Forward, Follow up, For Your Information, Forward, No Response Necessary, Read, Reply, Reply to All, or Review. Ya know, whatever the situation calls for. While you're at it, better give yourself a due date, too. Outlook will then remind you that you need to play less Solitaire and reply to more e-mail messages. Not literally, of course. You can also set flags for your outgoing messages, too. As long as the recipient is using a compatible version of Outlook, you'll be good to go. Need a niftier way to find out without asking him or her directly? Okay, right-click on any field (From, Subject, Received, etc.) and select Field Chooser. Now, in the drop-down menu, select All Mail fields. Drag & drop 'Outlook Version' in between any two mail fields in the main Outlook pane. Now you'll know who else is using Outlook instantly!


No right click

11th October 2001

There's no wrong way to do something right. Kevin Schumacher proves it with another way to get around those "no right click" Web pages. "I was recently re-reading back issues and noticed a GnomeTIP on ways to get around scripts (at the time, the suggestion was to hit CTRL+N to open a new window, or to use File | Properties). Well, as I recently discovered, there is an even easier way. This was only tested in IE; it should work on any Web page. First, left-click and hold. While doing so, right-click. This seems to confuse the browser; yet, up pops your default context menu! You can do anything you normally do - including view the page's source or save an image." Well, you could do that anyway, just not as quickly or easily. To circumvent most of those dialogs, all you have to do is click File | Save As | Web Page, complete. Hey, have you ever used the other Save As option? The one where you could save it as a Web Archive, single file? Perfect for when you want to send a complex HTML document via e-mail without having to worry about attaching more than one self- contained file. And yes, you can open it up in Notepad since it's just a text file with MIME encoded components with originating URLs. Nifty!


Unknown keyboard shortcut

12th October 2001

Billy and I were prepping for a Microsoft Word demo the other day when his fingers slipped. The paragraph in focus suddenly changed format! We were a bit surprised - since this was a keyboard shortcut that neither of us knew about. Put the cursor inside one of your favorite paragraphs and give it a shot. Press ALT + SHIFT + the left or right arrow key. Weird, huh? It seems to keep the font face intact - while changing its size and toggling the bold and italic attributes. Go ahead, keep tapping the combo. It seems to cycle through various shapes and sizes, but I can't seem to find a logic to their progression. I suppose you could use this feature if you wanted a quick way to change the formatting of a particular paragraph. Unfortunately, you can't use this specific trick on a single word or sentence. Okay, now that your formatting is doing fine, why don't you select that paragraph again by triple-clicking it, then with your right mouse button, drag & drop it elsewhere in the document. You'll see five options pop up: Copy Here, Move Here, Link Here, Create Hyperlink Here, or Cancel. If you had used the left mouse button, Word would have moved the section without asking you what you wanted to do with it.


Money 2002 banners

15th October 2001

Advertising helps keep business in business. I expect to see sponsors wherever I find "free" stuff, but I'm not disappointed when none are to be found. Imagine my shock when I discovered that Microsoft Money 2002 came with banners. What?! Yeah, apparently they're not making enough money already. Right! Well, at least they've allowed users to turn them off (even though having them on by default is beyond reproach). This Gnomie offers the workaround: "If you go into Tools | Options | General, there's an option to 'Turn off sponsorship and shopping links.' It's unchecked by default. When checked, it appears to get rid of all of the ads. Now, if I can just find a way to get it to stop pestering me about Passport." Well, I wouldn't count on that. Microsoft's future rests in the success of Passport. If it's security with your own accounts that you're concerned about, consider password protecting that Money file. Go to the File menu and select "Login Lockbox." Yeah, I know. Someone was trying to be cute.


Default settings clobbered

16th October 2001

Most Web sites are friendly. Then, there are those who are out to clobber your default settings. Heck, sometimes even another installed browser can mess things up for ya. Did your Start page get changed? Has your Search page been switched? Before you go reinstalling the browser or jumping into the system Registry, try this one-button solution. In Internet Explorer, click Tools | Internet Options | Programs. Now, click the 'Reset Web Settings' button. Per the tooltip: "This only resets these settings if you have installed another Web browser after installing Internet Explorer and Internet Tools, and that browser has changed the default settings." Perhaps it will fix other FUBARs, too? If things are already wonky in IE, then you've got nothing to lose. People ask why I don't do more third-party browser tips (Mozilla, Opera, Lynx, etc.). That's a simple question to answer, actually. I don't use alternative browsers, and nobody submits tips for 'em. Here's a bit of trivia for ya: what browser is Internet Explorer based on? There's one easy way to find out. Click Help | About Internet Explorer. Thank you, Mr. Andreessen.


Microsoft Excel excels

17th October 2001

We all excel at something. I make good coffee. Gretchen can speed read. But Microsoft Excel excels at making numbers easier to manipulate. I've always argued for strong, smart user interfaces. When we sit down to use a program, we shouldn't have to think about how to complete our tasks. However, sometimes intuition steers us wrong. When you enter a number into Excel and tap the ENTER key, by default, it will change focus to the cell directly below. What if you think it should move to the right? Click Tools | Options | Edit. Now, see the 'Move selection after Enter' field? Either change it to another direction or turn the feature off altogether. Let's say you've got too much vertical data in your spreadsheet. Combine this with countless columns of data and you may very well forget the labels for each set. No worries! Select the row beneath the one you'd like to lock into place, then click Window | Freeze Panes. This will allow you to scroll up and down without having to refer back to each column's designation. You can do the same thing horizontally. Remember, to select an entire range of cells, single click the appropriate letter or number.


Register domain names?

18th October 2001

Where do I go to register domain names? It's no secret; the gang at DNSCENTRAL.COM have been my friends for quite some time. While I can't speak for Lockergnomie Scott Rubin's preference, he shared a bit of insight with me the other day that I thought I'd pass along to you. "Today, while reading Lockergnome, I noticed that they have made many new extensions for the Internet. So, I started exploring domain names again, hoping that I could come up with one better than our current one. When we [originally] registered our name, there was a limitation to its length. I believe it was 27 characters (including the dot-com). Our name was too long by three characters. The point of my e-mail was just to let you know that that limitation has apparently been extended since they added the additional [extensions]." Very cool. Even though I'm a fast typist, I appreciate shorter URLs. That being said, I'm sure that Scott is thrilled that Diamondhead Documentation dot-com is finally his.


FAT32 or NTFS?

19th October 2001

Ah, so you've finally decided to give Windows XP a whirl? Whether we like it or not, the OS will be pre-installed on just about every new machine that comes off of the assembly line. If you're taking a valid upgrade path, you're going to face a tough decision soon: FAT32 or NTFS? The installation routine will ask you if you want to change your file system. If you're unsure, stick with FAT32. You can always convert at a later time within Windows XP. Anyway, let's go over some pros and cons, shall we? FAT32 was the successor to FAT (FAT16), which enabled newer, larger hard drives to be recognized by DOS / Windows. It also shrank cluster sizes considerably. This particular number depends on the overall size of the drive (virtual or not); the smaller the cluster, the less hard drive space is wasted. Have you ever right-clicked on a file, see that it weighs in at a measly 523 bytes, but it takes up a whopping 32 kilobytes?! That's due to the drive's large cluster size, most likely on a large hard disk which hasn't been partitioned into (smaller) virtual drives. Just one of the reasons why Partition Magic is a dream come true for those who want to get the most out of their hard drive(s).

FAT32 is also unsecure; true encryption can't take place at the system level. NTFS, on the other hand, not only boasts smaller cluster sizes, but it also allows you to set permissions for any file or folder on your drive(s). You don't want your daughter messing with anything in this folder? Done. Don't want your husband to see this file? Done. But, again, this is only for those using NTFS. Sounds great, doesn't it? Yeah, it's awesome - but it's also slower than FAT32. The difference isn't supremely noticeable, but there's definitely a slight performance tradeoff. To tell you the truth, most - if not all - of my problems with the two hard drives in my system disappeared when I formatted them (non-destructively) to NTFS. I haven't looked back. Might wanna double-check your third-party system tools to make sure they'll work on something other than FAT. And before you ask, yes... NTFS drives can interact with FAT32 drives. Furo compresses his MP3 collection because they don't need to be read very quickly from the disk in order to play well, and it saves him at least some space. He'd never compress any database files or other data that depends on faster read / write performance. There are actually some situations where a slow disk and fast processor can result in slightly faster performance when reading / writing compressed data. This is because the data is read from the disk in smaller chunks, then decompressed by the fast processor.


XP Networking

22nd October 2001

Getting your machine connected to a network (or the Internet) can be a chore. Windows XP has improved the task tenfold, as roamers will tell you. They have to connect to different networks throughout the day. At work, it's one environment. At home, most likely, is another. And on the road? Well, you can see how this can quickly become a source of frustration. Windows XP will reconfigure your network settings on-the-fly, but what if you don't have (or want) Windows XP? Then set up a different profile for each location. You've probably seen this feature before, but never really thought of using it. Configure your machine for one type of network, then save its profile by tapping WINKEY+Pause and flipping to the Hardware or Hardware Profiles tab. Go ahead and save the profile. Call it "Work Configuration" (or something along those lines) if you're setting it up for when you're on the job. Follow the same steps for other locations, and when you reboot, you'll be faced with a range of profiles - each configured for that particular network. Depending on where you're booting from, select the appropriate profile.


Modern Multitasking

23rd October 2001

We can multitask with these modern operating systems, but few people really understand what it means to have more than one program running at the same time. Take Microsoft Word, for example. I've seen far too many people close documents before they open new ones. "Uh, you don't have to do that." You also don't have to be a slave to Word's Recent Documents menu. If you want to save more than four at a time, you can bump the maximum to nine - or turn off the feature entirely. Click Tools | Options | General, then edit the "Recently used file list" field. And let's say you have a document that you need to access to at any given time. Use the Work menu. The what? First, you need to add it to your toolbar. In the menu, click Tools | Customize | Command | Built-in Menus. From the right-hand pane, drag & drop "Work" somewhere onto your menu. Go ahead and Close the dialog to return to Word's main window. Now, open one of your favorite documents, click the newly-created Work menu, and select the "Add to Work Menu" option. Essentially, this is a "Favorites" feature for Word that very few people know about.


XP Security

24th October 2001

Remember when you thought you were secure when you used the Windows Screen Saver password feature? Gone are those days, my friend. A quick reboot is really all it takes to get around that thing. Plus, anybody can delete PWL files from the DOS prompt. Is Windows XP better? Undoubtedly. You lock the workstation by doing a three-finger salute (CTRL+ALT+DEL) in Windows 2000 and NT. When the same keyboard combo is used in XP, you'll get the powerful Task Manager. Now, WINKEY+L will keep people from seeing what they shouldn't be seeing. I hope you didn't forget your password, though. Unlike older versions of Windows, you can't escape out of this dialog without knowing the magic word. Of course, you could also switch users at this point, provided you've set them up on the same machine. If you can't stand XP's cutesy Welcome screen, you can turn it off in the User Accounts Control Panel Applet. Sure, just "Change the way users log on or off." Ah, this thing's looking more and more like Windows 2000 every day.


Hotmail isn't always so hot

25th October 2001

Hotmail isn't always so hot. Sure, it's free - but so's a kick in the pants. I'd just as soon take the free e-mail account, if it's fine with you; put that foot down. I'm not wearing pants, anyway. Before I start creating mental pictures you'll never be able to erase, let's get on with the tip, shall we? I've lamented how Hotmail isn't very friendly with the links we send along with Lockergnome issues. I discovered that the solution is simple. If you're having 'this cannot be displayed' problems, all you have to do is tap F5 to refresh the page. This, according to several Gnomies, will allow you to view an 'external' link through Hotmail without a hitch. Did you know that you could import your Outlook address book into Hotmail, too? Sure! Fire up the MSN Explorer - which comes with Windows XP, by the way - and click the E-mail button in the toolbar. Click the "More" button on the right side of your screen and select the "E-mail Settings" option. Now, click the "Import Address Book" link. If it's the first time you've ever used the MSN Explorer, it may prompt you to import your data automatically. Nice!


XP Password Reset Wizard

26th October 2001

Passwords are a double-edged sword. Forget yours, and you could be up a polluted tributary without proper means of propulsion. Think about that one for a second. Then, make a backdoor for Windows XP. The Password Reset Wizard can be found by clicking Start | Control Panel | User Accounts. Select your account name, then under Related Tasks, click the "Prevent a forgotten password" option. The wizard will guide you through the rest of the way. That's his job, after all. It's your job not to forget your password, but since you're human, we all know it could happen one day. Make another one for good measure and store the disks in a very safe place (away from heat, moisture, magnetic fields, and your kid). Hey, don't close the User Accounts applet quite yet! While you're there, you can also change your picture. Ya know, something tells me that a toy frog, rubber duckie, and soccer ball don't represent your personality as much as something else does. Click "Change my picture" then "Browse for more pictures." Windows will be smart enough to resize whatever you pick. Awww, isn't that nice?


Accessing FTP sites through IE

29th October 2001

Once upon a time, there was a Gnomie named George who was having problems with accessing FTP sites through Internet Explorer. George was getting very upset. Once George stopped talking about himself in the third person, he turned to friends, family members, and clerics for help. "Shortly after installing IE6, I was having trouble opening some FTP sites that my friends were not having problems with. One of them was able to come up with a solution. In Internet Explorer 6.0, I needed to place a checkmark in the box next to "Use Passive FTP (for firewall and DSL modem compatibility). This option can be found under Tools | Internet Options | Advanced | Browsing. This was due to the fact that I was using a router and Zone Alarm for my cable modem with Windows XP." George was free to return to his home, safe in the knowledge that he, too, could finally gain access to those remote locations. If you would like to get ahold of George to thank him for bringing this tip to light, he can be found in the phone book under the pseudonym: 'Art Vandelay.'


Close ALL of your documents

30th October 2001

Peek-a-boo! I see you! Not really. Does that mean you're not there? Of course not. You're reading this paragraph, after all. Unless you're not. If a geek falls in the forest, does anybody really care? Before we get into a heated philosophical discussion, I need to prove that you can make something come from nothing. It's easy to do. At least, with Microsoft Word. How many documents do you have open right now? 15? Wow, you must be a busy person. Click File | Close. Yeah, it just closes the current document. What if you want to close ALL of your open documents? Well, that's when you have to use your SHIFT key. Go ahead, mash it before you click the File menu again. Lookie, lookie! Two new options: Close All and Save All. That oughta save you some time. You can do the same thing in Excel, although it only shows the 'Close All' shortcut. At least Windows XP will group similar windows together, saving your Taskbar from being flooded with Word documents. SDI is sdo sdupid in this day and age. If you're looking for something in between WordPad and Word, consider getting Ultraedit. It's got an MDI - multiple document interface. Ah, that was almost like three tips in one.


XP Tweaking

31st October 2001

As humans, most of us were born with certain involuntary habits: breathing, sleeping, and tweaking. How I survived for twenty some- odd years without TweakUI is beyond me. Of course, I wouldn't have been able to use it on my C64, so I guess the point is moot. With Windows XP Professional, some of us won't be satisfied with Microsoft's latest powertoy revision. Even X-Setup may not give us enough control (despite its unrivaled power). Where, then, can we turn? To the operating system. Enter "GPEDIT.MSC" in the Run command field. Now you'll be staring the Group Policy editor straight in the face. From here, you can perform a myriad of tasks. Change password policies for yourself and other users, edit user-specific permissions, control Windows components like Netmeeting, Task Scheduler, and the Windows Messenger. Heck, you can even change IE's Title Bar from here, too! Click User Configuration | Windows Settings | Internet Explorer Maintenance | Browser User Interface | Browser Title. Dude, I'm just scratching the surface here. Check it out for yourself!


November 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Virtual 'FAX receiving machine'

1st November 2001

Gretchen and I went to lunch the other day - nothing out of the ordinary. I noticed that the restaurant accepted orders by FAX. How odd, I thought, that they didn't take them by e-mail. I suppose they'd have to check their Inbox every other minute. Unless, of course, they were using Outlook with a properly configured print rule turned on! This way, the mail client could turn into a virtual 'FAX receiving machine' whenever it needed to. Using e-mail, nonetheless. They could set up a mail alias (or separate e-mail account) just for food orders. Then, in Outlook, click Tools | Rules Wizard | New | Check messages when they arrive | With specific words in the recipient's address | Print it. How's that for a workaround? Of course, you could also use this trick to automatically print your favorite *cough* e-mail newsletters as soon as they arrive. I'm sorry to report that Outlook Express does not have such a print feature, and that HP recently discontinued their Instant Delivery service. C'est la vie in the game of ones and zeros.


Hidden system components

2nd November 2001

Is Windows XP's Messenger not for you? Theoretically, you can get rid of it (as well as a few other things). Windows 2000 power users should already be familiar with this tweak. Fire up the Windows Explorer and navigate your way to the %SYSTEMROOT% \ INF folder. What the heck is that thingy with the percentage signs? It's a variable. For most people, %SYSTEMROOT% is C:\Windows. For others, it may be E:\WinXP. Get it? Okay, on with the hack! In the INF folder, open sysoc.inf (but not before making a BACKUP copy first). Before your eyes glaze over, look for the line containing "msmsgs" in it. Near the end of that particular line, you'll notice that the word "hide" is not so hidden. Go ahead and delete "hide" (so that the flanking commas are left sitting next to one another). Save the file and close it. Now, open the Add and Remove Programs applet in the Control Panel. Click the Add / Remove Windows Components icon. You should see "Windows Messenger" in that list. Remove the checkmark from its box, and you should be set. NOTE: there are other hidden system components in that sysoc.inf file, too. Remove "hide" and the subsequent programs at your own risk.


Preview a folder's contents

5th November 2001

You're probably still exploring Windows XP. And even if you don't have Microsoft's new operating system, these feature-specific tips might open your eyes to something you didn't know about before. Keep that in mind before you tune 'em out entirely. You can enable the thumbnail view in many versions of Windows; this allows you to preview documents and images instantly. In XP, you can also preview a folder's contents without opening it first! By default, Explorer places up to four images from the folder onto its thumbnailed icon. You can change these graphics at any time. One way of doing it: finding a representative image, renaming it FOLDER.JPG, and placing it inside the folder in question. If you're already in the folder, you could also right-click the upper-left corner icon (in the window's title bar), select Properties, flip to the Customize tab, and press the "Choose Picture" button. Either way, you'll end up with the same results. The coolest thing about this tweak? Whenever you load music files from that folder, the Windows Media Player will use that folder's (designated) image as the Album Art. How's that for "too cool?"


Search pane in Windows XP

6th November 2001

When I first saw the default search pane in Windows XP, my instinct was to return it to its classic look; that puppy had to go. Of course, I later discovered that a doggie door is built into the applet. Click "Change preferences" then "Without an animated screen character." If you'd rather give it a bare-bones "Windows 2000" look and feel, fire up your Registry editor and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Explorer \ CabinetState. You may need to create a new string value labeled "Use Search Asst" and set it to "no" (sans quotes in each case). Before you go that far, let me make you aware of two things. First, you can accomplish the same task via the new TweakUI (available for download at WINDOWSXP.COM). Second, there's a nice benefit to the new Search Companion in Internet Explorer 6.0 (at least, with Microsoft Office's spell checker installed). Launch your browser and tap the F3 key. Now, enter your query, intentionally misspelling a keyword. Look at that! A red squiggly! Right-click on the word and select an appropriate replacement (if necessary). How's that for hlepful?


Windows Product Activation

7th November 2001

Windows Product Activation (in Windows XP) is turning out to be less of a problem than most of us had anticipated. Sure, there are a few people who can afford to make six hardware changes within 120 days, but most of us stick with (or add on to) what we already have. A question has arisen regarding what happens when you have to reinstall the new OS on the same machine. Do you have to reactivate it? Yes. Maybe. When you run all the way through the WPA wizard, a WPA.DBL file is created in your "System32" directory. Copy this file to another folder for safe keeping. Now, whenever you reinstall Windows XP on the same machine, you should be able to avoid the WPA process by copying WPA.DBL back to the "System32" directory. While I haven't run through this process myself, it should work as long as you haven't changed the machine drastically since the WPA.DBL was created. Just make sure you're using the "latest" copy of that file, otherwise you may find yourself on the phone with Microsoft. Who, according to them, will give you the benefit of the doubt every time.


Error Reporting

8th November 2001

I was listening to streaming audio on a Windows 98 machine the other day [perish the thought] when Internet Explorer 6.0 crashed on me. As usual, an error reporting dialog popped up. Now, I always thought that this "feature" for bugs was useless. Lo and behold, there was something new in the dialog: what appeared to be a hyperlink. And what are we trained to do whenever we see blue underlined text? Click it! And, out of curiosity, that's what I did. I was whisked away to a MSKB page explaining what the problem was and what I could do to fix it. Apparently, there was an update available for the Windows Media Player that I didn't know about before. I thought: "How nifty!" Perhaps all of this error reporting will lead to quicker fixes? One can only hope. Now, if you're ultra-paranoid about your data, then perhaps you'll want to make sure this "feature" is turned off in Windows XP. Tap WIN+Pause or right-click on My Computer to open the System Properties dialog. Flip to the Advanced tab, click the Error Reporting button, then disable it. Furthermore, you can customize how error reporting takes place - for whatever program(s) you want.


MSN Explorer

9th November 2001

Want a sneak peak at the next version of Windows? Look no further than the MSN Explorer; it's a free download for anybody. Even though you may not use it as your default browser, it's a great thing to have installed on every other machine. Why? Because through it, you can access all of your information - including your Favorites. In the MSN Explorer, click the Favorites icon (the large star at the top of the window). Now, click the "Import Favorites from Internet Explorer" link on the right-hand side. On the following page, click the "Import Now" button; in seconds, you'll have uploaded your Favorites. Have you not signed up for a Hotmail account yet? Just don't use your real name for a username; spambots combine an infinite amount of first names and last names. My suggestion: go with a personal nickname or intersperse letters and numbers. Now, the next time you sit down to a remote terminal, see if they have the MSN Explorer installed. Login as yourself, being careful NOT to save your password.


Thumbnail options

12th November 2001

Let's say you want to see all of the images sitting inside a certain folder. Sure, I suppose you could open all of them in your favorite graphics viewer. That might take a while, though. Best use Explorer's built-in thumbnail feature. Is disk speed an issue? What about disk space? Both are valid concerns, but they can be addressed easily with a little Registry diving. Alter the pixel size and quality of all thumbnails by navigating to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Windows \ CurrentVersion \ Explorer. To change the size for each thumbnail, add a DWORD value and label it "ThumbnailSize" (sans quotes). This entry should be given a number between 32 and 256; I suggest 50 (instead of the default 100). To change the image quality of thumbnails, add a DWORD value and label it "ThumbnailQuality" (sans quotes). This entry should be given a number between 50 and 100; I suggest changing this one to 50 to start with, too. The next time you switch a folder to thumbnail view, your changes should be applied. Hold onto the SHIFT key when you select the "Thumbnail" option from the view menu if you want to turn off file names (to save screen space). SHIFT click again to turn 'em back on. Remember: you can also turn off thumbnail disk caching through the Folder Options dialog. In the Windows Explorer, click Tools | Folder Options | View | Do not cache thumbnails.


It's an eyesore

13th November 2001

I'm a details kind of guy; I obsess when Web graphics are off by one pixel. This disorder manifests itself whenever someone sends me a file that hasn't been formatted properly. When you apply different font faces, colors, and sizes throughout your document, keep it consistent! Don't use Red 14-point Arial Bold here and Blue 72-point Comic Sans MS there. Ugh. It's an eyesore. Can't seem to convince your friends and co-workers to lay off the layout? If you see a spreadsheet that's too loud (visually), press CTRL+A to select all, then click Edit | Clear | Formats. This also helps take care of those rogue formatted cells. Ya know, the ones that were being used at one point and were subsequently abandoned? Yeah, those. You can do the same thing for Microsoft Word documents, although you'll have to take a slightly different route. The easiest way (I've found) is to save a copy of the file as "MS-DOS text with Layout" and then re-open it. From there, you can format the document to your liking without stumbling across any previously used styles.


Overloaded taskbar

14th November 2001

The taskbar starts on one side of the screen and stretches to the other; this dynamic manager occupies finite space. What happens when we cram too many programs into it? Unfortunately, our monitor doesn't get any bigger. Instead, each program's allocated taskbar space is decreased (equally). We've all seen it happen before - this is nothing new. However, Windows XP can group open program windows for you automatically (adding a vertical dimension to your taskbar). At which point do you want to start stacking those apps? Let Windows know! Fire up your Registry editor and find your way to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Explorer \ Advanced. You may need to create a new DWORD value with the label "TaskbarGroupSize" (sans quotes). Double-click this newly created entry to edit its properties. Again, how many windows need to be open before they form a cluster? Too few and you could be grouping prematurely. Too many and you could be rendering the option useless. I'd imagine that your Web browser, Microsoft Word, the Windows Explorer, and Notepad will rack up the most miles on your machine. Keep that in mind when you go to set the number.


Remote internet troubleshooting

15th November 2001

Every once in a while, I need to troubleshoot someone's Internet connection remotely. What's the first thing we need? An IP address. In Windows 9x, most of us relied on WINIPCFG.EXE; in Windows XP, we have to rely on something else. When you're alive on the command line, use IPCONFIG.EXE. Though, if you're not already in a shell, its information will flash across the screen and disappear quicker than it came. There's another way to get network connectivity data within Windows. Right-click the Network Neighborhood icon on your desktop (assuming you have it turned on in Windows XP) then select Properties. Double-click the active Internet connection icon (mine is labeled "Local Area Connection" - but yours may be different). You should now see a small status sheet on your screen. Flip over to the Support tab and click the Details button. Everything you need should be there: MAC Address, IP Address, Subnet Mask, Default Gateway, DHCP Server, DNS Server, and WINS Server. Press CTRL+C while you're in the window and all of that stuff will be copied to the clipboard! If neither of these methods work for you in Windows XP, try whatever used to work for you before the upgrade.

And while I've brought this up before, consider this tip addition a refresher. Moving from Windows 95 to 98 wasn't too paneful for most of us. Most of our old applications worked well, and if they didn't, we scoured the Web for updated versions. Moving from 98 to XP has been more dramatic (as far as code compatibility is concerned). The future for 16-bit programs is grim, indeed. Do you still rely on DOS for doing stuff? Why!? Dude! It's almost 2002 - your drive should have nothing but 32-bit binaries. If you insist on using your Pentium 4 2.0 gigahertz machine to run EDIT.COM, well... that's your prerogative. But before you do, be sure you're in the better environment. How so? Well, you can actually get to a command line two different ways in Windows XP. CMD.EXE is the shell of choice; not only does it respond faster in Windows XP, it should also run those "classic" apps you've still got somewhere on your disks. Should you run into problems with this native 32-bit shell, consider trying those same command line programs under the command of COMMAND.COM. But, like I said, try to use CMD.EXE whenever possible; there's nothing 16-bit about it. To run either shell, click Start | Run and enter its file name.


Atomic clock

16th November 2001

You've heard of Web servers and food servers, but what about time servers? Thanks to the National Institute of Standards and Technology (NIST), your computer will always be running on time. The correct time, that is. According to them, one second is the time it takes a cesium atom to vibrate 9,192,631,770 times. That's what they're referring to when they talk about an "Atomic" clock. It's nothing dangerous, mind you. In fact, you can sync your system with it automatically in Windows XP; we've featured several (free) third-party utilities to do this in other versions of Windows. Double-click the clock in your system tray, flip to the Internet Time tab, select a server, press the "Update Now" button, and you're (literally) set! Care to tweak the time when Windows will automatically synchronize next? In your Registry, navigate to HKEY_LOCAL_MACHINE \ SYSTEM \ ControlSet001 \ Services \ W32Time \ TimeProviders \ NtpClient. Edit the "SpecialPollInterval" entry and change its decimal value to any number you want (in seconds). My suggestion is for you to keep the syncs spaced no less than a day apart. If your system is losing too much time too often, it's time to replace the battery on your motherboard.


Error messages

19th November 2001

When was the last time you ran into an error message? Well, Windows is full of them. Like, when a Web page won't load because its connection is down. "The page cannot be found" error is actually a Web page sitting inside your SHDOCLC.DLL file! Thanks to an adventuresome Gnomie, you can pull it (as well as others) up at any time. The URL syntax is: res:// [path] [file] [reference]. The SHDOCLC.DLL [file] is usually found in your System folder. So, its [path] is: C:\ Windows \ System (or System32). This is immediately followed with a forward slash and the appropriate internal reference, which is an HTML file in and of itself. No spaces, folks (just like a Web site). Ready to see those suckers? Replace the [reference] with: http_400.htm, http_403.htm, http_404.htm, http_406.htm, http_410.htm, http_500.htm, http_501.htm, http_gen.htm, servbusy.htm, syntax.htm, navcancl.htm, offcancl.htm, policyerror.htm, policylooking.htm, policynone.htm, policysyntaxerror.htm, privacypolicy.dlg, preview.dlg, printerr.htm, printnf.htm, printnof.htm, printunk.htm, wcee.htm, ietext.bmp, ietext256.bmp, world.bmp, world256.gif, ie.gif, ie256.gif, orgfav.dlg, about.dlg, analyze.dlg, bidifind.dlg, docppg.ppg, error.dlg, find.dlg, findic.dlg, ieerror.dlg, imageppg.ppg, orgfav.dlg, and pstemplate.dlg. Wow!


Hidden features

20th November 2001

Nothing excites me more than discovering a hidden feature (or program) in my operating system. Yeah, I know. I need a life. Actually, I already have one - but it's only on loan. I inherited a handful of new utilities when I moved from Win98 to Win2k. One of them, as Lockergnomie Will Madgett discovered, was a holdover: the Private Character Editor (EUDCEDIT.EXE). This utility will allow you to append customized characters to any installed font. So, if a typeface doesn't include a degree symbol, you can create one and virtually attach it to the TTF. Heck, you could even draw your own little picture with it. Anything's possible (although not always practical). Will also found something in WinXP that (I believe) may have come with Windows Millennium Edition, too. It's a self-extracting / self-installing archive wizard! Click Start | Run and enter: "IEXPRESS.EXE" (sans quotes). If you get an error message, then the tool didn't come with your version of Windows. If the program launches, then you're good to go. No need to install another program when you've got this kind of functionality built-in! In fact, and don't tell anybody else this, I haven't needed to install WinZip since I leaped to XP. Shhhh!


Microsoft Common Console

21st November 2001

We all know what an EXE is; it's an executable (program). And what's a DLL? A Dynamic Link Library. What about those CPL files? Control Panel extensions. If you've moved beyond Windows ninety- whatever, you may have noticed a few new file types on your system. Ever see an MSC? Is it a Moldy Saltine Cracker? A More Somber Continent? Nope, it's a Microsoft Common Console Document. What does that mean to you? Everything, if you were born to tweak. And much like an EXE file, you can launch an MSC simply by entering it on the Run command field in the Start Menu. COMPMGMT.MSC pulls up the Computer Management console (which contains all of the other console documents). DISKMGMT.MSC gives you quick access to disk properties (which you may configure). DEVMGMT.MSC is the Device Manager (which looks a lot like the one in 9x). DFRG.MSC launches the built-in disk defragmenter. EVENTVWR.MSC is your system Event Viewer (error records and such). FSMGMT.MSC will help you manage your Shared Folders. LUSRMGR.MSC manages Local Users and Groups (those LUSRs). PERFMON.MSC is your Performance Monitor. SECPOL.MSC shows Local Security Settings. SERVICES.MSC lists all the registered Services (be careful with this one). With help from these MSCellaneous applets, you'll have a handle on your computer in no time.


No right- click sites

22nd November 2001

We realize you can't always read Lockergnome when it first hits your Inbox. No worries, mate! Matthew Ellis submitted this the other day: "I was just catching up on a backlog of past issues when I came across a tip on how to get around those 'no right- click' sites. Well, I've got a couple of useful tips for looking at a page's source without using the rightmost mouse button. In Internet Explorer's Address field, you can enter: "view- source:[URL]" (sans quotes). Replace the [URL] variable with the full Web address of the page in question. Now, in newer versions of Windows, you can enter a Web address in the Open File dialog of any program. Fire up Notepad, click File | Open and enter a full URL (including the obligatory "http colon slash slash"). Presto! There's your source." Dude. This has got to be the coolest tip I've seen in a long while. Even if you're not having problems viewing the HTML source for a particular Web page, this trick is out of the box. I would have never thought about doing that before, ya know? Just goes to show you: it never hurts to try something new. Think you've got something cooler? Share with the rest of the class, please?!


Summon the Task Manager

23rd November 2001

One of the features I appreciate most about Windows 2000 and XP is the simple way users can summon the Task Manager. A right-click on the taskbar is all you need to do. XPers bent on instant gratification can give a three-fingered salute. No doubt this was remapped to curb the 9xer's learning curve. Yep. There's a list of running processes. But are any of them safe to close? Be careful! Some of those suckers are critical; closing the wrong one could hose your OS. Click View | Select Columns | and put a checkmark in the PID (Process Identifier) field. Now, let's go through them. Services.exe (208) handles: AppMgmt, Browser, Dhcp, dmserver, Dnscache, Eventlog, lanmanserver, LanmanWorkstation, LmHosts, Messenger, PlugPlay, ProtectedStorage, seclogon, TrkWks, W32Time, and Wmi. That's a mouthful, eh? Well, each one of those components takes care of a different part of the operating system (yet they're all under the same process). Need to know what else is going on inside? Click Start | Run and enter: "CMD" (sans quotes). Now, if you're in Win2k, at the command prompt, enter: "TLIST -S" (sans quotes). If you're running WinXP, at the command prompt, enter: "TASKLIST /SVC" (sans quotes). Remember, you can use that vertical scroll bar to view bumped command screen data. You couldn't do that in 9x, ya know.


Excel keyboard shortcuts

26th November 2001

Is your name not Bruce? No matter, there's this Gnomie (Bruce Levitan) and he's got a bunch of Excel keyboard shortcuts to turn you into a spreadsheet superstar. He understands that using a mouse for routine tasks can get cumbersome quickly. Like myself, Bruce is a fan of the key combo. While ALT+EQUALS will invoke the AutoSum feature, the rest of his click quickies rely on pressing CTRL and SHIFT simultaneously. With the '$' (dollar sign), the field's format is switched to Currency. The '%' (percent symbol) modifies the cell's value to a Percentage. The '^' (caret) turns the selected location into an Exponential. The "!' (exclamation mark) toggles the use of commas or decimals. The "@' (at sign) automatically inserts the current Time. The '#' (number sign) adds today's Date. The '&' (ampersand) draws a border around the current selection. The '_' (underscore) removes the border from the selection. The '*' (asterisk) selects the current region. Soon your mouse will be collecting dust (and your co-workers will be eating it).


Uncover a site's IP

27th November 2001

The Web. It's big. Thank you! I'll be here all week; don't forget to tip your waitress. Can't remember how to spell her name? Ah, neither can I. Has that ever happened to you? There's this site that you can never remember the spelling for. Or, it only has an IP address and doesn't resolve to a domain name. That's simple enough to fix on your (local) machine. There's a "HOSTS" file sitting somewhere in your Windows folder hierarchy. Go ahead and open it up in Notepad (or your favorite text editor). The first non-remarked line reads: "127.0.0.1 localhost" (sans quotes). This tells your system that the IP address (127.0.0.1) is also known as localhost. Let's say you know of a Web site that's difficult to spell (or recall at a moment's notice). Give it a new name! On a fresh line, enter the site's IP address and how you'd like it to be referenced from that point onward. How do you uncover a site's IP address? One way is to drop to a command prompt and PING it. Once you have that information, you can create a friendlier name for it. For example, you could resolve OBOEEXTRAVAGANZA.ORG (who's IP address is 255.255.255.0) to OBOEX.COM by adding: "255.255.255.0 OBOEX.COM" (sans quotes) to the HOSTS file. You can always place a pound [#] at the beginning of the line (or delete the reference entirely) if you run into trouble.


Microsoft Office 2000 - SP2

28th November 2001

A few weeks ago, I upgraded Windows on Oogie Boogie (the big, bad, beige beast who now belongs to Gretchen). As usual, I had to add all of my favorite shell extensions and shareware apps ASAP. Microsoft Office 2000 was the last in line; my copy was the release version, so I had to head to the Web to get SP1 (the first service pack). I was careful not to get SP2, as it comes with the dreaded Outlook E-mail Security update that halts EVERY type of questionable attachment. Oops. I inadvertently installed it (and there's no way to uninstall it). Time to do a little hacking! If this has happened to you, here's what you need to do. Find OUTLLIB.DLL and open it in any hexadecimal editor (I prefer UltraEdit). It's nothing but code, baby. Be sure to make a backup copy first! Now, do a Find for the first "URL" string. You should see it surrounded by other familiar file extensions, like ZIP, VBS, and SHS. Guess what you're going to do? That's right! Change "URL" to "LOL" - "ZIP" to "OMG" - "EXE" to "CJP" (or some other tri-lettered farcical aquatic ceremony). Save your changes and full access to those files in Outlook 2000 should now be restored.


The links aren't working

29th November 2001

Oh no! The links aren't working like they once did in Outlook Express. You either can't click 'em or they're not going anywhere. Or, perhaps every time you open a link in a new window through your mail client, Internet Explorer spits back a blank page. Have no fear - Geekdude is here! The solution is quite simple (and it doesn't require a reinstallation); we just need to re-register the URL monitor. Heck, if you're having any kind of hyperlink hassle, give this a whirl. When software doesn't behave, sometimes you have to spank it. Click on Start | Run and enter: "REGSVR32 URLMON.DLL" (sans quotes). You should then have a dialog tell you that the procedure was completed. Next, fire up Microsoft's Web Browser (IE) and Click Tools | Internet Options | Programs | then click the "Reset Web Settings" button. Now, check to see if Web links work like they should in your e-mail client. With any luck, you'll have returned your system to normal.


Command line in XP

30th November 2001

We're all familiar with the command line - and it still exists in Windows XP. In fact, Microsoft has created a few new tools for those of us allergic to the GUI. These may (or may not) work in other NT-based OSes. According to the Help Center: BOOTCFG configures or changes BOOT.INI file settings; DEFRAG does what its always done; DISKPART manages disks and partitions; GETMAC obtains the media access control (MAC) address and list of network protocols; DRIVERQUERY spits back a list of installed drivers and their properties; PAGEFILECONFIG configures your virtual memory settings; PRNCNFG configures and displays printer information; PRNQCTL prints a test page, pauses or resumes a printer, and clears a printer queue; SC shows and allows the configuration of service information; SHUTDOWN shuts down or restarts a local or remote computer; SYSTEMINFO provides basic system configuration information; TASKKILL ends one or more processes; TASKLIST shows running applications and services; and SCHTASKS schedules commands and programs to run periodically or at a specific time. If you type faster than you can click, these puppies should keep you happy.


December 2001

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Customize Outlook toolbars

3rd December 2001

Gnomies know that the quickest way to a geek's heart is through his or her e-mail client. Someone recently submitted this tip: "Both Outlook 2000 and 2002 (XP) allow users to customize toolbars. Users typically use this option to add shortcuts to features that are buried deep in menus, while more advanced users add shortcuts to macros they've already created. Here's one way that you can add a menu with a list of people or messages who you e-mail frequently. First, you need to add a new menu item that will hold the list of items; if you only want to add one item, you don't need to create a menu. Follow these steps to create the menu item: Go to View | Toolbars | Customize and click the Commands tab (don't close the Customize dialog box until instructed). From the Categories list, select New Menu and then drag the New Menu item from the Commands list to where you want to place it on the menu bar or toolbar. Right-click the New Menu item and name it accordingly. Now, follow these steps to create a message: in the Categories list, go to File. Then, from the Commands list, drag the Mail Message item to the menu item (that you've named). Right- click the Mail Message item and rename it (whatever you wish). At the bottom of that same context menu, go to Assign Hyperlink and select Open. When the Open menu appears, click E-Mail Address from the 'Link To' column, then fill in the E-mail Address and / or Subject fields for your new message (optional). Click OK. Repeat these steps if you want to add more addresses. When you're done, close the Customize dialog box." Bam!


XP's MSConfig

4th December 2001

What tool is this they laid to rest; on Win2k it's missing. 98ers are addicted to MSConfig. The good news? Someone in Redmond beefed it up for Windows XP. The utility looks familiar, but there are a couple of new tabs in which you can analyze and tweak your system. To launch it, simply tap WinKey+R and enter: "MSCONFIG" (sans quotes). On the General tab, you'll now find an "Expand File" button; click it to unstuff those files whose extensions end in an underscore character. Flip to the BOOT.INI section to change how Windows XP gets up and running. WARNING: do not change settings here unless you really know what you're doing. You can inadvertently (or purposefully) turn off dual booting from this tab. Now, the Services tab is really neat. Not sure what third- party services has been installed? Place a checkmark in the "Hide All Microsoft Services" field to find out. Finally, the Startup tab looks the same as it always has. What else sets it apart from previous versions? When you change your Startup settings, MSConfig will tell you (on next boot) that it's in a Diagnostic / Selective Startup mode. Essentially, this will allow you to roll-back to a previous (working) configuration.


Hark, the herald router sings!

5th December 2001

Hark, the herald router sings! When the Ricochet network died, I was left without a wireless Internet connection for my Pocket PC. As soon as a low-power Wi-Fi (802.11b) option was available for my PDA, I snapped it up. As this new technology saturates the market, it will change the way we access information. Imagine being able to do price comparisons, get up-to-the-minute weather and traffic reports, and view public transportation schedules on-the-fly. So, how do you know when there's a wireless Internet connection in the vicinity? Check out what Jason Dunn from Pocket PC Thoughts forwarded to me: "I was taking to a developer / friend about the [sniffing] issue, and one of our ex-coworkers found a answer when programming a driver for FreeBSD. Use 'ANY' (sans quotes, case sensitive) for the ESSID; it's an 802.11b standard. It will find the nearest available access point. So far, my Symbol card seems to be switching to the closest network. For me, it switches to the network's ESSID automatically." Much to my surprise, this works! Of course, I'm not recommending that you hijack someone else's connection on a long-term basis. It's really more for those of us who are always on the go (and want to stay in the know).


Pin to Start menu

6th December 2001

How many times have you seen fifteen shortcuts to "My Computer" sitting on someone's desktop? They did a bad, bad thing (although they probably didn't mean to). Even beyond its positive aesthetic impact, I can fully appreciate Microsoft's decision to hide all of the desktop icons (save the Recycle Bin). New users will find themselves relying more and more on their Start Menu (bulky as it may be). Let's say you have a program with which you work frequently. Instead of digging for its shortcut, you could pin it to the new Start Menu. How, you might ask? As long as you're NOT using the Classic Start Menu in Windows XP, you can right-click on a program's shortcut (or the direct executable) and select 'Pin to Start menu' from the list of options. Are you tired of seeing a certain link in there? Right-click on it and select "Remove from This List" to delete the icon. You can always tweak the number of programs to be listed in this section by right-clicking the Start button, selecting Properties, clicking the Customize button, and entering a number (up to 30) in the first field.


It's an ingenious workaround

7th December 2001

When I'm looking for cool new stuff to feature, I like lurking in the Lockergnome newsgroups and chat room. There's great stuff in both places, ya know? Well, sometimes I'm faced with a plain link that I'd like to keep as an Internet Shortcut. It's not easy to do if all you have is plain text. You can't right click and "Save Target As" an MP3 file; it should start streaming in your default media player when you single click the link (that isn't a proper hyperlink on a Web page). Have you ever needed to create a bare- bones HTML document with just that single link in it? Put down Notepad, folks. Here's a spin on an earlier GnomeTIP, as suggested by TGC (The Gnome Collector). Either in Internet Explorer's address bar or the Run command field in the Start Menu, enter: "about: <A CLASS=URL HREF="link"> name </a>" (sans spaces and quotes). Obviously, you'll replace [link] with the full URL, including the "http" part. The [name] variable can be just about anything, as it's what you'll be right-clicking on to "Save Target As" after the impromptu page pops up. It's an ingenious workaround.


Kodak Imaging Application

10th December 2001

Kodak did a wonderful job on their Imaging Application (which comes bundled with Windows 98 and Windows 2000). As I archived more and more black and white documents, I came to appreciate its power. Sadly, this utility does not exist in Windows XP. There's no KODAKIMG.EXE or KODAKPRV.EXE to be found! My heartfelt thanks goes out to Lockergnomaniac John Hunter, who found a solution for those of us who miss our dear old app. We agree that the new "Windows Picture and Fax Viewer" sucks. If you have a Windows 2000 CD, copy the following files from the disc: OCKODAK.DLL, OIENG400.DLL, OIPRT400.DLL, OISLB400.DLL, OISSQ400.DLL, OITWA400.DLL, OIUI400.DLL, IMGCMN.DLL, IMGADMIN.OCX, IMGEDIT.OCX, IMGSCAN.OCX, and IMGTHUMB.OCX. Note that these files may still be compressed in the "**_" format.

You will need to use either the EXPAND.EXE utility or WinZip to uncompress them. If you have a Windows 98 CD, copy those same files PLUS the following: OIADM400.DLL, OICOM400.DLL, OIDIS400.DLL, OIFIL400.DLL, OIGFS400.DLL, IMGSHL.DLL, and IMGOCXD.HLP. In both cases, you should place all of them inside your System32 folder. Now, it's time to register the OCX files. Tap Winkey+R to launch the Run applet and then enter: "regsvr32 imgadmin.ocx" (sans quotes). Do the same for imgedit.ocx, imgscan.ocx, and imgthumb.ocx. Remember, to unregister an ActiveX control, you only need to trail regsvr32 with the "/u" switch. Be sure you've copied over the aforementioned executables to your System32 folder. They should work now! NOTE: You may need to launch the Kodak program to see if there are any other files missing from this procedure.


A little Flash animation

11th December 2001

There's nothing wrong with wanting a little Flash animation in your life (or in your Web browser). Lockergnomie Paul McNeely was having a problem with the world's most popular plug-in a few weeks ago. The software was already installed, but Internet Explorer didn't believe it. "I went to Web sites that would check for Flash and they would spit back an error page with a link to Macromedia. I clicked on the link and tried to install the player, but since it had already been installed, I saw the 'everything is working properly' animation." He started fishing around on his hard drive, and eventually found his way to the C:\ Windows \ System \ Macromed \ Flash directory. Well, Paul deleted the "swflash.ocx" file that was sitting inside there (his Flash directory). This allowed him to return to Macromedia's site and install the software (again) properly. It also returned full functionality to those Flash-enabled sites. As a side note, Windows 2000 and XP users will find most of their "system" stuff now sitting inside the System32 folder.


XP broadband connection?

12th December 2001

Are you "at home" with your broadband connection? No pun intended. Windows XP may be cutting 20% off the top. Unless your computer is a server of sorts, it has been recommended that you turn off QoS (Quality of Service). As Lockergnomie Leslie Smith relays: "The QoS 20% reservation in XP is mostly for its services - like Automatic Updates and various server functions. This sort of thing is done by Windows XP through the Network component known as the QoS Packet Scheduler. Look in the Properties page of your connection under My Network Places. XP still reserves this bandwidth for itself even if you don't have QoS running. To get that reserved bandwidth back, enter "GPEDIT.MSC" from the Start Menu's Run command to bring up the Group Policy Editor. Then, look under Administrative Templates \ Network \ QOS Packet Scheduler. Right-click on the "Limit Reservable Bandwidth" option and select Properties. Enable it. NOTE: enabling this won't limit your bandwidth, it just turns on the component that allows you to change the amount reserved. Now, change the amount reserved to 0% and click OK. Some systems may need to reboot to see the effect. This won't increase the speed from your ISP, but will speed up overall throughput on your PC.


IE's Content Advisor

13th December 2001

Every once in a while, I'll come home and find Sprocket messing around on my computer. He's usually visiting sites that he shouldn't be visiting. We all know about Internet Explorer's Content Advisor (Tools | Internet Options | Content). This feature may have been turned on inadvertently, or you may have forgotten the password to access those "restricted" sites. Heck, you may have never even set a password, and it may have started asking you for one. We can fix this in a few steps. Either download X-Setup from XTEQ.COM and navigate to Internet \ Internet Explorer \ Other \ Internet Filters and press the "Delete Internet Filter Password" button. Or, if you don't have access to this tweaking tool, fire up your Registry editor and find your way to HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows \ CurrentVersion \ Policies \ Ratings. If you find either a "Key" or ".default" entry, you'll want to remove them. Feel free to export them as REG files before deleting them. If either of these solutions does not help, you may consider searching for and removing the "RATINGS.POL" file that's sitting somewhere in your Windows folder hierarchy. At this point, your Content Advisor should not be bothering you anymore.


Don't have an email anti-virus?

14th December 2001

For as much heat as we give Microsoft for developing their own brand of services for the world, they can be helpful at times. Scenario: you've just received a small executable file from a friend. He says his "e-card" is perfectly safe, but you want to double check for good measure. What happens if you don't have an anti-virus program installed and running? What if you're not on your home machine? Simply forward the attachment to your Hotmail account. If you don't have one, get one (or share one with someone else). Why? Because it will automatically scan your incoming messages for known viruses! There's no need to install any extra software or services on your computer or account; this is done automatically through Hotmail. It should be safe(r) to login to your account and save the attachment from there. In fact, all attachments sent from your Hotmail account will be scanned for known viruses, as well. They're using McAfee VirusScan, but that shouldn't matter too much to you if you're in a pinch and need a quick solution. Again, any other scan would probably require the installation of software.


Exchangeable Image File

17th December 2001

Look at a digital picture; what do you see? A bunch of colorful pixels on your screen. Look beyond them and what do you find? Not much, I fear - without the right tool. Most digital cameras will automatically record data into the JPEG header. This is something known as EXIF (Exchangeable Image File). While Windows XP's Explorer can see this information, other Windows users will have to download a third-party tool (most of them are freeware and can be found on Google). How do you pull it up in Windows XP? Well, either right-click on the file and select its Properties, flip to the Summary tab and press the Advanced button. Or, switch the Windows Explorer's view to Details, right-click on a sorting field, then add more (appropriate) fields. Having EXIF info on hand makes it easier to take great pictures. How? Well, let's say you got a great snapshot with the perfect light, distance, etc. Do you remember your camera's settings at the time? I doubt it. EXIF information will tell you just about everything you wanted to know about that particular image: resolution, bit-depth, shutter speed, lens aperture, flash mode, subject distance, focal length, exposure time, metering mode, etc. WARNING: editing or rotating a picture will most likely destroy its EXIF data. For this reason, you'd be wise to always save original digital photos elsewhere.


Shell-integrated CD burning

18th December 2001

Shell-integrated CD burning is still somewhat flaky in Windows XP (even with the latest patches installed). You're almost better off using a certified, non-Microsoft tool to get the job done. A few weeks ago, I couldn't figure out why my operating system wasn't recognizing a CD component for what it was: a CD-RW drive. Ashley Ellerbeck told me to check a certain Registry setting: HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Explorer \ CD Burning \ Drives. Each CD drive will have its own Volume key. Double-click the "Drive Type" value to change its properties. CD-Rs should be set to 1; CD-RWs should be set to 2; non-writables should be set to 3. Even after this setting has been confirmed, I still run into snags when I'm using XP's CD burning task. Sometimes, even though blank media is already sitting in the CD drive, Windows will ask me to insert a valid disc. After ejecting and immediately re-inserting the tray, the wizard will continue through its routine. Weird.


Ways to squeeze speed

19th December 2001

It doesn't matter how cheap RAM gets, we're always looking for ways to squeeze speed out of our system. Fast User Switching may be enabled in Windows XP by default; there's no need for it if you're the only one who accesses your computer. Open the User Accounts applet in the Control Panel. Pick the "Change the way users log on or off" task (highlighted in blue for those using a Classic View). Now, you can take the checkmark out of "Use Fast User Switching" if you still want to see your Welcome screen. If you remove the checkmark from the "Use the Welcome screen" field, Fast User Switching will be disabled automatically. I would also recommend turning off the Guest account if you don't need it for day-to-day operations. It may not consume resources, but it's still a potential security risk. If you ever want to add, edit, or change your Passport (.NET) account, this would be the place to do it. Click "Change Passport Attributes" and remove the checkmarks next to "Share my e-mail address" and "Share my other registration information" for further privacy.


Tricked into signing up

20th December 2001

Too many people are tricked into believing that you need to sign up for a Passport account when you get Windows XP. Wonderful job the marketing folks did, eh? Well, if you don't want to sign up for an account, nobody is forcing you to. At least, not yet. Are you tired of being reminded about signing up? Fire up REGEDIT.EXE and find your way to HKEY_CURRENT_USER \ Software \ Microsoft \ MessengerService. You'll see a "PassportBalloon" binary value in the right-hand pane. Double-click to open it. Now, in the resulting "Edit Binary Value" dialog, press the Delete key and enter: "0a" (that's a zero, sans quotes). This will effectively set the reminder counter to 10 and you won't be bothered with it again. Don't want the Windows Messenger to pop up when you launch Outlook Express? M'kay, in the Registry, get to HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Outlook Express and either edit or add a DWORD Value: "Hide Messenger" (sans quotes). Set this to "2" and you'll be good to go. Thanks to X-Setup (XTEQ.COM) for providing an easier way to get this done. Within that program, you can right-click on a plug-in and select "Information" for details and script code.


New worm on the loose!

21st December 2001

"There's a new worm on the loose! It carries a trojan which will download a virus onto your computer and..." Education is the best form of protection. Installing the latest software patches won't hurt, either. You know nasties by their more common names, though sometimes you'll see them appended with weird prefixes and suffixes. What do they mean? VBS. is a Visual Basic script; W32. is a 32-bit binary aimed at the Windows platform; OM. is an Office Macro virus which could infect Word, Excel, or Access documents; WM. is a Word Macro virus that usually attaches itself to the NORMAL.DOT file; DoS. is a Denial of Service helper; IRC. may very well infect your mIRC scripts. These are the most common prefixes you'll see. What about suffixes? "@m" is a worm mailer which looses itself every time you send e-mail; "@mm" is a mass mailer with which we're most familiar; "Family" designates extreme similarities to another nasty; "Gen" designates a similar threat type; "Worm" represents code that replicates and sends itself over a network. Any additional letter will typically signify a code revision. If you need more information, the keywords are: Virus Naming Conventions.


Defrag restarting?

24th December 2001

Too many times have I seen or heard the problem of Defrag getting to 10% and then restarting. Our solution is usually to reboot and run the system utility in Safe Mode. Sometimes, however, that may be unnecessary. Windows XP users will never run into this problem. However, if you've got 98 or ME on your machine, then pay attention. In the Registry, navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Applets \ Defrag \ Settings. Now, you'll see a list of four important subkeys: Disable loadqm.exe, Disable loadwc.exe, Disable ScreenSaver, and Disable Wkdetect.exe. Guess what you're going to do now? Double- click each of those entries' (Default) values and set them to "YES" (in the right-hand pane). But what else usually gets interrupted with disk activity? Scandisk. So, in the same Applets hierarchy, scroll down the list until you see the Scandisk key. Continue to cascade through to its Settings key and you'll find: Disable loadqm.exe, Disable loadwc.exe, and Disable ScreenSaver. Do the same thing here as you did for the Defrag key. NOTE: this will only suspend operation of those utilities while Defrag or Scandisk are being run. LOADWC.EXE (Windows Update Checker), LOADQM.EXE (Query Manager), and WKDETECT.EXE (Update Checker for Microsoft Works) can safely be turned off in the Startup tab of MSCONFIG. Props to Keith Hall for pointing this out!


An unwanted present

25th December 2001

An ActiveX control installation dialog may look relatively benign. Pressing the wrong button could give Internet Explorer an unwanted present. Companies have resorted to sly descriptions to make you believe that you need to install something. Bah. Only if I know what I'm getting - and if I know I'll be visiting the page again at any point in the future - will I install a third-party plugin. What if you want to remove or update it? Can't do it through the Control Panel's Add / Remove Programs applet. Instead, open the Internet Options dialog. On the General tab, press the Settings button. Now, press the View Objects button. It will pop open an Explorer window containing all of the installed ActiveX controls. Careful about what you delete in here; it may be required for the browser to function properly. Right-click an icon to pull up more options, including its Properties (which lists the program's dependencies). While you're at it, in the Internet Properties dialog, be sure to flip to the Security tab and press the Custom Level button to make sure the "Download signed ActiveX controls" option is set to Prompt. "Download unsigned ActiveX controls" should be Disabled. Thanks to AJ Murphy for the tip!


Cannot find PROGRAM.EXE

26th December 2001

Riddle time: when does an EXE not act like an EXE? When its file association is messed up. But wait! An EXE doesn't have a file association. Or does it? Well, yes and no. The association is... itself. I'm talking about this kind of error: "Windows cannot find PROGRAM.EXE. This program is needed for opening files of type 'Application.'" What to do? Fire up your Registry editor and navigate to HKEY_LOCAL_MACHINE \ Software \ Classes \ Exefile \ Shell \ Open \ Command. Now, whatever value is in there needs to be replaced with the following: "%1" %* (exactly as shown). You should only have to do this when your EXEs have stopped launching properly. %1 in the string defines the object. As a matter of fact, you can also use the %1 trick to change the default icons for BMP, ICO, CUR, ANI, ICL, DLL, or CPL files. Look up at the exefile's DefaultIcon key. See how the data column has a %1? Peruse through the Classes key until you find the filetype name (its extension towards the top of the list will let you know precisely). For instance, BMP is also classified as Paint.Picture. Change its default icon to %1 and you'll have BMP thumbnails in all of Explorer's views instead of the default BMP icon.


NTFS or FAT32

27th December 2001

Installing and reinstalling Windows used to be pretty routine. Ya know, after the thirteenth time, you started to memorize each step. Enter NTFS. It's a newer, more secure, robust file system that will replace FAT32 in a matter of years. In installing Windows 2000 or XP, you have to make a choice whether or not you want to make the move to NTFS or stick with FAT32. If you don't know, don't go (to NTFS). What happens if you find that XP (or 2000) isn't working as well as you'd like it to? More importantly: what if you miss good ol' 98, but your drive was now NTFS? Oops. You'll need to run the Recovery Console to reformat a drive to FAT32. WARNING: this will wipe out all data on that drive. Reboot the computer, making sure you've inserted your XP or 2000 CD-ROM (or the corresponding boot floppy). Tap F10 to continue through the "Welcome" screen. Now, in the Recovery Console, choose an installation and log into it with your Administrator account password. You remember it, right? Type: MAP (and then tap ENTER). Tell it which drive you wish to reformat (in most cases, it will be your C drive). Type: "format C : /fs:fat32" (sans quotes). Tap 'y' to confirm. When all is said and done, type exit to restart the machine. Your C drive should now be back to its original FAT32 condition.


RealMedia a RealHeadache

28th December 2001

We've talked about we how really don't want Real on our systems. A few third-party players were developed to bypass the RealBeast, but they still require the Real codecs to be installed. Never fear, Josh Waggoner says; you just need to copy over a couple of files and Registry settings to be set. Find an old (or virtual) machine to install RealPlayer onto. In the C:\ Program Files \ Common Files \ Real hierarchy, grab the contents of \Codecs, \Common, and \Plugins. In the C:\ Windows \ System (or System32) folder, grab pncrt.dll. Now, navigate to the machine's registry: HKEY_CLASSES_ROOT \ Software \ RealNetworks \ Preferences. Be sure to export three of its subkeys: \DT_Plugins, \DT_Codecs, and \DT_Common. In each case, they should point to the appropriate folder hierarchy (the ones you just copied from the Program Files folder). Copy the three folders and the DLL file back to their original locations (on your primary machine this time). Double- click the REG file to merge its contents into the Registry. Now any third-party player that requires the RealStuff should play your RealMedia without a RealHeadache. RealCool!


Don't be wooed by it!

31st December 2001

Everybody wants something different (though we all want to rule the world, according to Roland Orzabal). I can look at a digital photo and think that it's picture perfect, but someone else might see it having too much of a brown tint. When we go shopping for our own digital camera, however, there are certain undeniable facts. First up: the digital zoom. Don't be wooed by it! For example, this feature might automatically resample a 640x480 image into a 1600x1200 one (the results are overly blurry and semi- pixilated). You can complete the same task by taking a regular digital snapshot then enlarging a certain portion of it with your favorite graphics tool. Another thing to keep in mind: ease of data transfer. If it uses a serial connection, keep searching for a USB one. If it doesn't have removable digital media, hold out for one that does. If you're into instant gratification, consider getting a device with A/V out (so you can preview the camera's contents instantly on a TV set). If you plan on taking any "low light" shots, be sure to get a camera with a tripod thread on the bottom of it. And never, ever settle for second best.


2000

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


January 2000

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Multiple browsers

3rd January 2000

Lockergnomie 'Fistorn' came up with a great idea for those of us who use multiple browsers on our systems. He wanted a way to open Internet shortcuts in either Netscape or IE (or Opera, for that matter) without changing his default browser. Open up the Windows Explorer, go to View, Folder Options, select the File Type tab, then find the Internet shortcut file type. Click on 'New' and add 'View with Netscape' (or whatever your non-default browser is) and set Netscape as the application for that option. Now, when you right-click on an Internet shortcut, you'll be able to open it up easily in IE, Netscape, Opera, etc.. Good call, Fistorn!


More than one e-mail

4th January 2000

Having more than one e-mail address might be handy in certain situations. Instead of forwarding all of them to one central account, you could use different addresses for different applications. For instance, use a Hotmail account for all your e-mail newsletters, a Yahoo account for all your business correspondence, your ISP account for personal stuff, etc.. It's always wise to have more than one way to send e-mail; you never know when a mailbox might run into problems. Don't get a new account somewhere just for the sake of having another e-mail address. That's just silly.


Outlook 98 annoyance

5th January 2000

Lockergnomie Davis Straub (co-author of the best-selling book, Windows 98 Secrets) told me about a killer trick for a major Outlook 98 & Outlook Express annoyance. Have you ever seen those solid lines to the left of your reply text in HTML formatted messages? Here's Davis's way to get rid of them: "after you click 'Reply' and get the vertical line(s) on the left, move your text cursor to the spot where you want to insert a response and press 'Enter'--this will extend the line. Next, click the 'Paragraph Style' button on the OE format bar (notice that there is a dot next to normal). Click 'Normal' and the lines will DISAPPEAR! Be sure to check out http://www.davisstraub.com/secrets/ for the entire OE chapter!


E-mail form output

6th January 2000

I informed y'all about a great utility to make e-mail form output easier to read a few weeks back; those of you who use e-mail forms on your Web pages will want to pay close attention to this tweak. Some Lockergnomies showed me an easier way to accomplish a cleaner message. In the FORM tag, be sure to have ENCTYPE="text/plain" as one of your attributes; this will set up the message to be text-based in nature, without those ugly codes. It's a killer time (and eye) saver.


Command prompt utility

7th January 2000

Lockergnomie Jaron Hendrix reminded me of a killer command prompt utility that comes with Windows 9x: 'START.EXE'. When you find yourself at a Command Prompt (ya know, while you're still in Windows), you can use START.EXE to launch Windows programs. Imagine yourself sitting at the 'C:\' prompt and wanting to open a text file. You would type: "START FILENAME.TXT" (without the quotes). This will only work when you're still in Windows, gang. In fact, for more options, try: "START /?" (again, without the quotes). START using it more!


Live Scrolling

10th January 2000

Lockergnomie Galah Nuga (from Indonesia) has solved a long-time annoyance of mine! If you use Microsoft Word 97, you may have noticed that when you peruse a document using the scroll bar, the visible page doesn't "change" until you let go of the scroll bar button. Well, if you apply this registry tweak, you can click & hold the scroll bar button and get "live updating" in the document window! WARNING: Registry hacking is NOT for novices (proceed with caution). Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > 8.0 > Word > Options. Create a new String value and name it "LiveScrolling" (without the quotes or any spaces). Then, modify it and enter "1" (without the quotes) as a value. The next time you use Word 97, it should work!


ZIP search

11th January 2000

Where did I archive that file? You can use the Windows Find tool to locate files contained within "ZIP" files on your computer. Windows 95 users can hit F3, enter "*.ZIP" (without the quotes) in the 'Named' field, and then type the whole or partial file name in the 'Containing text' field under the Advanced tab. Windows 98 (or IE4) users do the same, except the 'Containing text' field is underneath the 'Named' field. Your search results should contain a list of ZIP files containing the file(s) for which you were looking.


Icon Spacing

12th January 2000

There's a lot of white and wasted space in Windows 9x/NT4. Part of that has to do with the default icon spacing settings. One of the FIRST things I do after reinstalling Windows is set my icon spacing to a more appropriate level. Right-click on the Desktop, select Properties, click the Appearance tab, click on the Item drop-down list, look for Icon Spacing (Horizontal) and Icon Spacing (Vertical). NOTE: write down the original settings in case you want to reverse this later. I've (personally) found that setting both of these numbers to 32 works best. Be sure to refresh (or re-line up) your explorer windows, including the Desktop. It'll save some space.


Resize dialog boxes

13th January 2000

In Windows 95, open/save dialog boxes cannot be resized (without the help of a third-party add-on). However, IE4 and Windows 98 users should be able to resize them instantaneously! Look at the lower right-hand corner of an open/save dialog box--if you see some diagonal lines, then you can easily resize your dialog boxes. Click on a corner and drag it to whatever size you want your dialog box to be--which will make it much easier to view the files within the current directory.


Notepad's hidden tricks

14th January 2000

Notepad isn't as bad as everyone thinks it is. It's small, fast, and (for the most part) efficient. It also has a few hidden tricks up its sleeve. For instance, if you want to insert the time and date, simply hit F5. Or, if you want to "log" the times you edit a particular text file, be sure to type: ".LOG" (without the quotes) as the first line of that file and save it. Now every time you open it up, the current date/time will be automatically stamped into it. Lockergnomie "Ap.Muthu" also brings up a great tip for when you're trying to save textual files without the .TXT extension: when you 'Save' or 'Save As', be sure to put the filename in quotes with the extension you want it to have. Example: "thisdoc.html" (with the quotes).


Blast a new e-mail message

17th January 2000

Coming from the "My Mail Man" department, Lockergnomaster Jake Zoll sends a somewhat simple shortcut. You're browsing the newsgroups and want to blast a new e-mail message to a friend. Open up the Run applet (from the Start Menu) and enter "mailto:" (without the quotes, but with the colon). A new e-mail message window should appear. Now, here's the cool part: you can enter part of someone's name if it exists in your address book and your mail program should automatically recognize it (it works in Outlook and Outlook Express). So, I could enter: "mailto:gretchen" without typing her whole addy, and the message will automatically use to her proper contact info. You can also use this trick in your browser's 'URL' or 'Address' field.


Two pane interface

18th January 2000

Coming from the "Shifty Finger" department, a Lockergnomie finally gets what he wants. By default, the Windows Explorer opens with one pane. Some users prefer the two pane interface when shuffling through their system. To start with the 'two' view, you can right-click on a folder (or Explorer-based icon like 'My Computer') and select 'Explore' from the menu. Or, as this gnomie discovered, you can depress the SHIFT key and double-click the icon to open it. Or, if your mouse is out of reach for the moment, you can always rely on the tried-and-true keyboard shortcut: WinKey+E. Explore your options; find whichever method works best for you. And, for goodness sake, be versatile.


Favorite sites a click away

19th January 2000

Coming from the "Drag Strip" department, Lockergnomaniac Patrick Jarrett has uncovered a great way to keep your favorite sites a click away. And the great thing is, this tip is for both Netscape and Internet Explorer users! You'll need to turn on the Links or Personal Toolbar for this one. Yeah, most of us ignore the feature or turn it off entirely. Think of these bars as the way to get to your favorite sites quickly. Well, if you need to add a link, simply drag & drop it onto the area! Don't like the order? Move them around (by dragging & dropping them). IE users can remove these shortcuts by right-clicking on them and selecting Delete. While you're at it, why not move the toolbars around to your liking as well? To do that... just drag & drop them. Gee, who'd have guessed?


Net newbies

20th January 2000

Coming from the "You Get What You Pay For" department, Lockergnomie Brad Buffington has a warning for the world of Net newbies. Here's what he wrote to me the other day: "I was naive and listed my site with one of those FFA (Free For All) links pages and for the next several days I received 300 - 500 e-mail messages a day! That's CRAZY!" You're right. Getting a link on those kinds of pages isn't gonna do you a bit of good, gang; you could be selling your soul for half a click-thru. What you should be doing is concentrating on building relationships with complimentary services elsewhere on the Internet. That is to say, find sites related to yours, and set up reciprocal links. You'll get more qualified visitors that way.


Virtual dust bunnies

21st January 2000

Spring cleaning comes once a year (or, once a week if you're as obsessive as I am). We run into virtual dust bunnies sometimes. I receive e-mails from concerned gnomies regarding problems with the appearance of random Web pages. If they load fine on my end, I assume the problem exists on the other side. So, what does one do when the browser goes wiggy? Well, a quick flush of the disk cache (and a subsequent reboot) usually takes care of any quirk. If that doesn't work, then perhaps the PAGE is the problem. Or, you may try viewing it with another installed browser. If you're still not seeing what you believe you should be seeing, consider contacting a close confidant (online) and asking him/her to take a peek, too. Troubleshooting is the name of the game...


Respect your privacy

24th January 2000

Even the most strong willed can't resist passing along interesting stuff to their friends and family members via e-mail. Yes, even I have blasted off a few frivolous messages now and again. If it's to one or two people I know (and if we all know one other), I usually enter my name in the 'To' field and every other address in the 'CC' field (Carbon Copy). When I'm mailing multiple users (virtual strangers to one another), I use the 'BCC' option (Blind Carbon Copy). This is a GOOD habit for you to develop. The message will still be delivered to every intended recipient, but their e-mail address won't be shared with everyone else. Do you want people to respect YOUR privacy? Respect theirs; use the BCC option. Not only is it polite, but it reduces clutter.


Beef up security

25th January 2000

Coming from the "You Can't Escape My Clutches" department, Lockergnomaster Stéphane Robiolle beefs up security on Windows 95 PCs. When the login dialog first pops up in Windows, users can hit the ESC key and bypass the routine. I suppose that's a solid tip, but what if you don't want anyone to do that? It'll take a little registry hacking, my friend. Launch REGEDIT and navigate to the HKEY_LOCAL_MACHINE \ Network \ Logon key. Now, in the right-hand panel, look for a key labeled "MustBeValidated" (its contents will be in hexadecimal format). To stop any escape attempts, change the value to "01 00 00 00" (sans quotes). To enable the escape "bug," simply delete that particular key. Be careful not to forget your Windows password!


Time to move

26th January 2000

Moving to the other side of town is bad enough; I can only imagine what it's like to move from one country to another. They say that you're supposed to leave a paper trail. Good idea; when you change e-mail addresses or get a new URL for your Web page, be sure to let people know. I'll concede that it's not always easy to keep everybody in the loop. This is why it's good to keep many lines of communication open at all times; multiple e-mail addresses, Web mail accounts, instant messaging installations. Rule of thumb: share with your contacts at least THREE different ways to find you (electronically). As far as Web site relocations are concerned, you can upload a change of address page to your old URL. Simply create a hyperlink and tell your visitors where your new Web home happens to be. It's common courtesy; who likes hitting a 404?


Eliminate wasted space

27th January 2000

Coming from the "Larger Than Large" department, Lockergnomaniac Vadim Schnoll helps eliminate wasted space. Some of us rely on Microsoft's Office applications to get us through the day. I'm hooked on Outlook 2000 (Internet only), and Word is always a shortcut away. I've got more DOCs on my hard drive than I'd care to count. Have you ever noticed that many Word documents edited with O97 or O2k are (perceivably unnecessarily) bloated? Yeah, take a look. That's what happens when you have the "fast save" feature enabled. With each revision, the file size increases (no matter how much of it you delete). To put a DOC on a diet, open it, then use the 'Save As' option. A new document is created, and its size may shrink considerably.


HTML mail signature

28th January 2000

HTML e-mail messages are all the rage, but not everyone uses an HTML capable e-mail client. Remember that before you click the send button. Now, all formalities aside, let's have some fun! Sure, you could bog the message down with heavy graphics and sounds that will most likely annoy the recipient, but what about making the message a bit more personal? Allow me to illustrate. Type out your name in Notepad. Okay, now autograph a piece of paper. See the difference? Great! Now, take that signature and throw it into your scanner (or use your friend's). Save the output as a tiny GIF image (legible, not too large), and use it in your default HTML mail signature. It's just one more way of putting a bit more of yourself into your electronic communications.


Where Did It Go

31st January 2000

Coming from the "Where Did It Go" department, Lockergnomaster Chris Douglas found another way to find stuff. Admittedly, Lockergnome's current 'search' script isn't that robust. Never fear, we're working on an upgrade. Until that happens, however, you may wish to use this method to peruse the archives. Fly on over to ALTAVISTA.COM and enter the term as follows (without the quotes): "host:lockergnome.com +1999 +weekly" -- on the same line, type a plus sign before each of your keywords (+mavica, +silicorn, +farmer, etc.). The results will be more promising than what I can offer you directly at this point. NOTE: the four-digit year (1996 or later) may be used, and the term 'weekly' may be interchanged with 'daily' as well. Play with it; see what works best for you.


February 2000

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


The wacky world of Windows

1st February 2000

The world of Windows is wacky. Some say it stinks, and others can't give it enough praise. Most of us fall somewhere in the middle. When it's doing what we want it to do, we're happy. But the moment something crashes, we're screaming bloody murder. Outdated applications may be causing more problems than you think. Windows programs can be divided into two classes: 16-bit (older) and 32-bit. How can you tell the difference between the two types? If you're not adept at interpreting the UI, you've got a program that'll help you ascertain a 'bit' of info. Use Quick View lately? Try using it on an EXE file. Immediately, you'll see the program's designation (plus the calls it makes to other system components). A 16-bitter? See if there's an update available, or perhaps a 32-bit alternative. Just wait until 64 hits the mainstream market!


Souped-down version of Alexa

2nd February 2000

You may not know this, but you're in a rut. Do you visit the same sites every time you get online? That's not really a problem, but you're not maximizing your Internet experience. Newer browser versions have this nifty little built-in tool that will allow you to explore 'related' sites. So, the next time you visit an interesting Web page, use the 'What's Related' button (option) in your browser. IE will go through a souped-down version of Alexa, and Navigator will default to the Open Directory project (and a few others). Most people never use (or even look at) this feature. Sounds like a simple enough trick, but you'd be surprised what a little serendipitous surfing will do for ya. You never know what's hiding behind the next URL.


Custom Built Clicks

3rd February 2000

Coming from the "Custom Built Clicks" department, Lockergnomaniac David McDonald picks apart some pixels. There's nothing wrong with being a PC purist. Some of us want things done to our specifications, or we'd rather have them not done at all. Microsoft made the Windows Explorer 'Web view' look a certain way, but there's a simple way to change those graphics. Backup your Web folder (which sits within the Windows folder) before doing anything. Now, go into the Web folder and you'll see a hidden BMP file named: WVLEFT. Edit it to your liking (without altering the dimensions) and after you save it, you'll see the results immediately. Feeling adventurous? Take a peek at what else is in the 'Web' folder. Don't change anything if you don't know what you're changing, though.


End-all be-all browser

4th February 2000

Internet Explorer isn't the end-all be-all browser; it still gives me a headache every once in a while (although I haven't gotten to the point where I'm ready to uninstall it). Sometimes I need to see the true URL for a download (so I know what to pass along to you). JavaScript and server side redirects don't always make it easy for me. The only [non-third party] workaround I've found for uncovering the true location for a 'hidden address' file is via the Autocomplete feature. Go to the Address bar, cut off everything past the TLD extension (.com, .net, .org, etc.), and wait a few seconds. Press the 'down' cursor key, and previously explored pages from that site should start appearing (they're in your history, though not always accessible). You may have to type letters or numbers to get the ball rolling in some cases, but you'll find what you're looking for eventually.


Upgrades are inevitable

7th February 2000

Upgrades are inevitable. So what do you do with the old parts? Sell 'em? Trade 'em? Give 'em to friends? Sure, or you could install a few of them into your new system. Did you get a new monitor and video card? Don't lose the old ones yet. Start operating with two screens; in Windows 98, you can install a second (PCI) video card and attach a monitor to it. Although newer units (with fresh, solid drivers) shouldn't have problems, be sure to check with the hardware manufacturers beforehand. What can you do with that second screen? Plenty! I love having a Web browser maximized over there. I can launch links from my main monitor, and they'll pop up in the auxiliary one. Programmers and Web designers love this kind of setup, too. The more space, the quicker you can finish the race.


Webcams

8th February 2000

Now that I've got two Webcams running on my site (an Intel PC Camera Pro and a 3Com Homeconnect), I'm having to watch what I do in front of my computers. Of course, they're really there so that YOU can watch what I'm doing. My life (honestly) is not that exciting. So what good is having a Webcam? Good question. Let's say you're trying to sell a grotesque goblet via the Internet. A picture's worth a thousand words; a streaming video is worth a million. Connect with potential buyers and showcase your product(s) in front of your Webcam. They can ask specific questions and see exactly what they need (or want) to see before moving forward with a transaction. On another level, the buyer may be more likely to trust you (now that you've show him/her your ugly mug).


Hidden gem

9th February 2000

Coming from the "Just Because You Can't See It" department, Lockergnomie Andrew Guyton found a 'hidden' gem on his hard drive. "If you use Microsoft Word 2000 to work on any Web pages, you'll notice it opens up a separate program to edit the source code. To use ALL the features of this program, which is called Microsoft Script Editor, navigate to Program Files / Microsoft Visual Studio / Common / IDE / IDE98 and look for the program: MSE.EXE. Sure, it's just another text editor, but it was designed especially for those of us who love working on code in a non-WYSIWYG environment. Notepad may be too simple, and Word may be too much. This makes a decent in-between solution.


Cutting, copying, and pasting

10th February 2000

This trick is truly going to be tricky, so pay attention; it's easier shown than explained. You'll need to be using a text editor with a single-level undo feature for this to work. By now, you've mastered the art of cutting, copying, and pasting. You ain't Yoda yet. Try this: copy text selection A and paste it over selection B. Undo that operation, and while that text is still selected, copy it to the clipboard. Now, undo THAT operation and you'll have the changed the text (from B to A) as well as copied a new string (B) to the clipboard. Effectively, this allows you to overwrite text (B) and allow you to copy it (B) with the minimum amount of hassle. Where is this practical? When you've got to flip-flop passages without skipping a beat (between two fields, pages, etc.).


Pathetic background image

11th February 2000

That background image looks pathetic. Don't you want something better than those familiar 'windows' clouds for your Desktop? Removing the wallpaper graphic may actually increase speed in certain instances (especially in older video cards with limited memory). They're just for looks, anyway. Or are they? Open up your favorite graphics editor and create a new image the same size as your Desktop (640x480, 800x600, et al). Now, draw designated sections for the icons you're already keeping on your Desktop. Make a blue sector for your Internet stuff, red for documents, yellow for temporary objects, etc.. Save that image as a BMP file, put it in your Windows folder, then use it for your wallpaper. See, you can have fun and be functional at the same time!


Edit CUSTOM.DIC file

14th February 2000

I can't count how many times I've reinstalled Windows in my life. Of course, with this, there comes reinstalling every program (I always do clean installs from outside the Windows shell -- at the DOS command line). Microsoft Office is one of the first things to come aboard the fresh installation. However, I used to forget to copy over user-defined files -- like 'CUSTOM.DIC' (which contains personal words to be skipped by the spell checker). I put that file into 'My Documents' and haven't had a problem. Ever inadvertently added a misspelled word to your custom dictionary? It's easy to remove; again, find the CUSTOM.DIC file and throw it into Notepad. Then, delete the line containing the word you no longer want your autocorrecting Office apps to ignore.


Keep it cool

15th February 2000

The great thing about having geeky friends is that they may know something you don't; while you may have mastered Napster, good ol' Christine may have TCP/IP under her thumb. Lucky for me, David did something I wasn't expecting while he was visiting; he put an older CD-ROM into Mr. Bigglesworth to make CD burning more efficient. Before putting the case back together, he removed a couple of metal tabs (once covering separate PCI slots). Being the curious sort, I asked why. "Cooling," he answered. "Oh." That makes sense, actually. Yes, ya gotta keep your internal hardware clean, but when you have too much of it, heat becomes an issue. Random OS lockups and irregular program crashes will ensue if things get too hot in the kitchen. Before buying another heatsink or fan, try removing a couple of tabs. Or, if you're CAREFUL, keep the cover off your case to keep it cool.


Free ISPs popping up

16th February 2000

As you recall, we blasted off to Chicago the other week. We packed our socks, dress pants, and a few toiletries. But what about our Internet connection? None of us had a national ISP, and we really didn't want to get one. Hrm... perhaps we could borrow a friend's? Nah, that's always a pain to coordinate (and I hate to impose). Wait a second... there are free ISPs popping up left and right nowadays! Within minutes, I had downloaded and installed a client that had free dial-up access in the Chicago area. It worked perfectly. If you're on-the-go in the states, or you need an alternative way to get online (for troubleshooting or otherwise), check out one of those free Internet services. DOTNOW.COM, NETZERO.COM, FREEI.NET, ALTAVISTA.NET, and even THESIMPSONS.COM will most likely fit the bill. Or, lack thereof (as the case may be).


You're playing with fire

17th February 2000

The system registry is most certainly not a toy; one wrong move and you can effectively break Windows. It's a calculated risk, but one worth taking at times. Launch REGEDIT.EXE to take a look at your OS's innards; it has more keys than the average custodian. You should always make a backup of the SYSTEM.DAT and USER.DAT files before doing any diving. There's another way which may be quicker (and slightly more efficient). You can delete any component in the registry, but you can also save it beforehand. Select a branch you're thinking of removing, but before you do -- export it into an appropriately-named REG file. Upon completing that operation, you're in the clear. If your hack doesn't work, simply 'Merge' the REG file back into the Registry. Of course, it may take a reboot or two for Windows to run properly again, but without this additional safeguard, you're playing with fire.


Internet property

18th February 2000

Everybody's trying to make money with their Internet property. However, there's a right and a not-so-right way to do it. Banner exchange programs are great, but I don't suggest putting fifteen of them in a row on any given page. One or two MAX! And for goodness sakes, don't slap 'em up against one another. Same goes for Web rings; how many do you really need? Now, the easiest way to generate revenue online is through affiliate programs. The idea is somewhat of an electronic finder's fee. However, this doesn't mean you should cram your codes down everybody's throat. There are times when you won't want to use an affiliate link. When communicating via e-mail, think twice before passing along a traceable URL; don't get greedy. It's not very professional. Again, there's a time and place for everything.


The Canadians are gone

21st February 2000

The Canadians are gone, but that doesn't mean I haven't stopped needing the home network. Thanks to the Aviator wireless devices (using radio waves, they're safe), we've got the ability to access the Internet anywhere in our house -- without a cord. In the summertime, I'll be able to... sit right next to the air conditioner. Gretchen's PC sits upstairs; when she's there and I need to get ahold of her, instead of yelling or asking her to launch an instant messaging app, I simply create a new shortcut on her Desktop and rename it to my short message. "Let's go out to eat tonight.txt" may not contain anything inside, but she gets the message loud and clear. Providing her Desktop is clean, of course. To make this process simpler, you can create shortcuts to the respective Desktops on your network. This makes it easier for transferring files back and forth. Heck, throw another one in the SendTo menu while you're at it.


Aren't You a Little Short

22nd February 2000

Coming from the "Aren't You a Little Short for a Shortcut" department, Lockergnomaster Bill Davis has outsmarted his system. When trying to save a file from any given program (like IE, OE, or Word), the 'Save File' dialog usually opens in a default folder (like Windows, My Documents, or the Desktop). If you always save files in another folder [Folder X] put a shortcut to that folder [Folder X] in the folder that opens up in the program by default. To make the shortcuts easier to find in the dialog, start out the file name with an exclamation mark; these folder shortcuts will always be at the top of an alphabetically sorted listing. When prompted, double-click on one to be transported to the desired folder in a instant -- even if it's on another drive or networked computer.


Don't curb your printing habits

23th February 2000

In case you hadn't noticed, the "bubblejet" ink in your cartridge(s) isn't abundant. Refill packs are available, but they're not always practical. You don't have to curb your printing habits, but you should at least tweak your printing options before spooling jobs. Use 'Economy Mode' when it's not a 'final' draft, lighten the black intensity (saturation), but most importantly -- don't print in color if you don't need to do so. If your printer can't handle two cartridges at the same time (black and color), be sure to use the black one unless you NEED color. Remember, color ink is more expensive. Having a dual-cartridge peripheral can save you time, energy, and money. Print more often than you leave your house? It may be smart to invest in a laser printer (the smartest hardware upgrade I ever made).


See the registered updates

24th February 2000

Coming from the "Duplicate Checks" department, Lockergnomaniac Kent Kolstad uncovers yet another installed application. I bet you've updated a system file or two since installing your OS (whether knowingly or not). Nobody's stopping you from checking to see what's changed; isn't there an easier way to interpret log files for service pack installations? Dating back to the first SP for Windows 95, here's a utility that offers insight (for troubleshooting purposes). Open the Run command in the Start Menu (or use the keyboard combo WinKey+R) and enter the following: "QFECHECK" (without the quotes). Don't expect to learn much more than file version info from this puppy. If installed, the Update Information Tool will launch; you'll immediately see the registered updates, but that may not be a comprehensive list. To add more, flip to the second tab and press the 'Search' button.


Scattered across your system

25th February 2000

When was the last time you registered a piece of shareware? Be honest -- I just installed a lie detector on my laptop. Okay, so you don't register everything you download -- that's okay. But I bet you have a pile of LEGITIMATE serial numbers and codes sitting somewhere in your closet. Or, perhaps they're scattered across your system? Captain Obvious to the rescue! Have one file sitting in your 'My Documents' folder -- name it CODES.TXT (or the like, as long as it's a text file). Now, go ahead and put "everything" in there. This way, you won't have to go hunting for numbers when you do a reinstall. As the file grows bigger, you'll have to rely on the 'Find' feature in Notepad (or your favorite text viewing app). I'd suggest writing down the program name, version, Web site, e-mail contact, and (the obligatory) serial number.


Coming Attractions for the PC

28th February 2000

Coming Attractions for the PC? Well, kinda. Before you hit that print button, you better make sure you know what that document is gonna look like. For this reason, I always suggest using the 'Print Preview' option whenever it's available. This may save you more than a few sheets of paper; your time, sanity, and resources will not be wasted. The editing environment may give you the option of seeing the document in a true formatted (WYSIWYG) fashion, but it never hurts to go through that extra previewing step. This applies to printing images as well; you may wish to scale (resize) or modify the position of the graphic before it's sent to the printer. This may also be a good time for you to choose the paper orientation -- landscape (long) or portrait (tall)?


Make it your own, people!

29th February 2000

Make it your own, people! I don't know how many times I've looked at someone's Desktop and seen the default options. If you don't need the text accompanying the icons in an Explorer toolbar, turn them off. Then, drag and drop the different toolbars to put them in a more convenient (and screen real estate saving) position. Select 'My Computer' and press F2 to rename it to something a LOT more personal. Access extended options by opening the Windows Explorer and selecting 'View' then ''Folder Options.' From there, you can toggle single-click object operations, single window folder exploration, turn off (!) the 'Web View' feature, etc.. The 'View' tab holds even MORE secrets; unhide all previously hidden files, toggle easy path viewing, turn on file extensions, etc.. Go! Go now!


March 2000

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Windows setup routine

1st March 2000

Coming from the "How Hard Is Your Disk" department, Lockergnomie Ted Taylor sails through his Windows setup routine. You've probably got your Windows installation CD sitting somewhere nearby; if not, check for the Windows > Options > Cabs folder. Assuming you have enough disk space (or another hard drive), copy the files from the CD's \Win9x to \Win9x on your hard drive. From there, you can run SETUP.EXE. This'll make your Windows installations fly! Once fully installed, you can keep the \Win9x on your hard drive -- or you remove it and modify the registry key: HKLM \ Software \ Microsoft \ Windows \ CurrentVersion \ Setup \ SourcePath="X:\WIN95\" (X represents your CD drive letter). This way, if Windows needs the setup files in the future, it'll look for them first on the CD.


Excel-lerate your Access

2nd March 2000

Time to Excel-lerate your Access; Word to your mother, homely. While I'm still getting on your case about customizing Windows to better suit your tastes, let me pull on the ear of the Microsoft Office user. You can customize those programs, too, ya know? Okay, so what's stopping you? Take an hour out of your weekend, right-click on one of the Office apps' toolbars, select 'Customize,' then flip to the 'Commands' tab. Wow -- look at all them icons. Drag & drop the ones you want onto your toolbars (situated above the Customize dialog). My favorites in Word: View > Fit To Window, View > Page Layout, Format > Grow & Shrink Font 1 Point, and Tools > Shrink One Page. You can also move and remove icons already sitting in the toolbar (drag & drop them within or off of the area).


Windows Task Scheduler

3rd March 2000

Coming from the "Don't Be Alarmed" department, Lockergnomaster Steven Groginsky has uncovered another use for the Windows Task Scheduler. While looking for a downloadable alarm clock the other day, Steven realized he had one already installed with IE4/5. Launch the 'Add Scheduled Task' wizard in the 'Task Scheduler' folder > press the 'Browse' button > find your favorite WAV/MP3/MIDI file and select it > set it to perform the task daily > start it at the top of the hour every day > open up its advanced properties > on the 'Schedule tab' press the 'Advanced' button > put a checkmark next to 'Repeat task' and have it repeat every hour (or however often you want to be notified). There are other settings, too -- find what works best for you.


Millions of Windows open?

6th March 2000

Who likes having millions of Windows open? This is why I've chosen to 'Open each folder in the same window' in the Windows Explorer. To toggle this setting, I open the 'Folder Options' from 'Settings' in the Start Menu and press the 'Settings' button therein. Otherwise, getting to a folder 14 levels down can get quite messy. Now, if I ever NEED to open another Windows Explorer window in the midst of navigating, I just depress the CTRL key and double-click another folder. Either that, or (while still pushing the CTRL key) I push the 'Folder Up' icon in the toolbar. If I want to get rid of all those extra Explorer windows I opened, I find the most nested one, depress the SHIFT key, and close the window. Blammo -- they're all gone.


There's bound to be contentions

7th March 2000

When you put two or more pieces of software together, there's bound to be contentions. Some software is more touchy than others; having the latest versions doesn't always guarantee system stability. Your newly downloaded game may be the life of the party... until a renegade application comes along to crash it. "IEXPLORE caused a general protection fault in module CM8330.DRV at 0006:0000196c." Well, General -- I'd like to you to meet Admiral Troubleshooter. Pull up the find applet and look for the 'module' in 'My Computer.' When it pops up, right click on it and pull up the properties. Flip over to the 'Version' tab to see if it has a description. Ah, 'CM8330.DRV' is for the sound card! NOTE: this tip won't always work, but it may come in handy once or twice.


Would-be wallpaper vandals

8th March 2000

Coming from the "Read Only My Lips" department, Lockergnomie Troy McCraw stops would-be wallpaper vandals. "I work for a school system and the students are constantly using the 'Set as background' feature in Internet Explorer. This was a mess until we figured out how to lock it down. Find the file named 'Internet Explorer Wallpaper.bmp,' right-click on it, pull up its properties, then put a checkmark in the 'Read-only' box. The 'Access Denied' message will show up should anyone try to overwrite it now. We've even renamed the 'attrib' command on the lab computers, just in case someone tries a more obscure route." This works just as nicely in a home environment; use the Read-only attribute on files you don't want to change. That tactic may just save your skin.


Add a site to your Favorites

9th March 2000

Where's your favorite place in the whole, wide world? Yeah, me too. Since neither of us can be there at this very moment, we'll have to turn to a few of our OTHER favorite things. When you add a site to your Favorites folder, the shortcut is set to the document's original title. You can rename that! Just as you can do in IE5's Start Menu, right-click on a favorite Favorite and select 'Rename.' Now, give it a memorable name, because you can use it on the Address line for easy no-click access to the URL. So, rename 'Who Was Looking for 143' to 'Irving' (something you're more likely to remember). If you have AutoComplete turned on, when you start typing 'Irv,' a list will unfold; you can use your cursor key to select the appropriate Favorite.


Stop dialing into the Internet!

10th March 2000

Stop dialing into the Internet! Wait, I'm not talking to you -- I'm talking to my applications. Some users choose to read mail and Web pages offline (to save money on connection charges). However, not everyone turns of auto dialing functionality. If you're using IE5, open 'Tools,' 'Internet Options,' then go to the 'Connections' tab. Now, tell it to 'Never dial a connection.' You're not done yet -- open up My Computer and get to the Dial-Up Networking folder. Select 'Settings' from the 'Connections' menu; in that dialog box, select 'Don't prompt to use Dial-Up Networking.' If all else fails, change your e-mail account settings to 'LAN' instead of dial-up within your default mail application. Yes, this tip has been explained before, but how quickly we forget.


Virtual memory

13th March 2000

This tweak is definitely one to pass along to friends. Windows 98 accesses your swap file (virtual memory) before it runs out of RAM (physical memory) -- which, from a user's point of view, is completely nuts. Virtual memory will always operate slower than physical memory, so why does Windows 98 insist on using both? Frankly, I don't know. According to article Q223294 in the Microsoft knowledge base, this new method is more efficient. Uh huh. Thank goodness they've posted a fix! Yes, if you have more than 64 megabytes of RAM and you're running Windows 98, you'll wanna give this a shot. In your SYSTEM.INI file, under the [386Enh] section, enter: "ConservativeSwapfileUsage=1" (without the quotes). Reboot, and I believe you'll find your system more responsive. Your mileage may vary!


How do you spell relief?

14th March 2000

Coming from the "Blame Default" department, Lockergnominstrel Wayne Haynes has submitted our first Windows 2000 tip! When he launched a couple of 16-bit programs, they would act like they were going to start, but would suddenly stop. Others would actually GPF (blaming NETVDM.EXE). In an obscure reference in one of the troubleshooters, it noted that some 16-bit programs 'MUST have a DEFAULT printer installed' before they could operate. Wayne then went into his printer folder and set an active printer as the default one. Lo and behold, all of his legacy applications ran without a glitch. How do you spell relief?


A bi-annual routine

15th March 2000

As mentioned in previous issues, reinstalling Windows has become a bi-annual routine for some of us. With every installation, I've learned something new. Shaun had to do the deed this past weekend; in fact, he had to do it twice in a row. Why? He forgot to unplug his USB devices before starting. Yeah, if you've got non-essential USB peripherals, be sure they're not plugged in when you're running setup outside the Windows environment. Obviously, USB keyboards and mice don't count in this instance. USB scanners, modems, printers, hubs, webcams, et al should not be attached to your system during initial hardware detection stages. Install those once your OS is up and running; you'll encounter less 'weird' hardware contentions this way.


Using e-mail clients

16th March 2000

Mail clients have developed steadily over the years. I accessed my first e-mail account through a VMS shell; there were no icons to press, no toolbars to consult. Today, most of us are using e-mail clients which have the ability to preview messages before they're opened. This feature can save time and energy. However, this routine may byte you in the ASCII one day. Text messages typically aren't a problem, but it's a different story when HTML e-mail and/or attachments enter the scene. There are scripts which will execute automatically upon opening a Web page (or mail message, as the case may be). For this reason, you might think of turning 'auto-preview' OFF. Or, peruse your mail account first with a POP3 checker or command-line mail client; delete ALL suspicious messages before downloading them. Again, let this be a warning to you.


There's always room for dessert

17th March 2000

There's always room for dessert. Did you know that there are some pies hidden within Windows? They don't come with whipped cream; they're more functional than they are flavorful. Open up 'My Computer' and select all your drives (hard, floppy, CD, mapped, etc.). Now, right-click on one of them and select 'Properties' from the menu. Up pops a multi-tabbed dialog with 3D pie charts (showing disk space usage) and other drive details. It's not an end-all be-all information provider, but for a quick-and-dirty solution, it works well. This tip sure takes the cake!


System Tray clock

20th March 2000

Sure, the System Tray clock isn't known for its extensive configurability, but it comes in handy when you need a simple reminder. Hover your cursor over the time for a few seconds and the date will pop up in a ToolTip. Now, would you like to insert your name (or any other eight-character string) after the current time? In the Control Panel, open the 'Regional Settings' icon, then flip to the 'Time' tab. Change the 'AM symbol' and 'PM symbol' fields to your liking; again, you may use up to 8 characters. It's time to put the 'personal' back into PC.


Power management for your PC

21st March 2000

They've got a free service in Des Moines where you can call up the power company and have an independent representative come out to evaluate the energy efficiency of your home. I bet this is available in your neck of the woods, too. Power management for your PC is important -- especially if you leave your computer on all the time. Are you encountering problems after/during system suspension but don't know why? Throw in your Windows 98 CD and do a search for PMTSHOOT.EXE. After installing, run this troubleshooter during the normal 'suspension' event; it, in turn, will display all relevant information upon coming out of suspension. Each contention will be highlighted in red; this may help you track down the root of the problem.


Scary, ain't it?

22nd March 2000

Double-clicking is as much a part of my daily routine as is brushing my teeth. Scary, ain't it? There's an invisible rectangle limiting the area in which one may perform the second click. By default, the horizontal and vertical values are 4. To enlarge this area (for those of you who can't stop moving your mouse long enough to complete the double-click operation), you'll need to do some registry diving. Click the Start Button, select Run, then enter "REGEDIT" (without the quotes). Navigate to HKEY_CURRENT_USER \ Control Panel \ Desktop; look in the right pane. You should find two existing string values: DoubleClickWidth and DoubleClickHeight. You can change their values to suit your needs; the area is measured in pixels.


Hits your Web site gets

23rd March 2000

Don't tell me how many hits your Web site gets; I don't care. After all, if you have fifty graphics sitting on a page, your logs may show that you had fifty-one hits -- when, in fact, you had ONE unique impression. It's a marketing game for some people, a simple misinterpretation for others. Now, I'm a stickler when it comes to ending links with a slash (when appropriate); there's all the more reason to do so with this secret. Without the ending slash, directory URLs can cause your server to get 'hit' twice. Essentially, doubling the server load and giving you incorrect stats. So, when you link to a site, or use a URL that ends with a directory, do NOT forget to add that final forward slash! Castigate others for linking to your site without the slash -- and be sure to tell them WHY. With your help, we can make these lazy habits disappear.


Problems with your X

24th March 2000

Coming from the "Indirectly Responsible" department, Lockergnomie Michele Bizub brings to light some internal assistance. Having problems with your DirectX games? First, are you running the latest version of DirectX (7.0)? Second, have you tried the handy-dandy DirectX diagnostic utility? Click the Start Button, select Run, then enter "DXDIAG" (without the quotes). It'll run through your system, provide detailed DirectX driver information, and allow you to test each component for compatibility problems. If you do run into a snag or two, you'll want to check that manufacturer's Web site for the latest 'certified' driver update. Or, possibly downgrade to a DirectX driver that may be more stable than responsive.


Windows login box enabled

27th March 2000

Coming from the "But This Car's Made For You" department, the Lockergnomie known only as Vex:Oratoba has arranged the perfect (specific) task-centric system. If you've got your Windows login box enabled, you can create different user profiles. This way, Dad's Desktop can be different from Mom's. But, even if you're the only one using your PC, several profiles may prove beneficial. You could set up logins for "Programming," "Graphics," or "Gaming." Each Desktop could be laid out with a different set of files, folders, and shortcuts. The possibilities are (obviously) endless. It's kinda like a poor man's 'virtual Desktop' service.


Microsoft Outlook 2000

28th March 2000

You know by now that I'm using Microsoft Outlook 2000 for my Personal Information Manager (PIM). In most modern e-mail apps, you have the ability to manage several folders. Though, not all clients operate in a multiple document interface (MDI) environment. Outlook, for example, allows you to peruse only one folder at a time. To get around this, open a message in Folder A (and keep it open as you switch to Folder B). You can continue to do this ad nauseam; in essence, you can use the previous and next message buttons in the open message window to flip between messages in its respective folder. You could say that it's finally possible to be in two places at once.


Inefficient mouse

29th March 2000

When working with text, the mouse is extremely inefficient. You'll waste less time if you start relying on keyboard shortcuts for cursor manipulation. Need some help getting started? In rich text environments (like Outlook Express, Microsoft Word, etc.), SHIFT will traditionally 'select' and CTRL will 'move.' CTRL+BACKSPACE will delete entire words at a time; CTRL+HOME will take you to the top of the document; CTRL+SHIFT+HOME will select all data between your cursor and the top of your document (END will take you to the end); CTRL+LEFT CURSOR will move you one word back (and RIGHT will move you right); SHIFT+HOME will select all text in that paragraph/line. Don't dismiss these tips; you could be spending more time eating lunch.


Update your address book!

30th March 2000

I haven't lived in Cedar Falls for years; time to update your address book! When was the last time you did that, anyway? Adding (or getting updated information from) someone is a breeze; I send an e-mail message to an individual after inserting a certain signature file (which includes my contact info as an example). Recipients can reply to that message and enter their info with ease. "Name? Birth date? Job Title?" No problem. Some people are content to send their vCards along (which makes data easier for import). Don't have a vCard viewer? Again, no problem. It's a simple text file! Open it up in Notepad, then cut/copy and paste the appropriate info.


Seldom used Windows feature

31st March 2000

Coming from the "Better Than Paneling" department, Lockergnomie Jari Tiikkainen reminds us of a seldom used Windows feature. With IE4/5 installed, we can customize the look of every folder on our system. It's super simple to set a background image in an Explorer window. Right-click on a blank space in an open folder. Now, select 'Customize this Folder' from the menu. We're looking to 'Choose a background picture' here (before pressing the 'Next' button and browsing for an appropriate image). So what? Is this feature functional? It can be. You can use solid color graphics to help define folders. Red for 'sensitive' folders, Black for 'data' folders, yellow for 'media' folders, etc.. Or, just use a picture of your aunt Loretta.


April 2000

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Lack of driver support

10th April 2000

Coming from the "Driving Miss Windows" department, Lockergnomer Reuel Miller has stumbled upon a way to beat the system. While Windows 2000 is best suited for the corporate environment, a few EXPERT home users have installed this new operating system with great success. So, what's the biggest drawback? Lack of driver support. Never fear, for I've been told that the W2k driver model is based on the Windows 98 spec. Which means: if you can't take the preferred route, you may try driving down another road. The W98 drivers may work better than the NT4 ones in W2k. I suppose it's worth a shot if nothing else is working for ya. Nothing's more frustrating than a Sunday driver.


Private cell content

11th April 2000

Coming from the "Eyes Wide Shut" department, Lockergnominion Fred Wilkinson learns how to keep data somewhat secret in Excel. There are times when you need to know the answer, but don't want any one else to see it. Wanna hide cell content in the spreadsheet and from the printer -- but not in the Formula bar? Select the cells you're wishing to keep private, open the 'Format' menu, click 'Cells,' and then flip to the 'Number' tab. In the 'Category' list, click 'Custom.' Then, in the 'Type' field, select the existing codes and press the BACKSPACE key. While still in the field, enter: ;;; (three semi-colons). If you edit anything else in those cells, be sure to do it in the Formula bar.


MIME bloat

12th April 2000

Coming from the "It's Not The Same" department, Lockergnomaster Jim Kraai reveals a lesser-known Internet truth. We were sitting around the grill the other night talking about neat Web services; I brought up EMAILFILE.COM. "The only downfall," I said, "is that the MIME encoding bloats the attachment's size." Jim said that you're getting 'MIME bloat' when you transfer files via the Web. FTPing stuff is a completely different scenario. Long story short: the file size may be the same, but you're transferring less data if you download via FTP as opposed to HTTP. This does not imply that you'll receive things more quickly when you're FTPing, but it's food for thought.


Finding the right mail

13th April 2000

Coming from the "Who's Got Mail" department, Lockergnomie Mike Saul discovered that change is good. You may still be in the process of finding the right mail client for your needs. If you're frustrated with the lack of functionality, then switching to a newer (or possibly older) program may be worth your while. However, you'll need to "notify" your browser of this change. In IE, select 'Tools' then 'Internet Options.' Flip to the Programs tab (if it exists in your version). At this point, you're able to select a default (installed) mail client. Failing to do so may cause errors (or non-desired programs to launch) when you click on any 'mailto' hyperlink.


Cookie stats

14th April 2000

Coming from the "Avoiding Dessert" department, Lockergnomite Charles Phoenix passes along a novel way to keep Web sites from collecting certain stats. Cookies aren't half as dangerous as the radicals would lead you to believe. Yes, that's just my opinion, but since when has knowing what one's browser type been an issue of national security? Internet Explorer users have the opportunity to ban sites via the Security tab in the Options dialog. Another quick way to get to your security options is by double-clicking the 'Zone' icon in the lower right-hand corner of the IE Status bar. Select the 'Restricted Sites' icon then press the Sites button. Here you can add any URL -- if you feel it is "peeking" into your personal life. For example, any given 'advertisement' site (I'm not naming names now). Their cookies will be blocked, but the banners will still shine through.


Solitaire lost its digital charm

17th April 2000

Coming from the "Owner of a Broken Heart" department, the Lockergnomaster known only as "CptSiskoX" has stacked the deck in your favor. We've discussed how solitaire has lost its digital charm; Windows 98 comes with MS Hearts. Don't ya love it? Would you like to love it more? For the voyeurs in the crowd, here's a registry hack which will allow you to see your opponents' hands. Fire up REGEDIT.EXE and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Applets \ Hearts. In the right-hand pane, create a new String Value. Immediately rename it to "ZB" (without the quotes); give it a value of "42" (again, sans quotes). The next time you're in a game of Hearts, press CTRL + SHIFT + ALT + F12. There's no way you can lose now.


SYSTEM.INI and WIN.INI files

18th April 2000

At one time, DLLs could not be found scattered across the system; most of us knew what was where and why. Long before the 'Registry' lived and breathed, users relied on INI files to store and recall preferred settings. These puppies are still around. For instance, the SYSTEM.INI and WIN.INI files (which Windows 9x needs). To access either of them, select the Run command in the Start Menu and type: "SYSEDIT" (without the quotes). Ever use the 'REM' command? When you're in troubleshooting mode, instead of deleting a line in an INI file, you simply have to place a semi-colon in the first character space. This will (in effect) cause the line to be ignored. So, before you start making changes in INI files without knowing what will come from them, use the semi-colon character to 'backup' the original setting(s).


A constant (untouched) connection

19th April 2000

Coming from the "Keeping the Dream Alive" department, Lockergnomie David Thatcher suspended windows through the command prompt. Leave your Internet apps alone for longer than a few minutes, and you may lose your connection. There are a few ways to keep it going, even during periods of no activity. One way is to click on the Start Button, select the 'Run' option, then type: "COMMAND" (without the quotes). Once on the command line, type: "PING www.whatever.com -t" (without the quotes). Then, minimize the window (do not close it). If you're in full-screen mode, hit ALT+ENTER to switch to window mode, then minimize it. When you're ready to stop this 'background' process, flip back to it and hit CTRL+C. Now, I'm not suggesting you do this all the time, but it may come in handy when you need a constant (untouched) connection.


System files from CD

20th April 2000

In the computer world, the only time you want to hear the word 'burn' is when you're talking about processor speed or CD-ROMs. Our Canadian friend, Shaun, had to restore some system files from CD the other day. He spent twenty minutes copying from the disc to the drive, and five hours trying to figure out why certain programs weren't working anymore. What the? He hadn't changed anything, the files were copied correctly, and everything was in its proper place. There's one thing he forgot to do -- can you guess what it was, boys and girls? When you copy something from a CD, it's READ ONLY. Which means, files which need to be written to cannot be changed unless this attribute is turned off. He toggled the option and all was well.


Frustrated with Messenger

21st April 2000

Coming from the "Stop Starting" department, Lockergnomie Joachim Ritschmann hacks his way into your good graces. Netscape mail users have been eternally frustrated with Messenger's Netscape.com advertisement (which loads every time). To avoid this, you should edit your preferences file (PREFS.JS) while Netscape is NOT running. Change the following line to reflect your choice: $user_pref("mailnews.start_page.enabled", false);$ (everything between the dollar signs, but not the dollar signs themselves). While you're at it, you can change the Messenger Start Page to any URL of choice by entering the following snippet on one line: $user_pref("mailnews.start_page.url", "http://www.wherever.com/");$ (again, leave out the dollar signs). That'll get you going.


Hovering over the Desktop

24th April 2000

It's amazing how you'll try to do ONE thing with Windows and it'll do something else. "I needed you to close, but if you intend on maximizing, I can't do anything to stop ya." I got tired of using the upper right-hand corner 'X' one night, so I used the classic method of double-clicking the upper left-hand corner icon in Explorer. During this process, my cursor drifted (effectively, dragging while still keeping the left mouse button pressed). To my surprise, when I let go (hovering over the Desktop), a shortcut was created! You can do this in the Windows or Internet Explorer; double-click then drag & drop that upper-left hand icon to the Desktop to create a shortcut for the current folder/page.


Those chevrons are useless

25th April 2000

Coming from the "Not Moving Backwards" department, Lockergnomie James McMillen is keeping your friend's Inbox cleaner. When one replies to an e-mail message (or newsgroup post), it's customary to have the chevron precede the original paragraphs. That's fine; it's good to have visual reminders when receiving responses. However, what about forwarded messages? Those chevrons are useless (they just add clutter) -- so turn 'em off if you can. Outlook 98/2000 users can use independent settings for replies and forwards, but Outlook Express users have to go one way or another (indentation or not). Check your favorite mail client for similar settings; if you turn of indentation completely, be sure you find another way to clearly mark the sender's original text when replying to a message. For instance -- tab your responses and/or put double spaces between paragraphs.


Double check your settings

26th April 2000

Sending e-mail is just about as simple as receiving it. Sometimes, however, people don't respond to your messages. They may not feel the need to reply, or you may have botched up YOUR return address. Ever see a 'non-delivery' error in your Inbox immediately after blasting a message to a buddy? Chances are, there's been a misspelling. Don't count on your friends to point out your e-shortcomings (isn't that what friends are for). Double check your settings. In fact, let's put a spin on this. See the option for having a separate 'reply to' address for your mail account? You can set this to any e-mail address your heart desires -- even someone else's. You can initiate an e-mail to someone, and when the recipient replies, that response will go to another person. The applications for this tactic are limitless.


Spice up your keyboard

27th April 2000

Coming from the "And I Feel Fine" department, a Lockergnomie discovered how to spice up his keyboard. Put your fingers on home row; for those of you untrained typists (hunters and peckers), that means place your left index finger on 'F' and your right one on 'J' -- then your other fingers on the flanking keys. Do you feel anything? On some keyboards, there are bumps on the 'F' and 'J' keys, on others, the bumps can be felt on the 'D' and 'K' (assuming, of course, you're using an 'English' keyboard). What about the other keys you use on a regular basis which aren't in your reach? Would you like tactile 'feedback' from them, too? Whip out a glue stick and a grain of salt (or similar items). You see where I'm going with this? Affix smaller items (grains, fabrics, etc.) to the top of commonly-used keys. Your keyboard will feel a lot better.


Play by the same rules?

28th April 2000

Don't you wish all of us could play by the same rules? It's all about having standards (not necessarily a standard of living). I measure stuff in inches, while 90% of the world swears by centimeters. There's a wonderful little applet in your Control Panel called 'Regional Settings.' To switch to the metric system, for instance, flip to its 'Number' tab and select the 'Measurement System' option. Sneak a peek at what else is in that multi-tabbed dialog; you can change default symbols as well as number and character placements using the other drop-down lists. Don't like the default position of the currency symbol? By all means, change it. Would you rather use the ampersand to designate a negative number value? If it trips your trigger, go for it. What do you want to tweak today?


Double your DOS screen

1st May 2000

Coming from the "Two is Better Than One" department, Lockergnomie Joseph Connors knows how to double your DOS screen real estate. By default, a command line session launches with 25 lines. Need more? No problem. Right-click on any given *.PIF file, flip to the Screen tab, then look for the 'Initial size' drop down list. Change it from 'Default' to '50 lines.' This will work for both windowed and full-screen sessions (to switch views on-the-fly, use the ALT+Enter shortcut). You'll find that most DOS applications will utilize the 50-line screen. When Windows isn't running, you can type the following to achieve the same result: "mode con lines=50" (without the quotes). For grins, try to create a new file named "con" (without the quotes). You con't do it!


Icons are not always welcome

2nd May 2000

Icons are not always welcome; they're relatively simple to remove from your Desktop (though some are shortcuts, others may be real objects). When was the last time you used a certain applet in your Control Panel? Never? Fine; you can get rid of it. Control Panel icons are merely the 'CPL' files sitting in your 'System' folder. Do a search on your Windows drive (C) for: "*.CPL" (without the quotes). Now, you CAN move these out of the 'System' folder -- but be careful; most of these are critical apps. Double-click on one to note what it does; do you truly need that icon in your Control Panel? A safer, suggested route would be for you to open the CONTROL.INI file, look for the [don't load] section, then enter the filename followed by a negative attribute. If I wanted to hide the Desktop settings icon, I'd enter: "desk.cpl=no" (again, without the quotes). See ya!


It's not AutoComplete

3rd May 2000

Some gnomies (including myself) have given a 'thumbs down' to sites which ask us for too much information up front. My 'form alias' has always been Bilbo Baggins (I feel sorry for the person who owns the baggins.com domain). Anyway, you've probably used a 'drop down' field before. Most likely, to choose your state, country, or occupation. Some of these lists can be quite lengthy; if you know the first letter of the option you wish to choose, instead of scrolling through the entire list, tap that key continuously to cycle through the options until you see the correct one. This works, at least, in Internet Explorer 5.0. When I need 'Iowa,' I'll tap the 'I' key until I see it pop up. It's not an 'AutoComplete' feature, though it is just as useful.


Who has a steady hand?

4th May 2000

Who here has a steady hand? Okay, excluding the brain surgeons and Jenga champions. Input devices aren't always precise. Yes, your mouse, touchpad, nub, or trackball may work well in most 'manipulatory' situations. However, when it comes to putting too fine a point on it, know it's not the only bee in your bonnet. Your keyboard can quickly become the little birdhouse in your soul. Slider bars, once selected, may often be moved with the up, down, left, and right cursor keys. Try using them in your favorite image editing application for pixelesque precision. Give objects a little nudge instead of a shove. These keys may not work with selected objects in a document; look to use them most often in dialog boxes filled with formatting (or functional) features. Your Control Panel is a nesting ground for applets with slider bars. NOTE: a slider bar is not a scroll bar.


Drag & drop operation

5th May 2000

The Windows Explorer may be no Magellan, but it never fails to surprise me. I was performing a drag & drop operation between two windows (one being Explorer, and the other, an FTP application). The problem: I had to get a file from one window to the other (Explorer to FTP) without bringing the Explorer window to the top. With the FTP app in the foreground, I grabbed an icon in Explorer and started dragging it. Normally (I thought), this would cause the Explorer window to rise to the top -- but that's not what happened. I could drag and drop any object (in the visible part of the 'backgrounded' Explorer window) without Windows switching focus. Success! Sure, I could have moved the windows to accommodate my need, but this route was much quicker. Summary: you can manipulate objects in background Explorer windows.


What looks phenomenal

8th May 2000

What looks phenomenal a short distance from your face, may not look good several meters away. Ever built a presentation (like in PowerPoint)? Yes, you can add all the bells and whistles (fancy graphics and charts), but remain cognizant that your audience will not be as close to the screen as you. This means: keep your fonts large, thick, and well defined (nothing fancy). If you can't fit your thoughts onto the screen, before you hit the 'shrink' button, consider paraphrasing. Remember, these slides are just supporting your spoken word. If you use images, be sure they're clean, clear, and have a purpose. You NEVER want the presentation to upstage you. The most legible color combination is yellow text on a black (or dark) background.


Files filling up folders

9th May 2000

Coming from the "The Find is a Terrible Thing to Waste" department, Lockergnomie Russ Phillips came up with a quick, slick click trick. Let's say you have more than a few files filling up folders. For example, 'DIR' files. You may wish to get rid of all of those sitting within a certain folder (and each nested folder). Simple: select a starting folder, open it, then tap the 'F3' key to bring up the Find applet. Narrow your search by using a wildcard: "*.DIR" (without the quotes). In that window, a list will begin forming. You may select all (or some) then hit the 'Delete' key. Or, to put a non-destructive spin on this, since the Windows Explorer doesn't have a file exclusion feature, Find makes a fine stand-in. View all bitmaps by searching for *.BMP files within a folder; see every program by pulling up *.EXE files. This is a 'duh' tip, but it's an excellent workaround for a known Explorer inadequacy.


Paperless office yet?

10th May 2000

Have you moved into a paperless office yet? I didn't think so. While we can manage messages and documents electronically, every once in a while it's nice to have printed copies. Are you too quick to hit the printer button? Want to make sure you don't print 'stuff' unnecessarily? Want to print everything at the same time (or perhaps, not at the time you press the 'Print' button)? Open up your Printers folder (in My Computer) and double click on your printer; the Print Manager will launch. In the 'Printer' menu, select the 'Pause Printing' option. Now, anything sent to this printer will be spooled and queued until you 'unpause' it. This will at least give you the opportunity to reconsider your 'print' decisions.


Control how Windows boots

11th May 2000

You can control how Windows boots up very easily; just edit the MSDOS.SYS file in your root folder. First 'turn off' its read-only attribute (if you have to ask how, this tip isn't for you). Look for the [Options] section; do you see much there? Start adding stuff! For the most part, these additions use '1' (yes) and '0' (no). BootGUI=1 (boot into Windows); DblSpace=0 (load DoubleSpace drivers); DrvSpace=0 (load DriveSpace drivers); LoadTop=1 (load command shell in upper memory); BootMenu=1 (turn on boot menu -- recommended); BootMenuDefault=1 (choice in boot menu); BootMenuDelay=2 (seconds to delay boot menu); BootKeys=1 (keyboard shortcuts for more booting options); Logo=1 (see the Windows splash screen); AutoScan=0 (automatically scandisk after a 'bad' shutdown); BootWarn=0 (warning about going into Safe mode); DisableLog=0 (boot up logging). Tweaking programs (like X-Setup) will allow you to change these attributes without breaking a sweat.


Ever see a '404'

12th May 2000

Anybody who looks at my personal checkbook knows that I'm not a 'numbers' guy. Because of this, I tend to use credit cards when I'm faced with a '402.' Hopefully, I don't smack into a '401' when I call upon Visa. What's the 411 on these numbers? They're HTTP error codes; the most familiar of which isn't to be found. Ever see a '404' when you're surfing the Web? That officially means: Not Found. '401' is an unauthorized request; '402' is a payment required notice; '403' is strictly forbidden; '408' is a request time-out; '500' is an internal server error; '501' is a non-implemented server-side facility; '503' is a temporarily Lockergnomed (overloaded) server. Yes, there are several other codes, but these are the most often seen. For more information (411) on the Web, swing by W3.ORG.


Devastating e-mail viruses

15th May 2000

I was once in LOVE with a girl named MELISSA; it just so happens that the two most devastating e-mail viruses carry the same names. Coincidence? In the wake of recent VBS worm disasters, it's time you tightened security on your computer. Outlook users can change their mail client's settings independent of their browser's. It has been suggested that the following be done: change the 'Secure Content Zone' to 'Restricted Sites' in Outlook (whichever flavor you use). No doubt, these types of viruses will strike again. My suggestion? When you receive an attachment from someone you know, ALWAYS reply and ask if they truly meant to send it (and if they scanned it for viruses beforehand). Only upon receiving confirmation (and scanning it yourself) should you open it. I prefer to open attachments in third-party viewers (like Quick View Plus). Look at 'em, don't run 'em.


Squeeze more system speed

16th May 2000

We're all trying to squeeze more speed from our system. When you launch IE, what page loads first? I have it set to a local HTML file (which is loosely based on an old Netscape 'bookmark.htm' file). This way, I don't need to be 'online' to see what I want to see in my browser window. Of course, the first thing most of us do (including myself): go directly to another site. There's a command line switch you can use to run Internet Explorer sans start page. Select the Run command in your Start Menu, and enter: "iexplore -nohome" (without the quotes). Almost immediately, IE will launch with a blank (white) face without all the "traditional" disk grinding. Now, you can select a page from your Favorites menu, or enter a URL in the Address field.


Finding different types of files

17th May 2000

Coming from the "The Last Place I Looked" department, a Lockergnomie found himself. Did you lose your glasses again? And your keys? They must be hiding in the same place. While you're searching for one, you may as well look for the other (analog multitasking). Finding different types of files can be just as easy; open the Windows Find applet (click on your Desktop and tap the 'F3' key), and look in 'My Computer' (or any given hard drive). Let's say you've decided to search for certain images. In the 'Named' field, enter: *.GIF; *.JPG; *.BMP (notice the semi-colons). Would you rather search for all programs? Try: *.COM; *.EXE (again, the semi-colon separates each file). To piggyback this tip, remember that you can save ANY search for future finding fun. Flick 'File' in the menu and select 'Save Search.'


Sweep the Usenet newsgroups

18th May 2000

What's your favorite site in the whole wide world (or the World Wide Web, as the case may be)? Every one of us will have a different answer. For years, I've been reading print magazines and online reports covering the tech industry. Every once in a while, they'll come up with a 'best of' compilation. YAHOO.COM is at the top. So what? Ah, great... site X got a zillion more impressions than site Y. Why do I care? Some companies will go as far as to publish 'cool' URLs in a book -- but don't waste your money, even if you ARE a novice. You'll have already heard of most of them, anyway. The "yellow pages" concept was designed for phone numbers, not URLs. If you really want to know what's going on online, sweep the Usenet newsgroups (accessible through your ISP or through sites like REMARQ.COM).


The US Federal Government

19th May 2000

When the Web was a wee part of the Internet, we didn't have half as many e-problems as we do today. Privacy may be an issue for all ages, but parents seem to have the most concerns. The US Federal Government decided to help (bless their hearts). Web site owners who collect information from young users are now required to get permission from their parents first. That is to say, the child's parents -- not the Web site owner's. The FTC.GOV Web site has more (specific) information and directions for effective policy implementation; I figured half of you would want to MAKE SURE you're following these guidelines. I wouldn't want anybody to get in trouble down the road. There's one surefire way that parents can maintain control over their child's surfing adventures: supervision. Not always practical, but surely more foolproof.


Cable and DSL modems

22nd May 2000

In California, red means stop, green means go, and yellow means go faster. In that vein, here's a very yellow tip specifically for those of us with cable and DSL modems. You can reserve memory (RAM) for any given IRQ; by increasing the default value for your network card, you may be increasing its throughput and performance. Right-click on 'My Computer' and select its Properties. On the Device Manager tab, press the Properties button (if/when 'Computer' is selected). Note which IRQ your network card is using. Next, open up SYSEDIT.EXE (using the Run command in your Start Menu) and edit the SYSTEM.INI file. Under the [386enh] section, add: IrqX=4096 (where 'X' is your network card's IRQ). Save, reboot, and enjoy! Now, I'm not one for benchmarking, but system speed (overall) hasn't decreased since applying this tweak. Of course, I also have 256 MB RAM.


Pretty darn spiffy

23rd May 2000

Vector animations are pretty darn spiffy; they're easier to watch then they are to create. Owning a paint brush doesn't make you Michelangelo! That's not today's tip, however. How many times have you seen a killer Macromedia 'Flash' file? You can't right-click on one and save it, but there may be an indirect method (at least, with IE). While a Flash animation is in your browser window, fire up a Windows Find applet (select the Desktop and tap the F3 key). Look in your C drive for all files named: *.SWF (use this exact string). When one is found, go ahead and copy it to your Desktop (just drag & drop it). The file(s) will most likely NOT be associated with a program, but you should be able to open them in IE (regardless). Of course, they'll take up the entire area of your browser, so (when you're viewing a Flash file) you may wish to shrink the window.


Remember bookmarking that one page?

24th May 2000

What's the matter? Mouse got your tongue? Internet Explorer stores Favorites differently than Netscape Communicator stores Bookmarks: in separate files as opposed to a single file. Like most users, you probably have hundreds of them -- 99% of which you never visit. Remember bookmarking that one page? It was hosted on GEOCITIES.COM, but... that's all you remember. IE users: fire up the Windows Find applet (press the Start button, select 'Find,' then 'Files or Folders...'), look in \Windows\Favorites (or wherever yours are stored), then in the 'Containing text' field, enter 'geocities.com' (or whatever string you're searching for). Netscape users: in the same Find applet, do a search the file called 'bookmark.htm' and open it up in any text editor of choice (Notepad); within that environment, you can look for your string with an (assumed) internal 'find' feature.


Streaming media too choppy

25th May 2000

Have you listened to my radio show yet? Here's a tip: please do. Okay, now I need to fill space. Ummm... is streaming media too choppy on your 28.8 connection? If you have Windows Media Player v6.0 installed (also known as MPLAYER2), you should be able to change its time/memory buffer. Open the Multimedia icon in your Control Panel, flip to the Devices tab, expand the Media Control Devices list, then double-click the Wave Audio Device option. In that dialog box, press the Settings button. Now, the default is '4' seconds; those with slower connections may find '2' a more suitable number for cleaner media streaming (pauses may be more frequent, but less lengthy).


Media Player beta v7.0?

26th May 2000

How many of you have taken a look at Microsoft's new Media Player beta (v7.0)? Sure, it's nifty on the outside, but... that's not enough for hardcore geeks. I was put off by v6.0, but grew to love it. Now, I'm starting to wax nostalgic. Did you know it still exists, even after you've installed v7.0? And, for that matter, the classic Media Player is still on your computer as well! Click on the Start button, select Run, then enter: MPLAYER2 (for v6.0) or MPLAYER (for the classic version). You may like the features in one player over the other; your multimedia files will always remain the same, but you can view or listen to them in any given (capable) program. To piggyback this tip, WiMP can handle older RealAudio files, but not newer ones. I suggest upgrading your RealPlayer; customize your installation to only get the bare essentials. That means: no plug-ins.


Lots of Cache

29th May 2000

Coming from the "Lots of Cache" department, Lockergnomie Eric Findley has uncovered 'more money' for NT4 users. Your system may come with more than 256k of L2 cache, but Windows NT may not be recognizing all of it! By default, NT sets the L2 cache to 256k (or less). If your motherboard has more than that, it's time to dive into the registry. Navigate to HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ Control \ Session Manager \ Memory Management. Find the following value name: SecondLevelDataCache. A data value of "0" is default, which sets the L2 cache to 256k. If you have a different amount installed, set its value in decimal form. If you have 512k cache, set the entry to 512 in decimal (200 in Hexadecimal). It's almost like a free upgrade! Again, this only applies to Gnomies running Windows NT. If you have to ask what any (or all) of this means, please skip the tip.


Shortcuts suck resources

30th May 2000

Shortcuts, while small and simple, suck system resources (sometimes silently). Each one takes up quite a few bytes; if you need as much disk space as humanly possible, start getting rid of "extra" shortcuts. Got more than 10 icons on your Desktop? You're not wasting space (area) as much as you are seconds; it takes less time to refresh 5 icons than it does 50. Same goes for your Start Menu. Plus, it's easier to find a needle in a smaller haystack, pal. Convenience is one thing; productivity is another. While we're on the subject, watch out for linked 'network' shortcuts. When you're not connected, Windows may still try to find the resource; if it's not there, you'll be in for a not-so-short pause. Good rule of thumb: when assigning icons to shortcuts, make sure the icon is local (on your hard drive). Otherwise, you're in for a similar (unnecessary) pause.


Use the disc for target practice

31st May 2000

Coming from the "I Don't Need 500 Free Hours" department, Lockergnomie James Dwight has discovered treasures within junk. Why is checking to see if the snail mail has been delivered such a thrill? I wait with baited breath beside my mailbox, in the hopes that my postal carrier will give me something really groovy. Bills... why does he always bring bills? And what about these stupid promotional CDs that I seem to get every other day? Before you chuck the pucks, give 'em a spin. You may find worthwhile "third-party" stuff somewhere on that CD: the latest program revisions, system updates, fonts, images, Web site links, and more. If you can't find anything decent, you can always use the disc for a coaster. Or target practice. Or a tree ornament. Or a "mobile" (the thing you hang from your ceiling) component. Or a Frisbee. Or a wall decoration.


I'm still using Microsoft Outlook

1st June 2000

I'm still using Microsoft Outlook 2000; I have yet to find a better PIM (that meets my needs). I don't think it's fair to use 'Brand X' because 'Brand Y' has shortcomings. That's like riding a bike because you don't like a certain car model; in this situation, you're only hurting yourself. Go with a product that works for YOU. Enough rambling -- here's the tip: in Outlook, let's say you needed Zeke's snail mail addy. Fire up the Address Book, select Zeke, hit CTRL+C (to copy his info to the clipboard), but DO NOT exit the Address Book. If you do, the information won't stay on the clipboard. Don't ask me why; this has just been MY experience. That's the REAL tip. Need more? If you paste (CTRL+V) that copied info into a new message, it'll paste Zeke's vCard attachment. So first, paste to a text-only field (like CC). Then, copy THAT text to the clipboard, then return and 'paste' in the message body; this time, it'll be vanilla text.


You've got an IP address

2nd June 2000

Coming from the "That's Me in the Mirror" department, Lockergnomie Kathy Brown knows where you live. If you're online, you've got an IP address. Don't believe me? Launch WINIPCFG.EXE and look. You're also at 127.0.0.1. How do I know that? No, silly... it's not magic. That IP is always the "localhost" address; wherever you are, that number will follow. It's everybody's IP. So, what does that mean and why should you care? It's good to use when you're out to foil spammers, for one. When you're in unfamiliar e-territory, filling out forms or posting messages often requires an e-mail address. If you don't NEED to divulge your personal info, by all means: DON'T. You can substitute "user @ 127.0.0.1" just about anywhere. If (or when) that addy is used in a junk mailing, the idiot will only be sending something to himself (or herself). Registering for a reason is fine; if you're unsure about signing up for a service, always ask a trusted friend first. They may know something you don't.


The boot-up process

5th June 2000

Coming from the "Failure Face" department, Lockergnomie Steven Groginsky shows us how to see the unseen. While the road to loading Windows is paved with good intentions, there are usually some bumps along the way. You may not "feel" every bump, however. The boot-up process is logged in a file titled BOOTLOG.TXT (found in your root folder). Therein, you'll find both load successes and failures. You probably don't wanna know what's right as much as you'll want to fix what's wrong. Go ahead and load that puppy (BOOTLOG.TXT) into Wordpad. Then, simply 'Find' every instance of the word 'Fail.' Chances are, you're missing a few device drivers... which can most likely be found on your Windows install CD. Put "found" missing files somewhere in your path (like your Windows \ System folder) and try booting again. This is just another troubleshooting trick; if Windows doesn't log its boot process, add the line: "DISABLELOG=0" (without the quotes) to your MSDOS.SYS.


Instant messenger

6th June 2000

Everybody seems to have an instant messenger nowadays. I suppose that's a good thing -- if you really want your friends to know when you're online. Which is the right one for you? Well, I suppose that would depend on what most of your 'online' compadres use. AOL, MSN, Yahoo, Odigo, ICQ... they all have their pluses (and minuses). As your list of buddies grows, you may have a difficult time keeping track of who's who. In ICQ (my default IM), I always rename my contacts to something a bit more memorable than their real name or handle. For instance, if I know that person runs a site, I'll use their first name followed by their site address. 'Chris Fileflash' or 'Josh TechTalkShow' are a couple of practical examples. This naming scheme will help you keep your online contacts organized; it's always good to know who and where someone is from. You may not always remember that stuff offhand -- especially if you don't "see" them often.


Another NT shortcoming

7th June 2000

Coming from the "Paging Doctor Forgetful" department, Lockergnomie Eric Findley nails another NT shortcoming. It goes without saying that the more RAM you have, the better your system will run. I believe you're nuts for having anything less than 64 MB on an "NT" system. So, if you DO have more than that, it's time to double-check a setting. Fire up the registry editor and find a certain key: DisablePagingExecutive. Make sure this is set to "1" (again, only if you have more than 64 MB of RAM). This will allow drivers and the kernel code to be kept in memory; the default value is 0, which pages drivers and kernel code only when needed. Anything accessed from system memory will be infinitely faster than anything (dynamically) loaded from a hard drive. Eric uses this tweak on all of the NT4 servers and workstations that he supports. Try it; if it doesn't work out, you can always return the key's value to zero.


System not quite as snappy

8th June 2000

Is your system not quite as snappy as it once was? Go figure. You've undoubtedly tweaked some settings since getting it. Do your Start Menu components take a while to pop up? There may be a few reasons for this crawl. What font are you using? If it's anything but MS Sans Serif, chances are: it's TrueType. Why should this matter? Well, examine the 'Effects' tab in your Desktop properties; if you have 'font smoothing' turned on and are using TrueType fonts in your windows dialogs (see 'Appearance' tab), you may be taking a performance hit. Use 'MS Sans Serif' (size 8) instead; see if that speeds things up. Why is this so? Because bitmap fonts (like MS Sans Serif) can't be smoothed. TrueType font smoothing is wonderful; it'll make certain fonts look cleaner on your screen. But you don't really want to use TTFs in your dialogs... I don't care how pretty they are.


PCI steering settings

9th June 2000

Coming from the "I Really Gotta PCI" department, Lockergnomie Van Stanley is trying to trip your system fantastic. This tip (sad to say) isn't for newbies; it has to do with your PCI steering settings. If your system is already stable, you can file this sucker away under the 'just in case' cabinet. Now, is your Windows on an emotional roller coaster? Right click on 'My Computer' and pull up its properties. In the Device Manager tab, expand the 'System Devices' section and open the 'PCI bus' option. In the IRQ Steering tab, uncheck every box except "Get IRQ table using MS Specification table." This will force your OS to use the MS steering table and not the others (obviously). Why do that? Well, from Van's experience, this seems to be the way Windows 98 likes it. Upon applying this tweak, his system has been more stable; your mileage may vary.


Purchase via the Web

12th June 2000

On this weekend's Chris Pirillo show, I had an epiphany. Since I'm on a cable modem, it's costing me ~$40 a month to be online. Sure, that's a lot of dough. However, I just purchased a digital camera via the Web last week -- which cost me $100 less than it would have locally. Do the math; I wound up ahead of the game. Since I would have purchased the DSC-S70 regardless of Internet connectivity, I (essentially) paid for my monthly bill. Just another way of looking at this PC as more than just another appliance. The savings are true, as long as you get "stuff" you'd normally purchase offline. Whenever you DO get something online, be sure to get a tracking number for the package(s). Often, you can log on to a delivery company's Web site and track the shipment's journey. The more you know, the better off you'll be if something goes awry. Wait... it was supposed to go to Des Moines, Iowa!


Good digital media

13th June 2000

Back when the Mavica FD-7 kept me company, I was still in the traditional film / camera mindset. I'd take shots sparingly, even though I could fit several of them on a 3.5" floppy disk. Now that storage options are approaching unlimited (especially with microdrives permeating the market), I have no excuse. All you need is one GOOD shot and the shoot can be seen as successful. The great thing about digital media is that it's rewritable; don't worry about taking too many shots. As long as you've got enough space for several snaps, or you can upload them quickly if you run out of room, don't be conservative with that button. You shouldn't have to gamble on getting the right (still) shot; try a variety of in-camera settings, track them, find what works best in "X" situations, and your digital photography experiences will become more fulfilling over time.


People in your neighborhood?

14th June 2000

Oh, who are the people in your neighborhood? Ya know, the people who you meet (when you're walking down the street) each day? More importantly: what are they doing this weekend? What's happening around town? What's the buzz -- tell me what's happening. Okay, but only if you use Netscape! In the field which displays the current URL, type: zip 50266 (or whatever your ZIP code happens to be). Sorry to say I'm not sure if this will work for non-US users. Sounds slick, and once the world is more connected, I'm sure we'll see more internationally-friendly features. Until then, everyone can stick to searches. In Internet Explorer, you can type: "? [KEYWORD]" (without the quotes). The question mark is necessary, but the keyword(s) can be whatever you want. Yes, there are a zillion and one ways to look for Web pages in your browser. If one way works well, then by all means, stick with it.


Snap to Grid option

15th June 2000

Just as your remote control should be sitting parallel with the edge of your coffee table, images and text should be aligned perfectly in your documents. When objects and fields are just a few pixels off, they look sloppy and the results appear unrefined and unprofessional. Before you put your finger up to the screen, try turning on the 'Snap to Grid' option -- if your favorite program makes use of it. It's a feature that's often overlooked, but if you're not a perfectionist, you'd be wise to make use of it. That's what it's there for; to make your data look a lot better in the end. Whether you're in a graphics layout utility or word processor, when multiple objects need to be in the same respective spot, there's no easier way to get them there than by snapping them to a hidden grid. If a program doesn't contain such functionality, it should give you pixel locations which you can in turn use to perfect placement.


Attach a file to an e-mail

16th June 2000

Happy Father's Day! My dad always brings up questions which springboard into future Lockergnome tips, so helping him is the least I can do. This tip isn't just for newbies (advanced users can jump to the end). "How do you attach a file to an e-mail message?" Have you tried dragging & dropping it? "No, how do I do that?" Fire up the Windows Explorer and browse to where the to-be-attached file resides. Now, start a new message in your e-mail program. Left-click the to-be-attached file and drag it onto the new message window. If your client (indeed) is up to scratch, congratulations -- you've just attached! NOTE: don't go attaching everything on your hard drive. One at a time, folks. And remember NEVER to attach anything larger than 1 (one) megabyte unless it was requested by the recipient. Just get a shared Web storage account (from FREEDRIVE.COM, for instance) and upload something there; it's quicker and more courteous to pass along the URL for a large file rather than send it directly through e-mail.


Still play with toys...

19th June 2000

Some of us have grown up, but we still play with toys... which just so happen to be a lot more expensive. My wife nearly blew a gasket when she found out I purchased another digital camera. I should have come up with a 'top ten reasons I had to upgrade' list, but she still wouldn't have understood my motivation. Looking to justify your digicam indulgence? Think about how often you've erased great stuff from a whiteboard session. That info could have been captured, saved, and printed -- by using a digital camera! When have you been out and about without an easy way to copy visual data? Pull out the digital camera! The DSC-S70 has a specific mode for taking text-only photos; it saves them as 2-bit GIFs, and does a darn good job. Beats scanning any day. Besides, some things won't fit on a flatbed. Remember that next time you think that 3.3 megapixels are frivolous.


It's like NAFTA for geeks

20th June 2000

Even low-carbers can eat cookies without the guilt. Although, I'm not referring to the super sugary kind! To store account settings, user preferences, and other stuff, Web sites often offer your browser a cookie or two. You can turn them off and lose a little bit of surfing convenience, or you can leave them on and clean 'em out every so often. Are you afraid of losing something important by deleting them? Just export 'em before you get rid of 'em. How? In IE5, click 'Import And Export' (which sits in the File menu). A wizard will pop up; press the 'Next' button. Select 'Export Cookies' before pressing the next 'Next' button. Now, select the 'Export To A File' option. Figure out where you wanna store the 'cookies.txt' file, then move forward once more. You're finished! If anything "bad" happens after clearing the cookies from your PC, you can import the file you just exported. It's like NAFTA for geeks.


Watch your connections

21st June 2000

Coming from the "What's Going On Here" department, Lockergnomie Patrick Piccolo is uncovering his connections. When you check your e-mail, you're establishing a connection with a remote mail server. When you browse the Web, you're connecting with Web servers. And Instant Messaging? Yep -- you're usually hooked up directly to another person's computer. Hrm... that's a lot of Net activity -- is there a way to easily watch what's going on at any given time? Select the 'Run' option in your Start Menu and type: COMMAND (then hit ENTER). Bickity bam! At the prompt, type: "NETSTAT -n 10" (without the quotes). The 'n' switch tells NETSTAT to display IP addresses (even those that ICQ says to hide), and the 10 asks NETSTAT to refresh every ten seconds. That number can be anywhere from 1 to infinity (in theory). Shorten the time when you're watching your connectivity closely (when installing or running software you suspect could be accessing the Internet without permission). Press CTRL+C to stop the infostream.


Restore to factory state

22nd June 2000

Coming from the "Sweating Bullets" department, Lockergnomie Nathan Riley is dropping to DOS. For the most part, your system should be stable. I mean, if it was always in shambles, you would have reinstalled Windows by now. Don't have time? Don't wanna lose any of your settings or software? Supposedly, there's a command line option that'll get you back on your feet in no time. "Boot up your PC with a Windows 98 boot disk, pop in your Windows 98 CD, and once you're at the command prompt, type your CD-ROM drive letter immediately followed by a colon. So, if your CD was set to "D" -- you'd enter D: and then hit ENTER. At this point, you'll type the following command: SETUP /pf (exactly as shown). This switch will restore all of Windows' critical files to their "factory state," and in 99% of situations (according to this Gnomie), doing this will fix whatever problems you were having in Windows 98.


Frequently accessed data

23rd June 2000

Coming from the "Six of One" department, Lockergnomie John Lyon found a way not to get help. Certain ISPs (cable modem providers, etc.) have set up dedicated hardware to cache frequently accessed data. This typically makes your surfing experience a bit smoother; every once in a while, however, that cache gets in your way. You may need to refresh a page to see the latest version and the command may not take. It's time to trick the server into thinking that you're trying to see a different page. This may not work with every Web server, but if you've exhausted all other options (or tired of flushing the cache every other minute), it's worth a shot. Simply change the case of the document for which you're attempting to retrieve. So, you could switch gnomies.html to Gnomies.html or gnomies.Html. As long as that server isn't case sensitive, you should be good to go.


It's smart to run Defrag

26th June 2000

It's smart to run the Disk Defragmenter every so often. Once it starts reorganizing your data, the last thing you want is your screen saver to kick in. Tired of having to move the mouse every other minute (or forgetting to temporarily turn it off)? Run REGEDIT.EXE, navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Applets, and create a new key: "Defrag" (without quotes). Now, within this newly created key, create the key: "Settings" (without quotes). In the Settings key, create a string value and label it: "DisableScreenSaver" (without quotes). Next, edit the value "(Default)" and change it to: "YES" (without quotes). The next time DEFRAG is run, screen savers will be disabled.


Weed out matching fonts

27th June 2000

With so many fonts to be downloaded from different developers, why is it that I see so many Times New Roman and Arial derivatives? They're all too often overused; when a more unique, less-common face can be presented, consider using it. Since certain fonts look strangely similar, Windows will help you weed out matching faces. Open up the Fonts folder (in the Control Panel). In the View menu, select the 'List Fonts By Similarity' option. A drop-down list will appear in the window; select a font and start seeing some similarities. From the View menu, you can also select the 'Hide Variations' option to further narrow the field.


Alternative wording in IE5

28th June 2000

Coming from the "Digital Face Lift" department, the good Captain (from XTEQ.COM) has uncovered some alternative wording. In IE5's Tools menu, select 'Internet Options' and flip to the 'Advanced' tab. See the 'When Searching' section? You can change the wording of those four options. Launch Regedit, navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Internet Explorer \ AdvancedOptions \ SEARCHING \ AUTOSEARCH, and you'll find the following subkeys: DISPLAY_AND_GO, JUST_GO, JUST_DISPLAY, and NO_SEARCH. The "PlugUIText" component is changeable after the final comma in each of these values. For example, you could replace "Search from the Address bar" with "Belly up to the Address Bar" if so desired.


The attached file is in RTF

29th June 2000

Before sharing a Lockergnome-published tweak in a recent InfoWorld issue, Lockergnomie Brian Livingston sent me a digital copy of his article (to confirm the tip's validity). Indeed, the Excel tweak was worth publishing again. I didn't pay much attention to the document's format, but he noted at the bottom of his message: "The attached file is in RTF format, which cannot contain macro viruses." So, the next time you need to share a DOC file with friends and co-workers, if it's possible, consider sending it as a rich text document. NOTE: when any amount of advanced formatting is applied, RTF will not be feasible.


Maximizing the CPU's priority

30th June 2000

Coming from the "Do You See What I CPU" department, Lockergnomaniac Van Stanley has discovered another speed tweak. Your PC's processor, while important, isn't always given the time it needs to execute tasks. Power users might consider maximizing the CPU's priority. Open the system Registry editor and navigate to HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ Services \ VxD \ BIOS. In the rightmost pane, create a new DWORD value and label it: "CPUPriority" (without quotes). Double-click the newly created setting, switch its format to Decimal, then enter "1" (without quotes) as a value. Upon reboot, this tweak should speed up the launching of programs. NOTE: your mileage may vary.


Increase productivity

3rd July 2000

Too many users are stuck in the mindset that they can only use one application at a time. While only one can be on top at any given time, you can use multiple programs to increase productivity. Recently, I was viewing a Web page (upon which sat several links). Instead of clicking a link then hitting the back button to return to the index, I opened up another browser instance. By dragging and dropping the links onto that second window, I saved quite a bit re-loading time. This tactic also comes in handy when you're navigating search engine results; as you're waiting for the desired page to load, you can continue to browse the list of query results.


System resources are precious

4th July 2000

System resources are precious; it's great when you can save a CPU cycle or two. When you can preview a file's contents without opening it in a bulky application, you'll typically save time (and memory). With the Windows Imaging client installed, you can preview TIFF files within Explorer without an external app. In the 'Add / Remove Programs' Control Panel applet, in the 'Accessories' section of the 'Windows Setup' tab, be sure there's a checkmark inside the 'Imaging' box (if the option is available). A TIFF file's property sheet will now contain an 'Image' tab, complete with a graphical preview and specific file attributes; right-click one and select 'Properties' to access.


Foil destructive scripts

5th July 2000

I often enter the Lockergnome chat room with the intent to exchange thoughts on random topics. Without warning, something smart will be shared with those in attendance. The talkative Gnomie known as 'Evil_Warrior' thought of another great way to foil destructive scripts (like those which have recently plagued Microsoft Outlook users). Since some of these destructive worms rely on classic DOS utilities to wreak havoc, you may wish to rename a few of the more system-critical apps. For instance, change FORMAT.COM to FORMAT1.COM (found within your Windows \ Command folder). FDISK.EXE is another one you may wish to modify.


Battery choices

6th July 2000

Coming from the "Going and Going and Going" department, Lockergnomie Bill Funk assaults your battery choices. Robust electronic devices suck juice like none other; dependent hardware often ships with feeble energy cells. Upgrading to a more efficient battery is encouraged, although it's not always cost effective. No matter which way you go, steer clear of the classic Alkaline option. If your path isn't proprietary, scope out Nickel-Metal Hydride (NiMH) batteries. Not only are they rechargeable, but your unit will run longer with them inside. When you're considering purchasing a new peripheral (like a digital camera), you should keep a preferred battery type in mind.


Tired of pointing and clicking?

7th July 2000

Tired of pointing and clicking? Hard to believe there was a time when the Internet had no "user friendly" exterior. The first online application I mastered was TELNET. Though not widely used nowadays, Windows still comes with a bare-bones version. From AXCEL216's most excellent tips site comes a way for you to enable smooth scrolling in Windows 98's telnet app. Fire up REGEDIT.EXE and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Telnet. You'll find this key contains several values, one of which is SmoothScroll; double-click that value and change the (default) 0 to a 1. Smooth as a baby's BIOS.


E-mail with attachments

10th July 2000

Coming from the "Attachment Detachment" department, Lockergnomie Bob Coleman can make lemonade out of lemons. "We all get e-mail messages with attachments that do not decode properly. Next time, before deleting it and asking for a new copy, just save the message out as text and open it in a program like WinZip. It has the capability to decode both MIME and uuencoded messages." So very true! Should a certain recipient always experience these kinds of headaches, perhaps you should switch encoding algorhythms before blasting off the next attachment. In Outlook Express, select 'Options' under the 'Tools' menu, flip to the 'Send' tab, then press the 'Plain Text Settings' button. For your message format, you can choose a MIME derivation or Uuencode. You'll find that older clients handle uuencoded attachments much better. At least, that's the way it was before I started using Outlook.


Unwarranted playback

11th July 2000

Want two tips for the price of one? I was reading one of my favorite e-mail newsletters the other day (the LangaList, written by Fred Langa at LANGA.COM). That's your first tip: subscribe. In a recent issue, one of his regular readers submitted an interesting workaround for getting around sounds. When the sound of silence is what you crave, you can easily turn off your speakers. But what if you wanna hear some and not others? Easy; change their association in the Control Panel applet. Here's where it gets interesting: you can record a blank WAV file and rename it to replace any sound(s) in the Windows media folder. DING.WAV can still exist... at least, in name. Applications will still call upon DING.WAV (even those not listed in the Control Panel). You won't experience any error messages -- or unwarranted playback.


Are you being tracked

12th July 2000

Coming from the "Don't Click Here" department, Lockergnomaniac Steven Groginsky shares a stealthy secret. Are you being tracked and traced as you read this? Privacy issues are not to be taken lightly. My personal take on the whole situation: protect yourself from harm as you see fit, but as long as you're online, you'll be vulnerable. When you click on a link, the destination's server records that as a unique impression. It knows how you got there, too. Well, sometimes. If you don't want anybody to know how you got from point A to point B, simply mail the shortcut (URL) to yourself. When you click on it from your e-mail client, the Web server's logs will record: "No Referrer." You can also launch a link from a local page or Run command line and achieve the same results. Gnomies have the power to crash servers, but the world doesn't know that because of this little loophole.


Search engines are simple

13th July 2000

Sure, search engines are simple to use, but they don't always show you what you really wanna see. Ever hear of meta tags? For authors, if not abused, they're perfectly fine to use; for end users, if not precise and accurate, they'll be a thorn in the browser's sidebar. With keywords, you're looking for content and information in actual Web documents, not trying to target page titles (or meta tags). Like memetics, for example. Using a field-supporting search engine (like ALTAVISTA.COM), try entering: 'text:memetics' (sans apostrophes and spaces). Wrap quotation marks around your entry if you're looking for a string of keywords (like a certain phrase). And remember, you can use more than one search engine; my mom still doesn't understand that there's life beyond Yahoo. The more search engines you query, the greater your chances of success.


Secret switches for Scandisk

14th July 2000

Most undocumented trips and ticks are way too cool to stay hidden for too long. I was happy to see that my buddy (known as AXCEL216) uncovered some secret switches for Windows' Scandisk. To give these a spin, you can either use the command prompt or the Run command line. Click the Start button, select Run, then type: 'SCANDSKW' (sans apostrophes). Don't be too quick to hit ENTER; you may wanna use these switches first. 'SCANDSKW /A' will auto-select your fixed (hard) drives for scanning and possible repairing; 'SCANDSKW /N' will allow you to start rocking and rolling right away, with no prompting or clicking necessary; 'SCANDSKW /P' enables Scandisk's preview mode, which will keep it from making any necessary changes to your system; and 'SCANDSKW /SILENT' will totally cut you off from configuring the session any further (good for using in controlled environments).


Name branding is important

17th July 2000

Name branding is important for every Net entity. Four years ago, there were still a handful of 'common' domains up for grabs. So, why did I choose Lockergnome? It's unique and more memorable than most 'tech' URLs. Who knew that GNOME would become a major Linux desktop environment? I wonder how many other 'gnome' domains are out there. Using a field-supporting search engine (like ALTAVISTA.COM), I could enter the term: 'url:gnome' (sans apostrophes and spaces). Every indexed Web address containing that word will be listed, whether it appears in the actual domain name or within the full URL. Beat the system before it beats you; by doing a little bit of research, you'll get a better idea as to what kind of sites carry "your word." How is it already being branded? Can you go with something different? Is someone squatting?


I don't wanna be here

18th July 2000

Ever arrived somewhere, looked up, and thought to yourself: "I don't wanna be here." It happens all the time in Windows. Ever go to open or save a file, only to discover that the dialog box isn't in the folder you need? Piggybacking a recent tip, this shortcut creation method will have you 'there' in no time at all. First, ya gotta fire up a Windows Explorer instance and browse to your ultimate destination (whichever folder that might be). Now, you may already be there (in which case, this tip will be even easier to implement). Left-click and drag the upper left-hand corner icon (a folder) from the Explorer title bar and drop it directly into the Open/Save dialog box. Now double-click that newly created shortcut and you'll be whisked away. Unless you're running low on disk space, I'd suggest keeping the shortcut there in case you need it again at some point in the future.


But who's seeing it?

19th July 2000

When you upload a Web page, just about anybody with Internet access has the opportunity to view it. But who's seeing it? Who likes it well enough to link to it from their own set of pages? Using a field-supporting search engine (like ALTAVISTA.COM), you can enter in the following string to uncover a list of linkers: 'link:lockergnome.com' (sans apostrophes and spaces). Instant results! Don't forget to contact those site owners and do a bit of link reciprocation if it's feasible; that's an excellent, often-overlooked, low-cost strategy for online promotion. I'd stick to stuff in your own market segment, though; those click-thrus will be more qualified. Don't limit yourself to checking up on just your own site; scope out the competition while you're at it! The more incoming links a site has, the more 'popular' it is.


Nail e-mail bandits

20th July 2000

Coming from the "Caught You Red Handed" department, Lockergnomie Mark Wacholtz knows how to nail e-mail bandits. "With all the spam filling Inboxes these days, it's hard to tell where (and how) the perpetrators acquired your e-mail address. Those fortunate to have their own domains with unlimited aliasing can do one thing to help keep track of these scandals: use separate aliases when subscribing to newsletters or Web accounts." The only mail sent to those addresses should only be the ones you requested. If an alias starts to receive junk mail through it, then you know the list owner was underhanded; you can promptly remove the alias and inform the watchdogs immediately. If you're not with a Web host which offers unlimited aliasing, consider picking up more than one POP3 e-mail account. It's not as easy to manage, but it can be just as effective in tracking trust offenders.


Hardcoded font size

21st July 2000

Increasing the font size of Web pages is relatively simple to do. But when a Web author hardcodes a specific font size, you're out of luck. Or are you? To repeat something featured in a previous GnomeREPORT: Lockergnomie Pat Pluto figured out a workaround for the fixed-width font 'problems' that some of you have been having. Actually, I should say, those of you with Microsoft e-mail clients (or Web browsers); Netscape users shouldn't have to worry. This fix is universal -- applying to every HTML newsletter and Web site you encounter. Open up Internet Explorer, select Tools from the menu, then Internet Options, then press the Accessibility button. At that point, you can choose to ignore the font sizes specified on Web pages. This also applies to your e-mail (if you use a Microsoft e-mail client). This should keep EVERYONE happy; you're in control again.


Filter only when needed

24th July 2000

Seems just like Monday when I was using PhotoShop-compatible filters to enhance my graphics. Unless you have a gigabyte of RAM, I'd suggest using filters only when needed. As my good buddy Randy pointed out, an image editing app shouldn't have plugins sucking up system resources if they're not being used. Paint Shop Pro is one such program; plugin paths can be turned on and off in a dash. In my 'Plugins' folder, I'll install each set of filters into a separate subfolder. This way, I can set PSP to access only specific folders (for limited plugin use). Or, with 'Search subfolders' turned on, full filter functionality can fly from the first (root) folder.


Tracking footprints

25th July 2000

Coming from the "You Look Different" department, Lockergnomaster Van Stanley has a handy way of tracking footprints. Before anything new is run on his system, he opens Regedit, selects 'Export Registry File' from the 'Registry' menu, and names the file "BEFORE.REG" (without the quotes). After the software installation routine has finished, he again opens the registry editor and exports a file named "AFTER.REG" (without the quotes). Either at the command prompt or in the Run command applet, he enters: "fc before.reg after.reg > changes.txt" (sans quotation marks). FC is an old DOS app that works just as well in Windows; he's redirecting the comparison into a CHANGES.TXT file.


My fonts are all messed up!

26th July 2000

While waiting for my latest WUG*BYTES issue to arrive, I received an e-mail message from Shaun's wife, Christine; she was completely distraught. "My fonts are all messed up!" Calm down... now's not the Times to go dingbats. Turns out, her Palette Title size was too tiny. Huh? Your ICQ interface and the daughter windows in Paint Shop Pro sport a palette title bar. Right-click anywhere on your Desktop, select Properties, then flip to the Appearance tab. In the item section, select Palette Title. From there, you can change its height and font properties. Dink with other settings if you're so inclined. To undo, simply re-enter the original data.


Robust Windows applications

27th July 2000

One of the least robust Windows applications (NOTEPAD.EXE) is the most often run program on my system. In fact, I've used it 140 times in the past two days. I've also executed Outlook 28 times, and Winzip's had 18 separate instances launched. You already know I'm not a bean counter, so how did I come up with these seemingly-precise numbers? Talk to the OPTLOG.TXT file. Your disk defragmenter calls upon it whenever you want to optimize your most frequently accessed programs for speed. The ever-changing data won't do you much good, other than show you how often certain apps are invoked. I thought I told you kids to stop playing MSHEARTS.EXE? The log doesn't lie.


ME a little more 'geek' friendly

28th July 2000

Coming from the "You Oughta Know" department, a Lockergnomie gives us our first official Windows Millennium Edition tip! No, most of us aren't running (nor will ever run) ME, but this is something that'll make working with the OS a little more 'geek' friendly. In testing the release version of this new environment, I had a few crashes. I was used to clicking on the 'Details' button to find out what went wrong, but some developer had decided to take it away. Or had they? When the time comes, all you have to do is hit ALT+D to see those darn details. If you're bludgeoned with the blue screen of death (and yes, it still exists in ME), you're on your own.


A blanket Web search

31st July 2000

Hungry? Run to your local fast food franchise and rustle up some vittles. Did they close early tonight? Shucks. When the french fry craving can't be satisfied, I guess a graphic will have to do. A blanket Web search for the popular snack will yield inaccurate results. Remember, you want to see a picture (not the word). Using a field-supporting search engine (like ALTAVISTA.COM), you could enter the term: 'image:fries' (sans apostrophes and spaces). What results is a list of links to pages containing 'fries' graphics. Understand that the word 'fries' must appear somewhere in the image file's name. It ain't clowning around.


Hidden Internet Explorer feature

1st August 2000

Coming from the "Stop, Drop, and Scroll" department, Lockergnomie Kjell Skjebnestad exploits a hidden Internet Explorer feature. To effectively read a lengthy Web page, one must scroll up and down (and sometimes side to side). For those of us with 'wheel' mice, the scroll bar has virtually become an obsolete control. Until a Gnomie pointed this out to me, I hadn't realized that IE could do this (at least in the latest version). What? Right-click anywhere in your browser's vertical scroll bar area. Up pop a few useful options: Scroll Here, Top, Bottom, Page Up, Page Down, Scroll Up, and Scroll Down. Stop dragging, dudes. Click once and go!


Upcoming Press Coverage

2nd August 2000

Whenever an author or company is featured in Lockergnome, I'll send an 'Upcoming Press Coverage' e-mail to their Inbox before the review is actually distributed. Some traditional and digital editors aren't as courteous. No matter, it's difficult to find a real e-mail address when it isn't posted clearly somewhere on a site (obviously). The first link I look for is the 'press releases' page. Nine times out of ten, a marketing contact will be listed therein. In lieu of these documents, I'll browse for a 'feedback' page. Here's the trick: an e-mail address may be embedded somewhere within the HTML code. View the page's source and do a search for the '@' symbol. Easy enough?


Settings can be tweaked

3rd August 2000

Coming from the "I Almost Forgot" department, Lockergnomie Dan Knight claims that toolbars aren't just for navigation. Explorer settings can (and should) be tweaked. Do you know what pressing that button does? Then why is text still sitting underneath it? I'm not saying you should remove every GUI component, but a little customization can go a long way. If you keep just one toolbar alive, let it be the 'Address' one; it's more than just a location reference. In the Windows Explorer, you can copy/paste complete paths in the Address bar. How's that for an 'oh yeah' reminder? You can also take those (copied) paths and paste them into open/save dialog boxes.


Command line interface

4th August 2000

Windows, I command thee to sit up and bark like the dog you are! Time to take some obedience classes, I see. You know there's still a place in your heart for COMMAND.COM. A command line interface can be quite quick when common sense is applied. Would you feel better if something was sitting somewhere all the time? Fine. Right-click on the Windows Taskbar, select 'Toolbars,' then 'Address.' Now, left-click its handlebar, drag it up to your Desktop, and let go. Right-click inside the newly-created box and choose 'Always on Top.' Resize it to your liking, move it elsewhere, and you're good to go. Treat it as you would any other CLI; programs (and URLs) can be launched from this toolbar.


Lossy compression?

7th August 2000

Satisfied with JPG, but can't jive with the lossy compression? Content with GIF, but feeling constrained by the 256 color limit? Happy with BMP, but horrified by the bloated file size? There's another image type that growing in popularity: PNG! IE users can view 'em inline, and with most of the world using Microsoft's browser, what's your excuse for not working with this new graphic format... especially when you're sending screen shots to someone. I snapped a 1600x1200 pixel, 32-bit (high color) one the other day and it weighed in under 100k. Long story short: don't use BMP if PNG will suffice. Both sport lossless compression algorithms, but the Portable Network Graphic will be infinitely smaller (in terms of file size).


Adjusting Outlook Express

8th August 2000

Coming from the "The Outlook Looks Good" department, Lockergnomie Doug Rutherford is tweaking like there's no tomorrow. Smack yourself if you haven't already spent seconds adjusting the Outlook Express interface. Even if you have another program for reading mail, surely you've used OE's newsreader to access the gnewsgroups at news.lockergnome.com? The Layout dialog (accessible from the View menu) is filled with various interface components; you can right-click the toolbar to customize it as well. But what about those messages; there's more than one way to sort 'em, ya know. Go ahead and right-click on the Subject column header and select Columns from the popup menu. Use whatever you want, wherever you want! Back in OE, you can press any given column header to toggle the sorting structure (if you hadn't figured that out by now).


Darn delivery dates!

9th August 2000

Shopping for stuff online is super simple, although satisfaction is somewhat delayed. Darn delivery dates! There are times when you want to hold a product in your hands prior to purchasing it, and there are times when you just wanna pinch pennies. Okay, before you bop over to your favorite e-commerce portal, do a search for 'free coupon' sites and resources. The big players ALWAYS have some type of promotion going on, though they probably won't tell you that outright (duh). With any luck, you could have a legit code worth US$10 in your lap, which is (in essence) free money. Combine these savings with the Internet's low price lollapalooza, and you're set.


Windows user profiles

10th August 2000

Coming from the "Don't Get Me Started" department, Lockergnomie Roger Pate frees his family from frustration. Sharing your Desktop environment with another person is next to impossible. I like my icons to line up like so; Gretchen isn't THAT picky. Managing the Start Menu would be a hassle, too -- if it were not for separate Windows user profiles. To provide access to these accounts on startup, one must first switch a certain setting. Open the Network applet in your Control Panel; set the 'Primary Network Logon' to 'Microsoft Family Logon.' That should do the trick; mind you, this should only be switched if you have more than one active user profile in Windows. Otherwise, what's the point?


USB, parallel, serial, and SCSI

11th August 2000

Coming from the "Just Take the Bus" department, Lockergnomie Mike St. Ores notices another Microsoft troubleshooting aide. USB devices are typically easier to install than their parallel, serial, and SCSI counterparts. That's the beauty, eh! Naturally, the upgrading process doesn't always go as planned. Windows isn't always forthcoming as to what's wrong, where it went awry, and why it won't work. With your Windows 98 system CD in the drive, navigate to the Tools \ Reskit \ Diagnose folder. There, you'll find a nifty program called USBVIEW.EXE. Go ahead and launch that puppy to see what peripherals Windows recognizes; select a component to view its environmental settings. The more you know, the farther you'll go.


Favorites menu is overflowing

14th August 2000

Didn't your mother ever tell you that the only thing that matters is what's on the inside? Same goes for IE's Internet Shortcuts (Web site addresses). I'm sure your Favorites menu is overflowing; how many of those suckers do you actually visit on a semi-regular basis? I thought so. Right-click on one of them, select the Properties option, and you'll be swept to its Web Document tab. Check out the Visits field; how often did you go there today? If your browser's History has been cleared recently, chances are 'Unknown' is the number. Like Yoda I sound! Frequently accessed? Consider assigning it a keyboard shortcut. Just about any CTRL + ALT + SHIFT combo should be available. Oh yeah, the mouse isn't the only one in control here.


Obscure Microsoft utility

15th August 2000

Coming from the "What's the Difference" department, Lockergnomie Dean Weaver drops a tried-and-true DOS proggie. A few weeks ago, the FC.EXE console app was highlighted. Not being one for command line interfaces, this Gnomie did a little disc diving to uncover another 'obscure' Microsoft utility. Pop in your Windows 98 system CD and browse to the Tools \ Reskit \ Files folder; Windows 2000 users will find the program in their CD's Support \ Tools folder sitting in the 'SUPPORT.CAB' file. WINDIFF.EXE will allow you to compare one text file with another. This is useful in situations where there are several versions of a single document to review or complicated LOG entries to analyze.


Internet shortcut in a snap

16th August 2000

One can create a 'mailto' Internet shortcut in a snap, but without the Favorites menu turned on in Outlook, there's no integrated way to access those links. Right-click on Outlook's toolbar and select Customize. Flip to the Commands tab, find New Menu in the Categories list, then drag the 'New Menu' option from the Commands list and drop it onto the toolbar. Now right-click that newly created menu item and change its Name (I used 'Blast' on my computer). In the still-open Customize dialog box, select File from the Categories list. In the corresponding Commands list, drag & drop 'Mail Message' into to the newly added menu button. Right-click on that freshly dropped menu object, find Assign Hyperlink, then click Open. Under Link to, select the E-mail Address option. Fill in the fields, assign the shortcut a name, and you're ready to roll.


Save your settings

17th August 2000

Coming from the "Is What You Pay Me For" department, Lockergnome database demigod David Breddam circumvents an account agitation. Who doesn't check their e-mail at least twice a minute? Most users call upon Outlook Express (since it's relatively simple to use). There are alternatives on the market, but why buy the cow when you get the milk for free? Outlook 2000 is there for those of us who need a full-blown information manager, though. Once you've configured your account(s) for either of Microsoft's Internet mail clients, you shouldn't have to enter them again. In the Tools menu, select Accounts. See that little 'Export' button? Use it! Save your settings somewhere for possible future importation (the 'My Documents' folder is recommended).


Recipe for configurability

18th August 2000

Coming from the "Non-active Activity" department, Lockergnomie Jeremy Buckmaster bucks the window dressing. Both Internet and Windows Explorer accept command line switches. With a slash here and a dash there, you've got the recipe for configurability. Have you ever wanted to view an image on your Desktop without first converting it to a bitmap? What about a live Web page? Again, you're probably trying to avoid Active Desktop like the plague. Run with the Start Menu's 'Run' option and enter: "iexplore -k javascript: moveTo(100,100); resizeTo(500,400)" (sans quotes). You'll now have a borderless browser sitting on your screen; feel free to tweak those numbers at will. Hit CTRL+O to open a URL or file; keep it sitting there for as long as you'd like.


Flush the clipboard

21st August 2000

Finding unique tips to cover isn't always the easiest task. For the past four years, whenever I turn to Gretchen for assistance, she says the same thing: "I like the one about copying and pasting." Yes, dear... but I can't talk about that every day. It's enough to make a grown geek cry, but here goes: CTRL+X is cut, CTRL+C is copy, and CTRL+V is paste. For the most part, these are universal shortcuts; you'll save time by using them regularly. Easy enough, but there's a clippy spin you may not be aware of. The clipboard resides in system memory; whenever you cut or copy data, that much [RAM] is being used. No big deal for smaller stuff (like text), but imagine what kind of strain you're putting on your system with larger objects (like images). Long story short: flush the clipboard when you're finished with it. How? Just copy a blank space (or something equally small).


Make the transition smooth

22nd August 2000

When Windows 95 first leaped onto the scene, there were few permanent 'gigabyte' storage devices in production. Because of this, we could only access Windows setup files from a CD (or floppy, if your system was that antiquated). We can make the transition smooth if you'd much rather have those CABs (et al) on your hard drive. NOTE: this should only be done if Windows frequently asks you to insert the system CD. To proceed, copy everything sitting in the system CD's SETUP folder over to a new location (e.g., C:\Windows\Options\Cabs), fire up REGEDIT, then navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Windows \ CurrentVersion \ Setup. Edit the SourcePath string and enter the new file path (e.g., C:\Windows\Options\Cabs). The next time your OS needs to access any of those files, it'll know where to find them first. This should work fine for all 9x/ME versions of Windows.


Fix forgetful folders

23rd August 2000

Coming from the "Wonder Twin Powers" department, Lockergnomie Frank Schnyder fixes forgetful folders. When the much-ballyhooed Active Desktop rolled out, we were given a few new file management options. Did you know that each folder could retain a unique interface? You're limited, of course, by Explorer's VIEW and SORT settings. While you prefer to see one folder's contents arranged by name in a 32x32 iconular format, you may wish to sort another by type (with Details enabled). No brainer, right? Well, if you wanna reset all your folders (across the motherboard) to one particular format, select FOLDER OPTIONS from the VIEW menu, flip to the VIEW tab, then press the RESET ALL FOLDERS button. Or, if you really like how the open folder looks and feels, press the LIKE CURRENT FOLDER button. Exact wording may vary, but those running IE4 and IE5 should have these features.


Sending HTML e-mail

24th August 2000

Sending HTML e-mail messages to friends can be fun, but some users find fancy formatting extremely annoying (like my good friends, Gordon and David). Before you decide to drop stationery into someone's Inbox, be sure they won't mind the colorful intrusion. How often have you not been able to view a message's contents because of lousy color combinations? Certain elements don't work well together (e.g., olive text on a red background). Since senders seldom stop to optimize their final products, Outlook (and Outlook Express) users should be en guarde! The next time you receive one of those 'lousy' messages, open it, click somewhere inside the message body, then use the CTRL+SHIFT+O keyboard shortcut. That'll textify the message good, so you won't have to do no squintin' anymore. We likes it that way in Des Moines.


Time zone confusion

25th August 2000

Coming from the "Time to Zone Out" department, Lockergnomaniac Shimon Lebowitz winds the system clock. Americans probably won't find this tip as useful as someone from, let's say, anywhere else. Eastern, Central, Mountain, and Pacific aren't the only time zones in the world. Knowing that even they couldn't cover the entire planet, Microsoft was sure to include a time zone editor with Windows 98 SE. Throw in your system CD and browse to the Tools \ Reskit \ Config folder; there you should find TZEDIT. With it, you can create or edit entries at a moment's notice. Copy the EXE, HLP, and CNT files to another folder on your (C) drive if you plan on using the utility more than once. When the appropriate changes are made, you should be 'on time' all the time. NOTE: time zone confusion is no excuse for being late to work. At least, in Iowa.


Folder inside FAVORITES

28th August 2000

Coming from the "Favorite Favorite Fact" department, Lockergnomaster Steven Groginsky repurposes a well-known Windows feature. When you run into a killer Web site, the first thing you do is put it in your Favorites (or Bookmarks). Understanding that you'll probably never visit it more than twice in the next decade, a lot of good that did ya. I'm sure you'll explore your system more often, right? Okay, Netscapers, even though you dislike IE, you may appreciate this tip. Make a folder inside FAVORITES and place shortcuts to frequently accessed folders in there. Since you're already in an Explorer session, once selected, each location will spring to life in the current window. You can always hit the back button if you make a boo-boo, but since the Favorites folder is already there, you may as well use it for non-Internet stuff.


Get around your system

29th August 2000

I gotta giggle when I see seven shortcuts to MY COMPUTER sitting on a Desktop. HINT: you only need one. I realize it's more convenient to keep several on hand, but there are easier ways to get around your system. The quickest way to a folder's heart is through its stomach. For instance, when you know which folder you need to open, instead of starting at ground zero every time, find a nearby program shortcut. So, if I needed to jump to PROGRAM FILES, I might right-click on the WORDPAD shortcut, select its PROPERTIES, then press the FIND TARGET tab. Boom! I'm sitting one folder deep in PROGRAM FILES. When I need to add or edit files in a program's path, I do the same thing. Pointless clicks drag down your productivity; think outside the box. Shaving seconds starts with the shortcut. Shaving shortcuts isn't as simple.


Abandoned Web pages

30th August 2000

Coming from the "Running Out of Cache" department, Lockergnomie (and Cluetrain Manefesto author) David Weinberger knows there's more than one way to skin a site. Which is more frustrating: being attacked by a computer virus or smacking into the dreaded 404 message? But the page used to be there; you just saw it last week! It's shuffled off its digital coil and moved on to a higher plane of existence. Whatever. Here's a semi-decent workaround. Short of slapping the site manager upside the head, type your way to GOOGLE.COM and search for the dead page. Use specific keywords or enter the entire Web address into the form. Once the URL is found, you may see a 'Cached' link displayed beside it. Duh. With any luck, you'll be able to sleep soundly tonight... knowing full well that there's hope for abandoned Web pages. The slash is a terrible thing to waste.


Field-supporting search engine

31st August 2000

Whenever you start surfing the Web, chances are, you already know where you wanna go. Though, I know I'm not the only one who finds a fair portion of information serendipitously (clicking the wrong link at the right time). While newer versions of Netscape Navigator and IE have a 'Related Links' feature, each paints a limited picture. Using a field-supporting search engine (e.g., ALTAVISTA.COM), you can enter the term: "like:URL" (sans quotation marks). Replace 'URL' with a complete Web address and you're well on your way to finding similar sites and pages. This operation comes in handy when you're trying to research a specific subject. Using http://www.hyperorg.com/ as the address, the resulting list of links should contain content similar to that found on the author's site. In theory...


Hard disk performance

1st September 2000

Coming from the "Change The Channel" department, Lockergnomaster Van Stanley configures his not-so-remote control. By default (a phrase which has come to scare many a power user), Windows 98 sees your hard drives as though they were on one IDE channel (like most other devices). You may be able to squeeze a few more drops of performance out of those disks by: right-clicking on MY COMPUTER and pulling up its PROPERTIES, selecting the DEVICE MANAGER tab, then opening the HARD DISK CONTROLLERS section. At that point, you should see your device controller at the top of the list (something with the words BUS MASTER in it, most likely); pull up its PROPERTIES and flip to the SETTINGS tab. Select 'Both IDE Channels Enabled' from the drop-down menu, reboot, and see if you've made a difference. Pay attention to the programs which access the swap file most often; they may move faster. YMMV!


Before the GUI was gooey

4th September 2000

Long before the GUI was gooey, we stuck to the command prompt. Software compression, while not running rampant, was on the scene. In your travels, no doubt you've seen files with strange extensions. Does EX_ or TX_ ring a bell? Most likely, you've found these in ZIP archives and CAB files; each with two letters and an underscore character. What will unpack 'em? Drag the underscored file into WinZip, and when it prompts you to finish the extension, take a wild guess and you'll probably be correct. Now drag that file back out of WinZip (onto your Desktop, for example). Shazam! This trick works for compressed files sitting inside archives, too. You can also use the old DOS utility, EXPAND.EXE -- if you still have a working version. It's amazing how far we've come. It seems like just yesterday I was unclogging my binary threshing machine. You younger folks might call it a "word processor."


Who is that oozing blob?

5th September 2000

You say you want a resolution? Well, you know we don't want to change the world. Scanning photos is always a blast, but trying to resize them isn't. "Funny, this family picture looked fine before. Who is that oozing blob? Grandma -- is that you?" Unless you're a family of amoebae, this can present a problem. I was thrown off track when I first encountered a Photo CD (PCD) file; nobody bothered to tell me that it can contain multiple resolutions within the same file (128x192, 256x384, 512x768, 1024x1536, 2048x3072, and sometimes 4096x6144). "Wow... much better." Note, though, that your favorite image viewer / graphics editor may not be configurable enough to see and access multiple embedded resolutions; Paint Shop Pro (from JASC.COM) will work just fine. To piggyback this tip: WMF files can be opened in a various (undefined) sizes as well. Most of your clip art is probably in this format. Even if you don't work with either of these image types regularly, you may encounter them eventually.


Single cell table in Word

6th September 2000

Coming from the "Table Picnic" department, Norm Abrams may be the master of crafting fine wood tables, but Lockergnomie Bob Unitt has found an easy way to construct a single cell table in Microsoft Wood... er, Word. You don't even need a circular saw or a belt sander for this one, gang. Just type "+-+" (sans quotes). Should you find the need to create additional cells, all you have to do is add the appropriate number of plus symbols to the end. For example, a one row, four-celled table would look like this: "+-++++" (sans quotes). A one-eyed, one-horned, flying purple people eater would look like this: "-.++++" (sans quotes). To add additional rows, just tap TAB from the right-most cell. You can't beat this shortcut... especially if you use tables frequently. Let's see Norm build something that quickly.


How do I switch between apps

7th September 2000

Too many open windows can be a real pane in the neck, not to mention a knot in the head for civilized users everywhere. I constantly have to remind my parents that it is OKAY to keep more than one window open at once. This isn't DOS people, no matter what kind of kernel we may be sitting on. "Popcorn?" No, Mom... the system kernel is basically the backbone of the operating system. Windows couldn't live without it. Under normal circumstances, you can keep several programs running simultaneously. "How do I switch between apps?" Good question, Dad. How do you bring a needed window to the top? Instead of going with the popular ALT+TAB keyboard shortcut, try giving ALT+ESC a spin. You'll be able to cycle through every open program (not sitting in the System Tray) in a flash. Ya know, with all these open windows, a Gnomie could easily catch cold. Better put on a scarf.


Nifty little utilities

8th September 2000

Calculator, character map, clipboard viewer; nifty little utilities, although they're not very exciting. Windows used to ship with a simple calendar application. It died when W95 rolled out, unfortunately. Regular Outlook 2000 users haven't skipped a beat. Still looking for a reason to use this powerhouse (and resource hungry) information manager? Perhaps this tip will win you over. Outlook 2k's integrated calendar app is a thousand times more powerful than Microsoft's original PIM. You can switch time period views on-the-fly, add new appointments to your schedule easily, and be reminded of your wife's birthday when it comes around (September 16 for some of us). Now for the meat: while viewing the calendar, in the FILE menu, select PAGE SETUP. Then select any given style: Daily, Weekly, Monthly, Tri-fold, Calendar Details, or Memo. As quickly as you clicked, you'll have a cleanly printed calendar sitting in front of you. Even if you don't use O2k frequently, I'm sure you'd find this feature useful.


Share your Outlook schedule

11th September 2000

Coming from the "Just Another Reason" department, Lockergnomie Joe Rude found an easy way to share your Outlook 2000 schedule with everybody online. "Where are you going to be this Saturday?" I don't know. "When's your lunch with so-and-so?" I don't know. "Who will be..." Ugh. Enough of this. I'm exporting my calendar to an HTML file and uploading it to the Web. All I have to do is flip to the calendar folder, select SAVE AS WEB PAGE in the FILE menu, tweak a few options, then... whatever. If I make the URL public, anybody can know what I'll be up to in the coming days. If I send the output as an attachment via e-mail, then only the recipient will know. Both families and business travelers have to love this feature; no matter where or who you are, you can be connected to a common schedule of events. Honestly, I didn't realize Outlook 2000 could do this until Joe pointed it out to me. Thanks!


Print Screen button

12th September 2000

Coming from the "Rapid Revolution" department, Lockergnomie Jacob Ludington keeps his Print Screen button warm. When one runs into a program problem, the easiest way to explain it via e-mail is not with words, but with pictures. That Print Screen button still works, gang. Tap it and your Desktop will be magically copied to the clipboard, waiting to be pasted into any image editing application. Depress the ALT key before you hit PRTSCN and it'll only capture the selected window. Great, but what if you don't have time to repeat that process, and need to get those shots off to someone soon? Launch WORDPAD (or your favorite Word Processor). Run through the screen shot routine, but be sure to paste each shot into the newly created WORDPAD document. When you're finished, save that file and blast it over to your contact. Compress it beforehand if you have enough time (using WinZip is recommended). Or, save a few steps and paste the images into an HTML message directly (again, size may become a problem).


Route to document launching

13th September 2000

Coming from the "Recent Redux" department, Lockergnomie Matthew Williams takes another route to document launching. You've seen the 'Documents' option sitting in your Start Menu by now. That's where the fifteen most recently accessed file shortcuts rest. That was the tip? Hardly; that was the set up. You can make your life a little easier by creating an entirely new toolbar. Right-click on your Taskbar, select TOOLBARS, then choose NEW TOOLBAR. When it comes time to designate a destination, browse to your Windows \ Recent folder and click OK. At this point, drag its leftmost handlebar as close as you can to the System Tray. The only word that you'll see at that point should be 'Recent' (with small double-arrows to the right of it). Go ahead and left-click those arrows. Aha! If you'd rather keep it more accessible, select the word 'Recent' with your left mouse button and drag it to an empty spot on your Desktop. Right-click on its title bar and tell it to stay ALWAYS ON TOP. For more fun, right-click in an empty toolbar area and select VIEW and LARGE for bigger icons -- then stick the bar to the right side of your screen by dragging and dropping it there.


Microsoft Word shortcut

14th September 2000

Coming from the "Paragraph Pairs" department, Lockergnomie Dwight Porter worms his way through a Microsoft Word shortcut. When I first learned how to type, we were instructed never to look down at the keys. That was back in the day when it took over ten minutes to warm up a typewriter. Thankfully, hitting backspace doesn't make as much noise as it once did. Oh brother! If you find yourself consistently manipulating entire paragraphs at a time, perhaps there's a quicker way to cut and paste your words in Word. Position the cursor [I-bar] anywhere in the paragraph and hold down ALT+SHIFT. Now, use the Up and Down arrow keys to move that block of text around within the document. Good news: the paragraph will never stop in the middle of another paragraph. NOTE: hitting the Left and Right arrow keys will change the style of the selected text.


That's AutoComplete!

15th September 2000

Passwords float softly about the Internet, like so many secrets wafting over the deepest ocean. Pardon me, I felt the need to wax poetic. In less romantic terms, site accounts are a necessity for any Web surfer; later versions of IE will store and retrieve your login information when you return to the form in question. That's AutoComplete! Remember to turn it OFF when you're not surfing on your own system. Otherwise, you may be exposing yourself to a little privacy problem. Select INTERNET OPTIONS from the TOOLS menu; on the CONTENT tab, click the AUTOCOMPLETE button. Either clear the history after you surf (asking permission first, if necessary). Or turn off the feature entirely for the duration of your session. Prompting may already be turned off, so MAKE SURE you cover your tracks before you walk away. This tip will self destruct in five seconds.


Active Desktop

18th September 2000

Today's Sponsor The Active Desktop is an active pain in the [insert expletive here]. Whereas I used to be able to drag and drop GIFs, JPGs, and PNGs directly from Internet Explorer to my Desktop, I now have to take an alternative route to avoid the annoying "Do you want to add an Active Desktop item to your desktop" message. Yes, I could remove Active Desktop functionality altogether, but that would render other shell features inoperable. So, instead of dropping onto the Desktop, I simply drop the image into a folder (or folder shortcut). The graphic (and my sanity) is saved. Here's another method: drag & drop the non-hyperlinked Web graphic into your Outlook 2000 or Outlook Express Inbox to automatically 'attach' it to a new mail message, then drag & drop the image's icon onto your Desktop. You may then close the "unused" message. Crisis averted. NOTE: this second technique can also be used to create 'local' message attachments in a jiffy. Read: existing documents.


Three graphic mini-tips

19th September 2000

These three mini-tips are geared towards those who have problems viewing images as displayed on their screen, but I'm sure everyone will walk away learning something new. Have you ever run into a Web graphic that doesn't look quite right? Chances are, the HTML developer hard coded the wrong dimensions for that particular image. Never fear, if there isn't a link lying underneath, you can click and drag that sucker to your Address Bar and have it displayed as it was originally intended. Okay, to piggyback the previous tip (for smaller graphics): once placed into an HTML mail message (or word processor document), you may enlarge the image by dragging its edges outward. To take this a step further, you might consider using the SHIFT key for such resizing operations; "smart" programs will keep the height and width proportional. Either for temporary or permanent viewing, these tips will save you time.


Analog-allergic format

20th September 2000

Today's Sponsor Digital photos are seldom perfect out of the chute. But that's the beauty in the analog-allergic format: all tweaking is done in post-production stages. Need better white balance? Bam. Need a bit less blue? Boom. Does it look better than the image you began with? Only one way to find out: do a flip-flop comparison. Be sure all other windows are minimized or closed before you continue. Now, launch one (or more instances) of your favorite image viewer / editor. Open each image (in question) in a separate pane -- then maximize the window(s). Once ready, use the ALT+TAB (or ALT+ESC) keyboard combo to toggle window focus quickly. To take another (less extensive) route: once you've applied a particular operation on an image, use your editor's UNDO / REDO feature to eyeball the changes. In the end, you should walk away with the best looking image. Never rely on your [brain] memory to pick the winner; that's what [computer] memory is for.


Frequent application failures

21st September 2000

Coming from the "Crash Test Smarties" department, Lockergnomie Dan Cursio may have a solution for frequent application failures. Rock-a-bye Windows, on the Desktop. When the app breaks, the OS will crash. "Illegal Operation? Has a disk doctor been performing surgery on my system without a license again?" When Microsoft Word is failing frequently, consider deleting the NORMAL.DOT file. Typically found in the WINDOWS \ Application Data \ Microsoft \ Templates folder, a quick Search (F3) will uncover its location on your drive. Okay, but what about other programs? When was the last time you deleted your swap file (WIN386.SWP)? If you're running into KERNEL32.DLL errors, consider dropping into MS-DOS mode and deleting WIN386.SWP from the command prompt. This will effectively clean out previously swapped code which may have been causing system instability. Windows will create a new swap file automatically before its next session.

I'll take this time to remind you of four very important rules:
1) ALWAYS perform a BACKUP before venturing into the unknown (or known, for that matter);
2) your mileage may vary;
3) if you don't know what you're doing, don't do it without being prepared to face the consequences;
4) don't delete files unless you know they can be deleted safely (move them to a temporary location elsewhere on your computer before erasing them permanently).


Internet Shortcut icon lame?

22nd September 2000

"Why, oh why, is the Internet Shortcut icon so lame? After all, I have to look at those suckers every day. With a few more colors, they'd be perfect." Still trying to speed up your Internet experience? Icons, believe it or not, could play an important role in URL recognition. Pull up your Favorites menu and see what sits there. Looks like a few sites created a 'Favorites Icon' (most likely using Microangelo or FAVICON.COM). No? No biggie. Right-click on one of those shortcuts and pull up its Properties. Lookie here: a CHANGE ICON button is begging to be pressed. Give that shortcut a face you'll instantly recognize and you'll find it easier next time you need it. Being able to combine fluff and gloss with functionality is rare; take advantage of this feature while it still exists. Need some new icons? Just about every EXE file has one (or more). A bitmap (BMP) will stand in place of an ICO just as easily. Bet you didn't know that, eh.


Launching different apps

25th September 2000

Tired of launching thirteen different apps to do your daily deeds? Perhaps you should give Outlook 2000 (and Outlook Express) a second look. "Oh, here he goes again -- proselytizing the masses." No, check this out -- you can drag and drop Internet Shortcuts into the Outlook 2000 Bar to view the URLs within the main pane. I've done this for the Daily edition of Lockergnome (so it's never more than one click away). You can do the same thing. Make a shortcut for http://www.lockergnome.com/issues/daily.html and you'll be good to go! Notice the Favorites menu in Outlook 2000? Yep, you can browse the Web within that mail client. You can also create shortcuts for regular files / documents; if you ever run out of room, right-click and display 'Small Icons' or simply create a new Group. Another 'unused' feature: dragging & dropping messages to and from an Outlook (or Outlook Express) folder. ZIP up the e-mails you don't need immediately and put them back whenever you so desire. Three tips in one!


Secret documents

26th September 2000

Coming from the "Exclusive Access" department, Lockergnomie Kev Priebe pry-proofs his folders from GUI snoops. Do you have documents that you'd rather keep secret? Short of attribing them 'hidden' (and telling Windows to keep them hidden), you should give yourself another layer of protection. Right-click on empty space in a folder and select CUSTOMIZE THIS FOLDER, then choose CREATE HTML DOCUMENT FOR THIS FOLDER. Once the document is opened in Notepad, scroll down until you see <script language="JavaScript""> -- hit [ENTER] to insert a blank line after this string. Now, insert the following text (with hard carriage returns where noted): var pass = prompt("Enter the password") [ENTER] if(pass != "YOURPASSWORD") [ENTER] {window.location="C:"} [ENTER]. Put a password in the place of YOURPASSWORD but leave the quotes. Save the document, exit Notepad, refresh the folder (hit F5), enter your new password, and the next time you try to enter that folder, you'll be prompted for your password.


Document in ALL CAPS?

27th September 2000

Coming from the "My Case Is So Sensitive" department, Lockergnomie Brett Taylor works with Word's words. What can you do when someone sends you a document in ALL CAPS? Sure, slapping them upside the head is a start, but the legibility problem still remains. Don't fret, my friend. Throw the text into Microsoft Word and shuffle through a few keyboard shortcuts. Highlight the 'offending' section and press SHIFT+F3 as many times as it takes to complete the case transition. With this routine, you can cycle through: lowercase, UPPERCASE, Sentence case, Title Case, and tOGGLE cASE. Now, what about the font size? Could it be bigger or smaller? No problem, just highlight a section and press CTRL+] (to make it larger) or CTRL+[ (to make it smaller). These last two shortcuts will also work with Outlook / Outlook Express HTML text (in a limited fashion). With a short few strokes, your eyes will be happier. Now, if someone could only create a shortcut to make wives less sensitive...


Junk e-mail

28th September 2000

Coming from the "Adding It All Up" department, Lockergnomie John Fetzik knows where his messages come from. How much junk e-mail do you receive on a daily basis? More importantly, do you know how those dirty rotten scoundrels attained your e-mail address? Chances are, you've signed up for a service in the past and given that company "permission" to use (or sell) your contact info. Ugh! "I didn't ask for this stuff." Of course not, but you're getting it now (regardless). Your e-mail server may support an interesting address addition which would allow you to track incoming mail with ease. Next time you sign up for a service, try adding a plus sign (+) to your existing address, followed by the reference. For instance, if you were ben@pirillo.com signing up for a car tips newsletter, you may be able to sign up as ben+cartips@pirillo.com. The mail will still come to the 'ben' account (again, if your mail server supports this feature). Try mailing a +test message to yourself to see if it works.


Did you forget to RTFM?

29th September 2000

Did you forget to RTFM? Or, to put it another way: before you ask someone a 'tech support' question, do a little local looking. Most polished programs come with documentation; older HLP files are wonderful resources which contain features not often remembered. Fire one up and right-click in an empty area. The options in that menu will astonish you: Annotate (virtual yellow stickies), copy, print, change font size, et al. Perfect if you plan on using that given page at some point in the future. Now, take a look at the regular menu bar: bookmark the current page, display the navigational history window (under Options), et al. Cool stuff, eh? Can't find what you're looking for? Try pressing the Contents, Index, or Help Topics button. Just don't forget to refer to this documentation before you start flipping questions in every direction. The answer may already be sitting in front of you, and you'll feel a sense of accomplishment if you uncover it on your own. It's easier to do than you think.


Upgrade to Windows ME?

2nd October 2000

Many of us are faced with the question: upgrade to Windows ME or stick with Windows 95? Try Windows 2000 or keep rolling with Windows 98 SE? General consumers should stick with ME (and power users should bear with me). So where's the tip? You can have the best of both worlds with a dual-booting system. The easiest way to create one is to: install Windows 98, then run the Windows 2000 installation routine within Windows 98. For the best compatibility, you'll probably want to stick with a FAT32 format. Was that the tip? Hardly. When (or if) you decide to remove the original 9x OS, your computer may think it's still there. See that BOOT.INI in your root directory? Move it elsewhere and your boot won't skip a beat.


Can't get that device to work?

3rd October 2000

Serial devices don't need milk; they stay crunchy throughout the day. USB peripherals, on the other hand, may need a bit of digital sopping to stay smart. As the number of USB-compliant hardware has increased, so has the amount of interfacing problems. Can't seem to get that device to work? Consider plugging it into another (open) USB slot. Out of room? Get a multi-port USB hub. Another possible solution: make sure each device is getting appropriate power. Hit the WINKEY+PAUSE keyboard combo and flip to the Device Manager tab. Pull up the properties for a USB device and make sure the 'Power' allocation is correct (according to its official specs). Still having headaches? Consider flushing; delete the 'Universal Serial Bus controllers' section in your Device Manager. Windows should recognize the installed components upon the next boot.


Document font dilemma

4th October 2000

Fonts are fantastic. To install a favorite TTF, just drag and drop it into the system Fonts folder (found in the Control Panel). But wait -- there's more! How often have you received a Word document that just doesn't look right? Chances are, the author used a font that isn't installed on your system. If they neglected to embed the face (which can be done via the Tools > Options > Save panel), you might consider remapping font substitutions. NOTE: this only needs be done during a document dilemma. If you're still in Word's Options dialog, flip over to the Compatibility tab and press the 'Font Substitution' button. There, you'll uncover the missing TrueType(s); not quite as thrilling as discovering El Dorado, but helpful nonetheless. Select which font you'd rather work with and click OK. Smooth seeing from now on...


Unfluffify formatting

5th October 2000

Look what the dog dragged in! Another string of text. "Sprocket, how many times do I have to tell you: each Windows application should stay antonymous. What? You're saying they shouldn't?" My puppy claims that you can drag & drop data from one 'OLE' app (Object Linking and Embedding) into another with ease. As you're editing a document in one program (like Word), you can easily drag & drop the selected text into another program (like Outlook). Found a cool passage in your Internet Explorer session? Select it, drag it, and drop it somewhere appropriate. Cool Outlook trick #72: when you've copied text to the clipboard, go to your Inbox and hit CTRL+V. Or, just drag & drop text into the general Inbox area. To unfluffify formatting, create a new 'text' message and drop selected rich-text into it. This feature is anything but a drag, dude.


Windows system not snappy?

6th October 2000

Coming from the "Starting All Over Again" department, Lockergnomie Chad Connolly believes he can belay EXPLORER.EXE's proverbial problems. Face it: when Windows first boots, your system is relatively snappy (assuming, of course, that you're not currently experiencing hardware or software contentions). When (not if) your session starts to slow to a crawl, don't reach for the reset button. Instead, do a three-finger salute (press CTRL+ALT+DEL), select Explorer, then press the 'End Task' button. The "Are you sure you want to exit windows?" dialog will pop up immediately; hit the ESC key to cancel, then wait a few more seconds. Soon, a box will pop up saying that "Explorer is not responding." Hit the 'End task' button and your Desktop will refresh. Windows may become more responsive at that point; you've done a pseudo reboot.


Digital picture polishing prowess

9th October 2000

Why do we try to separate fun from function? That's like eating peanut butter without the jelly, seeing Bert without Ernie, or sassing off to your mother without getting slapped. Okay, perhaps the latter is a bad example. Nevertheless, have you perfected your digital picture polishing prowess? Fire up your favorite image editor and open any given (high quality) photo. Now, go through it and retouch specific areas; erase shadows, delete branches, remove eyebrows, etc. Why? Because you can send the original and edited photos to a friend; if your editing skills are finely tuned, your buddy will have a difficult time picking out the differences between each graphic. What's gained from this exercise? Well, you build practical experience, and your pal's productivity plummets.


Who needs help?

10th October 2000

Who needs help? Oh, you're never gonna get it. Who needs help? Tell me what's that for? As egotistical as most weathered computer wizards are, most of us... I mean, them... haven't unlocked every hidden Windows treasure. If you still use the mouse for every operation, don't you dare call yourself an expert. Keyboard shortcuts were put on this Earth for one reason: to make life easier. But where can you go to uncover those crazy combinations? No further than your own computer. Hit the F1 key; it's time to help yourself. Flip to the Search tab and enter: "Keyboard Shortcuts" (replete with quotes). In a few seconds, you'll have a list of links containing valid key combos. And to think: they've been there all this time. You've always been under CTRL.


ZIP's without a third-party program

11th October 2000

Admittedly, Windows ME is more user friendly than its 9x predecessors (which is probably why, as a power user, I found it so aggravating to use). Example: ZIP archives can be managed without installing a third-party program. Functionality is severely limited, but it gets the job done. Another 'new' feature (found within Windows 2000, at least) is uncovered when a user selects a ZIP archive; Explorer's Status Bar will show how many files it contains. And, if there's a 'comment' inside, that will be displayed as well. Keep your eye on that Status Bar; truncated Office document details, shortcut target location paths, and various other infobits will appear there when the appropriate files are selected. The component is definitely more useful than it used to be.


Archived installation EXEs

12th October 2000

A while ago, I noted that the property sheet for a 32-bit EXE file often contains its extended properties (like version number, author, et al). Well, I inadvertently stumbled upon another tab which only shows up in archived installation EXEs (like self-extracting archives). Not sure if a downloaded EXE is pure? See if it has a 'Digital Signatures' tab when you select the file's icon and hit ALT+ENTER. Press the 'Details' button to get the goodies. Just because this tab doesn't exist doesn't imply that it's a bad archive, though. Want more? Fine. Ever see an MSI (Microsoft Installer) file? It may contain a 'Summary' sheet with relevant archive info. If an MSI file doesn't execute automatically for you, consider downloading 'Windows Installer' from msdn.microsoft.com.


Keep every open app minimized

13th October 2000

Leaping to W2k wasn't too difficult; I was expecting to face more software foibles. MaxMem (one of ANALOGX.COM's killer utilities) was an indispensable for Windows 98 add-on. I figured I'd run into the same old memory leaks on this new platform. Check this out: in Windows 2000, you should keep every open app minimized when its not in use. Why? Because memory allocation minimizes, too. Watch the Task Manager if you don't believe me. 13 MB can drop to 2 MB in a click; that's a GOOD thing. What's really weird: even with all EXPLORER.EXE windows closed, less resources are used when one Explorer instance is open and minimized (to the taskbar). Keep any number of programs open without dealing with half the fat. Or NTFS, as the case may be.


How fast is my CD-ROM drive?

16th October 2000

Computer cases can be cute, but few of them are far from functional. Christine Shulba asked me the other day: "How do I find the speed of my CD-ROM drive?" Well, short from cracking open the cover and checking the hardware labels, you could see if the Device Manager provides any insight. Pull up the properties for My Computer, flip to the appropriate tab, and expand your CD-ROM devices. Does it display the speed designation(s)? If not, see if the drive has a specific model number, then cross-check it at the appropriate manufacturer's Web site. That's your best bet for solving this mystery... at least, electronically. You may be forced to wade through that messy closet, looking for the original (printed) documentation. The analog route isn't always the fastest, but if you REALLY need to know (and there's no other way to go)... don't forget your 'unplugged' options.


Is your floppy being sloppy?

17th October 2000

Is your floppy being sloppy? Ask it to stoppy. Why do some systems check for an inserted disk when they first access an object in My Computer? Ugh; it's quite annoying, especially when you'd rather not experience the delay. First, check to see if there are any shortcuts leading to your floppy drive anywhere on your computer (the PIF, SendTo, and Startup folders are the most likely offenders). Delete them, if possible. Did that do the trick? Right-click on My Computer, pull up its properties, flip to the Performance tab, and press the 'File System' button. Be sure the checkmark is removed from the 'Floppy Disk' tab. How's that? Drat. Okay, experts should see if there are any odd 'Run' references in the Registry. No? Well, while in REGEDIT, navigate to HKCU \ Software \ Microsoft \ Windows \ CurrentVersion \ Policies \ Explorer and look for the 'NoDriveTypeAutoRun' key. Make sure its binary value is: "95 00 00 00" (sans quotes). Cross your fingers and reboot.


More than your fair share of e-mails

18th October 2000

Whatever e-mail manager you choose to use, it probably has a 'Sent Items' folder within it. Every message you send can be copied there automatically for future perusal. Didn't know about this before now? Check to see what's sitting in there, if anything. In Outlook, you can toggle this 'storage' function in the Options dialog. So, why keep it turned on? When the recipients of your messages don't respond in a timely fashion, you can resend the original copy in a flash. Or, if you need to keep a valid record of what is being mailed from your account, this feature will work well. Be warned, ye heavy mailers: your database can become bloated quickly. Compact it at least once a week if you send more than your fair share of e-mails. How? Consult your mail program's help file to see if it even needs to be done (Outlook Express users will find the 'Clean Up Now' button in the Option dialog's Maintenance tab).


Pointing and clicking is perfectly legit

19th October 2000

I command you to read this tip, but only if you're running on Windows 2000 and love sitting on a CLI. Pointing and clicking is perfectly legit, but there's something to be said about entering commands on a textual level. We use alphanumeric characters regularly in a command shell, but did you ever consider tapping the function keys? F1 cycles through the characters of the previously entered command; F2 asks you to "Enter char to copy up to" (from the previously entered command); F3 Repeats the previously entered command; F4 asks you to "Enter char to delete up to" (from the previously entered command); F5 cycles back through the previously entered commands and stops at the first one; F6 inserts the '^Z' string; F7 pops up an interactive command history menu; F8 cycles back through the previously entered commands and loops infinitely; F9 asks for a previous command number (starting with 0, with up to 50 in the buffer). Now how's that for nifty?


What else can this 'shifty' key do?

20th October 2000

Coming from the "Optional Stop" department, Lockergnomie Benjamin Holmen has unearthed another quick slick click trick. The SHIFT key is quite useful in Windows. Hold it down during the OS boot process and your startup apps will be skipped. When loading a CD-ROM, use it to bypass the impending Autorun sequence. What else can this 'shifty' key do? Slide through your Start Menu for a second. Pick a program you want to launch, but keep your SHIFT key depressed during the process. What's this?! The menu stays up instead of disappearing -- allowing you to launch other utilities without having to start back at the Start button? Yeppers! Think of the seconds you'll shave with this shortcut, especially when you need to launch several utilities in succession to one another. A batch file could produce the same results, but -- what if your needs are unpredictable? Shift gears for a second...


Upgrading your hardware?

23rd October 2000

Though we don't upgrade internal hardware all that often, it's a necessary evil for some of us. Upgrading your video card, modem, etc.? First, be sure to remove its reference in your Device Manager (found in the properties dialog of My Computer). This way, Windows won't try to find it when it boots up again. That was a somewhat straightforward task, but what happens when you need to install a new motherboard -- without wanting to reinstall Windows? Don't pick and choose what needs to go; delete everything sitting in the Device Manager. Before you do this, of course, you'll want to back up your system registry (just in case the upgrade is a complete failure). Once you've disconnected and reconnected all your devices to the new system board, when Windows boots up, it'll redetect your hardware and should configure itself accordingly. Skipping the 'Device Manager deletion' step is inviting disaster.


Microsoft 'Resource Kits'

24th October 2000

Coming from the "Better Than Buying the Book" department, Lockergnomie Tim Ingrum loads up his digital sleigh with resourceful information. When Microsoft releases an operating system, a corresponding 'Resource Kit' is also released. Why? To give developers (and power users) access to system-level information. Did you know that a sampler kit can be found on your Windows 9x CD? Throw it in and navigate to the Tools \ Reskit [98] or Admin \ Reskit \ Helpfile [95] folder. Simply copy the contents over to your hard drive and you'll have these extras at your fingertips. While you've got either CD in the drive, do a search for all EXE files and see what comes up. Another reason to hold onto your old Windows 95 CD? The Weezer video, dude! He looks just like Buddy Holly. Windows NT/2k users will find a few 'giveaway' resource kit utils (worth snagging) at MICROSOFT.COM's Download center.


Grab a geek before you go gouging

25th October 2000

Coming from the "Playing it Safe" department, Lockergnomie Stephen Volkmann seeks solutions in an alternative Windows 9x configuration. Grab a geek before you go gouging, though. Ever been forced to boot up in Safe Mode? Yeah, it happens to the best of us. But that might not be a bad thing, especially if you're experiencing seemingly-random crashes all the time. When the system becomes unstable, the kernel seems to lose track of system handles and figures it needs to recreate them. Consequently, it causes more than one device driver to load and ends up installing a duplicate device. If you go into Device Manager, you will see the list [sans] red or yellow exclamation circles marking the anticipated offending culprit(s). Boot up in Safe Mode (use X-Setup from XTEQ.COM to configure your boot options) and then look at the Device Manager; right-click on My Computer, pull up Properties, then flip to the Device Manager tab. Look high and low for phantom and duped devices, then delete them (always leave at least one instance behind). "Once all duplications have been removed, restart the system in real mode. Only the devices found will be reinstalled." Again, if you've never done this before, be sure to enlist the help of a knowledgeable friend first.


Shortcuts in your SendTo folder

26th October 2000

Coming from the "Department of Redundancy" department, Lockergnomie Andy Schott circumvents a Windows shortcoming. "Yesterday, I had ten text files that I wanted to print out; opening the files individually in Notepad seemed like a very inefficient way to print them. So, I added a shortcut to the printer in my SendTo folder, highlighted a few files, then sent them that newly created menu shortcut. After clicking through a dialog warning me that I wanted to print multiple documents, they were all successfully printed!" So, what else can we throw into that menu? Try a shortcut to your Recycle Bin, for starters. It's just as easy to hit the DELETE key or select that option in the context menu, but since when have alternative avenues been bad? Another good SendTo addition: Notepad. Still want to fill up space? Put a shortcut to your Start Menu folder in there, too. Another good shortcut would be COMMAND.COM (specifically for 9x/ME users).


Wheeling up and down

27th October 2000

Coming from the "Pleased Trees" department, the Lockergnomie known as Monlulu puts a spin on a classic trick. How I ever lived without a wheel mouse is beyond me; honestly, if you want to increase productivity by at least 50 percent, go out and pick up one of these puppies. My personal pick: Microsoft's Intellimouse Pro (it feels 'just right' in the palm of my hand). But that's not necessarily the tip. When you're viewing a document, image, e-mail message, Web page, etc., depress the CTRL key while 'wheeling' up and down; the font size (or zoom level) will increase or decrease accordingly. You're right, I've featured that tip before, too. Did you know, however, that you could apply the same tactic in Internet Explorer 5.5's print preview feature? Yeah! Save a bit of paper next time. It should also be noted that Microsoft Word 2000 has built-in multi-page printing capabilities, too (found in the Print Options dialog).


Shell annoyances

30th October 2000

When I first made the leap to Windows Millennium Edition, I was annoyed by some of the (admittedly minor) changes. This caused me to return to the 98 SE operating system. Then, I gave Windows 2000 a spin. The performance gains have been so obvious that I've learned to live with the (similar) shell annoyances. One of which being the new integrated Search feature (which replaced the Find applet in the 9x series). I've always disliked the instant Explorer integration. I used to scour certain folders for content, but found no ability to save those searches in ME/2k. Ugh! To work around this oversight, I've taken to making folder shortcuts. Once created, I can right-click on the designated icon and select 'Search.' Since the AutoComplete feature is integrated with the new Search tool, my 'fact finding' missions aren't a total bust. I guess you gotta take the good with the bad, eh?


ActiveX controls are interesting

31st October 2000

Be vewy, vewy quiet... I'm hunting add-ons. ActiveX controls are interesting creatures. While you may not use them every day, they could be taking up resources (disk space, memory, processor clock cycles, etc.). The problem with these types of plug-ins: you can't uninstall them through the Control Panel's 'Add / Remove Programs' applet. What to do? Instead of reinstalling your operating system, you may consider removing controls directly from the 'Downloaded Program Files' folder (found in the Windows directory). Once there, right-click on an icon to either update or remove the control. Be EXTREMELY careful about what you choose to eliminate here; if you don't know what something is, you're better off NOT erasing it. If nothing else, you could use the object's property sheet to troubleshoot problems you may be encountering in Internet Explorer.


Alternative uses for the SHIFT key

1st November 2000

Today's Sponsor Coming from the "Field Trips You Shouldn't Need to Chaperone" department, Lockergnomies Lee Holmes and Lori Shotts have uncovered alternative uses for the SHIFT key. We often encounter forms on Web pages. With data fields, "the more, the merrier" doesn't apply. When faced with a multiple-choice listbox, you may be able to highlight more than one entry by pressing the SHIFT key during the selection process. Done. What about the next field? Just hit the TAB key to jump there. Whoops! I wasn't finished. No worries; simply hold down SHIFT and tap the TAB key to jump back a field. These two shortcuts will work in most Windows programs, too. Ever use a form in an HTML e-mail message? The backspace key doesn't seem to work. However, if you use SHIFT in conjunction with the backspace key, you may delete your text entry without breaking a sweat (or your keyboard).


E-mail server slower than a snail?

2nd November 2000

Is your e-mail server slugging along slower than a snail? You're not alone. However, this little tip may just shave a few seconds off of transmission time. First, you'll need to find out what your POP3 and SMTP servers are supposed to be. This information can be found somewhere in your account settings. Let's say its MAIL.YOURISP.COM for the sake of argument. Drop to a command prompt and run the traceroute utility: "TRACERT MAIL.YOURISP.COM" (sans quotes). You're looking for the mail server's IP address, folks. Say it turns out to be 256.7.26.73 (again, for the sake of argument). Copy the number and use it in lieu of the original alphabetic designation. What good does this do you? It's possible that sending / receiving mail processes will be shortened due to bypassing the 'route' and jumping directly to the destination IP. NOTE: IP addresses aren't written in stone; they may change in time. Just adjust your settings accordingly. Don't understand a word I've written? Don't try this tweak.


Icons are the staple of any toolbar

3rd November 2000

Coming from the "Express Lane" department, Lockergnomie Alex Gray drops a dragging tip into your lap. Icons are the staple of any toolbar; without them, it's just another menu. Simply right-click on a toolbar to configure it (this tactic works in most modern Microsoft apps). What's new? Outlook Express users can relocate any (visible) toolbar icon immediately by using the SHIFT key while dragging it left and right. Outlook 2000 users are out of luck this time. They, however, should add an 'Address / URL Field' from the Web set to their default toolbar (for instant IE access within the Outlook interface). What can both clients do? Drag and drop messages into different folders without having the 'Folder View' turned on. Simply drag and hover selected message(s) over the Folder Bar to view your mailbox folder hierarchy. No matter which program you use, the "Outlook" is good. Or, at least, configurable.


Milk some speed out of your system?

6th November 2000

Coming from the "Maximizing by Minimizing" department, a Lockergnomie suggests that programs are best launched but not seen. Still looking to milk some speed out of your system? One thing's for sure: when run, a program will (always) consume resources. If you don't want Windows to load the user interface, why suck up the extra cycles? Since the OS doesn't have to render the window's shape, data, components, etc., a program may be 'ready to use' faster if you start it in a minimized state. Right-click on any shortcut (including those in your Start Menu) and pull up its properties; when asked how to 'Run' it, select the 'Minimized' option. Don't expect this tactic to save resources -- only initial program launch time. Slower systems may see the biggest difference -- especially with the "heavier" applications. BONUS: to view a program's context menu, use the SHIFT+F10 keyboard shortcut.


Delay outgoing transmissions

7th November 2000

Where were you on the night of July 26th? As far as any of your online buddies know, you were sitting diligently in front of your monitor, composing e-mail messages. Or so you would have them believe. You receive e-mail; you send e-mail. But did you know those outgoing transmissions could be delayed? Start a new message in Outlook 2000, choose your recipients, compose the communiqué, but before sending the e-mail on its merry way, select 'Options' in the View menu. In the Delivery options section, select a date and time from the 'Do Not Deliver Before' field. As long as you send and receive incoming messages without intervention, it'll leave the Outbox whenever you tell it to do so. Note the other useful features in the 'Option' dialog; change the 'reply to' address, set a read receipt, change the message's importance, or send it through another account.


Increase personal productivity

8th November 2000

Your phone is next to your computer, right? If not, you're missing out on a tremendous opportunity to increase personal productivity. Conversation is a form of synchronous communication; all parties must be "live" for idea exchanges. "I'll send you that e-mail when I get..." No, don't wait. Send it now before you forget. "Yeah, Bob... I saw this great PNG image the other day..." Why not just blast it over to Bob right now? I'm sure he'll appreciate it. "I wanted to make changes to our Web site later..." And run the risk of doing something incorrectly? You both could load the page in question; while one would edit on-the-fly, the other would simply view and respond with proper feedback. "How do I get to your office..." Slap yourself silly if you've asked this question recently. What do you think MAPBLAST.COM is for? BONUS: home office users should have a cordless / handless headset; it frees up fingers for typing. Plus, you can do 'silent' household chores while still focusing on the call.


Storing those URLs for easy retrieval

9th November 2000

Sure, we all have our Favorites (or Bookmarks, as the case may be). Chances are, each one of us has found a very comfortable method of managing them, too. Did you know that Outlook Express could do just as dandy a job at storing those URLs for easy retrieval? Take a look at the 'Send' command sitting in Internet Explorer's File menu; with OE installed as your default mail client, the 'Page by E-mail' option is very powerful. By employing this action on a useful Web site, the generated message should be fully operational once it arrives in your Inbox. How does this come in handy? Send your favorite (non-framed) 'informational' sites to yourself, then store them in a separate OE folder for future access. Works well with dynamic images (Webcams, weather maps, et al). NOTE: while Outlook 2000 users can receive these documents, as the default mail client, it cannot send pages (inline) through e-mail.


Task Manager (TASKMAN.EXE)

10th November 2000

Coming from the "Memory Management Muscle" department, Lockergnomaster Alex Gray stumbles upon a secret shortcut for Windows 2000 users. Without a doubt, the most useful utility in W2k is the Task Manager. It's only a right-click away from your Taskbar, but the keyboard can coax it to the top just as quickly. Hit CTRL+SHIFT+ESC and you'll find yourself floating in front of the familiar tool. So it's there... now what? In the Process tab's 'View' menu, click 'Select Columns' and configure to your heart's content. My suggestion? 'Peak Memory Usage' and 'Virtual Memory Size' will tell an average user more than s/he ever wanted to know. You may also wish to increase, decrease, or pause the update speed in the 'View' menu, too. For impatient people like myself, 'High' works just fine. NOTE: Windows 9x users will find their Task Manager (TASKMAN.EXE) useful, albeit limited in features.


Scanned your Favorites for duplicates?

20th November 2000

Coming from the "One Too Many" Department, Lockergnomie Runar Mar Bragason knows he needs only one record per URL. When was the last time you scanned your collection of Favorites for duplicates. Heh... daunting task, eh? Tell me about it. If they number in the hundreds, you're far from alone. Fire up your favorite ZIP file manager (WINZIP or POWERARCHIVER recommended). Now, go ahead and archive your 'Favorites' collection (while retaining folder and subfolder information). Sort the newly-created ZIP file's contents by name -- the shortcut redundancies should be apparent. Or, as this Gnomie suggests, use the 'Find' feature for a more comprehensive cleaning. When you're finished, you can either extract the 'purified' set or keep the Favorites archived to save disk space. If nothing, then at least you'll have created a backup copy of those sites.


Open folders without resorting to clicking

21st November 2000

Coming from the "Float Like a Butterfly" Department, Lockergnomie John Moore figured out how to kick open folders -- without resorting to clicking. So, you're dragging your files around (even though the song asked you to stop). You need to move them to another folder, but you're stuck mid-click and you can't let go. Fine... as long as you have the 'Folders' pane open in Explorer. Hover your object selection over an appropriate 'plus symbol' and within a few seconds, it'll magically expand. Actually, it's not magic -- it's a feature. Unfortunately, the right-hand pane will not update when you navigate in this manner. But, even with the Windows Explorer window in the background, this trick works well. Still hungry for hovering action? Bring that Explorer instance to the top by hovering your selected object(s) over the appropriate icon in your Taskbar for a few seconds. BLAMMO! Let go of letting go, man.


The clipboard is a somewhat limited

22nd November 2000

The clipboard is a somewhat limited (yet very useful) Windows feature. Its most obvious shortcoming: being able to store only one clipping at a time. Without installing third-party applications (like CLIPCACHE), you're sunk. Or are you? If you know you're gonna need more than one 'piece of text' at your beck and call, I'd like to suggest the following. Create a new e-mail message; this will act as a temporary, multi-entry clipboard of sorts. In it, paste (or enter) anything desired. Now, you can flip between open programs and call upon this message when necessary. The flip-flop operation may not be convenient, but it works. Images may be copied / pasted as well, although it may fatten the load. This isn't a "problem" until you care to make your entries permanent. Simply mail that message to yourself and move it to a 'Clipboard' folder.


Keyboard contortionist

23rd November 2000

Coming from the "Exploring Explorer" Department, Lockergnomie Loic Nageleisen knows how to change his point (and click) of view. Most file management will take place via the Windows Explorer. Some prefer using it without the Folder bar, while others prefer to have the extra 'hierarchical' aid. What if you're split down the middle (there's a lot of that going on in this country, eh)? Not a problem. When you're sitting in an Explorer window without the Folder Bar in full view, double-click on a (subsequent) folder while holding down the SHIFT key. In a few seconds, you'll be face to face with a new 'complete' instance. Not fast enough for ya? Select a folder and hit SHIFT+ENTER. You don't need to be a keyboard contortionist to get the most from this shortcut. "This tip is rudimentary, Chris." Sure, but how often do you forget about the little things? Stop and click the roses.


Oooh... that's a lovely IP address

24th November 2000

Oooh... that's a lovely IP address you're wearing. Who designed it? Ah, Tommy Hillfinger. Wish to discover the owner(s) of an IP number? Ya know, something that looks like: 256.30.3.203. Just call on a nice command line utility named Nslookup (must be European, as he's only known by his first name). Run COMMAND.COM (or CMD.EXE in Windows NT/2k) and enter: "NSLOOKUP [IP]" (sans quotes). If you wish to resolve a range of numbers, consider just running the utility without an initial IP. This comes in handy when you're trying to 'put a face' on those seemingly-random Internet numbers. And to think: this program has been sitting there all along -- just waiting for you to wear... er, use it. Make a fashion statement! It's almost as delightful as the classic FTP.EXE utility. PUT this trick on your system. Heh heh... GET it?


Too many clicks spoil the soup

27th November 2000

Coming from the "Separate But Equal" Department, Lockergnomie Steven Groginsky churns out yet another interesting tip for the rest of us. The Start Menu was designed to help keep your Windows activities running smoothly. However, when you crowd it with dozens of different folders, productivity will grind to a halt. If it takes longer than three seconds to find the appropriate icon(s) in your Start Menu hierarchy, consider whittling the primaries down to ten (or less). Can't sacrifice a folder or two? Too many clicks spoil the soup, ya know. Fine. At least create a few 'dividing' folders to clarify the chaos. Name each one with a different number of dash characters. Don't put anything in them and they'll remain nothing more than simple lines. That's the idea.


Additional Windows 2000 components

28th November 2000

A few months ago, I upgraded to the Windows 2000 Professional operating system. Going back to Windows 98 would be like sitting behind the wheel of a Porche and then driving... anything else. This leap, though, came with its fair share of quirks. The Add / Remove Control Panel applet is extremely different, for one. There aren't as many additional Windows components to be added or subtracted. Or are there? Fly to the INF folder (which should be sitting inside your W2k system folder). Open SYSOC.INF in Notepad and remove all instances of the word 'HIDE' (and be sure to make a backup copy of this file beforehand). The next time the applet is opened, you should see a few more programs waiting to be eliminated -- or brought aboard. Not a 2k user? You're already good to go. For more information, refer to Microsoft KB article: Q222444.


Dynamic reminders in Outlook 2000

29th November 2000

Coming from the "Do It For Me" Department, Lockergnomie Stefan Hogedal remains on the lookout for Outlook tricks. Did you know that Outlook 2000 will do dynamic reminders? It'll launch Web pages without blinking. Create a new appointment and click the Recurrence icon; in the Start list, select the time at which you wish the Web page to be accessed. Feel free to tweak its 'pattern' options, too. Be sure to place a checkmark in the 'This is an online meeting...' field. Next, choose to use 'NetShow Services.' Enter the designated URL (Web address) in the 'Event address' field; 'Automatically start Netshow with reminder' should then be turned on. The 'Reminder' time should be set at 0 (zero) minutes. Sit back and let Outlook launch your Favorites whenever you desire.


Logo in an electronic format?

30th November 2000

Nothing says 'cheese' more than using default templates for business documents. If you can't take the time to create original designs for your stationary, then some businesses may think twice about doing business with your business. One quick way to spice up your stuff: use a watermark. Is your logo available in an electronic format? Reference it in HTML e-mail message signatures and appropriate word processing files. It may make a perfect signature addendum or background image. Click-thru the following when you're editing the header in Microsoft Word: Insert > Picture > ClipArt. Locate your logo on a (hopefully) local drive; in the Picture toolbar, click on the (Image Control) icon and choose 'Watermark' from the list. The Text Wrapping option should be set to 'None' before you're done. For a WYSIWYG environment, use the 'Page Layout' viewing option.


Spinning logo?

1st December 2000

When it comes to sponsorship, branding is good. When it comes to Web browsers, branding is not so good. When you surf the Net, is Internet Explorer semi-skinned by a company's name and spinning logo? Get it outta there! That is, if you so desire. First, be sure all browser windows are closed completely. Then, click on the Start button, run the 'Run' applet, and enter: "rundll32.exe iedkcs32.dll,Clear" (sans quotes). Press 'OK' and presto! Restart IE and everything should be hunky dory. This tactic will also work when IE's interface isn't working as well as it should. Restoration is so refreshing, especially when you didn't want it in the first place. NOTE: this should work on all platforms running IE 4.x or 5.x. I don't believe that IE 2.x is supported. Anybody still running that?!


Drive Mounting

4th December 2000

So, why am I talking about Windows 2000 so much nowadays? As I've mentioned countless times, it's Microsoft's tastiest flavor of Windows at this point. You'll probably be using it soon, too. After all, Whistler (the next Windows) is based on the NT kernel. Need another reason to upgrade to 2k? Drive mounting. Get your mind out of the gutter, dude. NOTE: this tip was written for experienced users. Right-click on 'My Computer' and select 'Manage.' In the 'Computer Management' window, select the 'Storage - Disk Management' option. In the bottom right-hand panel, right-click on a drive letter and choose 'Change Drive Letter and Path...' Lockergnomie Douglas Rockney recommends against choosing 'C' or the drive containing your W2k code. "The best choice would be a CD, Zip, Jaz, or other removable drive." Once selected, click the 'Add' button and then the radio option: 'Mount in this NTFS folder.' Press 'Browse' to either find an empty folder or create a new folder. Bingo: a mounted drive.


Find what you're asking for

5th December 2000

Once upon a time, files were named according the classic 8.3 convention; we didn't have to worry about spaces. Bear with me on the next part, folks -- this is going somewhere. When I throw a treat, Sprocket retrieves it. Actually, he swallows it whole (bypassing the ever-important chewing process). When you throw a treat (that is, when you wish to find a certain file), Windows searches for it. CAVEAT: it'll find exactly what you're asking for. Employ the question mark character to fill in the blanks Should your file(s) contain name spaces. Instead of 'A Road Less Traveled,' you would enter: 'A?Road?Less?Traveled' -- no doubt about it. Don't question the mark or you'll find yourself sorting through potentially-convoluted output. Unless that's what you wanted in the first place. In which case... those blank spaces are your friends. Be sure to show your ID at the space bar!


Do you need System Restore

6th December 2000

'Hey Pirillo -- some of us are stuck with Windows Millennium Edition (ME). What about some tips for us?' First, my condolences. Second, do you really need that System Restore feature? Or, what if you have a better, third-party backup utility? Now, before I tell ya how to do it, be sure it's really what you wanna do. Open your Control Panel, click on the System icon, flip to the Performance tab, then select File System. Under the Troubleshooting area, be sure to place a checkmark in the 'Disable System Restore' box. There, does that make ya happy? Ugh. You're insatiable. While were turning things off, let's get rid of that PC Health thing; it's making me sick. In the Windows \ Pchealth \ Support folder you'll find the PCHSETUP program. Create a shortcut for it on your Desktop; pull up that newly-created shortcut's properties. In the Target line, add: "/uninstall" (sans quotes) and close the sheet. Double-click that shortcut's icon and you're in business. Or, out of business, as the case may be.


Plug & Play devices can be picky

7th December 2000

Software is a walk in the park compared to hardware; step back ten years and try to install a modem. Devices are (admittedly) easier to integrate nowadays, but headaches are still sure to happen. You're jazzed about this new internal doohickey you just picked up. You stick it in, turn it on, and boot it up. Nothing. Or, worse yet, something that you'd rather have be nothing. These issues are sometimes resolved by switching slots; most likely, you inserted a card (or cord) into an open bay. Consider playing musical chairs with another component; pull the ol' switcheroo! As odd as it sounds, even plug & play devices can be picky. Hopefully, rearranging your hardware won't cause further contentions. As long as you're not trying to jam an ISA board into a PCI slot. That's just crazy talk.


Keep uncooperative apps in line

8th December 2000

Oh, Windows. We have a love / hate relationship. Mostly love at this point, thankfully. I was with you back in the days of 2.0, though you fell from grace when 3.11 hit the streets. In a matter of years, the 95 kernel rolled around and ushered in a new era of 32-bit peace. Then NT 4.0 was tossed into... 98 came along and the... Millennium Edition... with Windows CE... and... okay, I'm lost. Somebody's all over the map here, but I'm not naming any names. For now, I'll stick with Windows 2000 as my Desktop operating system; it appears to be the most stable Microsoft product. But what about those apps which aren't too happy with my upgrade? I attempt to shut them up with the Application Compatibility tool. It's found on the Windows 2000 installation CD-ROM within the Support folder (APCOMPAT.EXE). Think of it as a pseudo-emulator, designed to keep uncooperative programs in line. At least, as far as Windows 2000 is concerned.


I hate Microsoft Outlook

11th December 2000

'Hey Pirillo -- I hate Microsoft Outlook.' Well, that's your problem. I realize that some of you would rather use another client to send and receive Internet e-mail. Let me ask this: did you install Outlook 2000's Internet option? If not, why not? You don't need the corporate options unless you're in... a corporate environment. Now, do you use Microsoft Word to compose a fair amount of snail mail? Why not use Outlook's address book when the option is given? NOTE: Outlook can (at any time) import contact data from other popular mail clients. So, even if you don't use it regularly, Outlook can still be your friend. For those already using Outlook 2000's contact database, select someone in it and under the 'Actions' menu, choose 'New Letter to Contact.' Guess what that does? Launches Word's Letter Wizard automatically. Also under 'Actions' is the 'New Contact from Same Company' option. Wow! We're just saving tons of time today.


Stretch that BMP

12th December 2000

Coming from the "Bigger Than Life" Department, Lockergnomie Patrick Jarrett discovers that one size fits all. What's your New Year's Resolution? Mine is 1600x1200. That's how many pixels (horizontally) by how many pixels (vertically) I can see at one time on my monitor. For most users, 1024x768 is sufficient. Average? I've heard somewhere in the neighborhood of 800x600, although 640x480 is still a standard to which most must bend. Got a wallpaper image that's either too big or too small for your screen? Dry those eyes, dear Gnomie. As long as Active Desktop (or Plus! for Windows 95) is installed, you should have the option to Stretch that BMP (bitmap). Believe me, it works wonders. Knowing that any kind of background graphic consumes precious video memory, consider using smaller (sized) files and stretching them. Anti-aliasing (edge smoothing) will be invoked when you're working with 16-bit (or higher) images.


See the latest web page data

13th December 2000

Updates, I command you to come out of your shell! Well, that didn't work. How else are we supposed to see the latest Web page data in our browser? Sometimes a simple (or extended) refresh doesn't work. Flushing may not do the trick, either. This typically happens when one sits behind a proxy of sorts. I suggested changing the address sentence case in these instances (as proxies often cache frequently accessed page elements). Append a question mark directly to the end of the URL, followed immediately by a random string of text. ?example. ?whatever. ?neat. As long as it's been properly updated on the server, the resulting loaded page should be the most current. Not enough of a tip? Fine, let's switch gears and mention that you can print up to 16 document pages on a single sheet of paper. As long as you're using Microsoft Word, that is. In the Print dialog, check out the 'Zoom' options. Save a tree, man!


Spooling dozens of documents

14th December 2000

Coming from the "Message Impossible" Department, Lockergnomie David Stevens self destructs in five seconds. Even though we've entered the 'paperless' age, users still rely heavily on their printer. Some argue that it's easier to read text when it's not sitting on the screen. Call me a sucker for convenience; I'll put up with the pixels for now. For those who'd rather skim the day's headlines while offline, consider lumping 'em together before sending 'em to the printer. In Outlook Express, you may select one or more messages (using the mouse in conjunction with the CTRL and SHIFT keys). Got everything you want? Okay, now pull down the Message menu and the 'Combine and Decode' option should be ready to roll. Once applied, you'll be presented with a single window containing all of your previously selected messages. Instead of spooling dozens of documents to your printer, you need only send one.


Word's red squgglies in Outlook?

15th December 2000

Coming from the "Don't Dodge" Department, Lockergnomie Andy Schuyler believes its better to receive than to send. At least, as far as self-composed e-mail messages are concerned. In certain situations, you may wish to send e-mails to yourself (from the same mail client). Why bother with the sending process, then? Simply save the message before blasting it through your Outbox. In most cases, the copy will be saved in a Drafts folder of sorts. From there, you should be able to move it elsewhere within your mailbox hierarchy. As an addendum to an earlier e-mail trick, it is quite possible for Outlook 2000 users to send inline Web pages -- provided their default message type is set to HTML. Since I always use text, I wasn't aware that this (complete) option was available. Wanna have Word's red squgglies in Outlook? Change the default message format to 'Rich Text' and you should be ste. Er, set.


Duplicate copies of your data

18th December 2000

The Gnominator. Making copies. Copyrama. It never hurts to have duplicate copies of your data lying around (or locked inside a safety deposit box). Backup and you won't be let down. The worst thing I've ever had to go through was rebuilding my contact list. I'll never have to do that again thanks to redundancy! You see, Outlook 2000 has a feature called "Net Folders" which allows me to share any given [Outlook] folder with another [Outlook] user. Since updates are sent automatically, there's peace of mind on both sides. We can share contact lists, tasks, calendar appointments, e-mail messages, etc. Heck, you can even share items with those who don't use Outlook (by toggling the Minimum Sharing Permission option). As a reviewer, contributor, author, or editor, you must trust the user with whom you share this sensitive information. For more information on Net Folders, please refer to Microsoft Knowledge Base article Q195867.


The Flying Objects screensaver

19th December 2000

Coming from the "How Logo Can You Go" Department, Lockergnomie Jay Lichtmann builds a bit of Desktop branding. Screen savers aren't as functional as they once were. Dagnabbit, I don't even have one running on my machine nowadays. When you need to password protect your PC, then perhaps they're still worth using. In a corporate sense, perhaps you wish to keep your company logo on all deployed workstations? The Flying Objects (OpenGL) screen saver will save the day! Right-click on your Desktop and select "Properties," flip to the "Screen Saver" tab and select "3D Flying Objects" from the menu. Click on the "Settings" button to the right, then within the "Style" option, select "Textured Flag." Click the "Texture" button, then locate and select any .BMP image. Click the "Open" button. Put a checkmark in the "Smooth shading" box (if so desired) and set the "Resolution" and "Size" slider controls to "Max." Click "OK" and then the "Preview" button to test it.


Home networking

20th December 2000

I didn't get into home networking until recently; before last year, I had no need for it. There are a plethora of products available to make the process pure and simple. Right! Proxies, promises, and... inevitable problems. Here's a handy tip for ME... er, you? I just found out that Millennium Edition users may not have Universal Plug and Play turned on (which enables peer-to-peer Plug and Play functionality for network devices). From the Control Panel, open the "Add/Remove Programs" applet. Flip to the "Windows Setup" tab, select the "Communications" option, then press the "Details" button. Be sure there's a checkmark in the "Universal Plug and Play" box. Keep pressing the "OK" buttons to back out of the property pages, and then Windows should install the component. This doesn't stop me from recommending Windows 2000 and a hardware firewall for the most secure (and trouble-free) networking solution. For more information on this "hidden" feature, check out Microsoft Knowledge Base article Q262458.


Maximize system performance

21st December 2000

Here's a faster computer; are you going to turn it down? Most of us take steps to maximize system performance. I eliminated "pauses" by attaching my printer to a seldom-used (networked) computer; data spools without slowing down my main machine. If this isn't possible for you to do, consider asking Windows to print using the Enhanced Metafile Format (EMF). Normally, Windows has to do all the data crunching (hence, causing the computer to crawl). By going the EMF route, you're putting the power in the hands of your printer. While the peripheral may move slower through this process, your PC should be quickly freed to take care of other tasks. Open up the Printers applet (in your Control Panel). Right-click on your printer's icon and select its "Properties." Flip to the "Details" tab and press the "Spool Settings" button. You should see a drop-down list of options; select "EMF" for printer-intensive processing or "RAW" for computer-intensive processing.


Edit on-the-fly?

22nd December 2000

Coming from the "Mouse Trapped" Department, Lockergnomie David Weinberger sings an alternative song. Do they still make typewriters? Why!? Who wouldn't rather edit on-the-fly? When you select a string of text in a word processing document, you're probably using your mouse. Shame, shame, shame. I bet you overshoot your target every time. You inadvertently scroll too far (sometimes to the end or beginning of the document). Too far... go back. Too far... go back. Dude!? Stop! Drop the mouse. Hold down SHIFT and use your cursor keys to select the small chunk of text. Need to go further than a couple of paragraphs? Keep SHIFT depressed and use the Page Up / Page Down keys. This begs the question: how do you keep a SHIFT key depressed? Just remind it of the time it was in third grade and everybody made fun of its hair. Keys can be so cruel, ya know?


Make rules for your Email

25th December 2000

I'm all about making life easier. When a process can be automated without much extra effort, then why shouldn't it be? Make some rules for your e-mail client to follow! Why even bother bringing this up? I want to encourage you to dig a little deeper before wasting more energy; a little bit of research can save you a lot of time in the long run. For instance, from the Outlook 2000 Rules Wizard, you can automatically print incoming messages from designated people, modify an outgoing message based on its recipient(s), or color-code messages sent by friends, co-workers, or your best friend's girlfriend. Outlook Express has a watered-down set of rules for you to use, too... like autoresponding to messages (with pre-defined templates) based on content. Do you have a filter turned on for obliterating junk e-mail? Then your client probably "rules" (so to speak). Check the appropriate help file(s) for further instructions or ask in the Lockergnome newsgroups.


Thumbnails are awesome

26th December 2000

Thumbnails are awesome -- especially when you're in a hurry and "DSC01043.JPG" isn't a terribly helpful file name. GnomeHUGS to the person at Microsoft who built this functionality into the Windows Explorer. While W98 users must pull up a folder's properties to turn on this feature, W2k/ME rugrats have the option built into the View menu (and toolbar icon). When you encounter a folder containing countless images, thumbnails will help you sort through the selection. Here's a secret: you can make thumbnails for Office documents, too. PowerPoint presentations will work without intervention, but Excel spreadsheets and Word documents require a bit of tweaking. Open one up in its respective application (Word or Excel), then select Properties from the File menu. At the bottom of the first sheet, there's an option to "Save Preview Picture." Put a checkmark in that box. There ya go! It now has an associated thumbnail.


Windows Task Scheduler

27th December 2000

Coming from the "Jumped Up and Bit Me" Department, Lockergnomie Nowick Gray takes timed tasks to the next level. For some, the Windows Task Scheduler is a fluffy feature; for others, its a godsend. When there's a function that should be performed on a regular basis, then why couldn't it be handled by a simple script? When there are several programs to be run at any given time, this Gnomie suggests you copy their shortcuts into a single folder. Create a new task. In the "Run" field, type "START" (sans quotes) followed by an extra space. On the same line, enter the FULL path of that folder (in quotes if the destination has any spaces). Schedule when you want it to pop up, then sit back and wait. Whenever the task executes, you can pick and choose from this folder's shortcuts; only run what needs to be run at the time. Consider this helpful when it comes time for weekly system maintenance. You may have ample time to run SCANDISK, but defragging might have to wait.


Quit moving your mouse

28th December 2000

Just what makes that little old ant think he can move a dialog box? Too often the keyboard is cast aside for the mouse. Why just click when you could point AND click? Makes sense... kinda. Quit moving your mouse all over the place. If your arm hurts, that's Mother Nature's way of saying: "Knock it off!" Since your fingers are probably already resting on the keyboard, you might as well try to keep them there. It's possible to use the SPACE BAR in lieu of the left mouse button. No, I haven't flipped out. Have you ever noticed that one button inside a dialog box looks different than the others? Tap the TAB key. Did another button get "infiltrated by ants?" Keep tapping the TAB key until the desired option is highlighted; once the "ants" are sitting still inside a particular button, hit the SPACE BAR. Zing! This route is particularly useful when there are a series of "Next" or "Okay" buttons to press.


Keep in touch with buddies

29th December 2000

You don't know where that FINGER has been, so don't use it. Have no idea what I'm talking about? No big deal. Certain tools were used to keep in touch with online buddies before "Instant Messaging" was a big hit. As mentioned previously, I use "ICQ" for general business communications, but "MSN" for internal (Lockergnome team) messages. Not to say that Microsoft missed the mark, but ICQ is a more complete client. The MSN instant messenger has one noteworthy feature: graphical emoticons. Yeah, do a sideways smiley and it'll transmit as a yellow happy face. Likewise, a colon followed by an open parenthesis symbol will produce a frown. Now, try typing a letter enclosed within a set of parentheses. "(L)" turns into a heart. "(C)" becomes a coffee mug. "(Y)" thrusts forward a thumbs up. And that ain't all! For a comprehensive list, launch the Help Topics option and search for "emoticons" (sans quotes). Click the "Use emoticons in messages to show feelings" link.


1999

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


January 1999

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Shortcut key combinations

5th January 1999

The quickest way to open up a program (or file) is usually by clicking on its shortcut. But did you know that you can also assign key combinations to any given shortcut, in case your mouse isn't handy? Try right-clicking on a shortcut in the Start Menu or Desktop and select Properties. From there, select the "Shortcut Key" line and hit a combination of the CTRL, ALT, and/or SHIFT key and a regular keyboard character (alphanumeric). When applied, you should be able to use that key combination you set whenever you want to launch that particular shortcut. Talk about a key play!


MasterRecommend

6th January 1999

"Hey Chris, how did you get so many people to read Lockergnome?" Well, I suppose I count on the "satisfied subscribers" to keep spreading the word about it. Some people forward newsletters to their friends, and others talk about Lockergnome around the water cooler in the morning. I discovered that the best way to help them "talk" is through a well-crafted Recommend script. Smaller sites can rely on Recommending web services, but larger sites might look into making a script of their own. I strongly suggest using MasterRecommend. Not only is the author a Lockergnomie himself, but the script is easier than cake to install and implement. You can grab it here: http://www.willmaster.com/MasterRecommend/ -- keep spreading the word!


news.wcg.net

7th January 1999

I learned how to use e-mail around the same time I started to play in the Usenet Newsgroups (a few years ago). Ever since I left the University of Northern Iowa, I haven't had full newsgroup access. Lockergnomie Ivonne Yeste Zamora (who offered a $50 challenge) told me about news.wcg.net -- over 60,000 newsgroups come along with this free feed (no censorship). Fire up your newsreader and use this as a news server if you'd like a new way to get to tens of thousands of newsgroups. Remember that Lockergnome has its own PRIVATE hierarchy as well: news.lockergnome.com -- everything a Lockergnomie could want!


Squealing handshake

8th January 1999

When I received Manny, one of the first things I tried was the modem. After all, what good is having a laptop if you can't connect to the Internet with it? I almost went deaf after listening to the minute-long squealing handshake and quickly decided that I wanted to connect a bit more quietly. To turn off the sound of your modem entirely, open the Control Panel, click on the modem icon, select the installed modem, then click the Properties button. From there, choose the "Connection" tab, then click the 'Advanced' button. In the "Extra Settings" line, enter "M0" (without the quotes)... that's 'M' as in mother and '0' as in zero (the number). Ah, peace and quiet!


Microsoft Word 97 scroll bar

11th January 1999

Lockergnomie Galah Nuga (from Indonesia) has solved a long-time annoyance of mine! If you use Microsoft Word 97, you may have noticed that when you peruse a document using the scroll bar, the visible page doesn't "change" until you let go of the scroll bar button. Well, if you apply this registry tweak, you can click & hold the scroll bar button and get "live updating" in the document window! WARNING: Registry hacking is NOT for novices (proceed with caution). Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > 8.0 > Word > Options. Create a new String value and name it "LiveScrolling" (without the quotes or any spaces). Then, modify it and enter "1" (without the quotes) as a value. The next time you use Word 97, it should work!


Where did I archive that file?

12th January 1999

Where did I archive that file? You can use the Windows Find tool to locate files contained within "ZIP" files on your computer. Windows 95 users can hit F3, enter "*.ZIP" (without the quotes) in the 'Named' field, and then type the whole or partial file name in the 'Containing text' field under the Advanced tab. Windows 98 (or IE4) users do the same, except the 'Containing text' field is underneath the 'Named' field. Your search results should contain a list of ZIP files containing the file(s) for which you were looking.


MIDI and WAV files

13th January 1999

MIDI and WAV files are everywhere nowadays. Most of the time, we don't know who created them or how long they are. But, if you right-click on a MID or WAV file and select 'Properties', you should see extra tabs: Details & Preview. Under the Details tab, you can view time, artist, and possibly copyright information. Under the Preview tab... well, duh... you can listen to the sound file. It's like a built in media player! Try right-clicking on different types of files to see what "extra" tabs pop up (try DOC or EXE files).


The BSOD appears

14th January 1999

NT users should love this tip: Beware the Blue Screen of Death! It's something we've all feared for many years (especially sysadmins). Now, normally, your computer's operations will be halted when the BSOD appears--until you reboot. With this Registry hack, you can force NT to automatically reboot after a BSOD crash! Navigate to HKEY_LOCAL_MACHINE > SYSTEM > CurrentControlSet > CrashControl > AutoReboot and set the value to "1" (without the quotes). NT will now reboot when the BSOD appears (after appending the crash log file).


ALT+TAB keyboard shortcut

15th January 1999

How many windows do you have open on the screen at one time? I try not to multitask 30 apps at once, but it's difficult to avoid at times. You can easily flip between open windows by using the ALT+TAB keyboard shortcut. Of course, you can also switch between apps by using the Windows taskbar. Or, try right-clicking on the Windows taskbar and selecting either Cascade Windows, Tile Windows Horizontally, or Tile Windows Vertically. Or, if all else fails, drag the different windows around until you find the one you really want.


Microsoft FTP library

18th January 1999

Lockergnomie John Foote knows of an easier way to see what kind of files Microsoft has stored in its FTP software library. Fire up IE4, Netscape, or your FTP client and download: ftp://ftp.microsoft.com/Softlib/index.txt -- this isn't a listing for every single file Microsoft has, but there's a lot of classic patches and documentation to be found here. Once you are viewing the file (in any given application), you should be able to perform a search for certain keywords. Keep it stored on your computer for future reference, too (although a new version might become available over time).


Dial-up connection problems

19th January 1999

Every once in a while, I'd run into problems with my dial-up connection; the line noise can sometimes be too much. Thank goodness there's a way to temporarily extend the "hang up" time. If you get disconnected from your ISP without warning (and too often), try adding this initialization string. Open the Control Panel, click on the Modems icon, click your modem's Properties button, select the Connection tab, then click the Advanced button. In the Extra settings field, enter "S10=50" (without the quotes). This might help your dial-up connections stick around for a while. Please submit other great "modem initialization string" tweaks to me!


Lot of wasted space

20th January 1999

There's a lot of white and wasted space in Windows 9x/NT4. Part of that has to do with the default icon spacing settings. One of the FIRST things I do after reinstalling Windows is set my icon spacing to a more appropriate level. Right-click on the Desktop, select Properties, click the Appearance tab, click on the Item drop-down list, look for Icon Spacing (Horizontal) and Icon Spacing (Vertical). NOTE: write down the original settings in case you want to reverse this later. I've (personally) found that setting both of these numbers to 32 works best. Be sure to refresh (or re-line up) your explorer windows, including the Desktop. It'll save some space.


Right-click on objects

21st January 1999

I'm always telling you guys (and gals) to right-click on objects. But what if your mouse isn't handy? Never fear, there are a couple of keyboard shortcuts you could use to bring up the ever-popular context menu. Most newer keyboards have two extra keys on them (one is the WinKey, and the other is the "right click" key). Well, duh... you could use the right-click key if you have one. Or, try using SHIFT+F10. Either will work. Just be sure you've selected an object (or group of objects) before you "right-click".


Save those updates

22nd January 1999

I was getting Manny III up to speed the other day by using Microsoft's Windows Update site. And I thought to myself: what a wonderful world. And then I wondered if there would be a way to actually SAVE these updates for future installation instead of installing them on-the-fly? Lockergnomie Arie Slob has a fantastic Windows tips site, and one of his pages shows how you can save those Windows Update files: http://www.windows-help.net/windows98/troub-22.shtml -- it's cumbersome, but it should work!


Advanced modem settings

25th January 1999

Thanks to all you Lockergnomies who submitted modem tweaking tips! Before you start playing around with your advanced modem settings, you should realize that not every modem tweak will work for everyone. There are different brands and various chipsets--proceed with caution. The most popular submission could enable your modem to dial your ISP very quickly. Open the Control Panel, click on the Modems icon, click your modem's Properties button, select the Connection tab, then click the Advanced button. In the Extra settings field, enter "S11=50" (without the quotes). You could also try "40" (the lower the number, the faster your modem will dial). Also note that if you have more than one entry in your Extra Settings field, each should be separated by a single space.


Wheel mouse users

26th January 1999

Lockergnomie Jason Derikozis has an awesome tip for "wheel mouse" users who use Internet Explorer: press & hold the SHIFT key while you scroll your mouse wheel up or down. Scrolling up will move you forward and scrolling down will move you back through the pages you've visited during that IE session. It's like clicking the buttons in the icon menu or selecting "Back" or "Forward" from the right-click context menu. Cool shortcut!


Character Map number codes

27th January 1999

A couple of weeks ago, I featured a tip where you could hold onto the ALT key, enter a numerical string on your number pad, and a non-keyboard character would appear in your currently-opened document. At that time, I referred you to your Character Map for number codes. However, here's a web page that displays them all for you in a single chart--plus accented character codes for Microsoft Word: http://www.cse.bris.ac.uk/help/docs/win-r1.htm -- Thanks to Lockergnomie Clive Mansbridge for the pointer!


Open/save dialog boxes

28th January 1999

In Windows 95, open/save dialog boxes cannot be resized (without the help of a third-party add-on). However, IE4 and Windows 98 users should be able to resize them instantaneously! Look at the lower right-hand corner of an open/save dialog box--if you see some diagonal lines, then you can easily resize your dialog boxes. Click on a corner and drag it to whatever size you want your dialog box to be--which will make it much easier to view the files within the current directory.


Junk mail filter

29th January 1999

Internet Explorer 5.0 (final) is almost out the door. I've heard from a few Lockergnomies that Outlook Express 5.0 will detect Lockergnome issues as junk mail. So, be forewarned--use any junk mail filter set carefully, or you could be cutting off your GnomeSupply. Now, I realize that I provide a lot of IE tips for y'all, but that's because I really don't know of any outstanding "Netscape" tips. So, if you have them, submit them. Here's a tip that anyone can use: you can select any bit of text on a web page (with your left mouse button) and copy it to the clipboard. That might save you some retyping time (be sure to give credit where credit is due). Wow, this was a hodge-podge of mini-tips, wasn't it?


February 1999

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Dialup busy signals

1st February 1999

Some of us still use modems to access the Internet (we'd kill for a cable modem connection). Busy signals are a major annoyance, but with this little tip, dial-up users won't be bothered by them as much. Open the 'Dial-Up Networking' folder that sits in 'My Computer'. From there, select the 'Connections' option from the drop-down menu and choose 'Settings'. There should be a section there for you to edit how many times your modem will redial before finally giving up; I'd suggest "60". Hopefully, you'll never see that number of redials.


Find any window

2nd February 1999

Lockergnomie Jim Ronholm informed me of a way to "find" any window which appears "off" the viewable area of your screen. This tip can also be used to move any given window: "Activate the window you want to move (either click on its icon in the taskbar or select it using the ALT+TAB key combo), press ALT+SPACE and let go, then press the 'M' key. At this point, you can use your cursor keys to move the window around until it appears on your screen again." That's quite a moving tip.


Problems with my mouse

3rd February 1999

The other day, I ran into problems with my mouse. It wasn't being detected (a cold boot fixed the problem). Luckily, I knew of a few keyboard shortcuts that allowed me to navigate Windows. When you come across a multi-tabbed dialog box (like Desktop Properties), you can use the CTRL+TAB key combo to flip between tabs. To change fields within any particular tab, just use the TAB key by itself. If you want to toggle an option, be sure it is highlighted first and then hit the SPACE BAR. These shortcuts can come in handy... especially if your mouse plays the "I don't want to work right now" game.


Internet Explorer's autosearch

4th February 1999

A Lockergnomie (Frank from the Netherlands) told me about a great way to extend Internet Explorer's autosearch functionality. Normally, when you type a single keyword on the Address line in IE and hit enter, it'll search for the .com, .edu, then .org registrations until it finds a match. Well, you can edit and add to that list! You'll need to dive into the registry, so this is for advanced users ONLY: HKEY_LOCAL_MACHINE > SOFTWARE > Microsoft > Internet Explorer > Main > UrlTemplate. From there, you can rearrange the numbers to your liking as well as add different domain hierarchies. I personally added the .net extension to my list, but .co.uk, .co.nz, .com.au, or even .nl would work, too.


Windows Find applet

5th February 1999

Lockergnomie Steve Feinstein reminded me to tell y'all about a slightly-hidden tip that I use often. First, I'm sorry about saying "y'all"--I used to say "you guys" but that's not politically correct anymore. I'm not from the deep south; I started saying "y'all" after living in San Antonio for a few months. Anyway, back to the tip! After you've searched for files with the Windows Find applet (hit the F3 key to pull it up), select ONE of the found files (left click on it ONCE). Then, select 'File' from the menu and look towards the bottom for 'Open Containing Folder'. If you select that option, the folder in which the selected file is contained will open up in a new Explorer window!


Free public news server

8th February 1999

So many of you were pleased when I featured that one free public news server. Well, Lockergnomie Tayo Kaufman discovered a page for those of you who want more to choose from: http://jammed.com/~newzbot/ -- if your ISP carries only a couple of newsgroups (and you hunger for more) you might want to check out the public servers listed on this page. If you've never visited a newsgroup, you're missing out on one of the Internet's first communities. Heck, while your newsreader is fired up, be sure swing by news.lockergnome.com to meet other Lockergnomies!


Notepad hidden tricks

9th February 1999

Notepad isn't as bad as everyone thinks it is. It's small, fast, and (for the most part) efficient. It also has a few hidden tricks up its sleeve. For instance, if you want to insert the time and date, simply hit F5. Or, if you want to "log" the times you edit a particular text file, be sure to type: ".LOG" (without the quotes) as the first line of that file and save it. Now every time you open it up, the current date/time will be automatically stamped into it. Lockergnomie "Ap.Muthu" also brings up a great tip for when you're trying to save textual files without the .TXT extension: when you 'Save' or 'Save As', be sure to put the filename in quotes with the extension you want it to have. Example: "thisdoc.html" (with the quotes).


Bookmarklets?

10th February 1999

Hey, remember Bookmarklets? I featured them the other week... they were these really cool JavaScript links that you could save in your Bookmarks (and/or Favorites). If you missed them the first time around, check out http://www.bookmarklets.com/ NOW. They'll turn your browser into a SUPER browser. Anyway, a Lockergnomie created a Lockergnome Bookmarklet! In fact, you can download it on Lockergnome's Past Issues page. When stored in your Bookmarks/Favorites, you can highlight a word on a web page, then select the Lockergnome Bookmarklet, and it will search for that term throughout Lockergnome's past issues!


Annoyed by Windows Explorer

11th February 1999

Some people are completely annoyed by the Windows Explorer. I guess it does what I need it to do, and I'm not really big on having tons of third-party utils installed on my system. Anyway, Lockergnomie Chris Naegelin has a killer tip that'll come in handy. When you want to open up a new Explorer window (with the folder/drive pane), select a folder/drive, hold onto SHIFT, then double click on its icon. If you just want to open up a new Explorer window (without the pane), do the same thing, only hold onto CTRL while you do it. Wow, look at all those Explorers! If I didn't know better, I'd say we were sailing.


Domain suffixes

12th February 1999

A week or so ago there was a tip about adding new domain suffixes to your IE list. By default, only .com, .org, and .edu are listed. Why they left out .net is beyond me? Anyway, a programming Lockergnomie threw together a small program that will allow you to easily add to and edit this list: http://alazane.surf-va.com/utilities/ -- no registry hacking involved, gang!


Autorun functionality

15th February 1999

A... B... CD... I love Autorun functionality. Well, sometimes. By default, your CD Player launches when you insert an audio CD, and some data CDs will launch programs when they're inserted. However, Lockergnomie Jeff Brown brings up an old tip: if you hold down your SHIFT key while inserting any given CD, Autorun will be temporarily disabled. How's that for a little more control? This way, you can leave Autorun functionality on all the time, and turn it off only when you don't want it to run (unless you really don't like it). Either way, TweakUI will help you configure Autorun even further.


Scanning tip

16th February 1999

A few of you e-mailed me with this scanning tip, so I figured I'd pass it along to the rest of you. If you use a scanner, it might also be wise to have a black sheet of paper handy. Whether you're scanning text or pictures, place the black sheet behind the document. This way, you won't get as much glare or light reflection, creating crisper, richer scans. Any bit of plain construction paper will do. It's a low-cost way of getting better output! If you have any other scanning tips, be sure to let me know!


FTP from your browser

17th February 1999

FTP isn't a new kind of motor oil; it's the easiest way to transfer files from one site to another. Of course, you probably already knew that (if you didn't, then you've learned something new today). Lockergnomie Joshua Rolfe brings up a great tip for Netscape or IE4 users: you can use your browser to log into an FTP site! Simply type "ftp://username@ftpsite.com" (without the quotes). Of course, change 'username' to whatever it should be (typically "anonymous" works) and 'ftpsite.com' to whatever the FTP site's address is. If you have an account which requires a password, you can type "ftp://username:password@ftpsite.com" -- Be very careful when doing this, though, as the address will remain in the drop-down menu. Netscape will prompt you for a password, whereas IE will pop up with an error message. See, I'm more than happy to show Netscape in a positive light!


Organize the bookmarks

18th February 1999

My dad uses Netscape for surfing, and he was asking me if there was a way to organize the dozens of bookmarks he has. Well, there IS a way, but it's antiquated and not as simple as reorganizing Favorites in Internet Explorer (sorry, but it's true). Lockergnomie Yvon-Philippe Crittin brought up a good point that I'm not sure many of you are aware of. If you have IE4 (or 5) installed, you can move Favorites around in any particular order, as well as drag & drop them onto Favorite subfolders. Beyond that, she notes that you can also drag & drop URLs and "shortcuts to programs" directly into the 'Favorites' menu. And yes, if you haven't tried it yet, you can also reorganize the items in your Start Menu the same way (drag & drop). IE5 will make it even easier, too!


Web in TRUE full screen

19th February 1999

Wanna surf the web in TRUE full screen fashion? Lockergnomie Charles Liuson sheds some light on a way to make IE open up without any buttons, toolbars, or the status bar. It's called running in "kiosk mode". Click the Start Button, select Run, then type: "iexplore -k http://www.lockergnome.com/" (without the quotes). Be sure to put that '-k' in there. It's the perfect setup for when you have your page on display somewhere (convention, mall, etc.). Users who see it won't be distracted by the typical browser elements, causing them to focus directly on your content.


Power users Defrag

22nd February 1999

Windows 98 power users are gonna love this tip: when was the last time you ran the Disk Defragmenter? Well, you should do it often (especially if you download stuff day and night). You'll want to run DEFRAG with as few programs loaded into memory as possible (for optimum defragmentation). Pop in your Windows 98 CD, go to the \Tools\Mtsutil folder, right-click on Defrag.inf and select 'Install'. When you reboot, DEFRAG will automatically run before any other system component is loaded. When you want to DEFRAG again, just repeat this tip!


Killer command prompt utility

23rd February 1999

Lockergnomie Jaron Hendrix reminded me of a killer command prompt utility that comes with Windows 9x: 'START.EXE'. When you find yourself at a Command Prompt (ya know, while you're still in Windows), you can use START.EXE to launch Windows programs. Imagine yourself sitting at the 'C:\' prompt and wanting to launch Notepad. You would type: "START NOTEPAD" (without the quotes). This will only work when you're still in Windows, gang. START using it more.


Compress the system registry

24th February 1999

Apparently, Windows 98 compresses the system registry automatically when it has more than 500k of "wasted space" in it. If you want to compress your registry manually, you'll have to drop to MS-DOS mode (you can't be in Windows when you do this). When you've backed up your registry (which is always a good thing to do), type: "SCANREG /OPT" (without the quotes). FYI, to backup the registry from the command prompt, type: "SCANREG /BACKUP" (without the quotes).


Run WINIPCFG

25th February 1999

Lockergnomie Stephen Benjamin discovered something the other day: when using WINIPCFG to view his IP address, he pressed CTRL+C and found that the information was copied the clipboard! To run WINIPCFG, simply click the Start Button, select Run, then type: "WINIPCFG" (without the quotes). Bet ya didn't see that one coming. And, of course, the keyboard shortcut for copying is CTRL+C. To paste any copied information into a document, use the CTRL+V key combination.


Edit a shortcut

26th February 1999

At a command prompt, you have the option to use what they call "switches" with programs. When you're in Windows, however, it's a bit more difficult to do that directly with Program files. You can edit a shortcut to a program and add switches to that, but if you'd rather add switches when you run the actual program, use Parameteriser (http://krapplets.cream.org/parameteriser.html). Many programs have undocumented command line switches; be sure to check the documentation for those you'd like to configure.


March 1999

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Browser windows pop up

1st March 1999

I'm generally annoyed when new browser windows pop up when I don't want them to pop up. There are several programs out there to STOP that from happening, but I understand that other sites have to make a living, too. Now, when I WANT a new browser window to open up in IE4, I just hold onto the SHIFT key as I click on a link. Before I know it, I've got 15 different browsing sessions going on at the same time. Ugh... I need a bigger monitor.


Without any fancy clicking

2nd March 1999

Here's an easy way to view the Windows 98 Easter Egg instantaneously (without any fancy clicking): create a new shortcut (right-click on your Desktop, select New, then Shortcut), browse to "C:\Windows\Application Data\Microsoft\Welcome", Click OK, Next, then Finish. After that, right-click on the shortcut and pull up its Properties. At the end of the Target string, add the following text: You_are_a_real_rascal -- then select "Minimized" from the Run drop-down menu and click 'Apply' then 'Close'. Your Windows 98 Easter Egg shortcut is ready to rock & roll!


IE encounters an error

3rd March 1999

Sometimes when Internet Explorer encounters an error, it'll bring up an "explanatory" page in the browser. Have you ever wanted to change those pages to something else--ya know, making them a bit more functional? Pick up the MSIE "about:" Customizer immediately (http://members.tripod.com/jsanjuan/ieabcstmr.zip). In fact, here's something kinda hidden: on the address line of IE, type "about:mozilla" (without the quotes). Nice blue page, eh? I suppose you could call that an Easter Egg.


Icon tweaking tool

4th March 1999

Microsoft didn't make it easy to customize icons in Windows. There are dozens of programs to help you do this, but I believe the one with the best interface (and most icon options) is ActivIcons (http://www.cursorarts.com/ca_ai.html). Change your Desktop icons, cursors, make icon text labels transparent, rebuild the icon cache, replace drive & folder icons, change shortcut symbols, and a little bit more. It's pretty much an all-in-one icon tweaking tool. And speaking of, IconShop was updated the other day. You should definitely download it (http://www.ping.be/liontech/).


Dictionary website

5th March 1999

(Syzygy) That's a real word, but what does it mean? I know the definition, but do you? Right now you could pull a forty-pound dictionary off your bookshelf, fire up your dictionary CD ROM, or even pull up a dictionary website like... well... ummm... http://www.dictionary.com/ -- but if you have IE4, you can save yourself a couple of steps by installing 'Magic Dictionary' (http://www.avalon.net/~rbliss/magicd.zip). Any way you look at it, using an online resource will save you time, money, and... you'll never get a paper cut.


Use multiple browsers

8th March 1999

Lockergnomie 'Fistorn' came up with a great idea for those of us who use multiple browsers on our systems. He wanted a way to open Internet shortcuts in either Netscape or IE (or Opera, for that matter) without changing his default browser. Open up the Windows Explorer, go to View, Folder Options, select the File Type tab, then find the Internet shortcut file type. Click on 'New' and add 'View with Netscape' (or whatever your non-default browser is) and set Netscape as the application for that option. Now, when you right-click on an Internet shortcut, you'll be able to open it up easily in IE, Netscape, Opera, etc.. Good call, Fistorn!


More than one e-mail address

9th March 1999

Having more than one e-mail address might be handy in certain situations. Instead of forwarding all of them to one central account, you could use different addresses for different applications. For instance, use a Hotmail account for all your e-mail newsletters, a Yahoo account for all your business correspondence, your ISP account for personal stuff, etc.. It's always wise to have more than one way to send e-mail; you never know when a mailbox might run into problems. Don't get a new account somewhere just for the sake of having another e-mail address. That's just silly.


Privacy trick for Netscape

10th March 1999

Lockergnomie Bill Manro brings up a great privacy trick for Netscape users: "The cookie.txt file is where 'cookies' from websites are stored. If you don't want all of your information to be seen or used, all you need to do is make cookie.txt a read-only file. Then, set Netscape to accept all cookies. This will allow you to visit a site which requires cookies without having to worry about them knowing who you are." Do a search on your hard drive (F3) for 'cookies.txt', right-click on the file, then make sure the 'Read-only' box has a checkmark in it. This is a cool tip, gang... but I hate to say that your privacy has already gone out the window.


Word 97 Keyboard shortcuts

11th March 1999

I've been using Microsoft Word 97 a lot lately (though I typically use Notepad to write Lockergnome issues). Yes, Word is powerful--and there are functions in it that I'll probably never use. Keyboard shortcuts, however, are time savers. To see all the keyboard shortcuts for Word, open up Word's help file and type "keyboard shortcuts" as your search criteria. You should see a few of links pop up. 'WordPerfect keyboard equivalents' is for those of you who are used to WordPerfect and want to make a smooth transition to Word. 'Shortcut keys' will take you to a listing of ALL the keyboard shortcuts available to you. Word to your mother!


Switching from Netscape to IE

12th March 1999

Lockergnomie Gloria Morrell reminded me of something that I've missed since switching from Netscape to IE (years ago). When you're troubleshooting HTML code, pull up the page in Netscape and select 'View Source'. If you see any bit of text blinking, you've got an error. It doesn't tell you how to fix it, but at least you know what could be wrong. It's kinda like having a built-in testing tool! You can also 'View Source' in IE, although it will just bring up the HTML code in a Notepad session.


Shortcut to a URL

15th March 1999

A couple of weeks ago, I featured a program which would enable you to easily make a shortcut to a URL. Apparently, I didn't have my thinking cap on that afternoon, because quite a few of you informed me that I didn't need a program to do that. If you want to save a web address (URL) as a shortcut file, right-click on the Desktop (or in the Windows Explorer), select New, Shortcut, and for the command line, type the full URL, then click the Next button. You can name the Internet Shortcut whatever your heart desires before pressing 'Finish'.


Uninstall fonts

17th March 1999

I had to fight Gretchen tooth & nail to get her to uninstall 90% of the fonts she never used. Half of them (in my opinion) looked similar anyway. What's one good way to compare one installed font against another? Well, you could "open" the fonts you wish to compare (directly in the Fonts folder). But a simpler way might be to open up WordPad (or any other RTF-capable word processor) and type in the same word/sentence (each one with a different font). It's quick, easy, and pretty straightforward; I can see exactly what the differences between font faces are immediately.


Right-click anywhere

18th March 1999

The other day, I watched a friend pull up the STUPIDEST website I've ever seen; it was nothing but a page filled with "dancing" hamsters. Don't get me wrong, I love rodents as much as the next gnome, but c'mon--I have better things to do with my time. My friend then spent about five seconds 'looking' for the 'back button' icon in the toolbar. Why?! If you have Netscape, IE4, or IE5, just right-click anywhere on the current web page (except on an image or link) and select "Back". Heck, you can even select "Forward" from the menu if it's available. You'll shave seconds off your browsing time by doing this--it all adds up.


Bookmark the web page

19th March 1999

Want a quick way to bookmark the current web page you're visiting (in Netscape or IE)? Hit CTRL+D and the page should automatically be added to your Bookmarks or Favorites list. Of course, you can organize and categorize it at a later time, but this is a quick & dirty way to get the sucker stored. Plus, if you have a website, you can encourage your visitors to bookmark it by using the same keyboard combination--might as well encourage them to come back!


Pull up its properties

22nd March 1999

Every other Windows site has proclaimed that IE5 is finally available; you've probably read countless (similar) reviews of this new browser. But, now that the newness of IE5 has worn off, it's time to figure out what else it has to offer YOU. Here's a little trick that web developers will LOVE: pull up any web page that contains an image, right click on that graphic, pull up its properties, and you'll be able to see its pixel dimensions (width by height)! This is a major timesaver for some of us (on top of being a pretty cool built-in feature).


Outlook 98 annoyance

23rd March 1999

Lockergnomie Davis Straub (co-author of the best-selling book, Windows 98 Secrets) told me about a killer trick for a major Outlook 98 & Outlook Express annoyance. Have you ever seen those solid lines to the left of your reply text in HTML formatted messages? Here's Davis's way to get rid of them: "after you click 'Reply' and get the vertical line(s) on the left, move your text cursor to the spot where you want to insert a response and press 'Enter'--this will extend the line. Next, click the 'Paragraph Style' button on the OE format bar (notice that there is a dot next to normal). Click 'Normal' and the lines will DISAPPEAR! Be sure to check out (http://www.davisstraub.com/secrets/) for the entire OE chapter!


Grab a decent font viewer

24th March 1999

I mentioned a tip last week about comparing similar fonts with one another; by all means, I wasn't suggesting that you open up every single one of your fonts and compare all of them simultaneously. That's insane. However, if you really wanna do that, you might as well grab a decent font viewer to help you. You can get: ViewFont (http://www.oceris.com/viewfont/default.htm) is basic, but clean; ListFonts (http://www.cbpf.br/~marcoscm/listfonts/) is a little easier to use, and a bit more configurable; then there's IC Font, (http://www.iridis.com/dsabljic/products.html) which will tell you everything there is to know about any given font; and FontSelector (http://www.theill.com/fs/default.asp) is relatively rudimentary.


Simple MIDI homepage

25th March 1999

My first attempt at providing content on the web was with a simple MIDI homepage; I featured a new song every week, and it played in the background. However, not everyone likes to listen to MIDI while they're visiting a web page. If audio controls are not to be found on any given "playing" page, you can simply hit your browser's stop button to cease the music. I'd suggest waiting for the page to completely load before doing this. In IE5, you can minimize the window and the music will be paused. Spiffy!


Lockergnome calendar

26th March 1999

Lockergnomie "Uncle Debi" is famous for creating wallpaper calendars; without asking, he created a special 1999 "Lockergnome" calendar for you to use on your Desktop! It's available in several sizes (and in several different formats). I realize you probably don't want to see LG outside your Inbox, but this calendar wallpaper is just another way to turn something fun into something functional. I think you know who my favorite Uncle is now. Check 'em out: (http://home.wnm.net/~debi/lockergnome.htm)


Explorer using 'Details' view

29th March 1999

Lockergnomie Bill Swart uncovered an awesome tip the other day (and I'm very glad he decided to share it with the rest of us). When you're in Explorer using the 'Details' view, you might want to resize every section so that you can read its contents more easily. Here's the quickest way to do that: press CTRL and the '+' key on the number keypad. The columns will automatically be resized to their optimum lengths; guesswork goes right out the Window...


IE5 "Go" button

30th March 1999

When IE5 was first being distributed as a public beta, there were many users complaining about the "Go" button. I, on the other hand, was glad to have it. I often surf with one hand on my mouse, and the other away from my keyboard. Without that "Go" button, I had to use the 'Enter' key after I typed a URL in the 'Address' bar. Now, I don't need to touch my keyboard at all--I can simply paste or type a URL in there and then "Go". It's also handy when errors like "The page cannot be displayed" pop-up; simply hit "Go" and watch your browser try the page/file again (this is extremely helpful when you run into busy FTP sites).


What's that file's function?

31st March 1999

What's that file's function? It came with Windows, but Who really knows? Well, see if it's listed at (http://web2.airmail.net/darylc1/windows.htm) (thanks to Lockergnomie "Grim Sage" for pointing it out). This page only lists files which came with the original shipping version of Windows 95, but file descriptions probably haven't changed that much with later versions (or with Windows 98). It's certainly a resource worth noting.


April 1999

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Keyboard stopped responding

1st April 1999

Has your keyboard ever stopped responding in Windows? You might still have full mouse control, but no way to "type". This could be a hassle, especially if you can't (or don't want to) reboot. Well, pull up the Windows character map (if it isn't installed on your machine, you can add it via the Windows Setup tab in your Add/Remove Programs Control Panel applet). In CHARMAP, you can double-click on 'characters' (in sequence) and then copy them to the clipboard to be pasted into any given application. How's that for a key play?


Manipulate the toolbars

2nd April 1999

When you have IE4 or IE5 installed (no matter which version of Windows), you should be able to manipulate the placement and order of the toolbars in both Windows & Internet Explorer. On the left side of each toolbar, you'll see a horizontal line--click on that to drag the toolbar up, down, and around. Heck, if you don't want a particular toolbar there at all, simply right click in just about any area of any Explorer toolbar and uncheck the one(s) you don't want to see.


IE5 Start Menu trick

5th April 1999

Lockergnomie Mike McCollister inadvertently stumbled upon this IE5 Start Menu trick: "Click on the Start button, select 'Programs,' then double-click on any one of the Program Group folders!" Doing this should open up an Explorer window for that folder. You never know when this will come in handy, although Gretchen didn't get nearly as excited about it as I did.


128-bit encryption

6th April 1999

A few users were complaining that IE5 didn't have 128-bit encryption yet. Nothing could be further from the truth! If you live in the U.S. or Canada, open up IE5, select 'Help' from the menu and choose 'About Internet Explorer.' Underneath the IE version, you should see "Update Information" underlined. Click on that link and IE will blast you to a page where you can download the encryption update. Yes, if you can do it, you should.


Programs in Startup group

7th April 1999

How many programs do you have in your Startup group? If you're like me, not very many. I realize, however, that there are some users who have about 15-20 programs automatically launch when Windows boots up. You probably only want a fraction of those to run at any given time, so instead of putting all those shortcuts in your Startup folder, why not place a shortcut to another folder--which contains all the shortcuts you'd normally have in your Startup folder. This way, you could pick and choose which programs you want to run when you start every Windows session.


Lockergnome Stationery

8th April 1999

If you haven't seen or downloaded the Lockergnome Stationery yet, swing by http://gnomezone.randysplayground.com/ and have a look! I made them using Outlook Express 5.0 (the one which comes with IE5). You can make your own stationery, too! Open up OE5, select 'Message' from the menu, then choose 'New Message Using,' and click on 'Select Stationery.' At that point, you should see a 'Create New' button... click it and the Stationery Creation Wizard will help you with the rest. Collect 'em & trade 'em with your friends!


Save an entire Web page

9th April 1999

Just when you thought I was finished with these "fantastic" IE5 tips, I'm giving you another one! You can easily save an entire Web page (including its graphics) by first loading up the page you'd like to save, selecting 'File' from the menu, then choosing 'Save As.' 'Web Page, complete' will be the option you'll want to select (default). There's no muss or fuss with this feature, gang.


Annoyed with AutoComplete

12th April 1999

Believe it or not, I've had quite a few diehard Netscapers tell me that they were extremely impressed with IE5. Some of you, on the other hand, are annoyed with its AutoComplete features. To disable AutoComplete in IE5, select 'Tools' from the menu and choose 'Internet Options.' Click on the 'Content' tab and press the 'AutoComplete' button. At that point, you can pick & choose which fields will use AutoComplete functionality.


Still don't like Cookies?

13th April 1999

Still don't like Cookies? You're not alone. To disable them With IE5, you'll have to select 'Tools' from the menu, then choose 'Internet Options.' Click the 'Security' tab and press the 'Custom Level' button. After skipping over a few options, you'll find the 'Cookies' section. Now you can have per-session cookies (which aren't stored to disk after shutting down IE5)! Don't be caught with your hand in the cookie jar.


Paste a URL

14th April 1999

Lockergnomie Josiah Ritchie submitted an excellent tip for those of you who use IE4 (or who dislike the IE5 "Go" button): paste a URL into the Address bar, and if you want to visit that site w/o having to hit the 'Enter' key, simply position your cursor to the white space immediately to the left of the pasted URL, click & hold your left mouse button, then slightly move your cursor in any direction until you see the Shortcut icon appear. When you let go of your mouse button, the pasted URL will be accessed!


IE Bunny

15th April 1999

The Lockergnomie known to me only as the "IE Bunny" has found an IE5 Easter Egg inside an IE5 Easter Egg! First, type the following string exactly as follows (without the quotes) in the Address line of IE5: "about:< !-- introducing the Trident team -->". Then, after you see the flying names & dots, start clicking in the upper-left hand corner (in the black). In a few seconds, the only name you should be seeing is Eric Vasilik's.


Offline Web Pages

16th April 1999

Remember those folder shortcuts I featured a while back? A Lockergnomie submitted a new one just for IE5 users who want to view the Web pages to which they have "subscribed". Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder using the following string (without the quotes) and hit Enter: "Offline Web Pages.{8E6E6079-0CB7-11d2-8F10-0000F87ABD16}"


IntelliMouse wheel

19th April 1999

Yes, I realize that not everybody uses IE5; if you have new, interesting, or unique non-IE tips & tricks, let me know. Lockergnomie John Buxbaum found a way to use his IntelliMouse wheel with Netscape the other day! Open REGEDIT and find your way to HKEY_CURRENT_USER > Control Panel > Microsoft Input Devices > Mouse > Exceptions. Right-click on 'Exceptions' and create a new key with a unique number value. In that new key, create two strings; name one 'description' and the other 'filename'. Make the value of the 'description' string 'Netscape' and the value of the 'filename' string 'netscape.exe'. Then, make a new DWORD value and entitle it 'version'; give 'version' a value of 1. John reinvented the wheel!


DVD functionality

20th April 1999

Haven't installed a DVD drive quite yet? Well, don't worry--in time, they'll come standard on all new PCs. Lockergnomie Jim Bailey discovered a way to turn on the DVD functionality of the Windows Media Player! Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > MediaPlayer > Player > Settings. Right-click on the Settings key and choose New > String Value. Name that string "EnableDVDUI" (without the quotes). For the value, use "yes" (again, without the quotes). Next time you start Windows Media Player, you should have DVD viewing abilities. Keep in mind, this won't read DVD-ROMs unless you have a DVD drive installed.


E-mail form easier to read

21st April 1999

I informed y'all about a great utility to make e-mail form output easier to read a few weeks back; those of you who use e-mail forms on your Web pages will want to pay close attention to this tweak. Some Lockergnomies showed me an easier way to accomplish a cleaner message. In the FORM tag, be sure to have ENCTYPE="text/plain" as one of your attributes; this will set up the message to be text-based in nature, without those ugly codes. It's a killer time (and eye) saver.


Cleanest Defrag possible

22nd April 1999

Lockergnomie Celal Hallac came up with a rather good way to ensure that you're getting the cleanest Defrag possible in Windows 95/98. It will involve editing SYSTEM.INI, but that shouldn't be too much of a problem for advanced users. In the [boot] section, change "shell=explorer.exe" to "shell=defrag.exe" then exit and reboot. When you load Windows next, the Disk Defragmenter should be the only program to load. Run it, then 'CTRL-ALT-DEL' to reboot upon defrag completion. Before Windows starts its boot process, hold onto the F8 key and select the "Command Prompt Only" option. In your Windows directory, type "edit system.ini" and reverse your original change. Save, exit, then 'CTRL-ALT-DEL' to reboot and get on with your life.


Customized "about" screens

23rd April 1999

You've probably seen the "about" tricks in your Web browser before. If not, try typing "about:lockergnome" in the address line of either Netscape or Internet Explorer. Nothing terribly impressive, right? Well, IE users can customize their own "about" dialogs in the Registry. Navigate to HKEY_LOCAL_MACHINE > Software > Microsoft > Internet Explorer > AboutURLs. Then, you can create customized "about" screens at your leisure--just direct any given keyword to a Web page or site. Thanks to a few Lockergnomies for submitting this tip.


IE4 or IE5 image zoom

26th April 1999

If you've used the IE4 or IE5 image zoom power toy, you might have noticed that it doesn't work as well as it should. You can enlarge an image easily, but when you shrink it again, the image will not retain its proportions. Lockergnomie Matthew Walker says that the fix is easy (coding experience not necessary, but strongly recommended). Open the 'zoomin.htm' and 'zoomout.htm' files from 'C:\Windows\Web' and move the 'w =' line directly underneath the 'h =' line, and do the same for the 'parentwin' lines ('h' over 'w'). NOTE: 'zoomin.htm' has asterisks instead of slashes, but you can apply the same tweak.


Hide an e-mail address

27th April 1999

E-mail aggregator programs are evil; you can do your best to hide an e-mail address on a Web page, but there's no easy way to outsmart those beasts. A Lockergnomie found to be a possible solution--and amazingly enough, it works! Enter your e-mail address and in a matter of minutes, they will send you the HTML code which you may insert into your Web page. While everything will appear "normal" in the browser, aggregators won't be able to 'see' or extract your address. NOTE: you do not need to subscribe to their newsletters.


See a navigational map

28th April 1999

Outlook Express 5.0 isn't just for reading e-mail messages and reading newsgroups. Some Lockergnomies have discovered a nifty, new button tucked away inside IE5's contact manager. Open OE's Address Book, double-click on any one of your contacts, and select either the 'Home' or 'Business' tab. If you've entered an address for that person or company, click on the 'View Map' button to see a navigational map from Expedia.com load up in IE5! You'll never get lost again, gang.


Drop to a command prompt

29th April 1999

There are utilities available which make it easy to drop to a command prompt from any given folder--but you can accomplish the same feat without installing extra software! A Lockergnomie explained this simple process: in Explorer, navigate to where you'd like to start a command prompt. Then, select 'Run' from the Start Menu, type "COMMAND", and press 'Enter'. At the command prompt, type "cd " (without the quotes, but with the added space at the end). Drag & drop the folder from Explorer into the Command Prompt window and hit 'Enter'. You did it, dude!


Stationery in Outlook Express

30th April 1999

The problem with using stationery in Outlook Express is that you have virtually no control over the code. However, a Lockergnomie named Linda found this killer trick for OE5 users: Open a new message, select 'View' from the menu, then click on 'Source Edit.' You should now see a set of tabs at the bottom of your message which will allow you to "WYSIWYG" edit, source code edit, and preview your message as the receiver should see it. Creative content is now a lot easier to tweak!


How many floppy drives

3rd May 1999

How many floppy drives do you plan on adding to your computer in the near future? The average user won't add any, but Windows 98 attempts to be intuitive by searching for new floppy drives on every boot-up. To keep Windows from looking (and to slightly speed up booting time), right-click on 'My Computer' and select 'Properties.' Then click the 'Performance' tab, press the 'File System' button, then select the 'Floppy Disk' tab. Remove the checkmark from the box. While you're there, you might scope out the 'Removable Disk' tab, too.


FTP sites more like folders

4th May 1999

IE5 has the ability to make FTP sites appear more like local folders. To enable this function, you have to be sure that 'Use Web Based FTP' is not checkmarked on the 'Advanced' tab in 'Internet Options.' Here's something else that I inadvertently stumbled upon: when you're browsing an FTP site, select 'View' then 'as Web Page' from the menu. IE should then show you the 'welcome' message for that archive at that point. On top of this, the new 'Web' pane will show you which files you have selected, and their full paths.


Clicking sound

5th May 1999

The first time I heard a clicking sound that accompanied Windows or Internet Explorer navigation, I was impressed. Within five seconds, however, I was disturbed. If my annoyance "sounds" familiar, understand that there's a very simple way to turn off the 'clicking' noise. Open the Control Panel and select the 'Sounds' icon. Look for 'Select' in the Windows section, and 'Complete Navigation' & 'Start Navigation in the 'Windows Explorer' section. Select any/all of those and assign '(None)' for their sound association.


Desktop is a breeze

6th May 1999

Getting to the Desktop is a breeze when you're using a normal 32-bit dialog box. Ya know, when you're trying to 'open' or 'save' a file? You should see a 'Desktop' mat at the top of the window--press it once and you'll be magically transported to your Desktop (within the dialog). Here's a little secret I just discovered: press the 'Desktop' icon again and it will take you back to the directory you were in beforehand! Top that one...


CD-R or CD-RW discs

7th May 1999

I've been thinking about picking up a CD burner lately. I'm sold on the idea of owning one, but I'm just not sure which brand to go with. You don't need to own a recordable CD drive to make the most from this tip, though. If you use CD-R or CD-RW discs often, you should tweak your CD-ROMs settings. Right-click on 'My Computer' and select 'Properties.' Then click the 'Performance' tab, press the 'File System' button, then select the 'CD-ROM' tab. Then, set the 'Optimize access pattern for' selection to 'No read-ahead.' This should markedly improve performance in CD-R or CD-RW access.


Copy text frequently

10th May 1999

I copy text frequently: from the Web, e-mail messages, or other rich-text documents. Sometimes I just want to keep the text--not all its fancy-schmancy formatting. So here's a workaround for when you're dealing with formatted text: after copying, open up Notepad and 'Paste' the text in there. From there, you may save the text as a new file, or 'Copy' it again to the clipboard and paste it in another document. All the formatting will have been stripped from it at that point.


Enable thumbnail view

11th May 1999

I've been scanning the Internet for killer "Phantom Menace" pictures... and believe me when I say that my hard drive is full! Here's the way I preview those graphics. Open the Windows Explorer, find a folder which contains either graphics or HTML files, right-click on it and select 'Properties.' Then, towards the bottom of the properties sheet, place a checkmark in the 'Enable thumbnail view' box and click 'Okay.' Now, open that folder, select 'View' from the menu and you should see 'Thumbnails' as a new option. Select it, and let the graphical force be with you.


Text Document

12th May 1999

Is "Text Document" not descriptive enough for you? Would you rather refer to a TXT file as a "Shiny Happy Text Thing"? Open the Windows Explorer, click 'View,' then 'Folder Options,' select the 'File Types' tab, then look for whatever file type you'd like to change. When you've found one, select it and click the 'Edit' button. At that point, you can put just about whatever it is your little heart desires in the 'Description of type' field.


There's a WIMP on the block

13th May 1999

There's a WIMP on the block, but it's a real bully. The Windows Media Player isn't perfect, but you can stop it from playing files before giving you the option to 'Save as.' Open the Windows Explorer, click 'View,' then 'Folder Options,' select the 'File Types' tab, find the media file you'd like to have not play automatically, select it and click the 'Edit' button. Place a checkmark in the 'Confirm open after download' box.


Toolbars are pretty wonderful

14th May 1999

Icons--get your hot, fresh icons here! Those IE toolbars are pretty wonderful additions to your Desktop. Not only do they stay out of the way, but adding frequently-used shortcuts to them will most likely save you time. Just drag & drop any folder to the top or side of your screen, and a new toolbar will be created. Heck, you can even drag & drop any given file onto an existing toolbar and it will automatically create a shortcut for it. What happens when those icons go haywire? Never fear, just right-click on the toolbar 'handlebar' and select 'Refresh' from the menu.


HTML Daily newsletters

17th May 1999

You may love following links in Lockergnome's HTML Daily newsletters (or on any given Web page, for that matter). But, by default, links will open up in the same browser. Lockergnomie Ran Biron came up with a solution for those of you who would rather have clicked-upon links open up in a NEW window. If you have IE4/5 set as your default browser, hold onto the Shift key when you click on a link. It's a shifty way to do things, but it works. Now, to consolidate all of those separate browser instances, consider picking up NetCaptor: http://www.netcaptor.com/ -- an excellent IE shell!


A place on your hard drive

19th May 1999

Every file/folder has a place on your hard drive. This location is called its "path." By default, the Windows Explorer will not show you the full path for the object you're currently viewing. To turn this function on in the Windows Explorer, select 'View' from the menu and open 'Folder Options.' Under the 'View' tab, be sure the 'Display the full path in title bar' box has a checkmark inside it. Or, if you want a quick & dirty way to view an object's path: open the Run command (select 'Run' in your Start Menu or hit WinKey+R). Then, drag & drop a file or folder onto it. Not only will you get the object's path, but you'll also be able to see its extension! The file/folder will be opened if you press the 'OK' button.


Toolbar Wallpaper accessory

20th May 1999

After downloading the 'Toolbar Wallpaper' accessory from MS's site (http://www.microsoft.com/windows/Ie/WebAccess/default.ASP), you can change the background bitmap easily in IE5's Web browser. So what about the Windows Explorer toolbar? IE4/5 users can spice that up, too! Open REGEDIT and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Internet Explorer \ Toolbar. Right-click in the right-hand pane and create a new String value; rename this to "BackBitmap" (without the quotes). Double-click the "BackBitmap" value to edit it, then enter the path to your favorite BMP file. Launch the Windows Explorer and its toolbars should have that BMP as a background! To remove the image, you must remove this string from the Registry (be careful).


Is it telling you the whole story?

21st May 1999

Windows may be telling you that you have an Intel Pentium processor, but is it telling you the whole story? Right-click on 'My Computer' and select 'Properties.' Under the 'Computer' section, if you see 'GenuineIntel,' you can proceed with this trick. Close the properties sheet, launch REGEDIT, and navigate to HKEY_LOCAL_MACHINE \ Hardware \ Description \ System \ CentralProcessor \ 0. Double-click on the 'VendorIdentifier' key, put a space between "Genuine" and "Intel," then close REGEDIT. Now, re-open the properties for 'My Computer.' Below the 'Genuine Intel' line, you'll see a line that reads: 'x86 Family A Model B Stepping C' (these values will vary from system to system). Rebooting will reset this tweak.


Tweak its appearance

24th May 1999

Here's possibly one of the coolest tips I've seen all year. NOTE: this tip is only for those of you with IE4/5. Select the 'My Computer' icon with your left mouse button, then drag & drop it onto any side of your screen. No matter where you place it, you'll see a listing of your computer's components. Now, press the CTRL key and with your left mouse button, click once on your 'C' drive. You should see a cascading display of all your flies and folders! Simply click on any one of those icons and the file/folder should open. This can also be done with the other items in your "new" toolbar. Right-click on the handlebar and toggle 'Show Text' and 'Show Title' to tweak its appearance.


Applets in your Control Panel

25th May 1999

Having quick & easy access to all the applets in your Control Panel is just a drag & drop away, gang. NOTE: this tip is only for those of you with IE4/5. Open 'My Computer' and select the 'Control Panel' folder (but don't open it). Then, drag the icon down onto a free area of your Taskbar and drop it. At that point, a new toolbar will be created; you can right-click on the leftmost handlebar and toggle 'Show Text' and 'Show Title' to tweak its appearance. Try dragging & dropping the 'Control Panel' folder icon onto the side of your screen, too. These toolbars can also be created with other "special" folders by following the same steps. Experiment!


Let's back up for a second

26th May 1999

Let's back up for a second... when was the last time you backed up your registry? Providing you're running Windows 98, this important system file was automatically duplicated when you rebooted for the first time today. To restore "old" copies of the registry, shut down your computer and select 'Restart in MS-DOS mode' from the menu. Then, when you're at the command prompt, type: "scanreg /restore" (without the quotes). At that point, you can choose the file you wish to restore. To make another backup copy, type: "scanreg /backup" (without the quotes). The '/fix' switch might come in handy, too. Obviously, this utility should be used before and after you've run into problems with Windows.


What kind of speakers

27th May 1999

What kind of speakers do you have for your PC? And how many of them are there? Windows 98 users should appreciate the ability to tweak playback options for their sound card using the Multimedia applet in the Control Panel. Open it up, select the 'Audio' tab, and press the 'Advanced Properties' button in the 'Playback' section. The 'Speakers' tab should have a drop down box, allowing you to select a speaker configuration for your particular setup. Accordingly, Windows should optimize the way it plays sounds. You may consider selecting a completely different configuration from your own to "hear" if it maximizes output quality. Sounds good to me!


Reliant on the mouse

28th May 1999

Most of us have become very reliant on the mouse since Windows 9x surfaced. However, pointing and clicking isn't always the quickest way to complete a task. Keyboard shortcuts are everywhere, although their default assignments aren't always apparent. In Microsoft Office, you can "turn on" the display of keyboard shortcuts within the tool tips! In the menu, click on 'Tools,' 'Customize,' then select the 'Options' tab. Then be sure that the 'Show ScreenTips on toolbars' and 'Show shortcut keys in ScreenTips' boxes have checkmarks inside. From that point on, you'll see the keyboard shortcut in parenthesis alongside the button's description in any given Microsoft Office application. NOTE: not all functions have shortcuts.


Cascading menus

31st May 1999

Everybody seemed to enjoy last week's Toolbar tweaks... and a handful of you called my attention to another variation on the theme. If you have IE4/5 (with Active Desktop) installed on Windows 9x, right-click on your Taskbar, select 'Toolbars,' then 'Desktop.' You should see a new toolbar appear in your Taskbar; left-click where it says 'Desktop' and drag it all the way to the right (towards your System Tray) until you see just the word 'Desktop' and a couple of small right-pointing arrows. Left-click on those arrows, and you'll get a menu of all the items currently sitting on your Desktop, plus cascading menus for every component and folder on your computer. This one's definitely a keeper!


Preview media files

1st June 1999

From the "Do you hear what I hear" department: Lockergnomie Trubnikoff Valery has discovered a way for IE4/5 users to preview WAV, MID, RMI, MOV, AVI, and MPG media files within the windows Explorer. "Open up the 'Web' folder in your Windows directory, then open the 'folder.htt' file in Notepad. Replace the string 'wantMedia=false' with 'wantMedia=true' -- next time you select a "media" file in Explorer, you'll see 'play' and 'stop' buttons in the leftmost panel."


Long-standing Windows quirk

2nd June 1999

From the "Jumpin' Jack Flash, it's a crash, crash, crash" department: Lockergnomie Terry Eden may have a solution for a long-standing Windows quirk. "When Explorer crashes, it can take away all your lovely System Tray icons. But there may be a way to prevent this from happening! Before you hit the "Close" button on the application error, load up one or two more copies of Explorer... then hit the Close button. Sadly, your browser window will be gone, BUT all your System Tray icons should still be intact."


Networked computers listings

3rd June 1999

From the "Hello, I love you--won't you tell me your name" department: Lockergnomie Rhyddian Olds found a way to make networked computers' listings more descriptive. It was brought up specifically for use in NT4 (but may work in W2k). First, you'll need to launch your registry editor. You'll find that the HKEY_CLASSES_ROOT \ CLSID \ {20D04FE0-3AEA-1069-A2D8-08002B30309D} contains information regarding the Desktop icon for 'My Computer' -- by changing the name of the icon directly in the Registry, you'll give that icon much more functionality. Select the value and delete it; from the Edit menu, select Add Value; leave the value name blank and set the type to REG_EXPAND_SZ. Click 'OK' and enter the following text: "%USERNAME% on %COMPUTERNAME%" (without the quotes) then click 'OK' again. Close the registry editor, click once on the Desktop to select it, and press F5 (refresh) for the change to take effect.


Check Link Wizard

4th June 1999

From the "When good links go bad" department: Lockergnomie Mike Krajewski uncovered a hidden gem on the Windows 98 CD-ROM. In the Tools \ Reskit \ Desktop folder click on "chklnks.exe" to open up the Check Link Wizard. This utility will scan your hard drive for defunct shortcuts. If you want, you can copy this program to your hard drive and use it every once in a while (when you're feeling like cleaning up your computer).


Series of keyboard shortcuts

7th June 1999

From the "Space bar: the final frontier" department: Lockergnomie Andrew Householder has passed along an ALT+SPACE series of keyboard shortcuts. To bring up a window function dialog for the active window, depress the ALT key then tap your space bar. From that point, you can close, move, size, minimize, restore, or maximize that window. For even quicker operation: ALT+SPACE+C will close, ALT+SPACE+M will move, ALT+SPACE+S will size, ALT+SPACE+N will minimize, ALT+SPACE+R will restore, and ALT+SPACE+X will maximize the current window.


Nifty modem tweak

8th June 1999

From the "How fast was I going, officer" department: Lockergnomie Kerry Rogers has brought a nifty modem tweak to my attention. The connection icon in the System Tray may say that you're connected at "115200" (or some other bogus number), when you're actually connected at 26400. This is because Windows may be reporting the port speed (not the actual speed the user at which the user is connected). Open the 'Dial-Up Networking' folder (in 'My Computer'). Right-click on an Internet service icon, select 'Properties,' press the 'Configure' button, click the 'Connection' tab, then press the 'Advanced' button. In the 'Extra settings' field, try adding "W2" (without the quotes) to your initialization string. Upon doing this, you may see a more accurate connection rate the next time you connect to the Internet.


Pointing hand

9th June 1999

The other day, a Lockergnomie reminded me that Windows 98 users can easily change their link cursor in Internet Explorer 4/5. Ya know, the "pointing hand" that you see when you hover over a link in IE? Fire up your Control Panel, double-click the Mouse icon, select the 'Pointers' tab, then scroll down to 'Link Select' and 'Browse' for a replacement cursor/icon. Heck, while you're at it, you can change your other cursors just as easily, too.


Select more than one object

10th June 1999

To select an object (icon), you simply "click it" once with your left mouse button. But what if you want to select more than one object at a time? Try left-clicking & dragging your cursor (starting in a blank area)... you should then be in control of a resizable rectangle. At that point, you can highlight any given set of icons so that they become selected (on your Desktop or in the Windows Explorer). Once you've selected a series of objects, you can manipulate them by right-clicking or dragging & dropping one of the icons.


Deselect a few individual icons

11th June 1999

Let's say you've got a series of objects (icons) selected in the Windows Explorer. However, you're wanting to deselect a few individual icons. Instead of continually left-clicking & dragging, hover your cursor over a selected icon, hold down the CTRL key, and left-click the object. It will immediately become "unselected." Conversely, if you wish to select an icon, you can use the same method (use the CTRL key when left-clicking upon an unselected object). Your selection (or deselection) will be cumulative. In a similar vein, depressing the SHIFT key while selecting an object will allow you to select every item in between that one and the next one you left-click upon (while still depressing the SHIFT key).


It's the Function key of choice!

14th June 1999

Sometimes the Desktop (and folders) don't refresh properly. If you've got Windows "residue" on the screen that shouldn't be there, try hitting F5 and see if it disappears. If not, you may have a bigger problem on your hands (try upgrading your video card driver). You can also hit F5 to "refresh" Web pages. It's the Function key of choice!


Undocumented feature

15th June 1999

Lockergnomie "Zero Gear" found something QUITE interesting that I've never seen before (and I dare to say that none of you have, either). This is an EXTREMELY undocumented feature of Windows 98--I don't even know what it is or what it's to be used for. Using Windows 98, click the Start button, go to Settings, hold onto the CTRL key and click "TaskBar & Start Menu." Now, look at the right-most tab: DeskBar Options!? Everything is grayed out, so I'm not sure what to make of it. Interesting, to say the least.


What it looks like in motion

16th June 1999

Have you ever downloaded an animated cursor and wanted to see what it looks like in motion? Simply select it then hit ALT+ENTER (or just right-click on it and select 'Properties'). Voila! Well, even though it won't play the animation at full speed, it WILL loop through the entire animation sequence.


Ever forget your password

17th June 1999

Ever forget your Windows password (it could happen)? Just go to your Windows directory and delete the PWL file with your login name (CHRIS.PWL for example). Restart windows (or log in as a new user), use the information you had been using before, and it should prompt you for a new password.


Slow typers

18th June 1999

Here's another typing shortcut for you slow typers. If the site address you're looking for starts with a 'www' and ends in a 'com' then you're in luck. In later versions of Netscape and Internet Explorer, you can type in the root word (for example, 'pirillo'), hit ENTER, and wait a few seconds for 'www.pirillo.com' to automatically load. And you should forget about typing 'http://' first... the newer Web browsers will automatically insert it.


Speed up the refresh rate

21st June 1999

If you want to possibly speed up the refresh rate in Console Windows, add the following to the [386Enh] section of SYSTEM.INI: WindowsUpdateTime=10 (the value is the refresh rate in milliseconds). NOTE: using values less than 15-20ms requires a fast machine and a good video card. Otherwise your system will become very slow when a DOS Box or Win32 Console Application is running). Make sure to reboot your system after setting the tweak.


Don't you hate downloading

22nd June 1999

Don't you hate downloading a file only to find that it covers up or is covered up behind another icon on your Desktop? No matter what, when something appears on the Desktop for the first time, it will pop on the LEFT side first. Well, here's a tip: move all the "permanent" icons to the RIGHT side of your Desktop. Minimize the hassle and make the move. And keep only what you need on yr Desktop--if you have more than 10 icons, start putting things into the Start Menu or a toolbar. That's what they're there for, gang.


Doctor in the house?

23th June 1999

Having problems in Windows 98? There's a doctor in the house! Simply select the Run command from the Start Menu and type: DRWATSON (then hit Enter). You'll get a doctorish icon in your System tray. He'll help you troubleshoot & document crashes plus show you the Windows operating environment. While you're "running" things, try 'MSCONFIG' if you want to control how Windows operates. Maximum tweakability!


Site frames can be useful

24th June 1999

At times, site frames can be useful, but when they don't clear themselves from your browser when you click on "outside" links, they become annoying. So, next time this happens in IE4, simply click (and hold) a link, then drag & drop it onto the address line of your browser. Voila -- no more frames! You may also drag & drop links into folders or onto your Desktop; it's a link's greatest adventure.


Shortcut to Notepad

25th June 1999

A 'Send To' cascading menu pops up when you right-click on an object... put a shortcut to NOTEPAD in there! When I want to edit (or view) a text file that isn't registered with Notepad, I just 'send it' to Notepad. Open the Run Command line (hit WINKEY+R or click on the Start Button and select Run), type in "SendTo" without the quotes, right click somewhere in the 'SendTo' Explorer window, make a New Shortcut, and point it to "notepad.exe" (again, without the quotes) and then click 'Okay.' Now, the only thing left to do is remember to use it!


Nifty AutoComplete feature

28th June 1999

AutoComplete is a pretty nifty feature in IE5. I know it has saved me a bit of typing now and again--especially for frequently used fields (name, e-mail address, etc.). But what if you've got an entry in there which you'd rather not keep? Other than flushing the entire cache of data, how can you get rid of a few individual entries? Simple. When you're entering data into an 'AutoComplete aware' form, before you start typing anything, double click on an empty field. At that point, you could see a drop-down list of previously entered strings for that form. Hover your mouse cursor over an entry you wish to delete and... tap the 'Delete' key. It's gone!


Rather interesting workaround

29th June 1999

From the "You Never Feature Anything For Netscape" department: Lockergnomie Sergei Poskriakov happened upon a rather interesting workaround. "Windows claimed that Netscape had performed an illegal operation and was going to be shut down. I ignored the message; Netscape was still responding to controls and working fine--albeit somewhat slower than usual. I guess you can sometimes still finish what you were doing even after an illegal operation warning. I suppose it also means that Windows can't recognize a critical error from a benign one." It's always worth a shot!


Quick way to shift focus

30th June 1999

From the "Skeleton Key" department: Lockergnomies Vladi Eftenov, Ramey Bell, and Daniel Gelinas have uncovered some handy-dandy Web browser keyboard shortcuts. For a quick way to shift focus to the address line, either tap the F6 key or try the ALT+D key combination. Or, if you'd like to see what's in your Address bar's history list, simply tap the F4 key. Your mileage may vary, but these should work in most situations. Get that hand off your mouse, mister!


Nifty JavaScript applet

1st July 1999

From the "Seeing Double" department: Lockergnomie Albert Lo has come up with a nifty JavaScript applet which will allow you to have dual panes in the same Explorer window! To download it, simply visit http://www.lockergnome.com/coolstuff/ and download the Double.zip file. Then, open the included 'double.html' file in Internet Explorer. How long have you waited for THIS tweak?


Keyboard while you browse

2nd July 1999

From the "Total Space Case" department: Lockergnomie Mark Lumsden found a nifty shortcut for those of you who love using the keyboard while you browse. Instead of clicking and dragging the scroll bar, tap the space bar on your keyboard and the page should scroll down. Now, if you want to scroll up, just hold onto the SHIFT key while tapping the space bar. Scrolladelic, baby.


Java Virtual Manager

5th July 1999

From the "I Like Coffee I Like Tea" department: Lockergnomie Keith Borton presents an excellent way to detect the installed IE Java Virtual Manager version. This way, you can be sure you're always using the latest version. "Drop to a command prompt by typing "COMMAND" (without the quotes) on the 'Run Command' line in the Start Menu. Then, at the 'C' prompt, type "jview" (again, without the quotes). In the upper right-hand corner of the console window, you should see a version number--that's what you're looking for!


Expand your choices

6th July 1999

From the "You Really Start Me Up" department: Lockergnomie Eliot Gelwan found a way to further expand your choices when Windows launches. Normally, you have a range of shortcuts in your 'Startup' folder. Now, if you put a shortcut to a folder in there, an Explorer window will launch when Windows runs through the Startup menu. Here's my suggestion: make a folder somewhere on your hard drive and name it something (like 'Launchers'). Move all the shortcut icons out of the Windows Startup folder and into the 'Launchers' one. Then, place a 'Launchers' folder shortcut into the 'Startup' folder; it should be the only shortcut in there. This way, when Windows boots up, you'll see a small window with all your 'Startup' shortcuts displayed. You can pick and choose which ones you want to launch at that time. To open the 'Startup' folder, simply type "Startup" (without the quotes) on the 'Run Command' line in the Start Menu.


Lost an important option

7th July 1999

From the "Confirm Alan One" department: Lockergnomie Anthony Lieuallen brings to light a tip to help those who have lost a potentially important option. "I once clicked on a ZIP file in Internet Explorer and un-checked 'Always ask before opening this type of file?' mistakenly. The option to save ZIP files never showed up again. I found that if you open up the Windows Explorer, select 'Folder Options' from the View menu, then select the 'File Types' tab, you can locate the ZIP file association and Edit it. At that point, you can place a checkmark back into the 'Confirm open after download' field. Once again, you will be prompted to open or save a file before downloading it."


Typing a lengthy e-mail

8th July 1999

From the "Somebody Please Save Me" department: Lockergnomie Gord Braun has stumbled upon a good habit. "If you are typing a lengthy e-mail message, namely something that's really important, I strongly suggest pressing CTRL+S at regular intervals. This action should save a (temporary) copy of your work in the 'Drafts' folder in Outlook or Outlook Express." This tip may also work in other e-mail programs (Eudora, Pegasus, Netscape, et al)... refer to your e-mail program's documentation to see if copies are automatically saved for messages which take a while to compose. This way, if something happens to your PC while you're in the middle of a message, all will not be lost. It's kinda like fire insurance--only not as hot.


Timesaving auto-formatting

9th July 1999

Newer versions of Microsoft Word have timesaving auto-formatting features enabled by default. However, we don't always want our Web addresses hyperlinked, nor do we always want our misspellings spelled correctly. To toggle these features, select 'Tools' from the menu, then 'AutoCorrect' in the drop-down list. From the dialog that pops up, you should be able to tweak Word's settings to your liking. Or, if you'd rather keep the automatic stuff turned on all the time, you can easily undo an auto-format immediately after it has been applied. Say you're typing along and Word changes 1/2 into 1/2 -- but you'd rather have 1/2. Just hit backspace as soon as Word makes the automatic change. It will revert back to your original string.


Switch between documents

12th July 1999

From the "They Call Me Flipper" department: Lockergnomie Chris Graham discovered a way to switch between documents in a program with a multiple document interface (MDI). Examples of such programs would be Word or Excel 97 (where more than one document may be open within the same window). To change focus from one open document to another, use either the CTRL+F6 or the SHIFT+CTRL+F6 keystroke combination. Don't even bother with your mouse--using the keyboard will be much faster.


Sorting items alphabetically

13th July 1999

I can't believe how many times I've been asked about sorting items alphabetically in the Start Menu over the last couple of weeks. It's not so simple with IE4, but it's a snap with IE5. My suggestion: if you have IE4, you shouldn't have a problem upgrading to IE5 (which I recommend). Right click anywhere on a Start Menu 'Programs' shortcut and select 'Sort By Name.' Voila! Note, too, that IE5 added renaming functionality for Start Menu items as well.


Missing files or pages

14th July 1999

From the "Use The Back Door" department: Lockergnomie Elmer Standish has a good tip for when you encounter missing files or pages. It's frustrating When you surf the Web and stumble upon 'File Not Found' errors. These usually happen when personal pages change or accounts get deleted. If the '404' URL is: http://www.lockergnome.com/~biggs/software.htm -- try removing the 'software.htm' to see if the 'biggs' account is still active. Just "peel" away the layers one by one (starting with the last section) to see if you get anywhere. It may not work every time, but it's better than giving up!


Web page was last updated

15th July 1999

Sometimes it's not easy to tell when a Web page was last updated. If the author doesn't show you outright, you should be able to find out with a snippet of JavaScript code. Open your JavaScript-enabled Web browser and type the following on the Address line: javascript:alert(document.lastModified) -- hit Enter, and a dialog box should pop up with the time & date of the last page modification. It's a simple trick you should keep up your sleeve should the need arise.


File Transfer Protocol

16th July 1999

The File Transfer Protocol (FTP) has been around for years; it's much older than the Hypertext Transfer Protocol (HTTP). Just as today's Windows versions come with a default Web browser, they also come with an FTP program. Before you download or install a high-end client, see if FTP.EXE does the trick for you. It has neither fancy-schmancy icons nor a point-and-click interface. Select 'Run' from the Start Menu and type "FTP" (without the quotes). For a list of available commands, enter a question mark. NOTE: You may also type "FTP" at a command prompt to run this vanilla client.


Compression was all the rage

19th July 1999

Years ago, compression was all the rage. Now that hard drives can handle 20+ gigabytes of data, you shouldn't have to rely on software compression for more space. Of course, if you're still hankering for an extra byte or two, fire up your favorite ZIP file manager. Run a digitally fine-toothed Comb through your hard drive, searching for data & programs which you hardly use. When you've found a few, ZIP them up! You'll potentially wind up saving megabytes.


Gather your important data

21st July 1999

Reinstalling Windows every once in a while is a wise thing to do... if you're an experienced user. Before you decide to "redo" your system, make sure you've gathered all of your important data. You may choose to 'backup' on high-end removable media, but you should be safe enough by storing every irreplaceable file in one particular folder: My Documents. This way, you shouldn't have to worry about accidentally deleting an important file--as long as you don't remove the 'My Documents' folder from the root of your hard drive. I suggest keeping ALL of your saved data, documents, and multimedia in 'My Documents' subfolders--you'll always know where those files are.


System registry patches

22nd July 1999

When merging system registry patches, you're asked to verify the action as a preventative measure. Sometimes, patches have to be applied with every session; you can place a 'REG' file in your StartUp group, but the problem is, you have to click 'Yes' then 'OK' in order to use the patch. However, were you aware of the '/s' switch for REGEDIT? Create a shortcut to a 'REG' file, and on the Target line (before the file location), type: "REGEDIT /S" without the quotes. Now, the process will be completely SILENT. You may also add the '/S' switch to the REG file type 'Merge' action in the Windows Explorer Folder Options dialog.


Cannot find server

23rd July 1999

No doubt you've seen the "Cannot find server / The page cannot be displayed" error in IE5. But, that doesn't automatically mean that the page in question doesn't exist. Sure, if the domain isn't registered, you'll see this message. But, you'll also see it when there is a data transmission error (or when the server is experiencing a high amount of traffic). Which means: the page may very well exist--it just failed to load. Don't give up! Check for typos, then hit the Refresh button (or tap F5). So much for user-friendly messages, eh?


Two plus two is five... right?

26th July 1999

Everybody knows that two plus two is five... right? Okay, so maybe mathematics isn't my strongest suit. I can handle the 'Standard' Windows calculator, but when I toggle the interface to 'Scientific,' the functions become a little more complicated. If you don't know what a button can do for you, right-click on it and select 'What's This?' -- but don't stop with the calculator. You can use this right-click trick in just about any Windows dialog box; it's a very quick way to get the help you need. Try it next time you become confused.


Annoyed by pop-up's?

27th July 1999

Many Internet content providers need sponsors. But if you say 'pop-up window' to a Web surfer, you better make sure your medical insurance is paid up. Yes, some are annoyed by those browsing intrusions (especially if they have slow connections). Here's a quick way to stop those suckers dead in their tracks: when a pop-up window pops up, hit the 'Esc' key. The window's contents should stop loading immediately. From there, you can close it. Yes, there are programs to stop them before they start (you can also turn off 'JavaScript' in your browser's options dialog). I guess the 'Escape key method' is quicker, works only when you want it to work, and doesn't take up any disk space.


Change your video's settings

28th July 1999

When monitors went from monochrome to color, geeks were taken aback. Nowadays, we can get true-to-life colors on the screen. But, just because we can operate Windows with millions of colors doesn't mean we always should. In some cases, your video will become increasingly sluggish as you use higher color depths. To change your video's settings, right-click on the Desktop, select 'Properties,' click on the 'Settings' tab, then find the 'Color' drop-down box. '256 Colors' is probably too low, and 'True Color' is most likely too high. So what's the sweet spot? 'High Color (16-bit)' will give the average user all the colors s/he would ever want.


How fast can you type?

29th July 1999

How fast can you type? I think I clocked myself somewhere around 100 words per minute once. Of course, not everyone types as fast (or as slow--depending on how you look at it). Can your keyboard keep up with you? How often do you use your cursor keys? Do they respond quickly? Open up the Keyboard applet in the Control Panel. >From there, you can manipulate the rate and delay. My suggestion: set them to the max! You can also change keyboard settings easily from the command prompt by typing: "mode con: rate=32 delay=1" (without the quotes). Keep those fingers on home row.


Quickest way to close your CD

30th July 1999

Here's an interesting fact passed along to me by Shaun (while we were driving from San Francisco to LA). The quickest way to close your CD-ROM tray isn't always the wisest. If you have an open/close button on your drive, you should use it. By pushing an ejected tray back into place, you may be putting undue stress on the hardware. I've learned one thing throughout the years: anything with moving parts should be treated with care. Of course, I don't want you to become over-protective... just keep this in mind. If that's not much of a tip for ya, how's this: before you reboot Windows, remove any CD from your drive(s). You may shave a few seconds off of boot-up time!


Dust bunnies!

2nd August 1999

Feeling adventurous today? 99% of what I cover in Lockergnome deals with the software side of your system, but here's a hardware tip could keep you from replacing parts prematurely. You probably don't open your case on a routine basis, but if you've owned your PC for over a year, you may want to take a peek inside. Check out all them dust bunnies! Pick up a liquid air (dust remover) spray can from your local computer store and clean house. I wouldn't suggest blowing with your own mouth, as spit has a tendency to ruin delicate components. Your system won't run any faster, but it'll be a lot cleaner.


E-mail etiquette

3rd August 1999

I know you've received at least one e-mail in your life. How else would you be reading this sentence? When I wrote my book, I was sure to include a small section on e-mail etiquette. When you forward messages to other people, it is customary to send the ENTIRE text. However, when you reply to someone's message, you should be a little more mindful. Should you include someone's original message in your reply, weed out anything irrelevant. I always suggest keeping key sentences, but nothing more. This way, you'll cut down on message size, and the recipient won't have to hunt for comprehension. Be nice, think twice.


Where's a task manager

4th August 1999

My daily task list is starting to shrink again, but Mr. Bigglesworth seems to have tons of tasks he's yet to complete. Where's a task manager when you really need one? It's right on your machine! TASKMAN.EXE is an alternate version of your taskbar; select 'Run' in your Start Menu and type 'TASKMAN' (then hit ENTER). Lookie there, kiddo... it's all of your tasks lined up in a row! To a certain degree, you can tweak this program's UI (as well as control certain Windows functions). If the taskbar isn't enough for you, call on the TASKMAN. I wonder why it's not a TASKWOMAN? Gretchen does more things around here than I do, I swear...


Too many folders

5th August 1999

Too many folders in your Start Menu? Go figure; try to whittle them down a bit when you have the chance. Maintain general categories for optimum efficiency (Entertainment, Utilities, Internet, Multimedia, Productivity, Optimization, etc.). But that's not what this tweak is about. Ya know that StartUp folder you have sitting in there? When a VB4 application is installed, it will automatically create a 'StartUp' group in your Start Menu. UGH! You can easily move it out of the Start Menu, or you can just HIDE it. Pull up its Properties (right-click it if you have IE4 or IE5 installed), then place a checkmark in the 'Hidden' menu. Sayonara!


Textless icon?

6th August 1999

Icons are helpful in visually describing what lies beneath them, and sometimes textual reminders are a bit too much. You know that the book icon is for launching your favorite word processor--but you can't have a textless icon... or can you? Rename the icon (select it and tap the 'F2' key). While depressing either ALT key, enter '0160' on your numeric keypad. This should create a blank space. At that point, you can hit ENTER and the icon will no longer have text underneath it. If you'd like other 'nameless' icons on your Desktop, enter an additional '0160' for each one (remember, no two shortcut icons can have the same filename).


That little, yellow speaker icon

9th August 1999

That little, yellow speaker icon in your System Tray is more powerful than you could possibly imagine. Single-click it (with your left mouse button) and you'll get a simple volume slider and a mute box; double-click it and you'll see a mixer for playback devices. If you ever had problems recording something with your microphone, be sure that your settings are correct. From the playback mixer, select 'Options' then 'Properties' from the menu. Then, in the 'Adjust volume for' field, select 'Recording.' Be sure the volume controls you wish to tweak are selected, then press 'OK'. Now, you can tweak the audio input settings to your heart's desire.


Truncated pull-down menus

10th August 1999

Although Office 2000 is Microsoft's latest suite creation, it still has features that annoy some users. One of the biggest complaints I've heard thus far has been related to the truncated pull-down menus. If you need to access 'more' options, you have to click on a set of arrows to expand the menu. This is nifty for novices, but power users will become miffed in about .02 seconds. To have the menus bear all, select 'View' from the menu, then 'Toolbars,' and 'Customize.' Click the Options tab and deselect 'Menus show recently used commands first'. Everything should be back to "normal" now.


Easily-accessible 'Folders' folder

11th August 1999

From the "Don't Take Away My Shortcuts" department: Lockergnomie Alvaro Sancho came up with an interesting idea. The goal is to create an easily-accessible 'Folders' folder in the Start Menu. Right-click on the Start button, select 'Open', create a New Folder (name it 'Folders' or whatever), double-click it, then create shortcuts to whatever folders you frequently access. To create a shortcut for a folder, simply right-click on the folder for which you wish to create a shortcut, drag & drop it onto the shortcut's destination, then select 'Create Shortcut(s) Here' from the pop-up menu. It's a great timesaver for those who Explore often!


Multi-tabbed dialog boxes

12th August 1999

From the "Just Put It On My Tab" department: Lockergnomie Chris Hogan uncovered another nifty keyboard shortcut. "Here's a tip for navigating multi-tabbed dialog boxes. Instead of using your mouse to select the various tabs, try using CTRL+PAGEUP or CTRL+PAGEDOWN. It will cycle you through every tab (this also works for cycling through multiple worksheets in Microsoft Excel)." When the mouse is away, the fingers will play.


So is your Desktop prepared

13th August 1999

So is your Desktop prepared for Y2k? There are hundreds of variables at play, but here's a tweak you should definitely apply. Double-click the 'Regional Settings' icon in your Control Panel, then select the 'Date' tab. Look at the 'Short Date Sample' field. You should see something akin to 'M/d/yy' -- this is the Windows 9x/NT default string. The problem: 'yy' will roll over to '00' (not '2000') when January 1st rolls around. To solve this problem, enter two additional lowercase 'y's to the end of the field -- or select a string that has 'yyyy' in it. Click 'Apply' when you're finished. It may keep your applications from going haywire in a few months.


Don't just download something

16th August 1999

There's a method to my madness, and I'm quite happy to be mad. I list the most relevant information in each one of Lockergnome's "downloadable" reviews. For each one of these items, you see: the file name, version, size, platform, & price, the download & homepage URLs, and finally the somewhat-descriptive review. But don't just download something and move along to the next segment. Oftentimes featured shareware authors have created other programs which you may find just as useful (if not moreso). I list two links for a reason, gang--take advantage of both of them. Especially when it comes to fonts and themes! Your collection will double every day.


Move your mouse

17th August 1999

Move your mouse to the left, now move it to the right... left-click, right-click... everything seems to be working fine, eh? Now pretend you can't use it at all. How in the world are you going to get around Windows? One of my favorite functions is right-clicking (if there can be such a thing). So how can you 'right-click' without a mouse? Newer keyboards have a 'context menu' key, but there's another way: depress SHIFT and tap F10. >From there, you can use your cursor keys to select options (and the ESC key to cancel).


Web page in your browser

18th August 1999

Look at that Web page in your browser; most likely, you can see its URL in the address line. However, when frames enter the picture (as opposed to pictures entering the frame), true addresses can become hidden. Never fear--there's a workaround of sorts. Right-click inside the 'frame' for which you'd like to have the URL, then pull up its 'Properties.' At that point, you should see the frame's 'Address (URL)' in the dialog box. Selecting the text with your mouse and tapping CTRL+C will not work; right-click and select 'Copy' instead.


Tweaking HTML code

19th August 1999

Those darn Web browsers offer so much joy... and twice as much frustration -- especially if you're a Web developer! When developing and tweaking HTML code, I've found myself pressing the refresh button more than a few times. But why is it that the page doesn't always 'reload' properly? There may be older versions of it sitting in your cache. Closing and restarting a browser session doesn't always work; flushing the entire cache isn't always an option. The quickest way to see the absolutely (positively) latest version of a Web page is by holding onto your CTRL key while pressing the refresh button.


There's a paper clip

20th August 1999

"Help! There's a paper clip on my Desktop, and it's annoying me to no end. Okay, it's gone... but it's been replaced by a tiny Einstein! I need a little help inside my Microsoft Office applications, but I don't need to be lectured by a cute character." The best way to permanently turn those critters off (without hosing your system), is by opening up the Windows Explorer, navigating to Program Files \ Microsoft Office \ Office, then renaming the 'Actors' folder to 'Dead_Actors' (or something of that nature). They shouldn't bother you again. Thanks to Lockergnomie Mike Bartlett for this tip!


Got a ton of folders

23rd August 1999

Lockergnomie Brian Livingston published an interesting tip in his Infoworld column; if you've got a ton of folders in your Start Menu, you may want to pay attention to this tweak. By default, Windows 98 will keep Start Menu folders in a single column. To force it to use multiple columns (without scrolling arrows at either end), a little Registry diving is necessary. Using REGEDIT.EXE, navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Windows \ CurrentVersion \ explorer. In the right-most pane, create a new Text Value. Type "StartMenuScrollPrograms" (without the quotes) then hit ENTER. Modify the string you just created (right-click on it); in the 'Value Data' box, type "false" (without the quotes), then click 'OK.' Close REGEDIT, tap the F5 key (to refresh your Desktop), and voila! NOTE: some users have not been able to get this tweak to work on their system.


How's that printer working

24th August 1999

How's that printer working over there? Have you bothered to tweak its settings? Open the 'Printers' folder in 'My Computer.' If your printer is properly installed, you should see an icon for it here; right-click on that icon and pull up its 'Properties.' You should see several tabs in this dialog box; change paper (quality, size, orientation), graphics, and (possibly) brightness/contrast settings. Customize it to your liking! Or, for convenience, you can create a "new" printer with a different name (and different settings)--calling on the same printer. While you're at it, throw a shortcut to your printer onto your Desktop for easy drag & drop printing.


CD-ROM access in Safe Mode

25th August 1999

From the "This Drive is Driving Me Nuts" department, Lockergnomie Kerry Rogers knows of a way to get CD-ROM access in Safe Mode. "Here's the secret (with Windows 98): before your PC begins booting up into Windows, depress the CTRL key to access to the Startup menu. Choose 'Command Prompt Only,' then type "win /d:m" (without the quotes) and press ENTER. Windows should start in Safe Mode with your CD-ROM drivers. If you still can't access your CD-ROM drive, it means your real mode CD-ROM drivers aren't installed. For installation instructions, send an e-mail message to mshelp@microsoft.com with Q190303 in the subject line (and nothing in the body of the message). Microsoft's automated help system will send back the instructions."


E-mail habits

26th August 1999

It's time for another visit from Mother Netiquette; she still wants to talk about e-mail habits. And why not? I bet you use e-mail to communicate with your friends everyday. But today's question is: but how should you start communicating with someone you don't know? Think twice before sending an HTML message. The recipient may not have an HTML-capable mail client, and your message may not actually be read. After you know the other user can handle HTML mail, only then is it "safe" to fire off an HTML message. And even then, please watch the size of your message--graphics are bandwidth hogs. If it can be sent in text, send it in text.


This program doesn't work

27th August 1999

We're all filled with questions. Why is the sky blue? Does a circle ever stop? How come this program doesn't work on my machine? To tell you the truth, I don't know the answer to any of those. Just because I feature something doesn't mean I know EVERYTHING about it; I don't have time to become an expert in all things digital. If you have a question about a particular download, ask the author directly. In a similar vein, if you remember seeing "something" in Lockergnome before, check out the past issues section of our site. It may take time, but I'm sure you'll eventually find the answer.


Quit mousing around

30th August 1999

Quit mousing around for a second and let your fingers do the navigating. Oops! Unless you know every keyboard command by heart, you'll find yourself facing frustration without a moving cursor. Luckily, there's a way to push the pointer across the screen using the numeric keypad. Open the 'Accessibility Options' icon in your Control Panel, select the 'Mouse' tab, turn on 'MouseKeys' functionality, and tweak its settings to your comfort. But, I wouldn't suggest throwing out your mouse pad quite yet...


Weird colored blob

31st August 1999

There's a weird, colored blob on your computer screen, but it's not something you can wipe off. You may see spots of yellow, magenta, or blue. Chances are, you need to tweak your monitor's hardware settings (sorry, this can't be fixed with software, and sometimes you just can't fix it without calling a professional). The easiest way to see if you have color distortion of any kind is by removing your Desktop image and setting the background color to white. Or, just open up a Notepad session and maximize the window. Some monitors will have dials (or on-screen controls) to help you tweak. If you see other 'interference,' consider moving your computer monitor away from any magnetic source (speakers, etc.).


Printer ink is expensive

1st September 1999

Printer ink is expensive. Before buying new cartridges, check to see if you can refill the ones you already have. That may save you a bit of money. Of course, you should also be cognizant of your printing habits. Color ink is more expensive than black ink; when you don't need to print something in color, DON'T! You should be able to toggle your printer's settings from its icon in the 'Printers' folder in My Computer.' I suggest keeping it on 'black' 99% of the time, gang. Not only will you be saving money, but your print jobs will (typically) go a lot quicker.


Frozen application

2nd September 1999

You know an application is frozen, so why doesn't it just die already? A single CTRL+ALT+DEL maneuver will bring up a task menu from which you may select a non-responding program to close. However, it still has 20 more seconds to get its act together. To decrease that time frame, open up REGEDIT and navigate to the HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ control key. Right-click somewhere in the right-pane and create a new 'String Value.' When prompted for a label, use "WaitToKillServiceTimeout" (without the quotes). Then, you should be able to set its value to a regular number from 1 to 20.


Sticky trick

3rd September 1999

From the "I'm Feeling Shifty Today" department, Lockergnomie Dan Milner stumbled upon a sticky trick. "When you hold down the SHIFT key while left-clicking on an icon in the Start Menu, the group will remain open so that you can select other icons without having to navigate back through the Start Menu again." This tip may only be applicable to IE4/5 users out there, but it's worth trying! Save yourself some mousing miles.


Single-click access

6th September 1999

From the "I Have No Patience for Dialog Boxes" department, Lockergnomie Daniel Hindman has found a great way to get single-click access to your dial-up Internet account. "Open your Dial-Up Networking folder in 'My Computer.' In the menu, select 'Connection' then 'Settings.' Make sure there are no checkmarks in the 'Prompt for information before dialing' and 'Show a confirmation dialog after connected' boxes. Press 'OK' to close the dialog box. Then, IE4/5 users can drag the DUN account icon onto the Toolbar (in the Taskbar) to create a shortcut that's one click away!" NOTE: this tweak is only good if your username and/or password have already been entered and do not need to be changed regularly.


What does 'seamless' mean?

7th September 1999

What's on your Web site? By law, guys have to have a JPG of Sarah Michelle Gellar, and gals have to have a JPG of George Clooney. However, there is no law regarding the use of background images on Web pages. Sometimes I wish there was. If you choose to use a background image, I suggest that it be the following: non-animated, purposeful, and seamless. What does 'seamless' mean? When the 'finished' background looks like one giant image (without visible interruption), it's seamless. To test an image's seamlessness, save it as a BMP, then try to tile it as your Desktop wallpaper. Does it look like several small images on your screen? Then it's not seamless. Does it look like a never-ending pattern? It's seamless. Or so it would seem?


Are you irked by IRQs?

8th September 1999

Are you irked by IRQs? I hope your answer is 'no,' because those puppies aren't fun to play with. According to WHATIS.COM, "the IRQ (interrupt request) value is an assigned location where the computer can expect a particular device to interrupt it when the device sends the computer signals about its operation." If there's a contention, certain components in your computer may not work properly. If you're having 'weird' problems, check your current IRQ settings. Right-click on 'My Computer,' select 'Properties,' click the 'Device Manager' tab, then right-click on the 'Computer' icon at the top of the sheet and pull up its properties. Are the devices with problems sharing an IRQ? You may be able to change IRQ settings by double-clicking on a designated icon in the 'Device Manager' tab and looking for the 'Resources' tab. Good luck!


Office files lying around

9th September 1999

Here's a spiffy tip for those who have Microsoft Office files lying around. Whether or not you have 'Office' installed, you may need to see details about certain documents. Right-click on an Office-created file and pull up its properties; you should see a range of helpful tabs sitting there. The context menu for Word documents will show you the author, his/her comments, the table of contents, and how many pages, paragraphs, lines, words, characters are in it! Excel worksheets will show virtually the same information, including the number of tabs (and their respective labels). There's more than meets the eye to some of those suckers.


Icons tell only half the tale

10th September 1999

Icons tell only half the tale. Especially for those darn DLLs, odd OCXs, vexing VXDs, evil EXEs, and devilish DRVs. Okay, they're not as bad as I'm making them out to be, but sometimes I bet you'd like to know about a file's origin. Your system directories are (most likely) littered with orphaned files; if a filename means abso-smurfin-lutely nothing to you, right-click on it and pull up its properties. Select the 'Version' tab if it is available. From there, you'll be able to check the file's version (duh), description, and creator. It's the first step in troubleshooting file removal. Does it need to be there? Don't throw it away if you're not 100% sure.


Psst... lookin' for somethin'?

13th September 1999

"Psst... lookin' for somethin'? I think I got what you need right here in my... browser." I admit that I didn't like Internet Explorer's search pane once upon a time, but IE5 has made a believer out of me. Fire up IE5, open the search pane, and look for something (anything ya want). In just about every results page, you'll get links to possible matches (duh). But don't be so quick to click! Hover over a link for a few seconds and you should get a descriptive tool tip. Is this what you're looking for?


Diving into the registry

14th September 1999

I was born with a tweaking thumb. Diving into the registry to change settings used to be an everyday occurrence. Then I got a little wiser. Whenever I add/edit a key or string value, I highlight the branch and select 'Registry,' 'Export Registry File' from the menu. At that point, I give the .REG file a memorable name for that particular tweak and save it in my 'REGHACKS' folder in 'My Documents.' Whenever I want to apply that tweak to the Registry, I just double-click it. No more unnecessary diving. You can edit out any extraneous information (which was saved in the export process) by right-clicking on the .REG file and choosing 'Edit.'


Don't start with me today

15th September 1999

Don't start with me today. Actually, you can start, but not until I give you the 'go ahead.' How many items are in your Startup folder? Not sure? Click the Start Button, select 'Run,' type "STARTUP" (without the quotes), and hit ENTER. Wow, ya gotta lotta pretty stuff in there! They'll launch in alphabetical order, and you should be able to rename all of the shortcuts in there. If you want to specify their exact launching order, rename them with numbers. '1_program' would go first, '2_program' would go second, etc.. Okay, you can start any day now.


Microsoft Word 2000 users

16th September 1999

From the "What's Your Function" department, Lockergnomie Eileen Kenneda has a killer tip for Microsoft Word 2000 users. It pertains to function key usage (ya know, the ones at the top of your keyboard which all begin with the letter 'F'). Depending on what you're doing in Word, the function key's role may change. By turning on the 'Function Key' toolbar, you'll see a straightforward map of those darn 'F' keys. Their functions will change on-the-fly as you press CTRL, SHIFT, or ALT (or any key combination). From the menu, select 'View,' 'Toolbars,' then 'Customize.' You should see a "Function Key Display" option; place a checkmark in its box. It's a non-dysfunctional function!


DOS window will have 25 lines

17th September 1999

By default, a 'DOS' window will have 25 lines in it. For most command prompt applications, this is enough. However, sometimes you may find yourself needing a little more room. Create a shortcut to COMMAND.COM on your Desktop. Then, right-click on it and select 'Properties.' Fly over to the 'Screen' tab and you should see the 'Initial size' field. Change that to 43 or 50 lines, then press OK. Now, when you launch that particular shortcut, it'll be a little bigger than what you've been used to seeing! NOTE: you can perform this tweak on just about any command line program shortcut.


It's great to have a POP3

20th September 1999

I know you have an e-mail address, don't try to deny it. Do you have more than one, though? It's great to have a 'POP3' account, but you may consider getting a free Web mail address or two, too. The reasons are many. 1) If your mail server is down, at least you can send and receive messages elsewhere on the 'Net; 2) If you need to use a valid e-mail address on a form, and you don't wanna give away your personal account information, use your Web mail address instead; 3) For the most part, you can be completely anonymous (and inconspicuous) with a Web mail address; this isn't always the case with POP3 accounts; and 4) When you're on the road, away from your own PC, it's nice to have another Inbox to use. Of course, MAILSTARTPLUS.COM is a great Web solution for any POP3 account.


Have you upgraded your PC?

21st September 1999

In the past five years, have you upgraded your PC? There's a lot of hardware and software out there, but it's nearly impossible to find the true scoop on products. You can count on a company to hype the heck out of anything, so who can you turn to for (typically) unbiased advice? The Usenet newsgroups, of course. If you don't have a news reader (or a news server), try using REMARQ.COM or DEJA.COM as your starting point. Before posting a question or comment, why not do a search for the product (or, perhaps more importantly, the manufacturer). Chances are, you'll discover real world experiences (which is much more than a spec sheet will ever tell ya). Don't purchase something without getting a second or third opinion!


Icons are wonderful creatures

22nd September 1999

Icons are wonderful creatures, but their spacing on the Desktop (and in the Windows Explorer) probably hasn't been optimized. Why even bother with icon spacing? So you can squeeze more icons into a smaller area! Right-click on your Desktop, select 'Properties,' then navigate to the 'Appearance' tab. In the 'Item' menu, be sure to write down the 'Icon Spacing' values (Horizontal and Vertical). Then, you can change both of them to 32 (I've found this number works best). If these settings don't work well for you, you can always change them back!


Easier way to travel

23rd September 1999

When you need to get from one side of your screen to the other, there's no easier way to travel than by using your mouse (or similar pointing device). When you're in the heat of battle (ya know, typing a document), it's not always convenient to have your hands leave the keyboard. So try this, the next time you need to jump between words and/or sentences: depress CTRL while tapping any cursor key. If you want to select the text while you're 'jumping,' simply depress SHIFT along with CTRL. It's a depressing trick that's actually uplifting in a way.


DOS isn't dead... yet

24th September 1999

DOS isn't dead... yet. You may find yourself having to drop to a command prompt every once in a while (completely outside of the Windows environment). The easiest way to do this is by selecting the 'Restart in MS-DOS mode' option in the Shut Down menu. If you'd like certain programs to run automatically when the command prompt pops up, you'll need to edit the DOSSTART.BAT file in your Windows folder. Consider it the AUTOEXEC.BAT for restarting in 'DOS' mode. If you need to configure other environmental variables, find the 'Exit To Dos.pif' file in your Windows folder and pull up it's properties (by right-clicking on it). On the 'Program' tab, select the Advanced button. Then, you'll be able to 'Specify a new MS-DOS configuration.'


Has this ever happened?

27th September 1999

You're typing along, and upon moving your cursor to another spot, your text starts showing up in another font. Has this ever happened to you? This is why I always encourage users to apply formatting to a document AFTER all the data has been entered. You may choose to format on-the-fly, but do you know what codes are still lingering? Word Perfect has it all over Microsoft Word when it comes to revealing hidden codes. However, there's another way to view "hidden" formatting. From Word's menu, select 'Help' and 'What's This?' -- then left-click on any data in your document. You'll see a "cartoon balloon" pop up, showing the details for that particular object (or character). NOTE: this may not work in all versions of Microsoft Word.


Shortcut to the search engine

28th September 1999

From the "You're Invited to a Search Party" department, Lockergnomaniac Rictor Elionzo discovered a shortcut to the search engines in some versions of IE. With versions 4.x and higher, you can type a "?" and your keyword(s) in the address line of IE, and it'll start searching through your default search engine. If you want to specifically search Yahoo, instead of the "?" use "y" -- "av" for Alta Vista -- "ex" for Excite -- "wc" for WebCrawler -- "ly" Lycos -- "mc" for MetaCrawler -- "hb" For HotBot. Now, I tried this trick in IE5 (Windows 98 SE) and it didn't work, but it may work for other (older) versions.


Useful keyboard shortcuts

29th September 1999

Does everything have to be drag & drop with you? C'mon, let's step outside the box for a brief moment. The most useful keyboard shortcuts in the world are CTRL+X, CTRL+C, and CTRL+V (cut, copy, paste). You can use them virtually anywhere to manipulate textual information as well as objects (files & folders). You don't need to open two Explorer windows to copy/move files from one folder to another, just use your electronic glue stick. Select the files/folders you wish to copy/move, then copy or cut them to the clipboard. Navigate to their destination folder, and then paste. When in the middle of this operation, don't cut/copy anything else until you've confirmed they've been pasted where they should be.


You Say Soda, I Say Pop

30th September 1999

From the "You Say Soda, I Say Pop" department, Lockergnomaniac Alex Dunlop has a burning tip for Hotmail users. When Outlook Express v5.0 was released, it was finally possible to access your Hotmail account through an e-mail program on your system. If you'd much rather use another mail client, no problem; your Hotmail account can be accessed through just about any given mail program. You already know your username and password, but you'll need to set 'pop.hotmail.com' as your POP3 server, and 'relay.hotmail.com' as your SMTP server. No more clunky Web interfaces!


Those characters boogie!

1st October 1999

Have you seen "More Windows 98 Secrets" (ISBN: 0764533606) by Lockergnomies Brian Livingston and Davis Straub? I was coming through it last night and found a nifty, obscure Easter Egg. Open the latest version of Microsoft Chat and cancel the 'connection' dialog box (if it pops up). In the text box at the bottom of the Chat window, type "WhoIsTheGenius" (without the quotes) but don't hit ENTER. Instead, depress CTRL and SHIFT, select 'Favorites' and then 'Open Favorites' from the menu. Then watch those characters boogie!


Dial-up connections dropping

5th October 1999

Dial-up connections are notorious for dropping you after a period of inactivity. To a certain degree, you have control over this. The first thing I'd check is your DUN account settings. Open up your Dial-up Networking folder (in 'My Computer'), then pull up your DUN account's properties. On the 'General' tab, press the 'Configure' button. Then, on the 'Connection' tab, look under the 'Call preferences' section. You should see the 'Disconnect a call if idle for more than' option. Either clear the checkmark, or set your desired time. If this doesn't work for you, consider keeping your e-mail program open and having it automatically check for mail every 10 minutes or so. Another easy option is to use an FTP client which sends 'keep alive' requests; connect to an account and keep the program open. These are just a few ways to avoid dropped connections.


Nifty tiling trick

6th October 1999

From the "I'll Stick By Your Side" department, Lockergnomie Bill Colmer enlightens us with a nifty tiling trick. Two windows are better than one, especially if you'd like a nice cross breeze. When you need to drag & drop objects from one Explorer window to another, it's nice to have both of them side by side. However, you probably don't want to waste your time doing this. So, close all open windows, and fire up two (or more) instances of the Windows Explorer (left-double-click 'My Computer'). Then, right-click on your taskbar and select either 'Tile Windows Horizontally' or 'Tile Windows Vertically' from the menu. Voila! You're ready to rock. When you're finished manipulating those files and folders, you can right-click on your taskbar again and select 'Undo Tile' from the menu.


Imports and exports, eh?

7th October 1999

So what kind of business are you in, Mr. Vandelay? Imports and exports, eh? Sounds interesting. When it comes to importing and exporting data, sometimes the direct route isn't possible. Let's say you need to get one address book format into another; program X will export into format X, but program Y (where you need to import the data) won't read format X. Now, what if program Z will import format X and export format Y? It's a roundabout way to get the data, but it's a method that works. This tip is applicable to just about any type of data: documents, graphics, etc..


Double height taskbar

8th October 1999

From the "Doubled Over with Joy" department, Lockergnomie Gilles Reichert figured out a way to get the taskbar to appear in a certain format. "Some users find it useful to have the Windows taskbar set to a double height (or more). It's particularly useful when there are many icons in both the Quick Launch area and the System Tray. Programs in the taskbar were appearing only in the top line, but I wanted them to be distributed evenly over the two lines. I found that by dragging & dropping the toolbar onto the side of my screen, and then moving it back to the bottom of my screen, the programs in the taskbar started using both lines."


Looking for ways to save time

11th October 1999

Coming from the "Lazy Rodent" department, a Lockergnomie tap dances his way across the Taskbar. We're always looking for ways to save time; why should working with Windows be any different? Here's an electric time shaver: if you want to select multiple programs on the Taskbar (to close them all at once, maximize them, etc.), depress CTRL while you left-click each button. When you've finished, right-click on one of your Taskbar selections and select your action (it'll happen to every chosen program). NOTE: you can reverse an accidental selection by clicking on a selected item.


Effective communications

12th October 1999

It's time for everybody's favorite netiquette professor, John Q. Walrustitty. This week's lesson deals with effective online communications. Just because you send an e-mail message doesn't mean that the receiver knows what you're talking about. Worse yet, you may convey the wrong impression. That's why the supreme uploader created emoticons. Ya know, those sideways smilies? Don't be afraid of using them. If a sentence can be misinterpreted, it will be -- unless you qualify it with some type of emotion. Since most of us can't see your pretty smile (or ugly frown) when we're reading your e-mail messages, you need to remember to be expressive (where applicable). Without such qualification, a lighthearted quip could easily offend someone. Write well, write often.


What to do with his downloads

13th October 1999

Coming from the "What's Your Name -- Who's Your Daddy" department, Lockergnomie Joe Parker knows what to do with his downloads. You may be the type of person to hold onto your downloads, but will you always remember what 'HPSJAF10.ZIP' contains inside? I doubt it. Immediately after downloading something, I suggest renaming it to something a bit more memorable. If it's a program, name the archive appropriately (including a version number). If it's a graphic, what (or who) is it of? No more confusion. Dude -- you've got 'long file name' capabilities in Windows 9x/NT, so you may as well make the most of that environment.


What's your favorite color?

14th October 1999

What's your favorite color? Okay, how many 'Favorites' do you have? Anything more than two hundred is a lot. Even with FAT32, they're eating up a ton of disk space. What can you do about it? Use IE5's built-in export wizard to turn compile them into a single HTML document. Choose 'File,' 'Import And Export,' then click the 'Next' button. Select 'Export Favorites' from the list of options, and choose the root 'Favorites' folder. In the following dialog, Export your Favorites 'to a File or Address.' I suggest Browsing to your 'My Documents' folder and storing the output in an HTML file there. When that's finished, you can open the exported file up in IE5 and drag & drop its Address bar icon onto the 'Home' icon in the IE button bar (to set the document as your browser's home page).


Single-click keyboard shortcuts

15th October 1999

Coming from the "Aren't You A Little Short For A Shortcut" department, a Lockergnomie has her finger on a hot key or two. "If you don't use the number keys on the numeric keypad, you can use them as single-click keyboard shortcuts for launching your 10 favorite apps. Start by turning on the NumLock key. Then, right-click on an existing program shortcut and choose its Properties. In the Shortcut tab, select the 'Shortcut key' field, press the number key (on your number pad) that you want to associate with the program, then click 'OK.' Repeat the steps for each app's respective shortcut. Now, you'll need to keep these shortcuts on your Desktop, or in your Windows folder. With NumLock on, you'll be one key away from your favorite program.


Minimize, maximize... gosh

18th October 1999

Minimize, maximize, minimize, maximize... gosh, I'm really burning up the calories, here. If I don't stop soon, I might break a sweat. Have you ever needed to drag and drop a file (or folder) into a program, only to find that once you've grabbed the object(s), its window is minimized? That's okay -- don't drop anything yet. While still holding onto the object(s), hover your cursor over a window's designation in your Taskbar and keep it there for a few seconds. Whether minimized or maximized, that window should spring to the top of all other windows on your screen. It's like magic, only with no white rabbits.


Regular Web workout?

19th October 1999

We have to deal with Web pages on a daily basis. That just comes with being online. So, does your printer get a regular Web workout? You can configure the header and footer on those printouts in IE -- to waste less (or more) ink. Above all, you can configure them to your liking. Select 'File,' then 'Page Setup' from your IE menu. Right-click on the 'Headers and Footers' title, select 'What's This?' and you'll see an extensive list of mail merge commands which you may use at your discretion. NOTE: printed page layouts in Netscape are somewhat tweakable, too (although not quite to the same degree).


Digital disaster

20th October 1999

I don't know how many times I've been frustrated with friends and family members who aren't sure what's going on with their computer. They misclicked an icon or inadvertently changed a setting somewhere. What now? Especially if I'm not there with them? We spend hours on the phone trying to troubleshoot our way through the problem. Well, if their Internet connection still works, I make sure I've set them up with the latest version of Netmeeting. Before any problems start, I show them how to use it correctly -- so in the likely event of a digital disaster, I can look at and manipulate their Desktop remotely. Strengthen those personal tech support calls, man.


Detach a toolbar

21st October 1999

Coming from the "Look What the Mouse Dragged In" department, Lockergnomie Deann Smith shows us how to sprinkle more stuff on our Desktops. You can easily detach a toolbar (including the 'Quick Launch' bar) from your Taskbar and make it a floating object. Consider doing this if your Taskbar is constantly crammed full of programs. To show you how it's done, grab the handle on the left side of the Quick Launch bar and drag it to the middle of your Desktop (then let go). BIMP! A nice, configurable window filled with some shortcuts. Remember, to create a new toolbar, right-click on your Taskbar, select 'Toolbars,' then 'New Toolbar.' No need to show an ID for these bars.


Explore your options?

22nd October 1999

Have you ever wanted to "Explore" your options? Explorer ain't the only game in town. Many of you already know about LiteStep, but there's something a little closer to home sitting on your hard drive. Remember Windows 3.1's Program Manager? You still have it! You can run PROGMAN.EXE at any time -- even replace the Explorer shell with that old dog. Before going any further, be sure you know what you're doing. If you don't, then stop right now. Novices need not apply. Open your SYSTEM.INI file, then change "shell=Explorer.exe" to "shell=Progman.exe" (or any other possible 'shell' program). Experiment, but be sure you know how to reverse your actions.


Smarter way to search

25th October 1999

Coming from the "Where Did I Put That" department, Lori Shotts reminds us of a smarter way to search. Not all Web pages can be seen on one screen; we often have to scroll through paragraphs of text before finding what we were looking for in the first place. Sometimes we can take our time to sift through the data, but when we're really busy, we need to find the info and fly. When you're faced with a screenful of text in your browser, hit CTRL+F -- you'll be able to look for a keyword (or phrase) on that particular page. This technique really works well when you're sifting through a search engine's results. Of course, it also applies to most text-based documents as well.


Gaudy graphics

26th October 1999

Information doesn't always need to be flashy. If you can get your point across without having to present something outrageous, then please do. There's a time and a place for animated GIFs. Unfortunately, 99% of the Web page creators out there think that gaudy graphics are a godsend, and that they should be used at every opportunity. UGH! If your eyeballs hurt, you can turn off GIF animations in IE by selecting 'Tools,' then 'Internet Options.' Click the Advanced tab, and in the Multimedia section, deselect 'Play animations.' No more sudden movements. Unfortunately, I couldn't find a way to do this in Netscape. I guess you're stuck with those dancing hamsters?


Speed up your DUN

27th October 1999

Coming from the "Taking Out All The Stops" department, Lockergnomie David Lochridge knows how to speed up your DUN connection time. You have to enter your username and password every time you log into your ISP. However, what protocols are you using to communicate with it? Chances are, you're using a few too many. Open your DUN folder and select the 'Properties' of your Internet account. Flip to the 'Server Types' tab and make sure that 'TCP/IP' is the only network protocol selected. Before trying this tweak, check with your ISP to make sure TCP/IP is the only protocol you need for a connection. If you cleared the NetBEUI and IPX/SPX protocols, you should see your dial-up connection time decrease.


Nice to have a cable modem

28th October 1999

All right, all right. I admit, it'd be kinda nice to have a cable modem coming into this house. I guess I'm holding out for a DSL solution to creep into my neighborhood. Besides, I'm really not thrilled about giving even more money to my cable company -- which, in my opinion, doesn't treat their customers well. For those of you already surfing at coaxial speed, BE SURE you have your 'file and print sharing' options turned OFF! Anytime you're on a Network (other than at work), you don't want anybody seeing what's on your system. Open the Network applet in your Control Panel, press the 'File and Print Sharing' button, and be sure the boxes are cleared of checkmarks. Spread the word!


Unlock a Windows utility

29th October 1999

Coming from the "Switched At Birth" department, Lockergnomie Jack Sanderson gives us the key to unlock a Windows utility. What kind of hardware do you have in that machine of yours? Do you even know? Are your peripherals always on their best behavior? Don't lie to me. It's time to take inventory. Select the 'Run' option in your Start Menu, and type: "HWINFO /UI" (without the quotes). Be sure you have that little '/UI' switch in there or this won't work. In a few seconds you should see a color-coded window listing drivers (etc.) and their location within the Windows Registry. It's another troubleshooting tool for ya. NOTE: this utility may not come with all versions of Windows.


Electronically created photos

1st November 1999

Electronically created photos may not always look phenomenal in print, but (one thing's for sure) digital cameras are a lot more fun to use than their film-loading counterparts. Results are instantaneous, and although the hardware is more expensive, you'll save on film and development costs in the long run. Before charging that battery, what's the first thing you should do? Protect your lens, man. If possible, see if you can get a "protecting" lens for your cam. Which would you rather have scratched up? An easily replaceable part, or the real deal? Lens caps work, but if you can get ahold of a 'screw in' (clear) lens, you'll be a lot safer. Consider it protecting your (possibly expensive) investment.


E-mail mystery

2nd November 1999

Coming from the "Where'd You Come From" department, Lockergnomaniac Bill Hudacek explains an e-mail mystery. I noticed that with Lockergnome issues, every once in a while, a greater than symbol would appear at the beginning of a paragraph. I never knew why -- until now. "Internet mail standards dictate that the word "From" (at the start of a line) is one of the keywords that is used in a mail header. Now, even though the header officially ends after the first blank line, many mail transfer agents take the cautious approach of "escaping" the word "From" whenever it appears as the first word on a fresh line." Wow -- now you know what to do to keep that silly symbol at bay.


Grab a sledgehammer

3rd November 1999

For every job, there's the right tool. When you need to install a new video card, you grab your trusty screwdriver. When a floppy gets stuck in the drive, you use tweezers to get it out. When Windows refuses to boot, you grab a sledgehammer. Yeah? When you need a quick way to access data, you can create a new tool... rather, toolbar. Right-click on your Taskbar and select 'Toolbars' and 'New Toolbar.' The dialog will ask you to choose a folder or type an Internet address. Enter your favorite URL and it could create a toolbar containing that page. I say 'could' because I've seen it done before, but I couldn't get it to work on Mr. Bigglesworth tonight. If this doesn't work for ya, the next best thing is the 'Address' toolbar (which will allow you to enter URLs on-the-fly).


Making your windows larger

4th November 1999

Coming from the "She's Actual Size" department, Lockergnomie Jan Horn is making your windows larger (and smaller). Some fool decided that a new IE5 browser window, when launched from an existing session, should take on new dimensions. This is a major annoyance; I found myself spending more time resizing windows than surfing at one point. In a recent issue, I noted a Registry hack download -- but here's an easier way for all of us to get the browser size of our dreams. In the address line of your browser, type: "javascript:resizeTo(800,600);" (without the quotes, still retaining case sensitivity and punctuation). Change those numbers to any two you'd like -- and never be bothered by the size monster again.


E-commerce

5th November 1999

1999 was truly the first year for e-commerce. Everybody seems to be purchasing items and services via the Web. C'mon... haven't you been tempted by the insanely low prices you've seen online? Don't leap before you look! Been bitten by the buying bug? Do a little research before pulling out that plastic. First of all, make sure you're dealing with a legit operation -- get references from Internet pals. But most of all, spend a few HOURS doing some comparison shopping. Even if one site has a product listed for low dough, another site may have an even lower price for the same item. Watch those shipping & handling charges, too. It may be cheaper to purchase something locally after all.


Created your first Web page

8th November 1999

It's about time you created your first Web page; what took you so long? Those who started a couple of years ago were playing in open waters. But now the pool is full, and there's no lifeguard. The first question new page owners usually ask: how do I get it submitted to all those search engines? Slow down, Sparky. Don't spend too much money or time on submission sites and programs. You don't want random visitors -- you want targeted eyeballs. Instead of worrying about your Web rankings, you should be establishing links to sites with related content. Recognition is easier to establish this way (and that's the name of the game).


Something a little bigger?

9th November 1999

Who wouldn't like to trade in their current monitor for something a little bigger? Okay, wipe the drool from your chin, people... size doesn't matter. At least, as far as this tip's concerned. What kind of light do you have in the room? I'm serious! Is it yellow or white? If it isn't pure white, I'd consider changing the bulb (or getting a different lamp) if I were you. The colors on screen may be "pure," but if you've got tinted light reflecting off the monitor, reproduction won't be perfect. This is really important if you're doing any kind of color printing! You may also "see" better if the lights are placed behind you (not in front or above). Try it!


Optimize those suckers

10th November 1999

What on Earth possesses Web designers to use large graphics? Why don't they optimize those suckers before uploading them? Unfortunately, for the time being, we'll have to deal with them. If your connection is crawling, you may not have to wait for a graphic to load before moving on. As you hover your cursor over a graphic (like an imagemap), it may display the link in your status bar. The image may not be fully loaded, but the link is still the same! If you know where ya wanna go, and the URL is relatively descriptive, then don't wait to click. Alternatively, the page may contain text navigation (seek and ye may find). Ah, the "advantages" of a slow connection.


Fast Internet connection

11th November 1999

Not all of us have access to a fast Internet connection (at home or at work). We may be geographically or financially challenged (and that's okay). Those of us using 56k or ISDN modems may not be getting as much bits as we possibly could. It's time to max out the BPS! The easiest way to do this is by editing the WIN.INI file; under the [Ports] section, you'll see COM entries 1-4. Write those settings down -- in case you need to get them back. Change each value to: "921600,n,8,1,p" (without the quotes). This'll hopefully pump up the bandwidth for ya. When you reboot, you should have new (higher) number choices. Open the Control Panel's Modem applet, press the 'Properties' button, then under the 'Maximum speed' section, bump it up as high as it will go.


It's a USB device

12th November 1999

Owning a scanner has been a semi-rewarding experience. Since it's a USB device, it works fast, although Windows doesn't always recognize it as it should. All hardware problems aside, let's talk about your scanning routine for a moment. Are the colors coming through like they should? No matter what kind of flatbed scanner you're using, you should also have a piece of non-reflective black paper in hand (construction paper should suffice). You'll want to put it behind the object you're scanning. This way, the excess light will be absorbed; the digital duplicate's colors will be closer to the original source's. It's a relatively cheap "upgrade" that yields fantastic results.


Found anywhere on the Web?

15th November 1999

By now, you've visited at least one Web page. Here's the big question: can you be found anywhere on the Web? And if so, where? If I did a search for my name on any given search engine, it would spit back all the pages containing the word 'Chris' and the word 'Pirillo' -- effective, but not precise. How many pages have the word 'Chris' on them? When you're looking for any given phrase, wrap it in quotation marks. This tactic should work in most instances. While we're on the subject, don't stick to one site for all of your searches. Each one is a different beast. Grrrrr!


How many bookmarks

16th November 1999

Use your mind for a nanosecond (sure, I'll wait for your brain to boot up). Look at how many bookmarks and/or favorites you have. It's probably some insane number, but anything over 200 could be considered normal. Now, how many of those do you visit on a regular basis? Five... on a good day. Okay, now what's the very first thing you do when you get online? I'd be willing to bet that you check your e-mail. Am I reading your mind? No -- I'm just asking you to call upon your habits so that you can maximize your Internet experience. When you find a site that you'd like to see again in the future, I'd suggest signing up for their newsletter (if one is available). BE SURE you know exactly what you're signing up for, though. Don't give your address to any questionable lists.


Passwords applet

17th November 1999

Both Sprocket and Gretchen have learned that touching my computer is a sin punishable by death. Since my puppy hasn't mastered the art of typing, and my wife is usually working or acting (or acting like she's working)... I have no login prompt when Windows boots up. When that username and password dialog box isn't necessary, you can "remove" it. Open the Passwords applet in your Control Panel, select the 'Change Passwords' tab, then press the 'Change Windows Password' button. In the 'Old Password' field, enter your password. Select the 'New Password' field and press ENTER (with no new password typed in). You'll see the confirmation dialog box pop up. The next time you restart Windows, the login prompt will not be there. Boo hoo!


Web server's operating system

18th November 1999

Didn't your mother always tell you that looks aren't everything? It's true -- especially when it comes to Web sites. When you're looking at a "dotcom," you probably don't care what kind of server it's running on (as long as it's running). If you're curious, George, then perhaps you need to use the form at NETCRAFT.COM. Enter a URL and it'll come back with the Web server's operating system. For giggles and grins, take a look at what kind of server Hotmail.com uses. Now, should you want to know if a server supports SSL, you can use another NETCRAFT.COM form. And yes, all of this research is free.


Save non-linked images

19th November 1999

An hour doesn't pass without me being involved in a rigorous workout. That is, assuming you consider 'typing' an essential part of an exercise program. So I'm not that active -- and neither is my Desktop (since I have it disabled via TweakUI). To immediately save non-linked images from Web pages, instead of right-clicking and saving them, you can drag & drop them onto the Desktop. Although, if Windows prompts you to add it the GIF or JPG to your Active Desktop, just say no. Instead, drag & drop it directly into a folder -- it's quicker, and the same results are achieved. Create a shortcut to your favorite images folder and place it on your Desktop -- picture perfect.


Drag & drop

22nd November 1999

Did you ever try to drag & drop stuff in DOS? It was impossible. Then again, we didn't really use the mouse back then. To move an icon across the Desktop, we click on it to select it, drag it, then drop it elsewhere. That's pretty much what you're supposed to do in Windows. So, how else can you take the 'drag' out of redundant steps? You can drag & drop shortcuts into the open 'Run' dialog to view their path and file extension, or drag & drop files into folders. My favorite: select some text in your browser, then drag & drop it into a new e-mail message (or document). No need to use the clipboard -- the text should automatically be copied!


Nudge command

23rd November 1999

The mouse is an awesome tool for moving your pointer from one side of the screen to the other, but when it comes to manipulating layout in a Microsoft Word document, it fails miserably without a snap-to grid. That's where the nudge command comes into play; put things exactly where you'd like them to be. First, select the object; from the Drawing toolbar, choose Draw, then Nudge. Now you can move that sucker in any desired direction. Don't continue to overcompensate with your mouse; I just wish that more object-oriented programs had this kind of option.


What the heck is this?

24th November 1999

HTML mail is colorful and dynamic, but it doesn't always work. Recipients of text e-mail messages rarely run into problems. Every once in a while, you may receive a message with a few extra codes (like the dreaded =20 thing). However, Outlook Express (and Outlook) users will sometimes receive messages with nothing in them but: "ÿþ-" what the heck is this? I don't know. But the easiest way to get around it is to have the sender resend the message in text format (not HTML). If you experience similar problems, it may be tied into HTML. Break the cycle! Reply in text format (or change formats on a message-by-message basis).


Can you see what isn't there?

25th November 1999

Can you see what isn't there? Well, when it comes to IE5: yes. By default, however, it isn't easy to do. Unless you're on a mega-fast connection, it'll take a while for graphically-intense Web pages to fully load. But, should you have to stare at a blank page while they're downloading? In the Control Panel, open the 'Internet Options' applet. Select the 'Advanced' tab and find the 'Mutlimedia' section. Is there a checkmark in the 'Show Image Download Placeholders' box? Put one there; now, before images completely load, you'll be able to see their sizes instantaneously.


Extended character creation

26th November 1999

A few Lockergnomies pointed out that 'extended' character creation functionality is already built-in to Windows, although you'll have to turn it on before you can use it. Open up the 'Keyboard' applet in your Control Panel, select the 'Language' tab, then pull up the Properties for the 'English (United States)' layout. Now, in the drop-down menu, change it from 'United States 101' to 'United States - International.' Now, instead of having to remember the code to make an accented lowercase E, you can type an apostrophe first and then the letter; Windows will transmogrify it for you. ~n will become an 'n' with a tilde over it; "u will become a 'u' with an umlaut mark over it. Special key sequences include: ALT+/ (upside-down question mark), ALT+1 (upside-down exclamation mark), and ALT+c (copyright symbol).


What's in a font?

29th November 1999

What's in a font? A lot of characters, mostly. You can increase and decrease a face's size depending on where you're using it: in a word processing document, graphic, or on a Web page. Just keep this in mind: keep it legible! Just because it looks fancy and ultra-cool, doesn't mean you should use it in every situation. What may look pretty in a headline or as a stand alone capital letter, will probably not look phenomenal throughout the whole document. To piggyback this, if 14pt is too small and 15pt is too large, try 14.5pt (some WYSIWYG editing environments will NOT allow you to use decimal points for font sizes).


Connection is a two way street

30th November 1999

How wide is your favorite musical group? Okay, we're not talking about that kind of bandwidth with this tip. Any type of Internet connection is a two way street. However, traffic may not move as fast in each direction. For instance, you may be connected at "50k," but that's just the connection's 'download' speed; you're uploading at a slower baud. Wanna make this discrepancy even greater? Sure, let's bump up your modem's receiving capabilities. Open up the 'Modems' icon sitting in your Control Panel; select your modem, then press the 'Properties' button. On the 'Connection' tab, press the 'Port Settings' button. Now, try maxing out the 'Receive Buffer' first. Hopefully, you'll notice a (small) downloading speed increase.


Playing with pictures

1st December 1999

My, that's a lovely dot you're wearing today; it goes well with your monitor. When playing with pictures in the print world, you may hear something called 'DPI' (Dots Per Inch). The higher a graphic's DPI, the better its printed output will be. However, the Internet is a different story. Since we can't jack our brain directly into a video card, we use monitors to view stuff on the Web. The highest DPI you'll get from this 'monitored' environment is seventy-two. So, if you're making images for use on the Internet, you won't need to scan or save them much higher than 72 DPI. Plus, you'll save on overall file size by tweaking that number.


System sound events

2nd December 1999

System sound events are not meant to annoy, although sometimes they do. Instead of choosing a minute-long WAV file for 'Minimizing' a window, try something short and sweet; you're less likely to become annoyed. Or, minimize your annoyance by cutting down on the sound stuff. Open up the Control Panel, click on the Sound icon, and configure to your heart's content. Here's a note for IE 5.01 users: when a file is finished downloading, you'll hear a sound. The 'download complete' sound is now the 'Asterisk.' Again, if you enjoy grabbing files regularly, I'd use a short and relatively 'calm' WAV file.


Cursor blinks

3rd December 1999

They say that blinking is a sign of nervousness or lying, but I wonder if the researchers were blinking when they discovered that? You can speed up or slow down the rate at which your cursor blinks. Launch the Registry Editor (REGEDIT), and navigate to HKEY_CURRENT_USER > Control Panel > Desktop, then in the right-most panel, you should see a String Value named 'CursorBlinkRate' (if one doesn't exist, you can create one). Now, you can change the value to any number between 0 and 65535. The smaller the number, the faster your cursor will blink (and vice versa). You can also tweak the rate via the Keyboard applet in the Control Panel, but the range is severely limited.


It's not easy being blue

6th December 1999

It's not easy being blue; when you'd rather be playing in the snow, you're stuck inside -- with nothing constructive to do. For years now, the Blue Screen of Death (BSOD) has been haunting our PCs. Would you rather see the Magenta Screen of Death? What about Cyan? That's doable. Open up SYSTEM.INI and fly to the [386enh] section. Add two new values: 'MessageBackColor=' and 'MessageTextColor=' (without the quotes, but with the equal symbol). You'll need to use ONE hexadecimal "number" for each color; they are as follows: 0 (black), 1 (blue), 2 (green), 3 (cyan), 4 (red), 5 (magenta), 6 (yellow), 7 (white), 8 (gray), 9 (bright blue), A (bright green), B (bright cyan), C (bright red), D (bright magenta), E (bright yellow), F (bright white). I hope you never see another screen of death again.


Quick file and folder access

7th December 1999

Shortcuts were designed for quick file and folder access. I've seen some novice Desktops littered with dozens of shortcuts pointing to the same program; redundant, but common. If you've got a 'bad' shortcut, Windows may automatically try to fix the broken association for you. But, the shortcut doesn't need to be orphaned for you to access it's target. Right-click on a shortcut, pull up its properties, flip to the 'Shortcut' tab, and press the 'Find Target' button. Presto! You're instantaneously transported to a different part of your computer; this method may be quicker than using the Windows Explorer for folder navigation.


Swap something?

8th December 1999

Your closet is filled with games you'll never play again and utilities about which you've all but forgotten. Is there a remote possibility that someone else in your area would want them? Sure, you could sell them at a garage sale or even auction them in an online forum. But why not see if a friend or tech acquaintance would like to swap something? S/he may have something you need, and vice versa. And, you know, the Holiday season is here; no doubt there's a local organization that accepts used software donations. Your unused stuff is collecting dust when it could be generating smiles. Promise me you'll think about it?


Silly coders

9th December 1999

Coming from the "Can You See What I See" department, Lockergnomie Ed Davis has mastered the rainbow. What a wonderful electromagnetic spectrum we have; visible colors are much more aesthetic than the invisible ones. However, just because one color can be placed on top of another doesn't mean it should be. The Web is overflowing with pages sporting dark text on dark backgrounds (and light text on light backgrounds). Silly coders; when will they ever see the error of their ways? Until then, to sidestep this blatant misappropriation, use the 'CTRL+A' keyboard shortcut. It'll highlight the text and make it more legible.


Thousands of text-based files

10th December 1999

Sometimes it's not wise to keep a thousand separate text-based files on your hard drive, when you could consolidate them into one. How many 'Internet Shortcuts' do you have lying around? Sure, each one may be under 200 bytes, but they're each taking up much more space (4,096, 8,192, etc.). If you're in a cleaning mood, move all your small text files to a new folder (like 'URL' files, for example). Now, drop to a command prompt within Windows (run COMMAND.COM) and navigate to that newly created folder. Type: "COPY *.* WEBSITES.TXT" (without the quotes). Of course, you can use specific extensions (*.TXT, *.DIZ, *.URL, etc.) and a different output file name. In the end, you'll have one large text file instead of several small ones.


Digitized music

13th December 1999

Coming from the "Do You Hear What I Hear" department, a Lockergnomaniac presents a sour note solution. Digitized music is usually found in the MP3 format; most MP3s are around 5.0 megabytes in size. To someone with bandwidth to spare, this is no big deal. For dial-up users, however, anything over two megabytes is an eternity. The great thing about MP3s is that you can listen to them WHILE they're downloading! If it wasn't the song you wanted to hear, you can abort the transfer without wasting any more time. Open the 'Find' applet (tap F3) and search your hard drive for all MP3 files. If you're downloading BUM_BUM_SONG.MP3, its icon should pop up. Double-click it and listen to what's been transferred. If you were hoping to hear Tom Jones (instead of Tom Green), you can abort the transfer immediately.


Quit peeking over my shoulder

14th December 1999

Quit peeking over my shoulder. That may be acceptable behavior in Spanish class, but not when it comes to technology. Why? Because my needs are not always your needs; my wants are not always your wants. Just because your friend or neighbor has something shiny and new, doesn't mean you have to rush out and get the same thing (or something better than what you already have, especially if it still works for you). It's great to get advice, but be careful when you ask someone about 'the best' package. That's a relatively relative question. Find hardware and software with features that YOU are going to use. More 'bells and whistles' doesn't always make for more satisfaction.


E-mail client

15th December 1999

At work, you're pretty much stuck with the e-mail client they give you. At home, on the other hand, the client choice is (more often than not) completely up to you. Be sure to grab one which does spell checking! Typos pop up all the time, even from experienced typists. But even the best spellers make mistakes now and again. If you're in an application which doesn't have a spell checking feature, and your e-mail client is open at the same time, start a new message, enter the word in question into the message, and then run a spell check on that word. Instead of firing up a full-fledged word processing application, you can use something which you probably have open already anyway. Yuo've got mail!


Netscape v Internet Explorer

16th December 1999

Netscape is a lot more command line user friendly than Internet Explorer. What's that all about? It's about getting below-the-surface information quickly from the browser. See what you get when you enter these on the 'Location' line: about: (browser info), about:cache (disk cache), about:document (current page info), about:global (global history entries), about:image-cache = (memory cached images), about:license (license agreement), about:logo (Netscape logo), about:memory-cache (memory cache), about:mozilla (killer quote), about:plugins (installed plug-ins), about:XYZ (Substitute 'XYZ' with real URL). You can try these in IE, but the results won't be the same.


Sticks To Your Digital Ribs

17th December 1999

Coming from the "Sticks To Your Digital Ribs" department, a Lockergnomie has a tip you should note with a note. You've probably got a dozen yellow stickies all over your desk right now. Don't be ashamed; I couldn't live without 'em either. But there may be a way to keep your tasks more environmentally friendly. Right-click somewhere on your non-Active Desktop, select New, then any given file type (Text Document, Wave Sound, Bitmap Image, etc.). This will be a dummy file -- just select it, tap F2 to rename it, and then enter in a task to be done. Simple! It sits there until you (hopefully complete the task and) delete it.


Who's In Control

20th December 1999

Coming from the "Who's In Control" department, Lockergnomie Mark Roberto intends to finish what his computer wants to start. To make our lives easier, Windows has something called a 'StartUp' group. This is kinda like a GUI version of the AUTOEXEC.BAT; everything within this folder is automatically launched every time Windows boots up. There are times when you don't want those programs to run at all during the boot process. Next time you feel like suppressing those shortcuts, hold down the CTRL key when you first see the cursor appear on your screen (during Windows booting); items in your Startup folder will be ignored. You can always launch them later (individually) during that Windows session. Windows 98 users may also appreciate the 'Startup' tab in MSCONFIG.EXE.


How much cache

21st December 1999

How much cache do you have on ya? That's the stuff that gets stored (temporarily and permanently) in your system when you're browsing the Web. Depending on how much disk space you have to spare, you may wish to increase (or decrease) your browser's disk cache. From the IE menu, select Tools, Internet Options, flip to the General tab, and press the Settings button. From there, you should be able to move the slider (or change the number) to a desired amount. I prefer to have a smaller cache (because I don't visit the same sites on a regular basis). From the Netscape Navigator menu, select Edit, Preferences, open the Advanced tree, then press the Cache limb. You'll have to set the number in terms of kilobytes (somewhere around 8192 should be sufficient for most users).


Forwarded e-mails

22nd December 1999

Forwarded e-mails can get convoluted with extraneous headers and greater than symbols. This usually isn't a problem (if you don't plan on keeping the messy message). Should you wish to keep the relevant parts of said message somewhere in your e-mail client, this is what you'll need to do: hit the forward button, enter your own e-mail address as the recipient, strip out all the unnecessary junk (and/or attachments) from the original message, and click send. In a few moments, you should have a more perfectly formatted message in your Inbox (which may then be moved to another folder or archived). Getting rid of the junk will make it easier to read (beyond wasting visual and physical space).


Graphics community

23th December 1999

Lately, I've seen a trend developing online with the graphics community. When you create an original image, you don't want anybody else to use it without permission (if at all). But once you put it up on a Web page, it can be taken without asking. To curb this behavior, some users have relied on code which disables right-click functionality on that particular page. But there's still a way to get at those graphics. Think about it for a second -- in IE5, you can easily save an entire Web page (graphics and text). Or, just flip through your cache. I'm not suggesting that you go around yanking graphics against an artist's will, but should you ever need to get around this right-click stumbling block (for whatever reason), remember this tip.


Force old apps to behave

24th December 1999

Coming from the "Can't We All Just Get Along" department, Lockergnomie Jack Sanderson found a way to force old applications to behave. Did you have the pleasure of dealing with Windows 3.x? Consider yourself lucky if you answered 'no.' While that outdated OS is still floating around, most of us have moved on to the 9x series. However, we may still be using some older 16-bit programs -- which may not get along with 32-bit Windows. The good news is: you may be able to make those errant apps behave themselves. click the Start button, select the Run command, then type: "MKCOMPAT" (without the quotes). You'll now be able to select the problematic 16-bit program and tweak its settings to better work in a 32-bit environment. Turn on the 'Advanced Options' for extended tweaking.


Life-saving utility

27th December 1999

Coming from the "Older Than Dirt" department, Lockergnomie Troy Wahlmeier inadvertently stumbled upon a potentially life-saving utility for Windows 98 users. I'm going out on a limb by assuming that everyone has at least one or two third-party programs installed on their system. Sadly, sometimes newer versions of important system files get replaced by older ones. Before dialing 911, click the Start button, select the Run command, then type: "VCMUI" (without the quotes). The Version Conflict Manager will launch and display a list of possibly troublesome files (which you may then fix with the click of a button).


Manipulating objects

28th December 1999

As usual, I was manipulating objects on my Desktop the other day (believe me, I'm trying to quit). Curiosity got the best of me and I wondered what would happen if I dragged an object over the System Tray and held it there for a few seconds (without dropping it). Yeah, my cursor immediately changed into that little circle with the diagonal bar, but suddenly all of my windows were minimized! There are other ways to achieve the same result, but I'll leave those for a future tip. This particular maneuver will be handy when you're in the middle of an "important" drag & drop operation and need immediate access to the Desktop (for whatever reason).


Something for your PC?

29th December 1999

Our world changes in the blink of an eye -- technology trends change even quicker. There were many gifts exchanged this Holiday season; did someone give you something for your PC? What should you have done before opening and installing it? Whenever I get an "off-the-shelf" product (hardware or software), I check its official Web site. Chances are, it will have driver updates, firmware patches, and/or bug fixes for that particular product. Doing your homework may just prevent a few headaches. Check back regularly to see if any new updates have been uploaded, but be careful: just because a newer version is released, doesn't mean it will install flawlessly (or work as well as the current one).


New hardware and software

30th December 1999

There's nothing wrong with installing new hardware and software, but be careful not to make too many changes to your system at the same time. Even if you go out and purchase three peripherals, I wouldn't suggest installing all of them at once. Same goes for the entire range of software titles. Contentions are bound to arise when you start fussing with a smoothly-running machine; you're bound to exacerbate existing problems by adding more 'seasoning' to the stew. By doing "everything" at the same time, you won't know which program or component is to blame for the error(s). What to do? Take it one step at a time; try ONE product for a while and see if any major (negative) changes pop up. Then, if all is well, install something else.


Handful of files and folders

31st December 1999

Coming from the "Bouncing Checks" department, Lockergnomie Chris Tingom brings to light a time saver worth reading. Say you've got a handful of files and folders which have certain attributes (Read-only, Archive, Hidden, System). Some of them happen to be hidden, but you'd rather remove their virtual cloak. Select those objects with your mouse, right-click on one of them, and pull up its properties. From there, you can select or deselect any given attribute. It's also interesting to note that the 'Size' value reflects the overall space taken up by all the files (and/or folders) you've selected.


1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


January 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th January

15th January 1998

Having problems downloading something featured in this eZine? Well, try to download it at another time or visit its homepage if the link is bad. Sometimes a new version will come out without me knowing... that's why I put the homepage link underneath the download link.

Are you getting headaches when you sit at the computer for a prolonged period of time? It might be your monitor, or it could be because you're not taking enough breaks. Get up and walk around for a few minutes--your body (and eyes) will thank you for it.

Ever forget your Windows password (it could happen)? Just go to your Windows directory and delete the PWL file with your name (CHRIS.PWL for example). Restart windows (or log in as a new user) and use the name you had been using and it will ask you for a new password.

Animated cursors are fun, but they also slow down Windows (slightly, but noticeably on slower machines). If you can help it at all, try to use generic cursors. That is, unless you have the latest hardware and love bells and whistles. :)

The StartUp group can be a nifty thing, but if you're booting into Windows and you don't want proggies in that group to load up, hold onto the SHIFT key until the process is finished (and you're inside Windows). Of course, if you want to go back and launch those proggies, just open up the StartUp folder and double click on the icons you want to run.

In Internet Explorer or Netscape (possibly Opera), if you want to make a quick shortcut to a link or file, try this: on the web page, click on the link and HOLD... then drag and drop it onto your Desktop. It'll sit there until you need to use it.

Fine Tuning your System Registry (FOR PROS ONLY):
http://www.cobsys.com/mt/tips/tune-38.shtml


31st January

31st January 1998

Okay, so a lot of you have never had (or even heard of) a chocolate Coke. I'm sorry that I can't ship them to you. ;) It really isn't that difficult to make, gang. Get yourself some Hershey's Chocolate Syrup and some Coke, pour the Coke into a glass, put in some Hershey's, stir the concoction, throw in a couple of ice cubes... and voila! Well, hopefully voila. Your best bet is to go to a professional soda jerker... but if you can't, this small recipe will have to do.

Some Outlook Express users were furious when they discovered that Mail and News weren't separate applications. Until now, you might not have been able to avoid that. I was tipped off that you can add (without quotes) "/mailonly" or "/newsonly" to the end of the Target line in the Outlook Express shortcut. Just get the shortcut's properties (right click, select properties) and select the Shortcut tab an look at the Target line. If you end up with problems, you can always remove those extra settings in the shortcut.

I don't know how many times I've received a message this week about the "Join The Crew" virus. Let me say this again: IT'S A HOAX. Please, if one of your friends sends you a message "warning" you about this sucker, do us a favor and don't pass it on? You can act the part of an informed Internet user and tell the silly sender that s/he has been duped. :) And while we're at it, the same thing applies for "Good Times." They're not real, gang.

Lockergnome subscriber Robert William Gaudette submitted this tip: "There are times when I don't want the screen saver to start...running the Compression Agent, de-fragmenting a drive, etc. I've discovered (by accident) that after the program is running, if you click on the Start button and open the Start Menu, the screen saver won't start." Awesome!

In Internet Explorer 4.0, type in the root word of a site you want to visit on the Address line (for instance, Microsoft). Then, instead of hitting Enter, hit Ctrl+Enter and IE4 will automatically fill in the http://www. and .com/ for you. That should save some typing time!


February 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th February

15th February 1998

(*) Intelligent Lockergnome Subscriber Mike Reed has a great tip for those who are afraid to post their e-mail address online for fear of spam robots (spambots?) which harvest e-mail addresses. He says by using this as a link for your e-mail address, it will confuse today's robots, but not today's mail programs: mailto:%20email@server.com Very clever trick!

(*) Faithful Lockergnome Subscriber Mike Glen has a cool tip for Outlook Express users: Make sure you have the Folder List showing (select from View | Layout | Basic). Now, when you are reading the current Lockergnome epistle and want to save a portion for later Internet activation, click and drag to highlight what you want, then drag that selection onto the Draft folder icon in the folder list. OE will open up an e-mail message, but if you close the message and click YES to save it, the message will be there for future use.

(*) Satisfied Lockergnome Subscriber Randy Hamilton warns against using Microsoft RegClean v4.1 with any Visual Studio Application. You might find that the Database Designer and/or LinkView tools will no longer work. If you're having problems, simply reinstall the Visual Studio applications and your system should be back to normal.

(*) Trying to get ahold of me in IRC? My handle is ^gnome^ and if you want to catch me online, I'll be on an EFnet server in #lockergnome off and on. This will be your chance to meet other Lockergnomers online. Until we get Lockergnome newsgroups, this'll have to suffice. :) Once again, just connect to an EFnet server (like irc.primenet.com or irc.mindspring.com) and enter #lockergnome when you get on! Hopefully, I'll see you there.

(*) Using IE4 bookmarks can be fun. Well, not as fun as a roller coaster ride at night, but almost as exciting. You can access all sorts of information for individual bookmarks in IE4 by simply highlighting them in the Favorites menu and then right clicking on them. This is extremely handy if you want to copy, rename, or delete different sites from the menu.

(*) Here's another typing shortcut for you slow typers. If the site address you're looking for starts with a "www" and ends in a "com" then you're in luck. In either Netscape Navigator 4.x or IE 4.x, just type in the root word (for example, lockergnome). Yep, just type that word, hit Enter, and wait a few seconds for "www.lockergnome.com" to automatically load.

(*) If you already have OSR2 (Windows 95B) installed, you probably don't have DMA (Direct Memory Access) turned on. Having DMA enabled allows your computer to access that device without having to go through the processor (in essence, speeding up data transfer). DMA is only applicable to CD-ROMs and hard drives, I believe. First, get your System Properties (click on the System icon in the Control Panel). Look for the Windows 95 version (either 4.00.950 with no letter, A, or B). If it says B, you can move on. Note that your hard drive has to be IDE and the Windows 95B default bus mastering drivers must be installed in order for this to work. To enable DMA:

1. Open the Control Panel 2. Click on the System icon 3. Select the Device Manager tab 4. Open the Disk Drives icon 5. Highlight your hard drive then Click properties 6. Click the "settings" tab and check the box next to "DMA" 7. Restart the system when prompted 8. Repeat for any additional hard or CD-ROM drives

(*) Looking for legacy hardware (old parts)? Check out the place where I get my Matrox cards: http://www.pitnet.net/b1comreb/ (Computer Reboot). They're a great little computer reseller here in Cedar Falls, IA, and I believe they'll ship worldwide. Just let 'em know that Lockergnome sent ya!


28th February

28th February 1998

What the heck can you use that stupid WinKey for? Ya know, the key that's on newer keyboards in between Ctrl and Alt? Here's a comprehensive list:

WinKey + E = Opens Explorer.
WinKey + F = Opens Find.
WinKey + R = Opens Run.
WinKey + Pause = Opens System Properties.
WinKey + D = Maximize / Minimize all windows.
WinKey + M = Minimize all windows.
WinKey + Shift + M = Maximize all "WinKey + E" minimized windows.
WinKey + Tab = Flip between open apps in the taskbar.

If your video seems slow, check your color depth. Open the Display icon in the Control Panel, select the "Settings" tab, and look at the colors drop-down selection. If it is at True Color (24 bit), you might consider moving it down to High Color (16 bit). If it is set at 256 colors, you might consider going up to High Color (16 bit) if your video card can handle it. Web pages will look infinitely better in High Color mode.

Some of you were asking about the Alexa download in the last issue... wondering what it could really "do" for you. Well, if you haven't tried it yet, I strongly suggest you do so. It's a simple add-on to Internet Explorer or Netscape Navigator that'll aid in your web navigation. Plus you can vote for sites and add your own to the Alexa database. It has helped me find new stuff for Lockergnome, gang... and it's FREE. You can snag it here:

http://www.alexa.com/download/lg/index.html


March 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th March

15th March 1998

Are you one of those people who names inanimate objects? Like your car... or your computer? Well, you can RENAME "My Computer" real easily. Click once on the "My Computer" icon (select it), then hit F2. At this point you can type in just about anything you'd like--name it "Bob's CPU", "Cool PC" or whatever. Get creative. (thanks to Scott Jung for reminding me)

Many of you asked where I got Windows 98 from... well, it hasn't been officially released, but you still should be able to purchase an older beta at http://www.microsoft.com/windows98/ -- but get there as soon as possible, they only have a limited amount left. Remember, this is an older Windows 98 beta...

Trying to figure out how to change a file's extension easily? You can't go wrong with the free utility, ChangeExt. It does that and so much more--one of those "MUST HAVE" add-ons for 9x/NT. You can snag it at: http://www.i2.i-2000.com/~mbreaton/jacs/downloads.htm You'll wonder how you ever used Explorer without it.

Looking for more great freeware and shareware? You should always check out the sites featured in Lockergnome. This might go without saying, but why do you think I list the download *AND* homepage URLs? Many times these authors have other great downloads available at their site, but I can't feature all of them. Do some exploring and you might end up with a happier hard drive.


31st March

31st March 1998

Why open an entire window when all you want is a particular icon? Here's a great way to get DIRECT access to system icons. Right click on the Start button and choose "Explore", create a new folder, and then name that folder one of the following lines. BE SURE to rename those folders exactly as they are typed below, or else this won't work. You don't have to use all three of them, either. Any combination should work for you just fine:

Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}
Dial-Up Networking.{992CFFA0-F557-101A-88EC-00DD010CCC48}
Printers.{2227A280-3AEA-1069-A2DE-08002B30309D}

Thinking about getting a new computer? You might want to wait a few months before getting one. Intel will have a new chipset out soon (BX) which will support a 100MHz bus (and 100MHz RAM), Windows 98 is right around the corner, and DVD prices are dropping weekly. It seems like the next sweet spot might be around Christmas (my opinion). Of course, if you can't wait much longer, try getting more RAM for your system. Prices are extremely LOW right now.

How many icons do you have on your Desktop? Okay, now how many do you really NEED on your Desktop? Try a little spring cleaning, eh? While you're at it, move them to the right side (top) of the screen. Why? Ever notice that when you download something or copy something to the Desktop, it appears on the left side? Well, this way, things will essentially remain uncluttered.

I was originally going to list a handful of tips I discovered at this site, but I figured YOU should visit the site instead. I can't believe the amount of tips that were there (some I'd never seen before): http://www.chami.com/tips/windows/


April 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th April

15th April 1998

Sick of the Links folder in your Favorites menu? While you can't delete it, you can right click on it, select Properties, and then check off the Hidden Attribute. You won't see it no more, Lucy.

Time for a little hard drive Spring cleaning. First, close down all your running applications. Then, do a search (using Find) for these kinds of files: GID FTS BAK ~MP TMP Once you've found them, you can delete them. If you're feeling saucy, you can remove CNT files, too (they're the Table of Contents data for some HLP files). While you're cleaning house, you should open up your Temp folder and get rid of the schtuff that's piled up in there.

Outlook Express: Backup your Inbox Assistant rules
http://www.windows-help.net/windows95/oe-18.shtml

Want to skip a step when you're connecting to your ISP using DUN? If you never have to enter or change your login information, simply open My Computer's Dial-Up Networking folder, select Connections | Settings, then uncheck the box for "Prompt for information before dialing". This way you don't have to hit enter after you launch your Internet connection (using DUN).


30th April

30th April 1998

Spring is here... and so are thunderstorms. Now, you might love the sights and sounds of stormy weather, but your computer detests them. Here are a few tips to keep your PC out of harm's way (some might be obvious, but you never know):

* Get a surge protector for all your computer devices.
* Unplug everything from the wall as soon as you hear thunder.
* Unplug the phone cords from your modem (MANDATORY).
* Make sure any *REAL* windows around your PC are closed.
* Do something fun until the storm completely passes.

Folders can be fun, but if you'd rather be at a Command Prompt (MS-DOS Prompt), I'd recommend installing Dos Here. (http://home.bip.net/mjp/) Now when you right-click on a folder, you can automatically drop to that directory in a DOS box. Quick and painless!


May 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th May

15th May 1998

How cramped is your Inbox? If your e-mail client allows you to make new folders, do it! You'll be more organized, and consequently, more efficient. If you don't know how to make a folder, check out the help file--that's why it's there. :)

And just how many e-mail messages are on your PC? If you haven't cleaned house in a while, I'd recommend it. Go through and delete old, useless messages. If they have sentimental value, print 'em off before you delete them.

Never send a huge file to someone without warning them first. How annoyed would you be if someone was sending you the latest 44.3M game through e-mail? 'Perturbed' would be the word I'm looking for.

Be careful when you reply to junk e-mail. Many times your "remove" requests merely let the original sender know that your e-mail address is valid. They can then turn around and sell your "good" address to other spammers. You could be unwittingly inviting more spam into your Inbox.

When you reply to someone and include their message in your response, delete the stuff that's not necessary (headers, non-related sentences, etc.). This'll cut down on wasted bandwidth--and show the receiver that you know proper e-mail Netiquette.

Only send someone HTML mail when you *know* that they have an HTML e-mail client. True, while most newer clients are HTML-mail compatible, many still aren't. When in doubt, use plain text. It ain't as fancy, but who are you trying to impress anyway?

A subscriber (Danny F.) mentioned this tip in the Lockergnome Newsgroups for those who hate cookies: if you're wanting to get info from the Microsoft Knowledge Base, simply e-mail mshelp@microsoft.com with the article number as your subject. Visit the Lockergnome newsgroups for more great tips & tricks!


31st May

31st May 1998

Unless you're using a Macintosh, you've probably got more than one button on your mouse. We use the left mouse button on a regular basis, but what about the right mouse button? Get in the habit of using it just as much as the other--you could be saving time.

Right click on the Taskbar, you'll find all sorts of options available. Select "Properties" to find ways to optimize your Taskbar and Start Menu. NOTE: "Properties" is the magic word in just about any Right Click menu. If you see it, select it to find more information about a particular object (or group of objects).

While we're talking about the Taskbar, try right clicking on one of the open programs within it. You'll then find a nifty little menu which could help you close, maximize, & minimize that particular program. If you have many programs open which you want to close, this could be a quick way of doing it.

What about the Start button? Yep, you can right click on that, too. "Explore" and "Find" are the two options you'll find most helpful. If you want to edit what can be found in your Start Menu, choose "Explore" and delete/rename folders at will. Or, if you're looking for something you know is in your Start Menu (but you can't find it), select the "Find" option.

In just about any 32-bit application where you can enter text, you can also probably right click and bring up a very useful menu. In most instances, you should be able to cut, copy, paste, and delete! Try it in your e-mail program, in Notepad, and even in the address line of your favorite web browser. And you thought you knew everything? :)

On the Desktop, you can right click on 'My Computer' to get your system's properties and empty the 'Recycle Bin' with the click of a button. Talk about a time saver! While you're at it, I'd remove any excess icons that might be cluttering up your Desktop. Do you REALLY need all of them?

Let's travel into the Windows Explorer for a brief moment. Double click on 'My Computer' and then right click on any one of the disk drives--you'll discover relatively extensive info by selecting the "Properties" option. Now open up a drive (like the C: drive) and right click on any given file or folder. You'll see so many options you probably never knew existed.

Fire up your favorite web browser... try right clicking on a web page background, link, or graphic. Wow--more functionality! I've seen many people right click in browsers to move back and forward (instead of using the arrow icons).

Remember, you can right click just about anywhere (and in just about any program). There are exceptions, of course, but it will seldom hurt to try! Now you know (and knowing is half the battle).


June 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th June

15th June 1998

Ain't gotta lotta money? Who does? If you're a poor, starving, ex-college student like myself, I'm sure you could use these not-so-fancy tweaks to help speed up your daily Windows operations!

SEND IT FIRST CLASS: Place a shortcut to Notepad.exe in your 'Send To' folder. That way, you can right click on a file not associated with Notepad and view it easily. Just click on "Run" in the Start Menu and enter "sendto" and it should launch your 'Send To' folder. From there, just make a new shortcut to Notepad.exe.

RUNNING A MARATHON: The "Run" command in the Start Menu is largely ignored. Try pasting a website in there sometime! Or, if you want to send an e-mail, just type in: mailto:someone@somewhere.com and it should launch your default e-mail program. Heck, you can even type in folder names found within the Windows subdirectory and they should launch in Explorer. Run with it!

ICON CONFUSION: How many icons do you have on your Desktop? If you have more icons than the population of New York City, perhaps it's time to get rid of 99% of them. Keep things clean and you'll find what you're looking for quicker. I'd keep it to just the icons you use on a daily (or regular) basis. Nothing more!

START ORGANIZING: Let's get rid of some more icons. Do you really need half the shortcuts that are in your Start Menu? I bet my second liver that you don't. Right click on the Start button and choose 'Explore' from the menu. From there, you can open the Programs folder and delete & reorganize links/folders in succession. Remember, less *can* be better!

BETRAY THE TRAY: Many crashes occur because you have 92,831 programs loaded at once. If you have more items in the system tray than you have fingers, it's time to rethink your needs. Do you really need to have those proggies running ALL the time?

EAT SOME PASTE: You're probably used to cutting, copying, and pasting in your Word Processing application. But you can do it just about everywhere in Windows. Anywhere you can type, you can cut, copy, & paste. Heck, you can even do it in Explorer! The easiest (and quickest) way is to use the keyboard shortcuts: CTRL+X for cut, CTRL+C for copy, & CTRL+V for paste. Memorize and utilize!


30th June

30th June 1998

By now, 23% of you have upgraded to Windows 98. You'll find out that the UI really isn't that much different than IE4 with shell integration. There are subtle differences, in this respect, between W95 and W98. A few of the following tips will actually apply to both IE4 & W98 users. The moral of the story: get W98 if you're a hardcore geek who needs the "latest thing" or if you have fast hardware.

No doubt you've downloaded TweakUI from Microsoft for W95. You won't find an updated version for W98 online; instead, it should be on the Windows W98 CD-ROM (\Tools\ResKit\PowerToy\). It's invaluable for any experienced user and should be installed immediately. You can control just about every unseen aspect of W98 with TweakUI--truly one of the best Control Panel applets ever invented.

If you're only a novice (or afraid that you'll miss something when upgrading from W95 to W98), Windows-Help.net has a page you should read. They've mapped out a rock-solid way for making the big move (step by step). Even if you know what you're doing, it couldn't hurt to double-check:

http://www.windows-help.net/windows98/start-01.shtml

If you're bored with the Explorer interface, try adding a background image to it. Who said every window had to look the same? Simply open a folder, select View | Customize This Folder from the pull-down menu, select "Choose a background picture", then assign a BMP image and/or toggle the color options for that folder. You gotta admit, it's kinda cool.

Here's something else you might not have known: you can fade between any two colors in the active & inactive window title bars (with high or true color depth enabled). Right click on the Desktop and select Properties. Fly over to the Settings tab to see if you have high/true color abilities in your resolution. If you do, go to the Appearance tab and click on the Active Window Title Bar. Notice you have 'Color' and 'Color 2' options now!

While you're looking at the Desktop properties, be sure you've got the highest possible refresh rate selected (within reason) for your monitor. In the Settings tab, click the Advanced button. Choose the Adapter tab and see if you can get a better refresh rate (75 Hz or higher is sufficient). You need a good monitor and decent video card to achieve higher rates. The higher the refresh rate, the less eye strain you'll have, the less headaches you'll get. After 75 Hz, however, you won't see a difference.

Sometimes website frames can be useful, but when they don't clear themselves from your browser when you click on "outside" links, they turn into a pain. So, next time this happens in IE4, simply click (and hold) a link, then drag & drop it onto the address line of your browser. Voila -- no more frames! Plus, you can drag & drop any URL the same way onto IE4's Home button to make it your default start page.

Having problems in Windows 98? There's a doctor in the house! Simply select the Run command from the Start Menu and type: DRWATSON (then hit Enter). You'll get a doctorish icon in your System tray. He'll help you troubleshoot & document crashes plus show you the Windows operating environment. While you're "running" things, enter MSCONFIG if you want to control how (and what) Windows starts up. Maximum tweakability!


August 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


History Folder

10th August 1998

What's so Historical about the Start Menu? Nothing, yet! Simply right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename that folder: History.{FF393560-C2A7-11CF-BFF4-444553540000} and hit Enter. You can do that anywhere with any folder, too!


Iomega Zip drive

11th August 1998

Have an Iomega external parallel port Zip drive? Word on the street is that you can use the drivers designed for Iomega's 'ZipPlus drive' instead of the default 'Zip drive' drivers and get faster transfers. I've been using the ZipPlus drivers with my Zip drive and I've yet to have a problem (it seems a little faster, too). You can download the ZipPlus drivers: [ DOWNLOAD ]


IRQs are easy to manage

12th August 1998

IRQs are easy to manage. NOT! If you're not sure which resources are sucking up DMA, IRQ, or Memory resources, you can right-click on My Computer, select Properties, click on the Device Manager tab, select Computer, and click on Properties. Easy as floor pie!


New 'Control Panel' toolbar

13th August 1998

Controlling individuals should like this tweak. If you have IE4 (or W98) installed, make a new 'Control Panel' toolbar. Right-click on the taskbar, choose 'Toolbars' then 'New Toolbar'. In the dialog box, scroll down and select 'Control Panel'. Click 'OK' and voila! You can right-click on the toolbar to change its appearance, plus drag & drop it anywhere!


Windows crashes

14th August 1998

Windows crashes--this is a fact of life for any operating system. Because IE4 and W9x are tightly integrated, when IE4 crashes, the OS may crash, too. However, you can make IE open up in a new process when you're surfing the web (which will protect your OS a bit more). Open Internet Explorer, choose 'View' from the menu and select 'Internet Options'. Click the 'Advanced' tab; under 'Browsing,' be sure that 'Browse in a new process' is checked. Click 'OK' and you should be set.


Animated cursors

17th August 1998

I used to download animated cursors all the time. Here's a quick way to preview what they look like when animated: right-click on the ANI file and choose 'Properties'. In the upper-left corner of the dialog box you'll see the animation (albeit at a slower rate).


Creating a new e-mail message

19th August 1998

Creating a new e-mail message is easier than you think. Try hitting WinKey+R (or using the Run command in the Start Menu) and type: mailto:user@user.com (of course, substituting that for the user's actual e-mail address). It should create a new message for your default e-mail client. You can even type the same thing on the Command line (otherwise known as a DOS Prompt) within Windows.


Did your computer lock up?

20th August 1998

Did your computer lock up? Try hitting CTRL-ALT-DEL next time. I realize this is a no-brainer for the advanced users, but you'd be surprised how often we forget about the easiest way to shut down offending programs. You can hit this key combo even when Windows isn't locked up to view what programs are currently running (in the foreground and background). Being a super sleuth is simple.


IE subscriptions

21st August 1998

Need quicker access to your IE subscriptions? Simply right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename that folder: Subscriptions.{F5175861-2688-11d0-9C5E-00AA00A45957} and hit Enter. You can do that anywhere with any folder, too!


External Parallel port Zip

25th August 1998

External Parallel port Zip drive owners: don't forget to run the "parallel port accelerator" program which should already be installed with the Zip drivers. Believe it or not, it could actually speed transfers up a bit more than usual. I was surprised in the difference it made. Zippity Do Dah!


IntelliMouse

26th August 1998

You heard me mention the IntelliMouse in an earlier HTML issue; here's something that I recently discovered, and something most of you probably already knew about. While you're scrolling with the wheel, hold onto the CTRL key. If you're in an Office 97 application, the document will zoom in and out. BUT, also try it in IE4! The fonts will get bigger and smaller.


NT4 IntelliMouse Users

27th August 1998

Lockergnome Subscriber Jeff Stoner advises that IntelliMouse users running NT4 should disable three devices in the "Devices" Control Panel: msinport, msbusmou, & mssermou. "These devices don't cause anything bad to happen, but you'll get three warnings in your Event Log every time you boot. Disabling them is a safe operation and I've had no problems since disabling them."


Close an application

28th August 1998

That little X in the upper right hand corner is a handy little button, isn't it? But it might not be the quickest way to close an application. If I have several programs open, and I want to close some of them without hovering my mouse cursor all over the screen, I just pop up the taskbar (found at the bottom of the screen), right click on the program icons I want to close, select "Close" from the menu, and blammo. Exit stage left!


Save Target As in IE

31th August 1998

Save a step next time you download something using Internet Explorer. Sure, you're used to simply clicking a file to download it, but try RIGHT clicking on the file and choosing "Save Target As" from the menu. That way, it'll jump right to the "Save As" dialog box; it'll also open a "daughter" window for the download, so you can go about your merry way without having to wait for a response.


September 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Download transfer progress

1st September 1998

When you're downloading stuff in IE or Netscape, instead of relying on the download window for transfer progress, minimize it instead. It should show some type of percentage when it's minimized to the taskbar, unless it's coming from an FTP site, in which case you'll see the actual file size transferred to that point.


Lost a download?

2nd September 1998

How many times have you lost a download? If there are less stars in the night sky, then you've got a bigger problem than I thought. Here's what I do to keep tabs on what I've grabbed from the Internet: I save EVERYTHING to the Desktop! From there, I install, delete, copy, or move items to a better folder. This is why it's a good idea to have a large, uncluttered Desktop area. And yes, I'm talking about the Desktop on your screen.


Machines without math coprocessors

3rd September 1998

Some people with the latest hardware don't even want to have Windows 98 installed; I can't say I blame them. However, older machines without math coprocessors can't install Windows 98 at all. That is, unless they use a small workaround found on the following web page: http://members.aol.com/ojatex/win98.htm (NOTE: may not work for everyone).


Looking for a Lockergnome FAQ?

4th September 1998

Looking for a Lockergnome FAQ? Well, I've got the beginnings of one on the "Options" page (which some of you have probably already seen). If you think that I could add an answer there, please let me know. While it's designed for Lockergnome newbies, I'm sure you old friends might learn something new, too. The key is: don't be afraid to write me, but don't write me about something for which you could find an answer on your own. :)


Renaming files in Windows

7th September 1998

If renaming ourselves was as easy as renaming files in Windows, I'd have a million aliases. You can click once on an icon to select it, click again on the icon's text portion, wait 1 second, and edit away. Or select an icon, press F2, and edit away. But if you're a right-click type of person, just right click on an icon and select "rename" from the menu, then edit away. The IE5 beta allows you to right-click and rename items in the Start Menu, too.


I really dislike the new WiMP

8th September 1998

I really dislike the new WiMP (Windows Media Player). I don't really want it associated with anything. Ever have "one of those" programs which sets itself up as the default program for a certain file type? Hold onto the SHIFT key, select an icon (program or file type), right-click on it and select "Open With..." from the menu. A small "selection menu" will pop up. If the program you want to use as a default isn't there, click the other button and "find" it. Remember to check off the "Always use this program to open this type of file" switch.


Sucks up physical memory

9th September 1998

Do you download & install every font in sight? Stop it right now! Well, you can keep downloading them, but don't install them. Every font you install sucks up physical memory. Unless you have physical RAM to spare, I wouldn't suggest loading too much more than your commonly used fonts. So what do you do with the fonts you want to keep but not install? Put them in ANOTHER directory ("Other Fonts" is what I use). When you want to use a particular font in a document/graphic, go to your "Other Fonts" folder, double-click on the font you want to use (and KEEP THE FONT OPEN), launch the application in which you wish to use that font... BINGO! The font should show up in your regular list as if it were installed the "normal" way. When you're done, you can close the font preview window and Windows is none-the-wiser.


PNG graphic format

10th September 1998

I haven't heard a lot lately about the PNG graphic format and it's place in web browsers. Does your browser support PNG graphics? http://www.w3.org/Graphics/PNG/Inline-img.html is basically a testing page for inline PNG images. "PNG is an extensible file format for the lossless, portable, well-compressed storage of raster images. PNG provides a patent-free replacement for GIF and can also replace many common uses of TIFF." I wish the format would catch on soon...


Searching for something

11th September 1998

Try to spend one day online without searching for something on a search engine (or using search software to seek stuff). If you're looking for something with more than one word, try throwing quotes around the term. For instance: "red rum" instead of: red rum. This little trick should especially help the search engines find exactly that for which you're looking. You can quote me on that.


NUM LOCK key in NT4

14th September 1998

A Lockergnome Subscriber let me in on a little-known secret for turning on the NUM LOCK key in NT4. In Control Panel -> System -> Environment, add a user variable "NUMLOCK" with the value of "ON". Whenever you log on to the workstation, the NUM LOCK key will come on. NT4 ignores the BIOS 'NUM LOCK' state. Show that key who's boss!


Washed your hands?

15th September 1998

When was the last time you washed your hands? Oh really? Well do it again, cowboy. Germs spread quickly on keyboards, and the more you wash your hands, the less chance there is for you to spread (or possibly acquire) germs. Why is this a tip? Because I don't want you to get sick and have to skip a day of work (or classes). Wait, did I just say that? Nah, nevermind... don't wash your hands. Forget I said anything.


Posture is important

16th September 1998

Does your neck hurt after a long day at the computer terminal? Make sure your monitor is sitting correctly. If you have to look up or tilt your head backwards to see anything on the screen, then you NEED to make some adjustments. If anything, you should be looking DOWN on your monitor (so your gaze and head are tilted slightly downward). This will help more than you'll ever know. Posture is important. And take a break every few hours, too! Look who's talking...


Is it too fat?

17th September 1998

Take a look at your scroll bar. Is it too fat? Rather, is it bigger than it needs to be? If you're using a smaller resolution, then you need all the screen real estate you can get! Right-click on the Desktop, choose Properties, click the Appearance tab, left-click on the scroll bar, and adjust the size at will. You can also adjust other UI items within this dialog box as well!


Easier than using Velcro

18th September 1998

How easy is it to change an icon for a shortcut? Easier than using Velcro. Simply right-click on a shortcut, choose Properties, then you should see the "Shortcut" tab with a "Change Icon" button near the bottom right. Click it. Then, "Browse..." for ICL, DLL, ICO, etc. files on your hard drives! When you finally find what you want, click OK. If icon do it, you can, too.


Think about it...

21st September 1998

E-mail is used almost more than any other application online. Think about it... what's the first thing you do when you log on? Here's something that might speed up the creation of a new e-mail message for you. Right-click on your Desktop, Choose New, Select Shortcut, enter "mailto:" as the Command Line (no quotes, including colon), hit the Next button, name it whatever you want, and Finish! Any time you click on that Shortcut, it should open a new e-mail message in your default e-mail client.


Copy/Paste a URL

22nd September 1998

How many times have you tried to copy/paste a URL into an e-mail message, only to have it pasted as an attachment instead of text? Kinda annoying, eh? To get the text URL into the message, first move your blinking cursor up to the Subject line (or To, CC, or BCC line) and try pasting there. It should 'translate' the URL into plain text. From there, you can re-copy the text URL and paste it as text into your message (and delete it from whatever line in which you pasted it).


Screen shot programs

23rd September 1998

I've seen several screen shot programs floating out there, but why bother with them when Windows 9x has a 'camera' built in? That's right! Hit the Print Screen key right now... nothing will appear to happen. However, now open up a graphics program (like Paintbrush) and hit the paste button. You should find a bitmap of the screen as it was when you hit the Print Screen key! Or, if you just want a screen shot of a particular window (not the whole screen), select the window of which you want a shot and hold onto the ALT key when you press the Print Screen key.


Attachment icon

24th September 1998

Yes, I get hundreds of e-mail messages every day. I'd like to save certain ones, but some of them have large attachments. Once you've extracted and used an attachment, you shouldn't need it anymore (though the message might still need to be saved). In Outlook 98, you can remove the attachment by opening the e-mail message, right-clicking on the attachment icon, and selecting "Remove" from the menu. That should save some precious disk space!


Live at the command prompt

25th September 1998

I used to live at the command prompt. After I started using Windows 9x, I stopped dropping to DOS so much. I don't play many games, and I've slowly but surely replaced most my old utilities with new 32-bit ones. But when I need a command prompt, I simply type "Command" under Run in the Start Menu. You can toggle between full screen and a windowed command prompt by hitting ALT+Enter. Your wish is its command!


Icons are pretty darn cool

28th September 1998

Icons are pretty darn cool, but they're used to represent something (either a program or type of file). There's more information in an icon than meets the eye. Just select one and hit ALT+Enter and it should bring up a window with detailed information (file size, date, type, location, attributes, etc.). If you ALT+Enter on a Shortcut, it should show another tab (wherein you can change the icon, location, etc.). Or, instead of the key combo, you can hold onto the ALT key and double click on an icon to see all that stuff.


Necessary evil

29th September 1998

The keyboard is a necessary evil at the moment. Until speech recognition is accurate 99.999% of the time, we're pretty much stuck with it. So Microsoft has built in some wicked keyboard shortcuts to help save us time. I've mentioned a few of them in Lockergnome before, but this one bears repeating: ALT-F4. There's no quicker way to close a program! Don't mess with the mouse when it comes to closing time, just use this shortcut (ALT-F4).


Reboot every once in a while

30th September 1998

Some days are better than others for Windows 9x users; we have to reboot every once in a while. Next time you have to reboot, try holding onto the SHIFT key as you press "OK" to restart your PC. It'll skip all the regular boot-up stuff (including the autoexec.bat and config.sys files).


October 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Resume the download!

1st October 1998

Here's a good tip from fellow subscriber, Matthew Seddon: "If your modem connection hangs up during a download, or a download times out, on some occasions, the download window will remain open. If you leave that window open, reconnect to the Internet, then start downloading the file again, IE will resume the download!" Thanks, Matthew!


Recent Documents menu

2nd October 1998

The Recent Documents menu used to annoy me. However, I stopped resisting it once IE4 (and W98) hit the streets. It seemed that I only wanted certain Documents in there (and not others). Well, no matter what you're running, you can always open the "Recent" folder in the Windows directory and delete the shortcuts you don't want in the menu, or (with IE4 or W98) you can right-click and delete the ones you don't want straight from the Documents menu (in the Start Menu). Thanks for reminding me, Jeff!


Recycle Bin

5th October 1998

Don't throw it away, recycle it! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Recycle Bin.{645FF040-5081-101B-9F08-00AA002F954E}


Network Neighborhood

6th October 1998

Who are the people in my (network) neighborhood? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder.Rename the folder to the following and hit enter:

Network Neighborhood.{208D2C60-3AEA-1069-A2D7-08002B30309D}


Desktop

7th October 1998

What's on the Desktop today? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Desktop.{00021400-0000-0000-C000-000000000046}


Briefcase

8th October 1998

The world's smallest suitcase just got bigger. Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Briefcase.{85BBD920-42A0-1069-A2E4-08002B30309D}


Fonts

9th October 1998

Just another FONTastic day with the Gnome. Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Fonts.{BD84B380-8CA2-1069-AB1D-08000948F534}


Control Panel

12th October 1998

Who's really in control? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}


Printers

13th October 1998

Someday, my prints will come! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Printers.{2227A280-3AEA-1069-A2DE-08002B30309D}


DUN

14th October 1998

Dial-Up Networking got you down? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

DUN.{992CFFA0-F557-101A-88EC-00DD010CCC48}


Inbox

15th October 1998

Exchange users, rejoice! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Inbox.{00020D75-0000-0000-C000-000000000046}


My Computer

16th October 1998

Who's Computer is this anyway? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

My Computer.{20D04FE0-3AEA-1069-A2D8-08002B30309D}


Built in calendar

19th October 1998

Thank you for putting up with all those "similar" tips over the last couple of weeks. I had to write those issues around the time that I was getting married (you can imagine the stress I was under). So, don't think I was ignoring any specific "OS" population when I wrote about them. Coming up with GOOD tips is very difficult to do (sorry those folder ones didn't work for everyone). Like, how many of you knew that a calendar was built into Windows? Sure! Just double click on the clock in your System Tray! You can flip through the dates, but if you don't want to change anything, be sure to hit the CANCEL button when you're finished.


SendTo menu

21st October 1998

One of my favorite tips of all time (and don't stop me if you've heard this before) deals with the SendTo menu. If you only have the default shortcuts in there, you're missing out on a world of functionality. You could be putting shortcuts in there for various (common) applications... and possibly even folders. The "must have" shortcut in the SendTo menu has to be Notepad. It's the easiest way to view a textual file. Click on the Start button, select "Run," type in "sendto" (without the quotes), then make a new shortcut to Notepad within that folder. Don't stop there, either... think about what else you might be able to "send" stuff to.


Searching for files

22nd October 1998

Oh where, oh where has my little file gone? Are you searching for files that were or should have been installed with your OS? Try inserting your 9x CD, dropping to a command prompt, and using "extract.exe" (which should already be installed). You can "extract" files from CAB files quickly and easily. Of course, this is more for people who are familiar with command line utils. But it's powerful for just about anyone. If that doesn't help you, head on over to http://www.filez.com/ -- the perfect place to find those elusive DLLs that you thought you already had.


Annoying frames?

23rd October 1998

To some people, frames are annoying. Of course, lousy implementation of frames is particularly annoying to EVERYONE. Have you been surfing around, only to find that a link on a web page keeps you stuck within parent frames? Sure, you could "open" the link in a new window, but what if you want to use the SAME window? In IE4, you can drag & drop the link onto the Address Bar. In IE3, you can drag & drop the link anywhere on the browser window. Or, you could also drag & drop the link to your Desktop, and then back again onto your Browser (or open up the shortcut by double clicking it). It's a new frame of mind!


Folders in your Start Menu

26th October 1998

Okay, I know you're probably still sick of those folder shortcuts I brought up a couple of weeks back (don't worry, I won't mention them again for a long time). But here's another way to use folders in your Start Menu. Under the Programs folder, you've probably got over a dozen separate categories (you really should streamline them). What if you have so many small utilities that you'd run out of room on your screen if you had to list them all in a group? If possible, put a shortcut to a particular folder that'll open up and have shortcuts (or the actual programs) within it. Therefore, you're still getting what you want, just clearing up a lot of space in your Start Menu.


A major no-no

27th October 1998

Living in Iowa, I grew up with a puppet named Floppy. Other "older" Iowans should remember him, too. Sadly, Floppy isn't around anymore. And if you've got tons of floppies lying around, you should get rid of them, too. No wait--don't just throw them out--copy their contents temporarily to your hard drive, and then (if you want) put the things you want or need to keep onto NEW floppies. Why? Because floppies have an extremely short shelf life and are not to be trusted (even those bountiful AOL disks). You should also be careful not to store your floppies next to anything magnetic... that's a major no-no.


Fixed-width fonts

29th October 1998

You use e-mail. How else would you be reading this (unless you're reading this on a web page, in which case, you might not have e-mail). Let's assume, however, that you have e-mail. What font are you using to read and write to others? I'd strongly suggest using a fixed-width font over a proportional one. You know, like Courier New or Lucida Console? At least give it a shot--you have nothing to lose. I couldn't have it any other way--for formatting, typing, and reading. If you don't like it, you can always switch back.


Resources being sucked up?

30th October 1998

I think I'll open up a game of solitaire... and surf the web... and check e-mail... and write my book report... and play some multimedia files... HEY!? Where'd my system resources go. My PC tells me that I've got to close some applications. If only I knew how much was being sucked up. Well, I suppose I could have used the Resource Meter. Click on the Start button, select "Run," then type in "RSRCMTR" (without the quotes) and hit Enter. It should launch this nifty (albeit somewhat simple) utility that'll keep an eye on when resources are running dangerously low. The icon sits quietly in the System Tray (double click it for more info). You can (and probably should) place a shortcut for it in your Startup folder, too. Green is GOOD!


November 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Start your screen saver

2nd November 1998

When you need to step away from your computer for a second, sometimes you have to wait for the screen saver to kick in so that nobody will see what you're working on. Instead of invoking it through the "preview" method, try creating a shortcut for a screen saver (of your choice) on your Desktop. That way, when you're ready for it to kick in, all you have to do is click a shortcut. No other program is necessary--just that simple shortcut. You can turn your screen saver on whenever you want--without loading a third-party utility to do it for you. How's that for a resource saver?


Shutdown windows quickly

3rd November 1998

Lockergnome subscriber Dirk-Lueder Kreie told me about this trick: "If you have to shutdown windows quickly, create a new shortcut. For the application, type: "C:\WINDOWS\RUNDLL32.EXE User,ExitWindows" (without the quotes) -- If opened, this shortcut will immediately shut down Windows without prompting. This, too, is something that you don't have to download a third-party utility for. The ability is already built-in to Windows! Another great resource saver...


Windows folder in a flash!

4th November 1998

Do you open the Windows folder often? Here's a quick way to do it without ever creating a shortcut for it. Click the Start button, choose Run, then type: ".." (without the quotes) -- it should open up your Windows folder in a flash!


Microsoft Paint

6th November 1998

Here's another reason to upgrade to Windows 98: Microsoft Paint allows you to open up and edit JPEGs and GIFs. Those, if you didn't already know, are the two most popular graphics formats on the web today. So, if you already have W98, try it for yourself. If you don't have W98... well, please don't make this the only reason you upgrade.


Root word

9th November 1998

Internet Explorer 4.x users, if you know of the root word for a domain (like 'lockergnome' would be the root for 'www.lockergnome.com'), you can type in just that root word and hit CTRL+Enter to have it add the "http://www." and ".com" to the beginning and end of it. Or, just like Netscape users, you could just type in the root and wait for your browser to finish the rest. I suppose the CTRL+Enter trick just speeds the process along.


Default system sounds

10th November 1998

Admittedly, W98 came with better sounds than W95. But you might be tired of them already. Here's something I stumbled upon after reinstalling Office 97 the other day. Open your \Windows\Media folder (or type "media" without the quotes under 'Run' in the Start Menu). If you have a folder called "Office" in that Media folder, take a listen to those sounds--they're pretty darn slick! They also make excellent replacements for your default system sounds. Of course, the king of all WAV sites online is 'The Daily WAV' -- http://www.dailywav.com/ -- if you don't have enough WAVs, go there!


Re-associate programs

12th November 1998

I hate when certain programs clobber my associations. When I want to open up WAV files w/ Sound Recorder, that's my prerogative. A new program shouldn't associate itself with certain extensions without asking first; unfortunately, not every program is polite. So, if you'd like to open a "file type" with a certain non-associated application: Click to select the icon, hold down the Shift key, then right-click on the icon. In the pop-up menu, you should see an "Open with..." option. Select that! From there, you can browse and re-associate temporarily or permanently.


Win98 Easter Egg

13th November 1998

Okay, just in case you missed it the first time around, or if you haven't heard about it yet, here's the Windows 98 Easter Egg. Open up your Date/Time Control Panel applet (or simply double click on the clock in your System Tray), and select the Time Zone tab. Now, hold down the CTRL key and left-click & hold on Egypt. While still holding down the CTRL key and your mouse button, "drag" Egypt to Tennessee then let go of your mouse button (but not the CTRL key). Click and "drag" Tennessee to Washington (state). Then, let go of the CTRL key and your mouse button. That should work, though it might take a little while to master!


Fine tune your drive today

16th November 1998

I remember when they used to sell 2x CD-ROMs in the store. Oh, if only I could save up enough money to get a 4x, I would be flying along at top speed. Then came 8x, then 12x, then... well, you get the picture. Nowadays, I believe they're up to somewhere around 40x. Man--that's pretty darn fast. Of course, that might be the actual speed at which your CD-ROM is accessed. Depending on where data is stored on a CD-ROM, the drive will read it faster or slower. Here's a great way to tell your CD-ROM's *TRUE* speed: http://www.geocities.com/ResearchTriangle/Lab/1228/cdan_e.html -- fine tune your drive today!


Software isn't perfect

17th November 1998

One of the major annoyances of IE4 was the fact that you could seldom see a complete URL in the bottom left-hand corner of the browser. This was a major oversight by the development team, and I remember several hundred people complaining about it when IE4 was still in beta stages. Apparently, they didn't think it was important enough. Luckily, IE5's Status Bar was designed a bit better. If you don't want to wait for the final version of IE5, check out StatBar: http://mdbo.ne.mediaone.net/Statbar.html -- it'll widen the pane in IE4 so that you can view more of the URL's your mouse cursor hovers over. Granted, the software isn't perfect, but it's (sometimes) better than nothing.


Decent mailing list

18th November 1998

People ask me what I use to mail out Lockergnome. Since I'm not the one controlling distribution anymore (too complicated, too expensive), I always recommend using Lyris for anything with 1000+ users. http://www.dundee.net/ will host your list for you (they used to host this one). But, if you don't want to pay much for decent mailing list software, check out Listserv Lite at: http://www.lsoft.com/listserv-lite.html -- you can't really get much cheaper than free, folks.


Does your disk seem slow?

19th November 1998

Does your disk seem slow? If you're not sure, take a hard disk speed diagnostic: http://www.iop.kiev.ua/~vgrin/DiskSpeed32/ -- the output might not make sense to you, but you could always compare different results over time (or with a friend down the street). It's just another one of those "things" that you power users would love to have.


Visits on a daily basis

20th November 1998

What sites do you visit on a daily basis? Add Lockergnome's: http://www.lockergnome.com/ to your list. If you haven't taken a look at it lately, I've been updating my front page on a daily basis (even weekends sometimes) with the latest updates, news, drivers, etc.. They won't be archived, either (too much of a hassle for me right now). And, here's the kicker: the stuff I throw on my front page won't be seen in any issue of Lockergnome! So, don't think you're getting everything just by reading these issues... you're missing out on Lockergnome's main page information!


Start Menu folders

23rd November 1998

I don't understand how someone can have a Start Menu with more than 15 subfolders. Heck, I have it whittled down to 6. Anyway, you'll find that if your Start Menu program folders scroll off the screen, a little black arrow will appear at the top or bottom of your list. The same thing happens with your Favorites & History in IE4. To speed up the process, be sure to hold down the CTRL key while you scroll. It'll move a lot faster when you do.


Mute checkbox?

24th November 1998

Let's say you're listening to your favorite CD and your wife walks into the room telling you to turn it down because she's on the phone with a close friend. Do you: A) flip her off? B) Turn it up louder because you hate her friend? C) Remind her that if you turn it down your speakers will explode? D) Use your left mouse button to click once on the Volume icon in your System Tray, wait a second, then select the Mute checkbox? If you answered D, your marriage has been saved. Crisis averted. There's a tip in there... take your pick.


Ah, much better!

25th November 1998

I'm running IE5b2 (Internet Explorer 5.0 beta 2). I know, you probably think I'm crazy (and I am). I played around with it on Joe and didn't find too many quirks. Of course, now that I'm using it on Mr. Bigglesworth, I'm finding more bugs (but few showstoppers). For the most part, it's a solid beta... but be VERY careful. It's slightly faster, but not perfect yet. I was using the built-in FTP client the other day and I had my first IE5 crash. Then, whenever I'd open an Explorer window to look at my hard drive's folders, the default icon view was set to "details." I didn't like that. A few days later, I remembered a tweak that came from the days of Windows 95. First, open the Explorer window, arrange the icons the way you'd like them viewed everywhere, then hold onto the SHIFT+CTRL+ALT keys while clicking on the "X" (close) button. Ah, much better!


Desktop Background image

26th November 1998

Before the Internet, my dad's Desktop was pretty boring. The honeycomb pattern was just about the most exciting thing we had ever seen. Okay, so perhaps I'm exaggerating, but I think you know where I'm going with this one. While you're visiting a website, take notice of the graphics that are there. If some would look great as your Desktop Background image, then why not make it so? Some sites even have perfectly tiling images for their backgrounds--they'll work just as well on YOUR Desktop. Simply right click on the image (in Netscape or IE) and choose "Save Background As" or "Set As Wallpaper" and you're good to go! IE will even convert it into a bitmap automatically (if you choose to save it)!


Shut it off

27th November 1998

Some of you Windows 95 users feel left out because some of my tips are dependent on either Internet Explorer 4.x or Windows 98. Sorry, I can't please every one of you. However, understand that I don't have a bias in this respect. A cool tip is a cool tip. For instance, if you're going to be away from your computer for a long while, instead of leaving the monitor on, shut it off--it'll save power! Keep a garbage can close to your desk so that you don't have to get up to throw something away. It's also handy to have Kleenexes an arm's length away--ACHOO! If you're in a place where natural light can shine through, open the window shade--your body needs the sun. Make sure your area is well lit, too; eye strain isn't a good thing. How many CD-ROMs do you have lying around that you never use? Donate them to a local charity or club. Okay, so that's not really a tip, but it doesn't hurt to give.


DeskBar Options!?

30th November 1998

Lockergnome Subscriber "Zero Gear" found something QUITE interesting that I've never seen before (and I dare to say that none of you have, either). This is an EXTREMELY undocumented feature of Windows 98--I don't even know what it is or what it's to be used for. Perhaps someone else could shed some light on this subject? Using Windows 98, click the Start button, go to Settings, hold onto the CTRL key and click "TaskBar & Start Menu." Now, look at the right-most tab: DeskBar Options!? Everything is grayed out, so I'm not sure what to make of it. Interesting, to say the least.


December 1998

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Stop IE4 from crashing

1st December 1998

How do you stop IE4 from crashing? It's a trick question. You can't. However, you can keep IE4 from "taking Windows with it" when it crashes. In the IE4 Menu, click on View, select Internet Options, go to the Advanced tab, under "Browsing" be sure that "Browse in a new process" is checked off. Since Internet Explorer (4) users have the browser so tightly integrated into Windows, this is a smart option to turn on.


Afraid of cookies?

2nd December 1998

Oftentimes, I'll feature a Microsoft Knowledge Base article in the GnomeSYSTEM section. Anyone can click on the link and visit the page for more information, but you're right--Microsoft wants you to register before you can view it. If you're afraid of cookies (beware the chocolate chip of death), then you can view those KB articles through e-mail. Just mail mshelp@microsoft.com and enter the "code" as the subject of the e-mail message. For instance, if you want to get more info on "How to Change the Default Windows Color Scheme," you would use Q196001 as the code. The site is http://support.microsoft.com/support/kb/articles/q196/0/01.asp. Look at the last part of it and you'll find q196/0/01. Remove those slashes, and you've got a winner!


Sold on MP3 files

3rd December 1998

One of my favorite reasons for owning a PC is so that I can listen to MIDI files. Yes, I know that many of you are sold on MP3 files, but they're just not the same. I like computerized-music, and MIDIs have always tripped my trigger. Most of you have wavetable synthesis on your sound card already, but you might not have it set up to play correctly in Windows. Open the Control Panel, select the Multimedia icon, choose the MIDI tab, then see which 'Single Instrument' bank is selected. If at all possible, DON'T USE anything that says "FM Synthesis". Some of you have no choice, though. Try another synthesizer if it's available. Another thing to note is that you probably won't be able to use anything with "MIDI Out" in it either (that's for keyboards). Have fun!


Annoyed by fonts sizes

4th December 1998

Are you annoyed by the size of fonts on a web site or in an HTML mail being viewed in Outlook 98 or Outlook Express? If you have an IntelliMouse, you're in luck! While holding onto the CTRL key, scroll your wheel up and down to make the fonts in an HTML message (or web page) get larger and smaller. I didn't realize it worked in e-mail until today!


Who doesn't like icons?

7th December 1998

Who doesn't like icons? Well, if you're using Windows 9x, you pretty much have to get used to them. Unless, of course, you're still using those 'great' 16-bit apps. To shrink the pixel spacing between your icons (which maximizes the space they take up in Explorer), pull up the Display Properties (right-click on your Desktop and choose Properties), select the Appearance tab, under the Item drop-down list, select "Icon Spacing (Horizontal)" and then "Icon Spacing (Vertical)". I have found that setting both of these numbers to 32 works well. Of course, you can play around with these settings and choose whichever ones you like most. Remember to write the "original" numbers down just in case you want to restore the settings.


Shut down shortcuts

8th December 1998

A few weeks ago, I featured a tip that would allow you to shut down Windows by clicking on a shortcut. Some of you asked if there were any other "shut down" shortcuts available. Here's one that'll allow you to Restart Windows! Simply create a shortcut (right-click on your Desktop, select New, then Shortcut), then enter the following information (without the quotes): "C:\WINDOWS\RUNDLL.EXE user.exe,exitwindowsexec" Make sure you copy that ENTIRE string or else it won't work, people (everything between the quotes). Trust me, it works.


Shrink the Volume Control

9th December 1998

Lockergnome Subscriber Eric Fortin found a great (and we believe) undocumented trick that shrinks the 'Volume Control' window. Those of you with "no" screen real estate will find this extremely handy. Open up the Volume Control dialog (double-click on the yellow speaker icon in your System Tray). If it pulls up the default 'Volume Control' applet, you can hit CTRL+S to "shrink" it down; by hitting CTRL+S again, you'll bring the window back to its original size.


I've always been short

10th December 1998

I've always been short, so you can see why I get along well with shortcuts (for the most part). It's easy to create a shortcut of the currently loaded web page in Internet Explorer 4.0. Here's a couple of different ways: either drag & drop the icon in the upper-left hand corner of IE to a folder (or onto your Desktop), drag & drop the icon that's next to the URL in the Address line to a folder, or right-click on a web page and choose 'Create Shortcut'. Tall people can do this, too!


Set up a RAM drive

11th December 1998

This is for Advanced users. Lockergnome Subscriber Brian Hall sent in this (possibly useful) tip: "Set up a RAM drive, create a Cache directory, then designate it as your Browser's cache location. The size you choose depends on the amount of available RAM on your computer, but about 6MB seems to be the maximum needed (but as little as 2MB works)." Basically, you're putting the disk cache into RAM--making your surfing move a little faster.


Having problems in Win98?

14th December 1998

Having problems in Windows 98? Yes, I realize that's a rhetorical question. Anyway, your system files might be out of whack. That is to say, you might have installed a program which installed an older version of a DLL. Typically, that's not good. However, run the System File Checker and all could be right again! Click the Start Button, select Run, then enter "SFC" (without the quotes) and hit Enter. You can configure it to search for deleted or missing files, older files, files in certain subdirectories, etc.. I'd suggest using this utility only if you're having continuous problems with Windows 98, gang.


Speaking of system files

15th December 1998

Speaking of system files, how many of you are still working with the config.sys, autoexec.bat, system.ini or win.ini on a regular basis? The easiest way to edit these files is by using "SYSEDIT" (a program that should already be installed on your PC). Click the Start Button, select Run, then type "SYSEDIT" (without the quotes) and hit Enter. Quick, easy, and convenient!


Navigate web page links

16th December 1998

I was up late last night trying to write tips for this issue of Lockergnome, and I suddenly got an e-mail from a good friend. He was asking if there was a program available that would allow you to navigate through links on a web page by using the keyboard. I responded immediately with two cool programs I found: Internet Explorer & Netscape Navigator. Yes, both of them allow you to use the TAB key to flip forward through any link on a web page (SHIFT+TAB to flip backward). Just goes to show you what most of us don't know about the programs we use every day. That, and we shouldn't work too late at night.


Hit the F5 key

17th December 1998

Here's a refreshing tip: hit the F5 key when your Desktop isn't looking right. Or, if you want to reload a web page (or get new e-mail messages in Outlook e-mail clients), hit the F5 key. I'm not sure if it's the universal key for "refreshing" things, but the F5 key works in a variety of programs.


Line Up Icons

18th December 1998

If you have more than one icon sitting on your Desktop, and I'm sure you do, make sure they're lined up nicely. Call me organized, but I believe a nice looking Desktop will give you a more satisfying computing experience. To line up your icons, simply right-click on the Desktop and select "Line Up Icons". Now, be sure that you've got "Auto Arrange" unchecked in the "Arrange Icons" submenu. It's worth trying!


When is a tip not a tip?

21st December 1998

When is a tip not really a tip? When I'm asking you to submit your favorite tips, programs, or websites to Lockergnome! I typically don't use submissions which have already been seen in Lockergnome, and just because something is submitted doesn't mean that you'll see it in an issue. I give credit where credit is due; some of the best Lockergnome stuff has been submitted by subscribers! Just swing by http://www.lockergnome.com/submit.html or e-mail submit@lockergnome.com!


System shortcuts

22nd December 1998

Lockergnomie C. M. Jensen submitted this shortcut for Windows 9x Dial-up Server users: "Tired of clicking in Dial-up Networking to start the Dial-up Server? Create a new shortcut to: "C:\WINDOWS\RUNDLL32.EXE RNASERV.DLL,CallerAccess" (without the quotes) This will open up the Dial-up Server dialog quickly." Gotta love these system shortcuts!


SendTo folder

23rd December 1998

Lockergnomie "Treepusher" told me about this AWESOME tip: Everyone has a virus scanner installed (if not, you really should). First off, be sure the data files for it are up to date. Secondly, place a shortcut to your virus scanning program in your SendTo menu. This way, you can scan any given file on the fly (particularly if you don't want to have your virus scanner program always taking up memory). Click on the Start Button, select Run, type "SendTo" (without the quotes) and hit Enter. Then copy (or create) a new shortcut to your virus scanning program in that folder. What a resource saver!


Make Explorer work

24th December 1998

Lockergnomie Eric Hop discovered a way to make Explorer work the way it should have in the first place: "Right-click on "My Computer" and select "Explore". In the menu, select View, Folder Options, then File Types. Scroll down to the "Folder" entry and click the 'Edit..." button. Select the action "Explore" and press the "Set Default" button. Now, double-clicking the "My computer" icon starts the Explorer window with the side folder pane." Coolies!


Speaker positioning

25th December 1998

Lockergnomie "RCar123" brings to light a hidden tweak: "Have you ever seen the speaker positioning setup in Windows 98? If you right-click on the speaker icon in the taskbar, a small pop-up menu appears. Select "Adjust Audio Properties". Click on the "Advanced Properties" button under the Playback section. You should see a speaker positioning setup box. From that point, you can choose whichever setup is most like your own computer's!


Compatible applications

28th December 1998

The number one reason to upgrade to Windows 95 (or 98) from Windows 3.x is for more stability... well, nine times out of ten. But what happens when you've got an old 16-bit application that refuses to behave in Windows 9x? Click the Start button, select Run, type "MKCOMPAT" (without the quotes) and hit Enter. This should launch an applet that will enable you to "make" an older application more compatible with Windows 9x. NOTE: this should only be used with 16-bit programs, not newer 32-bit ones. If you're not sure of the difference between the two, don't use this applet.


ACPI support

29th August 1998

This trick is ONLY for power users: I attempted to install ACPI support in Windows 98 the other day... stupid move. I hosed my hardware configuration (which was easily restored by using the "Add New Hardware" applet in the Control Panel). ACPI handles Power Management better than APM (default). Unfortunately, Windows 98 doesn't detect whether your hardware is ACPI-compatible or not. So, next time you do a "flat" install of Windows 98, use the following switch: "/p J" (without the quotes). ACPI support will then be installed. I tried it the other day and it worked (almost) perfectly. I had problems with my Printer port, but that was solved by changing a setting in my BIOS.


Drag & drop a file

30th December 1998

Moving and copying files got a little easier when Windows came along. However, are you still not sure whether or not you're simply copying or really moving a file or set of files? Try this: next time you drag & drop a file, try doing it with the RIGHT mouse button instead of the left one. When you let go of the right mouse button (after dragging & dropping), you should see a small menu pop up. The options will usually contain "Move Here", "Copy Here", "Create Shortcut Here", and "Cancel". Select whichever action is most appropriate from there.


Character's number

31th December 1998

There are more "characters" available to you beyond what you see on a "normal" keyboard. After all, if we had a specific key for every character, our keyboards would take up enough space to park a car on. Sure, we don't use extended characters often, but when we do need them, there are a couple of ways to retrieve them. The easiest (and most obvious) way is to use the Character Map which should have been installed with Windows. Another (more direct) way is to use the number code for that particular character. You'll need to use the ALT key & your Number Pad: hold onto ALT and type "0162" (without the quotes) on your Number Pad... when you let go of the ALT key, a cent symbol should appear (¢). 0162 is the designated number for that particular character. To view a character's number, select one using the Character Map, then look in the lower right-hand corner of that window--it should give you the Keystroke combination. Remember, too, that characters could vary from font to font.


1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


January 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


3rd January

3rd January 1997

If something is running too slow in WinNT, try disabling the Compatible Timer Hardware feature in the _DEFAULT.PIF file. If the video is slow, try full-screen mode. And, if your MS-DOS app appears to periodically pause, try disabling Idle Detection in the Advanced section of the application's PIF file. ;)

I bet there are tons of wasted files on yr hard drive(s). Here's what I do: I go to "Find" and enter "*.old, *.bak, *.syd, *.tmp, *.~mp, *.00?, *.gid" as my file types for which to search (minus the quotes). I then save the Search, and then rename the new shortcut, "Temp Docs." I put the shortcut somewhere in my Start Menu, and when I want to clean out "useless" DiskCrud, I just run it. ;) WARNING: Don't delete the files that it finds, unless you know they can be deleted (just move them into a new subdirectory or something).

If you download the FREE Microsoft Find X v1.2 PowerToy
(http://www.microsoft.com/windows/download/findx.exe), you can put the "Temp Docs" shortcut I just told you about in the "Find" Submenu off of the Start Menu. ;) Just right click on the Start Button, choose explore, double click on the "Find" folder, and then put the "Temp Docs" shortcut within that folder. ;)


10th January

10th January 1997

JosephRot@aol.com tells us that when you install the ISDN update, the ACTUAL connection speed is, in some cases, not shown. His fix is for you to add "W2" to yr modems initialization string (found in Control Panel | Modems | Properties | Connection | Advanced). Thank you again, Joseph! ;)

From TipWorld [tm]: "If you want to completely remove Windows NT from a Win 95 PC and get rid of the Boot menu, here's what to do. First, you'll need a Windows 95 Startup disk. If you don't have one, open the Control Panel, double-click the Add/Remove Programs icon, and make a Startup disk. Restart your computer using the Startup disk. Next, update the hard-disk partition boot sector. To do this, type: "sys c:" at the A:\ prompt and press Enter. Remove the Startup disk and restart your computer. At this point, you should be in Windows 95, and you can use Windows Explorer to remove these files: NTLDR, NTDETECT.COM, BOOT.INI, and NTBOOTDD.SYS (located only on a SCSI boot partition drive). Now if you'd like, you can delete the entire Windows NT directory tree (%SystemRoot%)."


18th January

18th January 1997

Do yr Desktop or Explorer Windows refresh themselves too often (like every time you click something)? Well, try rebuilding yr icon cache. The *best* way to do it completely is to change color depth temporarily (go from 16bit to 256, reboot, switch back, reboot). That *might* help yr situation (at least, it has always helped me!)

Can't get yr icons where you want them on yr Desktop? :) Try checking to make sure yr Desktop is not set on "Auto Arrange." Right click on the Desktop, Arrange Icons, then make sure that "Auto Arrange" is NOT checked. =)

From our friends at http://www.mydesktop.com/ -- Press Ctrl+Alt+F in Netscape Navigator to see Netscape's famous FishCam--nearly live images of an office aquarium. And are you getting bored during those long downloads in Netscape? Press Ctrl+Alt+T to display the Transfer Status window.


26th January

26th January 1997

Want to free up some space on yr hard drive? Do a search for GID and FTS files--they're made when you run help files, and can sometimes take MEGABYTES up on yr computer (first time I did a delete of all of them, I freed up 2.3M--no joke). Just open up "Find" and do a search on "My Computer" for "*.GID, *.FTS" and then delete what you find. GIDs are created when help files are run; FTS files are created when you do a "search" within a help file. Either one may be deleted safely.

Clean up the Start Menu! If you have more than 10 groups, you need to revamp. Too many groups can get confusing. I have 6, myself--Business, Computer, Fun Fun Fun, Internet, Multimedia, Utilities. Note those labels are short (the shorter they are, the easier it will be to find what yr looking for). I keep my Word Processing and HTML Tools in 'Business,' my configuration and system schtuff in 'Computer,' games and fun schtuff in 'Fun Fun Fun,' Internet schtuff in... DUH, multimedia schtuff in... DUH, and I keep odd-job tools that assist me with tasks in 'Utilities.' Organize yr Start Menu today! *right click on the Start Button and choose 'Explore,' then edit away!*


February 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


4th February

4th February 1997

Wanna find out how many web pages are linked to your page? Go to Alta-Vista and type in "link:http://www.yourplace.com/"; [minus the quotes]. While it may not return EVERY single page that has a link to yours, it will give you some idea. Thanks to filez.com for telling me this!

Quit typing in "http://"; before you input a URL in yr web browser's 'Open URL' box. If yr using version 2.0+ of either Netscr... Netscape or Microsoft's Internet Explorer, then that part is AUTOMAGICALLY inserted when you type in the rest of the URL (usually starting with www dot whatever). Save time--let yr browser do the typing.

There was a proggie which I featured in the last eZine that made changes in the way Win95 handles LFNs (removing the stupid "~1" attachment on the DOS filename), but without follow-up or cleanup, problems might ensue on yr computer. Caveat Emptor! ;) Some installation proggies (usually older or poorly written ones) might not recognize some directories if you do that--thus causing you problems. I only recommend making this change if yr a power user and know how to manipulate the registry effectively.


18th February

18th February 1997

Hey, when was the last time you took a look at yr AUTOEXEC.BAT or CONFIG.SYS files? If yr still loading proggies like SHARE.EXE and ANSI.SYS, let me ask a question: why!? Yr just wasting valuable memory space. Go through it today, if you can--but don't delete lines--use the "REM" command. Just put "REM" (minus the quotes) before each line you think you can live without. And I tell you, unless you need to load DOS drivers for yr devices, then you prolly don't even need to have either of these two files. Seriously, if you seldom shell to DOS to do anything, then don't even bother loading anything with these two files. Once more, don't delete lines--REM them first. That way, you can always remove the "REM" if yr computer isn't doing things correctly. Heck, did you know you can edit these files (along with WIN.INI and SYSTEM.INI) from within Win95/98/NT? On the "Run" line, type in "SYSEDIT" and watch what pops up.

Don't you hate downloading a file only to find that it covers up or is covered up behind another icon on yr desktop? Well, here's a tip: move all yr icons to the RIGHT side of yr Desktop, because no matter what, when something appears on the desktop for the first time, it will pop on the LEFT side first. Minimize the hassle and make the move to the RIGHT side of the screen with yr Desktop icons (if you haven't already). Keep only what you need on yr Desktop--if you have more than 10 icons, start putting things into the Start Menu. That's what it is there for, gang. :)

If you installed MS Office 95, you can remove the "Microsoft Office Find Fast" shortcut from yr StartUp group--another great waste of time, space, and CPU clock cycles.


March 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


6th March

6th March 1997

Want to do something to a file while yr in a 32bit dialog box? Try right clicking on that particular file. From there, you have access to the rename, delete, SendTo, etc., functions. Only works in 32bit dialog boxes (they look like mini versions of EXPLORER.EXE).

If you have WinZip installed, and you know you want to extract the contents, create a New Folder on the Desktop and with yr right mouse button, click down on the file and let go of it while it hovers over the New Folder. One of the choices will be for you to extract it to that folder. That's the easiest way to do it, I've found.

Wanna see the team who worked on the help files for Windows 95?

1. Go to the start menu and click Help. 2. Click the tab marked Find. 3. At this point you may get a wizard asking you to set up Find. If you do, use the defaults. 4. In the Find dialog box click Options. 5. Set the top section to: All the words you typed in order, set the next section to: begin with the characters you typed. 6. Click OK to return back to the main dialog box, and enter in the top box exactly: Who knows who built this tool? 7. Hold down Shift and Control while clicking the Clear button. 8. Click Options again, and set the top section to: At least one of the words you typed, set the next section to: contain the characters you type. Click OK to return back to the main dialog box. 9. In the top box enter exactly: The Shadow knows! 10. Hold down Shift and Control while clicking the Clear button.


24th March

24th March 1997

Hey--have you compacted your Microsoft Internet Mail folders lately? Go to File | Folder | Compact | All Folders. What? Didn't know that function existed before now? Ten to one says you reclaim more than a Meg worth of space.

I haven't said this in a while, but the tip really helped Lockergnome subscribers when I posted it, so I'll say it again: it is safe to delete *.gid AND *.fts files from yr hard drive. They are created when a help file is opened and a search is made within it (respectively). I had e-mails saying that some people had reclaimed up to *10* Meg worth of hard drive space after deleting these files. Just do it.

For those of you thinking that you can completely get rid of the AUTOEXEC.BAT & CONFIG.SYS (as I noted in the last software issue), you might want to rethink that strategy. If you've got an anti-virus proggie which TSRs from DOS, you might want to keep those startup files around. :)


April 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th April

15th April 1997

Is your system taking a long time to start up? Well, how many fonts do you have installed? Of all those fonts, which ones do you use on a regular basis? Here's a trick I've discovered: install only the fonts you use on a regular basis and put the others (novelty fonts, fonts less used) in a separate folder. When you want to use one of those non-installed fonts, just open it up (double-click it). Windows will have that font loaded into memory. Every program that I know of will recognize that font (if it is open) just as it recognizes all the fonts in your Fonts folder. You should be able to use it as you did when you had it installed, only it won't be taking up system resources and slowing down start up time.

I had to insert these "hints" here--just because I think a lot of people who make web pages could make their graphics look better. HINT: use GIF compression when the graphic is textual in nature or if you're doing a screen/window shot; NEVER use JPG compression when the graphic is textual in nature--it will come out looking like someone dunked it under water. Do ALL your graphic editing in high color mode (64k colors, 16 bit); NEVER do your graphical editing in 256 color mode or less, unless, of course, you want the graphic to look like junk--you can always make a 64k image a 256c image without much (or any) loss of quality. These hints are intended to make your creations appear nicer, as well as to make surfers' eyes hurt less when they navigate yr part of the web.

And if you browse the web, don't do it in anything less than High Color (16-bit) mode and with a resolution of no less than 800x600. People who browse the web in 256 colors (8-bit) at a resolution of 640x480 are missing half of the Internet experience.


May 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


10th May

10th May 1997

Sure, colored cursors are cool--we all love 'em. But if your video is sluggish, or things just aren't moving fast enough for you on-screen, consider switching back to the default cursors that shipped with your computer. Yes, they're Black & white--but they also have smaller memory requirements. Open Control Panel -> Mouse -> Pointers -> (None) -> Apply. Viola.

Want to save a particular link you find on a WebPage? If you're using MSIE, you can click (and hold) a regular link and then drag it to your desktop. Bingo--no muss, no fuss. Nothin' but shortcut. It works with regular images, too!

Compress your e-mail! If you use Microsoft Internet Mail & News, you should: File -> Folder -> Compact -> All Folders whenever possible. If you haven't done it lately, you could be wasting up to 10M on your hard drive! That I know of, this only applies to MS Internet Mail & News users. I could be mistaken.

Danworld.com tells us that if you have the Natural Keyboard, there are several built-in special keys:

* WIN + R = Display the Run dialog box.
* WIN + M = Minimize all windows currently open.
* WIN + F1 = Start Help
* WIN + E = Start Explorer
* WIN + F = Start Find Files/Folders dialog box.
* CTRL+ WIN + F = Start Find Computer dialog box.
* WIN + TAB = Cycle through taskbar buttons.
* WIN + BREAK = Display Systems Properties panel.


31st May

31st May 1997

Ever wanted to take a snapshot of your screen? Well, hit the 'Print Scrn' key and a bitmap will be placed onto your clipboard. Open up your favorite image editor, paste it as a new image, and edit to your heart's content.

You probably already knew that... but did you know that if you pushed 'Alt' and 'PrintScrn' that it would capture only the active window? Keen beans!

Create activation & deactivation corners for your screen saver! It'll require a bit of registry hacking, but it's well worth it:

1. Start up Regedit.exe 2. Navigate to HKEY_CURRENT_USER 3. Then to Software / Microsoft / Windows 4. Open Current Version 5. Click on Screen Savers 6. Add a new string value 7. Name it Mouse Corners, and 8. Edit value so it equals "-Y-N" (no quotes) 9. Position your cursor in the upper right corner of the screen 10. The screen saver will immediately activate.


June 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


20th June

20th June 1997

Remember your keyboard? Once you learn how to manipulate text using it (rather than your mouse), you might find yourself having an easier time in Windows. For instance, you can usually jump to the beginning of the next word by holding onto Ctrl and pressing the right/left arrow keys. If you want to select the words as you go along, merely hold the Shift key as well as the Ctrl key. A lot less random than the moving the mouse, eh? Don't forget your old friends Ctrl-A (select all), Ctrl-X (cut), Ctrl-C (copy) and Ctrl-V (paste). Using the keyboard instead of the mouse could shave minutes off your working time.

Wanna view a "text" file quickly, but NOTEPAD.EXE isn't set up as a certain file's default viewer? This trick comes in handy for those who edit HTML files. Make a shortcut to NOTEPAD.EXE and then place it in your C:\Windows\SendTo\ Folder. Then, right click on any "text" file and send it to "Notepad". Perfecto.

You might have some AVI files on your hard drive that are just sucking up disk space. Why not do a search for "*.AVI" and see what comes up. If yr computer came with Windows 95 pre-installed, chances are you'll find ~8 Meg worth of space being wasted by "useless" videos. What was Microsoft thinking??

Always want to have a choice about if you boot into Windows 95 or directly to a DOS prompt? Edit yr C:\MSDOS.SYS file and add 'BootGUI=1' (minus the apostrophes) to the [Options] section. Bingo. Make sure you've got the file's properties set so that you can save your changes. Heck, if you download More Properties (URL in the GnomePrograms section), it'll do most of the MSDOS.SYS changes for you!

If there's an ANImated cursor you want to view without opening the associated application, just right click on it, view its properties, and bingo... in the top corner it'll animate for you at a fixed speed!


July 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


10th July

10th July 1997

If you've got Microsoft Internet Explorer 3.0 (or higher) installed, did you know you could enter a URL on the "Run" command line and it will launch MSIE? Just hit WinKey+R and it'll pop up, paste (or type in) the URL, and voila. Now how's that for a shortcut?

Is the Taskbar too small for you? Well just hover your cursor over the top edge of it until it changes into an "up/down" arrow. Click, hold, and drag to desired size. Or, if you're sick of it being at the bottom of the screen, why don't you click on any part of the taskbar, and then drag it to the top, or even sides, of your screen. How's that for a new point of view?

Did you know you could use keyboard shortcuts to cut, copy, and paste files while in Explorer? No, not Internet Explorer--the regular Explorer window. Sure! Just select the files you'd like to copy (or cut) and then hit Ctrl-X (cut) or Ctrl-C (copy)... when you're ready to paste them into a new directory, Ctrl-V will do the trick. This tip might save you some mouse-time.


30th July

30th July 1997

I'm sure you've got a Windows Startup sound (unless, of course, you don't have a sound card installed). Perhaps you'd rather play a MIDI file rather than a WAV file when you "Start Windows"? Open up Control Panel, then Sound, then remove the reference sound for "Start Windows". After that, create a shortcut to the MIDI file you want played when you "Start Windows" and place that shortcut in your StartUp group! If you'd rather not view the MIDI player, open the shortcut's properties (select the shortcut and hit Alt-Enter) and click the "Shortcut" tab. Choose "Minimized" from the Run drop down menu (once again, from within the shortcut properties). Voila!

Internet Explorer 3.0 users: did you know that you could open up a website (URL) using the Run Command? Just hit WinKey+R (if you have the WinKey on your keyboard) or just click the Start Button & select 'Run'. From there, instead of typing in a program name, just type in the full URL of the site you're wanting to view, and it'll pull it up in MSIE. NOTE: you have to type in the FULL address in order for it to work (http://www.lockergnome.com/ for instance).

How much time are you wasting when you shut down Windows? Did you know that your system has to wait to restart until it has finished playing a ShutDown sound (if you've even assigned one). If you want to "restart" quicker, the first thing you should do is remove your "Exit Windows" sound. Open up Control Panel, then Sound, then remove the reference sound for "Exit Windows". Every second counts...

[Recycled Tip] I love fonts as much as the next geek, but I don't have them all installed on my computer. The more fonts you have installed, the more memory you're wasting. Here's a way to use the fonts you like without installing them. ;) First, remove not-often-used fonts from your fonts folder and put them in another folder (name it "Other Fonts"). Then, when you want to use a particular font, open it, minimize it, and then go into whatever application in which you want to use that particular font. When it is open, Windows 95 (perhaps NT 4.0) will think it is installed, and it will be available for you to use in whatever application. When you're done with it, close the font window... no more memory hogging!


August 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


20th August

20th August 1997

To open to a certain folder on your hard drive, you usually have to click through several levels of folders in Explorer. Did you know you could use the Run Command to get there in a jiffy? If you know the folder's name, type it in the Run Command Line
(WinKey + R) and it should open (test it with 'Cursors' or 'Recent'). That I know of, the folder can't have any spaces in order to be launched from the Run Command Line.

Try right-clicking on an open program in your taskbar. You'll discover that you can Maximize, Minimize, or even Close the window without even touching it!

If you don't have profiles set up on your machine, but more than one person uses it, why not set up your Start Menu Program Groups so that the first level has the individual's name? That way, you don't have to mull through shortcuts and folders which you don't care to use. Like set up a "Mom" folder or a "Dad" folder, "Person 1", "Person 2", etc.. How can you do that? Right click on the Start Button, choose Explore, double Click the 'Programs' folder and then start setting up individual 'accounts'.

Ever use Program Manager? If not, delete all the *.GRP files in your Windows directory... they're just wasting space. And while you're deleting files, get rid of any *.GID file... trust me, they'll reappear only after you launch the associated *.HLP file. For the most part, *.GIDs aren't worth having around. Neither are *.FTS files (Help File Find Speedup) or *.CNT files (Help File Table of Contents) if you're an expert user.


30th August

30th August 1997

Have you run "DEFRAG" lately? I'd suggest doing it weekly if you surf the Web. Never heard of Defrag? Try it once; you just might notice a speed increase.

Wanna know another file type that's (usually) safe to delete? *.CHK files. If you've run "ScanDisk" before and there were lost clusters found on your drive, they were probably converted into *.CHK files. If your computer is running just fine as-is, you might consider freeing up to 10 Megs worth of space by deleting these 'converted' files. YMMV!

I goofed, and as hundreds of you informed me: you can indeed open folders with spaces in them from the Run Command line. Just put "quotes" around the title. Like entering: "C:\Program Files" So be sure you throw quotes in there, or else it won't work. ;) Really!


September 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


10th September

10th September 1997

If you've got 32 Megs of RAM (or more), you might be able to squeeze a bit more performance out of your machine. Unfortunately, you'll also have to do some registry hacking if you want to implement this tweak completely (see http://www.microsoft.com/kb/articles/q138/0/12.htm). Right click on "My Computer", select Properties. On the Performance tab, click File System. In the Typical Role Of This Machine box, select Network Server, and then click OK. Do this ONLY if you have 32 Megs of RAM (or more)... even if you aren't running a Network Server, the cache will greatly enhance your system performance. Please see the Microsoft URL listed in this tweak before finishing.

Wanna get an object's properties? Forget about right clicking on it... too much time and coordination. Try depressing the Alt key and double-clicking on it instead (Alt+DoubleClick). Amazing, eh?

When you're entering a web address in your browser's address bar, you don't have to bother putting in the 'http://' since Netscape & Internet Explorer usually fill in that part for you. This is typical for versions 3.0 and higher. Save some keystrokes, man
(or woman).

If you're receiving this eZine as an attachment, I'm sorry. E-mail isn't perfect... yet. What can you do to get the "hyperlinks" active: select the text, paste it into a new message, send it to yourself. This only works if you're running an e-mail client that supports 'hot' links (like Microsoft Internet Mail or Netscape Mail). Or, you could just pump it through the Text-to-Web Converter proggie which I featured in this issue.


25th September

25th September 1997

With the new WinZip (6.3 Final, reviewed above), you can easily extract ZIP archives into a new folder for quick (and/or temporary) access. Merely right click on a file and HOLD it, drag it while still right-click-holding, let go completely and select the option to extract the archive into its own folder.

Here's a couple more great keyboard shortcuts: WinKey+M will minimize all windows. WinKey+D will restore all minimized windows. 'Nuff said.

Lockergnome Fan James Graham discovered that you can select multiple folders in Explorer and, instead of selecting 'explore' on the right-click menu, double click (while pressing shift) to open an Explorer window for each folder.

Lockergnome Fan Marshall Ferrell told me about some speed tweaks he uses on his computer. He thought it would be nice if everyone heard about some of them. Wanna free up some space on your hard drive(s)? What files could be safe to delete? Here's a short list that covers the major files that could disappear without disastrous ramifications. Keep in mind that YOUR MILEAGE MAY VARY
(YMMV), so instead of deleting the files first, move them to a "Delete" folder and when you've run your computer w/o any problems for ~1 month or so, it is probably safe to get rid of everything in that "Delete" folder. To find these files, hit the "F3" key and type in "*.XXX" with .XXX being the listed extension. Make sure you search all your hard drives instead of only one folder.

.chk - Scandisk backup file; if there's lost clusters found when you run Scandisk, these files will be created. They will not come back, but new ones can be created with future Scandisk uses.

.grp - Program Manager Group file; if you never use Program Manager anymore, why keep these around? They will not come back, but an install program could create new ones.

.gid - HLP-related file; when you run a Help file, it creates a "GID" to make future accesses to that particular help file a tad quicker. They're a complete waste of space, and usually the worst disk-hog offenders. You'll have to delete these on a regular basis, as they are recreated with every Help file execution.

.fts - HLP-related file; when you perform a search with a Help file, this is created to make all future searches be performed quicker. Eh, not worth having around unless you use HLP files on a daily basis. They'll reappear if you do a search in a HLP file, so these should be regularly scanned for and deleted.

.cnt - HLP-related file; ever notice those tables of contents when you launch certain Help files? If you don't need a table to help you navigate through a Help file, delete these. They will not come back.

.avi - Movie file; if you know how to use Windows 95, don't keep these things around. Make sure you "watch" them before deleting them, because you might delete a movie you wanted to keep. Still, they could be lurking on your hard drive(s).

.mov - Movie file; see .avi.

.tmp - Temporary file; when you exit out of Windows without shutting down everything, these files could be littering your hard drive (typically, they can be found in the \Windows\Temp\ folder). Many programs have temp files to help speed up processes; they're a necessary evil. You might find hundreds of these just waiting to be deleted.

.~mp - Temporary file; see .tmp.

.bak - Old file; when a new version of a program comes along, sometimes it will rename the old version with an .bak extension. Be careful when removing these files. .old - Old file; see .bak.

.$$$ - Old file; see .bak (usually, not always)


October 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th October

15th October 1997

Hey, when was the last time you cleaned your screen? If your answer involves the word "year", I'd suggest you clean it post haste. But instead of using a glass cleaner or water, walk down to your local optical center (where you buy glasses) and ask for a bottle of 'lens cleaner'. It works NICELY. Some centers might give you a cleaning cloth, too... as paper towels can leave dust behind. NOTE: regular household glass cleaners can damage protective screen coatings if you're not careful.

To Maximize a window in NT40 hit Shift+WinKey+M.

If you decide to use Outlook Express, hit CTRL-F2 to view the source-code for HTML formatted messages.

As much as I dislike the speed of the new Start Menu (with the shell integration part of IE40 turned on), I've discovered yet another little 'trick'. You can hover a shortcut over the Start Button... but DON'T LET GO. Wait a few seconds and the menu will cascade out... move your mouse up to the Programs folder (still not letting go) and IT will cascade out, as will any/every folder you have in the Start Menu. You can then place the shortcut anywhere in the Start Menu without having to open up an Explorer Window. You can also dynamically move any item in the Programs section of the Start Menu... right click on any one of those icons! Makes for a pretty configurable Start Menu.

Lockergnome reader Tasha Maple found a great way to utilize Microsoft NetShow (which comes with IE40). Just check out the LIVE Shark Cam on the Sea World animal page below: http://www.bev.net/education/SeaWorld/SharkCam/sharkcam.html If the server times out, keep trying during Sea World operational hours!

Suggestion: In your Start Menu, categorize your Program Folders into more general sections (Fun, Productivity, Multimedia, Optimization, Accessories, etc.)... if you have more than 10 Program Groups in your Start Menu, I'd strongly suggest that you cut those down even further... the smaller the Start Menu, the broader the categories, the easier it could be to get to the programs you're wanting to run.

For the Internet Explorer 4.0 Easter Egg:
1. Open MSIE 4.0 Final.
2. On the Menu, go to Help | About.
3. Hold CTRL and drag the e Logo onto the world icon.
4. Let up on the CTRL key and then press it down again.
5. Move the e over the Internet Explorer 4.0 text.
6. The text should slide aside revealing an 'unlock' button.
7. Hold down CTRL again and move the e Logo back over the world.
8. Sit back and Watch the show!


31st October

31st October 1997

No doubt you power users have heard of Microsoft's RegClean before. It's basically a nifty utility that cleans out "useless" and 'dead end' registry entries... Microsoft recently yanked it off their site because it causes problems with IE4. So, if you've got IE4 installed, don't use RegClean at all until Microsoft releases a new version (I'll let you know when they do, trust me). I've heard unconfirmed reports that you can still use it if you don't have the Active Desktop or shell integration features of IE4 turned on. Your best bet is still to wait until Microsoft releases a new version.

Outlook Express keyboard shortcuts:

To Open or post a new message, hit CTRL+N
While reading a message in mail or news, hit CTRL+SHIFT+R or CTRL+G (news only) to Reply to All. This comes in handy when you want to reply to the author of a message AND the newsgroup in which it was posted.
To quickly jump to your Inbox, hit CTRL+I
To View the properties of a selected message, hit ALT+ENTER
If you want a quick way to Insert your signature, hit CTRL+SHIFT+S while you're editing a message.
I went out to eat the other day and saw a guy who had a modem hanging from his neck. Here's a tip, gang: Don't do that. Not only will your connections be lousy, but you'll look like a dork. Not that dorkiness is bad... just that... modems aren't a fashion statement (or ARE they!?).

META tags are the best way to help search engines (and other programs) recognize and categorize the information found on your site. They must be placed between the <HEAD></HEAD> tag. It defeats the purpose if you're dishonest with your information, so try to play fair? Here's a list of the most commonly used ones (at least, the ones I use at Lockergnome.com). Note that the ROBOTS tag is for those sites who want all of their subsequent pages indexed as well. You should change the following content info to reflect your page(s):

<meta name="author" content="Who made this page?">
<meta name="owner" content="Who owns this page?">
<meta name="description" content="What is this page about?">
<meta name="keywords" content="What, words, describe, this, page?">
<meta name="copyright" content="When did you make this page?">
<meta name="contact_addr" content="who@madethispage.com">
<meta name="rating" content="general">
<meta name="robots" content="all">

If you'd like to squeeze as much juice as you can out of your video card, quit using background images. Why? Because however big that background image happens to be is exactly how much video memory it takes up. Sometimes they're over a MEG in size! To change your background image (in case you didn't know already), right click on the Desktop and choose Properties. The Background tab will display a list of BMP files (Bitmaps) which you may use.


November 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th November

15th November 1997

Some of you have asked me what the bottom of the eZine "means." If you scroll to the very bottom of this e-mail message, you'll notice certain characters. Some of you will be able to read the word "lockergnome"... others will just see garbage. Why? Your font settings. I always recommend that you set your e-mail client to use a fixed width font (like Courier New or Lucida Console) instead of the default Arial or Times New Roman. You'll find that certain items that used to look like garbage suddenly show up as "art," and character spacing becomes more precise when you're composing a message. Try it--you might like it.

When was the last time you cleaned out your Start Menu? Right click on the start button, choose 'Explore,' and then go through the Program groups and delete folders or shortcuts you don't use anymore... if you ever used them at all. And while you're at it, why not get rid of some junk that's sitting on your Desktop? The less icons you have, the less confused you'll be when you're trying to find one. I have a "working" folder and I put everything that I'm working on in there. It works like a charm.

You've got a 'Send To' cascading menu when you right click on a file... put a shortcut to Notepad.exe in there! When I want to edit (or view) a text file that isn't registered with Notepad, I just 'send it' to Notepad. Just open the Run Command line (WinKey+R or click on the Start Button and select Run), type in "SendTo" without the quotes, right click somewhere in the newly opened window, make a New Shortcut, and point it to "notepad.exe" without the quotes and then click okay. Wah-lah, you've got a shortcut to Notepad in your 'Send To' menu!

My girlfriend likes this tip: Delete all your *.FTS and *.GID files... they're created when you launch or perform searches in help files. You could be wasting up to 6 MB or more of disk space with these files. Don't worry, you can delete them safely... they'll come back when you perform those functions with help files again.

Lockergnome subscriber Asaf Prihadash has written down steps which you can take if you'd like to have an "Edit" button on the right side of IE3 or IE4's toolbar. This button will allow you to edit the page that's loaded in the browser with your favorite HTML-file Editing program. Before you start, make IE your default browser... then:

1. Open the Explorer. 2. Press "view" | "options." 3. Press the "File types" tab. 4. Scroll down until you find the HTML file icon & click it. 5. Click the "Edit" button. Before you go to the next step, make sure that in the list on the lower side of the next dialog box there isn't already an "Edit" Action. If there is, click "Edit" instead of "New" in the next step. 6. Click the "New" button; a dialog box should appear. 7. In the upper text box type "Edit" (without the quotes). 8. Click the "Browse" button by the lower text box; by browsing the directories, find your favorite HTML editor and double- click on it. 9. The next time you launch IE, you should have the Edit button on the right end of the toolbar.

In all seriousness, I've been working very hard this last past year to distribute Lockergnome's newsletters. I've received countless e-mail accolades from you guys/gals... I've done my best to make this e-publication the best it can possibly be. If you can purchase a Lockergnome t-shirt (or other LG paraphernalia), your support will be appreciated. And if you can't afford it right now, put it on your Christmas wish list. :) If you don't celebrate Christmas, then write it down for a possible Birthday present. Every one of you counts (I've always said that). Tell your friends, neighbors, co-workers, family members, and even your ISP... and like I said before: think of it as "registering a shareware product." Rather, wearware!


30th November

30th November 1997

There are (literally) hundreds of search engines on the 'Net, but the only one that has yielded Lockergnome more subscribers is Yahoo. If you can get listed in Yahoo, you'll get more hits. Why? Because Yahoo categorizes their sites... if a surfer finds a category and surfs all the links therein, they'll get to your page quicker than they would if they had gone to a search engine which returned thousands of uncategorized links.

While we're talking about searching, if you're looking for a phrase on the 'Net, make sure you put it in quotes when you go to perform a search: "apricot peel" would find all registered pages with those two words. This should apply to most major search engines.

If you plan on purchasing a computer this Holiday season, let me give you a couple of hints: you'll kick yourself in the pants come next fall (a whole new kind of computer will be out: Windows 98, DVD drives, a TV tuner cards, faster motherboards, etc.). If you do decide to get one soon, remember that you usually get what you pay for. A cheaper computer will have lesser quality components and will (typically) be more difficult it will be to upgrade in the future. Always talk to the computer geek in your family before you purchase anything... that kind of consulting is usually free.

More people get sick during the winter months (at least in Iowa). Keep a can of Lysol (or anti-bacterial air spray) close to the keyboard and spray it every day or so... especially if you have a lot of people using the keyboard on a regular basis (children, roomies, friends, etc.). Do you wash your hands regularly? :) I don't want you getting sick...


December 1997

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


15th December

15th December 1997

Sometimes you'll be reading an e-mail message (or news post) and suddenly get stuck when you come across an unfamiliar acronym. I thought I'd show you some of the more commonly used ones I've seen online. Remember, WYSIWYG (What You See Is What You Get):

TTFN = Ta-Ta For Now.
IMHO = In My Humble Opinion.
BTW = By The Way.
BRB = be right back.
J/K = Just Kidding.
LOL = Laughing Out Loud.
OIC = Oh I See.
ROTFL = Rolling On The Floor Laughing.
IRL = In Real Life.
10Q = Thank you.
FWIW = For What It's Worth.
FYI = For Your Information.
HTH = Hope This Helps.
NOYB = None Of Your Business.
OTOH = On The Other Hand.
RTFM = Read The Fine Manual.
TIA = Thanks In Advance.
TTYL = Talk To You Later.
YMMV = Your Mileage May Vary.
ISP = Internet Service Provider

I know some of you are dying to defrag your disk at 3am every 1st Tuesday of the month. Well, if you're not--let IE4.01's Task Scheduler do it for you (just another advantage of upgrading to IE4.01). You can tell Windows to perform certain tasks at certain times... then "forget" about it. To download the scheduler, first you need IE4 (or 4.01). Click on Help | Product Updates and then look for the Task Scheduler section of the page.

It's important. You jot it down at work, thinking that you'll remember to take it home. You don't. You can't remember what you wrote down. Here's a suggestion, if you've got Internet e-mail access from both home and work, e-mail yourself a message "to do" something instead of writing it down. If you're at home, e-mail your work address. If you're at work, e-mail your home address. You'll never forget about something again (batteries not included).

Want to log the date and time of a text file when using NOTEPAD.EXE? Hit F5.

Telling the different versions of a program is difficult to do unless you launch the program and it shows the version number somewhere. Try this: right click on an EXE (or DLL) file and select the Properties. If it is a 32-bit program that was created by a good programmer, chances are it will display the version number first thing. You can look at other great information about the file, too.

L8R G8RZ (Later Gators)!


31st December

31st December 1997

Care to log entries into a certain text file? You don't need anything more than NOTEPAD.EXE. Long-time Lockergnome subscriber Gil Varod sent this tip: in the beginning of a text file, on the first line, type in ".LOG" (without the quotes). Save the file and close. Now, each time you open it, the date and time will automatically be logged at the end of the file.

Some of us have gotten used to Internet Explorer 4.0 (while others are removing it). There were a few annoyances which plagued my system until a Lockergnome subscriber told me about the following URLs. After you check out these tweaks, be sure to visit the main page for MORE great 95/98/NT tips & tricks:

Remove Log off user:
http://www.cobsys.com/mt/tips/ie40-41.shtml

Remove Favorites folder:
http://www.cobsys.com/mt/tips/ie40-36.shtml

Remove Documents folder:
http://www.cobsys.com/mt/tips/tune-36.shtml

When you want to get out of Windows, chances are you don't want to be delayed. If you want to speed up your shut down time, remove the 'shut down' sound. Just launch your Control Panel, double click on the Sounds applet, and then remove the "Exit Windows" sound reference.

If you want to speed up your Windows 95 rebooting time, depress the shift key while selecting and OK'ing the "Restart the computer?" option from the Shut Down menu.


1996

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


September 1996

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Saved background images

27th September 1996

In Internet Explorer for Windows 95, if you save an image as your background, make sure you go into the Windows directory and rename it to something else if you want to keep it. Otherwise, it will be written over the next time you save an image as your background under MSIE. I know--not really a trick, but a tip worth noting. ;)


View a simple text file

29th September 1996

Want to view a simple text file that might not be "associated" with notepad (and who would want to associate with that proggie? ;) )? Well, just add a shortcut to notepad.exe and place it in your "SendTo" folder found in your Windows subdirectory. GREAT time saver, dudes (and dudettes).


Explorer mouse over

30th September 1996

In Internet Explorer 3.0, hold your mouse over the forwards/backwards arrows and it will pop up a tool tip telling you the titles (if given) of each page. Neat, eh?


October 1996

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Messed up desktop icons

4th October 1996

If your icons on the desktop are messed up (not looking their best) chances are, you might have inadvertently changed your horizontal and vertical icon settings. You can change them back
By right clicking on the desktop -> Properties -> Appearance -> then change the settings back to 32 (for both icon horizontal and icon vertical). Heck, even experiment with making the icons smaller or larger!


Devices causing conflicts

6th October 1996

"Although there is no way to prevent Windows95 from detecting and installing drivers for some devices, you can disable certain devices that may be causing conflicts. The lack of a feature to remove an item from the list of detected devices (when you use Add/Remove Hardware) is quite irritating and confusing, but problems can usually be averted by following these steps."

- Right-click on My Computer, and select Properties.
- Click the Device Manager tab, and select the device you wish to disable.
- Click the Properties button, un-check Original Configration, and click OK.


Cool Desktop Themes

9th October 1996

Want to be able to check out all those cool Desktop Themes available in the Shareware Collections, but haven't saved up enough to get Microsoft Plus yet? There is a way...

Go to http://www.microsoft.com/windows/thirdparty/plus/theme.html
and download the demo version of the software. This will allow you to use the Dangerous Creatures theme on your computer. Now, download the theme you would like to evaluate and unzip it into the Themes directory.

Using Explorer, go to that directory and find the Dangerous Creatures (Demo) file and rename it Dangerous Creatures 1 [this will allow you easily find it later so it can be restored]. Find the file that starts your theme [if you do a view by type command, it should be located next to the DC (Demo) file] and rename it Dangerous Creatures (Demo) When you start the demo, you will see the choices available. Choose the Dangerous Creatures (Demo) choice and your new theme will be displayed for evaluation. Please note this is to be used for evaluation purposes only and is not intended to surpass the purchasing of Microsoft Plus. Its function is to allow you to view the many ways that Plus can enhance your computer enjoyment.

[thanks to Micah K. Hart (micahart@interramp.com)]


Improving Driver Speed

15th October 1996

"Chances are that some of the device drivers you have in your CONFIG.SYS file are part of Win95's Plug-n-Play device library (CD-ROMs are probably the most common). To check and see if Win95 has a driver, clear out the contents of your CONFIG.SYS file by putting a REM in front of every line. Also, put a REM in front of TSR drivers in the AUTOEXEC.BAT file. Remember to make a backup of your AUTOEXEC.BAT and CONFIG.SYS file when you do this. Next, restart your computer so the drivers are cleared from memory. Load up Windows 95 and check the device manager to see if it got all of the devices that you removed from CONFIG.SYS. The ones that it didn't find, remove the REM from the first part of the line. Also, check with your manufacturer to see if they have a new or updated 32-bit driver. Hopefully, by replacing the 16-bit drivers with the 32-bit drivers, you will have a lot fewer crashes and a faster access speed to all of your devices."


Restart your computer

19th October 1996

Ever get that message "You must restart your computer before the new settings will take effect." mesage? Don't restart your computer! I've found that you don't necessarily need to do that. =) If you have networking capabilities installed (which I'm assuming you do, if you're using Dial-Up networking, you're set). Just choose the option on the Shut Down menu to "Close all programs and log on as a different user." Viola, if you have a username/password, enter that, if you don't normally have a password, just click "okay". Then Windows 95 will think that it has indeed rebooted and your settings will have changed. This technique is extremely helpful if you're doing a lot of troubleshooting with hardware problems! =)


Detecting Doubled Diskettes

23rd October 1996

Want to reboot Win95, but don't want to go all the way through the entire rebooting process? Well, that's simple to do! Go to the Start Menu, click Shut Down, select "Restart the computer" and just hold down the shift key as you click "Yes." Simple as apple pie! ;)

Detecting Doubled Diskettes -- Compressed hard disks and diskettes must be mounted before they can be accessed. Hard disks mount automatically when Windows 95 boots, and compressed diskettes are mounted as soon as Windows 95 detects them. But if you aren't running Windows, compressed diskettes aren't automatically mounted. To mount a compressed diskette, use the ScanDisk utility with the parameter /MOUNT followed by the diskette's drive letter. The DOS command looks like this: "SCANDISK /MOUNT A:"

OH, and in case you forgot, try using ctrl-x, ctrl-c, and ctrl-v once in a while--definitely speeds things up in cut/copy/paste operations. =)


A lot of physical RAM?

28thOctober 1996

Is Win95 going to the disk too often--even if you *do* have a lot of physical RAM? If you have 16 megs of RAM or more, read on! Don't worry, it doesn't involve registry hacking (at least what I'm about to tell you to do doesn't). Edit your "SYSTEM.INI" file and go to the 'vcache' section. If you have nothing underneath it, that's fine--you can add what follows:

For 16 megs of RAM:

[vcache] MinFileCache=1024 MaxFileCache=1024

For 32 megs of RAM:

[vcache] MinFileCache=2048 MaxFileCache=2048

Now, you might want to play around with these numbers a bit, but for the most part, people with these amounts of physical RAM found these numbers to maximize efficiency. ;) At least this will steer you in the proper direction! Remember, I just present you information, I take no responsibility if anything you do messes up your machine! ;) Don't sweat it, this is a simple edit. =)


November 1996

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


1st November

1st November 1996

sda19@net-link.net told me something that I didn't realize before--a keen keyboard shortcut to close an application: Alt-F4. Use it! =) If you think I'm stupid because I forgot--byte me. NO DON'T!

Once you've downloaded the OpenGL screen savers for Win95 (links above), go to the rotating 3D text options and type in 'beer' for the text. ;) Once you've had "your fill" of that, try 'music' and let that spin for a while. ;)


7th November

7th November 1996

Did you know that if you never use the VGA adapter's monochrome mode, you can free up an extra memory block? Just add the line VGAMonoText=Off to the [386Enh] section of your SYSTEM.INI file. =)

Get more information when refining your computer's memory usage by holding down the Alt key during reboot. This should initiate a display of startup information. =) And I hear, if you hold down all the keys on your keyboard and press up on your joystick at the same time, the mystical door to Narnia opens up! =)

Try using Ctrl-A if you want to "select all" the text in the window. =)


12th November

12th November 1996

I was playing around with Paint Shop Pro v4.1 and I discovered a way to make my images look like they're watercolored!

1. Edit an image (duh!) 2. Increase the image's color depth to '16 million' 3. Select Image -> Special Filter -> Mosaic 4. Select 'Symmetric' and make the block width and height '3' 5. Click OK 5. Select Image -> Special Filter -> Median 6. Select Image -> Special Filter -> Edge Enhance More 7. Select Image -> Special Filter -> Median

VIOLA! =) Pretty cool, eh? I discovered it by accident! YMMV--I tried it on different images, and some worked better than others. It seems to work best with B&W images, I believe. =)

Speaking of PSP, I have gnomely great news! I was in touch with a Paint Shop Pro programmer and the bug which causes your BMP icon to be overwritten has been fixed. =) It took a while for me to prove that this was a PSP bug, but they finally listened!

In fact, if you have Microsoft Image Composer installed, you can also use the kick-byte Impressionist plugins within PSP! =) Just go to File -> Preferences -> General Program Preferences -> Plugin Filters and then enter/browse for the Impressionist plugin path!

If you are changing sounds (WAV file) for your events, and if all of your WAV files are in the same directory, there's a way to gain access to all of them without clicking any buttons. Select an event which has been assigned a WAV file in the directory where you store all your WAV files, delete the file name, but leave the directory intact, hit return, and viola, you should get the full pull-down listing of all the WAVs in that directory. =) Time saver! I found this one while messing around, too! =)


18th November

18th November 1996

Been to a frames page written by someone who was frame-happy, which in turn makes you frame-upset? Me too. Happens all the time. Well, if someone forgets to put the - target="_top" - extention in the <a href...> tag, the link which goes to another site will be displayed in the current frame, and you're stuck with all those other darn frames hanging around. So here's what you do: Use Microsoft Internet Explorer 3.0 (you were using that anyway, right?) and instead of merely clicking on a link to get to that page, click it, drag it and drop it anywhere within the browser. ;) Bingo--instant fresh screen. =)

Yeah, I don't have a life, I know. But don't you just love these "Shortcuts" I've discovered by dinking around with Win95? Speaking of short cuts, never tell your barber that his daughter is ugly. Especially before or during your haircut. Oh my.

WinNT tip for registry hackers: Did you know that you can change the Welcome / Warning message? Open REGEDT32.EXE (in the System32 directory), go through HKEY_LOCAL_MACHINE - SOFTWARE - Microsoft - Windows NT - CurrentVersion - Winlogon, locate LegalNoticeCaption and LegalNoticeText (if they don't exist, you'll need to create them.) Double-click on LegalNoticeCaption and add the text you want to appear as the title of your warning dialog box, and click OK. Double-click on LegalNoticeText, add the text of your warning, and click OK. After you make both changes, exit RegEdit. Your warning will be shown the next time you log in. ;)


27th November

27th November 1996

What is the time and date right now? Why not open NOTEPAD.EXE and hit F5? ;) Isn't that cool?

Is your Start Menu crowded? Don't be afraid to edit it! Remove "useless" links to readme and help files, consolidate similar proggies into one folder, remove broken shortcuts. =) I have: Multimedia, AWE32, Business, Fun Fun Fun, Internet, Computer, and Utilities in my Start Menu. That's right--that's it! I used the latest version of TweakUI to move my StartUp folder to the \Windows subdirectory (why they put it in the Start Menu, I'll never know!).

Here's a pointer: Don't attempt to put Thanksgiving leftovers on your hard drive. ;)


December 1996

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


6th December

6th December 1996

If you haven't gotten FSBC yet (http://www.specent.com/~sda19/) and you want more space for web browsing (these 15" monitors are killing me), get MSIE. Well, I'm assuming yr using that (unless yr name is Tom Turner). ;) Remove the links bar and the text labels and put the address bar on the same line as the standard buttons. You can put either one on either side, that doesn't matter. I'd personally cover up to the "Edit" button (if you have one); if you need more room for URL entry, so be it. But, if not, you've got maximum space when the browser is maximized. Of course, if you want full maximizability (is that a word?) then you'll need to get FSBC from the aforementioned URL. ;)

Have you ever downloaded an animated cursor and wanted to see what it looks like when it is in motion? Just click on it and hit ALT+Enter or just right click on it and select properties. Viola! Well, even though it won't play it back at full speed, it WILL loop through the animation sequence.

If you want to attempt to speed up the refresh rate in Console Windows, add the following to the [386Enh] section of SYSTEM.INI: WindowsUpdateTime=10 (the value is the refresh rate in milliseconds). NOTE: using values less than 15-20ms requires a fast machine and a good video card. Otherwise your system will really become very slow when a DOS Box or Win32 Console Application is running). Make sure to reboot your system when yr done. ;)


13th December

13th December 1996

Is MSIE not launching as fast as it used to launch? Try clearing the "cache" or "Temporary Internet Files." However, don't do it from within MSIE--rather, go to that directory via the Explorer! When you are in that folder, select all (hit Ctrl-A) and then delete everything. This will clear out a lot of junk which is slowing you down. Another thing--get the latest TweakUI (URL above) and have it clear the history folder on every startup. Yet ANOTHER thing--keep yr MSIE disk cache percentage low. My recommended setting is at 5% of your drive.

Gil Varod (pinacolada@iop.com) wrote me this week and told me that in MSIE 3.0 it is possible to get a full screen browser w/o any menu items or bars in the way (Kiosk Mode). The following is from his informative e-mail message:

Go to the Start Button --> Run. Type in the following: 'iexplore.exe -k'. If that doesn't work, try typing in the full path where MSIE 3.0 is located (putting a '-k' at the end of it).

So how are you going to be able to go where you want? Either have a really good start up page or try these keyboard shortcuts:

Back & Forward: Alt+Left Arrow & Alt+Right Arrow Stop: Esc Reload Page: F5 Open URL: Ctrl+O Open Favorites: Open URL "shell:favorites" New Window: Ctrl+N Switch Windows: Alt+Tab Start Menu: Ctrl+Esc Select All: Ctrl+A Copy: Ctrl+C Cut: Ctrl+X Paste: Ctrl+V Print: Ctrl+P


Gnome Terms

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Gnome Terms - A

Gnome Terms 'A'

Acrobat
Abandonware
 Add-in
Apache
Applet
ASCII
Attachments
Avatar

Acrobat

An Adobe Acrobat is an acrobat made entirely out of clay. He can jump through hoops, tumble, and flip from trapeze to trapeze... as long as you keep him moist. Actually, you wouldn't want to keep the real Adobe Acrobat moist, since it should reside on your hard drive. What is it? Well, it's a PDF file creator. Why would you want to use the Portable Document Format? Well, let's say you've found a page on the Web that you want to print. You could save a printable version of the page in Adobe Acrobat. If your company wants to feature its new brochure on their Web site, you can use Adobe Acrobat to create an electronic version ready for mass Internet consumption. The document will retain its characteristics and structure no matter where it's viewed. You may have already installed the Adobe Acrobat reader; if you can open PDF files, you're golden. If you don't have it yet, just download a copy of reader for FREE at ADOBE.COM. It's close to the center ring...

Abandonware

Abandon ship! Yeah, I know there's a band on the ship... they just played in the ballroom (ba dum bum). Often, when an application (or game) no longer serves a purpose for the company that created it, that package becomes "abandonware." This just means that, while the program is no longer marketed by its owner, it can still be obtained from another source. An example would be an older version of an improved game that the company no longer sees as marketable. In a perfect world, Web sites that want to distribute an abandoned program must get permission from the company that created it. Remember, I said "in a perfect world." This licensing thing can be a real drag, but I can appreciate its function.

Add-in

This was a controversial comedy / variety television show that aired in the 1970s; you bet your sweet bippy it was... or perhaps I'm getting my words mixed up again? Well, you don't have to be a Go-Go dancer to sock it to programs with an add-in or two. You see, an add-in is a program that attaches itself to another program. Sound too leech-like for your tastes? Don't furrow your brow; add-ins are supposed to help. For example, I've featured dictionary programs that, when downloaded, integrate with Microsoft Word (or Internet Explorer). In other words, the program(s) nestle themselves snuggly into the program(s) they're supposed to help and... they spin their magic. Them dictionary programs sure are swell. Look that up in your Funk and Wagnall's. Here come de judge! Okay, that's enough. Say goodnight, Dick.

Apache

Okay, so we talked about "open source" and defined it as products such as Linux that can be changed and modified by the user to suit their needs. And we defined "Web server" as a program that serves up requested Web pages. Actually, I don't remember if I defined "Web server" or not, but there you go. Now, if you put these two terms together you get...? Right, "openwebsourceserver." But you also get Apache, which is the name of a very popular open source Web server, though it has little to do with a battle-hardened helicopter in this instance. You might have already guessed that Apache runs on UNIX-based systems such as Linux, but it also runs on Windows NT/2000. Since it's open source, those who use it can change it in any way they want.

Applet

This isn't a small apple, nor is it a tiny apple with a mohawk. Apple-T... I pity da fool who didn't get that joke. Nevermind. It's actually a small application -- something that can perform a task instantly (typically run within Web pages). If you've ever wondered how calculations get calculated and animations get animated, you're probably dealing with an applet. Since it's executed from within a larger application, they can't be launched from a regular operating system. Hey, that's just the way it goes. Does the term "Java applet" ring a bell? Every once in a while, I'll call 'em Control Panel applets. That's not precise usage, but I was trying to further the language. It'll never catch on.

ASCII

This term stands for "American Standard Code for Information Interchange" and is a method of representing readable characters with 7-binary digits. This allows for 128 possible characters, which is farily limited by today's standards, but is still the most commonly used format for plain text files. Since the ASCII standard represents a limited amount of characters, extended formats must be implemented to include non-English, graphical, and mathematical characters. Just ASCII and you shall receive.

Attachments

If the mailperson arrives with a package that is too big for your mailbox, then s/he has to bring the package to your door. I think the only exception to this rule is Mr. McFeeley, who always brings Mr. Rogers's mail directly into his house. My neighborhood's mail carrier never brings me film footage of a typical day on a dairy farm. You can think of your Inbox in the same light (as a mailbox, not a dairy farm). This is where you make attachments; they're files that are 'attached' to any given e-mail message (well, obviously). For most users, a paper clip icon accompanies messages with attachments. You might get a message that reads "We just had a baby! See the digital snapshot! Love, Uncle Happy." Depending on how the picture was sent, it will either appear in the message itself, or you will have to open it by clicking on the paper clip. Mail clients are typically straightforward about how to send and view attached files. Some ISPs, however, will place restrictions on the size of the messages you can send and receive. Always virus scan e-mailed files before opening them -- even if you know the sender. VBS and EXE attachments aren't from the Land of Make-Believe; they're real, and they can potentially damage your system.

Avatar

If you chat frequently (and I'm talking about online chatting here, not conversing with Mabel at the grocery store), then you may have encountered an avatar once or twice. What's an avatar? Well, it's a graphical rendition of a human being. In other words, it's a character (say, a bird) that represents you. It may talk, smile, bend, flutter, walk, sit and basically act however you'd like it to. It doesn't have to be a bird, it can be pretty much anything. Avatars pop up in chat rooms, and you can also download them from certain Web sites. It's not a replacement for real human interaction, but it does make chatting a lot more fun.


Gnome Terms - B

Gnome Terms 'B'

Bandwidth Theft
Batch File
Baud
Benchmark
Beta Testing
BinHex
Bios
Blog
Bluetooth
Boolean Search
Bottleneck
Browser Helper Objects
Buffer
Bulletin Board System
Burn

Bandwidth Theft

Stop! Thief! It seems like someone is always out to ruin your otherwise-joyous Internet experience. Viruses, spam, flaming... flaming spam. Can't we all just get along? Well, I know Gnomies can (save for the occasional friendly disagreement); it's the rest of the Web I worry about. Seems like some folks enjoy stealing the bandwidth from sites by linking directly to objects. Come again? Okay, let's say you have a short film sitting on your server. Someone may link directly to it, which means YOUR bandwidth gets used. This, of course, isn't the same as simply linking to a page. That's still legit. Lockergnome, in a way, steals bandwidth to make your downloading experiences more pleasurable. Whenever possible, however, I link to destinations which can handle the traffic spikes. Plus, I always provide a page link with any file URL. It's your responsibility to say thank you to the appropriate authors.

Batch File

I'll explain to you what a "batch file" is in a few moments, but first, let me tell you something about those Keebler Elves. They don't make their stuff from scratch. Considering how many cookies they have to make in a day, do you think they really have the time to combine all the ingredients for a truckload of Soft Batch Cookies? No, they have a big bag of Soft Batch mix that cuts their cookie-creating time in half. So, what the heck is a .BAT (batch) file? Nothing more than a text file that contains a sequence of commands for an operating system. It's a sequentially-ordered mix, so to speak. Without this file type, a command sequence would have to be entered one line at a time. Ernie the Elf would tell you that it isn't fun mixing the same ingredients over and over again. That little critter may not know a lot about computers or the Internet, but he sure knows his micro chips. Ha ha. Get it? Micro chips? Cookies? Ah, I believe I botched the batch pitch, butch.

Baud

The name is Baud. James Baud. This word actually comes from a man by the name of Jean-Maurice-Emile Baudot (he invented the Baudot telegraph code). Baud refers to the number of bits per second being transmitted, say, over your Internet connection. 300 baud is the same as 300 bits per second, or 300 bps. However, higher speed connections may allow more bits through than slower connections. In those cases, the baud and the bits per second may vary. In other words, more bits are allowed to pass through. Therefore, bits per second (bps) is a more accurate measure of data transmission than baud. I prefer my data shaken, not stirred. Thank you so much.

Benchmark

A "benchmark," in normal, everyday, run-of-the- mill, non-computer language, is something that other things are measured against. In other words: it's a point of reference. But, this is a tech publication, so we're going to define what "benchmark" means here in the digital realm. It means... basically the same thing. When a new product comes out, it is measured against certain conditions and similar products. It's benchmarked. An older version of a program can also be used as a kind of benchmark. Sometimes the criteria for a program is decided on beforehand; this criteria would also serve as a kind of benchmark. It's like when you start weight training and you hang up that picture of Mr. Universe to remind you of your goal. Those weights are too heavy for me, man.

Beta Testing

If you're an inventor, you'd probably want your inventions tested before you released them to the public. Ya know, in case your self-cleaning oven mitts don't work the way they're supposed to. Beta testing is (usually) the second step in designing a new application or program ("beta" being the second letter in the Greek alphabet, after all). See, once a programmer finishes his masterpiece, he has it "beta tested" by folks who love digging up and reporting errors, bugs, or other miscellaneous icky things. The software author can make sure it's clean and shiny and ready to be unleashed upon the public. If you find a program that's in its beta stage, that means it's coming with no promises (expressed or implied). Just don't confuse beta testing with Alpha Bits, although I'm sure that both stay crunchy in milk.

BinHex

Another day, another term to define. So what the heck is a "BinHex?" That's when you put a nasty spell on a bin. May no one eat the fruitcake stored inside you. Thank you, I'll be here all week, be sure to tip your waitress. Okay, actually, "BinHex" is a way of converting binary data into an ASCII file. Why would you want to do that? Because pretty much any computer in use today can handle ASCII characters. If you're sending a file to someone, converting to BinHex is an option to consider. Your e-mail might already contain a BinHex encoder/decoder for sending attachments. BinHex is mostly used as a way of encoding Macintosh files, akin to .Zip files on the PC. Kind of a babel fish for the digital world... if ya know what I mean.

Bios

When a computer needs to get across town, it simply takes the BIOS. Nah, but when it wants to boot up, it needs a basic input / output system. Er, BIOS. Okay, when you turn on your computer in the morning -- what's the first thing that you see on the screen? Before the pretty clouds, that is. Something about free RAM and hard drive capacity, I bet? What about "Hit F2 to enter Setup" or something along those lines? That's how you get into your system's BIOS. It's one program that can run without an operating system. In fact, its job is to keep your OS and hardware happier. Your internal devices are initialized before Windows runs; if something is awry at the system level, your BIOS should let you know immediately. "Keyboard error: press F1 to continue." Every BIOS is different; some allow for more tweaking. This software, of course, should not be touched by novices. Anybody can mess things up in a flash. Nice word choice, eh?

Blog

It sounds like caveman talk, doesn't it? "I Blog! Me make station wagon of tree bark!" You didn't know Blog was so resourceful, did ya? It's too bad Blog didn't have a blog of his own to upload his thoughts on automobiles. You see, a blog is a journal of your everyday life that you can share with the rest of the world (via the Internet). People who write blogs are called "bloggers." Why would anyone care about your day-to-day life? Ya got me. What kind of person writes about his life everyday anyway? I mean... oh wait, nevermind. Anyway, a blog can be written by anyone, really. Everyone has something to say, right? Of course, some blogs are more interesting than others, but they say it takes all kinds right? Is the Web a melting pot or a salad bowl? Well if it IS a salad, it has plenty of nuts, that's for sure. We make things more interesting, anyway, don't we? Get your own blog at BLOGGER.COM.

Bluetooth

With all the talk about handheld devices, you've probably heard the word "Bluetooth" come up a few times. What is it, you ask? It's a specification set up by the industry to allow PDAs, mobile phones, and personal computers to talk with one another through a wireless connection. In other words, it's all about bridging the gap... or gapping the bridge? Microsoft isn't including Bluetooth support with Windows XP, which could spell disaster for this particular technology. Then again, the technology really isn't ready for prime time yet. At least you knew the terminology while it lasted. I'm staying optimistic as always. Maybe. This world seems to move so fast anymore...

Boolean Search

Have you ever lost a Boolean? If you're like me, and you're constantly misplacing your Boolean, may I suggest a Boolean search? May I also suggest that I'm completely full of it? Actually, a Boolean search is when you use "AND" and / or "OR" to seek out content (on a search engine, in a document, etc.). See? Most of you probably already knew what it was without actually knowing what it was. Here's an example: typing in "Pirillo AND Lockergnome" will find documents / entries containing both of the words. Typing in "Pirillo OR Lockergnome" will uncover documents containing either one of them. Boolean search is based on Boolean logic, developed by the late mathematician (and computer geek), George Boole. Explaining it would mean getting into some heavy math, and it's been a while since I've seen that episode of School House Rock.

Bottleneck

*Honk* C'mon, let's go! Lousy Des Moines rush hour. Now it's going to take me an extra five minutes to get home. While I brace myself from those who live in large cities with real traffic problems, I'll get to today's term: bottleneck. That's what happens when there's a delay in transmission, say, over a TCP/IP network (although it can refer to any instance where data is slowed down). Here's what I mean: If you're running on 56k and trying to download a heavy graphic file, you'll most likely encounter a bottleneck. Don't worry, it's happened to the best of us. If your system slows down, yelling at it won't help, just like it won't help when you're stuck in traffic. It will make you feel a whole lot better, though.

Browser Helper Objects

I've stressed several times that if you're overly concerned (read: obsessed) about your privacy, the Internet may no longer be the place to loiter. There's a paradox at work here: in offering a slicker online experience, some companies need (or would like) to know a little more about who you are. That's why BHOs (Browser Helper Objects) are either really great or really, uh... not great (depending on how they're used). A BHO is a separate program that runs concurrently with your browser and performs a specific set of tasks, such as managing downloads. In order to 'help,' data may need to be transmitted from your computer to another. It's during this little exchange when your profile may be in jeopardy. This is why it's wise to scope out a site's privacy policy before embarking on any software installation. Now, because BHOs may run as a part of Internet Explorer or Netscape Navigator, you may experience a problem with IE -- when there's actually a bug with your BHO (and we all know how painful that can be). It should be noted that most BHOs intend to help, although they're not always 100% perfect. If you believe there may be a problem related to one, ask someone who knows. That's good advice in any circumstance.

Buffer

Wow, thanks for the fuzzy sponge, but when I said my computer needed a buffer, that's not quite what I meant. Ya see, a buffer is a data area that is shared by hardware devices and programs, all of which run at different speeds and have different priorities. The buffer doesn't necessarily speed things up, instead, it lets everything do its job without being held up by other processes. Of course, there are also those cool floor buffers you always saw the janitor using when you were in junior high. I hear they're a lot of fun to spin around on.

Bulletin Board System

When "sysop" (system operator) was defined, I failed to mention that it stems from BBS ("bulletin board system") jargon. A sysop would be the person in charge of a particular BBS. So... now I should define BBS, right? Right. A bulletin board system is a remote host which allows you to view, share, and swap files and messages. There are plenty of BBSes to choose from, and every one is dedicated to a specific topic. Okay, some of them are general interest, too -- but you get the idea. Most bulletin board systems work independently, but there are still a few operating within Web sites. That's the tenth push pin I've broken today.

Burn

A lot of you newbies seem to appreciate these new technical terms I've been featuring, and that's great. It's good to refresh yourself on terminology -- even when you THINK you already know it all. The other day, Gretchen asked me to burn her a CD... and I did just that. Do you know how hot you have to make the oven before the CD starts to melt? "Uh... Chris? That's not what I meant." Oops... heh. She really wanted me to copy content to a CD-ROM using my CD-R (Compact Disc Recorder). In our world, that's how the word "burn" is interpreted. Anytime you put files, music, pictures, or whatnot onto a CD, you're burning. Pretty simple, huh? Sometimes the simplest terms can slip right through that big ol' brain of mine. Oh, and I don't encourage the cooking of any piece of metal. Makes your brownies taste like magnets. Not that I've ever eaten magnets, mind you.


Gnome Terms - C

Gnome Terms 'C'

C++
Cable Modem
Cache
CAD
Carbon Copy
Chat Room Lingo
Chipset
CMYK
Codec
Command Line Interface
Compression
Computer Vision Syndrome
Content Sites
Cookies
Copyleft
Crawler

C++

If you visit the Web pages of programs featured in Lockergnome (and you should), you may have noticed that the term "C++" pops up quite often. It's an object-oriented programming language that many consider to be the best one available. Of course, some don't believe it's the best thing since sliced bagels. Everyone seems to have a different opinion. It's really strange, this whole "difference of opinion" thing. Anyway, C++ is used to create programs. It takes a lot of patience to learn, but in "no time at all" you'll be creating the same program fifty other people made two years ago. Oh, how I love to kid! Note: Java was developed using C++. I think that was also my final grade in social studies.

Cable Modem

Most people run on a 56k modem. Let me rephrase that: most computers run on a 56k modem. I don't know many human beings who run on a peripheral. I'm not sure you could be classified as "human" anymore if you needed a modem to function (oh wait, I think I just zinged myself there... ouch). Anyway, a modem most likely makes your "Internet connection" possible. The "56k" part can be a pain when it comes to downloading programs, listening to music, or watching video over the Internet. You see, that's not a lot of bandwidth (less than 56,000 bytes per second). A cable modem gives you (almost) more than enough pipe to complete your regular Internet odysseys. Plus, the cable modem is always connected -- which is great when you want to devote an entire day to watching the GnomeWEBCAM update. What? Nobody does that? Then what's the point of having a cable modem, anyway? It's just a regular coaxial cable that could just as easily plug into your TV. Don't try switching things around without warning your cable company first. The service must be turned on before you can use it. In my neck of the woods, cable was the only viable option. But I'm sure you heard about that in past Chris Pirillo shows.

Cache

Sorry, we only accept cache here. Ya know, it's a virtual place where data can be stored. That's basically what a cache does on your computer, too. It gives oft-used files a temporary home (for quicker access). Kinda like Tupperware for your PC. What the heck am I talking about? Let's say you mix up a heapin' helpin' of macaroni salad for lunch. You don't want to make it all over again later, so you store it in a container and pop it in the fridge for the impending midnight snack. Your Web browser has its own cache; a place where recently accessed Web data is stored on your hard drive. When you visit a page again, parts of it may be loaded from your system (as opposed to being loaded from the Web server). This should pull the page up for you much quicker; it also means that one less person will be hogging up bandwidth on the network. You can decide how large (or small) you want your cache to be; the files can be removed just as easily should you need to free up a little more disk space. My suggestion: keep your cache set at 20 megabytes or smaller.

CAD

*Gag* All these acronyms. Nowadays people are using the acronyms before the actual meanings even have time to permeate the lexicon. Here's another: CAD. It stands for "computer-aided design." You can probably deduce the meaning just by looking at the phrase. CAD is a combination of software and a computer used to design two-dimensional drawings and three-dimensional models. Mostly CAD is used for technical illustrations and precision drawings, so if you're putting together a blueprint for the next top secret military spy plane, you'll likely need some computer- aided design.

Carbon Copy

Allow me to set the scene: You're working in an office and the boss has given you strict orders to e-mail Bill in accounting about the new budget proposal. Now, the boss wants to know exactly what you said to Bill in your e-mail. How can you do that? Send the same message to both of them at the same time. In most e-mail clients, you have an address line and another line below it labeled "CC." So, the person addressed in the CC: line will get an exact duplicate of the message -- a carbon copy. But your boss didn't want it known that you're sending a copy to him. To solve this dilemma, simply enter your boss's e-mail in the "BCC:" ("blind carbon copy") field. Now the message will go to both Bill and your boss, but your boss's e-mail will not be visible to the recipient(s). It's just like using carbon paper to make copies... except you don't get ink all over your fingers. If you do get ink on your fingers while sending e-mail, then something is definitely wrong. Even Bill could tell you that.

Chat Room Lingo

You know what emoticons are -- those cute little faces you can make with your keyboard characters. Well, there's another way to convey your feelings via e-mail. Actually, it's just a shorter way to say how you're feeling. For instance, let's say you're in the Lockergnome chat room and "yours truly" stops by and makes a witty comment. You can reply with a simple "LOL" which means "laughing out loud." If somebody says something utterly side-splitting, you might type "ROTFL" ("rolling on the floor laughing"). If you have to leave for a moment, you'd enter "BRB" ("be right back") or "AFK" ("away from keyboard"). IMHO, chat acronyms are perfect for chat rooms where the dialogue is quick and personal. I would, however, avoid them in any business- style transactions. You knew that anyway, right? TTFN!

Chipset

Ya'll know what a microchip is, but did you know that two or more microchips can work together as a single unit? These little chip collages are known as "chipsets." What's the point of combining these microchips, you ask? In short, to make things run smoother and more efficiently by optimizing communications between components. Common chipset uses include PCI controllers, network interfaces and processor support, among many others. That, my friends, is what a chipset is, generally speaking. You should take note that if you find acorns in your hard drive, you may have a "Chip and Dale" set.

CMYK

"Cyan, Magenta, Yellow, and Black," that's "CMYK." Yeah, I know... the "K" stands for black, but don't ask me why (probably to distinguish it from blue? Yeah, I'm quick). CMYK is similar to RGB -- except not at all. Ya see, RGB deals with color, which means that what you see is a certain color (light) radiating from your screen. I'm trying not to turn this into a mini science lesson, but it is important in understanding the difference between these two schemes. CMYK, on the other hand, has to do with pigment (say, acrylic paint, for example). Naturally, RGB is best suited to monitors and such, and CMYK is the scheme to use when you're making print copies. Most of your image editing programs will let you choose between one or the other. The choice, as always, is yours (and should be contingent on the project).

Codec

This term has a couple of meanings, so we'll start at the beginning. It can be used to define anything that compresses and decompresses data. One example of this would be MPEG, AVI, or MP3 files. In that instance, codec stands for compressor / decompressor. However, it can also be used to mean coder / decoder. If you're wondering who Coder is, he was the mechanic on The Dukes Of Hazard. Anyway, a codec in this case might be used to transfer digital to analog (or analog to digital, as the case may be). In fact, that's exactly what your modem does. You had a codec and didn't even know it. Whoa, that's spooky!

Command Line Interface

Drop to what they used to call a "DOS Prompt." Ya know, run COMMAND.COM. If you're not a power user, you probably never work down there. That is, however, a good place to start with today's term: "command line interface." You see, on that command line, you must manually enter commands in order to make things happen. Then, you type some more stuff... and so on and so forth. Linux users know all about CLIs, too. Though most people are happy with "graphical user interface," which is what Windows offers. Awfully gooey, if you ask me. See that Internet Explorer link? Click on it to open Internet Explorer. Easy, eh? Sorry, but there's no pointing or clicking on the command prompt.

Compression

Well, we all know that to compress something means to squish it down and make it smaller. For example, if you're mailing someone a Nerf football, you could squeeze it into a tiny box if you had to. Well, large files on your PC can also be squished. This helps free hard drive space. It also makes sending files via e-mail easier (and quicker) to do. ZIP is one example of a "compression" format -- one with which Gnomies should be very familiar. A lot of Windows downloads I feature are archived in this format. With the right tools, you could shrink just about any piece of data. Almost. Certain binary structures lend themselves to high compression ratios moreso than others. I wonder if I can get some kind of reward for being the first to use Nerf to explain compression? You never know.

Computer Vision Syndrome

Remember when you were little and your parents told you not to sit too close to the TV? "But Mom, I'm trying to catch the Tasmanian Devil!" Well, your parents were right. Sitting so close to the television set is bad for your eyes. The same applies to computer monitors, too. In fact, there's a name for what long stretches of screen staring can do to a person's health; it's called "Computer Vision Syndrome." Don't worry, it's NOT fatal -- but it can put your eyesight at risk if you aren't careful about avoiding unnecessary eyestrain. Screen glare, poor images, and inadequate light sources can all add to CVS. Headaches, eyestrain, and a sore neck are your body's way of telling you to take a rest. NOW! It's okay to take a break... I'll be here when you return. Go away or I shall taunt you a second time.

Content Sites

A "content site" is a destination that provides (hold on to your hats, ladies and germs) content. Well, don't all sites have content? Why not just call them Web sites? Well, you can. This is just a term to separate content-driven services from e-commerce-laden hierarchies, like AMAZON.COM. Content sites tend to attract and retain more people because they're not often selling anything directly; they must find other ways to derive revenue. Lockergnome, just to use as an example, is a content site. As is CNET, Yahoo!, and about fifty billion other sites I have no intention of listing here because this definition has gone on too long already. Don't you agree? Eh, some content is free, and some you're forced to pay for. In time, we may just have BOTH models to offer you.

Cookies

What can we say about cookies that hasn't already been said by Cookie Monster? "C" is for "cookie," and that's good enough for him, darn it. When it comes to cookies on your hard drive, that might not be so good... but it might not be so bad, either. Cookies are a touchy subject nowadays; an example of how something good can become a nuisance when in the wrong hands. First off, what the heck is a cookie? A cookie is a text file that stores information about you, your computer, or your preferences; Web sites give you cookies. Awww, ain't that nice? This information is harmless -- for the most part. How do you like entering the same information for a particular account over and over and over and over and over again? These Internet services want to save you time by giving you a low-fat digital dessert. "Chris, come on in!" Without a cookie, the site is more likely to say: "Who the heck are you? Chris? Yeah, well prove it." Cookies, in other words, are supposed to make Web surfing a smoother activity. However, some unscrupulous folks have discovered ways to use cookies to track your every move across the Internet: (the sites you visit, your spending habits... all the stuff that's nobody's business). You can download programs designed to destroy cookies, but while you're getting rid of the bad ones, you're also destroying the ones that were designed to help you. It's a cruel, cruel world we live in, but don't assume that everybody's out to get ya.

Copyleft

We all know what "copyright" is. When you buy software, it's typically copyrighted -- which means you can't change or modify it. It's off limits, buster. Well, with the emergence of open source code, a new phrase has appeared (though it's been around for a while). "Copyleft," in case you haven't figured it out yet, is only for left-handed programmers. Actually, it's the opposite of "copyright." You can change and modify software code to fit your needs. Open source stuff is wonderful, as long as you're a developer and keep compilers sitting around. Permission to use this, captain? "Go for it, ensign Ricky." GNU (guh-NEW) is not new. Gnutella, I believe, has been copylefted.

Crawler

How does a duck know what direction South is? And how to tell his wife from all the other ducks? Why doesn't it hurt when you get your hair cut? And how do search engines come up with those entries that tell you what's on a specific web page? Well, I can only answer the last question: those sites use something called a "crawler" (also known as a "spider" or "bot"). It flips through your Web pages and gathers information for an index (which is stored remotely). A crawler comes in handy whenever a site is updated, too. You may have heard about META tags before; they relay document and author data to automated indexers. Crawlers are also great for breakfast, although I'd rather have Iowa-grown bacon. Somebody pass me a napkin.


Gnome Terms - D

Gnome Terms 'D'

Daemon
Defrag
Degauss
Device Driver
Device Manager
DirectX
Dithering
DivX
DMA
Dongle
DOS
Download / Upload
DSL
Duel Boot

Daemon

Wasn't that the kid from the movie "The Omen?" What the heck is he doing lurking around on my computer? Trying to possess my soul? Only one creature owns my soul -- and it's this lovely new digital camera... er, I mean, Gretchen. I better change the subject quickly. A daemon handles requests received by a computer system, sending them on to other programs. For instance, a print daemon would handle print requests while freeing up other applications in the process. Hypertext Transfer Protocol (HTTP) is a type of daemon on the Web that handles requests from users while they surf the Internet. In other words, daemons are programs that allow programs to run more efficiently. And you're none the wiser (that's the idea). The word is actually pronounced like "demon." Having said that, you can go ahead and put away those garlic cloves. They're meant for vampires, anyway.

Defrag

If you separate the first and last three letters from "defrag," you'd come up with "Def Rag," which would be a pretty cool name for a music magazine. "Have you read the latest issue of Def Rag? You get a free 8-track with every copy." Okay, maybe not. Anyway, when a file is stored on your hard disk, it's often split into separate fragments. You can't see the fragments, and you can't stop this fragmenting from occurring. However, you can "defrag" your system, which just means that you take all those scattered fragments and stick 'em together. This helps free more hard drive space and makes the accessing of files a speedier process. In Windows, the defragmenter is located in your System Tools folder. I've referred to it countless times, y'all. Unless you haven't defragged your ears in a while?

Degauss

Lockergnomie Arvin Djapermal rediscovered the "degauss" function on his PC and suggested it as a GnomeWORD. Heck, that's one less word that I have to come up with. So what is it? "Degaussing" is just another word for "demagnetizing." You see, sometimes magnetic fields build up in your monitor and distort the display. Images look screwy, colors look screwy, and the whole screwy mess looks... you know. Monitors that use the ol' cathode ray tube are subject to this kind of magnetic build up. Luckily, many monitors automatically degauss themselves when they're turned on, so you don't have to worry about it. That initial "ping and click" is supposed to happen; most 17+ inch monitors will do this. Degaussing is also good if you happen to become magnetized by a passing meteor. I saw that on "Amazing Stories" once. Oh, don't ever try to degauss your monitor manually. Magnets BAD.

Device Driver

If you've ever tried to introduce a new pet into a home that already has one, you know they don't always hit it off right away. Anyone who has seen "Tom and Jerry" knows this, right? Well, when you attach a new peripheral to your PC -- like a printer -- your computer and (new) printer have to become acquainted. They do this using software called a "device driver" (or "driver," in its purest form). Windows has a few generic drivers built-in. They help control a specific device as it interacts with the operating system. You'll have one for your printer, your CD burner, your scanner... all of that stuff. When you try connecting something to your computer that it doesn't recognize, the PC will explode. Okay, not really. You'll just have to install the (hopefully provided) driver that goes with the new gizmo. Why is Windows so instable? I hate to say this, but that probably isn't Bill Gates's fault (entirely). Buggy device drivers WILL cause crashes. Stick to name-brand hardware and you should be safe.

Device Manager

You have things attached to your computer. No really -- there are green slugs all over your keyboard right now. It's disgusting. Ah, seriously... you've got a handful of "devices" connected to (and sitting inside) your PC. There's the keyboard, mouse, printer, scanner, digital camera, Webcam, sound card, video card, PDA cradle... all sorts of stuff. So, how do you manage all those separate pieces of hardware? That's right! With your device manager. Quite simply, it's how Windows interacts with your system. It can be found by right-clicking on "My Computer" and selecting "Properties." You can do all the necessary managing from there. Of course, it helps if you know what you're doing, and it never hurts to ask for help. One wrong click and... you could be managing a new computer. NOTE: it's safe to view your devices WITHOUT changing anything.
DirectX

Here comes the hot, new, graphic novel from 'X-Men' creator, Stan Lee. Bitten by a radioactive turtle, mild-mannered Christopher becomes DirectX. Okay, okay... that's not true, but there really should be more radioactive reptiles in comic books, don't you agree? DirectX was designed by Microsoft to make multimedia run better on Windows. Instead of a thousand and one proprietary (unique) programming interfaces, they created a standard for frustrated coders. If you're running a newer version of Windows (and you most likely are), then DirectX may already be installed. If your system is without DirectX, you can always download it from Microsoft's site. In fact, version 8.0 was recently released for all supported platforms. Why should you care about DirectX? Well, you shouldn't... that's the beauty of it. It's like the commercial that says: "We don't make the lipstick; we make it more colorful." Essentially, developers can design applications with DirectX and not have to worry about whether or not your computer has the right stuff. DirectX games can even emulate features your system may not have; your racing sim will have semi-speedy (albeit rudimentary) 3D graphics... even though you may not have a 3D acceleration card. Think of DirectX as a THX Surround Sound theater; everything is provided for you, and you don't have to strap speakers to the sides of your head to get that 'surround sound' experience. Unless, of course, you enjoy that kind of thing.

SIDE NOTE: In my attempt to be cute yesterday, I changed 'Bob' to 'Moe' in the 'FTP' GnomeWORD (to parallel 'Larry,' while leaving 'Curly' completely out of the story). Anyway, I only changed one instance, which may have caused some confusion. Mind if we call him 'Bruce?' Ah, anyway... change 'Bob' to 'Moe' or 'Moe' to 'Bob' and everything should be peachy. Another correction: while anonymous is a common username for FTP sites, the corresponding password is typically an e-mail address (valid or not).

Dithering

When we defined RGB for ya a few days ago, it was mentioned that Macs and PCs don't always see colors the same way when it comes to their respective browsers. So, what happens when a browser comes across a color it doesn't know? That's easy. It explodes. No, actually, it uses a process called "dithering" to stir up a suitable substitute for the missing shade. How? It combines colors until it finds a suitable match. The outcome isn't always perfect, but a browser has to use what it's got. Dithering shouldn't be confused with Dagwood's boss, Mr. Dithers. He's probably done in CMYK. Anyway, you may also see this term used in graphics applications. When you shrink an image's palette, dithering may be used to retain a fair amount of visual quality.

DivX

All aboard the Digital Video Express!! With stops in Des Moines, and Fargo! Sorry about that, but Divx does stand for "Digital Video Express," and that is what today's term is all about. Okay, imagine renting a DVD from your local video store (because you're an up-to-date kind of guy/gal). Now, imagine you never have to return it. Sounds awesome, eh? Here's the clincher: you only have so long to watch the disk, and if you need more time, you have to pay. Odd? Perhaps, but when you get down to it it's not much different than renting normally. Of course, the whole pay-per-play concept doesn't sit well with many people. There are two sides to every story, and I hate being caught in the middle. That's why I never stay there very long. If Divx sounds intriguing, you'll need a DVD player that's equipped for it. But don't rush out TOO soon -- the format is pretty much dead and gone. You may also see this term floating around media sites. In this context, 'DivX' is a video compression format (for high quality videos).

DMA

"DMA" stands for "Direct Memory Access" and refers to the capability of data to be transferred from a peripheral or attached device directly to the system RAM. Yeah, so? Well, this way the microprocessor is excused from its duties (at least in this instance), which speeds up the overall operation, cause everything is done instantaneously. Basically, specific amounts of memory are set aside in your system for direct memory access. It's kind of your systems way of telling the microprocessor to take a break. "Don't worry, I'll get this one." Yeah, it's kind of like that. There are a limited number of DMA channels available in a system, and no two devices can occupy the same channel, or chaos will surely ensue.

Dongle

A few days back, we defined Divx for ya. Many wrote in saying that particular technology had gone the way of the dodo. True, but at least I expanded your vocabulary, if by only one word. Here's another device that isn't used as frequently anymore, either (if at all): the dongle. Ya see, a dongle is a mechanism that allows only authorized users access to a specific application. One dongle might plug into a parallel port, while others are simply registration numbers. Companies don't always like having their ports compromised, so dongles aren't used as much anymore. You do see them on occasion, particularly with high- dollar engineering software packages, and at least now you'll know what the heck it is when you hear the term.

DOS

Think back. Think waaaay back. Remember a time before the Windows interface? For today's digital kids, the idea of having a computer without some kind of GUI is absurd. Absurd I say! Ahem. Anyway, before we had Windows, there was DOS. It stands for "Disk Operating System." Remember the C:\ prompt? You would have to enter your commands from the keyboard. The mouse used to be... virtually useless. You can still access a command prompt ("DOS session") via your Start menu, if you're so inclined. I did touch on DOS briefly when I explained "command line interface" (because that's what DOS is). You see, everything ties together. The circle is completing itself. That will be the final lesson for today, young Gnomehopper.

Download / Upload

I just got my hands on some cool new freeware. Wait a second... did I just download or upload it? Did I load it at all? Do I need a pay loader? This whole thing is a load of... okay, so you want to know the difference between downloading and uploading? Let's pretend that you do. You see all these URLs in Lockergnome that end in "EXE" or "ZIP" -- those are files. When you grab a file from a remote server, you're downloading. In other words, you're receiving a program from another source (computer). If you want to put a file on a remote system, you'll have to upload it first. Transfer it from your computer to someone else's. You gotta GET downloads, you gotta GIVE uploads. Up and down, up and down... it's all about sharing. You download messages FROM your friends, you upload messages TO your friends. I have no friends, so you can imagine how long this process takes me.

DSL

I know the feeling. You're waiting for a picture or video to load and it's taking FOR-E-VER. At one point, you actually start shaking your monitor (like that's going to make the pixels appear faster). If you've grown tired of your 56K connection -- and believe me, geeks like myself tire of it rather quickly -- you may be looking into getting yourself a cable modem. But alas, your area doesn't have cable Internet just yet. Do not fret, my bandwidth-hungry followers. There is a light at the end of the tunnel... maybe. Don't you hate that word -- "maybe?" Some phone companies offer a service known as DSL, or "Digital Subscriber Line." This service isn't offered everywhere, unfortunately, but it is worth asking about if you want a speedier connection. Without getting too terribly technical (who, me?) -- DSL is set up on regular phone lines, but it provides access to much more bandwidth than a traditional dial-up connection. See? Now stop shaking your monitor, it ain't an Etch-A-Sketch, ya know.

Duel Boot

Dual boot. Ya know, that's when you and a boot have a gunfight outside the saloon at high noon. "This here shoe store ain't big enough for the both of us." Actually, that's not quite right. Ya see, a "dual boot system" is a computer where two operating systems are installed at the same time. Sure, for most people running one operating system is plenty, but you know how us geeks are. Let's say you have a computer running both Windows 2000 and Windows 98. Usually, when you turn the computer on, the operating system would load, and you'd be ready to go. However, with a dual boot system, you would see a boot manager program that would allow you to choose which operating system you want to use. You'll notice I didn't use Windows ME in this example. Geez, you'd think I have something against that OS. Oh wait, I do.


Gnome Terms - E

Gnome Terms 'E'

Emoticons
Encryption
Energy Star
Executable
Extranet

Emoticons

You wouldn't need to have access to e-mail for very long before you started seeing this little critter -- :) -- Who is he? Where did he come from? What does he want from us? If you haven't seen him yet, then perhaps you've encountered his evil twin brother -- :( -- Whether delightful or annoying, emoticons are here to stay. When your meaning could be lost or misconstrued, insert a sideways smiley (or fractured frown, when applicable). And don't feel you're limited just to the colon and parenthesis characters. Let loose on the keyboard and get creative! There are about forty billion variations (and more are sure to come). For a message to a friend or family member, an emoticon is perfectly acceptable. I would suggest not going overboard, though. Sending business letters electronically? Dispose of them altogether. Man, I wish these things were around when I was younger. Beware the emoticon, my son... for they may induce great joy, but they can also make you look like a fool in the eyes of future employers. Just a friendly word of advice. You have been warned, gnomehopper.

Encryption

Somehow, you've managed to infiltrate the enemy base. Now you have to contact headquarters and tell them where the plans are hidden. But how? You can't just get on your walkie talkie and tell them. No, you're going to have to be sneakier than that. So what's a secret agent to do? You send an encrypted message that your colleagues back at headquarters can decrypt. Once you've finished encrypting and decrypting, you can all watch Tales From The Crypt -- which is quite cryptic itself at times. These days, encryption is the method in which data is rearranged so that it cannot be read (on the surface). Without a key, or electronic "answer book," it cannot be decrypted. A practical example of encryption is when you make an purchase online and have to enter your credit card number. For security purposes, your number is encrypted to avoid theft, fraud, or any other number of nasty things. That's infinitely safer than the telephone, I tell ya! Some have brought up the argument that if encryption becomes too difficult to decipher, it might open a window for terrorists. I hope they weren't talking about me... I just wanted to steal the President's famous meatloaf recipe.

Energy Star

Energy Star shouldn't be confused with Star Search (another well-respected star). Although Mr. Bigglesworth did win the spokes model competition three years in a row ("Yeah, baby! Shake those peripherals!"). The Energy Star label means your system is able to conserve power, depending (of course) on the settings you've chosen. For example, you can have the monitor shut off automatically after a set amount of time, or have your system go into standby mode after so many minutes of inactivity. How do you know if your PC is Energy Star compliant? Just right click anywhere on the desktop, select Properties, then select the Screen Saver tab. You should see the little Energy Star logo. Is it not there? Look around the outside of your monitor (you may need to get up from your chair for this). See any stickers? Okay, what about on the back of your monitor (where the power cord plugs in)? Well, then... I guess you'll just have to shut her down manually every time she's not in use. Remember, the less power a computer uses, the more energy is saved. But you already knew that, right? Ed McMahon has been in standby mode for years.

Executable

This program will be executed at dawn. Ya know, unless the governor calls. Okay, you've all seen files with the .EXE extension, right? That file is an executable. This means that the file runs automatically when you click on it (and to run a program is known as "executing" the program). Pretty cool, huh? Keep in mind that an executable doesn't have to end with EXE. Files ending in .BAT or .COM are executables as well. Because executables open automatically, it's a good idea to be wary of ones that arrive as an e-mail attachment, as they may contain a virus. Oh yeah, executables are sometimes referred to as "binaries," though this doesn't really apply to .BAT (batch) files because they consist of plain text commands instead of compiled code.

Extranet

All these cursed Nets! I'm telling ya, it's enough to tie your mind in knots. Well, I'm here to untangle your brain knot as much as I can. We've touched on intranets and local area networks (LANs), so get ready for another one: extranet. Oh, that's just great. Don't fret -- this one is easy: it's just an intranet that isn't internal. There's a little bit more involved -- extra stuff, so to speak. For example, if you sell cotton candy and want the Milwaukee Cotton Candy Supply Company to have access to your company's intranet, you can set up a private network or virtual private network (VPN) as a means of access. Of course, this makes the need for security all that stronger. Solid hardware firewalls and strong user authentication protocols should keep everybody in check. Now you know what an extranet is... and why it's important to the cotton candy empire.


Gnome Terms - F

Gnome Terms 'F'

File Splitting
Finger
FireWire
Flash
Footprint
Frames
FTP
Function Keys

File Splitting

I'm not a big fan of file splitting. I think files should try to stay together and work out their differences. Ya know the ol' country tune that goes: "If love never lasts forever, then what's forever for?" I feel exactly the same way. Actually, file splitting isn't as horrible as it sounds. This technique allows you to take a large file and split it into smaller fragments. Why would you want to do such a thing? Well, let's say you want to put a file on a floppy disk, but the disk space is limited. By splitting the file into a number of fragments, you can store it on your floppy disk with no problem at all. It's also perfect for sending large files through e-mail. File splitting freeware is available all over the Internet, and it's not a bad utility to have at your disposal. You may wish to use the 'disk spanning' feature built-in to the latest versions of WinZip. Putting your files together into one single ZIP file before splitting them up would be smart. Wow. That sentence was almost oxymoronic. It's kinda like a couch that folds out into a bed.

Finger

It's one of those skinny little things sticking out of your hand. Just don't point them at anyone; they've got nails in 'em. Okay, seriously, "finger" is just a way to tell you the name associated with an e-mail address and whether or not that person is currently online. Other information may also be provided; it all depends on what the author of the information has to say. If you're at a college or university where everyone is on the same network, it's a cool way to see if your friends are online or perhaps they update the information to tell you where the big party is tonight. It does require that the appropriate services be running on a server, most often Unix / Linux systems, but there are Finger servers for Windows available as well. Go ahead... "finger chris@lockergnome.com" from a command prompt (or find a GUI utility to do it for you). Unfortunately, I haven't figured out how to edit my plan on the new server yet. So, as you will see, I have No Plan.

FireWire

Look at the back of your printer. That's not a tail coming out of your InkJet, it's just a cable. More than likely, it's one of those thick cords with a bunch of tiny little pins on each end. This is most likely a parallel cable. Yeah... so? Well, a new easier-to-attach cable has been developed; it's quickly becoming the next big thing in the world of cable. Yeah, I know this is terribly fascinating, but just wait -- you'll be asking for a peripheral that comes with this technology the next time you go shopping, believe me. The new 1394 High Performance Serial Bus (or "FireWire," as Apple calls it), is currently used with digital video cameras, DVD players, and other devices; it transfers data at a much higher rate than any other serial bus. In other words, it's better. Faster. See... I told you so.

Flash

"You'll need the Flash Plug-in to view this animation." You've probably seen that prompt hundreds of times, but why on Earth would you want to be flashed? Isn't that a crime in most states? Flash is a widely-used authoring tool for making animated vector graphics. Ya know, flashy things. The format was developed by Macromedia; you can't go anywhere on the Web without running into it. Some sites incorporate it successfully, and others... not so much. Have you ever actually waited for a Flash intro to load and play completely through? Flash splash is annoying; don't do it. We'll click that SKIP INTRO button without blinking. People are naturally drawn to bright shiny objects, ya know. The key (IMHO) is to use Flash sparingly if you use it at all. Sure, that scene with a dog flying through space is cool, but does it really work well with your financial portal? Um... probably not. Especially with those... frames.

Footprint

It never fails. Even if you have the world's largest desk, eventually you run out of space for your PC and all of its components. How much space is your computer case taking up, anyway? What about your printer? Your scanner? The space a peripheral occupies is its "footprint." The larger the item, the larger the footprint. The smaller the item, the... well, you get the idea. Within the operating system, a memory footprint refers to the amount of RAM any given program uses when loaded. If you work in a cramped environment, you should ask for a printer with a small footprint the next time you go shopping for one. The salesman will either be really impressed by your grasp of techno- jargon, or he'll think "Who does this scrawny little man think he is?" But that's just me. No, really. Ah, well... I didn't need one of their tiny footprint-leaving printers, anyway.

Frames

When you go to build a house, you need a solid foundation and structurally-sound framework. You can't just throw all the materials into a giant heap, can you? Think about it: your house could crumble from the breeze of a simple sneeze. This is fine if you're filming a Three Stooges short, but not so good in real life. The same goes for building a Web site. You see, sites can be made up of "frames" -- each frame being an independent HTML document. They can keep all of the content organized so that surfers can find stuff easier (sometimes, they help cut down on page load times). Not all browsers support frames and some people detest frames altogether, which is why you'll often find sites designed for both frame and non-frame factions. LOCKERGNOME.COM does not sport more than one frame; I hate when I get stuck inside someone else's. I'm crazy that way. Nyuck Nyuck Nyuck!

FTP

Our labs have discovered that 'FTP' is restaurant jargon for: "Flapjacks with two potatoes." As in: "Mel, I need an FTP, ASAP; the family at table four is getting PO'ed.'" Little did you know that 'FTP' is also used in digital circles; in this environment, it stands for: 'File Transfer Protocol.' Think about it for a second; it's a way to transfer files between two connected computers. Think of two apartments in separate buildings adjacent from one another (with a clothesline strung between them). Moe (in one apartment) wants to read the newspaper; he knows Larry (in the other apartment) has today's paper. So, Bob clips a note to the clothesline requesting access to Larry's paper. Larry receives the note and asks Bob to verify his claim (that he truly is Bob). Bob verifies his claim via password and Larry sends the newspaper over. FTP sites work pretty much under the same principle. Using an FTP client, you can access countless FTP sites, many of which allow public access by simply typing in "anonymous" (sans quotes) as your username and password. A comprehensive list of FTP clients is forthcoming. My current favorite: FTP Voyager from RHINOSOFT.COM.

Function Keys
Conjunction Junction, what's your function? If this were School House Rock, I'd divulge that information. But it's not, so let's just focus on the word "function" in respect to computing, shall we? You've probably noticed those keys resting at the top of your keyboard labeled 'F1' through 'F12?' Are they just there for decoration? Well, anything's a decoration if you don't use it. Actually, they're called "function keys" and they can make your digital days a lot dandier if you use them often enough. They're pre-programmed, one-button keyboard shortcuts! So, what the heck do they do? That depends. When you run into a snag within a program, tapping 'F1' will typically launch its help documentation. In the Windows Explorer, you can use 'F2' to rename files; in another program, it may do something entirely different. Again, the function of the function keys depends on what application you happen to be running. Ah, my undying quest to make the mouse obsolete. Well, to minimize its usage, anyway. Not by clicking the designated Title Bar's button, of course.


Gnome Terms - G

Gnome Terms 'G'

Global Positioning System
Gnome
Gnutella
Graffiti
Graphical User Interface
Gravesite
Grep

Global Positioning System

Have you seen those car commercials for something called OnStar? If you get lost in the middle of nowhere, they can pinpoint your exact location within mere feet. Pretty cool, heh? Well, that's done by using the Global Positioning System (GPS). Ya see, it's a bunch of satellites (twenty-four to be exact) in geosynchronous orbit that can help you find yourself, provided you have the corresponding ground receiver. How accurate this system is depends on the sophistication of your equipment. Regular folks like you and me can use it if we go hiking, driving, biking, or anything else where we might lose our way. Scientists use it to monitor volcanic activity and other cool stuff.

Gnome

No, not that kind of gnome. This is GNOME, or "GNU Network Object Model Environment," and this particular use of the word is pronounced "gah-NOME." Okay, it's not a newsletter or a tiny bearded man, so what is it? It's a GUI (that's "Graphical User Interface," we defined it for ya a few days back) for Linux users. Ya see, Linux mainly uses a command line interface at its core. Let's face it, not everyone is a power user, nor do they aspire to be, so GNOME allows "regular" users to see the interface as they would a Windows or MacOS desktop. If you've been curious about Linux and you aren't a geek like myself, this is one approach you might want to consider, and since it's freely available, and packaged with most Linux distributions, it's not terribly difficult to get started. And, for your information, Lockergnome was around long before the GNOME ever surfaced. Confused? Me too.

Gnutella

We all know about Napster: a client that lets folks instantly download music off of each others' hard drives. Or, allows clients to download folk music, for that matter. While reading up on this infamous little proggie, you might have stumbled upon another piece of software known as Gnutella. What's that? A service that works pretty much the same way as Napster does, except you can share ANY type of file (not just MP3s). Like Napster, you specify which files you wish to share. And, like Napster, you can download the files directly from other users' systems without any formalities. The legal and moral issues, though, are still being debated. It's open source (hence, the GNU prefix). When I asked Tom Pepper how Gnutella got its name, his (paraphrased) story was simple: "My roommate had gone through seven jars of it in a week. It was all over the place." There ya go. A program named after a chocolate spread.

Graffiti

If you own a PDA or have seen on in use, you've probably noticed them writing on it as if it were just a regular paper notebook. Well, it's not a regular notebook, and writing on a PDA using the special "pen" (known as a "stylus") takes years of training and practice. Okay, not really, but there is a technique to learning graffiti, which is most often associated with Palm OS devices. You can't just scrawl words on a PDA, you have to use continuous strokes that are designed to be easily recognized and properly translated by the recognition software. Therefore, certain letters look somewhat incomplete in this format. It takes some getting used to, but it's not difficult to figure out. Why did I write down "Don't forget to give Sprocket a bat?" He hates baseball.

Graphical User Interface

Okay, we talked about "command line interface" earlier. Actually, I was doing all the talking. Nevermind. You may have overheard "graphical user interface" at some point in the past. Well, a GUI uses graphics (big surprise) to make things go. For example... Microsoft Windows? You see that icon for Word 2000? When you double-click it, if everything goes as it's supposed to, Word will open. The GUI contained the icon you clicked. If you were on a command line, there would be nothing to click. Browsers, such as Internet Explorer and Opera, are GUIs for the Web. Sure, geeks like to flex their brains and use a command line interface, but for the rest of the world, a GUI works fine. And yes, GUI sounds like "gooey." Seeing as it slows some people down, this pronunciation is appropriate.

Gravesite

This site was last updated on August 12, 1995. Kinda looks like it's not going to be updated anytime soon, huh? Why do people abandon their sites? What did those sites ever do to them? Well, the reason for a site getting left out in the cold is anybody's guess. There is, however, a name for such sets of Web pages. They're called gravesites. Usually, when a site builder can no longer maintain their resource, they take it off the server. Failing this, the site will remain accessible (though no more updates will be posted). There's a lot of gravesites haunting the Web... far too many to mention. From a more capitalistic standpoint -- a site that doesn't generate a lot of revenue is said to be a gravesite as well. But, not all sites are out to make money, ya know. Some are just out there to sell graves. I suppose they'd be gravesites, too. Spooky.

Grep

C'mon, you people really need to get a grep on yourselves. Ya see, "grep" is a UNIX command that is also available for Windows (and other operating systems as well) in the form of third-party utilities. So what is it for? It lets you search multiple files for a specific character string. You can also replace this string with another, if you so desire. For example, if you wanted to search the file lockergnome.htm for any line including "html," you would use a command line interface to type "grep html lockergnome.htm." You can also add an asterisk before a word or part of a word in order to find and replace any string containing that particular word. This would come in handy if, say, you used the word "gnome" to modify words a lot... not that I know anyone who does that. ;)


Gnome Terms - H

Gnome Terms 'H'

Handshake
Haptics
Hashing
Hot Swap
Hotkey
HTML

Handshake

Hello. Howdy. Greetings. Happy to see you. Salutations. Glad you could come to our party. Please enjoy the nachos and deviled eggs. There are so many ways to greet someone, but I'm a strong believer that everything is in the handshake. It's what tells people more about you than your words ever could. Do you have a firm handshake? A metacarpal-crushing handshake? Or is it one of those flimsy, dead-fish kind of handshakes? Well, humanoids aren't the only ones who have shake hands when they meet. When you log on to your Internet service using a modem, that beeping, buzzing, and clanging you hear coming from your system case is what they call a handshake. Since there are as many modems as there are stars in the sky, handshaking is how two connecting modems agree on which transmission speed to use. It should be noted that modems who know each other personally will just give each other a high-five. Not really. NOTE: connections are only as strong as their weakest link. Meaning, you're never gonna get a 14.4 modem to connect beyond 14.4 -- even when it greets a 28.8.

Haptics

Let's talk about the difference between fantasy and reality for a moment, shall we? Baseball, when played on a computer, is pretty easy. Playing baseball for REAL, however, actually requires physical movement from every body part -- not just your fingers. Plus, you can't really feel the ball smacking the bat or landing in your glove while playing with a PC. Or can you? Why, yes you can -- using something called "haptics." That's just the label given to a digitally-driven physical sensation application. It makes games come alive, and it's also been used for more sophisticated tasks (like surgical training). Wow, I can actually feel my liver being removed. Hey, get away from there. Force feedback ring a bell?

Hashing

When it comes to "hashing," I Just Say No. Oh, that's not what we're talking about? Well, what in the world is it? How about a method in which you assign a string of characters a shorter value for easier location within a database. Huh?! For example, let's say you're in charge of the Secret Santas for the entire Microsoft Corporation (somebody has to do it). You need to search through a database and find certain people. If you use hashing and assign a number to each individual, then it'll be much easier to find that specific name using their (shorter) number than searching by name, which would take longer... and not shorter. There I go again. Presents for everybody, even those of you who don't believe in the man with the red suit. Oh, your real estate agent has a red suit, too? My bad.

Hot Swap

Remember the first scene in "Raiders Of The Lost Ark" when Indiana Jones grabs the idol and tries to replace it with a decoy without setting off any booby traps? That, my friends, was the ultimate "hot swap." You see, in computer terms, that's when you replace a component on your computer while the computer is still running. The computer, however, doesn't realize this; it keeps working as if nothing out of the ordinary is going on. Obviously, this kind of quick exchange should only be tried by someone in the know. Otherwise, your computer will respond by rolling a large boulder at you... or making you star in a very bad sequel. Hot: USB cables. Not-so-hot: serial, SCSI, and parallel cables.

Hotkey

Hotkey? Didn't he define this already? Well, kinda. We touched on this when I defined "function key" for y'all a few issues back. When I say "we," I'm referring to myself and the alter ego who uses words like "y'all." Anyway, he tells me that a "hotkey" is any key (or collection of keys) that perform tasks. They can open programs, save files... whatever. Knowing several "hotkey" shortcuts is one of the many hoops you must leap through to be part of the great geek Olympics. If you've installed the incredibly robust (incredibly free) IrfanView image viewer, you can use the CTRL+SHIFT+I hotkey to launch the program. What have we learned, then? A "shortcut" is what a "hotkey" is used for, and a "function key" is a kind of "hotkey." And the ankle bone's connected to the foot bone... everyone clear on all of this? I knew you were. Dem keys, dem keys, dem... hotkeys.

HTML
This term gets kicked around quite a bit. Most likely because the Web was built on HTML; it is the DNA, the viscera, the innards of the Internet. HTML stands for 'Hypertext Markup Language,' simply put. 'Hypertext' refers to words that had to be put on Prozac. Actually, it's what allows a 'link' to work. Making the jump to hypertext is just like dusting crops, boy. Your Web browser needs this 'language' to determine the placement of Web page elements. Unlike computers on the Jetsons, you can't say: "Put a text blurb over here and stick a picture of Sprocket over there." However, you can say the same thing in 'HTML' and the browser will know what the heck you're talking about. Basic HTML doesn't take too long to learn; as you progress, you can master advanced HTML techniques to make your sites even more amazing. Most users are comfy using WYSIWYG [What You See Is What You Get] editors. Whizzy-whig editors allow you to create complex documents without any programming knowledge. Those wishing to expand their canvas may eventually learn how to manipulate the underlying code. When you stumble upon a web page whose design enthralls you, simply click on 'Source' in the 'View' menu to see the code. It never hurts to learn from the best, but don't copy anything directly. That's stealing. That's bad. That's wrong.


Gnome Terms - I

Gnome Terms 'I'

ICQ
Inkjet vs Laser Printers
Intranet
IPO
IT

ICQ

You've heard me mention my "ICQ Number" before, and some of you may wonder what the heck I'm talking about. Say the letters out loud; sounds a lot like: "I Seek You." Of course, "Icy Cue" wouldn't make too much sense in this environment, eh? ICQ lets you know when other folks (who have ICQ accounts) are online; it allows you to communicate with them in real-time. Exchange text messages spontaneously; launch private chat sessions; transfer files between your computers. "And if you act today, you'll get this lovely set of steak knives!" ICQ can make a nice addition to your daily surfstyle; it beats having to wait for e-mail responses in certain cases. But ICQ, while popular, isn't used by everybody. Some Netheads use MSN's instant messenger; others prefer AOL's client. There's... no standard in sight. Which one is the best? Find out which one your friends and/or colleagues use and you'll have your answer. With any luck, there will be a unified protocol soon. We can end all this IM incompatibility nonsense. Enough jabbering on. This is almost more fun than CB radio... over and out.

Inkjet vs Laser Printers

You're tired of copying everything by hand? I had no idea they made a machine that could quickly duplicate words and images. What do they call such a crazy device? A printer. Ain't technology something else? Okay, don't worry... I'm not going to define the word "printer" for you. I have to make a few assumptions and one of them is that you know what the heck a printer is, for crying out loud. However, do you know the difference between an Inkjet and a Laser printer? Inkjet printers spray ink onto the paper from small cartridges. This type of printer is good for home use (printing birthday cards, signs, banners, etc.). Laser printers use a much larger cartridge that contains a powdery toner. These printers are ideal for text output. If you're Stephen King, you might opt for the laser printer, but if you're Martha Stewart and want to print out pretty patterns, you might opt for an Inkjet. The choice ultimately comes down to you. I had nothing but headaches with the Inkjets I used years ago. Quality was mediocre, and I'd often have to reprint pages (because I'm a perfectionist). Once I went laser, I couldn't turn back.

Intranet

Everyone knows what the Internet is, but do you know what an intranet is? That's not a typo. Yeah, see -- the letters got flipped around. The Internet can be accessed by just about anybody, whereas an intranet is only available by those on a 'local' network. Let's say you're working for a software company, and the boss wants to tell all of her employees about the company's new operating system that's going to make Windows obsolete (it could happen). Now, she could post the information up on the company's public Web site, with the following note: "Please don't read this unless you're an employee of this company." Sure, that might work, but one should never leave security to chance. Okay, so should she print and distribute paper memos? There aren't enough rain forests in the world to support that habit. Upon setting up an intranet, the company would have a central data center which could only be accessed by specified personnel only. You don't have to be in the computer business to need an intranet, either. Its services were designed for those who needed an easy way to stay in touch with co-workers. Nobody outside the tightly-knit intranet circle is allowed in. There are no exceptions to this rule.

IPO

Darn all these technology acronyms. Heck, I wonder if the journalists who use them even know what they mean half the time. "This IPO this, that IPO that..." What the heck does it mean? I'll tell ya: "Initial Public Offering." A company that was once privately owned has made its shares available on the stock market (for the first and only time). You've probably heard the term used a lot lately -- especially when talking about dot-coms. Everyone on your block wants to grab a piece o' the digital pie: "Hmmm... this is great. What's in this? Ones and zeroes? I was hoping for blueberry." But, as those of you with stock have found out, an inflated IPO can lead to sticky financial situations. The market is down for the moment, but remember: people are still checking their e-mail.

IT
In this fast moving information age, you seem to be hearing the term "IT" a lot lately. What is IT? Well, this time, IT is not the Stephen King novel about the evil clown; IT is an acronym that simply stands for: "Information Technology." Ya know: server stuff, electronic security, system certification, programming, networking, etc. There are several Internet resources available for those in this ever-expanding field; within a few months, Lockergnome will be launching its own (hand-crafted) IT newsletter. We're in the midst of an information revolution (so I'm told). IT professionals are helping make sense of it all -- they're human switches, in a way. Even though the Internet has lost a few dot-coms here and there, the role of the IT person is just as strong. Hug your system administrator today. I'm waiting for the Information Renaissance -- when we all start painting on our monitors. It'll happen, I bet. I am Italian, after all.


Gnome Terms - J

Gnome Terms 'J'

Joey Anuff
JPG and GIF
Jump Page

Joey Anuff

Not long ago, when the Web was just beginning to get off the ground, one site carried all the opinions and insight a person needed -- and that site was Suck.com. Sure, it's kind of an immature domain name, but Joey Anuff (the co-founder, producer, and editor-in-chief) succeeded in creating one of the world's most recognized opinion-centric portals. Anyway, since when does maturity have anything to do with it? If that were true, I'd never be able to write anything. Mr. Anuff writes for numerous sites, often under the pseudonym "The Duke of URL." Suck may not be able to go back to its glory days of years past, but it's still a hilarious conglomeration of thoughts (if you don't mind your opinions a little on the scathing side).
JPG and GIF

When you download images off the ol' Internet, you may notice that most of your pictures have either .JPG or .GIF file extensions. You may wonder: what exactly is the difference between the two file types? Is there any difference at all? Unlike Lucky Charms vs. Magic Stars cereal, there is a difference. In a nutshell, JPEGs are best used for photos and GIFs are best used when it comes to flat color, or monochromatic 'text' images. The reason for this is that JPEGs can be saved with millions of different colors, whereas the GIF maxes out at 256. In other words, a picture of the real Gnome would best be saved in JPG, whereas the fun-lovin' cartoon image of me would load better as a GIF. GIFs can also be animated... not that I'm not often animated myself, but you get the idea. Now, there are other ways to save your images, and most of you know I couldn't let this little tip slip by without mentioning PNGs. The PNG [Portable Network Graphic] was actually created as an alternative to GIF, by geeks like myself who saw the limitations of GIF and wanted something better. With PNG, the images simply look better, and the color representation is more accurate. In the end, though, it's completely up to you to decide which image is best for you and your needs.
Jump Page

Here's what you don't want to yell when Page is standing on a ledge (ba dum bum). Remember when we defined splash page? Well, a splash page is a kind of jump page. Confused? That's okay, it was a confusing sentence. You see, a jump page is a Web page that provides a "jumping off" point. For example, if you're curious about computers, technology, and what it all means, Lockergnome could serve as your jump page; it would provide you with instant access to a lot of other sites -- each bursting with techie info. So, think of a "jump page" as a kind of springboard that takes you right where you need to be, without a lot of mindless searching. A portal, if you will. And a portal for humans would be a... mortal.


Gnome Terms - K

Gnome Terms 'K'

Killer App

Killer App

Beware the killer app, my son. Actually, it can't hurt you... unless someone drops it on your head. I'm often told I sound like items have been dropped on my head for years... or that I need to be dropped on my head. Ouch. Anyway, "killer app" is a label given to an application (program) that changes the way we think and operate on a daily basis. Web browsers were considered killer apps -- as they enticed folks to run out and buy a computer to join other computers on a global network. Calling upon an earlier illustration, spreadsheets changed businesses overnight. No brain could crunch numbers quite so quickly. Can someone set out to create a killer app? Sure, but there's no guarantee. What's going to be the killer app this year? Some say instant messaging, and others say wireless Internet access. I still say the ultimate example is e-mail. What else do you unconsciously check every five minutes?


Gnome Terms - L

Gnome Terms 'L'

Linkrot
Linux
List Server
Load Balancing
Loader
Local Area Network
Lossy - Lossless
Lurking
Lynx

Linkrot

"Linkrot" sounds like a good name for a punk band. "Ladies and gentleman, we are 'Linkrot!'" It also sounds like a good word to define all those links on Web pages that lead nowhere. I like the second definition, since that is what "linkrot" means, after all. We've all been there... surveying our favorite page, clicking on links, and suddenly... 404. "File Not Found," "Error," "This Page Hasn't Been Up Since 1998, You Fool." Ah, the Internet is a fickle mistress. The more links a page has, the better its chances of adding to the phenomenon known as "linkrot." That's why it's always good to check your links every once in awhile and make sure they're still... linking. If you find a dead link, let the linker know. I'm sure they'll appreciate it. I know I do. Of course, updating Lockergnome issues from 1997 ain't gonna happen anytime soon.

Linux

Good old Linux. Remember how Snoopy would always try to steal his blanket? I'll never forget how he told that Christmas story. Good grief, what a great kid he was. No, wait... I'm thinking of something else. Actually, you may have heard me mention Linux before, but you might not have known what the heck it was. Linux is an operating system (just as Microsoft Windows is an operating system)... except it isn't like Microsoft Windows at all. It's actually based on UNIX, so folks who are comfortable with being told what to do and how to do it -- I wouldn't suggest venturing into the penguin world. "I'm just starting to figure Windows out, and now you want me to change my operating system?" You don't have to do anything if you don't want to, per se. Linux has endeared itself to a lot of power users. Some distributions are incredibly cheap (free) and easy to use -- if you're at familiar with the command prompt and computer security. Bottom line: it's an alternative environment that many have found to be just as good (if not better) than Windows. Of course, Microsoft's platforms aren't going anywhere anytime soon. Linux has certainly held its own (and continues to do so). Powerful, robust, and configurable, but definitely still for the savvy user.

List Server

Do you know of someone who has a handful of newsletters they want to send via e-mail? I mean, besides me of course. I'm already taken care of, thank you very much. If you plan on venturing into the world of e-mail publishing, you'll need to get yourself a list server. That'd be a program (in conjunction with a connected machine) that handles message distribution and subscription issues. The great thing about a list server is that it's not just for geeky subject matter; perhaps you're selling quilts online and want to keep folks up-to-date on your new designs. Follow the pattern? You can purchase your own list server, rent one on a per-message basis, develop your own, or... continue to live without one altogether. Now, if I'm not mistaken, someone actually wrote a book on how to do e-mail newsletters. His name escapes me for the moment, but if you know who it is -- please e-mail me ASAP.

Load Balancing

Do you know how to make your washing machine dance? Just stuff a bunch of clothes in there and watch it shake and shimmy. Try tossing in a blanket or two to really see it get down. Anytime you don't balance your load, it can wreak havoc on your Westinghouse. A heavy load within your PC won't cause it to dance (I've never seen it happen) -- but it can slow things down considerably. Enter: load balancing. That's when the work is distributed among more than one computer so things get done faster and more efficiently. Web sites with heavy traffic often employ load balancing; with every added server, the weight is further dispersed. Why would they care about making things run smoothly? When was the last time you couldn't get into a site because it was Gnomed. Exactly. We're the reason load balancing was invented. Mmmm... Oogie Boogie smells Springtime fresh.

Loader

You put the disk into the drive, wait a few seconds, and the next thing you know your computer is reading the disk. Wow. Neat. So? Haven't you ever wondered how the heck all that information gets from a disk to your PC? Why, sure you haven't! But I'm going to tell you anyway. Ya see, your operating system has a component called a "loader" that locates a program on a disk and loads it. And you thought there were little elves inside your computer hauling programs back and forth. Actually, the elves worked for Commodore. I should also point out that a loader will load programs that are already installed on your computer. Even the elves know that, but they're making cookies now.

Local Area Network

So you want to know what the heck this is, eh? You really want to know? You really, really... okay, a "local area network" is a network that is used locally... in an area. There, that's about it. Today's GnomeWORD was brought to you by network cable. Please help yourself to the buffet and don't forget to tip your waiter. What? You want a better explanation? Geez, you people are so demanding. The LAN (!) is comprised of computers that share a single communication line and are found in the same location. For example, you may work in an office building with a LAN. Its server(s) could have as few as three and as many as three thousand individuals accessing it at any given time. Designed to fit the needs of the people it serves, the LAN often has centralized data storage. Users can save their files on the network rather than on their own computers. When sharing common documents, this technique can save headaches (sometimes). Remember what intranet means? Yeah, this is kinda like the same thing. Although, intranets can be global, whereas LANs are pretty much just... local.

Lossy - Lossless

Images, songs, and videos can take up a lot of space on your ol' PC, pal. That's why the divine creator invented something called "compression." That's when a file is shrunk so that it sucks up less space. Compression also cuts down on transmission time if you happen to be sending something to someone. Ideally, compressing a file doesn't alter the data at all. This is known as "lossless compression." GIFs are graphics which rely on lossless compression; they have to be saved at 256 colors or less, but once this is done, no visual artifacts remain. Compression can also result in lost data, though sometimes it's not noticeable. Audio and video data typically employ "lossy compression," as do JPGs. Why doesn't the world use one type of format or codec? I'm at a lossy for words, so get lossless.

Lurking

Newsgroups are nice, but they can be somewhat foreboding. Jumping into a new newsgroup is like trying to infiltrate a whole new social circle. You don't really know anybody and they probably don't know you. I've said that it's a good idea to just hang out and read the threads before making a post of your own. That's what we call "lurking," my friends. It sounds bad, doesn't it? Like you're some sinister prowler hiding in the shadows. Even if you ARE a sinister prowler, you could still benefit from lurking a bit before making your first public entry. You might even decide this particular newsgroup isn't what you're looking for. No sweat; there's only about thirty million others waiting for you. Ya know, all some people ever do is lurk... but where's the fun in that? Electronic forums will make lurkers of us all.

Lynx

LYNX <> Unix systems (such as Linux) can run on a command line interface. Essentially, everything is done through the keyboard. Get thee behind me, mouse! But what about Web browsers? Is there a text-based browser for those Unix-usin' geeks out there? Or what about for those of us who long for the days of DOS? Sure there is -- it's called "Lynx." This particular browser is text only, which means it's not a graphical Web browser (like Netscape, Internet Explorer, or Opera). It may not be as pretty as those other clients, but real power users shouldn't concern themselves with aesthetics. Pages sure load quickly when there's no GUI around.


Gnome Terms - M

Gnome Terms 'M'

MACRO
Mail Merge
MIME
Meta Tags
Mirror Site
Motherboard
Mozilla
MP3
Multitasking

MACRO

Okay, we all know that "macro" is the opposite of "micro," right? Ya know, like "microcosm/macrocosm," that sort of thing. In programming, it's used to define something that will expand into something much larger when used. Confused? Okay, let's say you're working on a file and you want to add three spaces between each line, you can do that if your word processor supports macros. In other words, you've given a series of commands that will be performed all at once, as opposed to manually grinding them out one at a time. Macros also work well for writing letters and filling out forms where the same information is needed over and over again.

Mail Merge

Yeah, you've heard this word before, but do you know what it is? It's something you should know about if you write a lot of form letters, or tend to create documents that contain a lot of the same information. In Microsoft Word (and any other processor that supports mail merge) for example, you can create a letter with general terms instead of specific ones (i.e., [NAME] instead of "Chris Pirillo"). When you use mail merge, all of those fields are replaced with the appropriate filler. Believe me, it's a great time saver. You'll find it in the Tools menu in Micorsoft Word.

MIME

No, not those annoying street performers. This "MIME" stands for "Multi-purpose Internet Mail Extensions." Ya see, it's an extension that allows you (and everyone else) to exchange pretty much any type of data file across the Internet; like video, audio, images, programs, and all sorts of other stuff. When a file is received, MIME types are used to determine the appropriate application tasked with handling the file. Now if you'll excuse me, I seem to be trapped inside this invisible box.

Meta Tags

You finally got your own Web site. How will you let everyone in the Gnome universe know about it? You could try the telephone, but you and I both know the phone bill would be way too high. Put down the yellow pages and I'll tell ya about meta tags. You see, meta tags are included in the HTML code of a Web page. They tell search engines what your site is all about. The meta tags most often used are "keywords" and "description." You can use an unlimited amount of keywords for your site, although the first ten are probably the most important. Some words will work better than others, depending on what kind of market your site covers. It's not a bad idea to check out the competition. Remember, though, that you should strive to be unique.

Mirror Site

Remember when you were a kid and your parents would take you to the carnival or the amusement park? My favorite place was the House of Mirrors. I'd spend hours in there, laughing at the distorted reflection. Then, some wiseguy would tap me on the shoulder and whisper: "Chris, that's just a regular mirror." But enough about my embarrassing childhood, let's talk about this word in relation to the Internet, shall we? A Webmaster can make an exact copy of his site and upload it to a separate server. This kind of copy is known as a "mirror site." It helps make the site's content more accessible when it receives a ton of traffic. These mirror sites also come in handy for geographical reasons (e.g., you have a site in Germany and you want to make it accessible to folks in the United States). A person can also choose to just copy certain portions of their site. For example, if that user happens to distribute a popular program that is downloaded by hundreds of people a day, he can put the binary on several sites (other than his own). It's more fun than throwing up on the tilt-a-whirl.

Motherboard

Take your system apart. On second thought, don't -- unless you know what you're doing. I wanted to better illustrate what a motherboard is. So what is it? A large plate sitting inside your case. Your PC's primary internal components connect to it: memory, drives, cards, etc. Think of the motherboard as a stage and each component as a band member. Together they make beautiful music. Motherboards are usually green, though I've seen a handful of tan ones, too. Some motherboards have integrated sound, network, and video components. These systems are sometimes difficult to upgrade; they tend to rely on proprietary drivers, as well. Ya know, I've got a face only a motherboard could love.

Mozilla

One of the Three Stooges was exposed to radiation and became... Mozilla. Sorry, I was making up movies in my head again. Actually, Mozilla was the original name of Netscape's browser (you know it as Navigator these days). Why "Mozilla?" Well, why not? Actually, some say it's a combo of Mosaic and Godzilla. Mosaic being the number one Web browser at the time. Ya see, Mozilla was going to crush Mosaic? It's funny? Maybe it's only funny if you're a programmer. The term "Mozilla" is still used on occasion to define Netscape, though it is typically seen as the on-going open source development project surrounding the code that was released a few years ago - it can be found at mozilla.org. I'm working on a new browser called Mothra. No, really, I'm not.

MP3

Just call your cable company and say: "I want my MP3!" We've been hearing a lot about these things lately -- mostly due to the hullabaloo surrounding Napster (we'll just let Metallica and Limp Bizkit duke that one out). "What the heck is an MP3, anyway?" Well, it's a digital music file (in most cases). Moreover, it's a format for compressing a sound (say, from a CD) into a smaller file. Why? For quicker transferring (downloading or uploading). Although smooshed, the original audio quality remains (for the most part) intact. This is why many people see MP3s / digital music as being as THE NEXT big trend in listening pleasure. This file type is extremely portable, making it easier to hear the same 'byte' on your PC, in your car, on your Walkman, et al. If the whole Napster fiasco has you worried, don't fret; there are plenty of 'safe' ways to access MP3s on the Internet. Providing, of course, that you already own a legally purchased copy of the clip. Newer flavors of Windows come with the ability to play MP3 files. Players always add to the listening experience; ask anyone who's placed a CD up to his ear and heard nothing. We may have to wait for MP9 for that kind of functionality.

Multitasking

Open Word. Now open Netscape. Now open Notepad. Now do the hokey pokey and turn yourself around. That's what it's all about. That's also what we like to call "multitasking." You can probably deduce (from the word itself) that "multitasking" has something to do with performing multiple tasks. And, in assuming this, you would be correct. It simply refers to an operating system's ability to have more than one program running at a time. Now you can check out Lockergnome in one window, make notes in another, write a letter to your grandma in yet another, and listen to the latest Chris Pirillo Show via Winamp (or whichever media player you choose). Of course, running too many programs at once can cause your system to slow down, so don't get overzealous.


Gnome Terms - N

Gnome Terms 'N'

Netsplit
Newsgroups

Netsplit

Have you ever been talking to someone on the street and suddenly they just up and disappear? Yeah, me neither, and yet it can happen when you're connected to an IRC (Internet Relay Chat) server. There you are talking to GnOmEbOy7 and suddenly, GnOmEbOy7 is gone. Where did he go? Call McGruff, the Crime Dog! Chill out; he didn't go anywhere. Your connection to him was severed; you smacked into a netsplit. The two (or more) servers lost contact with one another. You can still be connected with other users; to get back to the whole gang, quit your session and rejoin it immediately. It doesn't matter which client you use, netsplits can happen with anybody at any time. Just remember, you only lost a connection; the actual human beings are still alive and kicking... or are they? I hope this isn't another government conspiracy. I've got crop circles on my screen saver now.
Newsgroups

As you surf the Net, you may feel a little disenchanted by a lack of any real substance. Where the heck are all the people who share my interests? First off, there's a ton of "worthy" stimuli online, but it takes a lot of digging. That's why you have me -- I'm the Gnome with a pick-axe. To really find your digital clique, though, you may wish to check out the newsgroups. A newsgroup is essentially a threaded discussion list based on a specific subject matter (theoretically). Topics range from local news to computer hardware to folk music to any darn thing. Windows users can sign up for newsgroups using the Outlook Express news client; your ISP may carry a set of Usenet (Internet) newsgroups, but every one of you can sign up for the free forums at news.lockergnome.com. While newsgroups are a great way to confab with others who are just like you, it's not a bad idea to just sit back and watch during your first few visits to get a feel for the tone of the discussions (and to make sure you don't repeat a question that's already been asked forty-seven times). That's called lurking, folks. Also, be sure to play nice -- or the other members won't want to play with you at all. That's like being kicked out of the sandbox, I tell ya.


Gnome Terms - O

Gnome Terms 'O'

OEM
On The Fly
 Opera

OEM

This term refers to an alternative band from Athens, Georgia. Wait, I was thinking of something else. Actually, OEM stands for "Original Equipment Manufacturer." It's a (somewhat misleading) word used to describe a company that uses products from other companies in its own product, and then sells the finished product under its own name. Is this good or bad? Well, once again, opinions differ. IBM is an example of an OEM, FYI. A company can increase revenue by selling to an OEM company. On the other side of the coin, the OEM company tends to distance itself from the company that provided the product. Of course, in the end it's all about making money. It's just a matter of how a company chooses to go about it.
On The Fly

Life is nothing more than a series of tasks. Your body is always working (even when you're not). Do you have to tell your heart to pump blood? Of course not -- it happens on the fly. You don't need to stop doing whatever it is you're doing so that something else can happen. You even THINK on the fly. This is also a term used in the digital world to define any task that your computer performs immediately -- sometimes without user intervention. Programs that work "on the fly" know that you don't have time to sit around all day waiting; duties need to get done. Like misspellings in Microsoft Word; they're highlighted on the fly. No need to reboot your system -- it happens instantaneously. And if you use AutoCorrect in Spain, unrecognized words are highlighted on the Spanish fly. Or at the race track, something might happen on the horse fly.
Opera

"Sing quite deeply with my horned helmet; dance upon my keyboard; download my heart." Oh, pardon me... I'm working on my new Lockergnome Opera: "Iowans, Vikings, and MP3s." Right now, I'm playing all three hundred characters by myself... in my basement here. I tend to get bored when Gretchen is at work. So! Let's talk about some real Opera. Namely, the Web browser which bears that name. Most folks surf with Internet Explorer or Netscape, but there has been a smaller alternative for quite some time. Opera offers pretty much all of the same features that the bigger browsers do; many folks have been using it. It's actually a viable alternative to your typical browsing. Opera is now free, thanks to in-browser advertising. Which, I have to point out, happens on Web pages, anyway. NOTE: the Web is just a collection of pages. You can access it using any capable Web browser. It truly doesn't matter, as long as it can interpret HTML documents. You may also notice that pages show up differently in the different browsers. Go with whatever makes you happy, bud.


Gnome Terms - P

Gnome Terms 'P'

Packet
Pascal
Path
PCI
PCMCIA
Peripherals
Ping
Plug & Play

Packet

A packet is a piece of data that is sent from one place to another over the Internet. More specifically, it's one of many pieces. Like Reese's pieces in the bag... without the sweet sugar shell... or the peanut butter flavored filling. Okay, let's put it this way: when you send an e-mail message, it has to be divided into "packets" for easy routing. Once it reaches its destination, the packets are reassembled and the message can then be viewed (hopefully intact). Packets are also used when you enter a URL in the Address field of your browser. This way of sending information can really only be done via the Internet. I tried mailing myself in several pieces once; it didn't work out. I'm still looking for one of my kneecaps. Time to watch a little more Wonkavision.

Pascal

We defined C++ as a programming language, which is what it is. But there's a lot more programming languages out there, and each one has something valuable to bring to the table. Take Pascal, for instance. Some of you may notice it has the same name as a dead mathematician (Blaise Pascal), and you would be right. It's a programming language that is highly structured, so many use it as a way of teaching programming. In fact, it was developed as an instructional tool in the late '60s. It has been used in business, though not as frequently as other programming languages, simply because it doesn't lend itself to large applications. Of course, I'm generalizing a bit, and it's worth pointing out that many still use Pascal to create worthy applications. It's all about personal preference.

Path

The logical hierarchy for a file's ultimate location is known as its "path." It's a virtual road; there's an off ramp for every folder on your hard drive. When you're running Windows (and you probably are if you're reading this newsletter) then the path to "CHRISCOOL.TXT" would look like this: C:\ Program Files \ My Other Documents \ Nifty Stuff \ CHRISCOOL.TXT. That's the "path name." If you ask which path you should take, and someone tells you the wrong path, then they're a pathological liar. Sorry, but I had to meet my pun quota for the day; I was going through withdrawal. Paths can be long or short, depending on how many nested folders you have to click through to get to a desired document. Though DOS is in the dust, you can still enter a file's path in the Windows Explorer's Address Bar. Try it when you need to get to the "other side" of your hard drive in a... flash.

PCI

This stands for "Peripheral Component Interconnect." PCI provides a communication path between a microprocessor and additional system components. What does this do exactly? Basically, it allows for high-speed communications with as little system overhead as possible. Most new computers contain PCI interfaces, and many of today's computer peripherals are designed with a PCI interface. The standard was developed by Intel, but it doesn't adhere to any particular microprocessor type, as it's in common use with Intel, AMD, PowerPC and other processor platforms. Also note that most PCI implementations have a 32-bit data path, but there is also a 64-bit version, typically used in high performance servers and workstations.

PCMCIA

It stands for "Personal Computer Memory Card International Association" and it's a phrase you'll see quite often if you work (or play) with computers -- especially laptops. An example of a PCMCIA card would be those credit card-sized modems used in most portable computers. Not many folks can carry a modem in their wallet, ya know. Well, it depends on the size of the wallet. There are three different sizes of PCMCIA cards, and they're not just for mobile devices. You can also get a PCMCIA card reader for your desktop system; "wireless Internet" hardware relies on some sort of physical connection. This could be through a PCMCIA card jacked into an ISA card plugged into your PC.

Peripherals

You don't have to be a geek to connect gadgets to your PC. The monitor, mouse, and keyboard are wonderful (and rather necessary), but wouldn't a scanner be great? And hey, don't you need a printer, too? What about some game controllers? What do we call all this 'dangling' hardware? Peripherals! Bet ya didn't see that one coming, eh. That's a fairly easy word to remember, but what's even more fascinating is that it's impossible to say "peripheral" and not sound like Scooby-Doo. That's one of those little factoids I uncovered during the many hours of extensive research. Then again, maybe I just need to stop staying up all night writing these little tips. Just think of 'peripheral' as your new power word. Now when you walk into the computer store and announce: "I seek peripherals," you'll sound like someone who knows what they're looking for. Someone who isn't going to be coerced into buying useless junk. This only works in technology stores, though. I tried it once at Dairy Queen and they just looked at me funny. You just can't order a good vanilla microphone these days.

Ping

"Ping" isn't just the sound a spoon makes when it hits the floor. It's also an acronym that means "Packet Internet Groper." Yes, but wouldn't that be "pig?" No, the "in" stands for "Internet," wise apple. Can I get to the definition already? Ya see, when you ping, you're seeing if a specific IP address is accessible. A packet is sent, and a reply is sent back (if everything is copasetic). Think of it as a way of asking an IP address, "Hey, are you awake or what?" That's a ping, so let's all sing. AHEM... or not. Oh, and you can find an IP address by opening MS DOS and typing "ping whatever.com" (sans quotes). Except, you wouldn't type "whatever," you'd type the actual domain name. Duh.

Plug & Play

Sounds like a Fisher Price toy, eh? Pull the cord and hear: "The geek says... Waaagh!" Well... it isn't a toy, but the scream you just heard was genuine. Oddly enough, plugging and playing has to do with computers. It's a term that was allegedly developed by Microsoft (a little company that makes software, you've probably heard of it). PnP allows you to plug in a peripheral and have the PC or Operating System automatically recognize it. In other words, you don't have to go in and tell the computer that you've just added a new piece of hardware. Hardly. Er, it used to hardly work. Now that it's been around for a while, we have something called "Universal Plug and Play." It's a standard of sorts. I remember when we used to call it Plug and Pray. Heh... some of us STILL do. "IRQ 54, where are you?"


Gnome Terms - Q

Gnome Terms 'Q'

QWERTY - DVORAK

QWERTY - DVORAK

QWERTY / DVORAK / Look at your keyboard. See the word "Qwerty?" It's the first six letters in the first row. Most people learn to type on a Qwerty keyboard; that's what I used in typing class. Twenty manual typewriters clacking away all at once causes more noise pollution than all the jet engines in the world. Well, another keyboard layout is available which allows for much speedier typing than your average Qwerty. Those keyboards are known as Dvoraks. On a Dvorak keyboard, the most common letters are placed in the middle row. I'm a pretty fast typist myself, but then... I've had lots of practice. Ya know, they say an infinite number of typing geeks can write all the works of Shakespeare in binary. 00100101!


Gnome Terms - R

Gnome Terms 'R'

RAM
Redhat
Refresh Rate
Registry
Registry (2)
RGB
Rich Media
Roaming Service
Rollover
ROM
Roundtripping

RAM

Remember high school... how you'd study for weeks and weeks for a test? Well, more like minutes and minutes. How you "studied" isn't important, anyway. What's important is that all the answers to your history test were stored in short term memory long enough for you to ace it... or, at the very least, not fail. Chances are, once you left class and went on to Phys Ed, everything stored in that memory space disappeared into the ether. Well, RAM [Random Access Memory] works in much the same way. It's where 'loaded' (resident) applications can be quickly reached. RAM can be read from much faster than other system components, such as a hard drive, CD-ROM, or floppy disk. As when the bell rings and you leave class, when your PC is turned off (or rebooted), everything in RAM will be purposefully 'forgotten' permanently. The slate is wiped clean! When you turn the computer back on, your OS is (once more) loaded into memory. If only real life were like that, I would never forget birthdays and anniversaries.

Redhat

Linux users know what "Red Hat" is, but for those of you sticking with Windows -- I'll fill ya in. It's a company that provides open source software for Linux. That's an operating system based on Unix (we featured that in an earlier GnomeTERM). Since the OS open source, anybody can do anything they want to it (at least, those with enough time and the technical prowess). Red Hat simply allows them to do things... simply. You know, like those ready-made fruit salad bowls. Who has time to chop up all that pineapple anyway? The company also has their own Linux distribution (which is their true claim to fame). If you're not interested, file this term under /dev/null.

Refresh Rate

"Refresh rate" is a term used to define how many times per second a display is, well, refreshed. The rate depends on the type of video card and monitor you're using, and can usually be changed in the display properties. That's really not necessary for most users, and sometimes you can make your screen go blank or become all distorted if you apply incompatible settings. The higher the refresh rate, the better. Remember that old computer and how the screen used to flicker and make your eyeballs explode? That's because of low refresh rates. If possible, shoot for 75Hz or higher, because this is much easier for your eyes to handle. It's not uncommon to see refresh rates of over 100Hz in some high-end configurations.

Registry

The registry is a newspaper in Des Moines. No, that's "The Register." My mistake. Think of the registry as an informant -- telling you what's attached to your computer, what options have been set up, and which applications will run at start up. Ya know, kind of like the neighborhood know-it-all who tells everyone on your block that you play with dolls. Okay, maybe it's not quite the same thing, but you get the idea, eh? You've most likely made changes to the registry without realizing it. Anytime you add or remove a proggie from your system, the registry is changed. Damage it directly and you'll probably have to reinstall Windows. Yeah, only experts should play with the registry.

Registry (2)

Arrrr, the registry be a fickle hellcat. You have to treat her nice or she'll turn on ya! Anyway, you've heard me talk about the registry before, and I'm sure you've heard me warn you a number of times not to mess with it unless you know what you're doing. But what the heck is it? The Windows registry stores hardware and software configuration information. It tells Windows what hardware is installed in your PC, what settings should be used when starting applications, and controls many other system-level functions. You can type "regedit" (sans quotes) in the Run menu and make all kinds of changes to your system. Of course, you can also cause Windows to suddenly burst into flames this way. Anytime you install a new application, configuration data is added to the registry. When you remove programs, the registry is also changed. Now that you have a better idea of what the registry does, tread lightly through this territory, and avoid leaving footprints on your way out.

RGB

What, am I trying to start the Cold War all over again? No, no... you're thinking of the KGB. I'm talking about RGB (Red, Green, Blue). That's the word for the day, kids. Why "Red, Green and Blue" and not say, "Lavender, Yellow, and Periwinkle?" Because the "RGB" colors can be combined in different ways to create any color in the spectrum. It's what you see on your display, ya know. Web pages employ the same system. However, one must reduce their spectrum if they want their colors to be visible on both PC and Mac. These browsers don't always see colors in the same way. I know, it's devastating, but you learn to live with it. In all honesty, it's 000000 and FFFFFF to me.
Rich Media

Oh, you mean like Time-Warner? No, that would be "filthy rich media." Well, I suppose (in theory) "rich media" can make you rich. Ya see, it's a term tossed around in Internet marketing for flashy, interactive ads. Like, say... "Punch the Monkey." It's animated and stuff... and you can hit it. Over and over and over again. Another example would be watching video clips from your favorite television show's Web site. It could even be something as simple as a banner ad that changes its appearance when you move the mouse pointer over it. Obviously, this form of advertising isn't limited to banners. Sometimes, though, less is definitely more. Macromedia makes dynamic, rich, and flashy products. Get it? Flashy? Don't tell me to quit my day job because I've already fired myself.

Roaming Service

"Roam if you want to; roam around the world." Oh, great, now that song is stuck in my head. Curse those B52s! But they are correct. You can roam if you want to. Roam around... the world. What happens when you're in Walawala, Washington but your local dial-up number is for Sheboygan, Wisconsin? What then? Well, if your ISP offers a "roaming service," you shouldn't have to worry. They'll let you connect to the Internet from outside your local area for the price of a local call -- or, at least, at a cost that is cheaper than a typical long distance call. If you travel frequently (like certain lions I know), it's probably not a bad idea to check with your ISP to see if they offer such a service. National ISPs should have no problems in this respect. You may also consider obtaining a free ISP account (although who knows how much longer those are going to last). If you'd rather spend your money on local companies without a distant reach, consider calling ahead to the hotel(s) to see if they will provide a connected computer or a connection for your own laptop. It's wise to double-check with your cell provider to make sure their service is "roam" friendly, too. We hate unexpected charges 'round these parts.

Rollover

Take the mouse pointer and put it on one of the links in the Lockergnome sidebar. Notice how the link changes color? That's an example of a rollover (also referred to as a "mouseover"). This term basically defines any text, image, or graphic that changes when you move the mouse pointer over it. It's a cool effect, and it's also a nice way to let the user know that yes, this text is indeed clickable. Go on... click me. You'll need JavaScript to create these funderful doo-dads. If your graphic features a bald man, you can use a "combover." For flatter graphics, use a "steamrollover."

ROM

Although it could be mistaken for the British pronunciation of RAM, ROM isn't RAM at all. Not exactly, anyway. And we're not talking about Quark's brother, either. It actually stands for "Read-Only Memory" and pretty much means what it says. You can't alter it in any way; you can only read it. It's the hardware's way of saying: "Look, but don't touch." Let's say you have Paint Shop Pro on CD-ROM, and you try to copy Tetris from your Desktop to the PSP CD-ROM. In all likelihood, you'll get a message telling you that you cannot write to the CD-ROM. Why? Because it's read-only, that's why. A more retro example would be the act of copying from a vinyl record to a cassette. If you had Pac-Man Fever on vinyl (and who didn't?) and wanted to put it on a blank tape, you could do that. The tape would allow itself to be "written" to. However, if you tried to put the contents of a tape onto a vinyl record, you'd fail miserably. ROM allows your computer to "boot up" every time; unlike RAM, it is not lost when you shut down the system. Many small handheld / portable digital devices use ROM chips for this reason. Now that I think about it, you might want to save all your CD-ROMs. They may become nostalgic items one day. You heard it here first.

Roundtripping

"Send me that Word document as a PDF, please." "Fine, but when you send it back, be sure to convert it back to Microsoft Word for me." Why the constant flip-flopping? Because people can be difficult when it comes to dealing with document formats. It's difficult to view a document if you don't the proper viewer, right? Hence, the conversion. When a document is saved in a new format, and then converted back to its original format, that's what we call roundtripping. You know, like taking a "round trip" on an airplane and ending up back where you were? Exactly. I've been to Las Vegas, but now I have to convert back to Iowan. Not quite the same, but... something always gets lost in the translation. As long as it's not my luggage, I'm happy.


Gnome Terms - S

Gnome Terms 'S'

Script
SCSI
Secure Socket Layer
Seek Time
Site Map
Skins
SMS
SOHO
Spam
Splash Page
Spoofing
Spyware
Streaming Media
Switch
Sysop
System Tray

Script

Okay, you have programs on your computer, and you've probably even used some that were featured in Lockergnome. Programs can come in different forms, however. many are compiled into executable files (.exe), but another form involves a text file consisting of a list of commands. They are programs in the sense that they perform a function when launched, but they're a bit different in form. You may not know it, but you pretty much run into scripts every time you get on the Internet. One example you've probably heard of is JavaScript, which is what Lockergnome uses to syndicate our daily tip. It's all done on the server, sir. JavaScript is also a screenplay I wrote about coffee growers, and it's going to be hot and steamy. Rated LG.

SCSI

From Lockergnome's Tech Specialist newsletter: "I'll make no secret that I'm a fan of SCSI devices for many reasons: to include performance, compatibility and fault tolerance features." SCSI stands for Small Computer System Interface. They sound "skuzzy," but these devices are known for their stellar speed. SCSI hard drives and CD-ROMs are more expensive than their IDE brethren, but they also carry with them lower CPU overhead. External SCSI devices still exist, though they're being replaced quickly by firewire and USB. A SCSI cable looks much like a parallel cable, although its base is a bit wider. If you want faster boot up times, you don't want SCSI. If you want faster system operations, you DO want SCSI.

Secure Socket Layer

We all need some good PR every once in awhile. Why, without PR, Sprocket would just be "Socket." While I wait for that lame joke to sink in, I'll talk about another kind of socket, particularly SSL: the Secure Sockets Layer. What the heck is that? Luckily, it's nothing you have to worry about; it's built directly into Netscape and Internet Explorer. Yes, but WHAT IS IT? Okay, okay... I'll tell you. It's a protocol that ensures message transmissions sent over the Internet are kept secure. When you purchase a book online, say (and I'm just picking a title off the top of my head) "Poor Richard's E-mail Publishing" by Chris Pirillo, you want to make sure your credit card number is secure when you purchase your twenty-seven copies. The data will be encrypted (see previous GnomeWORD definition). When SSL is activated, you should see a picture of a lock (unbroken) at the bottom right hand corner of your browser window. Now when my dog surfs the Internet, he'll know that a Secure Socket Layer will secure Sprocket's Lair. A canine's PC is his castle, after all.

Seek Time

"Lookin' for data in all the wrong places; lookin' for data..." Man, I love that old country western ditty. I find that love is always in the last place I look. Usually, Sprocket finds it by digging under the couch cushions. And I even found my old Cobra Commander action figure. Oh wait, we were talking about data, not love and action figures. Ya see, the time a device takes to find a particular piece of data is referred to as "seek time." It is, in fact, the amount of "time" it takes to "seek" out data. The term is most often associated with disk drives, and typically expressed in milliseconds. I can't even fathom how many milliseconds it took me to find my car keys yesterday... very poor seek time on my part.

Site Map

Okay, a "site map" is... are you ready for this? A map of a Web site. No, you're kidding. How many times have you visited a Web site and not been able to find what you're looking for? Trust me, I've had to navigate more than my share of sites trying to find the dang download link for a particular program. However, if a site has a site map, that is, a visual model of everything on the site, then finding what you need should be no problem. That's a little suggestion for you Webmasters, too. Ya know, kind of like those maps they have set up in shopping malls. Heck, Radio Shack and Hallmark are right next to each other. How convenient.

Skins

Have you ever seen the movie Face/Off? John Travolta and Nicholas Cage have their faces switched (not at birth). It may seem a little far-fetched, but I happen to know this plastic surgeon who can... well, I've already said too much. Let's just say I'm currently in negotiations with Russell Crowe. Personal tastes, much like faces, are somewhat unique. Based upon this premise, some programmers have allowed us to switch a program's interface on-the-fly. And that, my friends, is what we call skinning. Winamp programmers pioneered this feature; former Iowan, Tom Pepper, fathered the concept only a few years ago. Since the user interface is arguably one of the more important application elements, you can see how changing it could prove useful. See your world the way YOU want to see it. Still searching for something to skin? Always ask the app's author for the option. It may be a matter of form more than function in most cases, but a departure from 'vanilla' never hurt anybody. Heck, it's almost obligatory that newer programs come with this feature. Even the ever-lovin' Internet Explorer and your lowly Desktop can be given a facelift. Though skins aren't necessary, they make personalizing your PC a snap. Now you're playing with power. Oops; I think that slogan belongs to someone else.

SMS

"Short Message Service" or "SMS" is a way to send text messages of up to 160 characters to a mobile phone or other SMS- enabled device. Wait a sec, isn't that called "paging?" Uh... no. Ya see, with SMS messages, a phone doesn't have to be active, nor does it have to be within range at the time the message is sent. Rather, the message is saved until the phone is within range (and active) and can be delivered. Kinda nice, eh? SMS messages can be sent to digital phones from other digital phones, through telephone interfaces or via websites. Many instant messaging applications have enabled the sending of SMS messages as well. Of course, there's nothing wrong with paging, but sometimes this is a better alternative. Note: "SMS" also stands for "System Management Server" from Microsoft.

SOHO

I could be wrong, but I believe "SOHO" was one of many places where a young boy used to play a mean pinball. Of course, it's also an acronym that stands for "Small Office Home Office." That's a catchy way to define those of us who work out of our own homes, our own offices, or our own home offices. We are the pioneers, trendsetters... the people who really don't like to be bossed around (I'm selfish that way). We're the ones chipping away at the notion that you have to become part of a huge corporation to make a difference. Or maybe it's just that we like having the refrigerator only six feet away.

Spam

Ah... Spam! Who doesn't love Spam? Pretty much everyone I know, actually. I think Spam is a perfect example of having too much of a good thing. "I like ham, and I like pork... why not put them together?" More importantly, why didn't someone try to stop that guy? Then again, Spam has been around for decades... so somebody has to be eating that stuff. Find a need and fill it, right? Well, that may be true for delicious meat byproducts, but there's definitely no need for unsolicited commercial e-mail (UCE). There's a name for those Inbox infiltrators: spam. If someone is trying to sell you something you didn't ask for, and it sounds like a marketing pitch, it's spam. Now, it is entirely possible that a message you think is spam is actually a legitimate mailing. Did you check a "Yes, send me more information" box when you signed up for a service or purchased a product? You've given your permission, then. Who knows what they're going to do with your e-mail address? Perhaps their privacy policy will shed some light on the subject. You'd be wise to double check these things in the future. Digital spam is harder to digest than its meaty namesake.

Splash Page

Click here to skip! A "splash page" is the first page you sometimes see when you enter a Web site. It stays up for a few seconds, then leads you into the "real" site. It's either a fancy welcome mat or a short disclaimer: "Best viewed with Netscape," "Please install Flash before continuing," "Don't turn around. Uh oh!" Now, you could throw a splash page onto your Web site, although it's good to keep in mind that some visitors can't stand these things (myself included). Inserting a prominently visible "skip intro" link is silently mandatory; you could always post your "Million Dollar Giveaway" on the splash page to reward those who aren't impatient. To take this a step further, a splash screen is something which pops up before the program's UI fully loads. And here you thought it was gonna be about Daryl Hannah.

Spoofing

When evening comes, I venture into the city under the cover of night. I swing from rooftop to rooftop on a mouse cord; I am the protector of this fair city. I am the one they call... BatGnome. What?! Huh? Oh, sorry, I was daydreaming again. Darn my MARVELous fantasies of DC. At any rate, superheroes are masters of spoofing -- making you believe they're another person. Superman just covered himself with a pair of glasses (man, he wasn't even trying). When it comes to e-mail, the spoofers are considered virtual villains. It's the act of masking the sender's name and address in an e-mail message; spoofers make it look like it's being sent from another location. More often than not, it's used by folks who send unsolicited e-mail and don't want to be swamped by complaints. There's no valid reason to spoof, unless you're trying to save the universe (and the chances of that are highly unlikely). If only someone could save us from this peril. Quick -- to the GnomeMOBILE!

Spyware

Ah... yes. Once again we delve deep into the seedy underworld of the Undernet. I mean: the Internet. What sinister forces await us today, hmmm? How about some spyware? They Might Be Giants actually wrote a song about it a few years back: "Spyware (we love you, Spyware). Spyware (get rid of)." Oh, lovely. Does it come with salad? No. Spyware is a program that gathers personal information from a person's computer without him or her knowing about it. Nobody's really sure who the collected data is shared with. Spyware can often be found under the guise of "adware," or a program that uses internal banner advertisements to pay for itself. It should also be mentioned that a program that collects data but lets you know beforehand is not necessarily spyware, as long as you're told exactly what is being collected. It could still be considered adware or sponsorware, but... well, if you KNOW what it does, then by definition, it's not spying. "He is our hero." NOT!

Streaming Media

As geeks like myself throw grocery money away on all the latest gadgets, it's easy to forget that a vast majority of PC users are still chugging along on a 56k connection. Really, that's not all bad for the average user... until you want to download audio or video. Get out the popcorn and grape soda -- it's gonna be a long download. That's where streaming media steps into the picture (literally). Instead of waiting for the entire video to download, streaming media sends images and/or audio in a continuous stream straight to the user. Real Player is famous for doing this (it's also famous for being bloated, buggy, and bombastic). Anyway, with this type of media, there's no wait. The speed and quality of the video and/or audio is contingent on how speedy your connection is. But heck, there's always a tradeoff for instant gratification.

Switch

I used to work on the railroad, but they demanded I work "all the live long day." Dude, they weren't even paying me time and a half. I ran the switch, which changed the course of the trains from one track to another. I thought to myself: "Ya know, someday I'm going to write a technology newsletter and I'm going to use this experience to explain what a 'switch' is." So, a "switch," in computerese, is a network device that chooses a path for data to follow. For smaller networks (like those in the average GnomeHOME), a switch really isn't needed. More often than not, there's not much data passing back and forth on a home network. Now, you take a network like the Internet and... whooo boy! That's a different story. It should be noted, too, that the trip from one switch to another is called a "hop." That's actually what the song "Let's Go To The Hop" is about. No kidding. Now if you'll excuse me, someone's in the kitchen with Dinah, and they're playing my banjo.

Sysop

Don't they serve pancakes and waffles there? Wait, I'm thinking of IHOP. I mean, there's no reason a sysop couldn't serve waffles if they wanted... maybe I should just get to the definition already. A "sysop" is just another fancy techno-term that means "system operator." You know how geeks are with their slang. "I'm the sysop for the VCs in DC, FYI." He (or she) is the person who runs the server-side stuff. If you run into a problem and believe it's not local, just speak to your sysop. You can go out for pancakes later. Pour a little sysyrup over 'em. Have you hugged your system administrator today?

System Tray

I will be your waiter for this evening. If you take a look at my systray, you will see we have a lovely digital clock, a delicious Task Scheduler, a hearty Anti-Virus program, and of course, an audio player (suitable for dipping). Please click on any one of these to enjoy. You must leave an 80% tip. Thank you. Well, that little section at the bottom right hand corner of your screen is known as the system tray (or "systray"). This tray is just a small part of a much larger world known as the "Taskbar" (the bar at the bottom of your screen). Why have the systray? Because some programs don't need to take up space in your Taskbar. If only an icon needs to be shown, then why shouldn't it? When you want to get rid of a systray icon, you should be able to right-click on it and select a "Close" or "Exit" option. How can you force programs to minimize to the System Tray instead of the regular section of the Taskbar? Well, unless they're outfitted with that functionality, you'll need a third-party program.


Gnome Terms - T

Gnome Terms 'T'

TCP/IP
Threads
Thumbnail
Trace Route
Trap
Trojan Virus
Trolling
Twain

TCP/IP

Transmission Control Protocol/Internet Protocol. You've heard those phrases a lot, or at least you've seen the acronyms. They refer to the protocols used to connect hosts via the Internet. TCP/IP is supported by pretty much all networks, and is essentially the standard for communication protocols in today's enterprise environment. How do these two things work together? In a nutshell: the TCP part of the partnership assembles and sends packets of data. The IP part is responsible for the address and destination, so the packet(s) get to where they need to be. One makes the package, the other makes sure it's delivered. Make sure to send your packets early so they get there by Christmas.

Threads

Thread is what holds us all together. Well, it does if you happen to be Frankenstein's monster. It holds my clothes together, too... and I'm pretty sure that's a good thing. Did you know that threads are just as important on the Internet, also? Well, they are. I featured Newsgroups as an earlier GnomeWORD, and I mentioned it was a good idea to "lurk" inside a particular newsgroup before posting. This allows you to get a feel for the community of a particular newsgroup, plus it could save you the embarrassment of asking a question or making a statement that has already been mentioned fifty times in the past week. Anyway, Newsgroup messages and responses are set up in sequences known as "threads." These threads show the original message and consequential public responses. See, it's like a thread of responses. Get it? I knew you could. E-mail discussion lists can be threaded as well. The easiest way to spot a thread is by reading the subject line. Most often, responses begin with the "RE:" abbreviation. Dig my threads?

Thumbnail

You don't know what a thumbnail is? It's that hard, flat thing on the top of your thumb, silly. Next you'll be asking me what "finger" means. That's for a future GnomeWORD. Yeah, anyway... a thumbnail (as it pertains to electronic media) is a smaller version of a (larger) graphic. These shrinky-dinks are used to make Web pages load faster. For example, if you have a page with twenty pictures of your poodle, Froo Froo, you'd probably want to show thumbnails instead of full-size pictures. Unless you want people to wait two hours for your page to load... and they probably won't. They'd much rather click on the more interesting thumbnails to see their bigger counterparts. Just the other day, I caught Sprocket panting over some pictures of Froo Froo. Where's the parental lock for this thing, anyway? I never thought I'd have to worry about this.

Trace Route

Some of you may recall that I defined the term "ping" for ya awhile back. That's a way to check for a response from a specific IP address. Great, but what happens if your "ping" isn't returned? In that case, you can use something called "traceroute" to help uncover why it's not answering. This is a utility that, oddly enough, traces the route between your computer and the computer or device you're trying to contact. Without getting too technical, traceroute basically shows where problems may have occurred as it displays the responses from each stopping point (or hop) along the way. Just as you can "ping" an address by typing "ping whatever.com" in MS-DOS, you can use trace route by typing "tracert whatever.com" sans quotes. Of course, "whatever" stands for whatever domain you're looking into. But you knew that.

Trap

Have you ever clicked over to a Web site and found it impossible to go back? I'm not saying the site was so good that you just couldn't tear yourself away. I'm saying that it was literally impossible to go back because the Back button on your browser had been disabled. Who could do such a thing? Well, some web pages do that so you'll be forced to stay and check the site out. This type of page is called a "trap," and (needless to say) it's not a very popular way to get people to come back. If your site is good, there's really no reason to do any "trapping." Users don't like having to close their browser and re-open it. You can always escape by typing a URL into the address bar, too. Double check your taskbar to see if another (older) browser session is still open. You may not be trapped after all.

Trojan Virus

Those of us who read Homer's 'The Iliad' (how did he find time to write an epic while working at the nuclear power plant?) or saw 'Monty Python and the Holy Grail' understand a Trojan Horse (or Rabbit) reference. A bunch of soldiers hid inside this giant, wooden horse -- which was presented to an ancient city as a gift. Once inside the city walls, the soldiers climbed out of the crate and took over the township. Today, a 'Trojan Horse' is used to describe any sneaky, underhanded attack. It's also the term used to describe a 'harmless' program containing hidden code that's actually not-so-harmless. Once inside your system, the Trojan horse is then free to do whatever damage it was designed to do. No one knowingly allows viruses to infiltrate their computer, and that's why Trojan horses are somewhat ingenious (in their own malicious way). They're embedded within another program, such as (and this has happened before) a virus scanning program; they're not easily detected. For that reason, it's always a good idea to make sure everything you download is from a trusted source, though double checking will never be out of the question. You can also download programs designed specifically for finding Trojan horses on your system. Remember: the Knights Who Say "Ni" were never a trusted source. I'd certainly never bring 'em a shrubbery.

Trolling

Ever go trolling? It's a great way to catch trolls, ya know. They're a lot slower than leprechauns. Besides, it's way past St. Patty's Day. Actually, "trolling" is a newsgroup term that defines the action of a person who posts a message which is created only for enticing a response from other users. Wow... long sentence. For example, you might post a message that says: "I just found a great new freeware program in Lockertroll," just to get people to respond. In case you haven't figured it out, trolling isn't looked upon very favorably. Trolling doesn't just occur in newsgroups, of course; it can happen anywhere on the Web. Most often, though, it happens within forums and discussion groups.

Twain
Put in the simplest terms possible, a TWAIN is what Elmer Fudd uses to get to and fwum work. Next week, we'll be talking about hard dwives. Actually, if you're running a scanner, you're most likely using a TWAIN dwiver... er, driver. A TWAIN driver lets you scan an image directly from your scanner into an application (say, something like Adobe PhotoShop). Without this mighty binary driving your images, you'd have to open a program to retrieve the image, then open another program to work on it. It'd get to be a big ol' mess right quick. If you're wondering what TWAIN stands for, you'll be wondering for a long time. It's the "Technology Without An Interesting Name," for the lack of... an interesting name. Even the companies who developed it and made it an industry standard haven't given it a proper title.


Gnome Terms - U

Gnome Terms 'U'

UPS
URL

UPS

This is well-known a delivery service which requires everyone to wear khaki... oh, you mean the other "UPS?" Forgive me. UPS, in technobabble, means "uninterruptible power supply." Hey, that sounds like a myth... like one of them "perpetual machines." Well, it's just a device that kicks in when your computer loses its main source of power. Like Oogie Boogie, who happens to run on solar power (cursed clouds). Actually, a UPS will be a godsend when you happen to lose power. Situation sound familiar, California? Consumer-level UPS systems will only run for a short time, so use that time wisely to SAVE EVERYTHING. I mean, save all the documents you're working on; I'm not saying that you have to build an ark in fifteen minutes. A UPS can also save your system from power spikes and surges. Better safe than... BRRRZAP!

URL

You probably hear the term 'URL' used often, and you probably already know what it is... without actually knowing what it is. Don't worry, that first sentence confused me just as much as it did you, and I'm the one who typed the darn thing. A URL [Uniform Resource Locator] is a Web address. There, what was so hard about that? I need to lay off the coffee; I'm starting to overstate even the simplest concepts. Or maybe I need more coffee? Or maybe I need to just get to the point already. A URL is the fastest way to reach a specific Web page; it's easier to find Lockergnome by typing in "www.lockergnome.com" than it is to search for "Lockergnome" through a search engine). Think of it as dialing direct as opposed to calling information. URLs aren't just for homepages, though. No, sir! They can be part of any Web site. For example, the title page URL for Lockergnome is at '/index.html' but the URL for our Chat page is '/chat.html' (assuming that lockergnome.com is the root domain for each). Remember: the shortest path between two points is a straight line. And this is the path of least resistance.


Gnome Terms - V

Gnome Terms 'V'

Vector Graphics
 Visual Basic
Vortal

Vector Graphics

Sounds like the name of an art store, eh. "Hello, and welcome to Vector Graphics. I'm Victor." Actually, they're images built upon geometrical formulas. This format makes for a cleaner image. It can be stretched, resized, and generally abused on screen -- without any unseemly changes. When printed, a vector image is just as smooth. Compare this to a raster (bitmap) graphic, which can be blocky and pixilated when resized and / or printed. Ick. Since the vector format is of a higher standard, it's perfect for digital animations. Ya know, like Flash stuff. Don't look now, but I think Victor is flashing his printer.

Visual Basic

When you first learned to ride a bike, you probably used training wheels. I'm not sure why they don't have training wheels for beginning auto drivers, too. I mean, besides the fact that they'd have to widen the roads considerably to accommodate the... Anyway, back to bicycles. Most of us had to learn balance before we could ride off into the sunset on two wheels. Some folks even went on to master one wheel, and eventually, one wheel on a high wire (but enough about the circus). Visual Basic is a programming language that comes with training wheels. Thanks to a handful of pre-written modules, programmers don't have to write their own code. It's pretty much a point-and-click experience. For developing "prototype" binaries that will later be rewritten in a less "basic" language, Visual Basic is perfect. You may have heard about these so-called Visual Basic runtimes at one point, too. They're the common libraries that can be shared between any given VB application. If you want to get started in programming, there could be no easier way. Future versions of Visual Basic will be even more simple to use.
Vortal

Vortal is just a fancy way of saying "voice portal." That's a web site which can be accessed via the telephone. Once you've dialed in, you can access weather, news, stocks, and all of that kind of information. Vortals are often voice-automated, though you can use your touchtone keypad to select the information you want, too. We should all know how to use a phone by now: "For more information, press 1. For account information, press 2. If you'd like to press 3, please press 5. To return to the main menu, press 12. If your phone does not include a '12' please press 7 to have one mailed to you." Aaargh. I've also heard the term used to describe vertical portals (topic centric sites). My favorite vortal? A chortal -- which is a portal for people who like to laugh. Ha ha.


Gnome Terms - W

Gnome Terms 'W'

Wait State
Wake on Lan (WOL)
WDM
Webring
Whistler
Wide Area Network

Wait State

*Grumble* "Come on, any day now, come on, let's go, come on, hurry up, come on..." Today's is a combination WORD and TIP, all rolled into one package. The word is "wait state." The tip? Computers don't understand you when you tell them to hurry up. Wouldn't it be nice if they did, though? "Computer, work faster!" "Sir, yes, sir!" "Good, now hack into the IRS website and tell them I've shuffled off my mortal coil." No, we must all remain patient. Well, that lull while your processor waits for an operation to complete so it can start working on another operation is called a "wait state." As you've probably already guessed, some systems have a longer "wait state" than others. It all depends on the speed of your processor, the amount of cache it has, what kind of memory it employs, etc. The more MHz behind it, the shorter the wait (theoretically). It's so hard to lose wait these days.

Wake on Lan (WOL)

It's scary how kids today will never know the horrors of having a television without a remote control. I mean, we used to sit through an entire show (sometimes more than one) without ever changing the channel. Well, when it comes to computers, controlling things remotely is a viable option. Enter "Wake on LAN", which Furo has mentioned it in the Tech Specialist recently. It's basically a way for someone on an Ethernet network to power on computers hooked to the network without having to visit each one physically. In other words, it's a great time saver. This functionality requires WOL-capable network cards and a utility to send the Magic Packet that initiates the wake up. On second thought, my family did have a remote control, though they referred to it as "children". "Chris, go change the channel." *Grumble* Man, I hated "Mama's Family."

WDM

I'd like to buy a vowel, Pat. Sorry, I didn't mean to confuse you. "WDM" is actually an acronym that stands for "Wavelength Division Multiplexing." We'll, of course it does, but what does it mean? Well, what this does is modulate different data streams onto separate wavelengths of a lightstream. All this data is sent through an optical fiber, you see, and data that travels at different rates can be transmitted simultaneously because they occupy different wavelengths so as not to interfere with one another. This can also be refered to as "dense wavelength division multiplexing," or DWDM.

Webring

If you want to get married over the World Wide Web, you'll have to get your fiancé a webring. That's pronounced "Web ring," not "we bring" (just so you know). I don't think you can get married over the Internet just yet, but I'm sure that technology will be comin' 'round the mountain soon enough. We'll probably have online weddings before we get a keyboard that can survive a coffee bath; I'd buy one of those beauties. How about we define "webring" already? Okay, a webring is a bunch of sites that have something in common and are all connected through a circular series of links. If you keep going, you eventually end up back where you started (in theory). You can view these sites in pretty much any order you see fit, too. There are webrings covering just about every subject imaginable. Sometimes the circle gets broken; gravesites are everywhere. With this ring, I thee click.

Whistler

This one's real simple. You know that Microsoft is going to be releasing a new operating system this fall, right? Well, that's the plan. And if you didn't know before, you know now. It'll be called Windows XP. In beta, WXP has been referred to as "Whistler." There you go; just another piece of technojargon to impress people around the water cooler. Of course, you don't have to upgrade your OS just because a new one is released. Microsoft is also working on something called Blackcomb. Allegedly, it will be a complete departure from the "9x" Windows GUI. Okay, now here's something I bet you did NOT know about these two project names: they're mountains located in British Columbia. Skiers have known about them for years.

Wide Area Network

We talked about LAN before, but what about WAN? You know, that's what they'd call you if your name was "John" and you lived in Mexico. It's also the loneliest number. And it beats losing. Well, it also stands for "Wide Area Network," and, much like it's little brother, "Local Area Network," this is a network that's only accessible by certain individuals. The difference? WAN is spread out over a larger geographical area, where as LANs tend to stay in a teeny little place (locally). You knew where this was going the whole time. Some of these definitions are pretty self-explanatory, which makes them easy to explanator. While a WAN may be privately owned, they often include public networks. Hey, you may never use this term in regular conversation, but wouldn't it be nice to understand what those company geeks are babbling about at the water cooler?


Lockergnome Tips File

Get Your FREE Subscription!
Start putting the snap and crackle back into your Inbox with our daily HTML e-mail newsletters! Every mailing is FREE, fun, and very informative. SUBSCRIBE NOW!

Windows Daily: functional Freeware for everybody, useful Web sites, original PC tips & tricks, critical updates, jargon definitions, and industry news for consumers. (MTWTF) The digest is a weekly text version.

Tech Specialist: Information Technology reviews for Windows and Linux users, sysadmin advice, troubleshooting resources, IT job assistance, and other stuff for the tech professional. (MTWTF)

Digital Media: MP3s, streaming audio and video destinations, online radio stations, skins, interesting multimedia hardware and software, desktop wallpaper, Webcam pages, DVD reviews, and anything remotely entertaining. (MWF)

Penguin Shell: the latest from the Linux community, open source projects, command line assistance, desktop environment downloads, distribution news, cross-platform tools, and general help for those exploring the "alternative" OS! (MTWTF)

Apple Core: dedicated to the world of Macintosh products, MacOS 9.x and OS X information, Carbonized and Cocoa downloads, terminal tips, GUI tweaks, cross-platform help, application skins, new fonts, and anything else we can get our hands on! (TT)

Webmaster Weekly: HTML basics, PHP and MySQL tips, design discussions, Webmaster tool reviews, gear grinders (topical discussions and news and views), and a forum spotlight. The perfect resource for the novice or expert Web developer. (F)

Bits & Bytes: the latest technology reviews, opinions, press releases, news, subscriber feedback, and stuff that doesn't fit into any of the other Lockergnome newsletters. (MTWTF)

Your E-mail Address:
Windows Daily
Tech Specialist
Digital Media
Penguin Shell
Apple Core
Webmaster Weekly
Bits & Bytes
Windows Digest


Lockergnome Tips

Updates to this file can be found at
the Virtual Graphics World web site

This release is Version 0204
Contains all Tips from September 1996 to April 2002

This file has been checked by AVG anti-virus system (http://www.grisoft.com).
Program Version: 6.0.351 - Release Date: 18/03/2002
Virus Database: 197 - Release Date: 19/04/2002

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.

Editors Pick at Digital-Sea
5 rating at No Nags
4 smileys at Rocket Downloads